<div xmlns="http://www.w3.org/1999/xhtml" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content"><h1>application: fan</h1><div class="descr"><p> This application deals with polyhedral fans. You can define a fan, e.g. via its <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a> and <a href="#PolyhedralFan__MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES');">MAXIMAL_CONES</a>
 and compute several properties like <a href="#PolyhedralFan__HASSE_DIAGRAM" onclick="unfold('span:PolyhedralFan__HASSE_DIAGRAM');">HASSE_DIAGRAM</a> and <a href="#PolyhedralFan__F_VECTOR" onclick="unfold('span:PolyhedralFan__F_VECTOR');">F_VECTOR</a>.</p></div><b>imports from: </b><a href="common.html">common</a>, <a href="graph.html">graph</a>, <a href="polytope.html">polytope</a><br/><b>uses: </b><a href="group.html">group</a>, <a href="ideal.html">ideal</a>, <a href="topaz.html">topaz</a><br/><div class="level2"><h2><b>Objects</b></h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PlanarNet" onclick="swap_content('span:PlanarNet'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="PlanarNet" onclick="swap_content('span:PlanarNet'); return false;"><span class="object">PlanarNet</span></a></h3></div><div style="display: inline" id="span:PlanarNet" class="foldit"><div class="descr"><p> A special big object class devoted to planar drawings of 3-polytopes.  Its main functionality is the visualization.</p></div><b>derived from: </b><a href="#PolyhedralComplex" onclick="unfold('span:PolyhedralComplex');">PolyhedralComplex&lt;Float&gt;</a><br/><div class="level3"/><h4>Properties of PlanarNet</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PlanarNet__properties__Combinatorics" onclick="swap_content('span:PlanarNet__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PlanarNet__properties__Combinatorics" onclick="swap_content('span:PlanarNet__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:PlanarNet__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PlanarNet__DUAL_TREE" onclick="swap_content('span:PlanarNet__DUAL_TREE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PlanarNet__DUAL_TREE" onclick="swap_content('span:PlanarNet__DUAL_TREE'); return false;"><b>DUAL_TREE</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Pair&lt;Int, Int&gt;&gt;</a><br/><div style="display: inline" id="span:PlanarNet__DUAL_TREE" class="foldit"><div class="descr"><p> The spanning tree in the <a href="polytope.html#Cone__DUAL_GRAPH" onclick="unfold('span:Cone__DUAL_GRAPH');">Polytope::DUAL_GRAPH</a> which defines the layout.
 Endoded as a list of edges, directed away from the root facet.
 Indices correspond to <a href="#PolyhedralComplex__MAXIMAL_POLYTOPES" onclick="unfold('span:PolyhedralComplex__MAXIMAL_POLYTOPES');">MAXIMAL_POLYTOPES</a> as well as <a href="polytope.html#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">Polytope::FACETS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PlanarNet__FLAPS" onclick="swap_content('span:PlanarNet__FLAPS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PlanarNet__FLAPS" onclick="swap_content('span:PlanarNet__FLAPS'); return false;"><b>FLAPS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Pair&lt;Int, Int&gt;&gt;</a><br/><div style="display: inline" id="span:PlanarNet__FLAPS" class="foldit"><div class="descr"><p> List of directed edges in the primal graph <a href="polytope.html#Polytope__GRAPH" onclick="unfold('span:Polytope__GRAPH');">Polytope::GRAPH</a> which need flaps for gluing.
 Indices correspond to <a href="#PolyhedralComplex__VERTICES" onclick="unfold('span:PolyhedralComplex__VERTICES');">VERTICES</a>.  The orientation is chosen such that the facet in the layout is always on the left.
 In fact, the flaps define a spanning tree of <a href="polytope.html#Polytope__GRAPH" onclick="unfold('span:Polytope__GRAPH');">Polytope::GRAPH</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PlanarNet__VF_MAP" onclick="swap_content('span:PlanarNet__VF_MAP'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PlanarNet__VF_MAP" onclick="swap_content('span:PlanarNet__VF_MAP'); return false;"><b>VF_MAP</b>:
		</a><a href="common.html#Map" onclick="unfold('span:Map');">common::Map&lt;Pair&lt;Int, Int&gt;, Int&gt;</a><br/><div style="display: inline" id="span:PlanarNet__VF_MAP" class="foldit"><div class="descr"><p> Map which tells which vertex/facet pair of the 3-polytope is mapped to which vertex of the planar net.
 The dependence on the facets comes from the fact that most <a href="polytope.html#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">Polytope::VERTICES</a> occur more than once in the planar net.
 The inverse is <a href="#PlanarNet__VF_MAP_INV" onclick="unfold('span:PlanarNet__VF_MAP_INV');">VF_MAP_INV</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PlanarNet__VF_MAP_INV" onclick="swap_content('span:PlanarNet__VF_MAP_INV'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PlanarNet__VF_MAP_INV" onclick="swap_content('span:PlanarNet__VF_MAP_INV'); return false;"><b>VF_MAP_INV</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:PlanarNet__VF_MAP_INV" class="foldit"><div class="descr"><p> Map which tells how the <a href="#PolyhedralComplex__VERTICES" onclick="unfold('span:PolyhedralComplex__VERTICES');">VERTICES</a> of the planar net are mapped to the <a href="polytope.html#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">Polytope::VERTICES</a> of the 3-polytope.
 Inverse of <a href="#PlanarNet__VF_MAP" onclick="unfold('span:PlanarNet__VF_MAP');">VF_MAP</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PlanarNet__VIF_CYCLIC_NORMAL" onclick="swap_content('span:PlanarNet__VIF_CYCLIC_NORMAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PlanarNet__VIF_CYCLIC_NORMAL" onclick="swap_content('span:PlanarNet__VIF_CYCLIC_NORMAL'); return false;"><b>VIF_CYCLIC_NORMAL</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:PlanarNet__VIF_CYCLIC_NORMAL" class="foldit"><div class="descr"><p> Counter clockwise ordering of the <a href="#PolyhedralComplex__VERTICES" onclick="unfold('span:PolyhedralComplex__VERTICES');">VERTICES</a> in each <a href="#PolyhedralComplex__MAXIMAL_POLYTOPES" onclick="unfold('span:PolyhedralComplex__MAXIMAL_POLYTOPES');">MAXIMAL_POLYTOPES</a>.
 This is a copy of the property <a href="polytope.html#Polytope__VIF_CYCLIC_NORMAL" onclick="unfold('span:Polytope__VIF_CYCLIC_NORMAL');">Polytope::VIF_CYCLIC_NORMAL</a> of <a href="#PlanarNet__POLYTOPE" onclick="unfold('span:PlanarNet__POLYTOPE');">POLYTOPE</a>.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PlanarNet__properties__Geometry" onclick="swap_content('span:PlanarNet__properties__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PlanarNet__properties__Geometry" onclick="swap_content('span:PlanarNet__properties__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:PlanarNet__properties__Geometry" class="foldit"><div class="descr"><p> These properties capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PlanarNet__POLYTOPE" onclick="swap_content('span:PlanarNet__POLYTOPE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PlanarNet__POLYTOPE" onclick="swap_content('span:PlanarNet__POLYTOPE'); return false;"><b>POLYTOPE</b>:
		</a><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">polytope::Polytope&lt;Rational&gt;</a><br/><div style="display: inline" id="span:PlanarNet__POLYTOPE" class="foldit"><div class="descr"><p> The corresponding 3-polytope.</p></div></div></div></div></li></ul></div></div></div></li></ul><h4>User Methods of PlanarNet</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PlanarNet__methods__Visualization" onclick="swap_content('span:PlanarNet__methods__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PlanarNet__methods__Visualization" onclick="swap_content('span:PlanarNet__methods__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:PlanarNet__methods__Visualization" class="foldit"><div class="descr"><p> These methods are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PlanarNet__VISUAL" onclick="swap_content('span:PlanarNet__VISUAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PlanarNet__VISUAL" onclick="swap_content('span:PlanarNet__VISUAL'); return false;"><b>VISUAL</b></a>
			()  

			
				→ Visual::PlanarNet<div style="display: inline" id="span:PlanarNet__VISUAL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> This function is the main purpose of the entire class <a href="#PlanarNet" onclick="unfold('span:PlanarNet');">PlanarNet</a>.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PlanarNet" onclick="unfold('span:Visual_PlanarNet');">Visual::PlanarNet</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex" onclick="swap_content('span:PolyhedralComplex'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="PolyhedralComplex" onclick="swap_content('span:PolyhedralComplex'); return false;"><span class="object">PolyhedralComplex</span></a></h3></div><div style="display: inline" id="span:PolyhedralComplex" class="foldit"><div class="descr"><p> A polyhedral complex.  The derivation from <a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a> works like the derivation of <a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">Polytope</a> from <a href="polytope.html#Cone" onclick="unfold('span:Cone');">Cone</a>.</p></div><b>derived from: </b><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a><br/><div class="level3"/><h4>Properties of PolyhedralComplex</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__properties__Combinatorics" onclick="swap_content('span:PolyhedralComplex__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralComplex__properties__Combinatorics" onclick="swap_content('span:PolyhedralComplex__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:PolyhedralComplex__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__MAXIMAL_POLYTOPES" onclick="swap_content('span:PolyhedralComplex__MAXIMAL_POLYTOPES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__MAXIMAL_POLYTOPES" onclick="swap_content('span:PolyhedralComplex__MAXIMAL_POLYTOPES'); return false;"><b>MAXIMAL_POLYTOPES</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:PolyhedralComplex__MAXIMAL_POLYTOPES" class="foldit"><div class="descr"><p> Alias for property <a href="#PolyhedralFan__MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES');">PolyhedralFan::MAXIMAL_CONES</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__MAXIMAL_POLYTOPES_COMBINATORIAL_DIMS" onclick="swap_content('span:PolyhedralComplex__MAXIMAL_POLYTOPES_COMBINATORIAL_DIMS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__MAXIMAL_POLYTOPES_COMBINATORIAL_DIMS" onclick="swap_content('span:PolyhedralComplex__MAXIMAL_POLYTOPES_COMBINATORIAL_DIMS'); return false;"><b>MAXIMAL_POLYTOPES_COMBINATORIAL_DIMS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:PolyhedralComplex__MAXIMAL_POLYTOPES_COMBINATORIAL_DIMS" class="foldit"><div class="descr"><p> Alias for property <a href="#PolyhedralFan__MAXIMAL_CONES_COMBINATORIAL_DIMS" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES_COMBINATORIAL_DIMS');">PolyhedralFan::MAXIMAL_CONES_COMBINATORIAL_DIMS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__MAXIMAL_POLYTOPES_INCIDENCES" onclick="swap_content('span:PolyhedralComplex__MAXIMAL_POLYTOPES_INCIDENCES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__MAXIMAL_POLYTOPES_INCIDENCES" onclick="swap_content('span:PolyhedralComplex__MAXIMAL_POLYTOPES_INCIDENCES'); return false;"><b>MAXIMAL_POLYTOPES_INCIDENCES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;IncidenceMatrix&lt;NonSymmetric&gt;&gt;</a><br/><div style="display: inline" id="span:PolyhedralComplex__MAXIMAL_POLYTOPES_INCIDENCES" class="foldit"><div class="descr"><p> Array of incidence matrices of all <a href="#PolyhedralComplex__MAXIMAL_POLYTOPES" onclick="unfold('span:PolyhedralComplex__MAXIMAL_POLYTOPES');">maximal polytopes</a>.
 Alias for property <a href="#PolyhedralFan__MAXIMAL_CONES_INCIDENCES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES_INCIDENCES');">PolyhedralFan::MAXIMAL_CONES_INCIDENCES</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__N_MAXIMAL_POLYTOPES" onclick="swap_content('span:PolyhedralComplex__N_MAXIMAL_POLYTOPES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__N_MAXIMAL_POLYTOPES" onclick="swap_content('span:PolyhedralComplex__N_MAXIMAL_POLYTOPES'); return false;"><b>N_MAXIMAL_POLYTOPES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PolyhedralComplex__N_MAXIMAL_POLYTOPES" class="foldit"><div class="descr"><p> Number of <a href="#PolyhedralComplex__MAXIMAL_POLYTOPES" onclick="unfold('span:PolyhedralComplex__MAXIMAL_POLYTOPES');">MAXIMAL_POLYTOPES</a>.
 Alias for property <a href="#PolyhedralFan__N_MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__N_MAXIMAL_CONES');">PolyhedralFan::N_MAXIMAL_CONES</a>.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__properties__Geometry" onclick="swap_content('span:PolyhedralComplex__properties__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralComplex__properties__Geometry" onclick="swap_content('span:PolyhedralComplex__properties__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:PolyhedralComplex__properties__Geometry" class="foldit"><div class="descr"><p> These properties capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__AFFINE_HULL" onclick="swap_content('span:PolyhedralComplex__AFFINE_HULL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__AFFINE_HULL" onclick="swap_content('span:PolyhedralComplex__AFFINE_HULL'); return false;"><b>AFFINE_HULL</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:PolyhedralComplex__AFFINE_HULL" class="foldit"><div class="descr"><p> Alias for property <a href="#PolyhedralFan__LINEAR_SPAN_NORMALS" onclick="unfold('span:PolyhedralFan__LINEAR_SPAN_NORMALS');">PolyhedralFan::LINEAR_SPAN_NORMALS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__BOUNDED" onclick="swap_content('span:PolyhedralComplex__BOUNDED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__BOUNDED" onclick="swap_content('span:PolyhedralComplex__BOUNDED'); return false;"><b>BOUNDED</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:PolyhedralComplex__BOUNDED" class="foldit"><div class="descr"><p> True if each object in <a href="#PolyhedralComplex__MAXIMAL_POLYTOPES" onclick="unfold('span:PolyhedralComplex__MAXIMAL_POLYTOPES');">MAXIMAL_POLYTOPES</a> is <a href="polytope.html#Polytope__BOUNDED" onclick="unfold('span:Polytope__BOUNDED');">bounded</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__FAR_VERTICES" onclick="swap_content('span:PolyhedralComplex__FAR_VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__FAR_VERTICES" onclick="swap_content('span:PolyhedralComplex__FAR_VERTICES'); return false;"><b>FAR_VERTICES</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:PolyhedralComplex__FAR_VERTICES" class="foldit"><div class="descr"><p> Indices of vertices that are rays.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__MAXIMAL_POLYTOPES_AFFINE_HULL_NORMALS" onclick="swap_content('span:PolyhedralComplex__MAXIMAL_POLYTOPES_AFFINE_HULL_NORMALS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__MAXIMAL_POLYTOPES_AFFINE_HULL_NORMALS" onclick="swap_content('span:PolyhedralComplex__MAXIMAL_POLYTOPES_AFFINE_HULL_NORMALS'); return false;"><b>MAXIMAL_POLYTOPES_AFFINE_HULL_NORMALS</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:PolyhedralComplex__MAXIMAL_POLYTOPES_AFFINE_HULL_NORMALS" class="foldit"><div class="descr"><p> Alias for property <a href="#PolyhedralFan__MAXIMAL_CONES_LINEAR_SPAN_NORMALS" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES_LINEAR_SPAN_NORMALS');">PolyhedralFan::MAXIMAL_CONES_LINEAR_SPAN_NORMALS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__MAXIMAL_POLYTOPES_FACETS" onclick="swap_content('span:PolyhedralComplex__MAXIMAL_POLYTOPES_FACETS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__MAXIMAL_POLYTOPES_FACETS" onclick="swap_content('span:PolyhedralComplex__MAXIMAL_POLYTOPES_FACETS'); return false;"><b>MAXIMAL_POLYTOPES_FACETS</b>:
		</a><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">common::SparseMatrix&lt;Int, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:PolyhedralComplex__MAXIMAL_POLYTOPES_FACETS" class="foldit"><div class="descr"><p> Alias for property <a href="#PolyhedralFan__MAXIMAL_CONES_FACETS" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES_FACETS');">PolyhedralFan::MAXIMAL_CONES_FACETS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__N_POINTS" onclick="swap_content('span:PolyhedralComplex__N_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__N_POINTS" onclick="swap_content('span:PolyhedralComplex__N_POINTS'); return false;"><b>N_POINTS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PolyhedralComplex__N_POINTS" class="foldit"><div class="descr"><p> Number of <a href="#PolyhedralComplex__POINTS" onclick="unfold('span:PolyhedralComplex__POINTS');">POINTS</a>.
 Alias for property <a href="#PolyhedralFan__N_INPUT_RAYS" onclick="unfold('span:PolyhedralFan__N_INPUT_RAYS');">PolyhedralFan::N_INPUT_RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__N_VERTICES" onclick="swap_content('span:PolyhedralComplex__N_VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__N_VERTICES" onclick="swap_content('span:PolyhedralComplex__N_VERTICES'); return false;"><b>N_VERTICES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PolyhedralComplex__N_VERTICES" class="foldit"><div class="descr"><p> Number of <a href="#PolyhedralComplex__VERTICES" onclick="unfold('span:PolyhedralComplex__VERTICES');">VERTICES</a>.
 Alias for property <a href="#PolyhedralFan__N_RAYS" onclick="unfold('span:PolyhedralFan__N_RAYS');">PolyhedralFan::N_RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__VERTICES" onclick="swap_content('span:PolyhedralComplex__VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__VERTICES" onclick="swap_content('span:PolyhedralComplex__VERTICES'); return false;"><b>VERTICES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:PolyhedralComplex__VERTICES" class="foldit"><div class="descr"><p> Alias for property <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">PolyhedralFan::RAYS</a>.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__properties__Input_property" onclick="swap_content('span:PolyhedralComplex__properties__Input_property'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralComplex__properties__Input_property" onclick="swap_content('span:PolyhedralComplex__properties__Input_property'); return false;"><span class="category">Input property</span></a></h3></div><div style="display: inline" id="span:PolyhedralComplex__properties__Input_property" class="foldit"><div class="descr"><p> These properties are for input only. They allow redundant information.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__INPUT_POLYTOPES" onclick="swap_content('span:PolyhedralComplex__INPUT_POLYTOPES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__INPUT_POLYTOPES" onclick="swap_content('span:PolyhedralComplex__INPUT_POLYTOPES'); return false;"><b>INPUT_POLYTOPES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:PolyhedralComplex__INPUT_POLYTOPES" class="foldit"><div class="descr"><p> Alias for property <a href="#PolyhedralFan__INPUT_CONES" onclick="unfold('span:PolyhedralFan__INPUT_CONES');">PolyhedralFan::INPUT_CONES</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__POINTS" onclick="swap_content('span:PolyhedralComplex__POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__POINTS" onclick="swap_content('span:PolyhedralComplex__POINTS'); return false;"><b>POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:PolyhedralComplex__POINTS" class="foldit"><div class="descr"><p> Alias for property <a href="#PolyhedralFan__INPUT_RAYS" onclick="unfold('span:PolyhedralFan__INPUT_RAYS');">PolyhedralFan::INPUT_RAYS</a>.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__properties__Visualization" onclick="swap_content('span:PolyhedralComplex__properties__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralComplex__properties__Visualization" onclick="swap_content('span:PolyhedralComplex__properties__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:PolyhedralComplex__properties__Visualization" class="foldit"><div class="descr"><p> These properties are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__POINT_LABELS" onclick="swap_content('span:PolyhedralComplex__POINT_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__POINT_LABELS" onclick="swap_content('span:PolyhedralComplex__POINT_LABELS'); return false;"><b>POINT_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:PolyhedralComplex__POINT_LABELS" class="foldit"><div class="descr"><p> Alias for property <a href="#PolyhedralFan__INPUT_RAY_LABELS" onclick="unfold('span:PolyhedralFan__INPUT_RAY_LABELS');">PolyhedralFan::INPUT_RAY_LABELS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__VERTEX_LABELS" onclick="swap_content('span:PolyhedralComplex__VERTEX_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__VERTEX_LABELS" onclick="swap_content('span:PolyhedralComplex__VERTEX_LABELS'); return false;"><b>VERTEX_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:PolyhedralComplex__VERTEX_LABELS" class="foldit"><div class="descr"><p> Alias for property <a href="#PolyhedralFan__RAY_LABELS" onclick="unfold('span:PolyhedralFan__RAY_LABELS');">PolyhedralFan::RAY_LABELS</a>.</p></div></div></div></div></li></ul></div></div></div></li></ul><h4>User Methods of PolyhedralComplex</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__methods__Geometry" onclick="swap_content('span:PolyhedralComplex__methods__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralComplex__methods__Geometry" onclick="swap_content('span:PolyhedralComplex__methods__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:PolyhedralComplex__methods__Geometry" class="foldit"><div class="descr"><p> These methods capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__AMBIENT_DIM" onclick="swap_content('span:PolyhedralComplex__AMBIENT_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__AMBIENT_DIM" onclick="swap_content('span:PolyhedralComplex__AMBIENT_DIM'); return false;"><b>AMBIENT_DIM</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:PolyhedralComplex__AMBIENT_DIM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the dimension of the ambient space.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__DIM" onclick="swap_content('span:PolyhedralComplex__DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__DIM" onclick="swap_content('span:PolyhedralComplex__DIM'); return false;"><b>DIM</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:PolyhedralComplex__DIM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the dimension of the linear space spanned by the complex.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__polytope" onclick="swap_content('span:PolyhedralComplex__polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__polytope" onclick="swap_content('span:PolyhedralComplex__polytope'); return false;"><b>polytope</b></a>
			(i)  

			
				→ Polytope<div style="display: inline" id="span:PolyhedralComplex__polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="param">i</em>-th facet of the complex as a <a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">Polytope</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td><div class="descr"><div>warning: might be unbounded</div></div></td></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__methods__Visualization" onclick="swap_content('span:PolyhedralComplex__methods__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralComplex__methods__Visualization" onclick="swap_content('span:PolyhedralComplex__methods__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:PolyhedralComplex__methods__Visualization" class="foldit"><div class="descr"><p> These methods are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralComplex__VISUAL" onclick="swap_content('span:PolyhedralComplex__VISUAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralComplex__VISUAL" onclick="swap_content('span:PolyhedralComplex__VISUAL'); return false;"><b>VISUAL</b></a>
			()  

			
				→ Visual::PolyhedralFan<div style="display: inline" id="span:PolyhedralComplex__VISUAL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualizes the polyhedral complex.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PolyhedralFan" onclick="unfold('span:Visual_PolyhedralFan');">Visual::PolyhedralFan</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan" onclick="swap_content('span:PolyhedralFan'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="PolyhedralFan" onclick="swap_content('span:PolyhedralFan'); return false;"><span class="object">PolyhedralFan</span></a></h3></div><div style="display: inline" id="span:PolyhedralFan" class="foldit"><div class="descr"><p> A polyhedral fan.
 The current restriction is that each cone in the fan has to be pointed.  This will be relaxed later.
 If a fan is specified via <a href="#PolyhedralFan__INPUT_RAYS" onclick="unfold('span:PolyhedralFan__INPUT_RAYS');">INPUT_RAYS</a> and <a href="#PolyhedralFan__INPUT_CONES" onclick="unfold('span:PolyhedralFan__INPUT_CONES');">INPUT_CONES</a> each input cone must list all the input rays incident.</p><p> Once non-trivial linealities are allowed the following will apply:
 The <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a> always lie in a linear subspace which is complementary to the <a href="#PolyhedralFan__LINEALITY_SPACE" onclick="unfold('span:PolyhedralFan__LINEALITY_SPACE');">LINEALITY_SPACE</a>.</p></div><div class="level3"/><h4>Specializations of PolyhedralFan</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__specializations__PolyhedralFan_Rational" onclick="swap_content('span:PolyhedralFan__specializations__PolyhedralFan_Rational'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__specializations__PolyhedralFan_Rational" onclick="swap_content('span:PolyhedralFan__specializations__PolyhedralFan_Rational'); return false;"><b>PolyhedralFan&lt;Rational&gt;</b></a><a href="" onclick="unfold('span:');"/><br/><div style="display: inline" id="span:PolyhedralFan__specializations__PolyhedralFan_Rational" class="foldit"><div class="descr"><p>Unnamed full specialization of PolyhedralFan</p></div></div></div></div></li></ul><h4>Properties of PolyhedralFan</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__properties__Combinatorics" onclick="swap_content('span:PolyhedralFan__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralFan__properties__Combinatorics" onclick="swap_content('span:PolyhedralFan__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:PolyhedralFan__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__COMBINATORIAL_DIM" onclick="swap_content('span:PolyhedralFan__COMBINATORIAL_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__COMBINATORIAL_DIM" onclick="swap_content('span:PolyhedralFan__COMBINATORIAL_DIM'); return false;"><b>COMBINATORIAL_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PolyhedralFan__COMBINATORIAL_DIM" class="foldit"><div class="descr"><p> Combinatorial dimension.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__COMPLETE" onclick="swap_content('span:PolyhedralFan__COMPLETE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__COMPLETE" onclick="swap_content('span:PolyhedralFan__COMPLETE'); return false;"><b>COMPLETE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:PolyhedralFan__COMPLETE" class="foldit"><div class="descr"><p> The polyhedral fan is <em class="u">complete</em> if its suport is the whole space.</p><p> Due to undecidability issues this is checked heuristically only.
 See the remarks on <a href="topaz.html#SimplicialComplex__SPHERE" onclick="unfold('span:SimplicialComplex__SPHERE');">SPHERE</a> for details.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__CONES" onclick="swap_content('span:PolyhedralFan__CONES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__CONES" onclick="swap_content('span:PolyhedralFan__CONES'); return false;"><b>CONES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;IncidenceMatrix&lt;NonSymmetric&gt;&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__CONES" class="foldit"><div class="descr"><p> List of all cones of the fan of each dimension.  Indices refer to <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__DUAL_GRAPH" onclick="swap_content('span:PolyhedralFan__DUAL_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__DUAL_GRAPH" onclick="swap_content('span:PolyhedralFan__DUAL_GRAPH'); return false;"><b>DUAL_GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__DUAL_GRAPH" class="foldit"><div class="descr"><p> The graph whose nodes are the maximal cones which
 are connected if they share a common facet.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__F2_VECTOR" onclick="swap_content('span:PolyhedralFan__F2_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__F2_VECTOR" onclick="swap_content('span:PolyhedralFan__F2_VECTOR'); return false;"><b>F2_VECTOR</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Integer, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__F2_VECTOR" class="foldit"><div class="descr"><p> f<sub>ik</sub> is the number of incident pairs of i-dimensional cones and k-dimensional cones; the main diagonal contains the <a href="#PolyhedralFan__F_VECTOR" onclick="unfold('span:PolyhedralFan__F_VECTOR');">F_VECTOR</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__F_VECTOR" onclick="swap_content('span:PolyhedralFan__F_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__F_VECTOR" onclick="swap_content('span:PolyhedralFan__F_VECTOR'); return false;"><b>F_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__F_VECTOR" class="foldit"><div class="descr"><p> f<sub>k</sub> is the number of k-dimensional cones starting from dimension k=1.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__GRAPH" onclick="swap_content('span:PolyhedralFan__GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__GRAPH" onclick="swap_content('span:PolyhedralFan__GRAPH'); return false;"><b>GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__GRAPH" class="foldit"><div class="descr"><p> The graph of the fan intersected with a sphere, that is,
 the vertices are the rays which are connected if they are
 contained in a common two-dimensional cone.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__HASSE_DIAGRAM" onclick="swap_content('span:PolyhedralFan__HASSE_DIAGRAM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__HASSE_DIAGRAM" onclick="swap_content('span:PolyhedralFan__HASSE_DIAGRAM'); return false;"><b>HASSE_DIAGRAM</b>:
		</a><a href="graph.html#FaceLattice" onclick="unfold('span:FaceLattice');">graph::FaceLattice</a><br/><div style="display: inline" id="span:PolyhedralFan__HASSE_DIAGRAM" class="foldit"><div class="descr"><p> The poset of subcones of the polyhedral fan organized as a directed graph.
 Each node corresponds to some proper subcone of the fan.
 The nodes corresponding to the rays and maximal cones appear in the same order
 as the elements of <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a> and <a href="#PolyhedralFan__MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES');">MAXIMAL_CONES</a> properties.</p><p> One special node represents the origin.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__MAXIMAL_CONES" onclick="swap_content('span:PolyhedralFan__MAXIMAL_CONES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__MAXIMAL_CONES" onclick="swap_content('span:PolyhedralFan__MAXIMAL_CONES'); return false;"><b>MAXIMAL_CONES</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__MAXIMAL_CONES" class="foldit"><div class="descr"><p> Non redundant list of maximal cones.  Indices refer to <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a>.
 Cones which do not have any rays correspond to the trivial cone (contains only the origin).
 An empty fan does not have any cones.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__MAXIMAL_CONES_COMBINATORIAL_DIMS" onclick="swap_content('span:PolyhedralFan__MAXIMAL_CONES_COMBINATORIAL_DIMS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__MAXIMAL_CONES_COMBINATORIAL_DIMS" onclick="swap_content('span:PolyhedralFan__MAXIMAL_CONES_COMBINATORIAL_DIMS'); return false;"><b>MAXIMAL_CONES_COMBINATORIAL_DIMS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__MAXIMAL_CONES_COMBINATORIAL_DIMS" class="foldit"><div class="descr"><p> The combinatorial dimensions of the <a href="#PolyhedralFan__MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES');">maximal cones</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__MAXIMAL_CONES_INCIDENCES" onclick="swap_content('span:PolyhedralFan__MAXIMAL_CONES_INCIDENCES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__MAXIMAL_CONES_INCIDENCES" onclick="swap_content('span:PolyhedralFan__MAXIMAL_CONES_INCIDENCES'); return false;"><b>MAXIMAL_CONES_INCIDENCES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;IncidenceMatrix&lt;NonSymmetric&gt;&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__MAXIMAL_CONES_INCIDENCES" class="foldit"><div class="descr"><p> Array of incidence matrices of all <a href="#PolyhedralFan__MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES');">maximal cones</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__N_MAXIMAL_CONES" onclick="swap_content('span:PolyhedralFan__N_MAXIMAL_CONES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__N_MAXIMAL_CONES" onclick="swap_content('span:PolyhedralFan__N_MAXIMAL_CONES'); return false;"><b>N_MAXIMAL_CONES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PolyhedralFan__N_MAXIMAL_CONES" class="foldit"><div class="descr"><p> Number of <a href="#PolyhedralFan__MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES');">MAXIMAL_CONES</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__PURE" onclick="swap_content('span:PolyhedralFan__PURE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__PURE" onclick="swap_content('span:PolyhedralFan__PURE'); return false;"><b>PURE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:PolyhedralFan__PURE" class="foldit"><div class="descr"><p> The polyhedral fan is <em class="u">pure</em> if all <a href="#PolyhedralFan__MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES');">maximal cones</a> are of the same dimension.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__SIMPLICIAL" onclick="swap_content('span:PolyhedralFan__SIMPLICIAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__SIMPLICIAL" onclick="swap_content('span:PolyhedralFan__SIMPLICIAL'); return false;"><b>SIMPLICIAL</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:PolyhedralFan__SIMPLICIAL" class="foldit"><div class="descr"><p> The polyhedral fan is <em class="u">simplicial</em> if all <a href="#PolyhedralFan__MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES');">maximal cones</a> are <a href="polytope.html#Cone__SIMPLICIAL" onclick="unfold('span:Cone__SIMPLICIAL');">simplicial</a>.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__properties__Geometry" onclick="swap_content('span:PolyhedralFan__properties__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralFan__properties__Geometry" onclick="swap_content('span:PolyhedralFan__properties__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:PolyhedralFan__properties__Geometry" class="foldit"><div class="descr"><p> These properties capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__FACET_NORMALS" onclick="swap_content('span:PolyhedralFan__FACET_NORMALS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__FACET_NORMALS" onclick="swap_content('span:PolyhedralFan__FACET_NORMALS'); return false;"><b>FACET_NORMALS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:PolyhedralFan__FACET_NORMALS" class="foldit"><div class="descr"><p> The possible facet normals of all maximal cones.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__FAN_AMBIENT_DIM" onclick="swap_content('span:PolyhedralFan__FAN_AMBIENT_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__FAN_AMBIENT_DIM" onclick="swap_content('span:PolyhedralFan__FAN_AMBIENT_DIM'); return false;"><b>FAN_AMBIENT_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PolyhedralFan__FAN_AMBIENT_DIM" class="foldit"><div class="descr"><p> Dimension of the space which contains the polyhedral fan.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__FAN_DIM" onclick="swap_content('span:PolyhedralFan__FAN_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__FAN_DIM" onclick="swap_content('span:PolyhedralFan__FAN_DIM'); return false;"><b>FAN_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PolyhedralFan__FAN_DIM" class="foldit"><div class="descr"><p> Dimension of the polyhedral fan.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__FULL_DIM" onclick="swap_content('span:PolyhedralFan__FULL_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__FULL_DIM" onclick="swap_content('span:PolyhedralFan__FULL_DIM'); return false;"><b>FULL_DIM</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:PolyhedralFan__FULL_DIM" class="foldit"><div class="descr"><p> True if <a href="#PolyhedralFan__FAN_DIM" onclick="unfold('span:PolyhedralFan__FAN_DIM');">FAN_DIM</a> and <a href="#PolyhedralFan__FAN_AMBIENT_DIM" onclick="unfold('span:PolyhedralFan__FAN_AMBIENT_DIM');">FAN_AMBIENT_DIM</a> coincide.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__LINEALITY_DIM" onclick="swap_content('span:PolyhedralFan__LINEALITY_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__LINEALITY_DIM" onclick="swap_content('span:PolyhedralFan__LINEALITY_DIM'); return false;"><b>LINEALITY_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PolyhedralFan__LINEALITY_DIM" class="foldit"><div class="descr"><p> Dimension of <a href="#PolyhedralFan__LINEALITY_SPACE" onclick="unfold('span:PolyhedralFan__LINEALITY_SPACE');">LINEALITY_SPACE</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__LINEALITY_SPACE" onclick="swap_content('span:PolyhedralFan__LINEALITY_SPACE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__LINEALITY_SPACE" onclick="swap_content('span:PolyhedralFan__LINEALITY_SPACE'); return false;"><b>LINEALITY_SPACE</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:PolyhedralFan__LINEALITY_SPACE" class="foldit"><div class="descr"><p> Since we do not require our cones to be pointed: a basis of the lineality space of the fan. Co-exists with <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__LINEAR_SPAN_NORMALS" onclick="swap_content('span:PolyhedralFan__LINEAR_SPAN_NORMALS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__LINEAR_SPAN_NORMALS" onclick="swap_content('span:PolyhedralFan__LINEAR_SPAN_NORMALS'); return false;"><b>LINEAR_SPAN_NORMALS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:PolyhedralFan__LINEAR_SPAN_NORMALS" class="foldit"><div class="descr"><p> The possible linear span normals of all maximal cones.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__MAXIMAL_CONES_FACETS" onclick="swap_content('span:PolyhedralFan__MAXIMAL_CONES_FACETS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__MAXIMAL_CONES_FACETS" onclick="swap_content('span:PolyhedralFan__MAXIMAL_CONES_FACETS'); return false;"><b>MAXIMAL_CONES_FACETS</b>:
		</a><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">common::SparseMatrix&lt;Int, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__MAXIMAL_CONES_FACETS" class="foldit"><div class="descr"><p> Tells for each maximal cone what are its facets.
 A negative number means that the corresponding row of
 <a href="#PolyhedralFan__FACET_NORMALS" onclick="unfold('span:PolyhedralFan__FACET_NORMALS');">FACET_NORMALS</a> has to be negated.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__MAXIMAL_CONES_LINEAR_SPAN_NORMALS" onclick="swap_content('span:PolyhedralFan__MAXIMAL_CONES_LINEAR_SPAN_NORMALS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__MAXIMAL_CONES_LINEAR_SPAN_NORMALS" onclick="swap_content('span:PolyhedralFan__MAXIMAL_CONES_LINEAR_SPAN_NORMALS'); return false;"><b>MAXIMAL_CONES_LINEAR_SPAN_NORMALS</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__MAXIMAL_CONES_LINEAR_SPAN_NORMALS" class="foldit"><div class="descr"><p> Tells for each maximal cone what is its linear span.
 Indices refer to <a href="#PolyhedralFan__LINEAR_SPAN_NORMALS" onclick="unfold('span:PolyhedralFan__LINEAR_SPAN_NORMALS');">LINEAR_SPAN_NORMALS</a>.
 Rows correspond to <a href="#PolyhedralFan__MAXIMAL_CONES_FACETS" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES_FACETS');">MAXIMAL_CONES_FACETS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__N_FACET_NORMALS" onclick="swap_content('span:PolyhedralFan__N_FACET_NORMALS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__N_FACET_NORMALS" onclick="swap_content('span:PolyhedralFan__N_FACET_NORMALS'); return false;"><b>N_FACET_NORMALS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PolyhedralFan__N_FACET_NORMALS" class="foldit"><div class="descr"><p> The number of possible facet normals of all maximal cones.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__N_INPUT_RAYS" onclick="swap_content('span:PolyhedralFan__N_INPUT_RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__N_INPUT_RAYS" onclick="swap_content('span:PolyhedralFan__N_INPUT_RAYS'); return false;"><b>N_INPUT_RAYS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PolyhedralFan__N_INPUT_RAYS" class="foldit"><div class="descr"><p> Number of <a href="#PolyhedralFan__INPUT_RAYS" onclick="unfold('span:PolyhedralFan__INPUT_RAYS');">INPUT_RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__N_RAYS" onclick="swap_content('span:PolyhedralFan__N_RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__N_RAYS" onclick="swap_content('span:PolyhedralFan__N_RAYS'); return false;"><b>N_RAYS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PolyhedralFan__N_RAYS" class="foldit"><div class="descr"><p> Number of <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__ORTH_LINEALITY_SPACE" onclick="swap_content('span:PolyhedralFan__ORTH_LINEALITY_SPACE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__ORTH_LINEALITY_SPACE" onclick="swap_content('span:PolyhedralFan__ORTH_LINEALITY_SPACE'); return false;"><b>ORTH_LINEALITY_SPACE</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:PolyhedralFan__ORTH_LINEALITY_SPACE" class="foldit"><div class="descr"><p> A basis of the orthogonal complement to <a href="#PolyhedralFan__LINEALITY_SPACE" onclick="unfold('span:PolyhedralFan__LINEALITY_SPACE');">LINEALITY_SPACE</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__POINTED" onclick="swap_content('span:PolyhedralFan__POINTED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__POINTED" onclick="swap_content('span:PolyhedralFan__POINTED'); return false;"><b>POINTED</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:PolyhedralFan__POINTED" class="foldit"><div class="descr"><p> True if <a href="#PolyhedralFan__LINEALITY_SPACE" onclick="unfold('span:PolyhedralFan__LINEALITY_SPACE');">LINEALITY_SPACE</a> is trivial.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__RAYS" onclick="swap_content('span:PolyhedralFan__RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__RAYS" onclick="swap_content('span:PolyhedralFan__RAYS'); return false;"><b>RAYS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:PolyhedralFan__RAYS" class="foldit"><div class="descr"><p> Rays from which the cones are formed.  Non-redundant.  Co-exists with <a href="#PolyhedralFan__LINEALITY_SPACE" onclick="unfold('span:PolyhedralFan__LINEALITY_SPACE');">LINEALITY_SPACE</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__REGULAR" onclick="swap_content('span:PolyhedralFan__REGULAR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__REGULAR" onclick="swap_content('span:PolyhedralFan__REGULAR'); return false;"><b>REGULAR</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:PolyhedralFan__REGULAR" class="foldit"><div class="descr"><p> True if the fan is the <a href="#normal_fan" onclick="unfold('span:normal_fan');">normal fan</a> of a polyhedron.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__properties__Input_property" onclick="swap_content('span:PolyhedralFan__properties__Input_property'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralFan__properties__Input_property" onclick="swap_content('span:PolyhedralFan__properties__Input_property'); return false;"><span class="category">Input property</span></a></h3></div><div style="display: inline" id="span:PolyhedralFan__properties__Input_property" class="foldit"><div class="descr"><p> These properties are for input only. They allow redundant information.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__INPUT_CONES" onclick="swap_content('span:PolyhedralFan__INPUT_CONES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__INPUT_CONES" onclick="swap_content('span:PolyhedralFan__INPUT_CONES'); return false;"><b>INPUT_CONES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__INPUT_CONES" class="foldit"><div class="descr"><p> Maybe redundant list of not necessarily maximal cones.  Indices refer to <a href="#PolyhedralFan__INPUT_RAYS" onclick="unfold('span:PolyhedralFan__INPUT_RAYS');">INPUT_RAYS</a>.
 Each cone must list all rays of <a href="#PolyhedralFan__INPUT_RAYS" onclick="unfold('span:PolyhedralFan__INPUT_RAYS');">INPUT_RAYS</a> it contains.
 The cones are allowed to contain lineality.
 Cones which do not have any rays correspond to the trivial cone (contains only the origin).
 An empty fan does not have any cones.</p><p> Input section only. Ask for <a href="#PolyhedralFan__MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES');">MAXIMAL_CONES</a> if you want to know the maximal cones (indexed by <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a>).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__INPUT_LINEALITY" onclick="swap_content('span:PolyhedralFan__INPUT_LINEALITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__INPUT_LINEALITY" onclick="swap_content('span:PolyhedralFan__INPUT_LINEALITY'); return false;"><b>INPUT_LINEALITY</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:PolyhedralFan__INPUT_LINEALITY" class="foldit"><div class="descr"><p> Vectors whose linear span defines a subset of the lineality space of the fan; 
 redundancies are allowed.</p><p> Input section only.  Ask for <a href="#PolyhedralFan__LINEALITY_SPACE" onclick="unfold('span:PolyhedralFan__LINEALITY_SPACE');">LINEALITY_SPACE</a> if you want to know the lineality space.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__INPUT_RAYS" onclick="swap_content('span:PolyhedralFan__INPUT_RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__INPUT_RAYS" onclick="swap_content('span:PolyhedralFan__INPUT_RAYS'); return false;"><b>INPUT_RAYS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:PolyhedralFan__INPUT_RAYS" class="foldit"><div class="descr"><p> Rays from which the cones are formed.  May be redundant. All vectors in the input must be non-zero.
 You also need to provide <a href="#PolyhedralFan__INPUT_CONES" onclick="unfold('span:PolyhedralFan__INPUT_CONES');">INPUT_CONES</a> to define a fan completely.</p><p> Input section only. Ask for <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a> if you want a list of non-redundant rays.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__properties__Topology" onclick="swap_content('span:PolyhedralFan__properties__Topology'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralFan__properties__Topology" onclick="swap_content('span:PolyhedralFan__properties__Topology'); return false;"><span class="category">Topology</span></a></h3></div><div style="display: inline" id="span:PolyhedralFan__properties__Topology" class="foldit"><div class="descr"><p> The following properties are topological invariants.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__HOMOLOGY" onclick="swap_content('span:PolyhedralFan__HOMOLOGY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__HOMOLOGY" onclick="swap_content('span:PolyhedralFan__HOMOLOGY'); return false;"><b>HOMOLOGY</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;HomologyGroup&lt;Integer&gt;&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__HOMOLOGY" class="foldit"><div class="descr"><p> The homology of the intersection of the fan with the unit sphere.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__INTERSECTION_COMPLEX" onclick="swap_content('span:PolyhedralFan__INTERSECTION_COMPLEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__INTERSECTION_COMPLEX" onclick="swap_content('span:PolyhedralFan__INTERSECTION_COMPLEX'); return false;"><b>INTERSECTION_COMPLEX</b>:
		</a><a href="topaz.html#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">topaz::SimplicialComplex</a><br/><div style="display: inline" id="span:PolyhedralFan__INTERSECTION_COMPLEX" class="foldit"><div class="descr"><p> If the fan is <a href="#PolyhedralFan__SIMPLICIAL" onclick="unfold('span:PolyhedralFan__SIMPLICIAL');">SIMPLICIAL</a> the simplicial complex obtained by intersection
 the fan with the unit sphere.
 If the fan is not <a href="#PolyhedralFan__SIMPLICIAL" onclick="unfold('span:PolyhedralFan__SIMPLICIAL');">SIMPLICIAL</a> the crosscut complex of the intersection.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__properties__Toric_Varieties" onclick="swap_content('span:PolyhedralFan__properties__Toric_Varieties'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralFan__properties__Toric_Varieties" onclick="swap_content('span:PolyhedralFan__properties__Toric_Varieties'); return false;"><span class="category">Toric Varieties</span></a></h3></div><div style="display: inline" id="span:PolyhedralFan__properties__Toric_Varieties" class="foldit"><div class="descr"><p> Properties coming from associated toric varieties</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__GORENSTEIN" onclick="swap_content('span:PolyhedralFan__GORENSTEIN'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__GORENSTEIN" onclick="swap_content('span:PolyhedralFan__GORENSTEIN'); return false;"><b>GORENSTEIN</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:PolyhedralFan__GORENSTEIN" class="foldit"><div class="descr"><b>Only defined for <a href="#PolyhedralFan__specializations__PolyhedralFan_Rational">PolyhedralFan&lt;Rational&gt;</a></b></div><div class="descr"><p> A fan is <em class="u">Gorenstein</em> if it is <a href="#PolyhedralFan__Q_GORENSTEIN" onclick="unfold('span:PolyhedralFan__Q_GORENSTEIN');">Q_GORENSTEIN</a> with <a href="#PolyhedralFan__Q_GORENSTEIN_INDEX" onclick="unfold('span:PolyhedralFan__Q_GORENSTEIN_INDEX');">Q_GORENSTEIN_INDEX</a> equal to one.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__Q_GORENSTEIN" onclick="swap_content('span:PolyhedralFan__Q_GORENSTEIN'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__Q_GORENSTEIN" onclick="swap_content('span:PolyhedralFan__Q_GORENSTEIN'); return false;"><b>Q_GORENSTEIN</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:PolyhedralFan__Q_GORENSTEIN" class="foldit"><div class="descr"><b>Only defined for <a href="#PolyhedralFan__specializations__PolyhedralFan_Rational">PolyhedralFan&lt;Rational&gt;</a></b></div><div class="descr"><p> A fan is <em class="u">Q-GORENSTEIN</em> if each maximal cone is <a href="polytope.html#Cone__Q_GORENSTEIN_CONE" onclick="unfold('span:Cone__Q_GORENSTEIN_CONE');">Q_Gorenstein</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__Q_GORENSTEIN_INDEX" onclick="swap_content('span:PolyhedralFan__Q_GORENSTEIN_INDEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__Q_GORENSTEIN_INDEX" onclick="swap_content('span:PolyhedralFan__Q_GORENSTEIN_INDEX'); return false;"><b>Q_GORENSTEIN_INDEX</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PolyhedralFan__Q_GORENSTEIN_INDEX" class="foldit"><div class="descr"><b>Only defined for <a href="#PolyhedralFan__specializations__PolyhedralFan_Rational">PolyhedralFan&lt;Rational&gt;</a></b></div><div class="descr"><p> If a fan is <a href="#PolyhedralFan__Q_GORENSTEIN" onclick="unfold('span:PolyhedralFan__Q_GORENSTEIN');">Q_GORENSTEIN</a>, then its <em class="u">Q-Gorenstein index</em> is the least common multiple of the <a href="polytope.html#Cone__Q_GORENSTEIN_CONE_INDEX" onclick="unfold('span:Cone__Q_GORENSTEIN_CONE_INDEX');">Q-Gorenstein indices</a> of its maximal cones. Otherwise Q_GORENSTEIN_INDEX is undefined.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__SMOOTH_FAN" onclick="swap_content('span:PolyhedralFan__SMOOTH_FAN'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__SMOOTH_FAN" onclick="swap_content('span:PolyhedralFan__SMOOTH_FAN'); return false;"><b>SMOOTH_FAN</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:PolyhedralFan__SMOOTH_FAN" class="foldit"><div class="descr"><b>Only defined for <a href="#PolyhedralFan__specializations__PolyhedralFan_Rational">PolyhedralFan&lt;Rational&gt;</a></b></div><div class="descr"><p> A fan is <em class="u">smooth</em> if all cones of the fan are <a href="polytope.html#Cone__SMOOTH_CONE" onclick="unfold('span:Cone__SMOOTH_CONE');">smooth</a>.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__properties__Visualization" onclick="swap_content('span:PolyhedralFan__properties__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralFan__properties__Visualization" onclick="swap_content('span:PolyhedralFan__properties__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:PolyhedralFan__properties__Visualization" class="foldit"><div class="descr"><p> These properties are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__INPUT_RAY_LABELS" onclick="swap_content('span:PolyhedralFan__INPUT_RAY_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__INPUT_RAY_LABELS" onclick="swap_content('span:PolyhedralFan__INPUT_RAY_LABELS'); return false;"><b>INPUT_RAY_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__INPUT_RAY_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#PolyhedralFan__INPUT_RAYS" onclick="unfold('span:PolyhedralFan__INPUT_RAYS');">INPUT_RAYS</a>.  Similar to <a href="#PolyhedralFan__RAY_LABELS" onclick="unfold('span:PolyhedralFan__RAY_LABELS');">RAY_LABELS</a> for <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__MAXIMAL_CONE_LABELS" onclick="swap_content('span:PolyhedralFan__MAXIMAL_CONE_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__MAXIMAL_CONE_LABELS" onclick="swap_content('span:PolyhedralFan__MAXIMAL_CONE_LABELS'); return false;"><b>MAXIMAL_CONE_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__MAXIMAL_CONE_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#PolyhedralFan__MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES');">MAXIMAL_CONES</a>.  Similar to <a href="#PolyhedralFan__RAY_LABELS" onclick="unfold('span:PolyhedralFan__RAY_LABELS');">RAY_LABELS</a> for <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__RAY_LABELS" onclick="swap_content('span:PolyhedralFan__RAY_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__RAY_LABELS" onclick="swap_content('span:PolyhedralFan__RAY_LABELS'); return false;"><b>RAY_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__RAY_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a>.
 If specified, they are shown by visualization tools instead of vertex indices.</p><p> For a polyhedral fan built from scratch, you should create this property by yourself,
 either manually in a text editor, or with a client program.</p></div></div></div></div></li></ul></div></div></div></li></ul><h4>User Methods of PolyhedralFan</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__methods__Combinatorics" onclick="swap_content('span:PolyhedralFan__methods__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralFan__methods__Combinatorics" onclick="swap_content('span:PolyhedralFan__methods__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:PolyhedralFan__methods__Combinatorics" class="foldit"><div class="descr"><p> These methods capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__cone" onclick="swap_content('span:PolyhedralFan__cone'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__cone" onclick="swap_content('span:PolyhedralFan__cone'); return false;"><b>cone</b></a>
			(i)  

			
				→ Cone<div style="display: inline" id="span:PolyhedralFan__cone" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="param">i</em>-th maximal cone.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="polytope.html#Cone" onclick="unfold('span:Cone');">Cone</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__MAXIMAL_CONES_DIMS" onclick="swap_content('span:PolyhedralFan__MAXIMAL_CONES_DIMS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__MAXIMAL_CONES_DIMS" onclick="swap_content('span:PolyhedralFan__MAXIMAL_CONES_DIMS'); return false;"><b>MAXIMAL_CONES_DIMS</b></a>
			()  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:PolyhedralFan__MAXIMAL_CONES_DIMS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The dimensions of the <a href="#PolyhedralFan__MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES');">maximal cones</a>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__methods__Geometry" onclick="swap_content('span:PolyhedralFan__methods__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralFan__methods__Geometry" onclick="swap_content('span:PolyhedralFan__methods__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:PolyhedralFan__methods__Geometry" class="foldit"><div class="descr"><p> These methods capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__AMBIENT_DIM" onclick="swap_content('span:PolyhedralFan__AMBIENT_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__AMBIENT_DIM" onclick="swap_content('span:PolyhedralFan__AMBIENT_DIM'); return false;"><b>AMBIENT_DIM</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:PolyhedralFan__AMBIENT_DIM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the dimension of the ambient space.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__DIM" onclick="swap_content('span:PolyhedralFan__DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__DIM" onclick="swap_content('span:PolyhedralFan__DIM'); return false;"><b>DIM</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:PolyhedralFan__DIM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the dimension of the linear space spanned by the fan.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__methods__Visualization" onclick="swap_content('span:PolyhedralFan__methods__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PolyhedralFan__methods__Visualization" onclick="swap_content('span:PolyhedralFan__methods__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:PolyhedralFan__methods__Visualization" class="foldit"><div class="descr"><p> These methods are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__VISUAL" onclick="swap_content('span:PolyhedralFan__VISUAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__VISUAL" onclick="swap_content('span:PolyhedralFan__VISUAL'); return false;"><b>VISUAL</b></a>
			()  

			
				→ Visual::PolyhedralFan<div style="display: inline" id="span:PolyhedralFan__VISUAL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualizes the fan, intersected with the unit ball.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PolyhedralFan" onclick="unfold('span:Visual_PolyhedralFan');">Visual::PolyhedralFan</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul><h4>Permutations of PolyhedralFan</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__permutations__ConesPerm" onclick="swap_content('span:PolyhedralFan__permutations__ConesPerm'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__permutations__ConesPerm" onclick="swap_content('span:PolyhedralFan__permutations__ConesPerm'); return false;"><b>ConesPerm</b></a><div style="display: inline" id="span:PolyhedralFan__permutations__ConesPerm" class="foldit"><div class="undoc"><p>UNDOCUMENTED</p></div><h4>Properties of ConesPerm</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__permutations__ConesPerm__PERMUTATION" onclick="swap_content('span:PolyhedralFan__permutations__ConesPerm__PERMUTATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__permutations__ConesPerm__PERMUTATION" onclick="swap_content('span:PolyhedralFan__permutations__ConesPerm__PERMUTATION'); return false;"><b>PERMUTATION</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__permutations__ConesPerm__PERMUTATION" class="foldit"><div class="descr"><p> transforming <a href="#PolyhedralFan__MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES');">MAXIMAL_CONES</a> from this into basic object</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PolyhedralFan__permutations__RaysPerm" onclick="swap_content('span:PolyhedralFan__permutations__RaysPerm'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__permutations__RaysPerm" onclick="swap_content('span:PolyhedralFan__permutations__RaysPerm'); return false;"><b>RaysPerm</b></a><div style="display: inline" id="span:PolyhedralFan__permutations__RaysPerm" class="foldit"><div class="undoc"><p>UNDOCUMENTED</p></div><h4>Properties of RaysPerm</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PolyhedralFan__permutations__RaysPerm__PERMUTATION" onclick="swap_content('span:PolyhedralFan__permutations__RaysPerm__PERMUTATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PolyhedralFan__permutations__RaysPerm__PERMUTATION" onclick="swap_content('span:PolyhedralFan__permutations__RaysPerm__PERMUTATION'); return false;"><b>PERMUTATION</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:PolyhedralFan__permutations__RaysPerm__PERMUTATION" class="foldit"><div class="descr"><p> transforming <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a> from this into basic object</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints" onclick="swap_content('span:SubdivisionOfPoints'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="SubdivisionOfPoints" onclick="swap_content('span:SubdivisionOfPoints'); return false;"><span class="object">SubdivisionOfPoints</span></a></h3></div><div style="display: inline" id="span:SubdivisionOfPoints" class="foldit"><div class="descr"><p> A homogeneous variant of <a href="#SubdivisionOfVectors" onclick="unfold('span:SubdivisionOfVectors');">SubdivisionOfVectors</a>, similar to the derivation of <a href="polytope.html#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a> from <a href="polytope.html#VectorConfiguration" onclick="unfold('span:VectorConfiguration');">VectorConfiguration</a>.</p></div><b>derived from: </b><a href="#SubdivisionOfVectors" onclick="unfold('span:SubdivisionOfVectors');">SubdivisionOfVectors</a><br/><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>default: <a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table></div><h4>Properties of SubdivisionOfPoints</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__properties__Combinatorics" onclick="swap_content('span:SubdivisionOfPoints__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SubdivisionOfPoints__properties__Combinatorics" onclick="swap_content('span:SubdivisionOfPoints__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:SubdivisionOfPoints__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__REFINED_SPLITS" onclick="swap_content('span:SubdivisionOfPoints__REFINED_SPLITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfPoints__REFINED_SPLITS" onclick="swap_content('span:SubdivisionOfPoints__REFINED_SPLITS'); return false;"><b>REFINED_SPLITS</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:SubdivisionOfPoints__REFINED_SPLITS" class="foldit"><div class="descr"><p> The splits that are coarsenings of the subdivision.
 If the subdivision is regular these form the unique split decomposition of
 the corresponding weight function.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__properties__Geometry" onclick="swap_content('span:SubdivisionOfPoints__properties__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SubdivisionOfPoints__properties__Geometry" onclick="swap_content('span:SubdivisionOfPoints__properties__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:SubdivisionOfPoints__properties__Geometry" class="foldit"><div class="descr"><p> These properties capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__N_POINTS" onclick="swap_content('span:SubdivisionOfPoints__N_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfPoints__N_POINTS" onclick="swap_content('span:SubdivisionOfPoints__N_POINTS'); return false;"><b>N_POINTS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SubdivisionOfPoints__N_POINTS" class="foldit"><div class="descr"><p> The number of <a href="#SubdivisionOfPoints__POINTS" onclick="unfold('span:SubdivisionOfPoints__POINTS');">POINTS</a> in the configuration.
 Alias for property <a href="#SubdivisionOfVectors__N_VECTORS" onclick="unfold('span:SubdivisionOfVectors__N_VECTORS');">SubdivisionOfVectors::N_VECTORS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__POINTS" onclick="swap_content('span:SubdivisionOfPoints__POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfPoints__POINTS" onclick="swap_content('span:SubdivisionOfPoints__POINTS'); return false;"><b>POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:SubdivisionOfPoints__POINTS" class="foldit"><div class="descr"><p> The points of the configuration.  Multiples allowed.
 Alias for property <a href="#SubdivisionOfVectors__VECTORS" onclick="unfold('span:SubdivisionOfVectors__VECTORS');">SubdivisionOfVectors::VECTORS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__POLYHEDRAL_COMPLEX" onclick="swap_content('span:SubdivisionOfPoints__POLYHEDRAL_COMPLEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfPoints__POLYHEDRAL_COMPLEX" onclick="swap_content('span:SubdivisionOfPoints__POLYHEDRAL_COMPLEX'); return false;"><b>POLYHEDRAL_COMPLEX</b>:
		</a><a href="#PolyhedralComplex" onclick="unfold('span:PolyhedralComplex');">PolyhedralComplex</a><br/><div style="display: inline" id="span:SubdivisionOfPoints__POLYHEDRAL_COMPLEX" class="foldit"><div class="descr"><p> The polyhedral complex induced by the cells of the subdivision.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__REGULAR" onclick="swap_content('span:SubdivisionOfPoints__REGULAR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfPoints__REGULAR" onclick="swap_content('span:SubdivisionOfPoints__REGULAR'); return false;"><b>REGULAR</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:SubdivisionOfPoints__REGULAR" class="foldit"><div class="descr"><p> Whether the subdivision is regular, i.e. induced by a weight vector.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__WEIGHTS" onclick="swap_content('span:SubdivisionOfPoints__WEIGHTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfPoints__WEIGHTS" onclick="swap_content('span:SubdivisionOfPoints__WEIGHTS'); return false;"><b>WEIGHTS</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:SubdivisionOfPoints__WEIGHTS" class="foldit"><div class="descr"><p> Vector assigning a weight to each point to get a regular subdivision.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__properties__Visualization" onclick="swap_content('span:SubdivisionOfPoints__properties__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SubdivisionOfPoints__properties__Visualization" onclick="swap_content('span:SubdivisionOfPoints__properties__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:SubdivisionOfPoints__properties__Visualization" class="foldit"><div class="descr"><p> These properties are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__POINT_LABELS" onclick="swap_content('span:SubdivisionOfPoints__POINT_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfPoints__POINT_LABELS" onclick="swap_content('span:SubdivisionOfPoints__POINT_LABELS'); return false;"><b>POINT_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:SubdivisionOfPoints__POINT_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#SubdivisionOfPoints__POINTS" onclick="unfold('span:SubdivisionOfPoints__POINTS');">POINTS</a>.
 If specified, they are shown by visualization tools instead of point indices.
 Alias for property <a href="#SubdivisionOfVectors__LABELS" onclick="unfold('span:SubdivisionOfVectors__LABELS');">SubdivisionOfVectors::LABELS</a>.</p></div></div></div></div></li></ul></div></div></div></li></ul><h4>User Methods of SubdivisionOfPoints</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__methods__Geometry" onclick="swap_content('span:SubdivisionOfPoints__methods__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SubdivisionOfPoints__methods__Geometry" onclick="swap_content('span:SubdivisionOfPoints__methods__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:SubdivisionOfPoints__methods__Geometry" class="foldit"><div class="descr"><p> These methods capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__AMBIENT_DIM" onclick="swap_content('span:SubdivisionOfPoints__AMBIENT_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfPoints__AMBIENT_DIM" onclick="swap_content('span:SubdivisionOfPoints__AMBIENT_DIM'); return false;"><b>AMBIENT_DIM</b></a>
			()  

			<div style="display: inline" id="span:SubdivisionOfPoints__AMBIENT_DIM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Ambient dimension of the point configuration (without the homogenization coordinate).
 Similar to <a href="polytope.html#PointConfiguration__AMBIENT_DIM" onclick="unfold('span:PointConfiguration__AMBIENT_DIM');">PointConfiguration::AMBIENT_DIM</a>.</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__cell" onclick="swap_content('span:SubdivisionOfPoints__cell'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfPoints__cell" onclick="swap_content('span:SubdivisionOfPoints__cell'); return false;"><b>cell</b></a>
			(i)  

			
				→ PointConfiguration<div style="display: inline" id="span:SubdivisionOfPoints__cell" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="param">i</em>-th cell of the complex as a <a href="polytope.html#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="polytope.html#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__DIM" onclick="swap_content('span:SubdivisionOfPoints__DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfPoints__DIM" onclick="swap_content('span:SubdivisionOfPoints__DIM'); return false;"><b>DIM</b></a>
			()  

			<div style="display: inline" id="span:SubdivisionOfPoints__DIM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Affine dimension of the point configuration.
 Similar to <a href="polytope.html#PointConfiguration__DIM" onclick="unfold('span:PointConfiguration__DIM');">PointConfiguration::DIM</a>.</p></div></div><div class="level3"/></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__methods__Visualization" onclick="swap_content('span:SubdivisionOfPoints__methods__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SubdivisionOfPoints__methods__Visualization" onclick="swap_content('span:SubdivisionOfPoints__methods__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:SubdivisionOfPoints__methods__Visualization" class="foldit"><div class="descr"><p> These methods are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SubdivisionOfPoints__VISUAL" onclick="swap_content('span:SubdivisionOfPoints__VISUAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfPoints__VISUAL" onclick="swap_content('span:SubdivisionOfPoints__VISUAL'); return false;"><b>VISUAL</b></a>
			()  

			
				→ Visual::PolyhedralFan<div style="display: inline" id="span:SubdivisionOfPoints__VISUAL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualizes the <a href="#SubdivisionOfPoints" onclick="unfold('span:SubdivisionOfPoints');">SubdivisionOfPoints</a>.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PolyhedralFan" onclick="unfold('span:Visual_PolyhedralFan');">Visual::PolyhedralFan</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors" onclick="swap_content('span:SubdivisionOfVectors'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="SubdivisionOfVectors" onclick="swap_content('span:SubdivisionOfVectors'); return false;"><span class="object">SubdivisionOfVectors</span></a></h3></div><div style="display: inline" id="span:SubdivisionOfVectors" class="foldit"><div class="descr"><p> A subdivision of vectors, in contrast to <a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a> this allows cells with interior points.
 Similar to the distinction between <a href="polytope.html#Cone" onclick="unfold('span:Cone');">Cone</a> and <a href="polytope.html#VectorConfiguration" onclick="unfold('span:VectorConfiguration');">VectorConfiguration</a>.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>default: <a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table></div><h4>Properties of SubdivisionOfVectors</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors__properties__Combinatorics" onclick="swap_content('span:SubdivisionOfVectors__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SubdivisionOfVectors__properties__Combinatorics" onclick="swap_content('span:SubdivisionOfVectors__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:SubdivisionOfVectors__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors__MAXIMAL_CELLS" onclick="swap_content('span:SubdivisionOfVectors__MAXIMAL_CELLS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfVectors__MAXIMAL_CELLS" onclick="swap_content('span:SubdivisionOfVectors__MAXIMAL_CELLS'); return false;"><b>MAXIMAL_CELLS</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:SubdivisionOfVectors__MAXIMAL_CELLS" class="foldit"><div class="descr"><p> Maximal cells of the polyhedral complex.
 Indices refer to <a href="#SubdivisionOfVectors__VECTORS" onclick="unfold('span:SubdivisionOfVectors__VECTORS');">VECTORS</a>. Points do not have to be vertices of the cells.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors__properties__Geometry" onclick="swap_content('span:SubdivisionOfVectors__properties__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SubdivisionOfVectors__properties__Geometry" onclick="swap_content('span:SubdivisionOfVectors__properties__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:SubdivisionOfVectors__properties__Geometry" class="foldit"><div class="descr"><p> These properties capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors__CONVEX" onclick="swap_content('span:SubdivisionOfVectors__CONVEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfVectors__CONVEX" onclick="swap_content('span:SubdivisionOfVectors__CONVEX'); return false;"><b>CONVEX</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:SubdivisionOfVectors__CONVEX" class="foldit"><div class="descr"><p> True if <a href="#SubdivisionOfVectors__VECTORS" onclick="unfold('span:SubdivisionOfVectors__VECTORS');">VECTORS</a> for each maximal cell are in convex position.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors__FULL_DIM" onclick="swap_content('span:SubdivisionOfVectors__FULL_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfVectors__FULL_DIM" onclick="swap_content('span:SubdivisionOfVectors__FULL_DIM'); return false;"><b>FULL_DIM</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:SubdivisionOfVectors__FULL_DIM" class="foldit"><div class="descr"><p> <a href="#SubdivisionOfPoints__AMBIENT_DIM" onclick="unfold('span:SubdivisionOfPoints__AMBIENT_DIM');">AMBIENT_DIM</a> and <a href="#SubdivisionOfPoints__DIM" onclick="unfold('span:SubdivisionOfPoints__DIM');">DIM</a> coincide.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors__LINEAR_SPAN" onclick="swap_content('span:SubdivisionOfVectors__LINEAR_SPAN'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfVectors__LINEAR_SPAN" onclick="swap_content('span:SubdivisionOfVectors__LINEAR_SPAN'); return false;"><b>LINEAR_SPAN</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:SubdivisionOfVectors__LINEAR_SPAN" class="foldit"><div class="descr"><p> Dual basis of the linear hull of the vector configuration</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors__N_VECTORS" onclick="swap_content('span:SubdivisionOfVectors__N_VECTORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfVectors__N_VECTORS" onclick="swap_content('span:SubdivisionOfVectors__N_VECTORS'); return false;"><b>N_VECTORS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SubdivisionOfVectors__N_VECTORS" class="foldit"><div class="descr"><p> Number of <a href="#SubdivisionOfVectors__VECTORS" onclick="unfold('span:SubdivisionOfVectors__VECTORS');">VECTORS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors__VECTORS" onclick="swap_content('span:SubdivisionOfVectors__VECTORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfVectors__VECTORS" onclick="swap_content('span:SubdivisionOfVectors__VECTORS'); return false;"><b>VECTORS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:SubdivisionOfVectors__VECTORS" class="foldit"><div class="descr"><p> The vectors of the subdivision, </p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors__VECTOR_AMBIENT_DIM" onclick="swap_content('span:SubdivisionOfVectors__VECTOR_AMBIENT_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfVectors__VECTOR_AMBIENT_DIM" onclick="swap_content('span:SubdivisionOfVectors__VECTOR_AMBIENT_DIM'); return false;"><b>VECTOR_AMBIENT_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SubdivisionOfVectors__VECTOR_AMBIENT_DIM" class="foldit"><div class="descr"><p> Dimension of the space in which the vector configuration lives.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors__VECTOR_DIM" onclick="swap_content('span:SubdivisionOfVectors__VECTOR_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfVectors__VECTOR_DIM" onclick="swap_content('span:SubdivisionOfVectors__VECTOR_DIM'); return false;"><b>VECTOR_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SubdivisionOfVectors__VECTOR_DIM" class="foldit"><div class="descr"><p> Dimension of the linear hull of the vector configuration.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors__properties__Visualization" onclick="swap_content('span:SubdivisionOfVectors__properties__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SubdivisionOfVectors__properties__Visualization" onclick="swap_content('span:SubdivisionOfVectors__properties__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:SubdivisionOfVectors__properties__Visualization" class="foldit"><div class="descr"><p> These properties are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors__LABELS" onclick="swap_content('span:SubdivisionOfVectors__LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfVectors__LABELS" onclick="swap_content('span:SubdivisionOfVectors__LABELS'); return false;"><b>LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:SubdivisionOfVectors__LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#SubdivisionOfVectors__VECTORS" onclick="unfold('span:SubdivisionOfVectors__VECTORS');">VECTORS</a>.
 If specified, they are shown by visualization tools instead of point indices.</p></div></div></div></div></li></ul></div></div></div></li></ul><h4>User Methods of SubdivisionOfVectors</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors__methods__Geometry" onclick="swap_content('span:SubdivisionOfVectors__methods__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SubdivisionOfVectors__methods__Geometry" onclick="swap_content('span:SubdivisionOfVectors__methods__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:SubdivisionOfVectors__methods__Geometry" class="foldit"><div class="descr"><p> These methods capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SubdivisionOfVectors__cell" onclick="swap_content('span:SubdivisionOfVectors__cell'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SubdivisionOfVectors__cell" onclick="swap_content('span:SubdivisionOfVectors__cell'); return false;"><b>cell</b></a>
			(i)  

			
				→ VectorConfiguration<div style="display: inline" id="span:SubdivisionOfVectors__cell" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="param">i</em>-th cell of the complex as a <a href="polytope.html#VectorConfiguration" onclick="unfold('span:VectorConfiguration');">VectorConfiguration</a></p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="polytope.html#VectorConfiguration" onclick="unfold('span:VectorConfiguration');">VectorConfiguration</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan" onclick="swap_content('span:SymmetricFan'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="SymmetricFan" onclick="swap_content('span:SymmetricFan'); return false;"><span class="object">SymmetricFan</span></a></h3></div><div style="display: inline" id="span:SymmetricFan" class="foldit"><div class="descr"><p> A <a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a> with a symmetry group acting on the coordinates.</p></div><b>derived from: </b><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a><br/><div class="level3"/><h4>Properties of SymmetricFan</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SymmetricFan__properties__Input_property" onclick="swap_content('span:SymmetricFan__properties__Input_property'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SymmetricFan__properties__Input_property" onclick="swap_content('span:SymmetricFan__properties__Input_property'); return false;"><span class="category">Input property</span></a></h3></div><div style="display: inline" id="span:SymmetricFan__properties__Input_property" class="foldit"><div class="descr"><p> These properties are for input only. They allow redundant information.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SymmetricFan__INPUT_CONES_REPS" onclick="swap_content('span:SymmetricFan__INPUT_CONES_REPS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__INPUT_CONES_REPS" onclick="swap_content('span:SymmetricFan__INPUT_CONES_REPS'); return false;"><b>INPUT_CONES_REPS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__INPUT_CONES_REPS" class="foldit"><div class="descr"><p> Maybe redundant list of not necessarily maximal cones, one from each orbit.  
 All vectors in the input must be non-zero.
 Indices refer to <a href="#PolyhedralFan__INPUT_RAYS" onclick="unfold('span:PolyhedralFan__INPUT_RAYS');">INPUT_RAYS</a>.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__properties__Symmetry" onclick="swap_content('span:SymmetricFan__properties__Symmetry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="SymmetricFan__properties__Symmetry" onclick="swap_content('span:SymmetricFan__properties__Symmetry'); return false;"><span class="category">Symmetry</span></a></h3></div><div style="display: inline" id="span:SymmetricFan__properties__Symmetry" class="foldit"><div class="descr"><p> These properties capture information of the object that is concerned with the action of permutation groups.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SymmetricFan__CONES_ORBIT_SIZES" onclick="swap_content('span:SymmetricFan__CONES_ORBIT_SIZES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__CONES_ORBIT_SIZES" onclick="swap_content('span:SymmetricFan__CONES_ORBIT_SIZES'); return false;"><b>CONES_ORBIT_SIZES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__CONES_ORBIT_SIZES" class="foldit"><div class="descr"><p> Number of <a href="#SymmetricFan__CONES_REPS" onclick="unfold('span:SymmetricFan__CONES_REPS');">CONES_REPS</a> in each orbit.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__CONES_REPS" onclick="swap_content('span:SymmetricFan__CONES_REPS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__CONES_REPS" onclick="swap_content('span:SymmetricFan__CONES_REPS'); return false;"><b>CONES_REPS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Set&lt;Int&gt;&gt;&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__CONES_REPS" class="foldit"><div class="descr"><p> List of all cones of all dimensions of the fan, one from each orbit.  Indices refer to <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__MAXIMAL_CONES_IN_ORBITS" onclick="swap_content('span:SymmetricFan__MAXIMAL_CONES_IN_ORBITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__MAXIMAL_CONES_IN_ORBITS" onclick="swap_content('span:SymmetricFan__MAXIMAL_CONES_IN_ORBITS'); return false;"><b>MAXIMAL_CONES_IN_ORBITS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__MAXIMAL_CONES_IN_ORBITS" class="foldit"><div class="descr"><p> Tells which maximal cone is in the orbit of which representative, indices refers to rows of <a href="#PolyhedralFan__MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES');">MAXIMAL_CONES</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__MAXIMAL_CONES_ORBIT_SIZES" onclick="swap_content('span:SymmetricFan__MAXIMAL_CONES_ORBIT_SIZES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__MAXIMAL_CONES_ORBIT_SIZES" onclick="swap_content('span:SymmetricFan__MAXIMAL_CONES_ORBIT_SIZES'); return false;"><b>MAXIMAL_CONES_ORBIT_SIZES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__MAXIMAL_CONES_ORBIT_SIZES" class="foldit"><div class="descr"><p> Number of <a href="#SymmetricFan__MAXIMAL_CONES_REPS" onclick="unfold('span:SymmetricFan__MAXIMAL_CONES_REPS');">MAXIMAL_CONES_REPS</a> in each orbit.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__MAXIMAL_CONES_REPS" onclick="swap_content('span:SymmetricFan__MAXIMAL_CONES_REPS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__MAXIMAL_CONES_REPS" onclick="swap_content('span:SymmetricFan__MAXIMAL_CONES_REPS'); return false;"><b>MAXIMAL_CONES_REPS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__MAXIMAL_CONES_REPS" class="foldit"><div class="descr"><p> Non redundant list of maximal cones, one from each orbit.  Indices refer to <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__MAXIMAL_CONES_REPS_DIMS" onclick="swap_content('span:SymmetricFan__MAXIMAL_CONES_REPS_DIMS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__MAXIMAL_CONES_REPS_DIMS" onclick="swap_content('span:SymmetricFan__MAXIMAL_CONES_REPS_DIMS'); return false;"><b>MAXIMAL_CONES_REPS_DIMS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__MAXIMAL_CONES_REPS_DIMS" class="foldit"><div class="descr"><p> The dimensions of <a href="#SymmetricFan__MAXIMAL_CONES_REPS" onclick="unfold('span:SymmetricFan__MAXIMAL_CONES_REPS');">MAXIMAL_CONES_REPS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__MAXIMAL_CONES_REPS_FACETS" onclick="swap_content('span:SymmetricFan__MAXIMAL_CONES_REPS_FACETS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__MAXIMAL_CONES_REPS_FACETS" onclick="swap_content('span:SymmetricFan__MAXIMAL_CONES_REPS_FACETS'); return false;"><b>MAXIMAL_CONES_REPS_FACETS</b>:
		</a><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">common::SparseMatrix&lt;Int, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__MAXIMAL_CONES_REPS_FACETS" class="foldit"><div class="descr"><p> Tells for each maximal cone representative what are its facets.
 A negative number means that the corresponding row of
 <a href="#SymmetricFan__REPS_FACET_NORMALS" onclick="unfold('span:SymmetricFan__REPS_FACET_NORMALS');">REPS_FACET_NORMALS</a> has to be negated.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__MAXIMAL_CONES_REPS_LINEAR_SPAN_NORMALS" onclick="swap_content('span:SymmetricFan__MAXIMAL_CONES_REPS_LINEAR_SPAN_NORMALS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__MAXIMAL_CONES_REPS_LINEAR_SPAN_NORMALS" onclick="swap_content('span:SymmetricFan__MAXIMAL_CONES_REPS_LINEAR_SPAN_NORMALS'); return false;"><b>MAXIMAL_CONES_REPS_LINEAR_SPAN_NORMALS</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__MAXIMAL_CONES_REPS_LINEAR_SPAN_NORMALS" class="foldit"><div class="descr"><p> Tells for each maximal cone representative what is its linear span.
 Indices refer to <a href="#SymmetricFan__REPS_LINEAR_SPAN_NORMALS" onclick="unfold('span:SymmetricFan__REPS_LINEAR_SPAN_NORMALS');">REPS_LINEAR_SPAN_NORMALS</a>.
 Rows correspond to <a href="#SymmetricFan__MAXIMAL_CONES_REPS_FACETS" onclick="unfold('span:SymmetricFan__MAXIMAL_CONES_REPS_FACETS');">MAXIMAL_CONES_REPS_FACETS</a></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__N_MAXIMAL_CONE_ORBITS" onclick="swap_content('span:SymmetricFan__N_MAXIMAL_CONE_ORBITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__N_MAXIMAL_CONE_ORBITS" onclick="swap_content('span:SymmetricFan__N_MAXIMAL_CONE_ORBITS'); return false;"><b>N_MAXIMAL_CONE_ORBITS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SymmetricFan__N_MAXIMAL_CONE_ORBITS" class="foldit"><div class="descr"><p> Number of orbits of <a href="#PolyhedralFan__MAXIMAL_CONES" onclick="unfold('span:PolyhedralFan__MAXIMAL_CONES');">MAXIMAL_CONES</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__N_RAY_ORBITS" onclick="swap_content('span:SymmetricFan__N_RAY_ORBITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__N_RAY_ORBITS" onclick="swap_content('span:SymmetricFan__N_RAY_ORBITS'); return false;"><b>N_RAY_ORBITS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SymmetricFan__N_RAY_ORBITS" class="foldit"><div class="descr"><p> Number of orbits of <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__N_SYMMETRIES" onclick="swap_content('span:SymmetricFan__N_SYMMETRIES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__N_SYMMETRIES" onclick="swap_content('span:SymmetricFan__N_SYMMETRIES'); return false;"><b>N_SYMMETRIES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SymmetricFan__N_SYMMETRIES" class="foldit"><div class="descr"><p> Number of elements of the symmetry group.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__ORBITS_F_VECTOR" onclick="swap_content('span:SymmetricFan__ORBITS_F_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__ORBITS_F_VECTOR" onclick="swap_content('span:SymmetricFan__ORBITS_F_VECTOR'); return false;"><b>ORBITS_F_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__ORBITS_F_VECTOR" class="foldit"><div class="descr"><p> f<sub>k</sub> is the number of k-dimensional cones up to symmetry.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__RAYS_IMAGES" onclick="swap_content('span:SymmetricFan__RAYS_IMAGES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__RAYS_IMAGES" onclick="swap_content('span:SymmetricFan__RAYS_IMAGES'); return false;"><b>RAYS_IMAGES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__RAYS_IMAGES" class="foldit"><div class="descr"><p> Each row contains the image of all <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a> under one element of the symmetry group.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__RAYS_IN_ORBITS" onclick="swap_content('span:SymmetricFan__RAYS_IN_ORBITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__RAYS_IN_ORBITS" onclick="swap_content('span:SymmetricFan__RAYS_IN_ORBITS'); return false;"><b>RAYS_IN_ORBITS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__RAYS_IN_ORBITS" class="foldit"><div class="descr"><p> Tells which ray is in the orbit of which representative, indices refers to rows of <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__RAYS_ORBIT_SIZES" onclick="swap_content('span:SymmetricFan__RAYS_ORBIT_SIZES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__RAYS_ORBIT_SIZES" onclick="swap_content('span:SymmetricFan__RAYS_ORBIT_SIZES'); return false;"><b>RAYS_ORBIT_SIZES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__RAYS_ORBIT_SIZES" class="foldit"><div class="descr"><p> Number of elements of each orbit of <a href="#PolyhedralFan__RAYS" onclick="unfold('span:PolyhedralFan__RAYS');">RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__RAYS_REPS" onclick="swap_content('span:SymmetricFan__RAYS_REPS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__RAYS_REPS" onclick="swap_content('span:SymmetricFan__RAYS_REPS'); return false;"><b>RAYS_REPS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:SymmetricFan__RAYS_REPS" class="foldit"><div class="descr"><p> One ray from each orbit. Non-redundant.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__RAYS_REPS_LABELS" onclick="swap_content('span:SymmetricFan__RAYS_REPS_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__RAYS_REPS_LABELS" onclick="swap_content('span:SymmetricFan__RAYS_REPS_LABELS'); return false;"><b>RAYS_REPS_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__RAYS_REPS_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#SymmetricFan__RAYS_REPS" onclick="unfold('span:SymmetricFan__RAYS_REPS');">RAYS_REPS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__REPS_FACET_NORMALS" onclick="swap_content('span:SymmetricFan__REPS_FACET_NORMALS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__REPS_FACET_NORMALS" onclick="swap_content('span:SymmetricFan__REPS_FACET_NORMALS'); return false;"><b>REPS_FACET_NORMALS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:SymmetricFan__REPS_FACET_NORMALS" class="foldit"><div class="descr"><p> The possible facet normals of all maximal cone representatives.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__REPS_LINEAR_SPAN_NORMALS" onclick="swap_content('span:SymmetricFan__REPS_LINEAR_SPAN_NORMALS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__REPS_LINEAR_SPAN_NORMALS" onclick="swap_content('span:SymmetricFan__REPS_LINEAR_SPAN_NORMALS'); return false;"><b>REPS_LINEAR_SPAN_NORMALS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:SymmetricFan__REPS_LINEAR_SPAN_NORMALS" class="foldit"><div class="descr"><p> The possible linear span normals of all maximal cone representatives.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__SYMMETRY_GENERATORS" onclick="swap_content('span:SymmetricFan__SYMMETRY_GENERATORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__SYMMETRY_GENERATORS" onclick="swap_content('span:SymmetricFan__SYMMETRY_GENERATORS'); return false;"><b>SYMMETRY_GENERATORS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__SYMMETRY_GENERATORS" class="foldit"><div class="descr"><p> Each element of the array is a generator of the subgroup of the symmetric group
 acting on the coordintates. Each generator is represented by an Array whose ith
 entry is the image of ith coordinate.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricFan__SYMMETRY_GROUP" onclick="swap_content('span:SymmetricFan__SYMMETRY_GROUP'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__SYMMETRY_GROUP" onclick="swap_content('span:SymmetricFan__SYMMETRY_GROUP'); return false;"><b>SYMMETRY_GROUP</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:SymmetricFan__SYMMETRY_GROUP" class="foldit"><div class="descr"><p> Each element of the array is an element of the symmetry group.</p></div></div></div></div></li></ul></div></div></div></li></ul><h4>User Methods of SymmetricFan</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SymmetricFan__cone_representative" onclick="swap_content('span:SymmetricFan__cone_representative'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricFan__cone_representative" onclick="swap_content('span:SymmetricFan__cone_representative'); return false;"><b>cone_representative</b></a>
			(i)  

			
				→ Cone<div style="display: inline" id="span:SymmetricFan__cone_representative" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="param">i</em>-th maximal cone representative.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="polytope.html#Cone" onclick="unfold('span:Cone');">Cone</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_PlanarNet" onclick="swap_content('span:Visual_PlanarNet'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="Visual_PlanarNet" onclick="swap_content('span:Visual_PlanarNet'); return false;"><span class="object">Visual::PlanarNet</span></a></h3></div><div style="display: inline" id="span:Visual_PlanarNet" class="foldit"><b>Category: </b>Visualization<br/><div class="descr"><p> Visualization of a 3-polytope as a planar net.</p></div><b>derived from: </b><a href="common.html#Visual_Container" onclick="unfold('span:Visual_Container');">Visual::Container</a><br/><div class="level3"/><h4>User Methods of Visual::PlanarNet</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Visual_PlanarNet__FLAPS" onclick="swap_content('span:Visual_PlanarNet__FLAPS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_PlanarNet__FLAPS" onclick="swap_content('span:Visual_PlanarNet__FLAPS'); return false;"><b>FLAPS</b></a>
			()  

			
				→ Visual::PlanarNet<div style="display: inline" id="span:Visual_PlanarNet__FLAPS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Add flaps for gluing.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr><tr><td>option list:</td><td>flap_options</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PlanarNet" onclick="unfold('span:Visual_PlanarNet');">Visual::PlanarNet</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_PolyhedralFan" onclick="swap_content('span:Visual_PolyhedralFan'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="Visual_PolyhedralFan" onclick="swap_content('span:Visual_PolyhedralFan'); return false;"><span class="object">Visual::PolyhedralFan</span></a></h3></div><div style="display: inline" id="span:Visual_PolyhedralFan" class="foldit"><b>Category: </b>Visualization<br/><div class="descr"><p> Visualization of a polyhedral fan as a graph</p></div><b>derived from: </b><a href="common.html#Visual_Container" onclick="unfold('span:Visual_Container');">Visual::Container</a><br/><div class="level3"/></div></div></div></li></ul></div><div class="level2"><h2>User Functions</h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:functions__Consistency_check" onclick="swap_content('span:functions__Consistency_check'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Consistency_check" onclick="swap_content('span:functions__Consistency_check'); return false;"><span class="category">Consistency check</span></a></h3></div><div style="display: inline" id="span:functions__Consistency_check" class="foldit"><div class="descr"><p> These clients provide consistency checks, e.g. whether a given list of rays and cones defines a polyhedral fan.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:check_fan" onclick="swap_content('span:check_fan'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="check_fan" onclick="swap_content('span:check_fan'); return false;"><b>check_fan</b></a>
			(rays, cones)  

			
				→ PolyhedralFan<div style="display: inline" id="span:check_fan" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether a given set of <em class="param">rays</em> together with a list <em class="param">cones</em>
 defines a polyhedral fan.
 If this is the case, the ouput is the <a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a> defined by <em class="param">rays</em>
 as <a href="#PolyhedralFan__INPUT_RAYS" onclick="unfold('span:PolyhedralFan__INPUT_RAYS');">INPUT_RAYS</a>, <em class="param">cones</em> as <a href="#PolyhedralFan__INPUT_CONES" onclick="unfold('span:PolyhedralFan__INPUT_CONES');">INPUT_CONES</a>, <em class="param">lineality_space</em> as
 <a href="#PolyhedralFan__LINEALITY_SPACE" onclick="unfold('span:PolyhedralFan__LINEALITY_SPACE');">LINEALITY_SPACE</a> if this option is given.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">rays</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt; Set&lt;int&gt; &gt;</a></td><td class="param">cones</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">lineality_space</td><td><div class="descr"><div>Common lineality space for the cones.</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>prints information about the check.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:check_fan_objects" onclick="swap_content('span:check_fan_objects'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="check_fan_objects" onclick="swap_content('span:check_fan_objects'); return false;"><b>check_fan_objects</b></a>
			&lt;Coord&gt;
		 
			(cones)  

			
				→ PolyhedralFan<div style="display: inline" id="span:check_fan_objects" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether the <a href="polytope.html#Cone" onclick="unfold('span:Cone');">polytope::Cone</a> objects form a polyhedral fan.
 If this is the case, returns that <a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a>.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Cone&gt;</a></td><td class="param">cones</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>prints information about the check.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Other" onclick="swap_content('span:functions__Other'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Other" onclick="swap_content('span:functions__Other'); return false;"><span class="category">Other</span></a></h3></div><div style="display: inline" id="span:functions__Other" class="foldit"><div class="descr"><p> Special purpose functions.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:building_set" onclick="swap_content('span:building_set'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="building_set" onclick="swap_content('span:building_set'); return false;"><b>building_set</b></a>
			(the, n)  

			
				→ PowerSet<div style="display: inline" id="span:building_set" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a building set from a family of sets.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Set&gt;</a></td><td class="param">the</td><td><div class="descr"><div>generators of the building set</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the size of the ground set</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#PowerSet" onclick="unfold('span:PowerSet');">PowerSet</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cone_of_tubing" onclick="swap_content('span:cone_of_tubing'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cone_of_tubing" onclick="swap_content('span:cone_of_tubing'); return false;"><b>cone_of_tubing</b></a>
			(G, T)  

			
				→ Cone<div style="display: inline" id="span:cone_of_tubing" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Output the cone of a tubing</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td><div class="descr"><div>the input graph</div></div></td></tr><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">T</td><td><div class="descr"><div>the input tubing</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="polytope.html#Cone" onclick="unfold('span:Cone');">Cone</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:flip_tube" onclick="swap_content('span:flip_tube'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="flip_tube" onclick="swap_content('span:flip_tube'); return false;"><b>flip_tube</b></a>
			(G, T, t)  

			
				→ Graph<div style="display: inline" id="span:flip_tube" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Flip a tubing in a tube</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td><div class="descr"><div>the input graph</div></div></td></tr><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">T</td><td><div class="descr"><div>the input tubing</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">t</td><td><div class="descr"><div>the tube to flip, identified by its root</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:is_building_set" onclick="swap_content('span:is_building_set'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="is_building_set" onclick="swap_content('span:is_building_set'); return false;"><b>is_building_set</b></a>
			(the, n)  

			
				→ Bool<div style="display: inline" id="span:is_building_set" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check if a family of sets is a building set.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#PowerSet" onclick="unfold('span:PowerSet');">PowerSet</a></td><td class="param">the</td><td><div class="descr"><div>would-be building set</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the size of the ground set</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:is_B_nested" onclick="swap_content('span:is_B_nested'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="is_B_nested" onclick="swap_content('span:is_B_nested'); return false;"><b>is_B_nested</b></a>
			(the, the)  

			
				→ Bool<div style="display: inline" id="span:is_B_nested" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check if a family of sets is nested wrt a given building set.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Set&gt;</a></td><td class="param">the</td><td><div class="descr"><div>would-be nested sets</div></div></td></tr><tr><td><a href="common.html#PowerSet" onclick="unfold('span:PowerSet');">PowerSet</a></td><td class="param">the</td><td><div class="descr"><div>building set</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:tubes_of_graph" onclick="swap_content('span:tubes_of_graph'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="tubes_of_graph" onclick="swap_content('span:tubes_of_graph'); return false;"><b>tubes_of_graph</b></a>
			(G)  

			
				→ Set&lt;Set&gt;<div style="display: inline" id="span:tubes_of_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Output the set of all tubes of a graph</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td><div class="descr"><div>the input graph</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Set&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:tubes_of_tubing" onclick="swap_content('span:tubes_of_tubing'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="tubes_of_tubing" onclick="swap_content('span:tubes_of_tubing'); return false;"><b>tubes_of_tubing</b></a>
			(G, T)  

			
				→ Set&lt;Set&gt;<div style="display: inline" id="span:tubes_of_tubing" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Output the tubes of a tubing</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td><div class="descr"><div>the input graph</div></div></td></tr><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">T</td><td><div class="descr"><div>the input tubing</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Set&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:tubing_of_graph" onclick="swap_content('span:tubing_of_graph'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="tubing_of_graph" onclick="swap_content('span:tubing_of_graph'); return false;"><b>tubing_of_graph</b></a>
			(G)  

			
				→ Set&lt;Set&gt;<div style="display: inline" id="span:tubing_of_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Output one tubing of a graph</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td><div class="descr"><div>the input graph</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Set&gt;</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_fan" onclick="swap_content('span:functions__Producing_a_fan'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_fan" onclick="swap_content('span:functions__Producing_a_fan'); return false;"><span class="category">Producing a fan</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_fan" class="foldit"><div class="descr"><p> These clients provide standard constructions for <a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a> objects, e.g. from polytopes (<a href="#face_fan__Polytope__Vector" onclick="unfold('span:face_fan__Polytope__Vector');">face_fan</a> or <a href="#normal_fan" onclick="unfold('span:normal_fan');">normal_fan</a>) or from other fans (via projection, refinement or product).</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:common_refinement" onclick="swap_content('span:common_refinement'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="common_refinement" onclick="swap_content('span:common_refinement'); return false;"><b>common_refinement</b></a>
			(f1, f2)  

			
				→ PolyhedralFan<div style="display: inline" id="span:common_refinement" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the common refinement of two fans.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td class="param">f1</td><td/></tr><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td class="param">f2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:face_fan__Polytope__Vector" onclick="swap_content('span:face_fan__Polytope__Vector'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="face_fan__Polytope__Vector" onclick="swap_content('span:face_fan__Polytope__Vector'); return false;"><b>face_fan</b></a>
			&lt;Coord&gt;
		 
			(p, v)  

			
				→ PolyhedralFan<div style="display: inline" id="span:face_fan__Polytope__Vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the face fan of <em class="param">p</em>.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p</td><td/></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td><div class="descr"><div>a relative interior point of the polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:face_fan__Polytope" onclick="swap_content('span:face_fan__Polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="face_fan__Polytope" onclick="swap_content('span:face_fan__Polytope'); return false;"><b>face_fan</b></a>
			&lt;Coord&gt;
		 
			(p)  

			
				→ PolyhedralFan<div style="display: inline" id="span:face_fan__Polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the face fan of <em class="param">p</em>.
 the polytope has to be <em class="param">CENTERED</em></p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:graph_associahedron_fan" onclick="swap_content('span:graph_associahedron_fan'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="graph_associahedron_fan" onclick="swap_content('span:graph_associahedron_fan'); return false;"><b>graph_associahedron_fan</b></a>
			(G)  

			
				→ PolyhedralFan<div style="display: inline" id="span:graph_associahedron_fan" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the dual fan of a graph associahedron.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td><div class="descr"><div>the input graph</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:groebner_fan" onclick="swap_content('span:groebner_fan'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="groebner_fan" onclick="swap_content('span:groebner_fan'); return false;"><b>groebner_fan</b></a>
			(I)  

			
				→ SymmetricFan<div style="display: inline" id="span:groebner_fan" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Call <a href="http://polymake.org//external_software#gfan" onclick="unfold('span:gfan');">wiki:external_software#gfan</a> to compute the greobner fan of an ideal.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="ideal.html#Ideal" onclick="unfold('span:Ideal');">ideal::Ideal</a></td><td class="param">I</td><td><div class="descr"><div>input ideal</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SymmetricFan" onclick="unfold('span:SymmetricFan');">SymmetricFan</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:hyperplane_arrangement" onclick="swap_content('span:hyperplane_arrangement'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="hyperplane_arrangement" onclick="swap_content('span:hyperplane_arrangement'); return false;"><b>hyperplane_arrangement</b></a>
			(H)  

			
				→ PolyhedralFan<div style="display: inline" id="span:hyperplane_arrangement" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the fan given by a bunch of hyperplanes <em class="param">H</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">H</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:normal_fan" onclick="swap_content('span:normal_fan'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="normal_fan" onclick="swap_content('span:normal_fan'); return false;"><b>normal_fan</b></a>
			&lt;Coord&gt;
		 
			(p)  

			
				→ PolyhedralFan<div style="display: inline" id="span:normal_fan" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the normal fan of <em class="param">p</em>.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:planar_net" onclick="swap_content('span:planar_net'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="planar_net" onclick="swap_content('span:planar_net'); return false;"><b>planar_net</b></a>
			(p)  

			
				→ PlanarNet<div style="display: inline" id="span:planar_net" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes a planar net of the 3-polytope <em class="param">p</em>.
 Note that it is an open problem if such a planar net always exists.
 * PROGRAM MIGHT TERMINATE WITH AN EXCEPTION *
 If it does, please, notify the polymake team!  Seriously.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PlanarNet" onclick="unfold('span:PlanarNet');">PlanarNet</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:product" onclick="swap_content('span:product'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="product" onclick="swap_content('span:product'); return false;"><b>product</b></a>
			(F1, F2)  

			
				→ PolyhedralFan<div style="display: inline" id="span:product" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Construct a new polyhedral fan as the <em class="u">product</em> of two given polyhedral fans <em class="param">F1</em> and <em class="param">F2</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td class="param">F1</td><td/></tr><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td class="param">F2</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_coordinates</td><td><div class="descr"><div>only combinatorial information is handled</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:projection" onclick="swap_content('span:projection'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="projection" onclick="swap_content('span:projection'); return false;"><b>projection</b></a>
			(P, indices)  

			
				→ PolyhedralFan<div style="display: inline" id="span:projection" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Orthogonally project a pointed fan to a coordinate subspace.</p><p> The subspace the fan <em class="param">P</em> is projected on is given by indices in the set <em class="param">indices</em>.
 The option <em class="param">revert</em> inverts the coordinate list.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">indices</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">revert</td><td><div class="descr"><div>inverts the coordinate list</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:projection_full" onclick="swap_content('span:projection_full'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="projection_full" onclick="swap_content('span:projection_full'); return false;"><b>projection_full</b></a>
			(P)  

			
				→ PolyhedralFan<div style="display: inline" id="span:projection_full" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Orthogonally project a fan to a coordinate subspace such that redundant columns are omitted,
 i.e., the projection becomes full-dimensional without changing the combinatorial type.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td class="param">P</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>copy labels to projection</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralFan" onclick="unfold('span:PolyhedralFan');">PolyhedralFan</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:secondary_fan__Matrix" onclick="swap_content('span:secondary_fan__Matrix'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="secondary_fan__Matrix" onclick="swap_content('span:secondary_fan__Matrix'); return false;"><b>secondary_fan</b></a>
			(M)  

			
				→ SymmetricFan<div style="display: inline" id="span:secondary_fan__Matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Call <a href="http://polymake.org//external_software#gfan" onclick="unfold('span:gfan');">wiki:external_software#gfan</a> to compute the secondary fan of a point configuration.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M</td><td><div class="descr"><div>whose rows are the vectors in the configuration</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SymmetricFan" onclick="unfold('span:SymmetricFan');">SymmetricFan</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:secondary_fan__polytope_PointConfiguration" onclick="swap_content('span:secondary_fan__polytope_PointConfiguration'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="secondary_fan__polytope_PointConfiguration" onclick="swap_content('span:secondary_fan__polytope_PointConfiguration'); return false;"><b>secondary_fan</b></a>
			(P)  

			
				→ SymmetricFan<div style="display: inline" id="span:secondary_fan__polytope_PointConfiguration" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Call <a href="http://polymake.org//external_software#gfan" onclick="unfold('span:gfan');">wiki:external_software#gfan</a> to compute the secondary fan of a point configuration.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="polytope.html#PointConfiguration" onclick="unfold('span:PointConfiguration');">polytope::PointConfiguration</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SymmetricFan" onclick="unfold('span:SymmetricFan');">SymmetricFan</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_polyhedral_complex" onclick="swap_content('span:functions__Producing_a_polyhedral_complex'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_polyhedral_complex" onclick="swap_content('span:functions__Producing_a_polyhedral_complex'); return false;"><span class="category">Producing a polyhedral complex</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_polyhedral_complex" class="foldit"><div class="descr"><p> These clients provide constructions for <a href="#PolyhedralComplex" onclick="unfold('span:PolyhedralComplex');">PolyhedralComplex</a> objects.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:mixed_subdivision__Polytope__Polytope__Array_Set__Scalar__Scalar" onclick="swap_content('span:mixed_subdivision__Polytope__Polytope__Array_Set__Scalar__Scalar'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="mixed_subdivision__Polytope__Polytope__Array_Set__Scalar__Scalar" onclick="swap_content('span:mixed_subdivision__Polytope__Polytope__Array_Set__Scalar__Scalar'); return false;"><b>mixed_subdivision</b></a>
			(P_0, P_1, VIF, t_0, t_1)  

			
				→ PolyhedralComplex<div style="display: inline" id="span:mixed_subdivision__Polytope__Polytope__Array_Set__Scalar__Scalar" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a weighted mixed subdivision of the Minkowski sum of two polytopes, using the Cayley trick.
 The polytopes must have the same dimension, at least one of them must be pointed. 
 The vertices of the first polytope <em class="param">P_0</em> are weighted with <em class="param">t_0</em>,
 and the vertices of the second polytope <em class="param">P_1</em> with <em class="param">t_1</em>.</p><p> Default values are <em class="param">t_0</em>=<em class="param">t_1</em>=1.</p><p> The option <em class="param">relabel</em> creates an additional section <a href="#PolyhedralComplex__VERTEX_LABELS" onclick="unfold('span:PolyhedralComplex__VERTEX_LABELS');">VERTEX_LABELS</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P_0</td><td><div class="descr"><div>the first polytope</div></div></td></tr><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P_1</td><td><div class="descr"><div>the second polytope</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td class="param">VIF</td><td><div class="descr"><div>the indices of the vertices of the mixed cells</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">t_0</td><td><div class="descr"><div>the weight for the vertices of <em class="param">P_0</em>; default 1</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">t_1</td><td><div class="descr"><div>the weight for the vertices of <em class="param">P_1</em>; default 1</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralComplex" onclick="unfold('span:PolyhedralComplex');">PolyhedralComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:mixed_subdivision__Int__Polytope__Array_Set" onclick="swap_content('span:mixed_subdivision__Int__Polytope__Array_Set'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="mixed_subdivision__Int__Polytope__Array_Set" onclick="swap_content('span:mixed_subdivision__Int__Polytope__Array_Set'); return false;"><b>mixed_subdivision</b></a>
			(m, C, a)  

			
				→ PolyhedralComplex<div style="display: inline" id="span:mixed_subdivision__Int__Polytope__Array_Set" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a weighted mixed subdivision of a Cayley embedding of a sequence of polytopes. 
 Each vertex <em class="param">v</em> of the <em class="param">i</em>-th polytope is weighted with <em class="param">t_i</em>, 
 the <em class="param">i</em>-th entry of the optional array <em class="param">t</em>. </p><p> The option <em class="param">relabel</em> creates an additional section <a href="#PolyhedralComplex__VERTEX_LABELS" onclick="unfold('span:PolyhedralComplex__VERTEX_LABELS');">VERTEX_LABELS</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">m</td><td><div class="descr"><div>the number of polytopes giving rise to the Cayley embedding</div></div></td></tr><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">C</td><td><div class="descr"><div>the Cayley embedding of the input polytopes</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td class="param">a</td><td><div class="descr"><div>triangulation of C</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Scalar&gt;</a></td><td class="param">t</td><td><div class="descr"><div>scaling for the Cayley embedding; defaults to the all-1 vector</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralComplex" onclick="unfold('span:PolyhedralComplex');">PolyhedralComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:mixed_subdivision__Array_Polytope" onclick="swap_content('span:mixed_subdivision__Array_Polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="mixed_subdivision__Array_Polytope" onclick="swap_content('span:mixed_subdivision__Array_Polytope'); return false;"><b>mixed_subdivision</b></a>
			(A)  

			
				→ PolyhedralComplex<div style="display: inline" id="span:mixed_subdivision__Array_Polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a weighted mixed subdivision of a sequence (P1,...,Pm) of polytopes, using the Cayley trick. 
 All polytopes must have the same dimension, at least one of them must be pointed. 
 Each vertex <em class="param">v</em> of the <em class="param">i</em>-th polytope is weighted with <em class="param">t_i</em>, 
 the <em class="param">i</em>-th entry of the optional array <em class="param">t</em>. </p><p> The option <em class="param">relabel</em> creates an additional section <a href="#PolyhedralComplex__VERTEX_LABELS" onclick="unfold('span:PolyhedralComplex__VERTEX_LABELS');">VERTEX_LABELS</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Polytope&gt;</a></td><td class="param">A</td><td><div class="descr"><div>the input polytopes</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Scalar&gt;</a></td><td class="param">t</td><td><div class="descr"><div>scaling for the Cayley embedding; defaults to the all-1 vector</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralComplex" onclick="unfold('span:PolyhedralComplex');">PolyhedralComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:tiling_quotient" onclick="swap_content('span:tiling_quotient'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="tiling_quotient" onclick="swap_content('span:tiling_quotient'); return false;"><b>tiling_quotient</b></a>
			&lt;Coord&gt;
		 
			(P, Q)  

			
				→ PolyhedralComplex<div style="display: inline" id="span:tiling_quotient" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculates the quotient of <em class="param">P</em> by <em class="param">Q</em>+L, where <em class="param">Q</em>+L is a lattice tiling.
 The result is a polytopal complex inside <em class="param">Q</em>. </p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>a polytope</div></div></td></tr><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">Q</td><td><div class="descr"><div>a polytope that tiles space</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PolyhedralComplex" onclick="unfold('span:PolyhedralComplex');">PolyhedralComplex</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div><div class="level3"><h2>Common Option Lists</h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:options__options__Visualization" onclick="swap_content('span:options__options__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="options__options__Visualization" onclick="swap_content('span:options__options__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:options__options__Visualization" class="foldit"><div class="descr"><p> These options are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:options__flap_options" onclick="swap_content('span:options__flap_options'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="options__flap_options" onclick="swap_content('span:options__flap_options'); return false;"><b>flap_options</b></a><div style="display: inline" id="span:options__flap_options" class="foldit"><div class="descr"><p> Parameters to control the shapes of the flaps.
 The precise values are more or less randomly chosen.  Should work fine for most polytopes
 whose edge lengths do not vary too much.</p></div><h5>Options</h5><table class="args"><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">WidthMinimum</td><td><div class="descr"><div>absolute minimum width</div></div></td></tr><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">WidthRelativeMinimum</td><td><div class="descr"><div>minimum relative width (w.r.t. length of first edge)</div></div></td></tr><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">Width</td><td><div class="descr"><div>absolute width, overrides the previous</div></div></td></tr><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">FlapCutOff</td><td><div class="descr"><div>proportion by which outer edge of flap is shorter than the actual edge (on both sides)</div></div></td></tr></table></div></div></div></li></ul></div></div></div></li></ul></div></div>
