<div xmlns="http://www.w3.org/1999/xhtml" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content">
  <h1>application: graph</h1>
  <div class="descr">
    <p> The application graph deals with directed and undirected graphs. They can be
 defined abstractly as a set of nodes and <a href="#Graph__EDGES" onclick="unfold('span:Graph__EDGES');">EDGES</a> or as part of a larger structure
 for instance as the <a href="polytope.html#Polytope__GRAPH" onclick="unfold('span:Polytope__GRAPH');">vertex-edge graph</a> of a polytope.</p>
  </div>
  <b>imports from: </b>
  <a href="common.html">common</a>
  <br/>
  <div class="level2">
    <h2>
      <b>Objects</b>
    </h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:EdgeWeightedGraph" onclick="swap_content('span:EdgeWeightedGraph'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="EdgeWeightedGraph" onclick="swap_content('span:EdgeWeightedGraph'); return false;">
                  <span class="object">EdgeWeightedGraph</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:EdgeWeightedGraph" class="foldit">
              <div class="descr">
                <p> A graph with edge weights.</p>
              </div>
              <b>derived from: </b>
              <a href="#Graph" onclick="unfold('span:Graph');">Graph&lt;Undirected&gt;</a>
              <br/>
              <div class="level3"/>
              <h4>Properties of EdgeWeightedGraph</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:EdgeWeightedGraph__EDGE_WEIGHTS" onclick="swap_content('span:EdgeWeightedGraph__EDGE_WEIGHTS'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="EdgeWeightedGraph__EDGE_WEIGHTS" onclick="swap_content('span:EdgeWeightedGraph__EDGE_WEIGHTS'); return false;"><b>EDGE_WEIGHTS</b>:
		</a>
                      <a href="common.html#EdgeMap" onclick="unfold('span:EdgeMap');">common::EdgeMap&lt;Undirected, Float&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:EdgeWeightedGraph__EDGE_WEIGHTS" class="foldit">
                        <div class="descr">
                          <p> Associated edge weights.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:FaceLattice" onclick="swap_content('span:FaceLattice'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="FaceLattice" onclick="swap_content('span:FaceLattice'); return false;">
                  <span class="object">FaceLattice</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:FaceLattice" class="foldit">
              <div class="descr">
                <p> Lattice represented as a directed acyclic graph.</p>
              </div>
              <b>derived from: </b>
              <a href="#Graph" onclick="unfold('span:Graph');">Graph&lt;Directed&gt;</a>
              <br/>
              <div class="level3"/>
              <h4>Properties of FaceLattice</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:FaceLattice__DIMS" onclick="swap_content('span:FaceLattice__DIMS'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="FaceLattice__DIMS" onclick="swap_content('span:FaceLattice__DIMS'); return false;"><b>DIMS</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:FaceLattice__DIMS" class="foldit">
                        <div class="descr">
                          <p> Indices of the first nodes in each level.
 Intended for internal use only; please use <a href="#FaceLattice__nodes_of_dim" onclick="unfold('span:FaceLattice__nodes_of_dim');">nodes_of_dim</a> instead.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:FaceLattice__FACES" onclick="swap_content('span:FaceLattice__FACES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="FaceLattice__FACES" onclick="swap_content('span:FaceLattice__FACES'); return false;"><b>FACES</b>:
		</a>
                      <a href="common.html#NodeMap" onclick="unfold('span:NodeMap');">common::NodeMap&lt;Directed, Set&lt;Int&gt;&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:FaceLattice__FACES" class="foldit">
                        <div class="descr">
                          <p> Each node of the FaceLattice corresponds to a face. The node attribute is a set of vertices comprising the face.
 Incident edges lead to the containing faces of the next (higher) dimension.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
              <h4>User Methods of FaceLattice</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:FaceLattice__bottom_node" onclick="swap_content('span:FaceLattice__bottom_node'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="FaceLattice__bottom_node" onclick="swap_content('span:FaceLattice__bottom_node'); return false;"><b>bottom_node</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:FaceLattice__bottom_node" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Index of the node representing the empty face.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:FaceLattice__dim" onclick="swap_content('span:FaceLattice__dim'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="FaceLattice__dim" onclick="swap_content('span:FaceLattice__dim'); return false;"><b>dim</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:FaceLattice__dim" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Dimension of the lattice = number of levels - 1.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:FaceLattice__nodes_of_dim" onclick="swap_content('span:FaceLattice__nodes_of_dim'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="FaceLattice__nodes_of_dim" onclick="swap_content('span:FaceLattice__nodes_of_dim'); return false;"><b>nodes_of_dim</b></a>
			(dim)  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:FaceLattice__nodes_of_dim" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Indices of nodes representing faces of the given dimension.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">dim</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:FaceLattice__top_node" onclick="swap_content('span:FaceLattice__top_node'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="FaceLattice__top_node" onclick="swap_content('span:FaceLattice__top_node'); return false;"><b>top_node</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:FaceLattice__top_node" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Index of the node representing <em class="u">the whole thing</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:FaceLattice__VISUAL" onclick="swap_content('span:FaceLattice__VISUAL'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="FaceLattice__VISUAL" onclick="swap_content('span:FaceLattice__VISUAL'); return false;"><b>VISUAL</b></a>
			()  

			
				→ Visual::Lattice<div style="display: inline" id="span:FaceLattice__VISUAL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the FaceLattice.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the node placement</div></div></td></tr><tr><td>option list:</td><td>Visual::Lattice::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Lattice" onclick="unfold('span:Visual_Lattice');">Visual::Lattice</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:FaceLattice__VISUAL_DUAL" onclick="swap_content('span:FaceLattice__VISUAL_DUAL'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="FaceLattice__VISUAL_DUAL" onclick="swap_content('span:FaceLattice__VISUAL_DUAL'); return false;"><b>VISUAL_DUAL</b></a>
			()  

			
				→ Visual::Lattice<div style="display: inline" id="span:FaceLattice__VISUAL_DUAL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the dual FaceLattice.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the node placement</div></div></td></tr><tr><td>option list:</td><td>Visual::Lattice::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Lattice" onclick="unfold('span:Visual_Lattice');">Visual::Lattice</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:GeometricGraph" onclick="swap_content('span:GeometricGraph'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="GeometricGraph" onclick="swap_content('span:GeometricGraph'); return false;">
                  <span class="object">GeometricGraph</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:GeometricGraph" class="foldit">
              <div class="descr">
                <p> An undirected graph with given node coordinates and a bounding box.</p>
              </div>
              <b>derived from: </b>
              <a href="#Graph" onclick="unfold('span:Graph');">Graph&lt;Undirected&gt;</a>
              <br/>
              <div class="level3"/>
              <h4>Properties of GeometricGraph</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:GeometricGraph__BOUNDING_BOX" onclick="swap_content('span:GeometricGraph__BOUNDING_BOX'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="GeometricGraph__BOUNDING_BOX" onclick="swap_content('span:GeometricGraph__BOUNDING_BOX'); return false;"><b>BOUNDING_BOX</b>:
		</a>
                      <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a>
                      <br/>
                      <div style="display: inline" id="span:GeometricGraph__BOUNDING_BOX" class="foldit">
                        <div class="descr">
                          <p> Since a Voronoi polyhedron is unbounded it must be artificially bounded for visualization purposes.
 Allowed is any set of hyperplanes which makes the projection onto the last d-1 coordinates bounded.
 By default, these are the vertical facets of a suitably scaled cube.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:GeometricGraph__COORDINATES" onclick="swap_content('span:GeometricGraph__COORDINATES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="GeometricGraph__COORDINATES" onclick="swap_content('span:GeometricGraph__COORDINATES'); return false;"><b>COORDINATES</b>:
		</a>
                      <a href="common.html#NodeMap" onclick="unfold('span:NodeMap');">common::NodeMap</a>
                      <br/>
                      <div style="display: inline" id="span:GeometricGraph__COORDINATES" class="foldit">
                        <div class="descr">
                          <p> The coordinates of the nodes of the graph.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:Graph" onclick="swap_content('span:Graph'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="Graph" onclick="swap_content('span:Graph'); return false;">
                  <span class="object">Graph</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:Graph" class="foldit">
              <div class="descr">
                <p> A graph with optional node and edge attributes.</p>
              </div>
              <div class="level3"/>
              <h4>Specializations of Graph</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__specializations__Graph_Undirected" onclick="swap_content('span:Graph__specializations__Graph_Undirected'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__specializations__Graph_Undirected" onclick="swap_content('span:Graph__specializations__Graph_Undirected'); return false;">
                        <b>Graph&lt;Undirected&gt;</b>
                      </a>
                      <a href="" onclick="unfold('span:');"/>
                      <br/>
                      <div style="display: inline" id="span:Graph__specializations__Graph_Undirected" class="foldit">
                        <div class="descr">
                          <p>Unnamed full specialization of Graph</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__specializations__Graph_Directed" onclick="swap_content('span:Graph__specializations__Graph_Directed'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__specializations__Graph_Directed" onclick="swap_content('span:Graph__specializations__Graph_Directed'); return false;">
                        <b>Graph&lt;Directed&gt;</b>
                      </a>
                      <a href="" onclick="unfold('span:');"/>
                      <br/>
                      <div style="display: inline" id="span:Graph__specializations__Graph_Directed" class="foldit">
                        <div class="descr">
                          <p>Unnamed full specialization of Graph</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
              <h4>Properties of Graph</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__ADJACENCY" onclick="swap_content('span:Graph__ADJACENCY'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__ADJACENCY" onclick="swap_content('span:Graph__ADJACENCY'); return false;"><b>ADJACENCY</b>:
		</a>
                      <a href="common.html#Graph" onclick="unfold('span:Graph');">common::Graph</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__ADJACENCY" class="foldit">
                        <div class="descr">
                          <p> combinatorial description of the Graph in the form of adjacency matrix</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__AVERAGE_DEGREE" onclick="swap_content('span:Graph__AVERAGE_DEGREE'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__AVERAGE_DEGREE" onclick="swap_content('span:Graph__AVERAGE_DEGREE'); return false;"><b>AVERAGE_DEGREE</b>:
		</a>
                      <a href="common.html#Rational" onclick="unfold('span:Rational');">common::Rational</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__AVERAGE_DEGREE" class="foldit">
                        <div class="descr">
                          <b>Only defined for <a href="#Graph__specializations__Graph_Undirected">Graph&lt;Undirected&gt;</a></b>
                        </div>
                        <div class="descr">
                          <p> The average degree of a node</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__BIPARTITE" onclick="swap_content('span:Graph__BIPARTITE'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__BIPARTITE" onclick="swap_content('span:Graph__BIPARTITE'); return false;"><b>BIPARTITE</b>:
		</a>
                      <a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__BIPARTITE" class="foldit">
                        <div class="descr">
                          <b>Only defined for <a href="#Graph__specializations__Graph_Undirected">Graph&lt;Undirected&gt;</a></b>
                        </div>
                        <div class="descr">
                          <p> True if the graph is a bipartite.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__CHARACTERISTIC_POLYNOMIAL" onclick="swap_content('span:Graph__CHARACTERISTIC_POLYNOMIAL'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__CHARACTERISTIC_POLYNOMIAL" onclick="swap_content('span:Graph__CHARACTERISTIC_POLYNOMIAL'); return false;"><b>CHARACTERISTIC_POLYNOMIAL</b>:
		</a>
                      <a href="common.html#UniPolynomial" onclick="unfold('span:UniPolynomial');">common::UniPolynomial&lt;Rational, Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__CHARACTERISTIC_POLYNOMIAL" class="foldit">
                        <div class="descr">
                          <p> Characteristic polynomial of the adjacency matrix; its roots are the eigenvalues</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__CONNECTED" onclick="swap_content('span:Graph__CONNECTED'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__CONNECTED" onclick="swap_content('span:Graph__CONNECTED'); return false;"><b>CONNECTED</b>:
		</a>
                      <a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__CONNECTED" class="foldit">
                        <div class="descr">
                          <p> True if the graph is a connected graph.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__CONNECTED_COMPONENTS" onclick="swap_content('span:Graph__CONNECTED_COMPONENTS'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__CONNECTED_COMPONENTS" onclick="swap_content('span:Graph__CONNECTED_COMPONENTS'); return false;"><b>CONNECTED_COMPONENTS</b>:
		</a>
                      <a href="common.html#PowerSet" onclick="unfold('span:PowerSet');">common::PowerSet&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__CONNECTED_COMPONENTS" class="foldit">
                        <div class="descr">
                          <p> The connected components, encoded as node sets.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__CONNECTIVITY" onclick="swap_content('span:Graph__CONNECTIVITY'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__CONNECTIVITY" onclick="swap_content('span:Graph__CONNECTIVITY'); return false;"><b>CONNECTIVITY</b>:
		</a>
                      <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__CONNECTIVITY" class="foldit">
                        <div class="descr">
                          <b>Only defined for <a href="#Graph__specializations__Graph_Undirected">Graph&lt;Undirected&gt;</a></b>
                        </div>
                        <div class="descr">
                          <p> Node connectivity of the graph, that is, the minimal number of nodes to be removed
 from the graph such that the result is disconnected.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__DEGREE_SEQUENCE" onclick="swap_content('span:Graph__DEGREE_SEQUENCE'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__DEGREE_SEQUENCE" onclick="swap_content('span:Graph__DEGREE_SEQUENCE'); return false;"><b>DEGREE_SEQUENCE</b>:
		</a>
                      <a href="common.html#Map" onclick="unfold('span:Map');">common::Map&lt;Int, Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__DEGREE_SEQUENCE" class="foldit">
                        <div class="descr">
                          <b>Only defined for <a href="#Graph__specializations__Graph_Undirected">Graph&lt;Undirected&gt;</a></b>
                        </div>
                        <div class="descr">
                          <p> How many times a node of a given degree occurs</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__DIAMETER" onclick="swap_content('span:Graph__DIAMETER'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__DIAMETER" onclick="swap_content('span:Graph__DIAMETER'); return false;"><b>DIAMETER</b>:
		</a>
                      <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__DIAMETER" class="foldit">
                        <div class="descr">
                          <p> The diameter of the graph.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__MAX_CLIQUES" onclick="swap_content('span:Graph__MAX_CLIQUES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__MAX_CLIQUES" onclick="swap_content('span:Graph__MAX_CLIQUES'); return false;"><b>MAX_CLIQUES</b>:
		</a>
                      <a href="common.html#PowerSet" onclick="unfold('span:PowerSet');">common::PowerSet&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__MAX_CLIQUES" class="foldit">
                        <div class="descr">
                          <b>Only defined for <a href="#Graph__specializations__Graph_Undirected">Graph&lt;Undirected&gt;</a></b>
                        </div>
                        <div class="descr">
                          <p> The maximal cliques of the graph, encoded as node sets.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__NODE_DEGREES" onclick="swap_content('span:Graph__NODE_DEGREES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__NODE_DEGREES" onclick="swap_content('span:Graph__NODE_DEGREES'); return false;"><b>NODE_DEGREES</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__NODE_DEGREES" class="foldit">
                        <div class="descr">
                          <p> Degrees of nodes in the graph.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__NODE_IN_DEGREES" onclick="swap_content('span:Graph__NODE_IN_DEGREES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__NODE_IN_DEGREES" onclick="swap_content('span:Graph__NODE_IN_DEGREES'); return false;"><b>NODE_IN_DEGREES</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__NODE_IN_DEGREES" class="foldit">
                        <div class="descr">
                          <b>Only defined for <a href="#Graph__specializations__Graph_Directed">Graph&lt;Directed&gt;</a></b>
                        </div>
                        <div class="descr">
                          <p> The number of incoming edges of the graph nodes.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__NODE_LABELS" onclick="swap_content('span:Graph__NODE_LABELS'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__NODE_LABELS" onclick="swap_content('span:Graph__NODE_LABELS'); return false;"><b>NODE_LABELS</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__NODE_LABELS" class="foldit">
                        <div class="descr">
                          <p> Labels of the nodes of the graph.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__NODE_OUT_DEGREES" onclick="swap_content('span:Graph__NODE_OUT_DEGREES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__NODE_OUT_DEGREES" onclick="swap_content('span:Graph__NODE_OUT_DEGREES'); return false;"><b>NODE_OUT_DEGREES</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__NODE_OUT_DEGREES" class="foldit">
                        <div class="descr">
                          <b>Only defined for <a href="#Graph__specializations__Graph_Directed">Graph&lt;Directed&gt;</a></b>
                        </div>
                        <div class="descr">
                          <p> The number of outgoing edges of the graph nodes.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__N_CONNECTED_COMPONENTS" onclick="swap_content('span:Graph__N_CONNECTED_COMPONENTS'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__N_CONNECTED_COMPONENTS" onclick="swap_content('span:Graph__N_CONNECTED_COMPONENTS'); return false;"><b>N_CONNECTED_COMPONENTS</b>:
		</a>
                      <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__N_CONNECTED_COMPONENTS" class="foldit">
                        <div class="descr">
                          <p> Number of <a href="#Graph__CONNECTED_COMPONENTS" onclick="unfold('span:Graph__CONNECTED_COMPONENTS');">CONNECTED_COMPONENTS</a> of the graph.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__N_EDGES" onclick="swap_content('span:Graph__N_EDGES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__N_EDGES" onclick="swap_content('span:Graph__N_EDGES'); return false;"><b>N_EDGES</b>:
		</a>
                      <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__N_EDGES" class="foldit">
                        <div class="descr">
                          <p> Number of <a href="#Graph__EDGES" onclick="unfold('span:Graph__EDGES');">EDGES</a> of the graph.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__N_NODES" onclick="swap_content('span:Graph__N_NODES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__N_NODES" onclick="swap_content('span:Graph__N_NODES'); return false;"><b>N_NODES</b>:
		</a>
                      <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__N_NODES" class="foldit">
                        <div class="descr">
                          <p> Number of nodes of the graph.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__SIGNATURE" onclick="swap_content('span:Graph__SIGNATURE'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__SIGNATURE" onclick="swap_content('span:Graph__SIGNATURE'); return false;"><b>SIGNATURE</b>:
		</a>
                      <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__SIGNATURE" class="foldit">
                        <div class="descr">
                          <b>Only defined for <a href="#Graph__specializations__Graph_Undirected">Graph&lt;Undirected&gt;</a></b>
                        </div>
                        <div class="descr">
                          <p> Difference of the black and white nodes if the graph is <a href="#Graph__BIPARTITE" onclick="unfold('span:Graph__BIPARTITE');">BIPARTITE</a>.
 Otherwise -1.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__SIGNED_INCIDENCE_MATRIX" onclick="swap_content('span:Graph__SIGNED_INCIDENCE_MATRIX'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__SIGNED_INCIDENCE_MATRIX" onclick="swap_content('span:Graph__SIGNED_INCIDENCE_MATRIX'); return false;"><b>SIGNED_INCIDENCE_MATRIX</b>:
		</a>
                      <a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">common::SparseMatrix&lt;Int, NonSymmetric&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__SIGNED_INCIDENCE_MATRIX" class="foldit">
                        <div class="descr">
                          <p> Signed vertex-edge incidence matrix; for undirected graphs, the orientation comes from the lexicographic order of the nodes.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__TRIANGLE_FREE" onclick="swap_content('span:Graph__TRIANGLE_FREE'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__TRIANGLE_FREE" onclick="swap_content('span:Graph__TRIANGLE_FREE'); return false;"><b>TRIANGLE_FREE</b>:
		</a>
                      <a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a>
                      <br/>
                      <div style="display: inline" id="span:Graph__TRIANGLE_FREE" class="foldit">
                        <div class="descr">
                          <b>Only defined for <a href="#Graph__specializations__Graph_Undirected">Graph&lt;Undirected&gt;</a></b>
                        </div>
                        <div class="descr">
                          <p> Determine whether the graph has triangles or not.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
              <h4>User Methods of Graph</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__EDGES" onclick="swap_content('span:Graph__EDGES'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Graph__EDGES" onclick="swap_content('span:Graph__EDGES'); return false;"><b>EDGES</b></a>
			()  

			
				→ Array&lt;Set&lt;Int&gt;&gt;<div style="display: inline" id="span:Graph__EDGES" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Explore the graph as a sequence of its edges.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__VISUAL" onclick="swap_content('span:Graph__VISUAL'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Graph__VISUAL" onclick="swap_content('span:Graph__VISUAL'); return false;"><b>VISUAL</b></a>
			()  

			
				→ Visual::Graph<div style="display: inline" id="span:Graph__VISUAL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualizes the graph.
 Decorations may include <code>Coord</code>, disabling the default spring embedder.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the spring embedder</div></div></td></tr><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Graph" onclick="unfold('span:Visual_Graph');">Visual::Graph</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
              <h4>Permutations of Graph</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph__permutations__NodePerm" onclick="swap_content('span:Graph__permutations__NodePerm'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Graph__permutations__NodePerm" onclick="swap_content('span:Graph__permutations__NodePerm'); return false;">
                        <b>NodePerm</b>
                      </a>
                      <div style="display: inline" id="span:Graph__permutations__NodePerm" class="foldit">
                        <div class="undoc">
                          <p>UNDOCUMENTED</p>
                        </div>
                        <h4>Properties of NodePerm</h4>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Graph__permutations__NodePerm__PERMUTATION" onclick="swap_content('span:Graph__permutations__NodePerm__PERMUTATION'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Graph__permutations__NodePerm__PERMUTATION" onclick="swap_content('span:Graph__permutations__NodePerm__PERMUTATION'); return false;"><b>PERMUTATION</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:Graph__permutations__NodePerm__PERMUTATION" class="foldit">
                                  <div class="descr">
                                    <p> Transforming this <a href="#Graph__ADJACENCY" onclick="unfold('span:Graph__ADJACENCY');">ADJACENCY</a> into the basic object</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:Visual_Graph" onclick="swap_content('span:Visual_Graph'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="Visual_Graph" onclick="swap_content('span:Visual_Graph'); return false;">
                  <span class="object">Visual::Graph</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:Visual_Graph" class="foldit"><b>Category: </b>Visualization<br/><div class="descr"><p> Collection of nodes and edges of an abstract graph amended with visual decoration attributes
 and an optional embedding in 3-d.</p></div><b>derived from: </b><a href="common.html#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a><br/><div class="level3"/></div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:Visual_Lattice" onclick="swap_content('span:Visual_Lattice'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="Visual_Lattice" onclick="swap_content('span:Visual_Lattice'); return false;">
                  <span class="object">Visual::Lattice</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:Visual_Lattice" class="foldit"><b>Category: </b>Visualization<br/><div class="descr"><p> Collection of nodes (representing faces of a face lattice) and edges (representing the inclusion relation)
 amended with visual decoration attributes and an optional embedding in 2-d.</p></div><b>derived from: </b><a href="#Visual_Graph" onclick="unfold('span:Visual_Graph');">Visual::Graph</a><br/><div class="level3"/></div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level2">
    <h2>User Functions</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Combinatorics" onclick="swap_content('span:functions__Combinatorics'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Combinatorics" onclick="swap_content('span:functions__Combinatorics'); return false;">
                  <span class="category">Combinatorics</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Combinatorics" class="foldit">
              <div class="descr">
                <p> These functions capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:complement_graph" onclick="swap_content('span:complement_graph'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="complement_graph" onclick="swap_content('span:complement_graph'); return false;"><b>complement_graph</b></a>
			(G)  

			
				→ Graph<div style="display: inline" id="span:complement_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the <em class="u">complement graph</em> of a graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:connectivity" onclick="swap_content('span:connectivity'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="connectivity" onclick="swap_content('span:connectivity'); return false;"><b>connectivity</b></a>
			(graph)  

			
				→ Int<div style="display: inline" id="span:connectivity" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the <a href="#Graph__CONNECTIVITY" onclick="unfold('span:Graph__CONNECTIVITY');">CONNECTIVITY</a> of a given <em class="param">graph</em> using the Ford-Fulkerson flow algorithm.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Graph" onclick="unfold('span:Graph');">props::Graph&lt;Undirected&gt;</a></td><td class="param">graph</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Compute the connectivity of the vertex-edge graph of the square:<code>&gt; print connectivity(cube(2)-&gt;GRAPH-&gt;ADJACENCY);</code><code> 2</code> This means that at least two nodes or edges need to be removed in order
 for the resulting graoh not to be connected anymore.</div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:incidence_matrix" onclick="swap_content('span:incidence_matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="incidence_matrix" onclick="swap_content('span:incidence_matrix'); return false;"><b>incidence_matrix</b></a>
			(G)  

			
				→ SparseMatrix&lt;Int&gt;<div style="display: inline" id="span:incidence_matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the unsigned vertex-edge incidence matrix of the graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix&lt;Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $I = incidence_matrix(cycle_graph(4));</code><code>&gt; print $I;</code><code> 1 0 1 0</code><code> 1 1 0 0</code><code> 0 1 0 1</code><code> 0 0 1 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:laplacian" onclick="swap_content('span:laplacian'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="laplacian" onclick="swap_content('span:laplacian'); return false;"><b>laplacian</b></a>
			(G)  

			
				→ Matrix<div style="display: inline" id="span:laplacian" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the <em class="u">Laplacian matrix</em> of a graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = laplacian(cycle_graph(4));</code><code>&gt; print $M;</code><code> 2 -1 0 -1</code><code> -1 2 -1 0</code><code> 0 -1 2 -1</code><code> -1 0 -1 2</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:line_graph" onclick="swap_content('span:line_graph'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="line_graph" onclick="swap_content('span:line_graph'); return false;"><b>line_graph</b></a>
			(G)  

			
				→ Graph<div style="display: inline" id="span:line_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the <em class="u">line graph</em> of a graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:signed_incidence_matrix" onclick="swap_content('span:signed_incidence_matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="signed_incidence_matrix" onclick="swap_content('span:signed_incidence_matrix'); return false;"><b>signed_incidence_matrix</b></a>
			(G)  

			
				→ SparseMatrix&lt;Int&gt;<div style="display: inline" id="span:signed_incidence_matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the signed vertex-edge incidence matrix of the graph.
 in case of undirected graphs, the orientation of the edges is induced by the order of the nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix&lt;Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $I = signed_incidence_matrix(cycle_graph(4));</code><code>&gt; print $I;</code><code> 1 0 1 0</code><code> -1 1 0 0</code><code> 0 -1 0 1</code><code> 0 0 -1 -1</code></div></li></ul></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Comparing" onclick="swap_content('span:functions__Comparing'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Comparing" onclick="swap_content('span:functions__Comparing'); return false;">
                  <span class="category">Comparing</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Comparing" class="foldit">
              <div class="descr">
                <p> These clients are concerned with automorphisms of graphs and determining whether graphs are isomorphic.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:automorphisms__props_Graph" onclick="swap_content('span:automorphisms__props_Graph'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="automorphisms__props_Graph" onclick="swap_content('span:automorphisms__props_Graph'); return false;"><b>automorphisms</b></a>
			(graph)  

			
				→ Array&lt;Array&lt;Int&gt;&gt;<div style="display: inline" id="span:automorphisms__props_Graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the automorphism group of the graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Graph" onclick="unfold('span:Graph');">props::Graph</a></td><td class="param">graph</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>each element encodes a node permutation.</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">We first create the vertex-edge graph of the square and then print its automorphism group:<code>&gt; $g=new props::Graph(cube(2)-&gt;GRAPH-&gt;ADJACENCY);</code><code>&gt; print automorphisms($g);</code><code> 0 2 1 3</code><code> 1 0 3 2</code> These two permutations generate the group of all node permutations
 that preserve vertex-edge connectivity.</div></li></ul></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:automorphisms__IncidenceMatrix_NonSymmetric" onclick="swap_content('span:automorphisms__IncidenceMatrix_NonSymmetric'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="automorphisms__IncidenceMatrix_NonSymmetric" onclick="swap_content('span:automorphisms__IncidenceMatrix_NonSymmetric'); return false;"><b>automorphisms</b></a>
			(m)  

			
				→ Array&lt;Pair&lt;Array&lt;Int&gt;,Array&lt;Int&gt;&gt;&gt;<div style="display: inline" id="span:automorphisms__IncidenceMatrix_NonSymmetric" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the automorphism group of the non-symmetric incidence matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix&lt;NonSymmetric&gt;</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Pair&lt;Array&lt;Int&gt;,Array&lt;Int&gt;&gt;&gt;</a></td><td><div class="descr"><div>each element encodes a permutation of its rows (<code>first</code>) and columns (<code>second</code>).</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The group of combinatorial automorphisms of the 3-cube coincides with
 the group of (bipartite) graph automorphisms of the vertex/facet incidences.
 To print this group, type this:<code>&gt; print automorphisms(cube(3)-&gt;VERTICES_IN_FACETS);</code><code> (&lt;0 1 4 5 2 3&gt; &lt;0 1 4 5 2 3 6 7&gt;)</code><code> (&lt;2 3 0 1 4 5&gt; &lt;0 2 1 3 4 6 5 7&gt;)</code><code> (&lt;1 0 2 3 4 5&gt; &lt;1 0 3 2 5 4 7 6&gt;)</code> This means that the group is generated by three elements, one per line in the output.
 Each is written as a pair of permutations. The first gives the action on the facets,
 the second the action on the vertices.</div></li></ul></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:automorphisms__IncidenceMatrix_Symmetric" onclick="swap_content('span:automorphisms__IncidenceMatrix_Symmetric'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="automorphisms__IncidenceMatrix_Symmetric" onclick="swap_content('span:automorphisms__IncidenceMatrix_Symmetric'); return false;"><b>automorphisms</b></a>
			(m)  

			
				→ Array&lt;Array&lt;Int&gt;&gt;<div style="display: inline" id="span:automorphisms__IncidenceMatrix_Symmetric" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the automorphism group of the symmetric incidence matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix&lt;Symmetric&gt;</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>each element encodes a permutation of its rows (=columns).</div></div></td></tr></table></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:find_node_permutation" onclick="swap_content('span:find_node_permutation'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="find_node_permutation" onclick="swap_content('span:find_node_permutation'); return false;"><b>find_node_permutation</b></a>
			(graph1, graph2)  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:find_node_permutation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the node permutation mapping <em class="param">graph1</em> to <em class="param">graph2</em>.
 If the given graphs are not isomorphic, throw an expection.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Graph" onclick="unfold('span:Graph');">props::Graph</a></td><td class="param">graph1</td><td/></tr><tr><td><a href="common.html#Graph" onclick="unfold('span:Graph');">props::Graph</a></td><td class="param">graph2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td/></tr></table></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:find_row_col_permutation" onclick="swap_content('span:find_row_col_permutation'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="find_row_col_permutation" onclick="swap_content('span:find_row_col_permutation'); return false;"><b>find_row_col_permutation</b></a>
			(m1, m2)  

			
				→ Pair&lt;Array&lt;Int&gt;,Array&lt;Int&gt;&gt;<div style="display: inline" id="span:find_row_col_permutation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the permutations mapping the non-symmetric incidence matrix <em class="param">m1</em> to <em class="param">m2</em>.
 If the given matrices are not isomorphic, throw an expection.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix&lt;NonSymmetric&gt;</a></td><td class="param">m1</td><td/></tr><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix&lt;NonSymmetric&gt;</a></td><td class="param">m2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Pair" onclick="unfold('span:Pair');">Pair&lt;Array&lt;Int&gt;,Array&lt;Int&gt;&gt;</a></td><td><div class="descr"><div><code>first</code> permutation applies to the rows, <code>second</code> applies to the columns</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $m1 = new IncidenceMatrix([1,2],[5,3]);</code><code>&gt; $m2 = new IncidenceMatrix([4,3],[1,5]);</code><code>&gt; print find_row_col_permutation($m1,$m2);</code><code> &lt;1 0&gt; &lt;0 1 4 3 5 2&gt;</code></div></li></ul></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:isomorphic__IncidenceMatrix__IncidenceMatrix" onclick="swap_content('span:isomorphic__IncidenceMatrix__IncidenceMatrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="isomorphic__IncidenceMatrix__IncidenceMatrix" onclick="swap_content('span:isomorphic__IncidenceMatrix__IncidenceMatrix'); return false;"><b>isomorphic</b></a>
			(IncidenceMatrix1, IncidenceMatrix2)  

			
				→ Bool<div style="display: inline" id="span:isomorphic__IncidenceMatrix__IncidenceMatrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> true if <em class="param">IncidenceMatrix1</em> and <em class="param">IncidenceMatrix2</em> are isomorphic.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td class="param">IncidenceMatrix1</td><td/></tr><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td class="param">IncidenceMatrix2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Compare the incidence matrices of the 2-dimensional cube and cross polytope:<code>&gt; $I1 = cube(2)-&gt;VERTICES_IN_FACETS;</code><code>&gt; $I2 = cross(2)-&gt;VERTICES_IN_FACETS;</code><code>&gt; print isomorphic($I1,$I2);</code><code> 1</code></div></li></ul></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:isomorphic__props_Graph__props_Graph" onclick="swap_content('span:isomorphic__props_Graph__props_Graph'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="isomorphic__props_Graph__props_Graph" onclick="swap_content('span:isomorphic__props_Graph__props_Graph'); return false;"><b>isomorphic</b></a>
			(graph1, graph2)  

			
				→ Bool<div style="display: inline" id="span:isomorphic__props_Graph__props_Graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> true if <em class="param">graph1</em> and <em class="param">graph2</em> are isomorphic.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Graph" onclick="unfold('span:Graph');">props::Graph</a></td><td class="param">graph1</td><td/></tr><tr><td><a href="common.html#Graph" onclick="unfold('span:Graph');">props::Graph</a></td><td class="param">graph2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Compare the vertex-edge graph of the square with the cycle graph on 4 nodes:<code>&gt; $g1 = cube(2)-&gt;GRAPH-&gt;ADJACENCY;</code><code>&gt; $g2 = cycle_graph(4)-&gt;ADJACENCY;</code><code>&gt; print isomorphic($g1,$g2);</code><code> 1</code></div></li></ul></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:n_automorphisms" onclick="swap_content('span:n_automorphisms'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="n_automorphisms" onclick="swap_content('span:n_automorphisms'); return false;"><b>n_automorphisms</b></a>
			(graph)  

			
				→ Int<div style="display: inline" id="span:n_automorphisms" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the order of the automorphism group of the graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Graph" onclick="unfold('span:Graph');">props::Graph</a></td><td class="param">graph</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td><div class="descr"><div>the order of the automorphism group</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print n_automorphisms(cycle_graph(5)-&gt;ADJACENCY);</code><code> 2</code></div></li></ul></div><div class="depends"><b>Depends on: </b>bliss or nauty
</div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Other" onclick="swap_content('span:functions__Other'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Other" onclick="swap_content('span:functions__Other'); return false;">
                  <span class="category">Other</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Other" class="foldit">
              <div class="descr">
                <p> Special purpose functions.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:edge_lengths" onclick="swap_content('span:edge_lengths'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="edge_lengths" onclick="swap_content('span:edge_lengths'); return false;"><b>edge_lengths</b></a>
			(G, coords)  

			
				→ EdgeMap<div style="display: inline" id="span:edge_lengths" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the lengths of all edges of a given graph <em class="param">G</em> from
 the coordinates <em class="param">coords</em> of its nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Graph" onclick="unfold('span:Graph');">props::Graph&lt;Directed&gt;</a></td><td class="param">G</td><td><div class="descr"><div>the input graph</div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">coords</td><td><div class="descr"><div>the coordinates of the nodes</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#EdgeMap" onclick="unfold('span:EdgeMap');">EdgeMap</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graph_from_edges" onclick="swap_content('span:graph_from_edges'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graph_from_edges" onclick="swap_content('span:graph_from_edges'); return false;"><b>graph_from_edges</b></a>
			(edges)  

			
				→ Graph<div style="display: inline" id="span:graph_from_edges" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a graph from a given list of <em class="param">edges</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td class="param">edges</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $g = graph_from_edges([[1,2],[1,3],[1,4]]);</code><code>&gt; print $g-&gt;ADJACENCY;</code><code> {}</code><code> {2 3 4}</code><code> {1}</code><code> {1}</code><code> {1}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:hungarian_perfect_matching" onclick="swap_content('span:hungarian_perfect_matching'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="hungarian_perfect_matching" onclick="swap_content('span:hungarian_perfect_matching'); return false;"><b>hungarian_perfect_matching</b></a>
			(weights)  

			
				→ Array<div style="display: inline" id="span:hungarian_perfect_matching" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Vector representation of the permutation corresponding to a perfect matching in a weighted bipartite graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">weights</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following computes a matching in a small bipartite weighted graph:<code>&gt; $M = new Matrix(['inf',2,'inf',1],[2,'inf',1,'inf'],['inf',1,'inf',8],[1,'inf',8,'inf']);</code><code>&gt; print hungarian_perfect_matching($M);</code><code> 3 2 1 0</code></div></li></ul></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Producing_a_graph" onclick="swap_content('span:functions__Producing_a_graph'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Producing_a_graph" onclick="swap_content('span:functions__Producing_a_graph'); return false;">
                  <span class="category">Producing a graph</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Producing_a_graph" class="foldit">
              <div class="descr">
                <p> With these clients you can create special examples of graphs, graphs belonging to parameterized families and random graphs.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:complete" onclick="swap_content('span:complete'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="complete" onclick="swap_content('span:complete'); return false;"><b>complete</b></a>
			(n)  

			
				→ Graph<div style="display: inline" id="span:complete" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">complete graph</em> on <em class="param">n</em> nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:complete_bipartite" onclick="swap_content('span:complete_bipartite'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="complete_bipartite" onclick="swap_content('span:complete_bipartite'); return false;"><b>complete_bipartite</b></a>
			(k, l)  

			
				→ Graph<div style="display: inline" id="span:complete_bipartite" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">complete bipartite graph</em> on <em class="param">k</em> + <em class="param">l</em> nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">k</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">l</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:cycle_graph" onclick="swap_content('span:cycle_graph'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="cycle_graph" onclick="swap_content('span:cycle_graph'); return false;"><b>cycle_graph</b></a>
			(n)  

			
				→ Graph<div style="display: inline" id="span:cycle_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">cycle graph</em> on <em class="param">n</em> nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To print the adjacency representation of the cycle graph on four nodes, type this:<code>&gt; $g = cycle_graph(4);</code><code>&gt; print $g-&gt;ADJACENCY;</code><code> {1 3}</code><code> {0 2}</code><code> {1 3}</code><code> {0 2}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:generalized_johnson_graph" onclick="swap_content('span:generalized_johnson_graph'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="generalized_johnson_graph" onclick="swap_content('span:generalized_johnson_graph'); return false;"><b>generalized_johnson_graph</b></a>
			(n, k, i)  

			
				→ Graph<div style="display: inline" id="span:generalized_johnson_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create the <em class="u">generalized Johnson graph</em> on parameters (n,k,i).
   It has one node for each set in \({[n]}\choose{k}\),
   and an edge between two nodes iff the intersection of the corresponding subsets is of size i.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the size of the ground set</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">k</td><td><div class="descr"><div>the size of the subsets</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td><div class="descr"><div>the size of the subsets</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:johnson_graph" onclick="swap_content('span:johnson_graph'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="johnson_graph" onclick="swap_content('span:johnson_graph'); return false;"><b>johnson_graph</b></a>
			(n, k)  

			
				→ Graph<div style="display: inline" id="span:johnson_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create the <em class="u">Johnson graph</em> on parameters (n,k).
   It has one node for each set in \({[n]}\choose{k}\),
   and an edge between two nodes iff the intersection of the corresponding subsets is of size k-1.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the size of the ground set</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">k</td><td><div class="descr"><div>the size of the subsets</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:kneser_graph" onclick="swap_content('span:kneser_graph'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="kneser_graph" onclick="swap_content('span:kneser_graph'); return false;"><b>kneser_graph</b></a>
			(n, k)  

			
				→ Graph<div style="display: inline" id="span:kneser_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create the <em class="u">Kneser graph</em> on parameters (n,k).
   It has one node for each set in \({[n]}\choose{k}\),
   and an edge between two nodes iff the corresponding subsets are disjoint.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the size of the ground set</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">k</td><td><div class="descr"><div>the size of the subsets</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:path_graph" onclick="swap_content('span:path_graph'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="path_graph" onclick="swap_content('span:path_graph'); return false;"><b>path_graph</b></a>
			(n)  

			
				→ Graph<div style="display: inline" id="span:path_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">path graph</em> on <em class="param">n</em> nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:petersen" onclick="swap_content('span:petersen'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="petersen" onclick="swap_content('span:petersen'); return false;"><b>petersen</b></a>
			()  

			
				→ Graph<div style="display: inline" id="span:petersen" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs the <em class="u">Petersen graph</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:random_graph" onclick="swap_content('span:random_graph'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="random_graph" onclick="swap_content('span:random_graph'); return false;"><b>random_graph</b></a>
			(n)  

			
				→ Graph<div style="display: inline" id="span:random_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a random graph with <em class="param">n</em> nodes according to the Erdos-Renyi model.
 Each edge is chosen uniformly with probability <em class="param">p</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">p</td><td><div class="descr"><div>the probability of an edge occurring; default 1/2</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">try_connected</td><td><div class="descr"><div>whether to try to generate a connected graph, default 1</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">max_attempts</td><td><div class="descr"><div>If <em class="param">connected</em> is set, specifies 
   how many times to try to make a connected random graph before giving up.</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Visualization" onclick="swap_content('span:functions__Visualization'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Visualization" onclick="swap_content('span:functions__Visualization'); return false;">
                  <span class="category">Visualization</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Visualization" class="foldit">
              <div class="descr">
                <p> These functions are for visualization.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:clip_graph" onclick="swap_content('span:clip_graph'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="clip_graph" onclick="swap_content('span:clip_graph'); return false;"><b>clip_graph</b></a>
			(G, V, BB)  

			
				→ GeometricGraph<div style="display: inline" id="span:clip_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Clip a graph with respect to a given bounding box.
 Used for the visualization of Voronoi diagrams.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td/></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">V</td><td/></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">BB</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#GeometricGraph" onclick="unfold('span:GeometricGraph');">GeometricGraph</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:graphviz" onclick="swap_content('span:graphviz'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="graphviz" onclick="swap_content('span:graphviz'); return false;"><b>graphviz</b></a>
			(vis_obj ...)  

			<div style="display: inline" id="span:graphviz" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Draw the given graph or face lattice object using <a href="http://polymake.org//external_software#graphviz" onclick="unfold('span:graphviz');">graphviz</a> program
 <code>neato</code> or <code>dot</code> respectively.
 The output is rendered in PostScript format and fed into a viewer program, if one is configured.
 If you prefer to produce another output format, please use the <em class="param">File</em> option and call the <code>neato</code>
 or <code>dot</code> program manually.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to display</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"
  Store the graph description in a DOT source file without starting the interactive GUI.
  The <code>.dot</code> suffix is automatically added to the file name.</div><div>  Specify <em class="param">AUTO</em> if you want the filename be automatically derived
  from the drawing title.</div><div>  You can also use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:hd_embedder" onclick="swap_content('span:hd_embedder'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="hd_embedder" onclick="swap_content('span:hd_embedder'); return false;"><b>hd_embedder</b></a>
			(label_width)  

			<div style="display: inline" id="span:hd_embedder" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create an embedding of the Hasse diagram as a layered graph.
 The embedding algorithm tries to minimize the weighted sum of squares of edge lengths,
 starting from a random distribution. The weights are relative to the fatness of the layers.
 The y-space between the layers is constant.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td class="param">label_width</td><td><div class="descr"><div>estimates (better upper bounds) of the label width of each node.
 The computed layout guarantees that the distances between the nodes in a layer are at least equal to
 the widest label in this layer.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">dual</td><td><div class="descr"><div>the node representing the empty face is put on the topmost level</div></div></td></tr><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">eps</td><td><div class="descr"><div>calculation accuracy.</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>effects the initial placement of the nodes.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:LEDA_graph" onclick="swap_content('span:LEDA_graph'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="LEDA_graph" onclick="swap_content('span:LEDA_graph'); return false;"><b>LEDA_graph</b></a>
			(G)  

			<div style="display: inline" id="span:LEDA_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Write a graph in LEDA input format.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Graph" onclick="unfold('span:Graph');">props::Graph</a></td><td class="param">G</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:metapost" onclick="swap_content('span:metapost'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="metapost" onclick="swap_content('span:metapost'); return false;"><b>metapost</b></a>
			(vis_obj ...)  

			<div style="display: inline" id="span:metapost" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a MetaPost input file with given visual objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to display</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"
  The MetaPost description always has to be stored in a file, there is no interactive viewer for this
  kind of visualization.</div><div>  For the file name you can use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.  Real file names are automatically completed with the <code>.mp</code> suffix if needed.</div><div>  The default setting "AUTO" lets the file name be derived from the drawing title.
  The automatically generated file name is displayed in the verbose mode.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:spring_embedder" onclick="swap_content('span:spring_embedder'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="spring_embedder" onclick="swap_content('span:spring_embedder'); return false;"><b>spring_embedder</b></a>
			(graph)  

			<div style="display: inline" id="span:spring_embedder" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a 3-d embedding for the graph using the spring embedding algorithm
 along the lines of
</p><blockquote><div> Thomas Fruchtermann and Edward Reingold:</div><div> Graph Drawing by Force-directed Placement.</div><div> Software Practice and Experience Vol. 21, 1129-1164 (1992), no. 11.</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Graph" onclick="unfold('span:Graph');">props::Graph&lt;Undirected&gt;</a></td><td class="param">graph</td><td><div class="descr"><div>to be embedded.</div></div></td></tr></table><h5>Options</h5><div class="descr"><div>affecting the desired picture</div></div><table class="args"><tr><td><a href="common.html#EdgeMap" onclick="unfold('span:EdgeMap');">EdgeMap</a></td><td class="param">edge_weights</td><td><div class="descr"><div>relative edge lengths.
  By default the embedding algorithm tries to stretch all edges to the same length.</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">z-ordering</td><td><div class="descr"><div>an objective function provides an additional force along the z-axis,
  trying to rearrange nodes in the order of the function growth.</div></div></td></tr><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">z-factor</td><td><div class="descr"><div>gain coefficient applied to the <em class="param">z-ordering</em> force.</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed for initial node placement on a unit sphere.</div></div></td></tr></table><div class="descr"><div>calculation fine-tuning</div></div><table class="args"><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">scale</td><td><div class="descr"><div>enlarges the ideal edge length</div></div></td></tr><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">balance</td><td><div class="descr"><div>changes the balance between the edge contraction and node repulsion forces</div></div></td></tr><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">inertion</td><td><div class="descr"><div>affects how the nodes are moved, can be used to restrain oscillations</div></div></td></tr><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">viscosity</td><td><div class="descr"><div>idem</div></div></td></tr><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">eps</td><td><div class="descr"><div>a threshold for point movement between iterations, below that it is considered to stand still</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">max-iterations</td><td><div class="descr"><div>hard limit for computational efforts.
  The algorithm terminates at latest after that many iterations regardless of the convergence achieved so far.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level3">
    <h2>Common Option Lists</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:options__options__Visualization" onclick="swap_content('span:options__options__Visualization'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="options__options__Visualization" onclick="swap_content('span:options__options__Visualization'); return false;">
                  <span class="category">Visualization</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:options__options__Visualization" class="foldit">
              <div class="descr">
                <p> These options are for visualization.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:options__Visual_Graph_decorations" onclick="swap_content('span:options__Visual_Graph_decorations'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="options__Visual_Graph_decorations" onclick="swap_content('span:options__Visual_Graph_decorations'); return false;">
                        <b>Visual::Graph::decorations</b>
                      </a>
                      <div style="display: inline" id="span:options__Visual_Graph_decorations" class="foldit"><div class="descr"><p> Attributes modifying the appearance of graphs</p></div><b>imports from: </b>Visual::Wire::decorations, Visual::PointSet::decorations<br/><br/><h5>Options</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Float&gt;</a></td><td class="param">Coord</td><td><div class="descr"><div>2-d or 3-d coordinates of the nodes.
                If not specified, a random embedding is generated using a pseudo-physical spring model</div></div></td></tr><tr><td><a href="common.html#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;RGB&gt;</a></td><td class="param">NodeColor</td><td><div class="descr"><div>alias for PointColor</div></div></td></tr><tr><td><a href="common.html#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Float&gt;</a></td><td class="param">NodeThickness</td><td><div class="descr"><div>alias for PointThickness</div></div></td></tr><tr><td><a href="common.html#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;RGB&gt;</a></td><td class="param">NodeBorderColor</td><td><div class="descr"><div>alias for PointBorderColor</div></div></td></tr><tr><td><a href="common.html#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Float&gt;</a></td><td class="param">NodeBorderThickness</td><td><div class="descr"><div>alias for PointBorderThickness</div></div></td></tr><tr><td><a href="common.html#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;String&gt;</a></td><td class="param">NodeStyle</td><td><div class="descr"><div>alias for PointStyle</div></div></td></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">NodeLabels</td><td><div class="descr"><div>alias for PointLabels</div></div></td></tr></table></div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:options__Visual_Lattice_decorations" onclick="swap_content('span:options__Visual_Lattice_decorations'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="options__Visual_Lattice_decorations" onclick="swap_content('span:options__Visual_Lattice_decorations'); return false;">
                        <b>Visual::Lattice::decorations</b>
                      </a>
                      <div style="display: inline" id="span:options__Visual_Lattice_decorations" class="foldit"><div class="descr"><p> Attributes modifying the appearance of face lattices</p></div><b>imports from: </b>Visual::Graph::decorations, Visual::Wire::decorations, Visual::PointSet::decorations<br/><br/><h5>Options</h5><table class="args"><tr><td><a href="common.html#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Int&gt;</a></td><td class="param">ArrowStyle</td><td><div class="descr"><div>How to draw directed edges: 0 (like undirected), 1 (with an arrow pointing towards the edge),
                or -1 (with an arrow pointing against the edge).  Default is 1.</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td class="param">AtomLabels</td><td><div class="descr"><div>Labels of atoms, to use as building blocks for node labels.  By default the ordinal numbers are taken.</div></div></td></tr></table></div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
</div>
