<div xmlns="http://www.w3.org/1999/xhtml" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content">
  <h1>application: group</h1>
  <div class="descr">
    <p> The application group provides basic functionality for working with permutation
 groups. An object of type <a href="#Group" onclick="unfold('span:Group');">Group</a> is defined by a list of <a href="#Group__GENERATORS" onclick="unfold('span:Group__GENERATORS');">GENERATORS</a> describing the 
 permutation of some indices. 
 The object <a href="#GroupOfCone" onclick="unfold('span:GroupOfCone');">GroupOfCone</a> encapsulates symmetry information of a <a href="polytope.html#Cone" onclick="unfold('span:Cone');">Cone</a>.
 It can act on the indices of rays (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;1), of facets (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;2), or on coordinates (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;3).</p>
  </div>
  <b>imports from: </b>
  <a href="common.html">common</a>
  <br/>
  <div class="level2">
    <h2>
      <b>Objects</b>
    </h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:Group" onclick="swap_content('span:Group'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="Group" onclick="swap_content('span:Group'); return false;">
                  <span class="object">Group</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:Group" class="foldit">
              <div class="descr">
                <p> A finite permutation group.</p>
              </div>
              <div class="level3"/>
              <h4>Properties of Group</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__BASE" onclick="swap_content('span:Group__BASE'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__BASE" onclick="swap_content('span:Group__BASE'); return false;"><b>BASE</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Group__BASE" class="foldit">
                        <div class="descr">
                          <p> A base for <a href="#Group__STRONG_GENERATORS" onclick="unfold('span:Group__STRONG_GENERATORS');">STRONG_GENERATORS</a>.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__CHARACTER_TABLE" onclick="swap_content('span:Group__CHARACTER_TABLE'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__CHARACTER_TABLE" onclick="swap_content('span:Group__CHARACTER_TABLE'); return false;"><b>CHARACTER_TABLE</b>:
		</a>
                      <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Group__CHARACTER_TABLE" class="foldit">
                        <div class="descr">
                          <p> The character table.
 NOTE: We do not support complex characters, but for the moment only real rational ones.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__CONJUGACY_CLASSES" onclick="swap_content('span:Group__CONJUGACY_CLASSES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__CONJUGACY_CLASSES" onclick="swap_content('span:Group__CONJUGACY_CLASSES'); return false;"><b>CONJUGACY_CLASSES</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Array&lt;Int&gt;&gt;&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Group__CONJUGACY_CLASSES" class="foldit">
                        <div class="descr">
                          <p> The conjugacy classes themselves</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__CONJUGACY_CLASS_REPRESENTATIVES" onclick="swap_content('span:Group__CONJUGACY_CLASS_REPRESENTATIVES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__CONJUGACY_CLASS_REPRESENTATIVES" onclick="swap_content('span:Group__CONJUGACY_CLASS_REPRESENTATIVES'); return false;"><b>CONJUGACY_CLASS_REPRESENTATIVES</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Group__CONJUGACY_CLASS_REPRESENTATIVES" class="foldit">
                        <div class="descr">
                          <p> A set of representatives for each conjugacy class</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__CONJUGACY_CLASS_SIZES" onclick="swap_content('span:Group__CONJUGACY_CLASS_SIZES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__CONJUGACY_CLASS_SIZES" onclick="swap_content('span:Group__CONJUGACY_CLASS_SIZES'); return false;"><b>CONJUGACY_CLASS_SIZES</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Group__CONJUGACY_CLASS_SIZES" class="foldit">
                        <div class="descr">
                          <p> The sizes of the conjugacy classes</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__DEGREE" onclick="swap_content('span:Group__DEGREE'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__DEGREE" onclick="swap_content('span:Group__DEGREE'); return false;"><b>DEGREE</b>:
		</a>
                      <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                      <br/>
                      <div style="display: inline" id="span:Group__DEGREE" class="foldit">
                        <div class="descr">
                          <p> The <em class="u">degree</em> of the permutation representation.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__GENERATORS" onclick="swap_content('span:Group__GENERATORS'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__GENERATORS" onclick="swap_content('span:Group__GENERATORS'); return false;"><b>GENERATORS</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Group__GENERATORS" class="foldit">
                        <div class="descr">
                          <p> Some generating set for the group. All generators must have 
 the same length <a href="#Group__DEGREE" onclick="unfold('span:Group__DEGREE');">DEGREE</a>. 
 FIXME: Concrete description as second row of permutation representation</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__N_STRONG_GENERATORS" onclick="swap_content('span:Group__N_STRONG_GENERATORS'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__N_STRONG_GENERATORS" onclick="swap_content('span:Group__N_STRONG_GENERATORS'); return false;"><b>N_STRONG_GENERATORS</b>:
		</a>
                      <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                      <br/>
                      <div style="display: inline" id="span:Group__N_STRONG_GENERATORS" class="foldit">
                        <div class="descr">
                          <p> The number of <a href="#Group__STRONG_GENERATORS" onclick="unfold('span:Group__STRONG_GENERATORS');">STRONG_GENERATORS</a>.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__ORDER" onclick="swap_content('span:Group__ORDER'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__ORDER" onclick="swap_content('span:Group__ORDER'); return false;"><b>ORDER</b>:
		</a>
                      <a href="common.html#Integer" onclick="unfold('span:Integer');">common::Integer</a>
                      <br/>
                      <div style="display: inline" id="span:Group__ORDER" class="foldit">
                        <div class="descr">
                          <p> The <em class="u">order</em> of the group.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__STRONG_GENERATORS" onclick="swap_content('span:Group__STRONG_GENERATORS'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__STRONG_GENERATORS" onclick="swap_content('span:Group__STRONG_GENERATORS'); return false;"><b>STRONG_GENERATORS</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Group__STRONG_GENERATORS" class="foldit">
                        <div class="descr">
                          <p> Strong generating set with respect to <a href="#Group__BASE" onclick="unfold('span:Group__BASE');">BASE</a>.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__TRANSVERSALS" onclick="swap_content('span:Group__TRANSVERSALS'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__TRANSVERSALS" onclick="swap_content('span:Group__TRANSVERSALS'); return false;"><b>TRANSVERSALS</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Group__TRANSVERSALS" class="foldit">
                        <div class="descr">
                          <p> Transversals along the stabilizer chain. </p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Group__TRANSVERSAL_SIZES" onclick="swap_content('span:Group__TRANSVERSAL_SIZES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Group__TRANSVERSAL_SIZES" onclick="swap_content('span:Group__TRANSVERSAL_SIZES'); return false;"><b>TRANSVERSAL_SIZES</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Group__TRANSVERSAL_SIZES" class="foldit">
                        <div class="descr">
                          <p> The number of group elements per transversal.</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:GroupOfCone" onclick="swap_content('span:GroupOfCone'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="GroupOfCone" onclick="swap_content('span:GroupOfCone'); return false;">
                  <span class="object">GroupOfCone</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:GroupOfCone" class="foldit">
              <div class="descr">
                <p> A permutation group which acts on a <a href="polytope.html#Cone" onclick="unfold('span:Cone');">Cone</a> by permuting
 (1) its <a href="polytope.html#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a> (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;1), (2) its <a href="polytope.html#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a> (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;2), or (3) the coordinates (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;3). </p>
              </div>
              <b>derived from: </b>
              <a href="#Group" onclick="unfold('span:Group');">Group</a>
              <br/>
              <div class="level3"/>
              <h4>Properties of GroupOfCone</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:GroupOfCone__properties__Combinatorics" onclick="swap_content('span:GroupOfCone__properties__Combinatorics'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="GroupOfCone__properties__Combinatorics" onclick="swap_content('span:GroupOfCone__properties__Combinatorics'); return false;">
                            <span class="category">Combinatorics</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:GroupOfCone__properties__Combinatorics" class="foldit">
                        <div class="descr">
                          <p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p>
                        </div>
                        <div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES'); return false;"><b>REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;boost_dynamic_bitset&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES" class="foldit">
                                  <div class="descr">
                                    <p> The (<em class="param">d</em>-1)-dimensional simplices in the interior.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES'); return false;"><b>REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;boost_dynamic_bitset&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES" class="foldit">
                                  <div class="descr">
                                    <p> The boundary (<em class="param">d</em>-1)-dimensional simplices of a cone of combinatorial dimension <em class="param">d</em>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES'); return false;"><b>REPRESENTATIVE_MAX_INTERIOR_SIMPLICES</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;boost_dynamic_bitset&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES" class="foldit">
                                  <div class="descr">
                                    <p> The interior <em class="param">d</em>-dimensional simplices of a cone of combinatorial dimension <em class="param">d</em>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__SIMPLEXITY_LOWER_BOUND" onclick="swap_content('span:GroupOfCone__SIMPLEXITY_LOWER_BOUND'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__SIMPLEXITY_LOWER_BOUND" onclick="swap_content('span:GroupOfCone__SIMPLEXITY_LOWER_BOUND'); return false;"><b>SIMPLEXITY_LOWER_BOUND</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__SIMPLEXITY_LOWER_BOUND" class="foldit">
                                  <div class="descr">
                                    <p> The symmetrized version of <a href="#GroupOfCone__SIMPLEXITY_LOWER_BOUND" onclick="unfold('span:GroupOfCone__SIMPLEXITY_LOWER_BOUND');">SIMPLEXITY_LOWER_BOUND</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:GroupOfCone__properties__Symmetry" onclick="swap_content('span:GroupOfCone__properties__Symmetry'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="GroupOfCone__properties__Symmetry" onclick="swap_content('span:GroupOfCone__properties__Symmetry'); return false;">
                            <span class="category">Symmetry</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:GroupOfCone__properties__Symmetry" class="foldit">
                        <div class="descr">
                          <p> These properties capture information of the object that is concerned with the action of permutation groups.</p>
                        </div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__COORDINATES_IN_ORBITS" onclick="swap_content('span:GroupOfCone__COORDINATES_IN_ORBITS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__COORDINATES_IN_ORBITS" onclick="swap_content('span:GroupOfCone__COORDINATES_IN_ORBITS'); return false;"><b>COORDINATES_IN_ORBITS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__COORDINATES_IN_ORBITS" class="foldit">
                                  <div class="descr">
                                    <p> An array that contains a set of indices (of rays) for each orbit of coordinates. </p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__DOMAIN" onclick="swap_content('span:GroupOfCone__DOMAIN'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__DOMAIN" onclick="swap_content('span:GroupOfCone__DOMAIN'); return false;"><b>DOMAIN</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__DOMAIN" class="foldit">
                                  <div class="descr">
                                    <p> Indicates on which domain the group action is defined, see Enum defined in
 'apps/polytope/rules/permlib.rules'.
</p>
                                    <blockquote>
                                      <div> OnRays=1: action on the (indices of the) rays</div>
                                      <div> OnFacets=2: action on the facets</div>
                                      <div> OnCoords=3: action on the coordinates </div>
                                    </blockquote>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__FACETS_IN_ORBITS" onclick="swap_content('span:GroupOfCone__FACETS_IN_ORBITS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__FACETS_IN_ORBITS" onclick="swap_content('span:GroupOfCone__FACETS_IN_ORBITS'); return false;"><b>FACETS_IN_ORBITS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__FACETS_IN_ORBITS" class="foldit">
                                  <div class="descr">
                                    <p> An array that contains a set of indices (of facets) for each orbit of facets. 
 The indices of the facets correspond to their indices in the polymake object.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__INEQUALITIES_IN_ORBITS" onclick="swap_content('span:GroupOfCone__INEQUALITIES_IN_ORBITS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__INEQUALITIES_IN_ORBITS" onclick="swap_content('span:GroupOfCone__INEQUALITIES_IN_ORBITS'); return false;"><b>INEQUALITIES_IN_ORBITS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__INEQUALITIES_IN_ORBITS" class="foldit">
                                  <div class="descr">
                                    <p> An array that contains a set of indices (of inequalities) for each orbit of inequalities. 
 The indices of the inequalities correspond to their indices in the polymake object.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__INPUT_RAYS_IN_ORBITS" onclick="swap_content('span:GroupOfCone__INPUT_RAYS_IN_ORBITS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__INPUT_RAYS_IN_ORBITS" onclick="swap_content('span:GroupOfCone__INPUT_RAYS_IN_ORBITS'); return false;"><b>INPUT_RAYS_IN_ORBITS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__INPUT_RAYS_IN_ORBITS" class="foldit">
                                  <div class="descr">
                                    <p> An array that contains a set of indices (of input rays) for each orbit of rays. 
 The indices of the input rays correspond to their indices in the polymake object.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_ORBITS_OF_COORDINATES" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_COORDINATES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_ORBITS_OF_COORDINATES" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_COORDINATES'); return false;"><b>N_ORBITS_OF_COORDINATES</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_ORBITS_OF_COORDINATES" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits of coordinates.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_ORBITS_OF_FACETS" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_FACETS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_ORBITS_OF_FACETS" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_FACETS'); return false;"><b>N_ORBITS_OF_FACETS</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_ORBITS_OF_FACETS" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits of facets.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_ORBITS_OF_INEQUALITIES" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_INEQUALITIES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_ORBITS_OF_INEQUALITIES" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_INEQUALITIES'); return false;"><b>N_ORBITS_OF_INEQUALITIES</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_ORBITS_OF_INEQUALITIES" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits of inequalities.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_ORBITS_OF_INPUT_RAYS" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_INPUT_RAYS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_ORBITS_OF_INPUT_RAYS" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_INPUT_RAYS'); return false;"><b>N_ORBITS_OF_INPUT_RAYS</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_ORBITS_OF_INPUT_RAYS" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits of input rays.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_ORBITS_OF_RAYS" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_RAYS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_ORBITS_OF_RAYS" onclick="swap_content('span:GroupOfCone__N_ORBITS_OF_RAYS'); return false;"><b>N_ORBITS_OF_RAYS</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_ORBITS_OF_RAYS" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits of rays.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_REPRESENTATIVE_FACETS" onclick="swap_content('span:GroupOfCone__N_REPRESENTATIVE_FACETS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_REPRESENTATIVE_FACETS" onclick="swap_content('span:GroupOfCone__N_REPRESENTATIVE_FACETS'); return false;"><b>N_REPRESENTATIVE_FACETS</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_REPRESENTATIVE_FACETS" class="foldit">
                                  <div class="descr">
                                    <p> The number of facet representatives.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_REPRESENTATIVE_RAYS" onclick="swap_content('span:GroupOfCone__N_REPRESENTATIVE_RAYS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_REPRESENTATIVE_RAYS" onclick="swap_content('span:GroupOfCone__N_REPRESENTATIVE_RAYS'); return false;"><b>N_REPRESENTATIVE_RAYS</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_REPRESENTATIVE_RAYS" class="foldit">
                                  <div class="descr">
                                    <p> The number of ray representatives.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__N_REPRESENTATIVE_SIMPLICES" onclick="swap_content('span:GroupOfCone__N_REPRESENTATIVE_SIMPLICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__N_REPRESENTATIVE_SIMPLICES" onclick="swap_content('span:GroupOfCone__N_REPRESENTATIVE_SIMPLICES'); return false;"><b>N_REPRESENTATIVE_SIMPLICES</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__N_REPRESENTATIVE_SIMPLICES" class="foldit">
                                  <div class="descr">
                                    <p> An array of size <a href="polytope.html#Cone__COMBINATORIAL_DIM" onclick="unfold('span:Cone__COMBINATORIAL_DIM');">COMBINATORIAL_DIM</a> whose <em class="param">k</em>-th entry stores the number of
 symmetry classes of <em class="param">k</em>-dimensional simplices in the cone.</p>
                                  </div>
                                  <div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__RAYS_IN_ORBITS" onclick="swap_content('span:GroupOfCone__RAYS_IN_ORBITS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__RAYS_IN_ORBITS" onclick="swap_content('span:GroupOfCone__RAYS_IN_ORBITS'); return false;"><b>RAYS_IN_ORBITS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__RAYS_IN_ORBITS" class="foldit">
                                  <div class="descr">
                                    <p> An array that contains a set of indices (of rays) for each orbit of rays. 
 The indices of the rays correspond to their indices in the polymake object.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__REPRESENTATIVE_FACETS" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_FACETS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__REPRESENTATIVE_FACETS" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_FACETS'); return false;"><b>REPRESENTATIVE_FACETS</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__REPRESENTATIVE_FACETS" class="foldit">
                                  <div class="descr">
                                    <p> Representatives for the orbits of facets of the cone under this group action.
 No redundancies are allowed.</p>
                                    <p> FIXME: Could cause problems since representatives are not unique! 
        The order should correspond to the order of the orbits of facets!</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__REPRESENTATIVE_LINEAR_SPAN" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_LINEAR_SPAN'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__REPRESENTATIVE_LINEAR_SPAN" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_LINEAR_SPAN'); return false;"><b>REPRESENTATIVE_LINEAR_SPAN</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__REPRESENTATIVE_LINEAR_SPAN" class="foldit">
                                  <div class="descr">
                                    <p> Representatives for the orbits of the linear span of the cone under this group action.</p>
                                    <p> No redundancies are allowed.
 FIXME: Could cause problems since representatives are not unique! 
        The order should correspond to the order of the orbits of facets!</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__REPRESENTATIVE_RAYS" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_RAYS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__REPRESENTATIVE_RAYS" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_RAYS'); return false;"><b>REPRESENTATIVE_RAYS</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__REPRESENTATIVE_RAYS" class="foldit">
                                  <div class="descr">
                                    <p> Representatives for the orbits of rays of the cone under this group action.
 No redundancies are allowed.</p>
                                    <p> FIXME: Could cause problems since representatives are not unique! How to do canonicalization?
        The order should correspond to the order of the orbits of rays!</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__REPRESENTATIVE_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_SIMPLICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__REPRESENTATIVE_SIMPLICES" onclick="swap_content('span:GroupOfCone__REPRESENTATIVE_SIMPLICES'); return false;"><b>REPRESENTATIVE_SIMPLICES</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;boost_dynamic_bitset&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__REPRESENTATIVE_SIMPLICES" class="foldit">
                                  <div class="descr">
                                    <p> An array of size <a href="polytope.html#Cone__COMBINATORIAL_DIM" onclick="unfold('span:Cone__COMBINATORIAL_DIM');">COMBINATORIAL_DIM</a> whose <em class="param">k</em>-th entry stores one representative for each 
 symmetry class of <em class="param">k</em>-dimensional simplices in the cone.</p>
                                  </div>
                                  <div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__SYMMETRIC_FACETS" onclick="swap_content('span:GroupOfCone__SYMMETRIC_FACETS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__SYMMETRIC_FACETS" onclick="swap_content('span:GroupOfCone__SYMMETRIC_FACETS'); return false;"><b>SYMMETRIC_FACETS</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__SYMMETRIC_FACETS" class="foldit">
                                  <div class="descr">
                                    <p> The symmetrized facets of the cone. Same order as in the <a href="polytope.html#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a>-section.</p>
                                    <p> Explanation: The symmetry group of a cone also act on the facets.
   If the cone is not full-dimensional, however, the facets may appear
   unsymmetric. Nevertheless, there always exists some symmetric facet description.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__SYMMETRIC_RAYS" onclick="swap_content('span:GroupOfCone__SYMMETRIC_RAYS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__SYMMETRIC_RAYS" onclick="swap_content('span:GroupOfCone__SYMMETRIC_RAYS'); return false;"><b>SYMMETRIC_RAYS</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__SYMMETRIC_RAYS" class="foldit">
                                  <div class="descr">
                                    <p> The symmetrized rays of the cone. Same order as in the <a href="polytope.html#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a>-section.
 Explanation: The symmetry group of a cone also act on the rays.
   If the cone has a non-trivial lineality space, however, the rays may appear
   unsymmetric. Nevertheless, there always exists some symmetric ray description.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfCone__SYMMETRIZED_COCIRCUIT_EQUATIONS" onclick="swap_content('span:GroupOfCone__SYMMETRIZED_COCIRCUIT_EQUATIONS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfCone__SYMMETRIZED_COCIRCUIT_EQUATIONS" onclick="swap_content('span:GroupOfCone__SYMMETRIZED_COCIRCUIT_EQUATIONS'); return false;"><b>SYMMETRIZED_COCIRCUIT_EQUATIONS</b>:
		</a>
                                <a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">common::SparseMatrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfCone__SYMMETRIZED_COCIRCUIT_EQUATIONS" class="foldit">
                                  <div class="descr">
                                    <p> A SparseMatrix whose rows are the sum of all cocircuit equations corresponding to a fixed symmetry class of interior ridge.</p>
                                  </div>
                                  <div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:GroupOfPolytope" onclick="swap_content('span:GroupOfPolytope'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="GroupOfPolytope" onclick="swap_content('span:GroupOfPolytope'); return false;">
                  <span class="object">GroupOfPolytope</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:GroupOfPolytope" class="foldit">
              <div class="descr">
                <p> A permutation group which acts on a <a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">Polytope</a> by permuting
 (1) its <a href="polytope.html#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">VERTICES</a> (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;1), (2) its <a href="polytope.html#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a> (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;2), or (3) the coordinates (<a href="#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=&gt;3). </p>
              </div>
              <b>derived from: </b>
              <a href="#GroupOfCone" onclick="unfold('span:GroupOfCone');">GroupOfCone</a>
              <br/>
              <div class="level3"/>
              <h4>Properties of GroupOfPolytope</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:GroupOfPolytope__properties__Symmetry" onclick="swap_content('span:GroupOfPolytope__properties__Symmetry'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="GroupOfPolytope__properties__Symmetry" onclick="swap_content('span:GroupOfPolytope__properties__Symmetry'); return false;">
                            <span class="category">Symmetry</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:GroupOfPolytope__properties__Symmetry" class="foldit">
                        <div class="descr">
                          <p> These properties capture information of the object that is concerned with the action of permutation groups.</p>
                        </div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__N_ORBITS_OF_POINTS" onclick="swap_content('span:GroupOfPolytope__N_ORBITS_OF_POINTS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__N_ORBITS_OF_POINTS" onclick="swap_content('span:GroupOfPolytope__N_ORBITS_OF_POINTS'); return false;"><b>N_ORBITS_OF_POINTS</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__N_ORBITS_OF_POINTS" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits of points.
 Alias for property <a href="#GroupOfCone__N_ORBITS_OF_INPUT_RAYS" onclick="unfold('span:GroupOfCone__N_ORBITS_OF_INPUT_RAYS');">GroupOfCone::N_ORBITS_OF_INPUT_RAYS</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__N_ORBITS_OF_VERTICES" onclick="swap_content('span:GroupOfPolytope__N_ORBITS_OF_VERTICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__N_ORBITS_OF_VERTICES" onclick="swap_content('span:GroupOfPolytope__N_ORBITS_OF_VERTICES'); return false;"><b>N_ORBITS_OF_VERTICES</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__N_ORBITS_OF_VERTICES" class="foldit">
                                  <div class="descr">
                                    <p> The number of orbits of vertices.
 Alias for property <a href="#GroupOfCone__N_ORBITS_OF_RAYS" onclick="unfold('span:GroupOfCone__N_ORBITS_OF_RAYS');">GroupOfCone::N_ORBITS_OF_RAYS</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__N_REPRESENTATIVE_VERTICES" onclick="swap_content('span:GroupOfPolytope__N_REPRESENTATIVE_VERTICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__N_REPRESENTATIVE_VERTICES" onclick="swap_content('span:GroupOfPolytope__N_REPRESENTATIVE_VERTICES'); return false;"><b>N_REPRESENTATIVE_VERTICES</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__N_REPRESENTATIVE_VERTICES" class="foldit">
                                  <div class="descr">
                                    <p> The number of vertex representatives.
 Alias for property <a href="#GroupOfCone__N_REPRESENTATIVE_RAYS" onclick="unfold('span:GroupOfCone__N_REPRESENTATIVE_RAYS');">GroupOfCone::N_REPRESENTATIVE_RAYS</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__POINTS_IN_ORBITS" onclick="swap_content('span:GroupOfPolytope__POINTS_IN_ORBITS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__POINTS_IN_ORBITS" onclick="swap_content('span:GroupOfPolytope__POINTS_IN_ORBITS'); return false;"><b>POINTS_IN_ORBITS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__POINTS_IN_ORBITS" class="foldit">
                                  <div class="descr">
                                    <p> An array that contains a set of indices (of points) for each orbit of points.
 The indices of the points correspond to their indices in the polymake object.
 Alias for property <a href="#GroupOfCone__INPUT_RAYS_IN_ORBITS" onclick="unfold('span:GroupOfCone__INPUT_RAYS_IN_ORBITS');">GroupOfCone::INPUT_RAYS_IN_ORBITS</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__REPRESENTATIVE_AFFINE_HULL" onclick="swap_content('span:GroupOfPolytope__REPRESENTATIVE_AFFINE_HULL'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__REPRESENTATIVE_AFFINE_HULL" onclick="swap_content('span:GroupOfPolytope__REPRESENTATIVE_AFFINE_HULL'); return false;"><b>REPRESENTATIVE_AFFINE_HULL</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__REPRESENTATIVE_AFFINE_HULL" class="foldit">
                                  <div class="descr">
                                    <p> Representatives for the orbits of linear span of the polytope under this group action.
 No redundancies are allowed.
 Alias for property <a href="#GroupOfCone__REPRESENTATIVE_LINEAR_SPAN" onclick="unfold('span:GroupOfCone__REPRESENTATIVE_LINEAR_SPAN');">GroupOfCone::REPRESENTATIVE_LINEAR_SPAN</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__REPRESENTATIVE_VERTICES" onclick="swap_content('span:GroupOfPolytope__REPRESENTATIVE_VERTICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__REPRESENTATIVE_VERTICES" onclick="swap_content('span:GroupOfPolytope__REPRESENTATIVE_VERTICES'); return false;"><b>REPRESENTATIVE_VERTICES</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__REPRESENTATIVE_VERTICES" class="foldit">
                                  <div class="descr">
                                    <p> Representatives for the orbits of vertices of the polytope under this group action.
 No redundancies are allowed.
 Alias for property <a href="#GroupOfCone__REPRESENTATIVE_RAYS" onclick="unfold('span:GroupOfCone__REPRESENTATIVE_RAYS');">GroupOfCone::REPRESENTATIVE_RAYS</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__SYMMETRIC_VERTICES" onclick="swap_content('span:GroupOfPolytope__SYMMETRIC_VERTICES'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__SYMMETRIC_VERTICES" onclick="swap_content('span:GroupOfPolytope__SYMMETRIC_VERTICES'); return false;"><b>SYMMETRIC_VERTICES</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__SYMMETRIC_VERTICES" class="foldit">
                                  <div class="descr">
                                    <p> The symmetrized vertices of the polytope. Same order as in the <a href="polytope.html#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">VERTICES</a>-section.</p>
                                    <p> Explanation: The symmetry group of a polytope also act on the vertices.
   If the polytope has a non-trivial lineality space, however, the vertices may appear
   unsymmetric. Nevertheless, there always exists some symmetric vertex description.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:GroupOfPolytope__VERTICES_IN_ORBITS" onclick="swap_content('span:GroupOfPolytope__VERTICES_IN_ORBITS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="GroupOfPolytope__VERTICES_IN_ORBITS" onclick="swap_content('span:GroupOfPolytope__VERTICES_IN_ORBITS'); return false;"><b>VERTICES_IN_ORBITS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:GroupOfPolytope__VERTICES_IN_ORBITS" class="foldit">
                                  <div class="descr">
                                    <p> An array that contains a set of indices (of vertices) for each orbit of vertices.
 The indices of the vertices correspond to their indices in the polymake object.
 Alias for property <a href="#GroupOfCone__RAYS_IN_ORBITS" onclick="unfold('span:GroupOfCone__RAYS_IN_ORBITS');">GroupOfCone::RAYS_IN_ORBITS</a>.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:PermutationRepresentationOnSets" onclick="swap_content('span:PermutationRepresentationOnSets'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="PermutationRepresentationOnSets" onclick="swap_content('span:PermutationRepresentationOnSets'); return false;">
                  <span class="object">PermutationRepresentationOnSets</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:PermutationRepresentationOnSets" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <b>derived from: </b>
              <a href="#Representation" onclick="unfold('span:Representation');">Representation</a>
              <br/>
              <div class="level3"/>
              <h4>Properties of PermutationRepresentationOnSets</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:PermutationRepresentationOnSets__CHARACTER" onclick="swap_content('span:PermutationRepresentationOnSets__CHARACTER'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="PermutationRepresentationOnSets__CHARACTER" onclick="swap_content('span:PermutationRepresentationOnSets__CHARACTER'); return false;"><b>CHARACTER</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:PermutationRepresentationOnSets__CHARACTER" class="foldit">
                        <div class="descr">
                          <p> the character of the representation</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:PermutationRepresentationOnSets__DOMAIN" onclick="swap_content('span:PermutationRepresentationOnSets__DOMAIN'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="PermutationRepresentationOnSets__DOMAIN" onclick="swap_content('span:PermutationRepresentationOnSets__DOMAIN'); return false;"><b>DOMAIN</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:PermutationRepresentationOnSets__DOMAIN" class="foldit">
                        <div class="descr">
                          <p> the list of sets on which the group acts</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:PermutationRepresentationOnSets__DOMAIN_IN_ORBIT_ORDER" onclick="swap_content('span:PermutationRepresentationOnSets__DOMAIN_IN_ORBIT_ORDER'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="PermutationRepresentationOnSets__DOMAIN_IN_ORBIT_ORDER" onclick="swap_content('span:PermutationRepresentationOnSets__DOMAIN_IN_ORBIT_ORDER'); return false;"><b>DOMAIN_IN_ORBIT_ORDER</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:PermutationRepresentationOnSets__DOMAIN_IN_ORBIT_ORDER" class="foldit">
                        <div class="descr">
                          <p> the list of sets on which the group acts, ordered by orbits and conjugacy classes</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:PermutationRepresentationOnSets__INDEX_IN_ORBIT_ORDER_OF" onclick="swap_content('span:PermutationRepresentationOnSets__INDEX_IN_ORBIT_ORDER_OF'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="PermutationRepresentationOnSets__INDEX_IN_ORBIT_ORDER_OF" onclick="swap_content('span:PermutationRepresentationOnSets__INDEX_IN_ORBIT_ORDER_OF'); return false;"><b>INDEX_IN_ORBIT_ORDER_OF</b>:
		</a>
                      <a href="common.html#Map" onclick="unfold('span:Map');">common::Map&lt;Set&lt;Int&gt;, Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:PermutationRepresentationOnSets__INDEX_IN_ORBIT_ORDER_OF" class="foldit">
                        <div class="descr">
                          <p> the function that indexes these sets</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:PermutationRepresentationOnSets__INDEX_OF" onclick="swap_content('span:PermutationRepresentationOnSets__INDEX_OF'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="PermutationRepresentationOnSets__INDEX_OF" onclick="swap_content('span:PermutationRepresentationOnSets__INDEX_OF'); return false;"><b>INDEX_OF</b>:
		</a>
                      <a href="common.html#Map" onclick="unfold('span:Map');">common::Map&lt;Set&lt;Int&gt;, Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:PermutationRepresentationOnSets__INDEX_OF" class="foldit">
                        <div class="descr">
                          <p> the function that indexes these sets</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:PermutationRepresentationOnSets__ORBIT_REPRESENTATIVES" onclick="swap_content('span:PermutationRepresentationOnSets__ORBIT_REPRESENTATIVES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="PermutationRepresentationOnSets__ORBIT_REPRESENTATIVES" onclick="swap_content('span:PermutationRepresentationOnSets__ORBIT_REPRESENTATIVES'); return false;"><b>ORBIT_REPRESENTATIVES</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:PermutationRepresentationOnSets__ORBIT_REPRESENTATIVES" class="foldit">
                        <div class="descr">
                          <p> the lex-min representatives for each orbit</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:PermutationRepresentationOnSets__ORBIT_SIZES" onclick="swap_content('span:PermutationRepresentationOnSets__ORBIT_SIZES'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="PermutationRepresentationOnSets__ORBIT_SIZES" onclick="swap_content('span:PermutationRepresentationOnSets__ORBIT_SIZES'); return false;"><b>ORBIT_SIZES</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:PermutationRepresentationOnSets__ORBIT_SIZES" class="foldit">
                        <div class="descr">
                          <p> the size of each orbit</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:PermutationRepresentationOnSets__UNDERLYING_SET" onclick="swap_content('span:PermutationRepresentationOnSets__UNDERLYING_SET'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="PermutationRepresentationOnSets__UNDERLYING_SET" onclick="swap_content('span:PermutationRepresentationOnSets__UNDERLYING_SET'); return false;"><b>UNDERLYING_SET</b>:
		</a>
                      <a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:PermutationRepresentationOnSets__UNDERLYING_SET" class="foldit">
                        <div class="descr">
                          <p> the union of all sets in DOMAIN</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:QuotientedPermutationRepresentation" onclick="swap_content('span:QuotientedPermutationRepresentation'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="QuotientedPermutationRepresentation" onclick="swap_content('span:QuotientedPermutationRepresentation'); return false;">
                  <span class="object">QuotientedPermutationRepresentation</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:QuotientedPermutationRepresentation" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div>
              <b>derived from: </b>
              <a href="#Representation" onclick="unfold('span:Representation');">Representation</a>
              <br/>
              <div class="level3"/>
              <h4>Properties of QuotientedPermutationRepresentation</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:QuotientedPermutationRepresentation__CHARACTER" onclick="swap_content('span:QuotientedPermutationRepresentation__CHARACTER'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="QuotientedPermutationRepresentation__CHARACTER" onclick="swap_content('span:QuotientedPermutationRepresentation__CHARACTER'); return false;"><b>CHARACTER</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:QuotientedPermutationRepresentation__CHARACTER" class="foldit">
                        <div class="descr">
                          <p> the character of the representation</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:QuotientedPermutationRepresentation__DOMAIN" onclick="swap_content('span:QuotientedPermutationRepresentation__DOMAIN'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="QuotientedPermutationRepresentation__DOMAIN" onclick="swap_content('span:QuotientedPermutationRepresentation__DOMAIN'); return false;"><b>DOMAIN</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;boost_dynamic_bitset&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:QuotientedPermutationRepresentation__DOMAIN" class="foldit">
                        <div class="descr">
                          <p> the list of equivalence classs of sets on which the group acts</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:QuotientedPermutationRepresentation__INDEX_OF" onclick="swap_content('span:QuotientedPermutationRepresentation__INDEX_OF'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="QuotientedPermutationRepresentation__INDEX_OF" onclick="swap_content('span:QuotientedPermutationRepresentation__INDEX_OF'); return false;"><b>INDEX_OF</b>:
		</a>
                      <a href="common.html#Map" onclick="unfold('span:Map');">common::Map&lt;boost_dynamic_bitset, Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:QuotientedPermutationRepresentation__INDEX_OF" class="foldit">
                        <div class="descr">
                          <p> the function that indexes these sets</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:QuotientedPermutationRepresentation__QUOTIENTED_DEGREE" onclick="swap_content('span:QuotientedPermutationRepresentation__QUOTIENTED_DEGREE'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="QuotientedPermutationRepresentation__QUOTIENTED_DEGREE" onclick="swap_content('span:QuotientedPermutationRepresentation__QUOTIENTED_DEGREE'); return false;"><b>QUOTIENTED_DEGREE</b>:
		</a>
                      <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                      <br/>
                      <div style="display: inline" id="span:QuotientedPermutationRepresentation__QUOTIENTED_DEGREE" class="foldit">
                        <div class="descr">
                          <p> the dimension of the quotiented representation</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:Representation" onclick="swap_content('span:Representation'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="Representation" onclick="swap_content('span:Representation'); return false;">
                  <span class="object">Representation</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:Representation" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
              <h4>Properties of Representation</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Representation__DEGREE" onclick="swap_content('span:Representation__DEGREE'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Representation__DEGREE" onclick="swap_content('span:Representation__DEGREE'); return false;"><b>DEGREE</b>:
		</a>
                      <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                      <br/>
                      <div style="display: inline" id="span:Representation__DEGREE" class="foldit">
                        <div class="descr">
                          <p> the dimension of the representation</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Representation__GROUP" onclick="swap_content('span:Representation__GROUP'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Representation__GROUP" onclick="swap_content('span:Representation__GROUP'); return false;"><b>GROUP</b>:
		</a>
                      <a href="#Group" onclick="unfold('span:Group');">Group</a>
                      <br/>
                      <div style="display: inline" id="span:Representation__GROUP" class="foldit">
                        <div class="descr">
                          <p> the underlying permutation group </p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Representation__IRREDUCIBLE_DECOMPOSITION" onclick="swap_content('span:Representation__IRREDUCIBLE_DECOMPOSITION'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Representation__IRREDUCIBLE_DECOMPOSITION" onclick="swap_content('span:Representation__IRREDUCIBLE_DECOMPOSITION'); return false;"><b>IRREDUCIBLE_DECOMPOSITION</b>:
		</a>
                      <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a>
                      <br/>
                      <div style="display: inline" id="span:Representation__IRREDUCIBLE_DECOMPOSITION" class="foldit">
                        <div class="descr">
                          <p> the decomposition into irreducible representations, in the same order as the rows of the GROUP.CHARACTER_TABLE</p>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level2">
    <h2>User Functions</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Orbits" onclick="swap_content('span:functions__Orbits'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Orbits" onclick="swap_content('span:functions__Orbits'); return false;">
                  <span class="category">Orbits</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Orbits" class="foldit">
              <div class="descr">
                <p> These functions are concerned with orbits in groups.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:are_in_same_orbit" onclick="swap_content('span:are_in_same_orbit'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="are_in_same_orbit" onclick="swap_content('span:are_in_same_orbit'); return false;"><b>are_in_same_orbit</b></a>
			(group, vec1, vec2)  

			
				→ Bool<div style="display: inline" id="span:are_in_same_orbit" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether vector <em class="param">vec1</em> and <em class="param">vec2</em> are in the same orbit
 with respect to the (coordinate) action of <em class="param">group</em>.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>the permutation group acting on coordinates</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">vec1</td><td/></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">vec2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbit__Array__Object" onclick="swap_content('span:orbit__Array__Object'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbit__Array__Object" onclick="swap_content('span:orbit__Array__Object'); return false;"><b>orbit</b></a>
			&lt;action_type&gt;
		 
			(G, O)  

			
				→ Set&lt;Object&gt;<div style="display: inline" id="span:orbit__Array__Object" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The orbit of an object <em class="param">O</em> under a group generated by <em class="param">G</em>.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">action_type</td><td><div class="descr"><div>one of: <a href="#on_container" onclick="unfold('span:on_container');">on_container</a>, <a href="#on_elements" onclick="unfold('span:on_elements');">on_elements</a>, <a href="#on_rows" onclick="unfold('span:on_rows');">on_rows</a>, <a href="#on_cols" onclick="unfold('span:on_cols');">on_cols</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td class="param">G</td><td><div class="descr"><div>Group generators</div></div></td></tr><tr><td><a href="common.html#Core_Object" onclick="unfold('span:Core_Object');">Object</a></td><td class="param">O</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Object&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbit__Group__Any" onclick="swap_content('span:orbit__Group__Any'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbit__Group__Any" onclick="swap_content('span:orbit__Group__Any'); return false;"><b>orbit</b></a>
			(G, C)  

			
				→ Set&lt;container&gt;<div style="display: inline" id="span:orbit__Group__Any" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The orbit of an container <em class="param">C</em> under a group<em class="param">G</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">G</td><td/></tr><tr><td><a href="#" onclick="unfold('span:');">Any</a></td><td class="param">C</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;container&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbits_coord_action_complete" onclick="swap_content('span:orbits_coord_action_complete'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbits_coord_action_complete" onclick="swap_content('span:orbits_coord_action_complete'); return false;"><b>orbits_coord_action_complete</b></a>
			(group, mat)  

			
				→ List<div style="display: inline" id="span:orbits_coord_action_complete" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the orbit of the set of all vectors of the matrix <em class="param">mat</em>
 under <em class="param">group</em>, which acts by permuting coordinates.
 The set of vectors does not have to be complete.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>a group of coordinate permutations</div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Scalar&gt;</a></td><td class="param">mat</td><td><div class="descr"><div>some input vectors</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#List" onclick="unfold('span:List');">List</a></td><td><div class="descr"><div>( Matrix all generated vectors, Array orbits of generated vectors)</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbits_induced_action" onclick="swap_content('span:orbits_induced_action'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbits_induced_action" onclick="swap_content('span:orbits_induced_action'); return false;"><b>orbits_induced_action</b></a>
			(group, inc)  

			
				→ Array<div style="display: inline" id="span:orbits_induced_action" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the orbits of a set on which an action is induced.
 The incidences between the domain elements and the elements
 in the set are given by an incidence matrix <em class="param">inc</em>.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>a group of a cone</div></div></td></tr><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td class="param">inc</td><td><div class="descr"><div>the incidences between domain elements
    and elements on which an action is induced</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td><div class="descr"><div>an array of the orbits of the induced action</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbits_of_domain" onclick="swap_content('span:orbits_of_domain'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbits_of_domain" onclick="swap_content('span:orbits_of_domain'); return false;"><b>orbits_of_domain</b></a>
			(group)  

			
				→ Array<div style="display: inline" id="span:orbits_of_domain" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the orbits of the basic set under <em class="param">group</em>. </p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>a group of a cone</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbit_coord_action" onclick="swap_content('span:orbit_coord_action'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbit_coord_action" onclick="swap_content('span:orbit_coord_action'); return false;"><b>orbit_coord_action</b></a>
			(group, mat)  

			
				→ Array<div style="display: inline" id="span:orbit_coord_action" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the orbits of the vectors (homogenized) of a matrix <em class="param">mat</em> by
 permuting the coordinates of the vectors (skipping the homogenizing coordinate).
 The group must act on the set of vectors. Choose the function
 'orbits_coord_action_complete' if your set is not complete.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>a group acting on the cone by permuting the coordinates</div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Scalar&gt;</a></td><td class="param">mat</td><td><div class="descr"><div>a matrix with vectors on which the group acts by 
    coordinate permutation</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td><div class="descr"><div>an array of the orbits under the action on the coordinates</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbit_permlib__Group__Set" onclick="swap_content('span:orbit_permlib__Group__Set'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbit_permlib__Group__Set" onclick="swap_content('span:orbit_permlib__Group__Set'); return false;"><b>orbit_permlib</b></a>
			(G, S)  

			
				→ Set<div style="display: inline" id="span:orbit_permlib__Group__Set" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The orbit of a set <em class="param">S</em> under a group <em class="param">G</em>.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">G</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">S</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbit_permlib__Group__Set_Set" onclick="swap_content('span:orbit_permlib__Group__Set_Set'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbit_permlib__Group__Set_Set" onclick="swap_content('span:orbit_permlib__Group__Set_Set'); return false;"><b>orbit_permlib</b></a>
			(G, S)  

			
				→ Set<div style="display: inline" id="span:orbit_permlib__Group__Set_Set" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The orbit of a set <em class="param">S</em> of sets under a group <em class="param">G</em>.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">G</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Set&gt;</a></td><td class="param">S</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Set</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Other" onclick="swap_content('span:functions__Other'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Other" onclick="swap_content('span:functions__Other'); return false;">
                  <span class="category">Other</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Other" class="foldit">
              <div class="descr">
                <p> Special purpose functions.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:conjugacy_classes" onclick="swap_content('span:conjugacy_classes'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="conjugacy_classes" onclick="swap_content('span:conjugacy_classes'); return false;"><b>conjugacy_classes</b></a>
			(the, the)  

			
				→ Array&lt;Set&lt;Array&lt;Int&gt;&gt;&gt;<div style="display: inline" id="span:conjugacy_classes" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the conjugacy classes of a group</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td class="param">the</td><td><div class="descr"><div>generators of the group</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td class="param">the</td><td><div class="descr"><div>representatives of the conjugacy classes</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Array&lt;Int&gt;&gt;&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:irreducible_decomposition" onclick="swap_content('span:irreducible_decomposition'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="irreducible_decomposition" onclick="swap_content('span:irreducible_decomposition'); return false;"><b>irreducible_decomposition</b></a>
			(the, the)  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:irreducible_decomposition" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the decomposition into irreducible components of a given representation</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">the</td><td><div class="descr"><div>character of the given representation</div></div></td></tr><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">the</td><td><div class="descr"><div>given group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:isotypic_basis" onclick="swap_content('span:isotypic_basis'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="isotypic_basis" onclick="swap_content('span:isotypic_basis'); return false;"><b>isotypic_basis</b></a>
			(the, the)  

			
				→ SparseMatrix<div style="display: inline" id="span:isotypic_basis" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate a basis of the isotypic component given by the i-th irrep</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PermutationRepresentationOnSets" onclick="unfold('span:PermutationRepresentationOnSets');">PermutationRepresentationOnSets</a></td><td class="param">the</td><td><div class="descr"><div>representation in question</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">the</td><td><div class="descr"><div>index of the sought irrep</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">domain_ordering</td><td><div class="descr"><div>the domain ordering to use: lex (default) or orbit</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td><div class="descr"><div>a matrix whose rows form a basis of the i-th irrep</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:isotypic_projector" onclick="swap_content('span:isotypic_projector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="isotypic_projector" onclick="swap_content('span:isotypic_projector'); return false;"><b>isotypic_projector</b></a>
			(the, the)  

			
				→ SparseMatrix<div style="display: inline" id="span:isotypic_projector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the projector into the isotypic component given by the i-th irrep</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PermutationRepresentationOnSets" onclick="unfold('span:PermutationRepresentationOnSets');">PermutationRepresentationOnSets</a></td><td class="param">the</td><td><div class="descr"><div>representation in question</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">the</td><td><div class="descr"><div>index of the sought irrep</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">domain_ordering</td><td><div class="descr"><div>the domain ordering to use: lex (default) or orbit</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:isotypic_supports__PermutationRepresentationOnSets__Array_Set" onclick="swap_content('span:isotypic_supports__PermutationRepresentationOnSets__Array_Set'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="isotypic_supports__PermutationRepresentationOnSets__Array_Set" onclick="swap_content('span:isotypic_supports__PermutationRepresentationOnSets__Array_Set'); return false;"><b>isotypic_supports</b></a>
			(the, the)  

			
				→ IncidenceMatrix<div style="display: inline" id="span:isotypic_supports__PermutationRepresentationOnSets__Array_Set" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For each isotypic component, which of a given array of sets are supported on it?</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PermutationRepresentationOnSets" onclick="unfold('span:PermutationRepresentationOnSets');">PermutationRepresentationOnSets</a></td><td class="param">the</td><td><div class="descr"><div>representation in question</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td class="param">the</td><td><div class="descr"><div>given array of sets</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">domain_ordering</td><td><div class="descr"><div>the domain ordering to use: lex (default) or orbit</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:isotypic_supports__PermutationRepresentationOnSets__SparseMatrix" onclick="swap_content('span:isotypic_supports__PermutationRepresentationOnSets__SparseMatrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="isotypic_supports__PermutationRepresentationOnSets__SparseMatrix" onclick="swap_content('span:isotypic_supports__PermutationRepresentationOnSets__SparseMatrix'); return false;"><b>isotypic_supports</b></a>
			(the, the)  

			
				→ IncidenceMatrix<div style="display: inline" id="span:isotypic_supports__PermutationRepresentationOnSets__SparseMatrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For each row of a given SparseMatrix, to which isotypic components does it have a non-zero projection?
 The columns of the SparseMatrix correspond, in order, to the sets of the representation.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PermutationRepresentationOnSets" onclick="unfold('span:PermutationRepresentationOnSets');">PermutationRepresentationOnSets</a></td><td class="param">the</td><td><div class="descr"><div>representation in question</div></div></td></tr><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td class="param">the</td><td><div class="descr"><div>given matrix</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">domain_ordering</td><td><div class="descr"><div>the domain ordering to use: lex (default) or orbit</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:quotiented_character" onclick="swap_content('span:quotiented_character'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="quotiented_character" onclick="swap_content('span:quotiented_character'); return false;"><b>quotiented_character</b></a>
			(the)  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:quotiented_character" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate character of quotiented representation</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#QuotientedPermutationRepresentation" onclick="unfold('span:QuotientedPermutationRepresentation');">QuotientedPermutationRepresentation</a></td><td class="param">the</td><td><div class="descr"><div>given representation</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:rep" onclick="swap_content('span:rep'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="rep" onclick="swap_content('span:rep'); return false;"><b>rep</b></a>
			(the, the)  

			
				→ SparseMatrix<div style="display: inline" id="span:rep" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the representation of a group element</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PermutationRepresentationOnSets" onclick="unfold('span:PermutationRepresentationOnSets');">PermutationRepresentationOnSets</a></td><td class="param">the</td><td><div class="descr"><div>representation in question</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">the</td><td><div class="descr"><div>group element</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:row_support_sizes" onclick="swap_content('span:row_support_sizes'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="row_support_sizes" onclick="swap_content('span:row_support_sizes'); return false;"><b>row_support_sizes</b></a>
			(the)  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:row_support_sizes" class="foldit"><br/><div class="descr_func"><div class="descr"><p> How many non-zero entries are there in each row of a SparseMatrix?</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td class="param">the</td><td><div class="descr"><div>given matrix</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Producing_a_group" onclick="swap_content('span:functions__Producing_a_group'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Producing_a_group" onclick="swap_content('span:functions__Producing_a_group'); return false;">
                  <span class="category">Producing a group</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Producing_a_group" class="foldit">
              <div class="descr">
                <p> With these clients you can produce objects of type <a href="#Group" onclick="unfold('span:Group');">Group</a> -- groups from certain parameterized families, as stabilizers of sets in other groups or from different kinds of cycle notations.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:alternating_group" onclick="swap_content('span:alternating_group'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="alternating_group" onclick="swap_content('span:alternating_group'); return false;"><b>alternating_group</b></a>
			(degree)  

			
				→ Group<div style="display: inline" id="span:alternating_group" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs an <em class="u">alternating group</em> of given <em class="param">degree</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">degree</td><td><div class="descr"><div>of the alternating group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:cyclic_group" onclick="swap_content('span:cyclic_group'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="cyclic_group" onclick="swap_content('span:cyclic_group'); return false;"><b>cyclic_group</b></a>
			(degree)  

			
				→ Group<div style="display: inline" id="span:cyclic_group" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">cyclic group</em> of given <em class="param">degree</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">degree</td><td><div class="descr"><div>of the cyclic group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group_from_cyclic_notation0" onclick="swap_content('span:group_from_cyclic_notation0'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group_from_cyclic_notation0" onclick="swap_content('span:group_from_cyclic_notation0'); return false;"><b>group_from_cyclic_notation0</b></a>
			(group)  

			
				→ Group<div style="display: inline" id="span:group_from_cyclic_notation0" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a group from a string with generators in cyclic notation.
 All numbers in the string are 0-based.
 Example: "(0,2)(1,3)"</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">group</td><td><div class="descr"><div>generators in cyclic notation</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group_from_cyclic_notation1" onclick="swap_content('span:group_from_cyclic_notation1'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group_from_cyclic_notation1" onclick="swap_content('span:group_from_cyclic_notation1'); return false;"><b>group_from_cyclic_notation1</b></a>
			(group)  

			
				→ Group<div style="display: inline" id="span:group_from_cyclic_notation1" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a group from a string with generators in cyclic notation.
 All numbers in the string are 1-based.
 Example: "(1,3)(2,4)"</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">group</td><td><div class="descr"><div>generators in cyclic notation</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group_from_permlib_cyclic_notation" onclick="swap_content('span:group_from_permlib_cyclic_notation'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group_from_permlib_cyclic_notation" onclick="swap_content('span:group_from_permlib_cyclic_notation'); return false;"><b>group_from_permlib_cyclic_notation</b></a>
			(gens, degree)  

			
				→ Group<div style="display: inline" id="span:group_from_permlib_cyclic_notation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a Group from generators given in permlib cyclic notation,
 i.e., indices separated by whitespace, generators separated by commas.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td class="param">gens</td><td><div class="descr"><div>generators of the permutation group in permlib cyclic notation</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">degree</td><td><div class="descr"><div>the degree of the permutation group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td><div class="descr"><div>the group generated by <em class="param">gens</em></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:stabilizer_of_set" onclick="swap_content('span:stabilizer_of_set'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="stabilizer_of_set" onclick="swap_content('span:stabilizer_of_set'); return false;"><b>stabilizer_of_set</b></a>
			(group, set)  

			
				→ Group<div style="display: inline" id="span:stabilizer_of_set" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the subgroup of <em class="param">group</em> which stabilizes
 the given set of indices <em class="param">set</em>.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>a permutation group</div></div></td></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">set</td><td><div class="descr"><div>the set to be stabilized</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td><div class="descr"><div>the stabilizer of <em class="param">set</em> w.r.t. <em class="param">group</em></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:stabilizer_of_vector" onclick="swap_content('span:stabilizer_of_vector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="stabilizer_of_vector" onclick="swap_content('span:stabilizer_of_vector'); return false;"><b>stabilizer_of_vector</b></a>
			(group, vec)  

			
				→ Group<div style="display: inline" id="span:stabilizer_of_vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the subgroup of <em class="param">group</em> which stabilizes
 the given vector <em class="param">vec</em>.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>a permutation group</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">vec</td><td><div class="descr"><div>the vector to be stabilized</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td><div class="descr"><div>the stabilizer of <em class="param">vec</em> w.r.t. <em class="param">group</em></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:symmetric_group" onclick="swap_content('span:symmetric_group'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="symmetric_group" onclick="swap_content('span:symmetric_group'); return false;"><b>symmetric_group</b></a>
			(degree)  

			
				→ Group<div style="display: inline" id="span:symmetric_group" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">symmetric group</em> of given <em class="param">degree</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">degree</td><td><div class="descr"><div>of the symmetric group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Symmetry" onclick="swap_content('span:functions__Symmetry'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Symmetry" onclick="swap_content('span:functions__Symmetry'); return false;">
                  <span class="category">Symmetry</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Symmetry" class="foldit">
              <div class="descr">
                <p> These functions capture information of the object that is concerned with the action of permutation groups.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:col_to_row_action" onclick="swap_content('span:col_to_row_action'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="col_to_row_action" onclick="swap_content('span:col_to_row_action'); return false;"><b>col_to_row_action</b></a>
			(M, of)  

			
				→ Array<div style="display: inline" id="span:col_to_row_action" class="foldit"><br/><div class="descr_func"><div class="descr"><p> If the action of some permutations on the entries of the rows 
 maps each row of a matrix to another row we obtain an induced action
 on the set of rows of the matrix.
 Considering the rows as points this corresponds to the action on the
 points induced by the action of some permutations on the coordinates.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td class="param">of</td><td><div class="descr"><div>permutations</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td><div class="descr"><div>of permutations</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:lex_min_representative" onclick="swap_content('span:lex_min_representative'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="lex_min_representative" onclick="swap_content('span:lex_min_representative'); return false;"><b>lex_min_representative</b></a>
			(G, S)  

			
				→ Set<div style="display: inline" id="span:lex_min_representative" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the lexicographically smallest representative of a given set with respect to a group</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">G</td><td><div class="descr"><div>a symmetry group</div></div></td></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">S</td><td><div class="descr"><div>a set</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set</a></td><td><div class="descr"><div>the lex-min representative of S</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbit_supports" onclick="swap_content('span:orbit_supports'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbit_supports" onclick="swap_content('span:orbit_supports'); return false;"><b>orbit_supports</b></a>
			(R, M)  

			
				→ SparseMatrix&lt;Int&gt;<div style="display: inline" id="span:orbit_supports" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For each non-zero entry of a SparseMatrix whose columns are indexed by the domain of a representation,
 compute the index of the orbit representative of the columns of non-zero entries</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PermutationRepresentationOnSets" onclick="unfold('span:PermutationRepresentationOnSets');">PermutationRepresentationOnSets</a></td><td class="param">R</td><td><div class="descr"><div>a representation</div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M</td><td><div class="descr"><div>a matrix</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix&lt;Int&gt;</a></td><td><div class="descr"><div>the indices of the orbits of the members of A</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:orbit_support_sets" onclick="swap_content('span:orbit_support_sets'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="orbit_support_sets" onclick="swap_content('span:orbit_support_sets'); return false;"><b>orbit_support_sets</b></a>
			(R, M)  

			
				→ Array&lt;Set&lt;Int&gt;&gt;<div style="display: inline" id="span:orbit_support_sets" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For each row of a Matrix whose columns are indexed by the domain of a representation,
 collect the indices of the orbit representatives of the columns of non-zero entries</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PermutationRepresentationOnSets" onclick="unfold('span:PermutationRepresentationOnSets');">PermutationRepresentationOnSets</a></td><td class="param">R</td><td><div class="descr"><div>a representation</div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M</td><td><div class="descr"><div>a matrix</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>the indices of the orbits of the members of A</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Utilities" onclick="swap_content('span:functions__Utilities'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Utilities" onclick="swap_content('span:functions__Utilities'); return false;">
                  <span class="category">Utilities</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Utilities" class="foldit">
              <div class="descr">
                <p> Miscellaneous functions.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:action" onclick="swap_content('span:action'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="action" onclick="swap_content('span:action'); return false;"><b>action</b></a>
			&lt;action_type&gt;
		 
			(g, O)  

			
				→ Object<div style="display: inline" id="span:action" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The image of an object <em class="param">O</em> under a group element <em class="param">g</em>.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">action_type</td><td><div class="descr"><div>one of: <a href="#on_container" onclick="unfold('span:on_container');">on_container</a>, <a href="#on_elements" onclick="unfold('span:on_elements');">on_elements</a>, <a href="#on_rows" onclick="unfold('span:on_rows');">on_rows</a>, <a href="#on_cols" onclick="unfold('span:on_cols');">on_cols</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Any</a></td><td class="param">g</td><td><div class="descr"><div>Group element</div></div></td></tr><tr><td><a href="common.html#Core_Object" onclick="unfold('span:Core_Object');">Object</a></td><td class="param">O</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Core_Object" onclick="unfold('span:Core_Object');">Object</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:action_inv" onclick="swap_content('span:action_inv'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="action_inv" onclick="swap_content('span:action_inv'); return false;"><b>action_inv</b></a>
			&lt;action_type&gt;
		 
			(p, O)  

			
				→ Object<div style="display: inline" id="span:action_inv" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The image of an object <em class="param">O</em> under the inverse of a
 permutation <em class="param">p</em>.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">action_type</td><td><div class="descr"><div>one of: <a href="#on_container" onclick="unfold('span:on_container');">on_container</a>, <a href="#on_elements" onclick="unfold('span:on_elements');">on_elements</a>, <a href="#on_rows" onclick="unfold('span:on_rows');">on_rows</a>, <a href="#on_cols" onclick="unfold('span:on_cols');">on_cols</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">p</td><td><div class="descr"><div>permutation</div></div></td></tr><tr><td><a href="common.html#Core_Object" onclick="unfold('span:Core_Object');">Object</a></td><td class="param">O</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Core_Object" onclick="unfold('span:Core_Object');">Object</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:all_group_elements" onclick="swap_content('span:all_group_elements'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="all_group_elements" onclick="swap_content('span:all_group_elements'); return false;"><b>all_group_elements</b></a>
			(group)  

			
				→ Array<div style="display: inline" id="span:all_group_elements" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute all elements of a given <em class="param">group</em>.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>the permutation group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array</a></td><td><div class="descr"><div>&lt;Array&lt;Int&gt; contains all group elements </div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group_from_generators" onclick="swap_content('span:group_from_generators'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group_from_generators" onclick="swap_content('span:group_from_generators'); return false;"><b>group_from_generators</b></a>
			(gens, group)  

			<div style="display: inline" id="span:group_from_generators" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the basic properties <a href="#Group__BASE" onclick="unfold('span:Group__BASE');">BASE</a>, 
 <a href="#Group__STRONG_GENERATORS" onclick="unfold('span:Group__STRONG_GENERATORS');">STRONG_GENERATORS</a>, and <a href="#Group__TRANSVERSALS" onclick="unfold('span:Group__TRANSVERSALS');">TRANSVERSALS</a> 
 and stores the result in the given <a href="#Group" onclick="unfold('span:Group');">Group</a> object <em class="param">group</em>.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td class="param">gens</td><td><div class="descr"><div>some generators of the group</div></div></td></tr><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">group</td><td><div class="descr"><div>to fill in the data</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:group_to_cyclic_notation" onclick="swap_content('span:group_to_cyclic_notation'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="group_to_cyclic_notation" onclick="swap_content('span:group_to_cyclic_notation'); return false;"><b>group_to_cyclic_notation</b></a>
			(g)  

			
				→ String<div style="display: inline" id="span:group_to_cyclic_notation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns group generators in 1-based cyclic notation
 (GAP like, not permlib like notation)</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Group" onclick="unfold('span:Group');">Group</a></td><td class="param">g</td><td><div class="descr"><div>the permutation group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td><div class="descr"><div>group generators, separated by newline and comma</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level3">
    <h2>Property Types</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:on_cols" onclick="swap_content('span:on_cols'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="on_cols" onclick="swap_content('span:on_cols'); return false;">
              <b>on_cols</b>
            </a>
            <div style="display: inline" id="span:on_cols" class="foldit">
              <div class="descr">
                <p> A template parameter used by <a href="#action" onclick="unfold('span:action');">action</a> and <a href="#orbit__Array__Object" onclick="unfold('span:orbit__Array__Object');">orbit</a> specifying that
 the permutation acts on the columns of a matrix.</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:on_container" onclick="swap_content('span:on_container'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="on_container" onclick="swap_content('span:on_container'); return false;">
              <b>on_container</b>
            </a>
            <div style="display: inline" id="span:on_container" class="foldit">
              <div class="descr">
                <p> A template parameter used by <a href="#action" onclick="unfold('span:action');">action</a> and <a href="#orbit__Array__Object" onclick="unfold('span:orbit__Array__Object');">orbit</a> specifying that
 the permutation acts on the given container. It will permute the order of
 the elements</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:on_elements" onclick="swap_content('span:on_elements'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="on_elements" onclick="swap_content('span:on_elements'); return false;">
              <b>on_elements</b>
            </a>
            <div style="display: inline" id="span:on_elements" class="foldit">
              <div class="descr">
                <p> A template parameter used by <a href="#action" onclick="unfold('span:action');">action</a> and <a href="#orbit__Array__Object" onclick="unfold('span:orbit__Array__Object');">orbit</a> specifying that
 the permutation acts on the deepest elements inside a given container,
 which should be of type <a href="common.html#Int" onclick="unfold('span:Int');">Int</a>.</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:on_rows" onclick="swap_content('span:on_rows'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="on_rows" onclick="swap_content('span:on_rows'); return false;">
              <b>on_rows</b>
            </a>
            <div style="display: inline" id="span:on_rows" class="foldit">
              <div class="descr">
                <p> A template parameter used by <a href="#action" onclick="unfold('span:action');">action</a> and <a href="#orbit__Array__Object" onclick="unfold('span:orbit__Array__Object');">orbit</a> specifying that
 the permutation acts on the rows of a matrix.</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
</div>
