<div xmlns="http://www.w3.org/1999/xhtml" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content">
  <h1>application: ideal</h1>
  <div class="descr">
    <p> This application allows to define ideals and enables other applications to
 use these. For example we can compute the tropical variety of an ideal via
 gfan in the application 'tropical'. Using this application with the bundled
 extension Singular adds a lot more commutative algebra power.</p>
  </div>
  <b>imports from: </b>
  <a href="common.html">common</a>
  <br/>
  <div class="level2">
    <h2>
      <b>Objects</b>
    </h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:Groebner" onclick="swap_content('span:Groebner'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="Groebner" onclick="swap_content('span:Groebner'); return false;">
                  <span class="object">Groebner</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:Groebner" class="foldit">
              <div class="descr">
                <p> The Groebner object collects information about an ideal depending on the
 monomial ordering of the ambient ring.</p>
              </div>
              <div class="level3"/>
              <h4>Properties of Groebner</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Groebner__properties__Commutative_algebra" onclick="swap_content('span:Groebner__properties__Commutative_algebra'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="Groebner__properties__Commutative_algebra" onclick="swap_content('span:Groebner__properties__Commutative_algebra'); return false;">
                            <span class="category">Commutative algebra</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:Groebner__properties__Commutative_algebra" class="foldit">
                        <div class="descr">
                          <p> Properties of an ideal with a monomial ordering from commutative algebra.</p>
                        </div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Groebner__BASIS" onclick="swap_content('span:Groebner__BASIS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Groebner__BASIS" onclick="swap_content('span:Groebner__BASIS'); return false;"><b>BASIS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Polynomial&lt;Rational, Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:Groebner__BASIS" class="foldit">
                                  <div class="descr">
                                    <p> The elements of the Groebner basis corresponding to the given order. This
 may vary for different algorithms, even if the order stays the same.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Groebner__INITIAL_IDEAL" onclick="swap_content('span:Groebner__INITIAL_IDEAL'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Groebner__INITIAL_IDEAL" onclick="swap_content('span:Groebner__INITIAL_IDEAL'); return false;"><b>INITIAL_IDEAL</b>:
		</a>
                                <a href="#Ideal" onclick="unfold('span:Ideal');">Ideal</a>
                                <br/>
                                <div style="display: inline" id="span:Groebner__INITIAL_IDEAL" class="foldit">
                                  <div class="descr">
                                    <p> The initial order corresponding to the given order. This is always a
 <a href="#Ideal__MONOMIAL" onclick="unfold('span:Ideal__MONOMIAL');">MONOMIAL</a> ideal, even if only a weight vector is provided. Internally this
 weight vector will be concatenated with a total order.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Groebner__properties__Input_properties" onclick="swap_content('span:Groebner__properties__Input_properties'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="Groebner__properties__Input_properties" onclick="swap_content('span:Groebner__properties__Input_properties'); return false;">
                            <span class="category">Input properties</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:Groebner__properties__Input_properties" class="foldit">
                        <div class="descr">
                          <p> Properties defining the Groebner subobject, i.e. a monomial order.</p>
                        </div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Groebner__ORDER_MATRIX" onclick="swap_content('span:Groebner__ORDER_MATRIX'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Groebner__ORDER_MATRIX" onclick="swap_content('span:Groebner__ORDER_MATRIX'); return false;"><b>ORDER_MATRIX</b>:
		</a>
                                <a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Int, NonSymmetric&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:Groebner__ORDER_MATRIX" class="foldit">
                                  <div class="descr">
                                    <p> The matrix defining the monomial ordering.</p>
                                    <p> Note that only one of <a href="#Groebner__ORDER_MATRIX" onclick="unfold('span:Groebner__ORDER_MATRIX');">ORDER_MATRIX</a>, <a href="#Groebner__ORDER_VECTOR" onclick="unfold('span:Groebner__ORDER_VECTOR');">ORDER_VECTOR</a>, <a href="#Groebner__ORDER_NAME" onclick="unfold('span:Groebner__ORDER_NAME');">ORDER_NAME</a>
 should be given.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Groebner__ORDER_NAME" onclick="swap_content('span:Groebner__ORDER_NAME'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Groebner__ORDER_NAME" onclick="swap_content('span:Groebner__ORDER_NAME'); return false;"><b>ORDER_NAME</b>:
		</a>
                                <a href="common.html#String" onclick="unfold('span:String');">common::String</a>
                                <br/>
                                <div style="display: inline" id="span:Groebner__ORDER_NAME" class="foldit">
                                  <div class="descr">
                                    <p> A string containing the name of the monomial ordering. Currently we follow
 the singular conventions, i.e. dp, lex, ds, etc.</p>
                                    <p> Note that only one of <a href="#Groebner__ORDER_MATRIX" onclick="unfold('span:Groebner__ORDER_MATRIX');">ORDER_MATRIX</a>, <a href="#Groebner__ORDER_VECTOR" onclick="unfold('span:Groebner__ORDER_VECTOR');">ORDER_VECTOR</a>, <a href="#Groebner__ORDER_NAME" onclick="unfold('span:Groebner__ORDER_NAME');">ORDER_NAME</a>
 should be given.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Groebner__ORDER_VECTOR" onclick="swap_content('span:Groebner__ORDER_VECTOR'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Groebner__ORDER_VECTOR" onclick="swap_content('span:Groebner__ORDER_VECTOR'); return false;"><b>ORDER_VECTOR</b>:
		</a>
                                <a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Int&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:Groebner__ORDER_VECTOR" class="foldit">
                                  <div class="descr">
                                    <p> A weight vector for the monomial ordering.</p>
                                    <p> Note that only one of <a href="#Groebner__ORDER_MATRIX" onclick="unfold('span:Groebner__ORDER_MATRIX');">ORDER_MATRIX</a>, <a href="#Groebner__ORDER_VECTOR" onclick="unfold('span:Groebner__ORDER_VECTOR');">ORDER_VECTOR</a>, <a href="#Groebner__ORDER_NAME" onclick="unfold('span:Groebner__ORDER_NAME');">ORDER_NAME</a>
 should be given.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:Ideal" onclick="swap_content('span:Ideal'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="Ideal" onclick="swap_content('span:Ideal'); return false;">
                  <span class="object">Ideal</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:Ideal" class="foldit">
              <div class="descr">
                <p> An ideal in a polynomial ring.</p>
              </div>
              <div class="level3"/>
              <h4>Properties of Ideal</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Ideal__properties__Commutative_algebra" onclick="swap_content('span:Ideal__properties__Commutative_algebra'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="Ideal__properties__Commutative_algebra" onclick="swap_content('span:Ideal__properties__Commutative_algebra'); return false;">
                            <span class="category">Commutative algebra</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:Ideal__properties__Commutative_algebra" class="foldit">
                        <div class="descr">
                          <p> Properties of an ideal computed via commutative algebra.</p>
                        </div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Ideal__DEPTH" onclick="swap_content('span:Ideal__DEPTH'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Ideal__DEPTH" onclick="swap_content('span:Ideal__DEPTH'); return false;"><b>DEPTH</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:Ideal__DEPTH" class="foldit">
                                  <div class="descr">
                                    <p> The depth of the ideal.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Ideal__DIM" onclick="swap_content('span:Ideal__DIM'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Ideal__DIM" onclick="swap_content('span:Ideal__DIM'); return false;"><b>DIM</b>:
		</a>
                                <a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a>
                                <br/>
                                <div style="display: inline" id="span:Ideal__DIM" class="foldit">
                                  <div class="descr">
                                    <p> The dimension of the ideal, i.e. the Krull dimension of <a href="#Ideal__RING" onclick="unfold('span:Ideal__RING');">RING</a>/Ideal.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Ideal__GROEBNER" onclick="swap_content('span:Ideal__GROEBNER'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Ideal__GROEBNER" onclick="swap_content('span:Ideal__GROEBNER'); return false;"><b>GROEBNER</b>:
		</a>
                                <a href="#Groebner" onclick="unfold('span:Groebner');">Groebner</a>
                                <br/>
                                <div style="display: inline" id="span:Ideal__GROEBNER" class="foldit">
                                  <div class="descr">
                                    <p> Subobject containing properties that depend on the monomial ordering of the ring.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Ideal__HILBERT_POLYNOMIAL" onclick="swap_content('span:Ideal__HILBERT_POLYNOMIAL'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Ideal__HILBERT_POLYNOMIAL" onclick="swap_content('span:Ideal__HILBERT_POLYNOMIAL'); return false;"><b>HILBERT_POLYNOMIAL</b>:
		</a>
                                <a href="common.html#Polynomial" onclick="unfold('span:Polynomial');">common::Polynomial&lt;Rational, Int&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:Ideal__HILBERT_POLYNOMIAL" class="foldit">
                                  <div class="descr">
                                    <p> The Hilbert polynomial of the ideal. For toric ideals this is linked with
 the Ehrhart polynomial.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Ideal__HOMOGENEOUS" onclick="swap_content('span:Ideal__HOMOGENEOUS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Ideal__HOMOGENEOUS" onclick="swap_content('span:Ideal__HOMOGENEOUS'); return false;"><b>HOMOGENEOUS</b>:
		</a>
                                <a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a>
                                <br/>
                                <div style="display: inline" id="span:Ideal__HOMOGENEOUS" class="foldit">
                                  <div class="descr">
                                    <p> True if the ideal can be generated by homogeneous polynomials.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Ideal__MONOMIAL" onclick="swap_content('span:Ideal__MONOMIAL'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Ideal__MONOMIAL" onclick="swap_content('span:Ideal__MONOMIAL'); return false;"><b>MONOMIAL</b>:
		</a>
                                <a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a>
                                <br/>
                                <div style="display: inline" id="span:Ideal__MONOMIAL" class="foldit">
                                  <div class="descr">
                                    <p> True if the ideal can be generated by monomials.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Ideal__PRIMARY" onclick="swap_content('span:Ideal__PRIMARY'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Ideal__PRIMARY" onclick="swap_content('span:Ideal__PRIMARY'); return false;"><b>PRIMARY</b>:
		</a>
                                <a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a>
                                <br/>
                                <div style="display: inline" id="span:Ideal__PRIMARY" class="foldit">
                                  <div class="descr">
                                    <p> True if the ideal is a primary ideal. I.e. its <a href="#Ideal__RADICAL" onclick="unfold('span:Ideal__RADICAL');">RADICAL</a> is <a href="#Ideal__PRIME" onclick="unfold('span:Ideal__PRIME');">PRIME</a> and 
 in the quotient ring by the ideal every zero divisor is nilpotent.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Ideal__PRIMARY_DECOMPOSITION" onclick="swap_content('span:Ideal__PRIMARY_DECOMPOSITION'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Ideal__PRIMARY_DECOMPOSITION" onclick="swap_content('span:Ideal__PRIMARY_DECOMPOSITION'); return false;"><b>PRIMARY_DECOMPOSITION</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Ideal&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:Ideal__PRIMARY_DECOMPOSITION" class="foldit">
                                  <div class="descr">
                                    <p> An array containing the primary decomposition of the given ideal, i.e. the
 contained ideals are <a href="#Ideal__PRIMARY" onclick="unfold('span:Ideal__PRIMARY');">PRIMARY</a> and their intersection is the given ideal.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Ideal__PRIME" onclick="swap_content('span:Ideal__PRIME'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Ideal__PRIME" onclick="swap_content('span:Ideal__PRIME'); return false;"><b>PRIME</b>:
		</a>
                                <a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a>
                                <br/>
                                <div style="display: inline" id="span:Ideal__PRIME" class="foldit">
                                  <div class="descr">
                                    <p> True if the is ideal a prime ideal.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Ideal__RADICAL" onclick="swap_content('span:Ideal__RADICAL'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Ideal__RADICAL" onclick="swap_content('span:Ideal__RADICAL'); return false;"><b>RADICAL</b>:
		</a>
                                <a href="#Ideal" onclick="unfold('span:Ideal');">Ideal</a>
                                <br/>
                                <div style="display: inline" id="span:Ideal__RADICAL" class="foldit">
                                  <div class="descr">
                                    <p> The radical of the ideal.</p>
                                  </div>
                                  <div class="depends"><b>Depends on: </b>singular
</div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Ideal__RING" onclick="swap_content('span:Ideal__RING'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Ideal__RING" onclick="swap_content('span:Ideal__RING'); return false;"><b>RING</b>:
		</a>
                                <a href="common.html#Ring" onclick="unfold('span:Ring');">common::Ring&lt;Rational, Int&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:Ideal__RING" class="foldit">
                                  <div class="descr">
                                    <p> The ambient (polynomial) ring containing the ideal.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Ideal__ZERO" onclick="swap_content('span:Ideal__ZERO'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Ideal__ZERO" onclick="swap_content('span:Ideal__ZERO'); return false;"><b>ZERO</b>:
		</a>
                                <a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a>
                                <br/>
                                <div style="display: inline" id="span:Ideal__ZERO" class="foldit">
                                  <div class="descr">
                                    <p> True if the ideal is the zero ideal.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Ideal__properties__Input_properties" onclick="swap_content('span:Ideal__properties__Input_properties'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="Ideal__properties__Input_properties" onclick="swap_content('span:Ideal__properties__Input_properties'); return false;">
                            <span class="category">Input properties</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:Ideal__properties__Input_properties" class="foldit">
                        <div class="descr">
                          <p> Properties defining an ideal.</p>
                        </div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Ideal__GENERATORS" onclick="swap_content('span:Ideal__GENERATORS'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="Ideal__GENERATORS" onclick="swap_content('span:Ideal__GENERATORS'); return false;"><b>GENERATORS</b>:
		</a>
                                <a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Polynomial&lt;Rational, Int&gt;&gt;</a>
                                <br/>
                                <div style="display: inline" id="span:Ideal__GENERATORS" class="foldit">
                                  <div class="descr">
                                    <p> A set of generators usually given by the user and not unique.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
</div>
