<div xmlns="http://www.w3.org/1999/xhtml" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content">
  <h1>application: common</h1>
  <div class="descr">
    <p> This artificial application gathers functionality shared by many "real"
 applications.  While most users can probably do without looking into this,
 you may find some useful functions here.</p>
  </div>
  <div class="level2">
    <h2>
      <b>Objects</b>
    </h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:Core_Object" onclick="swap_content('span:Core_Object'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="Core_Object" onclick="swap_content('span:Core_Object'); return false;">
                  <span class="object">Core::Object</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:Core_Object" class="foldit">
              <div class="descr">
                <p> This is the common base class of all `big' objects in polymake.
 It is included in the online help because it provides several useful methods
 for scripting and interactive use.</p>
              </div>
              <div class="level3"/>
              <h4>User Methods of Core::Object</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Core_Object__apply_rule" onclick="swap_content('span:Core_Object__apply_rule'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Core_Object__apply_rule" onclick="swap_content('span:Core_Object__apply_rule'); return false;"><b>apply_rule</b></a>
			(pattern)  

			<div style="display: inline" id="span:Core_Object__apply_rule" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Executes the specified production rule.
 If the object does not possess enough initial properties to provide all required
 rule sources, or any of its preconditions are not satisfied, an exception is raised.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">pattern</td><td><div class="descr"><div>: either a label (see <a href="#prefer" onclick="unfold('span:prefer');">prefer</a>) or a rule header.
        The rule header must exactly match the definition in the rulefile,
        up to white spaces around property names.
        If the given pattern matches headers of several rules, or the given label
        is associated with several rules, the rule chain with smallest total weight
        (including the rules supplying the source properties) is chosen.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Core_Object__disable_rules" onclick="swap_content('span:Core_Object__disable_rules'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Core_Object__disable_rules" onclick="swap_content('span:Core_Object__disable_rules'); return false;"><b>disable_rules</b></a>
			(pattern)  

			<div style="display: inline" id="span:Core_Object__disable_rules" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Temporarily disable production rules matching given pattern for an object.
 Rules are re-enabled after the complete execution of the current script
 or input expression in interactive mode.</p><p> Works much like the user function <a href="#Core_Object__disable_rules" onclick="unfold('span:Core_Object__disable_rules');">disable_rules</a> but only affecting
 the given object.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">pattern</td><td><div class="descr"><div>: either a label (see <a href="#prefer" onclick="unfold('span:prefer');">prefer</a>) or a rule header.
        The rule header must exactly match the definition in the rulefile,
        up to white spaces around property names.
        If the given pattern matches headers of several rules, or the given label
        is associated with several rules, they all will be disabled regardless
        their precoditions, weights, or other attributes.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Core_Object__dont_save" onclick="swap_content('span:Core_Object__dont_save'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Core_Object__dont_save" onclick="swap_content('span:Core_Object__dont_save'); return false;"><b>dont_save</b></a>
			()  

			<div style="display: inline" id="span:Core_Object__dont_save" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Clears the `changed' flag in the object, so that it won't be saved in the XML file it stems from.
 This method is primarily designed for unit tests, but could be also useful in interactive mode
 if you want to revert all recent changes and reload the object from the data file.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Core_Object__get_schedule" onclick="swap_content('span:Core_Object__get_schedule'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Core_Object__get_schedule" onclick="swap_content('span:Core_Object__get_schedule'); return false;"><b>get_schedule</b></a>
			(request)  

			
				→ Core::RuleChain<div style="display: inline" id="span:Core_Object__get_schedule" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compose an optimal chain of production rules providing all requested properties.
 The returned RuleChain object can be applied to the original object as well as to any other object
 with the same initial set of properties.  If no feasible rule chain exists, `undef' is returned.</p><p> To watch the rule scheduler at work, e.g. to see announcements about tried preconditions,
 you may temporarily increase the verbosity levels <code>$Verbose::rules</code> and <code>$Verbose::scheduler</code>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">request</td><td><div class="descr"><div>: name of a property with optional alternatives or a property path in dotted notation.
                         Several requests may be listed.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Core_RuleChain" onclick="unfold('span:Core_RuleChain');">Core::RuleChain</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Core_Object__list_names" onclick="swap_content('span:Core_Object__list_names'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Core_Object__list_names" onclick="swap_content('span:Core_Object__list_names'); return false;"><b>list_names</b></a>
			()  

			<div style="display: inline" id="span:Core_Object__list_names" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the list of names of multiple subobject instances.
 This method can be applied to any instance.
 For a normal (non-multiple) subobject or a top-level object just returns its name.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Core_Object__list_properties" onclick="swap_content('span:Core_Object__list_properties'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Core_Object__list_properties" onclick="swap_content('span:Core_Object__list_properties'); return false;"><b>list_properties</b></a>
			(deep)  

			<div style="display: inline" id="span:Core_Object__list_properties" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the list of names of all properties kept in the object.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">deep</td><td><div class="descr"><div>: recursively descend in all subobjects
                    and list their properties in dotted notation.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Core_Object__remove__String" onclick="swap_content('span:Core_Object__remove__String'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Core_Object__remove__String" onclick="swap_content('span:Core_Object__remove__String'); return false;"><b>remove</b></a>
			(prop)  

			<div style="display: inline" id="span:Core_Object__remove__String" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Remove the property <em class="param">prop</em> from the object.
 The property must be <em class="param">mutable</em>, <em class="param">multiple</em>,
 or unambiguously reconstructible from the remaining properties.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">prop</td><td><div class="descr"><div>: property name or a path to a property in a subobject in dotted notation,
                      Several properties may be removed at once.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Core_Object__remove__Object" onclick="swap_content('span:Core_Object__remove__Object'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Core_Object__remove__Object" onclick="swap_content('span:Core_Object__remove__Object'); return false;"><b>remove</b></a>
			(subobj)  

			<div style="display: inline" id="span:Core_Object__remove__Object" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Remove the multiple subobject instance(s) from the object.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Core_Object" onclick="unfold('span:Core_Object');">Object</a></td><td class="param">subobj</td><td><div class="descr"><div>: multiple subobject instance.
                        Several subobjects may be removed at once.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Core_Object__set_as_default" onclick="swap_content('span:Core_Object__set_as_default'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Core_Object__set_as_default" onclick="swap_content('span:Core_Object__set_as_default'); return false;"><b>set_as_default</b></a>
			()  

			<div style="display: inline" id="span:Core_Object__set_as_default" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Makes the multiple subobject instance the default one.
 Physically this means moving it at the 0-th position in the instance list.</p><p> The instance can be selected by give() or PROPERTY_NAME access method, e.g.:</p><p>   by current position:
   &gt; $p-&gt;TRIANGULATION-&gt;[$i]-&gt;set_as_default;</p><p>   by subobject name:
   &gt; $p-&gt;TRIANGULATION("placing")-&gt;set_as_default;</p><p>   by checking for a specific property:
   &gt; $p-&gt;TRIANGULATION(sub { defined($_-&gt;lookup("WEIGHTS")) })-&gt;set_as_default;</p><p>   by analyzing all instances and picking the best one:
   &gt; for (@{$p-&gt;TRIANGULATION}) { assign_min($min_facets, $_-&gt;N_FACETS) and $t=$_ } $t-&gt;set_as_default;</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Core_Object__set_as_default_now" onclick="swap_content('span:Core_Object__set_as_default_now'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Core_Object__set_as_default_now" onclick="swap_content('span:Core_Object__set_as_default_now'); return false;"><b>set_as_default_now</b></a>
			()  

			<div style="display: inline" id="span:Core_Object__set_as_default_now" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Temporarily make the multiple subobject instance the default one.
 The change is automatically reverted at the end of the current user cycle.
 Usage as <a href="#Core_Object__set_as_default" onclick="unfold('span:Core_Object__set_as_default');">set_as_default</a>.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:Core_RuleChain" onclick="swap_content('span:Core_RuleChain'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="Core_RuleChain" onclick="swap_content('span:Core_RuleChain'); return false;">
                  <span class="object">Core::RuleChain</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:Core_RuleChain" class="foldit">
              <div class="descr">
                <p> A rule chain to compute properties of an object.</p>
              </div>
              <div class="level3"/>
              <h4>User Methods of Core::RuleChain</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Core_RuleChain__apply" onclick="swap_content('span:Core_RuleChain__apply'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Core_RuleChain__apply" onclick="swap_content('span:Core_RuleChain__apply'); return false;"><b>apply($)</b></a>
			(o)  

			<div style="display: inline" id="span:Core_RuleChain__apply" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Apply the rule chain to an object.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Core_Object" onclick="unfold('span:Core_Object');">Core::Object</a></td><td class="param">o</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Core_RuleChain__list" onclick="swap_content('span:Core_RuleChain__list'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Core_RuleChain__list" onclick="swap_content('span:Core_RuleChain__list'); return false;"><b>list</b></a>
			()  

			<div style="display: inline" id="span:Core_RuleChain__list" class="foldit"><br/><div class="descr_func"><div class="descr"><p> List the properties computed by the rule chain.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:Visual_Container" onclick="swap_content('span:Visual_Container'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="Visual_Container" onclick="swap_content('span:Visual_Container'); return false;">
                  <span class="object">Visual::Container</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:Visual_Container" class="foldit"><b>Category: </b>Visualization<br/><div class="descr"><p> The common base class of all visual objects composed of several simpler objects.
 Instances of such classes can carry default decoration attributes applied to all contained objects.</p></div><b>derived from: </b><a href="#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a><br/><div class="level3"/></div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:Visual_Object" onclick="swap_content('span:Visual_Object'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="Visual_Object" onclick="swap_content('span:Visual_Object'); return false;">
                  <span class="object">Visual::Object</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:Visual_Object" class="foldit"><b>Category: </b>Visualization<br/><div class="descr"><p> The common base class of all visualization artifacts produced by various user methods
 like VISUAL, VISUAL_GRAPH, SCHLEGEL, etc.  Visual objects can be passed to functions
 explicitly calling visualization software like <em class="param">jreality()</em> or <em class="param">povray()</em>.</p></div><div class="level3"/></div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level2">
    <h2>User Functions</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:property_viewer" onclick="swap_content('span:property_viewer'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="property_viewer" onclick="swap_content('span:property_viewer'); return false;"><b>property_viewer</b></a>
			()  

			<div style="display: inline" id="span:property_viewer" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Arithmetic" onclick="swap_content('span:functions__Arithmetic'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Arithmetic" onclick="swap_content('span:functions__Arithmetic'); return false;">
                  <span class="category">Arithmetic</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Arithmetic" class="foldit">
              <div class="descr">
                <p> These are functions that perform arithmetic computations.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ceil" onclick="swap_content('span:ceil'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ceil" onclick="swap_content('span:ceil'); return false;"><b>ceil</b></a>
			(a)  

			
				→ Rational<div style="display: inline" id="span:ceil" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">ceiling function</em>. Returns the smallest integral number not smaller than <em class="param">a</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">a</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Rational" onclick="unfold('span:Rational');">Rational</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:denominator__Rational" onclick="swap_content('span:denominator__Rational'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="denominator__Rational" onclick="swap_content('span:denominator__Rational'); return false;"><b>denominator</b></a>
			(a)  

			
				→ Integer<div style="display: inline" id="span:denominator__Rational" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="u">denominator</em> of <em class="param">a</em> in a reduced representation.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">a</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Integer" onclick="unfold('span:Integer');">Integer</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:denominator__RationalFunction" onclick="swap_content('span:denominator__RationalFunction'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="denominator__RationalFunction" onclick="swap_content('span:denominator__RationalFunction'); return false;"><b>denominator</b></a>
			(f)  

			
				→ Polynomial<div style="display: inline" id="span:denominator__RationalFunction" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="u">denominator</em> of a <a href="#RationalFunction" onclick="unfold('span:RationalFunction');">RationalFunction</a> <em class="param">f</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#RationalFunction" onclick="unfold('span:RationalFunction');">RationalFunction</a></td><td class="param">f</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polynomial" onclick="unfold('span:Polynomial');">Polynomial</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:denominator__PuiseuxFraction" onclick="swap_content('span:denominator__PuiseuxFraction'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="denominator__PuiseuxFraction" onclick="swap_content('span:denominator__PuiseuxFraction'); return false;"><b>denominator</b></a>
			(f)  

			
				→ Polynomial<div style="display: inline" id="span:denominator__PuiseuxFraction" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="u">denominator</em> of a <a href="#PuiseuxFraction" onclick="unfold('span:PuiseuxFraction');">PuiseuxFraction</a> <em class="param">f</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PuiseuxFraction" onclick="unfold('span:PuiseuxFraction');">PuiseuxFraction</a></td><td class="param">f</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polynomial" onclick="unfold('span:Polynomial');">Polynomial</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:div" onclick="swap_content('span:div'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="div" onclick="swap_content('span:div'); return false;"><b>div</b></a>
			(a, b)  

			
				→ Div<div style="display: inline" id="span:div" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the quotient and remainder of <em class="param">a</em> and <em class="param">b</em> in one operation.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">a</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">b</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Div" onclick="unfold('span:Div');">Div</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">$d = div(10,3);<code>&gt; print $d-&gt;quot;</code><code> 3</code><code>&gt; print $d-&gt;rem;</code><code> 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:div_exact" onclick="swap_content('span:div_exact'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="div_exact" onclick="swap_content('span:div_exact'); return false;"><b>div_exact</b></a>
			(a, b)  

			
				→ Int<div style="display: inline" id="span:div_exact" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the ratio of two given integral numbers under the assumption that the dividend is a multiple of the divisor.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">a</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">b</td><td><div class="descr"><div>a divisor of <em class="param">a</em></div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print div_exact(10,5);</code><code> 2</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ext_gcd" onclick="swap_content('span:ext_gcd'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ext_gcd" onclick="swap_content('span:ext_gcd'); return false;"><b>ext_gcd</b></a>
			(a, b)  

			
				→ ExtGCD<div style="display: inline" id="span:ext_gcd" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the greatest common divisor of two numbers (a,b) and accompanying co-factors.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">a</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">b</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#ExtGCD" onclick="unfold('span:ExtGCD');">ExtGCD</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $GCD = ext_gcd(15,6);</code> The GCD of the numbers can then be accessed like this:<code>&gt; print $GCD-&gt;g;</code><code> 3</code> The ExtGCD type also stores the Bezout coefficients (thus integers p and q such that g=a*p+b*q)...<code>&gt; print $GCD-&gt;p;</code><code> 1</code> print $GCD-&gt;q;<code> -2</code> ...and the quotients k1 of a and k2 of b by g.<code>&gt; print $GCD-&gt;k1;</code><code> 5</code><code>&gt; print $GCD-&gt;k2;</code><code> 2</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:fac" onclick="swap_content('span:fac'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="fac" onclick="swap_content('span:fac'); return false;"><b>fac</b></a>
			(n)  

			
				→ Integer<div style="display: inline" id="span:fac" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the factorial <em class="param">n</em>! = n·(n-1)·(n-2)·...·2·1.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>&gt;=0</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Integer" onclick="unfold('span:Integer');">Integer</a></td><td><div class="descr"><div><em class="param">n</em>!</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:floor" onclick="swap_content('span:floor'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="floor" onclick="swap_content('span:floor'); return false;"><b>floor</b></a>
			(a)  

			
				→ Rational<div style="display: inline" id="span:floor" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">floor function</em>. Returns the smallest integral number not larger than <em class="param">a</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">a</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Rational" onclick="unfold('span:Rational');">Rational</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print floor(1.8);</code><code> 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:gcd__Int__Int" onclick="swap_content('span:gcd__Int__Int'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="gcd__Int__Int" onclick="swap_content('span:gcd__Int__Int'); return false;"><b>gcd</b></a>
			(a, b)  

			
				→ Int<div style="display: inline" id="span:gcd__Int__Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">greatest common divisor</em> of two integers.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">a</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">b</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print gcd(6,9);</code><code> 3</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:gcd__Vector_Element" onclick="swap_content('span:gcd__Vector_Element'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="gcd__Vector_Element" onclick="swap_content('span:gcd__Vector_Element'); return false;"><b>gcd</b></a>
			(v)  

			
				→ Element<div style="display: inline" id="span:gcd__Vector_Element" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the <em class="u">greatest common divisor</em> of the elements of the given vector.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Element&gt;</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Element</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $v = new Vector&lt;Int&gt;(3,6,9);</code><code>&gt; print gcd($v);</code><code> 3</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:gcd__UniPolynomial__UniPolynomial" onclick="swap_content('span:gcd__UniPolynomial__UniPolynomial'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="gcd__UniPolynomial__UniPolynomial" onclick="swap_content('span:gcd__UniPolynomial__UniPolynomial'); return false;"><b>gcd</b></a>
			(p, q)  

			
				→ UniPolynomial<div style="display: inline" id="span:gcd__UniPolynomial__UniPolynomial" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="u">greatest common divisor</em> of two univariate polynomials.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#UniPolynomial" onclick="unfold('span:UniPolynomial');">UniPolynomial</a></td><td class="param">p</td><td/></tr><tr><td><a href="#UniPolynomial" onclick="unfold('span:UniPolynomial');">UniPolynomial</a></td><td class="param">q</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#UniPolynomial" onclick="unfold('span:UniPolynomial');">UniPolynomial</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">We first create the polynomial ring with one variable, Rational coefficients and Int exponents.
 $r=new Ring&lt;Rational, Int&gt;(1);
 Then we create two UniPolynomials with said coefficient and exponent type:<code>&gt; $p = new UniPolynomial&lt;Rational,Int&gt;([2,2],[3,2],$r);</code><code>&gt; $q = new UniPolynomial&lt;Rational,Int&gt;([6,4],[4,2],$r);</code> Printing them reveals what the constructor does:<code>&gt; print $p;</code><code> 2*x^3 + 2*x^2</code><code>&gt; print $q;</code><code> 4*x^4 + 6*x^2</code> Now we can calculate their gcd:<code>&gt; print gcd($p,$q);</code><code> x^2</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:isfinite" onclick="swap_content('span:isfinite'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="isfinite" onclick="swap_content('span:isfinite'); return false;"><b>isfinite</b></a>
			(a)  

			
				→ Bool<div style="display: inline" id="span:isfinite" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check whether the given number has a finite value.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Integer" onclick="unfold('span:Integer');">Integer</a></td><td class="param">a</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print isfinite('inf');</code><code> 0</code><code>&gt; print isfinite(23);</code><code> 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:isinf" onclick="swap_content('span:isinf'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="isinf" onclick="swap_content('span:isinf'); return false;"><b>isinf</b></a>
			(a)  

			
				→ Bool<div style="display: inline" id="span:isinf" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check whether the given number has an infinite value.  Return -1/+1 for infinity and 0 for all finite values.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Integer" onclick="unfold('span:Integer');">Integer</a></td><td class="param">a</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print isinf('inf');</code><code> 1</code><code>&gt; print isinf(23);</code><code> 0</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:is_one" onclick="swap_content('span:is_one'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="is_one" onclick="swap_content('span:is_one'); return false;"><b>is_one</b></a>
			(s)  

			
				→ Bool<div style="display: inline" id="span:is_one" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compare with the one (1) value of the corresponding data type.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">SCALAR</a></td><td class="param">s</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:is_zero" onclick="swap_content('span:is_zero'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="is_zero" onclick="swap_content('span:is_zero'); return false;"><b>is_zero</b></a>
			(s)  

			
				→ Bool<div style="display: inline" id="span:is_zero" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compare with the zero (0) value of the corresponding data type.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">SCALAR</a></td><td class="param">s</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:lcm__Int__Int" onclick="swap_content('span:lcm__Int__Int'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="lcm__Int__Int" onclick="swap_content('span:lcm__Int__Int'); return false;"><b>lcm</b></a>
			(a, b)  

			
				→ Int<div style="display: inline" id="span:lcm__Int__Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">least common multiple</em> of two integers.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">a</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">b</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print lcm(6,9);</code><code> 18</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:lcm__Vector_Element" onclick="swap_content('span:lcm__Vector_Element'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="lcm__Vector_Element" onclick="swap_content('span:lcm__Vector_Element'); return false;"><b>lcm</b></a>
			(v)  

			
				→ Element<div style="display: inline" id="span:lcm__Vector_Element" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the least common multiple of the elements of the given vector.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Element&gt;</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Element</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $v = new Vector&lt;Integer&gt;(1,3,6,9);</code><code>&gt; print lcm($v);</code><code> 18</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:numerator__Rational" onclick="swap_content('span:numerator__Rational'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="numerator__Rational" onclick="swap_content('span:numerator__Rational'); return false;"><b>numerator</b></a>
			(a)  

			
				→ Integer<div style="display: inline" id="span:numerator__Rational" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="u">numerator</em> of <em class="param">a</em> in a reduced representation.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">a</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Integer" onclick="unfold('span:Integer');">Integer</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:numerator__RationalFunction" onclick="swap_content('span:numerator__RationalFunction'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="numerator__RationalFunction" onclick="swap_content('span:numerator__RationalFunction'); return false;"><b>numerator</b></a>
			(f)  

			
				→ Polynomial<div style="display: inline" id="span:numerator__RationalFunction" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="u">numerator</em> of a <a href="#RationalFunction" onclick="unfold('span:RationalFunction');">RationalFunction</a> <em class="param">f</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#RationalFunction" onclick="unfold('span:RationalFunction');">RationalFunction</a></td><td class="param">f</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polynomial" onclick="unfold('span:Polynomial');">Polynomial</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:numerator__PuiseuxFraction" onclick="swap_content('span:numerator__PuiseuxFraction'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="numerator__PuiseuxFraction" onclick="swap_content('span:numerator__PuiseuxFraction'); return false;"><b>numerator</b></a>
			(f)  

			
				→ Polynomial<div style="display: inline" id="span:numerator__PuiseuxFraction" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="u">numerator</em> of a <a href="#PuiseuxFraction" onclick="unfold('span:PuiseuxFraction');">PuiseuxFraction</a> <em class="param">f</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PuiseuxFraction" onclick="unfold('span:PuiseuxFraction');">PuiseuxFraction</a></td><td class="param">f</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polynomial" onclick="unfold('span:Polynomial');">Polynomial</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:sum_of_square_roots_naive" onclick="swap_content('span:sum_of_square_roots_naive'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="sum_of_square_roots_naive" onclick="swap_content('span:sum_of_square_roots_naive'); return false;"><b>sum_of_square_roots_naive</b></a>
			(a)  

			
				→ Map&lt;Rational, Rational&gt;<div style="display: inline" id="span:sum_of_square_roots_naive" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Make a naive attempt to sum the square roots of the entries
 of the input array.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;Rational&gt;</a></td><td class="param">a</td><td><div class="descr"><div>list of rational numbers (other coefficents are not implemented).</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Map" onclick="unfold('span:Map');">Map&lt;Rational, Rational&gt;</a></td><td><div class="descr"><div>coefficient_of_sqrt a map collecting the coefficients of various roots encountered in the sum.
 For example, {(3 1/2),(5 7)} represents sqrt{3}/2 + 7 sqrt{5}.
 If the output is not satisfactory, please use a symbolic algebra package.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Combinatorics" onclick="swap_content('span:functions__Combinatorics'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Combinatorics" onclick="swap_content('span:functions__Combinatorics'); return false;">
                  <span class="category">Combinatorics</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Combinatorics" class="foldit">
              <div class="descr">
                <p> This category contains combinatorial functions.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:all_permutations" onclick="swap_content('span:all_permutations'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="all_permutations" onclick="swap_content('span:all_permutations'); return false;"><b>all_permutations</b></a>
			(n)  

			
				→ ARRAY<div style="display: inline" id="span:all_permutations" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a list of all permutations of the set {0...n-1} as a perl-array</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">ARRAY</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To store the result in the perl array @a, type this:<code>&gt; @a = all_permutations(3);</code> The array contains pointers to arrays. To access the 0-th pointer, do this:<code>&gt; $a0 = $a[0];</code> To print the 0-th array itself, you have to dereference it as follows:<code>&gt; print @{ $a0 };</code><code> 012</code> You can loop through @a by using foreach. The print statement gets the string obtained by dereferencing
 the current entry concatenated with the string " ".<code>&gt; foreach( @a ){</code><code>&gt; print @{ $_ }," ";</code><code>&gt; }</code><code> 012 102 201 021 120 210</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:binomial" onclick="swap_content('span:binomial'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="binomial" onclick="swap_content('span:binomial'); return false;"><b>binomial</b></a>
			(n, k)  

			
				→ Int<div style="display: inline" id="span:binomial" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the binomial coefficient <em class="u"><em class="param">n</em> choose <em class="param">k</em></em>.
 Negative values of <em class="param">n</em> (and <em class="param">k</em>) are supported.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">k</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td><div class="descr"><div><em class="param">n</em> choose <em class="param">k</em></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:find_permutation" onclick="swap_content('span:find_permutation'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="find_permutation" onclick="swap_content('span:find_permutation'); return false;"><b>find_permutation</b></a>
			(a, b)  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:find_permutation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the permutation that maps <em class="param">a</em> to <em class="param">b</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Array" onclick="unfold('span:Array');">Array</a></td><td class="param">a</td><td/></tr><tr><td><a href="#Array" onclick="unfold('span:Array');">Array</a></td><td class="param">b</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $p = find_permutation([1,8,3,4],[3,8,4,1]);</code><code>&gt; print $p;</code> 2 1 3 0</div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:permutation_cycles" onclick="swap_content('span:permutation_cycles'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="permutation_cycles" onclick="swap_content('span:permutation_cycles'); return false;"><b>permutation_cycles</b></a>
			(p)  

			
				→ Array&lt;List&lt;Int&gt;&gt;<div style="display: inline" id="span:permutation_cycles" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="u">cycles</em> of a permutation given by <em class="param">p</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">p</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;List&lt;Int&gt;&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print permutation_cycles([1,0,3,2]);</code><code> {0 1}{2 3}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:permutation_matrix" onclick="swap_content('span:permutation_matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="permutation_matrix" onclick="swap_content('span:permutation_matrix'); return false;"><b>permutation_matrix</b></a>
			&lt;Scalar&gt;
		 
			(p)  

			
				→ Matrix&lt;Scalar&gt;<div style="display: inline" id="span:permutation_matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="u">permuation matrix</em> of the permutation given by <em class="param">p</em>.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>default: <a href="#Int" onclick="unfold('span:Int');">Int</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">p</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Scalar&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the permutation matrix in sparse representation.<code>&gt; print permutation_matrix([1,0,3,2]);</code><code> (4) (1 1)</code><code> (4) (0 1)</code><code> (4) (3 1)</code><code> (4) (2 1)</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:permutation_sign" onclick="swap_content('span:permutation_sign'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="permutation_sign" onclick="swap_content('span:permutation_sign'); return false;"><b>permutation_sign</b></a>
			(p)  

			
				→ Int<div style="display: inline" id="span:permutation_sign" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="u">sign</em> of the permutation given by <em class="param">p</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">p</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Int</a></td><td><div class="descr"><div>+1 or -1</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print permutation_sign([1,0,3,2]);</code><code> 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Data_Conversion" onclick="swap_content('span:functions__Data_Conversion'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Data_Conversion" onclick="swap_content('span:functions__Data_Conversion'); return false;">
                  <span class="category">Data Conversion</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Data_Conversion" class="foldit">
              <div class="descr">
                <p> This contains functions for data conversions and type casts.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:cast" onclick="swap_content('span:cast'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="cast" onclick="swap_content('span:cast'); return false;"><b>cast</b></a>
			&lt;Target&gt;
		 
			(object)  

			
				→ Object<div style="display: inline" id="span:cast" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Change the type of the polymake object to one of its base types
 (aka ancestor in the inheritance hierarchy).
 The object loses all properties that are unknown in the target type.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Target</td><td><div class="descr"><div>the desired new type</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Core_Object" onclick="unfold('span:Core_Object');">Object</a></td><td class="param">object</td><td><div class="descr"><div>to be modified</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Core_Object" onclick="unfold('span:Core_Object');">Object</a></td><td><div class="descr"><div>the same <em class="param">object</em>, but with modified type</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:cols" onclick="swap_content('span:cols'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="cols" onclick="swap_content('span:cols'); return false;"><b>cols</b></a>
			()  

			<div style="display: inline" id="span:cols" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:cols__Matrix" onclick="swap_content('span:cols__Matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="cols__Matrix" onclick="swap_content('span:cols__Matrix'); return false;"><b>cols</b></a>
			(A)  

			
				→ ARRAY&lt;Vector&gt;<div style="display: inline" id="span:cols__Matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns an array containing the columns of <em class="param">A</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#ARRAY" onclick="unfold('span:ARRAY');">ARRAY&lt;Vector&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following saves the columns of the vertex matrix of a square in
 the variable $w and then prints its contents using a foreach loop and concatenating
 each entry with the string "  ".<code>&gt; $w = rows(cube(2)-&gt;VERTICES);</code><code>&gt; foreach( @$w ){</code><code>&gt; print @{$_},"  ";</code><code>&gt; }</code><code> 1111  -11-11  -1-111  </code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:concat_rows" onclick="swap_content('span:concat_rows'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="concat_rows" onclick="swap_content('span:concat_rows'); return false;"><b>concat_rows</b></a>
			(A)  

			
				→ Vector<div style="display: inline" id="span:concat_rows" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Concatenates the rows of <em class="param">A</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td/></tr></table></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">Make a vector out of the rows of the vertex matrix of a cube:<code>&gt; $v = concat_rows(cube(2)-&gt;VERTICES);</code><code>&gt; print $v;</code><code> 1 -1 -1 1 1 -1 1 -1 1 1 1 1</code></div></li><li><div class="descr">For a sparse matrix, the resulting vector is sparse, too.<code>&gt; $vs = concat_rows(unit_matrix(3));</code><code>&gt; print $vs;</code><code> (9) (0 1) (4 1) (8 1)</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:convert_to__SCALAR" onclick="swap_content('span:convert_to__SCALAR'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="convert_to__SCALAR" onclick="swap_content('span:convert_to__SCALAR'); return false;"><b>convert_to</b></a>
			&lt;Target&gt;
		 
			(s)  

			
				→ Target<div style="display: inline" id="span:convert_to__SCALAR" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Explicit conversion to different scalar type.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Target</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">SCALAR</a></td><td class="param">s</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Target</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:convert_to__Vector" onclick="swap_content('span:convert_to__Vector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="convert_to__Vector" onclick="swap_content('span:convert_to__Vector'); return false;"><b>convert_to</b></a>
			&lt;Target&gt;
		 
			(v)  

			
				→ Vector&lt;Target&gt;<div style="display: inline" id="span:convert_to__Vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Explicit conversion to a different element type.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Target</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Target&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $v = new Vector&lt;Rational&gt;(1/2,2/3,3/4);</code><code>&gt; $vf = convert_to&lt;Float&gt;($v);</code><code>&gt; print $vf;</code><code> 0.5 0.6666666667 0.75</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:convert_to__Matrix" onclick="swap_content('span:convert_to__Matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="convert_to__Matrix" onclick="swap_content('span:convert_to__Matrix'); return false;"><b>convert_to</b></a>
			&lt;Target&gt;
		 
			(m)  

			
				→ Matrix&lt;Target&gt;<div style="display: inline" id="span:convert_to__Matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Explicit conversion to a different element type.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Target</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Target&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = new Matrix&lt;Rational&gt;([1/2,2],[3,2/3]);</code><code>&gt; $Mf = convert_to&lt;Float&gt;($M);</code><code>&gt; print $Mf;</code><code> 0.5 2</code><code> 3 0.6666666667</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:dense__Vector" onclick="swap_content('span:dense__Vector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="dense__Vector" onclick="swap_content('span:dense__Vector'); return false;"><b>dense</b></a>
			(v)  

			
				→ Vector<div style="display: inline" id="span:dense__Vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Return the input vector (which is already in dense form).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:dense__Matrix" onclick="swap_content('span:dense__Matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="dense__Matrix" onclick="swap_content('span:dense__Matrix'); return false;"><b>dense</b></a>
			(m)  

			
				→ Matrix<div style="display: inline" id="span:dense__Matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Return the input matrix (which is already in dense form).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:dense__SparseVector_Element" onclick="swap_content('span:dense__SparseVector_Element'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="dense__SparseVector_Element" onclick="swap_content('span:dense__SparseVector_Element'); return false;"><b>dense</b></a>
			&lt;Element&gt;
		 
			(v)  

			
				→ Vector&lt;Element&gt;<div style="display: inline" id="span:dense__SparseVector_Element" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert to an equivalent dense vector of the same element type.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#SparseVector" onclick="unfold('span:SparseVector');">SparseVector&lt;Element&gt;</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Element&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:dense__SparseMatrix_Element" onclick="swap_content('span:dense__SparseMatrix_Element'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="dense__SparseMatrix_Element" onclick="swap_content('span:dense__SparseMatrix_Element'); return false;"><b>dense</b></a>
			&lt;Element&gt;
		 
			(m)  

			
				→ Matrix&lt;Element&gt;<div style="display: inline" id="span:dense__SparseMatrix_Element" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert to an equivalent dense matrix of the same element type.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix&lt;Element&gt;</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Element&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:dense__IncidenceMatrix" onclick="swap_content('span:dense__IncidenceMatrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="dense__IncidenceMatrix" onclick="swap_content('span:dense__IncidenceMatrix'); return false;"><b>dense</b></a>
			(m)  

			
				→ Matrix&lt;Int&gt;<div style="display: inline" id="span:dense__IncidenceMatrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert to a dense 0/1 matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:dense__Set__Int" onclick="swap_content('span:dense__Set__Int'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="dense__Set__Int" onclick="swap_content('span:dense__Set__Int'); return false;"><b>dense</b></a>
			(s, dim)  

			
				→ Vector&lt;Int&gt;<div style="display: inline" id="span:dense__Set__Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert to a dense 0/1 vector of a given dimension.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">s</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">dim</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:index_matrix" onclick="swap_content('span:index_matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="index_matrix" onclick="swap_content('span:index_matrix'); return false;"><b>index_matrix</b></a>
			(m)  

			
				→ IncidenceMatrix<div style="display: inline" id="span:index_matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Get the positions of non-zero entries of a sparse matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $S = new SparseMatrix([1,2,0,0,0,0],[0,0,5,0,0,32]);</code><code>&gt; print index_matrix($S);</code><code> {0 1}</code><code> {2 5}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:indices" onclick="swap_content('span:indices'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="indices" onclick="swap_content('span:indices'); return false;"><b>indices</b></a>
			(v)  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:indices" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Get the positions of non-zero entries of a sparse vector.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#SparseVector" onclick="unfold('span:SparseVector');">SparseVector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $v = new SparseVector(0,1,1,0,0,0,2,0,3);</code><code>&gt; print indices($v);</code><code> {1 2 6 8}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:lex_ordered" onclick="swap_content('span:lex_ordered'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="lex_ordered" onclick="swap_content('span:lex_ordered'); return false;"><b>lex_ordered</b></a>
			(f)  

			
				→ PowerSet&lt;Int&gt;<div style="display: inline" id="span:lex_ordered" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visit the facets of <em class="param">f</em> sorted lexicographically.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#FacetList" onclick="unfold('span:FacetList');">FacetList</a></td><td class="param">f</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PowerSet" onclick="unfold('span:PowerSet');">PowerSet&lt;Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $f = new FacetList(cube(2)-&gt;VERTICES_IN_FACETS);</code><code>&gt; print lex_ordered($f);</code> {{0 1} {0 2} {1 3} {2 3}}</div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:repeat_col" onclick="swap_content('span:repeat_col'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="repeat_col" onclick="swap_content('span:repeat_col'); return false;"><b>repeat_col</b></a>
			(v, i)  

			<div style="display: inline" id="span:repeat_col" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a <a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a> by repeating the given <a href="#Vector" onclick="unfold('span:Vector');">Vector</a> as cols.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $v = new Vector(23,42,666);</code><code>&gt; $M = repeat_col($v,3);</code><code>&gt; print $M;</code><code> 23 23 23</code><code> 42 42 42</code><code> 666 666 666</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:repeat_row" onclick="swap_content('span:repeat_row'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="repeat_row" onclick="swap_content('span:repeat_row'); return false;"><b>repeat_row</b></a>
			(v, i)  

			<div style="display: inline" id="span:repeat_row" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a <a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a> by repeating the given <a href="#Vector" onclick="unfold('span:Vector');">Vector</a> as rows.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $v = new Vector(23,42,666);</code><code>&gt; $M = repeat_row($v,3);</code><code>&gt; print $M;</code><code> 23 42 666</code><code> 23 42 666</code><code> 23 42 666</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:rows" onclick="swap_content('span:rows'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="rows" onclick="swap_content('span:rows'); return false;"><b>rows</b></a>
			()  

			<div style="display: inline" id="span:rows" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:rows__Matrix" onclick="swap_content('span:rows__Matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="rows__Matrix" onclick="swap_content('span:rows__Matrix'); return false;"><b>rows</b></a>
			(A)  

			
				→ ARRAY&lt;Vector&gt;<div style="display: inline" id="span:rows__Matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns an array containing the rows of <em class="param">A</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#ARRAY" onclick="unfold('span:ARRAY');">ARRAY&lt;Vector&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following saves the rows of the vertex matrix of a square in
 the variable $w and then prints its contents using a foreach loop and concatenating
 each entry with the string "  ".<code>&gt; $w = rows(cube(2)-&gt;VERTICES);</code><code>&gt; foreach( @$w ){</code><code>&gt; print @{$_},"  ";</code><code>&gt; }</code><code> 1-1-1  11-1  1-11  111  </code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:support" onclick="swap_content('span:support'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="support" onclick="swap_content('span:support'); return false;"><b>support</b></a>
			(v)  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:support" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Get the positions of non-zero entries of a vector.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print support(new Vector(0,23,0,0,23,0,23,0,0,23));</code><code> {1 4 6 9}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:toMatrix" onclick="swap_content('span:toMatrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="toMatrix" onclick="swap_content('span:toMatrix'); return false;"><b>toMatrix</b></a>
			&lt;Scalar&gt;
		 
			(A)  

			
				→ SparseMatrix&lt;Scalar&gt;<div style="display: inline" id="span:toMatrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert an IncidenceMatrix to a SparseMatrix.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix&lt;Scalar&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = toMatrix&lt;Int&gt;(cube(2)-&gt;VERTICES_IN_FACETS);</code><code>&gt; print $M-&gt;type-&gt;full_name;</code><code> SparseMatrix&lt;Int, NonSymmetric&gt;</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:toPolynomial" onclick="swap_content('span:toPolynomial'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="toPolynomial" onclick="swap_content('span:toPolynomial'); return false;"><b>toPolynomial</b></a>
			(s, vars)  

			<div style="display: inline" id="span:toPolynomial" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Read a <a href="#Polynomial" onclick="unfold('span:Polynomial');">Polynomial</a> from a String.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">s</td><td/></tr><tr><td><a href="#" onclick="unfold('span:');">ARRAY</a></td><td class="param">vars</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:toTropicalPolynomial__String__String" onclick="swap_content('span:toTropicalPolynomial__String__String'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="toTropicalPolynomial__String__String" onclick="swap_content('span:toTropicalPolynomial__String__String'); return false;"><b>toTropicalPolynomial</b></a>
			(s, vars)  

			
				→ Polynomial&lt;TropicalNumber&lt;Addition,Rational&gt; &gt;<div style="display: inline" id="span:toTropicalPolynomial__String__String" class="foldit"><br/><div class="descr_func"><div class="descr"><p> This converts a string into a tropical polynomial. The syntax for the string is as follows:
 It is of the form "min(...)" or "max(...)" or "min{...}" or "max{...}", where ...
 is a comma-separated list of sums of the form "a + bx + c + dy + ...", where a,c are 
 rational numbers, b,d are Ints and x,y are variables. 
 Such a sum can contain several such terms for the same variable and they need not be in any order. 
 Any text that starts with a letter and does not contain any of +-*,(){} or whitespace can be a variable.
 A term in a sum can be of the form "3x", "3*x", but "x3"will be interpreted as 1 * "x3".
 Coefficients should not contain letters and there is no evaluation of arithmetic, i.e. "(2+4)*x" does 
 not work (though "2x+4x" would be fine). 
 In fact, further brackets should only be used (but are not necessary!) for single coefficienst, 
 e.g. "(-3)*x".
 Warning: The parser will remove all brackets before parsing the individual sums.
 If no further arguments are given, the function will take the number of occuring variables
 as total number of variables and create a ring for the result. The variables will be sorted alphabetically.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">s</td><td><div class="descr"><div>The string to be parsed</div></div></td></tr><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">vars</td><td><div class="descr"><div>Optional. A list of variables. If this is given, all variables used in s must match one of the variables in this list. </div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polynomial" onclick="unfold('span:Polynomial');">Polynomial&lt;TropicalNumber&lt;Addition,Rational&gt; &gt;</a></td><td><div class="descr"><div>, where Addition depends on 
 whether min or max was used in the string.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:toTropicalPolynomial__String__Ring_TropicalNumber_AdditionRational___Bool" onclick="swap_content('span:toTropicalPolynomial__String__Ring_TropicalNumber_AdditionRational___Bool'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="toTropicalPolynomial__String__Ring_TropicalNumber_AdditionRational___Bool" onclick="swap_content('span:toTropicalPolynomial__String__Ring_TropicalNumber_AdditionRational___Bool'); return false;"><b>toTropicalPolynomial</b></a>
			(s, r, match_variables_by_order)  

			
				→ Polynomial&lt;TropicalNumber&lt;Addition,Rational&gt; &gt;<div style="display: inline" id="span:toTropicalPolynomial__String__Ring_TropicalNumber_AdditionRational___Bool" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Same as <a href="#toTropicalPolynomial__String__String" onclick="unfold('span:toTropicalPolynomial__String__String');">toTropicalPolynomial</a>(String,...), except that the result will live in
 the specified ring.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">s</td><td><div class="descr"><div>The string to be parsed</div></div></td></tr><tr><td><a href="#Ring" onclick="unfold('span:Ring');">Ring&lt;TropicalNumber&lt;Addition,Rational&gt; &gt;</a></td><td class="param">r</td><td><div class="descr"><div>The polynomial ring in which the result will live.
 By default, all variables in s must match variables of the ring (this can be changed with the next argument)
 and the ring must be over the TropicalNumbers.</div></div></td></tr><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">match_variables_by_order</td><td><div class="descr"><div>Optional and false by default. If true, variables in <em class="param">s</em> can be arbitrary,
 though their total number has to match the total number of ring variables. The variables of the string
 will be assigned to ring variables in alphabetical order.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polynomial" onclick="unfold('span:Polynomial');">Polynomial&lt;TropicalNumber&lt;Addition,Rational&gt; &gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:toVector" onclick="swap_content('span:toVector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="toVector" onclick="swap_content('span:toVector'); return false;"><b>toVector</b></a>
			&lt;Scalar&gt;
		 
			(S)  

			<div style="display: inline" id="span:toVector" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">S</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:vector2col" onclick="swap_content('span:vector2col'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="vector2col" onclick="swap_content('span:vector2col'); return false;"><b>vector2col</b></a>
			(v)  

			
				→ Matrix<div style="display: inline" id="span:vector2col" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert a <a href="#Vector" onclick="unfold('span:Vector');">Vector</a> to a <a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a> with a single column.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This converts a vector into a column and prints it and its type:<code>&gt; $v = new Vector([1,2,3,4]);</code><code>&gt; $V = vector2col($v);</code><code>&gt; print $V;</code><code> 1</code><code> 2</code><code> 3</code><code> 4</code><code>&gt; print $V-&gt;type-&gt;full_name;</code><code> Matrix&lt;Rational, NonSymmetric&gt;</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:vector2row" onclick="swap_content('span:vector2row'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="vector2row" onclick="swap_content('span:vector2row'); return false;"><b>vector2row</b></a>
			(v)  

			
				→ Matrix<div style="display: inline" id="span:vector2row" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert a <a href="#Vector" onclick="unfold('span:Vector');">Vector</a> to a <a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a> with a single row.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This converts a vector into a row and prints it and its type:<code>&gt; $v = new Vector([1,2,3,4]);</code><code>&gt; $V = vector2row($v);</code><code>&gt; print $V;</code><code> 1 2 3 4</code><code>&gt; print $V-&gt;type-&gt;full_name;</code><code> Matrix&lt;Rational, NonSymmetric&gt;</code></div></li></ul></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Formatting" onclick="swap_content('span:functions__Formatting'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Formatting" onclick="swap_content('span:functions__Formatting'); return false;">
                  <span class="category">Formatting</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Formatting" class="foldit">
              <div class="descr">
                <p> Functions for pretty printing, labels or <a href="#latex" onclick="unfold('span:latex');">latex output</a> of polymake types.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:labeled" onclick="swap_content('span:labeled'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="labeled" onclick="swap_content('span:labeled'); return false;"><b>labeled</b></a>
			(data, elem_labels)  

			
				→ String<div style="display: inline" id="span:labeled" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Prepares a vector for printing, prepends each element with a label and a colon.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">data</td><td><div class="descr"><div>to be printed</div></div></td></tr><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td class="param">elem_labels</td><td><div class="descr"><div>optional labels for elements;
  if <em class="param">data</em> is a <a href="#Set" onclick="unfold('span:Set');">Set</a>, or similar, each element will be replaced by its label.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">String</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $v = new Vector(0,1,2);</code><code>&gt; print labeled($v,["zeroth","first","second"]);</code> zeroth:0 first:1 second:2</div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:latex" onclick="swap_content('span:latex'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="latex" onclick="swap_content('span:latex'); return false;"><b>latex</b></a>
			(data, elem_labels)  

			
				→ String<div style="display: inline" id="span:latex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> LaTeX output of a matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">data</td><td><div class="descr"><div>to be printed</div></div></td></tr><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td class="param">elem_labels</td><td><div class="descr"><div>optional labels for elements;
  if <em class="param">data</em> is an <a href="#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a>, <a href="#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a>, or similar, each element will be replaced by its label.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">String</a></td><td><div class="descr"><div>to be used with \usepackage{amsmath}</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:numbered" onclick="swap_content('span:numbered'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="numbered" onclick="swap_content('span:numbered'); return false;"><b>numbered</b></a>
			(data)  

			
				→ String<div style="display: inline" id="span:numbered" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Equivalent to <a href="#labeled" onclick="unfold('span:labeled');">labeled</a> with omitted <em class="param">elem_labels</em> argument.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">data</td><td><div class="descr"><div>to be printed</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $data = new Vector(23,42,666);</code><code>&gt; print numbered($data);</code><code> 0:23 1:42 2:666</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:print_constraints" onclick="swap_content('span:print_constraints'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="print_constraints" onclick="swap_content('span:print_constraints'); return false;"><b>print_constraints</b></a>
			(M)  

			<div style="display: inline" id="span:print_constraints" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Write the rows of a matrix <em class="param">M</em> as inequalities (<em class="param">equations=0</em>)
 or equations (<em class="param">equations=1</em>) in a readable way.
 It is possible to specify labels for the coordinates via
 an optional array <em class="param">coord_labels</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Scalar&gt;</a></td><td class="param">M</td><td><div class="descr"><div>the matrix whose rows are to be written</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td class="param">coord_labels</td><td><div class="descr"><div>changes the labels of the coordinates</div></div></td></tr><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td class="param">row_labels</td><td><div class="descr"><div>changes the labels of the rows</div></div></td></tr><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">homogeneous</td><td><div class="descr"><div>false if the first coordinate should be interpreted as right hand side</div></div></td></tr><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">equations</td><td><div class="descr"><div>true if the rows represent equations instead of inequalities</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = new Matrix([1,2,3],[4,5,23]);</code><code>&gt; print_constraints($M,equations=&gt;1);</code><code> 0: 2 x1 + 3 x2 = -1</code><code> 1: 5 x1 + 23 x2 = -4</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:rows_labeled__Matrix__Array_String__Array_String" onclick="swap_content('span:rows_labeled__Matrix__Array_String__Array_String'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="rows_labeled__Matrix__Array_String__Array_String" onclick="swap_content('span:rows_labeled__Matrix__Array_String__Array_String'); return false;"><b>rows_labeled</b></a>
			(data, row_labels, elem_labels)  

			
				→ Array&lt;String&gt;<div style="display: inline" id="span:rows_labeled__Matrix__Array_String__Array_String" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Prepares a matrix for printing, prepends each row with a label and a colon.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">data</td><td><div class="descr"><div>to be printed</div></div></td></tr><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td class="param">row_labels</td><td><div class="descr"><div>labels for the rows</div></div></td></tr><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td class="param">elem_labels</td><td><div class="descr"><div>optional labels for elements;
  if <em class="param">data</em> is an <a href="#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a>, <a href="#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a>, or similar, each element will be replaced by its label.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td><div class="descr"><div>each string ending with end-of-line</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print rows_labeled(cube(2)-&gt;VERTICES,['a','b','c','d']);</code><code> a:1 -1 -1</code><code> b:1 1 -1</code><code> c:1 -1 1</code><code> d:1 1 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:rows_labeled__Graph__Array_String" onclick="swap_content('span:rows_labeled__Graph__Array_String'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="rows_labeled__Graph__Array_String" onclick="swap_content('span:rows_labeled__Graph__Array_String'); return false;"><b>rows_labeled</b></a>
			(graph, elem_labels)  

			
				→ Array&lt;String&gt;<div style="display: inline" id="span:rows_labeled__Graph__Array_String" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Like above, but specialized for Graphs (defined for convenience: a PTL Graph is not a container)</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">graph</td><td><div class="descr"><div>to be printed</div></div></td></tr><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td class="param">elem_labels</td><td><div class="descr"><div>labels for the elements</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td><div class="descr"><div>each string ending with end-of-line</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print rows_labeled(cycle_graph(4)-&gt;ADJACENCY,['a','b','c','d']);</code><code> a:b d</code><code> b:a c</code><code> c:b d</code><code> d:a c</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:rows_numbered" onclick="swap_content('span:rows_numbered'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="rows_numbered" onclick="swap_content('span:rows_numbered'); return false;"><b>rows_numbered</b></a>
			(data)  

			
				→ Array&lt;String&gt;<div style="display: inline" id="span:rows_numbered" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Equivalent to <a href="#rows_labeled__Matrix__Array_String__Array_String" onclick="unfold('span:rows_labeled__Matrix__Array_String__Array_String');">rows_labeled</a> with omitted <em class="param">row_labels</em> argument.
 Formerly called "numbered".</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">data</td><td><div class="descr"><div>to be printed</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td><div class="descr"><div>each string ending with end-of-line</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print rows_numbered(cube(2)-&gt;VERTICES);</code><code> 0:1 -1 -1</code><code> 1:1 1 -1</code><code> 2:1 -1 1</code><code> 3:1 1 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Graph_Operations" onclick="swap_content('span:functions__Graph_Operations'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Graph_Operations" onclick="swap_content('span:functions__Graph_Operations'); return false;">
                  <span class="category">Graph Operations</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Graph_Operations" class="foldit">
              <div class="descr">
                <p> Operations on graphs.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:adjacency_matrix" onclick="swap_content('span:adjacency_matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="adjacency_matrix" onclick="swap_content('span:adjacency_matrix'); return false;"><b>adjacency_matrix</b></a>
			(graph)  

			
				→ IncidenceMatrix<div style="display: inline" id="span:adjacency_matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the adjacency matrix of graph nodes.
 For a normal graph, it will be a kind of <a href="#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a>,
 for multigraph, it will be a <a href="#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix&lt;Int&gt;</a>, with entries encoding the number of parallel edges between two nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">graph</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td><div class="descr"><div>both rows and columns correspond to the nodes</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:edges" onclick="swap_content('span:edges'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="edges" onclick="swap_content('span:edges'); return false;"><b>edges</b></a>
			(graph)  

			
				→ EdgeList<div style="display: inline" id="span:edges" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the sequence of all edges of a graph.
 The edges will appear in ascending order of their tail and head nodes.
 In the Undirected case, the edges will appear once, ordered by the larger index of their incident nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">graph</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#EdgeList" onclick="unfold('span:EdgeList');">EdgeList</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:induced_subgraph" onclick="swap_content('span:induced_subgraph'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="induced_subgraph" onclick="swap_content('span:induced_subgraph'); return false;"><b>induced_subgraph</b></a>
			(graph, set)  

			
				→ Graph<div style="display: inline" id="span:induced_subgraph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates an induced subgraph for the given subset of nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">graph</td><td/></tr><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">set</td><td><div class="descr"><div>indices of selected nodes</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">$g = new props::Graph(cycle_graph(5)-&gt;ADJACENCY);<code>&gt; $s1 = new Set(1,2,3);</code><code>&gt; print induced_subgraph($g,$s1);</code><code> {2}</code><code> {1 3}</code><code> {2}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:nodes" onclick="swap_content('span:nodes'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="nodes" onclick="swap_content('span:nodes'); return false;"><b>nodes</b></a>
			(graph)  

			
				→ NodeSet<div style="display: inline" id="span:nodes" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the sequence of all valid nodes of a graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">graph</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#NodeSet" onclick="unfold('span:NodeSet');">NodeSet</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print nodes(cycle_graph(5)-&gt;ADJACENCY);</code> {0 1 2 3 4}</div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:node_edge_incidences" onclick="swap_content('span:node_edge_incidences'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="node_edge_incidences" onclick="swap_content('span:node_edge_incidences'); return false;"><b>node_edge_incidences</b></a>
			&lt;Coord&gt;
		 
			(graph)  

			
				→ SparseMatrix&lt;Coord&gt;<div style="display: inline" id="span:node_edge_incidences" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the node-edge incidence matrix of a graph.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td><div class="descr"><div>coordinate type for the resulting matrix, default: <a href="#Int" onclick="unfold('span:Int');">Int</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">graph</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix&lt;Coord&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print node_edge_incidences(cycle_graph(5)-&gt;ADJACENCY);</code><code> (5) (0 1) (3 1)</code><code> (5) (0 1) (1 1)</code><code> (5) (1 1) (2 1)</code><code> (5) (2 1) (4 1)</code><code> (5) (3 1) (4 1)</code></div></li></ul></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Lattice_Tools" onclick="swap_content('span:functions__Lattice_Tools'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Lattice_Tools" onclick="swap_content('span:functions__Lattice_Tools'); return false;">
                  <span class="category">Lattice Tools</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Lattice_Tools" class="foldit">
              <div class="descr">
                <p> Functions for lattice related computations.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:eliminate_denominators" onclick="swap_content('span:eliminate_denominators'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="eliminate_denominators" onclick="swap_content('span:eliminate_denominators'); return false;"><b>eliminate_denominators</b></a>
			(v)  

			
				→ Vector&lt;Integer&gt;<div style="display: inline" id="span:eliminate_denominators" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Scale a vector with the least common multiple of the denominators of its coordinates.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Integer&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $v = new Vector(1/2,1/3,1/4,1/5);</code><code>&gt; $ve = eliminate_denominators($v);</code><code>&gt; print $ve;</code><code> 30 20 15 12</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:eliminate_denominators_entire" onclick="swap_content('span:eliminate_denominators_entire'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="eliminate_denominators_entire" onclick="swap_content('span:eliminate_denominators_entire'); return false;"><b>eliminate_denominators_entire</b></a>
			(v)  

			
				→ Matrix&lt;Integer&gt;<div style="display: inline" id="span:eliminate_denominators_entire" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Scales entire matrix with the least common multiple of the denominators of its coordinates.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Integer&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = new Matrix([1/2,1/3],[1/5,7],[1/4,4/3]);</code><code>&gt; $Me = eliminate_denominators_entire($M);</code><code>&gt; print $Me;</code><code> 30 20</code><code> 12 420</code><code> 15 80</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:eliminate_denominators_entire_affine" onclick="swap_content('span:eliminate_denominators_entire_affine'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="eliminate_denominators_entire_affine" onclick="swap_content('span:eliminate_denominators_entire_affine'); return false;"><b>eliminate_denominators_entire_affine</b></a>
			(v)  

			
				→ Matrix&lt;Integer&gt;<div style="display: inline" id="span:eliminate_denominators_entire_affine" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Scales entire matrix with the least common multiple of the denominators of its coordinates (ignore first column).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Integer&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = new Matrix([1,1/2,1/3],[1,1/5,7],[1,1/4,4/3]);</code><code>&gt; $Me = eliminate_denominators_entire_affine($M);</code><code>&gt; print $Me;</code> 1 30 20
 1 12 420
 1 15 80</div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:eliminate_denominators_in_rows" onclick="swap_content('span:eliminate_denominators_in_rows'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="eliminate_denominators_in_rows" onclick="swap_content('span:eliminate_denominators_in_rows'); return false;"><b>eliminate_denominators_in_rows</b></a>
			(M)  

			
				→ Matrix&lt;Integer&gt;<div style="display: inline" id="span:eliminate_denominators_in_rows" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Scale a matrix row-wise with the least common multiple of the denominators of its coordinates.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Integer&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = new Matrix([1/2,1/3],[1/5,7],[1/4,4/3]);</code><code>&gt; $Me = eliminate_denominators_in_rows($M);</code><code>&gt; print $Me;</code><code> 3 2</code><code> 1 35</code><code> 3 16</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:is_integral__Vector" onclick="swap_content('span:is_integral__Vector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="is_integral__Vector" onclick="swap_content('span:is_integral__Vector'); return false;"><b>is_integral</b></a>
			(v)  

			
				→ Bool<div style="display: inline" id="span:is_integral__Vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether all coordinates of a rational vector are integral.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This rational vector has only integral entries:<code>&gt; $v = new Vector&lt;Rational&gt;(1,2,3,4);</code> polytope &gt; print is_integral($v);<code> 1</code> But if we append 1/2, it hasn't anymore:<code>&gt; print is_integral($v|1/2);</code><code> </code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:is_integral__Matrix" onclick="swap_content('span:is_integral__Matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="is_integral__Matrix" onclick="swap_content('span:is_integral__Matrix'); return false;"><b>is_integral</b></a>
			(m)  

			
				→ Bool<div style="display: inline" id="span:is_integral__Matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether all coordinates of a  rational matrix are integral.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This rational matrix has only integral entries:<code>&gt; $m = new Matrix&lt;Rational&gt;([1,2],[3,4]);</code><code>&gt; print is_integral($m);</code><code> 1</code> But if we multiply it with 1/2, that is not the case anymore.<code>&gt; print is_integral(1/2 * $m);</code><code> </code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:primitive__Vector" onclick="swap_content('span:primitive__Vector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="primitive__Vector" onclick="swap_content('span:primitive__Vector'); return false;"><b>primitive</b></a>
			(v)  

			
				→ Vector&lt;Integer&gt;<div style="display: inline" id="span:primitive__Vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Scales the vector to a primitive integral vector.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Integer&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print primitive(new Vector(3,3/2,3,3));</code><code> 2 1 2 2</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:primitive__Matrix" onclick="swap_content('span:primitive__Matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="primitive__Matrix" onclick="swap_content('span:primitive__Matrix'); return false;"><b>primitive</b></a>
			(M)  

			
				→ Matrix&lt;Integer&gt;<div style="display: inline" id="span:primitive__Matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Scales each row of the matrix to a primitive integral vector.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Integer&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print primitive(new Matrix([1,3/2],[3,1]));</code><code> 2 3</code><code> 3 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:primitive_affine__Vector" onclick="swap_content('span:primitive_affine__Vector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="primitive_affine__Vector" onclick="swap_content('span:primitive_affine__Vector'); return false;"><b>primitive_affine</b></a>
			(v)  

			
				→ Vector&lt;Integer&gt;<div style="display: inline" id="span:primitive_affine__Vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Scales the affine part of a vector to a primitive integral vector.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Integer&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print primitive_affine(new Vector(1,3/2,1,1));</code><code> 1 3 2 2</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:primitive_affine__Matrix" onclick="swap_content('span:primitive_affine__Matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="primitive_affine__Matrix" onclick="swap_content('span:primitive_affine__Matrix'); return false;"><b>primitive_affine</b></a>
			(M)  

			
				→ Matrix&lt;Integer&gt;<div style="display: inline" id="span:primitive_affine__Matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Scales the affine part of each row of the matrix to a primitive integral vector.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Integer&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print primitive_affine(new Matrix([1,1,3/2],[1,3,1]));</code><code> 1 2 3</code><code> 1 3 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Linear_Algebra" onclick="swap_content('span:functions__Linear_Algebra'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Linear_Algebra" onclick="swap_content('span:functions__Linear_Algebra'); return false;">
                  <span class="category">Linear Algebra</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Linear_Algebra" class="foldit">
              <div class="descr">
                <p> These functions are for algebraic computations and constructions of special matrices.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:anti_diag__Vector" onclick="swap_content('span:anti_diag__Vector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="anti_diag__Vector" onclick="swap_content('span:anti_diag__Vector'); return false;"><b>anti_diag</b></a>
			(d)  

			
				→ SparseMatrix<div style="display: inline" id="span:anti_diag__Vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces a <a href="#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a> from its anti-diagonal.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">d</td><td><div class="descr"><div>the anti-diagonal entries</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:anti_diag__Matrix__Matrix" onclick="swap_content('span:anti_diag__Matrix__Matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="anti_diag__Matrix__Matrix" onclick="swap_content('span:anti_diag__Matrix__Matrix'); return false;"><b>anti_diag</b></a>
			(m1, m2)  

			
				→ SparseMatrix<div style="display: inline" id="span:anti_diag__Matrix__Matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a <em class="u">block anti-diagonal matrix</em> with blocks <em class="param">m1</em> and <em class="param">m2</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">m1</td><td/></tr><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">m2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:basis" onclick="swap_content('span:basis'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="basis" onclick="swap_content('span:basis'); return false;"><b>basis</b></a>
			(A)  

			
				→ Pair&lt;Set&lt;Int&gt;, Set&lt;Int&gt;&gt;<div style="display: inline" id="span:basis" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes subsets of the rows and columns of <em class="param">A</em> that form a basis for the linear space spanned by <em class="param">A</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Pair" onclick="unfold('span:Pair');">Pair&lt;Set&lt;Int&gt;, Set&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>The first set corresponds to the rows, the second to the columns.</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Here we have a nice matrix:<code>&gt; $M = new Matrix([[1,0,0,0],[2,0,0,0],[0,1,0,0],[0,0,1,0]]);</code> Let's print bases for the row and column space:<code>&gt; ($row,$col) = basis($M);</code><code>&gt; print $M-&gt;minor($row,All);</code><code> 1 0 0 0</code><code> 0 1 0 0</code><code> 0 0 1 0</code><code>&gt; print $M-&gt;minor(All,$col);</code><code> 1 0 0</code><code> 2 0 0</code><code> 0 1 0</code><code> 0 0 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:basis_affine" onclick="swap_content('span:basis_affine'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="basis_affine" onclick="swap_content('span:basis_affine'); return false;"><b>basis_affine</b></a>
			(A)  

			
				→ Pair&lt;Set&lt;Int&gt;, Set&lt;Int&gt;&gt;<div style="display: inline" id="span:basis_affine" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Does the same as <a href="#basis" onclick="unfold('span:basis');">basis</a> ignoring the first column of the matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Pair" onclick="unfold('span:Pair');">Pair&lt;Set&lt;Int&gt;, Set&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>The first set corresponds to the rows, the second to the columns.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:basis_cols" onclick="swap_content('span:basis_cols'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="basis_cols" onclick="swap_content('span:basis_cols'); return false;"><b>basis_cols</b></a>
			(A)  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:basis_cols" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes a subset of the columns of <em class="param">A</em> that form a basis for the linear space spanned by <em class="param">A</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Here we have a nice matrix:<code>&gt; $M = new Matrix([[1,0,0,0],[2,0,0,0],[0,1,0,0],[0,0,1,0]]);</code> Let's print a basis of its column space:<code>&gt; print $M-&gt;minor(All,basis_cols($M));</code><code> 1 0 0</code><code> 2 0 0</code><code> 0 1 0</code><code> 0 0 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:basis_rows" onclick="swap_content('span:basis_rows'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="basis_rows" onclick="swap_content('span:basis_rows'); return false;"><b>basis_rows</b></a>
			(A)  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:basis_rows" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes a subset of the rows of <em class="param">A</em> that form a basis for the linear space spanned by <em class="param">A</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Here we have a nice matrix:<code>&gt; $M = new Matrix([[1,0,0,0],[2,0,0,0],[0,1,0,0],[0,0,1,0]]);</code> Let's print a basis of its row space:<code>&gt; print $M-&gt;minor(basis_rows($M),All);</code><code> 1 0 0 0</code><code> 0 1 0 0</code><code> 0 0 1 0</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:det" onclick="swap_content('span:det'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="det" onclick="swap_content('span:det'); return false;"><b>det</b></a>
			(A)  

			
				→ Int<div style="display: inline" id="span:det" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">determinant</em> of a matrix using Gauss elimination.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td><div class="descr"><div>det(A)</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print det(unit_matrix(3));</code><code> 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:diag__Vector" onclick="swap_content('span:diag__Vector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="diag__Vector" onclick="swap_content('span:diag__Vector'); return false;"><b>diag</b></a>
			(d)  

			
				→ SparseMatrix<div style="display: inline" id="span:diag__Vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces a <a href="#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a> from its diagonal.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">d</td><td><div class="descr"><div>the diagonal entries</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $v = new Vector(1,2,3,4);</code><code>&gt; $D = diag($v);</code><code>&gt; print $D;</code><code> (4) (0 1)</code><code> (4) (1 2)</code><code> (4) (2 3)</code><code> (4) (3 4)</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:diag__Matrix__Matrix" onclick="swap_content('span:diag__Matrix__Matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="diag__Matrix__Matrix" onclick="swap_content('span:diag__Matrix__Matrix'); return false;"><b>diag</b></a>
			(m1, m2)  

			
				→ SparseMatrix<div style="display: inline" id="span:diag__Matrix__Matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a <em class="u">block diagonal matrix</em> with blocks <em class="param">m1</em> and <em class="param">m2</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">m1</td><td/></tr><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">m2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $m1 = new Matrix([1,2],[3,4]);</code><code>&gt; $m2 = new Matrix([1,0,2],[3,4,0]);</code><code>&gt; $D = diag($m1,$m2);</code><code>&gt; print $D;</code><code> (5) (0 1) (1 2)</code><code> (5) (0 3) (1 4)</code><code> 0 0 1 0 2</code><code> 0 0 3 4 0</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:equal_bases" onclick="swap_content('span:equal_bases'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="equal_bases" onclick="swap_content('span:equal_bases'); return false;"><b>equal_bases</b></a>
			(M1, M2)  

			
				→ Bool<div style="display: inline" id="span:equal_bases" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check whether both matrices are bases of the same linear subspace. 
 Note: It is assumed that they are *bases* of the row space.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M1</td><td/></tr><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M1 = new Matrix([1,1,0],[1,0,1],[0,0,1]);</code><code>&gt; $M2 = new Matrix([1,0,0],[0,1,0],[0,0,1]);</code><code>&gt; print equal_bases($M1,$M2);</code><code> 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:hadamard_product" onclick="swap_content('span:hadamard_product'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="hadamard_product" onclick="swap_content('span:hadamard_product'); return false;"><b>hadamard_product</b></a>
			(M1, M2)  

			
				→ Matrix<div style="display: inline" id="span:hadamard_product" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the Hadamard product of two matrices with same dimensions.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M1</td><td/></tr><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:hermite_normal_form" onclick="swap_content('span:hermite_normal_form'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="hermite_normal_form" onclick="swap_content('span:hermite_normal_form'); return false;"><b>hermite_normal_form</b></a>
			(M)  

			
				→ List<div style="display: inline" id="span:hermite_normal_form" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the (column) Hermite normal form of an integer matrix.
 Pivot entries are positive, entries to the left of a pivot are non-negative and strictly smaller than the pivot.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M</td><td><div class="descr"><div>Matrix to be transformed.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">reduced</td><td><div class="descr"><div>If this is false, entries to the left of a pivot are left untouched. True by default</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#List" onclick="unfold('span:List');">List</a></td><td><div class="descr"><div>(Matrix N, SparseMatrix R) such that M*R=N, R quadratic unimodular.</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following stores the result for a small matrix M in H and then prints both N and R:<code>&gt; $M = new Matrix&lt;Integer&gt;([1,2],[2,3]);</code><code>&gt; @H = hermite_normal_form($M);</code><code>&gt; print $H[0];</code><code> 1 0</code><code> 0 1</code><code>&gt; print $H[1];</code><code> -3 2</code><code> 2 -1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:householder_trafo" onclick="swap_content('span:householder_trafo'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="householder_trafo" onclick="swap_content('span:householder_trafo'); return false;"><b>householder_trafo</b></a>
			(b)  

			
				→ Vector<div style="display: inline" id="span:householder_trafo" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Householder tranformation of Vector b. Only the orthogonal matrix reflection H is returned.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">b</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:inv" onclick="swap_content('span:inv'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="inv" onclick="swap_content('span:inv'); return false;"><b>inv</b></a>
			(A)  

			
				→ Matrix<div style="display: inline" id="span:inv" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">inverse</em> <em class="param">A</em><sup>-1</sup> of an invertible matrix <em class="param">A</em> using Gauss elimination.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">We save the inverse of a small matrix M in the variable $iM:<code>&gt; $M = new Matrix([1,2],[3,4]);</code><code>&gt; $iM = inv($M);</code> To print the result, type this:<code>&gt; print $iM;</code><code> -2 1</code><code> 3/2 -1/2</code> As we can see, that is in fact the inverse of M.<code>&gt; print $M * $iM;</code><code> 1 0</code><code> 0 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:lineality_space" onclick="swap_content('span:lineality_space'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="lineality_space" onclick="swap_content('span:lineality_space'); return false;"><b>lineality_space</b></a>
			(A)  

			
				→ Matrix<div style="display: inline" id="span:lineality_space" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the <em class="u">lineality space</em> of a matrix <em class="param">A</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = new Matrix([1,1,0,0],[1,0,1,0]);</code><code>&gt; print lineality_space($M);</code><code> 0 0 0 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:lin_solve" onclick="swap_content('span:lin_solve'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="lin_solve" onclick="swap_content('span:lin_solve'); return false;"><b>lin_solve</b></a>
			(A, b)  

			
				→ Vector<div style="display: inline" id="span:lin_solve" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the solution of the system <em class="param">A</em>x = <em class="param">b</em></p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td><div class="descr"><div>must be invertible</div></div></td></tr><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">b</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">from the Wikipedia:<code>&gt; $A = new Matrix([3,2,-1],[2,-2,4],[-1,1/2,-1]);</code><code>&gt; $b = new Vector(1,-2,0);</code><code>&gt; print lin_solve($A,$b);</code><code> 1 -2 -2</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:moore_penrose_inverse" onclick="swap_content('span:moore_penrose_inverse'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="moore_penrose_inverse" onclick="swap_content('span:moore_penrose_inverse'); return false;"><b>moore_penrose_inverse</b></a>
			(M)  

			
				→ Matrix&lt;Float&gt;<div style="display: inline" id="span:moore_penrose_inverse" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Moore-Penrose Inverse of a Matrix</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Float&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:normalized" onclick="swap_content('span:normalized'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="normalized" onclick="swap_content('span:normalized'); return false;"><b>normalized</b></a>
			(A)  

			
				→ Matrix&lt;Float&gt;<div style="display: inline" id="span:normalized" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Normalize a matrix by dividing each row by its length (l2-norm).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Float&gt;</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Float&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $A = new Matrix&lt;Float&gt;([1.5,2],[2.5,2.5]);</code><code>&gt; print normalized($A);</code><code> 0.6 0.8</code><code> 0.7071067812 0.7071067812</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:null_space__Matrix" onclick="swap_content('span:null_space__Matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="null_space__Matrix" onclick="swap_content('span:null_space__Matrix'); return false;"><b>null_space</b></a>
			(A)  

			
				→ Matrix<div style="display: inline" id="span:null_space__Matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the <em class="u">null space</em> of a matrix <em class="param">A</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $A = new Matrix([1,2,0],[2,0,2]);</code><code>&gt; print null_space($A);</code><code> -1 1/2 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:null_space__Vector" onclick="swap_content('span:null_space__Vector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="null_space__Vector" onclick="swap_content('span:null_space__Vector'); return false;"><b>null_space</b></a>
			(b)  

			
				→ Matrix<div style="display: inline" id="span:null_space__Vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the <em class="u">null space</em> of a vector <em class="param">b</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">b</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $b = new Vector(1,2,3);</code> polytope &gt; print null_space($b);<code> -2 1 0</code><code> -3 0 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ones_vector" onclick="swap_content('span:ones_vector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ones_vector" onclick="swap_content('span:ones_vector'); return false;"><b>ones_vector</b></a>
			&lt;Element&gt;
		 
			(d)  

			
				→ Vector&lt;Element&gt;<div style="display: inline" id="span:ones_vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a vector with all elements equal to 1.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a>.</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>vector dimension.  If omitted, a vector of dimension 0 is created, which can adjust itself when involved in a block matrix operation.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Element&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To create the all-ones Int vector of dimension 3, do this:<code>&gt; $v = ones_vector&lt;Int&gt;(3);</code> You can print the result using the print statement:<code>&gt; print $v;</code><code> 1 1 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:pluecker" onclick="swap_content('span:pluecker'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="pluecker" onclick="swap_content('span:pluecker'); return false;"><b>pluecker</b></a>
			(V)  

			
				→ Vector<div style="display: inline" id="span:pluecker" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the vector of maximal minors of a matrix.
 WARNING: interpretation different in <a href="tropical.html#lifted_pluecker" onclick="unfold('span:lifted_pluecker');">tropical::lifted_pluecker</a></p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">V</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:project_to_orthogonal_complement" onclick="swap_content('span:project_to_orthogonal_complement'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="project_to_orthogonal_complement" onclick="swap_content('span:project_to_orthogonal_complement'); return false;"><b>project_to_orthogonal_complement</b></a>
			(points, orthogonal)  

			<div style="display: inline" id="span:project_to_orthogonal_complement" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Projects points into the <a href="#null_space__Matrix" onclick="unfold('span:null_space__Matrix');">orthogonal complement</a> of a subspace given via an orthogonal basis.
 The given points will be overwitten. </p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td><div class="descr"><div>will be changed to orthogonal ones </div></div></td></tr><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">orthogonal</td><td><div class="descr"><div>basis of the subspace</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:qr_decomp" onclick="swap_content('span:qr_decomp'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="qr_decomp" onclick="swap_content('span:qr_decomp'); return false;"><b>qr_decomp</b></a>
			(M)  

			
				→ Pair&lt;Matrix,Matrix&gt;<div style="display: inline" id="span:qr_decomp" class="foldit"><br/><div class="descr_func"><div class="descr"><p> QR decomposition of a Matrix <em class="param">M</em> with rows &gt; cols</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Float&gt;</a></td><td class="param">M</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Pair" onclick="unfold('span:Pair');">Pair&lt;Matrix,Matrix&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = new Matrix&lt;Float&gt;([23,4],[6,42]);</code><code>&gt; $qr = qr_decomp($M);</code><code>&gt; print $qr-&gt;first;</code><code> 0.9676172724 0.2524218971</code><code> 0.2524218971 -0.9676172724</code><code>&gt; print $qr-&gt;second;</code><code> 23.76972865 14.47218877</code><code> 0 -39.63023785</code><code>&gt; print $qr-&gt;first * $qr-&gt;second ;</code><code> 23 4</code><code> 6 42</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:rank" onclick="swap_content('span:rank'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="rank" onclick="swap_content('span:rank'); return false;"><b>rank</b></a>
			(A)  

			
				→ Int<div style="display: inline" id="span:rank" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">rank</em> of a matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:reduce" onclick="swap_content('span:reduce'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="reduce" onclick="swap_content('span:reduce'); return false;"><b>reduce</b></a>
			(A, b)  

			
				→ Vector<div style="display: inline" id="span:reduce" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Reduce a vector with a given matrix using Gauss elimination.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">b</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:singular_value_decomposition" onclick="swap_content('span:singular_value_decomposition'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="singular_value_decomposition" onclick="swap_content('span:singular_value_decomposition'); return false;"><b>singular_value_decomposition</b></a>
			(M)  

			
				→ SingularValueDecomposition<div style="display: inline" id="span:singular_value_decomposition" class="foldit"><br/><div class="descr_func"><div class="descr"><p> SVD decomposition of a Matrix. Computes the SVD of a matrix into a  diagonal Marix (S), orthogonal square Matrix (U), orthogonal square Matrix (V), such that U*S*V^T=M
 The first element of the output array is S, the second U and the thrid V. </p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Float&gt;</a></td><td class="param">M</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SingularValueDecomposition" onclick="unfold('span:SingularValueDecomposition');">SingularValueDecomposition</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = new Matrix&lt;Float&gt;([1,2],[23,24]);</code><code>&gt; $SVD = singular_value_decomposition($M);</code> The following prints the three matrices, seperated by newline characters.<code>&gt; print $SVD-&gt;left_companion ,"\n", $SVD-&gt;sigma ,"\n", $SVD-&gt;right_companion;</code><code> 0.06414638608 0.9979404998</code><code> 0.9979404998 -0.06414638608</code><code> </code><code> 33.31011547 0</code><code> 0 0.6604600341</code><code> </code><code> 0.6909846321 -0.7228694476</code><code> 0.7228694476 0.6909846321</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:smith_normal_form" onclick="swap_content('span:smith_normal_form'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="smith_normal_form" onclick="swap_content('span:smith_normal_form'); return false;"><b>smith_normal_form</b></a>
			(M, inv)  

			
				→ SmithNormalForm&lt;Integer&gt;<div style="display: inline" id="span:smith_normal_form" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the <em class="u">Smith normal form</em> of a given matrix <em class="param">M</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M</td><td><div class="descr"><div>must be of integer type</div></div></td></tr><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">inv</td><td><div class="descr"><div>optional, if true, compute the inverse of the companion matrices</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SmithNormalForm" onclick="unfold('span:SmithNormalForm');">SmithNormalForm&lt;Integer&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = new Matrix&lt;Integer&gt;([1,2],[23,24]);</code><code>&gt; $SNF = smith_normal_form($M);</code> The following line prints the three matrices seperated by newline characters.<code>&gt; print $SNF-&gt;left_companion ,"\n", $SNF-&gt;form ,"\n", $SNF-&gt;right_companion;</code><code> 1 0</code><code> 23 1</code><code> </code><code> 1 0</code><code> 0 -22</code><code> </code><code> 1 2</code><code> 0 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:totally_unimodular" onclick="swap_content('span:totally_unimodular'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="totally_unimodular" onclick="swap_content('span:totally_unimodular'); return false;"><b>totally_unimodular</b></a>
			(A)  

			
				→ Bool<div style="display: inline" id="span:totally_unimodular" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The matrix <em class="param">A</em> is totally unimodular if the determinant of each square submatrix equals 0, 1, or -1.
 This is the naive test (exponential in the size of the matrix).</p><p> For a better implementation try Matthias Walter's polymake extension at
  <a href="https://github.com/xammy/unimodularity-test/wiki/Polymake-Extension" onclick="unfold('span:');">https://github.com/xammy/unimodularity-test/wiki/Polymake-Extension</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = new Matrix&lt;Int&gt;([-1,-1,0,0,0,1],[1,0,-1,-1,0,0],[0,1,1,0,-1,0],[0,0,0,1,1,-1]);</code><code>&gt; print totally_unimodular($M);</code><code> 1</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:trace" onclick="swap_content('span:trace'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="trace" onclick="swap_content('span:trace'); return false;"><b>trace</b></a>
			(A)  

			
				→ Int<div style="display: inline" id="span:trace" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">trace</em> of a matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td><div class="descr"><div>trace(A)</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = new Matrix([1,2,3],[23,24,25],[0,0,1]);</code><code>&gt; print trace($M);</code><code> 26</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:transpose__IncidenceMatrix" onclick="swap_content('span:transpose__IncidenceMatrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="transpose__IncidenceMatrix" onclick="swap_content('span:transpose__IncidenceMatrix'); return false;"><b>transpose</b></a>
			(A)  

			
				→ IncidenceMatrix<div style="display: inline" id="span:transpose__IncidenceMatrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">transpose</em> <em class="param">A</em><sup>T</sup> of an incidence matrix <em class="param">A</em>, i.e., (a<sup>T</sup>)<sub>ij</sub> = a<sub>ji</sub>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:transpose__Matrix" onclick="swap_content('span:transpose__Matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="transpose__Matrix" onclick="swap_content('span:transpose__Matrix'); return false;"><b>transpose</b></a>
			(A)  

			
				→ Matrix<div style="display: inline" id="span:transpose__Matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">transpose</em> <em class="param">A</em><sup>T</sup> of a matrix <em class="param">A</em>, i.e., (a<sup>T</sup>)<sub>ij</sub> = a<sub>ji</sub>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = new Matrix([1,2,23],[23,22,21]);</code><code>&gt; $Mt = transpose($M);</code><code>&gt; print $Mt;</code><code> 1 23</code><code> 2 22</code><code> 23 21</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:unit_matrix" onclick="swap_content('span:unit_matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="unit_matrix" onclick="swap_content('span:unit_matrix'); return false;"><b>unit_matrix</b></a>
			&lt;Element&gt;
		 
			(d)  

			
				→ SparseMatrix&lt;Element&gt;<div style="display: inline" id="span:unit_matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a unit matrix of given dimension</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>dimension of the matrix</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix&lt;Element&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">The following stores the 3-dimensional unit matrix (ones on the diagonal and zeros otherwise) in a variable
 and prints it:<code>&gt; $M = unit_matrix(3);</code><code>&gt; print $M;</code><code> (3) (0 1)</code><code> (3) (1 1)</code><code> (3) (2 1) </code></div></li><li><div class="descr">The following stores the 3-dimensional unit matrix (ones on the diagonal and zeros otherwise) from type Int 
 in a variable and prints it:<code>&gt; $M = unit_matrix&lt;Int&gt;(3);</code><code>&gt; print $M-&gt;type-&gt;full_name;</code><code> SparseMatrix&lt;Int, Symmetric&gt;</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:unit_vector" onclick="swap_content('span:unit_vector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="unit_vector" onclick="swap_content('span:unit_vector'); return false;"><b>unit_vector</b></a>
			&lt;Element&gt;
		 
			(d, pos)  

			
				→ SparseVector&lt;Element&gt;<div style="display: inline" id="span:unit_vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a <a href="#SparseVector" onclick="unfold('span:SparseVector');">SparseVector</a> of given length <em class="param">d</em> with a one entry at position <em class="param">pos</em> and zeroes elsewhere.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension of the vector</div></div></td></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">pos</td><td><div class="descr"><div>the position of the 1</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SparseVector" onclick="unfold('span:SparseVector');">SparseVector&lt;Element&gt;</a></td><td><div class="descr"><div># @example The following stores a vector of dimension 5 with a single 1 (as a Rational) at position 2:
 &gt; $v = unit_vector(5,2);
 &gt; print $v;
 | (5) (2 1)</div></div></td></tr></table></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">The following stores a vector of dimension 5 with a single 1 (as a Int) at position 2:<code>&gt; $v = unit_vector&lt;Int&gt;(5,2);</code><code>&gt; print $v-&gt;type-&gt;full_name;</code><code> SparseVector&lt;Int&gt;</code></div></li><li><div class="descr">The following concatenates a unit vector of dimension 3 with a 1 at position 2 and a 
 unit vector of dimension 2 with a 1 at position 1:<code>&gt; $v = unit_vector(3,2) | unit_vector(2,1);</code><code>&gt; print $v;</code><code> (5) (2 1) (4 1)</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:zero_matrix" onclick="swap_content('span:zero_matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="zero_matrix" onclick="swap_content('span:zero_matrix'); return false;"><b>zero_matrix</b></a>
			&lt;Element&gt;
		 
			(i, j)  

			
				→ SparseMatrix&lt;Element&gt;<div style="display: inline" id="span:zero_matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a zero matrix of given dimensions</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td><div class="descr"><div>number of rows</div></div></td></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">j</td><td><div class="descr"><div>number of columns</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix&lt;Element&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">The following stores a 2x3 matrix with 0 as entries (from type Rational) in a variable and prints it:<code>&gt; $M = zero_matrix(2,3);</code><code>&gt; print $M;</code><code> 0 0 0 </code><code> 0 0 0 </code></div></li><li><div class="descr">The following stores a 2x3 matrix with 0 as entries from type Int in a variable and prints its type:<code>&gt; $M = zero_matrix&lt;Int&gt;(2,3);</code><code>&gt; print $M-&gt;type-&gt;full_name;</code><code> Matrix&lt;Int, NonSymmetric&gt;</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:zero_vector" onclick="swap_content('span:zero_vector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="zero_vector" onclick="swap_content('span:zero_vector'); return false;"><b>zero_vector</b></a>
			&lt;Element&gt;
		 
			(d)  

			
				→ Vector&lt;Element&gt;<div style="display: inline" id="span:zero_vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a vector with all elements equal to zero.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>vector dimension.  If omitted, a vector of dimension 0 is created,
               which can adjust itself when involved in a block matrix operation.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Element&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">The following stores a vector of dimension 5 with 0 as entries (from type Rational) in a variable and prints it:<code>&gt; $v = zero_vector(5);</code><code>&gt; print $v;</code><code> 0 0 0 0 0</code></div></li><li><div class="descr">The following stores a vector of dimension 5 with 0 as entries from type Int in a variable and prints its type:<code>&gt; $v = zero_vector&lt;Int&gt;(5);</code><code>&gt; print $v-&gt;type-&gt;full_name;</code><code> Vector&lt;Int&gt;</code></div></li><li><div class="descr">The following concatenates a vector of dimension 2 of ones and a vector of length 2 of zeros:<code>&gt; $v = ones_vector(2) | zero_vector(2);</code><code>&gt; print $v;</code><code> 1 1 0 0</code></div></li></ul></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Set_Operations" onclick="swap_content('span:functions__Set_Operations'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Set_Operations" onclick="swap_content('span:functions__Set_Operations'); return false;">
                  <span class="category">Set Operations</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Set_Operations" class="foldit">
              <div class="descr">
                <p> This category contains functions performing operations on <a href="#Set" onclick="unfold('span:Set');">Sets</a>.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:incl" onclick="swap_content('span:incl'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="incl" onclick="swap_content('span:incl'); return false;"><b>incl</b></a>
			(s1, s2)  

			
				→ Int<div style="display: inline" id="span:incl" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Analyze the inclusion relation of two sets.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">s1</td><td/></tr><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">s2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td><div class="descr"><div>0	if s1 = s2,
</div><div>				-1 	if s1 ⊂ s2,
</div><div>				1	if s1 ⊃ s2,
</div><div>				2	otherwise.</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $s1 = new Set(1,2,3);</code> $s2 = $s2 - 1;<code>&gt; print incl($s1,$s2);</code><code> 1</code><code>&gt; print incl($s2,$s1);</code><code> -1</code><code>&gt; print incl($s1,$s1);</code><code> 0</code><code>&gt; print incl($s2,$s1-$s2);</code><code> 2</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:range" onclick="swap_content('span:range'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="range" onclick="swap_content('span:range'); return false;"><b>range</b></a>
			(a, b)  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:range" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the <a href="#Set" onclick="unfold('span:Set');">Set</a> {<em class="param">a</em>, <em class="param">a</em>+1, ..., <em class="param">b</em>-1, <em class="param">b</em>} for <em class="param">a</em> ≤ <em class="param">b</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">a</td><td><div class="descr"><div>minimal element of the set</div></div></td></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">b</td><td><div class="descr"><div>maximal element of the set</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print range(23,27);</code><code> {23 24 25 26 27}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:scalar2set" onclick="swap_content('span:scalar2set'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="scalar2set" onclick="swap_content('span:scalar2set'); return false;"><b>scalar2set</b></a>
			(s)  

			
				→ Set&lt;SCALAR&gt;<div style="display: inline" id="span:scalar2set" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the singleton set {<em class="param">s</em>}.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">SCALAR</a></td><td class="param">s</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set&lt;SCALAR&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print scalar2set(23);</code><code> {23}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:select_subset" onclick="swap_content('span:select_subset'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="select_subset" onclick="swap_content('span:select_subset'); return false;"><b>select_subset</b></a>
			(s, indices)  

			
				→ Set<div style="display: inline" id="span:select_subset" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the subset of <em class="param">s</em> given by the <em class="param">indices</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">s</td><td/></tr><tr><td><a href="#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">indices</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $s = new Set&lt;Int&gt;(23,42,666,789);</code><code>&gt; $ind = new Set&lt;Int&gt;(0,2);</code><code>&gt; $su = select_subset($s,$ind);</code><code>&gt; print $su;</code><code> {23 666}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:sequence" onclick="swap_content('span:sequence'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="sequence" onclick="swap_content('span:sequence'); return false;"><b>sequence</b></a>
			(a, c)  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:sequence" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the <a href="#Set" onclick="unfold('span:Set');">Set</a> {<em class="param">a</em>, <em class="param">a</em>+1, ..., <em class="param">a</em>+<em class="param">c</em>-1}.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">a</td><td><div class="descr"><div>the smallest element</div></div></td></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">c</td><td><div class="descr"><div>the cardinality</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print sequence(23,6);</code><code> {23 24 25 26 27 28}</code></div></li></ul></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Utilities" onclick="swap_content('span:functions__Utilities'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Utilities" onclick="swap_content('span:functions__Utilities'); return false;">
                  <span class="category">Utilities</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Utilities" class="foldit">
              <div class="descr">
                <p> Miscellaneous functions.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:average" onclick="swap_content('span:average'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="average" onclick="swap_content('span:average'); return false;"><b>average</b></a>
			(array)  

			<div style="display: inline" id="span:average" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the average value of the array elements.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">ARRAY</a></td><td class="param">array</td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print average([1,2,3]);</code><code> 2</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:bounding_box" onclick="swap_content('span:bounding_box'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="bounding_box" onclick="swap_content('span:bounding_box'); return false;"><b>bounding_box</b></a>
			(m)  

			
				→ Matrix<div style="display: inline" id="span:bounding_box" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute a column-wise bounding box for the given Matrix <em class="param">m</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td><div class="descr"><div>a Matrix with two rows and <em class="param">m</em>-&gt;<a href="#Matrix__cols" onclick="unfold('span:Matrix__cols');">cols</a> columns; <a href="#Matrix__row" onclick="unfold('span:Matrix__row');">row</a>(0) contains lower bounds, <a href="#Matrix__row" onclick="unfold('span:Matrix__row');">row</a>(1) contains upper bounds.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:fibonacci" onclick="swap_content('span:fibonacci'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="fibonacci" onclick="swap_content('span:fibonacci'); return false;"><b>fibonacci</b></a>
			(m)  

			
				→ ARRAY<div style="display: inline" id="span:fibonacci" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the first <em class="param">m</em> Fibonacci numbers.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">ARRAY</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:histogram" onclick="swap_content('span:histogram'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="histogram" onclick="swap_content('span:histogram'); return false;"><b>histogram</b></a>
			(data)  

			
				→ Map&lt;Element, Int&gt;<div style="display: inline" id="span:histogram" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a histogram of an array: each different element value is mapped on the number of its occurences.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">ARRAY</a></td><td class="param">data</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Map" onclick="unfold('span:Map');">Map&lt;Element, Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $H = histogram([1,1,2,2,2,3,3,2,3,3,1,1,1,3,2,3]);</code><code>&gt; print $H;</code><code> {(1 5) (2 5) (3 6)}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:index_of" onclick="swap_content('span:index_of'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="index_of" onclick="swap_content('span:index_of'); return false;"><b>index_of</b></a>
			(array)  

			
				→ Map&lt;Array&lt;Set&lt;Int&gt;&gt;, Int&gt;<div style="display: inline" id="span:index_of" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Return a map indexing an array of sets</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td class="param">array</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Map" onclick="unfold('span:Map');">Map&lt;Array&lt;Set&lt;Int&gt;&gt;, Int&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $s1 = new Set(1,2,3);</code><code>&gt; $s2 = $s2 - 1;</code><code>&gt; $a = new Array&lt;Set&gt;($s1,$s2,$s1);</code><code>&gt; print index_of($a);</code><code> {({1 2 3} 2) ({2 3} 1)}</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:maximum" onclick="swap_content('span:maximum'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="maximum" onclick="swap_content('span:maximum'); return false;"><b>maximum</b></a>
			(array)  

			<div style="display: inline" id="span:maximum" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the maximal element of an array.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">ARRAY</a></td><td class="param">array</td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print maximum([1,2,3,4,5,6,7,23]);</code><code> 23</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:minimum" onclick="swap_content('span:minimum'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="minimum" onclick="swap_content('span:minimum'); return false;"><b>minimum</b></a>
			(array)  

			<div style="display: inline" id="span:minimum" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the minimal element of an array.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">ARRAY</a></td><td class="param">array</td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print minimum([23,42,666]);</code><code> 23</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:perturb_matrix" onclick="swap_content('span:perturb_matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="perturb_matrix" onclick="swap_content('span:perturb_matrix'); return false;"><b>perturb_matrix</b></a>
			(M, eps, not_hom)  

			
				→ Matrix<div style="display: inline" id="span:perturb_matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Perturb a given matrix <em class="param">M</em> by adding a random matrix.
 The random matrix consists of vectors that are uniformly distributed
 on the unit sphere. Optionally, the random matrix can be scaled by
 a factor <em class="param">eps</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M</td><td/></tr><tr><td><a href="#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">eps</td><td><div class="descr"><div>the factor by which the random matrix is multiplied
   default value: 1</div></div></td></tr><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">not_hom</td><td><div class="descr"><div>if set to 1, the first column will also be perturbed;
   otherwise the first columns of the input matrix <em class="param">M</em> and the perturbed one
   coincide (useful for working with homogenized coordinates);
   default value: 0 (homogen. coords)</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:rand_perm" onclick="swap_content('span:rand_perm'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="rand_perm" onclick="swap_content('span:rand_perm'); return false;"><b>rand_perm</b></a>
			(n)  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:rand_perm" class="foldit"><br/><div class="descr_func"><div class="descr"><p> gives a random permutation</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">Seed</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td><div class="descr"><div>random permutation</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:functions__Visualization" onclick="swap_content('span:functions__Visualization'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="functions__Visualization" onclick="swap_content('span:functions__Visualization'); return false;">
                  <span class="category">Visualization</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:functions__Visualization" class="foldit">
              <div class="descr">
                <p> These functions are for visualization.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:compose__Visual_Object" onclick="swap_content('span:compose__Visual_Object'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="compose__Visual_Object" onclick="swap_content('span:compose__Visual_Object'); return false;"><b>compose</b></a>
			(vis_obj ...)  

			
				→ Visual::Container<div style="display: inline" id="span:compose__Visual_Object" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a composite drawing of several objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to be drawn together</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">Title</td><td><div class="descr"><div>name of the whole drawing; per default the name of the first Object is taken.</div></div></td></tr><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Container" onclick="unfold('span:Visual_Container');">Visual::Container</a></td><td><div class="descr"><div>if called in void context, immediately starts the preferred rendering program.</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Draw a pretty 8-pointed star:<code>&gt; compose(cube(2)-&gt;VISUAL,cross(2,sqrt(2))-&gt;VISUAL,Title=&gt;"A pretty star.",VertexLabels=&gt;"hidden");</code></div></li></ul></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:compose__Visual_Container__Visual_Object" onclick="swap_content('span:compose__Visual_Container__Visual_Object'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="compose__Visual_Container__Visual_Object" onclick="swap_content('span:compose__Visual_Container__Visual_Object'); return false;"><b>compose</b></a>
			(vis_container, vis_obj ...)  

			
				→ Visual::Container<div style="display: inline" id="span:compose__Visual_Container__Visual_Object" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Add new objects to a composite drawing.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Visual_Container" onclick="unfold('span:Visual_Container');">Visual::Container</a></td><td class="param">vis_container</td><td><div class="descr"><div>drawing produced by some visualization function</div></div></td></tr><tr><td><a href="#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to be added</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">Title</td><td><div class="descr"><div>new name for the drawing</div></div></td></tr><tr><td><a href="#any__INST1" onclick="unfold('span:any__INST1');">any</a></td><td class="param">decorations</td><td><div class="descr"><div>to be applied to all components as default values.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Container" onclick="unfold('span:Visual_Container');">Visual::Container</a></td><td><div class="descr"><div>if called in void context, immediately starts the preferred rendering program.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:geomview" onclick="swap_content('span:geomview'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="geomview" onclick="swap_content('span:geomview'); return false;"><b>geomview</b></a>
			(vis_obj ...)  

			<div style="display: inline" id="span:geomview" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Run <a href="http://polymake.org//external_software#geomview" onclick="unfold('span:geomview');">geomview</a> to display given visual objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to display</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"
  Store the objects in a <code>gcl</code> (geomview control language) file instead of starting the interactive GUI.
  The geometric data in <code>OFF</code> format is embedded in the Lisp-style commands, but can be easily extracted
  using any text editor, if needed.</div><div>  The <code>.gcl</code> suffix is automatically added to the file name.</div><div>  Specify <em class="param">AUTO</em> if you want the filename be automatically derived
  from the drawing title.</div><div>  You can also use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:postscript" onclick="swap_content('span:postscript'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="postscript" onclick="swap_content('span:postscript'); return false;"><b>postscript</b></a>
			(vis_obj ...)  

			<div style="display: inline" id="span:postscript" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a Postscript (tm) drawing with the given visual objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to draw</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"
  Store the drawing in a file without starting the viewer.
  The <code>.ps</code> suffix is automatically added to the file name.</div><div>  Specify <em class="param">AUTO</em> if you want the filename be automatically derived
  from the drawing title.</div><div>  You can also use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:povray" onclick="swap_content('span:povray'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="povray" onclick="swap_content('span:povray'); return false;"><b>povray</b></a>
			(vis_obj ...)  

			<div style="display: inline" id="span:povray" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Run <a href="http://polymake.org//external_software#povray" onclick="unfold('span:povray');">POVRAY</a> to display given visual objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to display</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"
  Store the object description in a POVRAY source file without actual rendering.
  The <code>.pov</code> suffix is automatically added to the file name.</div><div>  Specify <em class="param">AUTO</em> if you want the filename be automatically derived
  from the drawing title.</div><div>  You can also use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:sketch" onclick="swap_content('span:sketch'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="sketch" onclick="swap_content('span:sketch'); return false;"><b>sketch</b></a>
			(vis_obj ...)  

			<div style="display: inline" id="span:sketch" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a Sketch input file with given visual objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to display</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"</div><div>  For the file name you can use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.  Real file names are automatically completed with the <code>.sk</code> suffix if needed.</div><div>  An automatically generated file name is displayed in the verbose mode.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:static" onclick="swap_content('span:static'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="static" onclick="swap_content('span:static'); return false;"><b>static</b></a>
			(vis_obj)  

			
				→ Visual::Object<div style="display: inline" id="span:static" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Suppress creation of dynamic (interactive) scenes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td class="param">vis_obj</td><td><div class="descr"><div>drawing, e.g. created by <code>VISUAL_GRAPH</code> or <code>SCHLEGEL</code>.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td><div class="descr"><div>if called in void context, immediately starts the preferred rendering program.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:threejs" onclick="swap_content('span:threejs'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="threejs" onclick="swap_content('span:threejs'); return false;"><b>threejs</b></a>
			(vis_obj)  

			<div style="display: inline" id="span:threejs" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce an html file with given visual objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td class="param">vis_obj</td><td><div class="descr"><div>object to display</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"</div><div>  For the file name you can use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.  Real file names are automatically completed with the <code>.html</code> suffix if needed.</div><div>  An automatically generated file name is displayed in the verbose mode.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:tikz" onclick="swap_content('span:tikz'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="tikz" onclick="swap_content('span:tikz'); return false;"><b>tikz</b></a>
			(vis_obj)  

			<div style="display: inline" id="span:tikz" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a TikZ file with given visual objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td class="param">vis_obj</td><td><div class="descr"><div>object to display</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"</div><div>  For the file name you can use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.  Real file names are automatically completed with the <code>.tikz</code> suffix if needed.</div><div>  An automatically generated file name is displayed in the verbose mode.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level3">
    <h2>Property Types</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:property_types__Algebraic_Types" onclick="swap_content('span:property_types__Algebraic_Types'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="property_types__Algebraic_Types" onclick="swap_content('span:property_types__Algebraic_Types'); return false;">
                  <span class="category">Algebraic Types</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:property_types__Algebraic_Types" class="foldit">
              <div class="descr">
                <p> This category contains all "algebraic" types, such as matrices, vectors, polynomials, rings, ...</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:all_rows_or_cols" onclick="swap_content('span:all_rows_or_cols'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="all_rows_or_cols" onclick="swap_content('span:all_rows_or_cols'); return false;">
                        <b>all_rows_or_cols</b>
                      </a>
                      <div style="display: inline" id="span:all_rows_or_cols" class="foldit">
                        <div class="descr">
                          <p> Use the keyword "All" for all rows or columns, e.g. when constructing a <a href="#Matrix__minor" onclick="unfold('span:Matrix__minor');">minor</a>.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Matrix" onclick="swap_content('span:Matrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Matrix" onclick="swap_content('span:Matrix'); return false;"><b>Matrix</b></a>
			&lt;Element, Sym&gt;
		<div style="display: inline" id="span:Matrix" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr><tr><td class="param">Sym</td><td><div class="descr"><div>default: <a href="#NonSymmetric" onclick="unfold('span:NonSymmetric');">NonSymmetric</a></div></div></td></tr></table></div><h4>User Methods of Matrix</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Matrix__anti_diagonal" onclick="swap_content('span:Matrix__anti_diagonal'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matrix__anti_diagonal" onclick="swap_content('span:Matrix__anti_diagonal'); return false;"><b>anti_diagonal</b></a>
			(i)  

			
				→ Vector&lt;Element&gt;<div style="display: inline" id="span:Matrix__anti_diagonal" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="u">anti-diagonal</em> of the matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td><div class="descr"><div><em class="param">i</em>=0: the main anti_diagonal (optional)
</div><div>				<em class="param">i</em>&gt;0: the <em class="param">i</em>-th anti_diagonal <em class="u">below</em> the main anti_diagonal
</div><div>				<em class="param">i</em>&lt;0: the <em class="param">i</em>-th anti_diagonal <em class="u">above</em> the main anti_diagonal</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Element&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matrix__col" onclick="swap_content('span:Matrix__col'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matrix__col" onclick="swap_content('span:Matrix__col'); return false;"><b>col</b></a>
			(i)  

			
				→ Vector&lt;Element&gt;<div style="display: inline" id="span:Matrix__col" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="param">i</em>-th column.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Element&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matrix__cols" onclick="swap_content('span:Matrix__cols'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matrix__cols" onclick="swap_content('span:Matrix__cols'); return false;"><b>cols</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:Matrix__cols" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the number of columns.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matrix__diagonal" onclick="swap_content('span:Matrix__diagonal'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matrix__diagonal" onclick="swap_content('span:Matrix__diagonal'); return false;"><b>diagonal</b></a>
			(i)  

			
				→ Vector&lt;Element&gt;<div style="display: inline" id="span:Matrix__diagonal" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="u">diagonal</em> of the matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td><div class="descr"><div><em class="param">i</em>=0: the main diagonal (optional)
</div><div>				<em class="param">i</em>&gt;0: the <em class="param">i</em>-th diagonal <em class="u">below</em> the main diagonal
</div><div>				<em class="param">i</em>&lt;0: the <em class="param">i</em>-th diagonal <em class="u">above</em> the main diagonal</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Element&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matrix__div_exact" onclick="swap_content('span:Matrix__div_exact'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matrix__div_exact" onclick="swap_content('span:Matrix__div_exact'); return false;"><b>div_exact</b></a>
			(a)  

			
				→ Matrix<div style="display: inline" id="span:Matrix__div_exact" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Divides every entry by <em class="param">a</em> (assuming that every entry is divisible by <em class="param">a</em>).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">a</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matrix__elem" onclick="swap_content('span:Matrix__elem'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matrix__elem" onclick="swap_content('span:Matrix__elem'); return false;"><b>elem</b></a>
			(r, c)  

			
				→ Element<div style="display: inline" id="span:Matrix__elem" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns an element of the matrix.
 The return value is an `lvalue', that is, it can be modified if the matrix object is mutable.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">r</td><td><div class="descr"><div>the row index</div></div></td></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">c</td><td><div class="descr"><div>the column index</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Element</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matrix__minor" onclick="swap_content('span:Matrix__minor'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matrix__minor" onclick="swap_content('span:Matrix__minor'); return false;"><b>minor</b></a>
			(r, c)  

			
				→ Matrix<div style="display: inline" id="span:Matrix__minor" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a <em class="u">minor</em> of the matrix containing the rows in <em class="param">r</em> and the columns in <em class="param">c</em>. You can pass <a href="#all_rows_or_cols" onclick="unfold('span:all_rows_or_cols');">All</a> if you want all rows or columns and ~ for the complement of a set. E.g. 
</p><blockquote><div>$A-&gt;minor(All, ~[0]);</div></blockquote><p> will give you the minor of a matrix containing all rows and all but the 0-th column.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">r</td><td><div class="descr"><div>the rows</div></div></td></tr><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">c</td><td><div class="descr"><div>the columns</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matrix__row" onclick="swap_content('span:Matrix__row'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matrix__row" onclick="swap_content('span:Matrix__row'); return false;"><b>row</b></a>
			(i)  

			
				→ Vector&lt;Element&gt;<div style="display: inline" id="span:Matrix__row" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="param">i</em>-th row.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Element&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matrix__rows" onclick="swap_content('span:Matrix__rows'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matrix__rows" onclick="swap_content('span:Matrix__rows'); return false;"><b>rows</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:Matrix__rows" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the number of rows.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Monomial" onclick="swap_content('span:Monomial'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Monomial" onclick="swap_content('span:Monomial'); return false;"><b>Monomial</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:Monomial" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#Int" onclick="unfold('span:Int');">Int</a></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Plucker" onclick="swap_content('span:Plucker'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Plucker" onclick="swap_content('span:Plucker'); return false;"><b>Plucker</b></a>
			&lt;Scalar&gt;
		<div style="display: inline" id="span:Plucker" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table></div><h4>User Methods of Plucker</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Plucker__coordinates" onclick="swap_content('span:Plucker__coordinates'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Plucker__coordinates" onclick="swap_content('span:Plucker__coordinates'); return false;"><b>coordinates</b></a>
			()  

			<div style="display: inline" id="span:Plucker__coordinates" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Plucker__permuted" onclick="swap_content('span:Plucker__permuted'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Plucker__permuted" onclick="swap_content('span:Plucker__permuted'); return false;"><b>permuted</b></a>
			()  

			<div style="display: inline" id="span:Plucker__permuted" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Polynomial" onclick="swap_content('span:Polynomial'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Polynomial" onclick="swap_content('span:Polynomial'); return false;"><b>Polynomial</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:Polynomial" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#Int" onclick="unfold('span:Int');">Int</a></div></div></td></tr></table></div><h4>User Methods of Polynomial</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polynomial__coefficients_as_vector" onclick="swap_content('span:Polynomial__coefficients_as_vector'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polynomial__coefficients_as_vector" onclick="swap_content('span:Polynomial__coefficients_as_vector'); return false;"><b>coefficients_as_vector</b></a>
			()  

			<div style="display: inline" id="span:Polynomial__coefficients_as_vector" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polynomial__get_ring" onclick="swap_content('span:Polynomial__get_ring'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polynomial__get_ring" onclick="swap_content('span:Polynomial__get_ring'); return false;"><b>get_ring</b></a>
			()  

			<div style="display: inline" id="span:Polynomial__get_ring" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polynomial__lc" onclick="swap_content('span:Polynomial__lc'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polynomial__lc" onclick="swap_content('span:Polynomial__lc'); return false;"><b>lc</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:Polynomial__lc" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">leading coefficient</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polynomial__lm_exp" onclick="swap_content('span:Polynomial__lm_exp'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polynomial__lm_exp" onclick="swap_content('span:Polynomial__lm_exp'); return false;"><b>lm_exp</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:Polynomial__lm_exp" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The exponent of the leading monomial.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polynomial__monomials_as_matrix" onclick="swap_content('span:Polynomial__monomials_as_matrix'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polynomial__monomials_as_matrix" onclick="swap_content('span:Polynomial__monomials_as_matrix'); return false;"><b>monomials_as_matrix</b></a>
			()  

			<div style="display: inline" id="span:Polynomial__monomials_as_matrix" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polynomial__print_ordered" onclick="swap_content('span:Polynomial__print_ordered'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polynomial__print_ordered" onclick="swap_content('span:Polynomial__print_ordered'); return false;"><b>print_ordered</b></a>
			()  

			<div style="display: inline" id="span:Polynomial__print_ordered" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polynomial__trivial" onclick="swap_content('span:Polynomial__trivial'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polynomial__trivial" onclick="swap_content('span:Polynomial__trivial'); return false;"><b>trivial</b></a>
			()  

			<div style="display: inline" id="span:Polynomial__trivial" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:PuiseuxFraction" onclick="swap_content('span:PuiseuxFraction'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="PuiseuxFraction" onclick="swap_content('span:PuiseuxFraction'); return false;"><b>PuiseuxFraction</b></a>
			&lt;MinMax, Coefficient, Exponent&gt;
		<div style="display: inline" id="span:PuiseuxFraction" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">MinMax</td><td><div class="descr"><div>type of tropical addition: either <a href="#Min" onclick="unfold('span:Min');">Min</a> or <a href="#Max" onclick="unfold('span:Max');">Max</a></div></div></td></tr><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table></div><h4>User Methods of PuiseuxFraction</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PuiseuxFraction__evaluate__Matrix__Coefficient__Int" onclick="swap_content('span:PuiseuxFraction__evaluate__Matrix__Coefficient__Int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PuiseuxFraction__evaluate__Matrix__Coefficient__Int" onclick="swap_content('span:PuiseuxFraction__evaluate__Matrix__Coefficient__Int'); return false;"><b>evaluate</b></a>
			(m, x, exp)  

			
				→ Matrix&lt;Coefficient&gt;<div style="display: inline" id="span:PuiseuxFraction__evaluate__Matrix__Coefficient__Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Evaluate all <a href="#PuiseuxFraction" onclick="unfold('span:PuiseuxFraction');">PuiseuxFraction</a>s in a <a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a> at a <a href="#Rational" onclick="unfold('span:Rational');">Rational</a> number (<em class="param">x^exp</em>).
 Let <em class="param">explcm</em> be the lcm of the denominators of all exponents.
 If there are no denominators or <em class="param">explcm</em> divides <em class="param">exp</em>, then the evaluation
 is computed exactly.
 Otherwise, some rational number close to the root <em class="param">(x^exp)^-explcm</em> will be chosen
 via an intermediate floating point number.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">m</td><td/></tr><tr><td><a href="#" onclick="unfold('span:');">Coefficient</a></td><td class="param">x</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">exp</td><td><div class="descr"><div>(default: 1)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Coefficient&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PuiseuxFraction__evaluate__Vector__Coefficient__Int" onclick="swap_content('span:PuiseuxFraction__evaluate__Vector__Coefficient__Int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PuiseuxFraction__evaluate__Vector__Coefficient__Int" onclick="swap_content('span:PuiseuxFraction__evaluate__Vector__Coefficient__Int'); return false;"><b>evaluate</b></a>
			(v, x, exp)  

			
				→ Vector&lt;Coefficient&gt;<div style="display: inline" id="span:PuiseuxFraction__evaluate__Vector__Coefficient__Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Evaluate all <a href="#PuiseuxFraction" onclick="unfold('span:PuiseuxFraction');">PuiseuxFraction</a>s in a <a href="#Vector" onclick="unfold('span:Vector');">Vector</a> at a <a href="#Rational" onclick="unfold('span:Rational');">Rational</a> number (<em class="param">x^exp</em>).
 Let <em class="param">explcm</em> be the lcm of the denominators of all exponents.
 If there are no denominators or <em class="param">explcm</em> divides <em class="param">exp</em>, then the evaluation
 is computed exactly.
 Otherwise, some rational number close to the root <em class="param">(x^exp)^-explcm</em> will be chosen
 via an intermediate floating point number.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td/></tr><tr><td><a href="#" onclick="unfold('span:');">Coefficient</a></td><td class="param">x</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">exp</td><td><div class="descr"><div>(default: 1)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Coefficient&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PuiseuxFraction__evaluate__Coefficient__Int" onclick="swap_content('span:PuiseuxFraction__evaluate__Coefficient__Int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PuiseuxFraction__evaluate__Coefficient__Int" onclick="swap_content('span:PuiseuxFraction__evaluate__Coefficient__Int'); return false;"><b>evaluate</b></a>
			(x, exp)  

			
				→ Coefficient<div style="display: inline" id="span:PuiseuxFraction__evaluate__Coefficient__Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Evaluate a <a href="#PuiseuxFraction" onclick="unfold('span:PuiseuxFraction');">PuiseuxFraction</a> at a <a href="#Rational" onclick="unfold('span:Rational');">Rational</a> number (<em class="param">x^exp</em>).
 Let <em class="param">explcm</em> be the lcm of the denominators of all exponents.
 If there are no denominators or <em class="param">explcm</em> divides <em class="param">exp</em>, then the evaluation
 is computed exactly.
 Otherwise, some rational number close to the root <em class="param">(x^exp)^-explcm</em> will be chosen
 via an intermediate floating point number.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Coefficient</a></td><td class="param">x</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">exp</td><td><div class="descr"><div>(default: 1)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Coefficient</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PuiseuxFraction__evaluate_float__Float" onclick="swap_content('span:PuiseuxFraction__evaluate_float__Float'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PuiseuxFraction__evaluate_float__Float" onclick="swap_content('span:PuiseuxFraction__evaluate_float__Float'); return false;"><b>evaluate_float</b></a>
			(x)  

			
				→ Float<div style="display: inline" id="span:PuiseuxFraction__evaluate_float__Float" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Approximate evaluation at <em class="param">x</em></p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">x</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Float" onclick="unfold('span:Float');">Float</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PuiseuxFraction__evaluate_float__Matrix__Float" onclick="swap_content('span:PuiseuxFraction__evaluate_float__Matrix__Float'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PuiseuxFraction__evaluate_float__Matrix__Float" onclick="swap_content('span:PuiseuxFraction__evaluate_float__Matrix__Float'); return false;"><b>evaluate_float</b></a>
			(m, x)  

			
				→ Float<div style="display: inline" id="span:PuiseuxFraction__evaluate_float__Matrix__Float" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Approximate evaluation of a <a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a> at <em class="param">x</em></p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">m</td><td/></tr><tr><td><a href="#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">x</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Float" onclick="unfold('span:Float');">Float</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PuiseuxFraction__evaluate_float__Vector__Float" onclick="swap_content('span:PuiseuxFraction__evaluate_float__Vector__Float'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PuiseuxFraction__evaluate_float__Vector__Float" onclick="swap_content('span:PuiseuxFraction__evaluate_float__Vector__Float'); return false;"><b>evaluate_float</b></a>
			(v, x)  

			
				→ Float<div style="display: inline" id="span:PuiseuxFraction__evaluate_float__Vector__Float" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Approximate evaluation of a <a href="#Vector" onclick="unfold('span:Vector');">Vector</a> at <em class="param">x</em></p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td/></tr><tr><td><a href="#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">x</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Float" onclick="unfold('span:Float');">Float</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PuiseuxFraction__val" onclick="swap_content('span:PuiseuxFraction__val'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PuiseuxFraction__val" onclick="swap_content('span:PuiseuxFraction__val'); return false;"><b>val</b></a>
			()  

			
				→ TropicalNumber&lt;MinMax&gt;<div style="display: inline" id="span:PuiseuxFraction__val" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">valuation</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#TropicalNumber" onclick="unfold('span:TropicalNumber');">TropicalNumber&lt;MinMax&gt;</a></td><td/></tr></table></div></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:RationalFunction" onclick="swap_content('span:RationalFunction'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="RationalFunction" onclick="swap_content('span:RationalFunction'); return false;"><b>RationalFunction</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:RationalFunction" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#Int" onclick="unfold('span:Int');">Int</a></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Ring" onclick="swap_content('span:Ring'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Ring" onclick="swap_content('span:Ring'); return false;"><b>Ring</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:Ring" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#Int" onclick="unfold('span:Int');">Int</a></div></div></td></tr></table></div><h4>User Methods of Ring</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Ring__names" onclick="swap_content('span:Ring__names'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Ring__names" onclick="swap_content('span:Ring__names'); return false;"><b>names</b></a>
			()  

			<div style="display: inline" id="span:Ring__names" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Ring__n_vars" onclick="swap_content('span:Ring__n_vars'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Ring__n_vars" onclick="swap_content('span:Ring__n_vars'); return false;"><b>n_vars</b></a>
			()  

			<div style="display: inline" id="span:Ring__n_vars" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Ring__variable" onclick="swap_content('span:Ring__variable'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Ring__variable" onclick="swap_content('span:Ring__variable'); return false;"><b>variable</b></a>
			()  

			<div style="display: inline" id="span:Ring__variable" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Ring__variables" onclick="swap_content('span:Ring__variables'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Ring__variables" onclick="swap_content('span:Ring__variables'); return false;"><b>variables</b></a>
			()  

			<div style="display: inline" id="span:Ring__variables" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:SparseMatrix" onclick="swap_content('span:SparseMatrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="SparseMatrix" onclick="swap_content('span:SparseMatrix'); return false;"><b>SparseMatrix</b></a>
			&lt;Element, Sym&gt;
		<div style="display: inline" id="span:SparseMatrix" class="foldit"><div class="descr"><p> A SparseMatrix is a two-dimensional associative array with row and column indices as keys; elements equal to the default value (ElementType(), which is 0 for most numerical types) are not stored, but implicitly encoded by the gaps in the key set. Each row and column is organized as an AVL-tree.</p><p> Use <a href="#dense__Vector" onclick="unfold('span:dense__Vector');">dense</a> to convert this into its dense form.</p><p> You can create a new SparseMatrix by entering its entries row by row, as a list of <a href="#SparseVector" onclick="unfold('span:SparseVector');">SparseVectors</a> e.g.:
</p><blockquote><div>$A = new SparseMatrix&lt;Int&gt;(&lt;&lt; '.');</div><div>(5) (1 1)</div><div>(5) (4 2)</div><div>(5)</div><div>(5) (0 3) (1 -1)</div><div>.</div></blockquote></div><b>derived from: </b><a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a><br/><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr><tr><td class="param">Sym</td><td><div class="descr"><div>one of <a href="#Symmetric" onclick="unfold('span:Symmetric');">Symmetric</a> or <a href="#NonSymmetric" onclick="unfold('span:NonSymmetric');">NonSymmetric</a>, default: <a href="#NonSymmetric" onclick="unfold('span:NonSymmetric');">NonSymmetric</a></div></div></td></tr></table></div><h4>User Methods of SparseMatrix</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SparseMatrix__resize" onclick="swap_content('span:SparseMatrix__resize'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SparseMatrix__resize" onclick="swap_content('span:SparseMatrix__resize'); return false;"><b>resize</b></a>
			()  

			<div style="display: inline" id="span:SparseMatrix__resize" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Resize the matrix</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:SparseMatrix__squeeze" onclick="swap_content('span:SparseMatrix__squeeze'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SparseMatrix__squeeze" onclick="swap_content('span:SparseMatrix__squeeze'); return false;"><b>squeeze</b></a>
			()  

			<div style="display: inline" id="span:SparseMatrix__squeeze" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Removes empty rows and columns.
 The remaining rows and columns are renumbered without gaps.</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:SparseMatrix__squeeze_cols" onclick="swap_content('span:SparseMatrix__squeeze_cols'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SparseMatrix__squeeze_cols" onclick="swap_content('span:SparseMatrix__squeeze_cols'); return false;"><b>squeeze_cols</b></a>
			()  

			<div style="display: inline" id="span:SparseMatrix__squeeze_cols" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Removes empty columns.
 The remaining columns are renumbered without gaps.</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:SparseMatrix__squeeze_rows" onclick="swap_content('span:SparseMatrix__squeeze_rows'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SparseMatrix__squeeze_rows" onclick="swap_content('span:SparseMatrix__squeeze_rows'); return false;"><b>squeeze_rows</b></a>
			()  

			<div style="display: inline" id="span:SparseMatrix__squeeze_rows" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Removes empty rows.
 The remaining rows are renumbered without gaps.</p></div></div><div class="level3"/></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:SparseVector" onclick="swap_content('span:SparseVector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="SparseVector" onclick="swap_content('span:SparseVector'); return false;"><b>SparseVector</b></a>
			&lt;Element&gt;
		<div style="display: inline" id="span:SparseVector" class="foldit"><div class="descr"><p> A SparseVector is an associative container with element indices (coordinates) as keys; elements equal to the default value (ElementType(), which is 0 for most numerical types) are not stored, but implicitly encoded by the gaps in the key set. It is based on an AVL tree.</p><p> The printable representation of a SparseVector looks like a sequence (l) (p<sub>1</sub> v<sub>1</sub>) ... (p<sub>k</sub> v<sub>k</sub>),
 where l is the dimension of the vector and each pair (p<sub>i</sub> v<sub>i</sub>) denotes an entry with value
 v<sub>i</sub> at position p<sub>i</sub>. All other entries are zero.</p><p> Use <a href="#dense__Vector" onclick="unfold('span:dense__Vector');">dense</a> to convert this into its dense form.</p><p> You can create a new SparseVector by entering its printable encoding as described above, e.g.:
</p><blockquote><div>$v = new SparseVector&lt;Int&gt;(&lt;&lt; '.');</div><div>(6) (1 1) (2 2)</div><div>.</div></blockquote></div><b>derived from: </b><a href="#Vector" onclick="unfold('span:Vector');">Vector</a><br/><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr></table></div><h4>User Methods of SparseVector</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SparseVector__size" onclick="swap_content('span:SparseVector__size'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SparseVector__size" onclick="swap_content('span:SparseVector__size'); return false;"><b>size</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:SparseVector__size" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The number of non-zero entries.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Term" onclick="swap_content('span:Term'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Term" onclick="swap_content('span:Term'); return false;"><b>Term</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:Term" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#Int" onclick="unfold('span:Int');">Int</a></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:UniMonomial" onclick="swap_content('span:UniMonomial'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="UniMonomial" onclick="swap_content('span:UniMonomial'); return false;"><b>UniMonomial</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:UniMonomial" class="foldit"><div class="descr"><p> A class for <em class="u">univariate</em> monomials.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#Int" onclick="unfold('span:Int');">Int</a></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:UniPolynomial" onclick="swap_content('span:UniPolynomial'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="UniPolynomial" onclick="swap_content('span:UniPolynomial'); return false;"><b>UniPolynomial</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:UniPolynomial" class="foldit"><div class="descr"><p> A class for <em class="u">univariate</em> polynomials.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#Int" onclick="unfold('span:Int');">Int</a></div></div></td></tr></table></div><h4>User Methods of UniPolynomial</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:UniPolynomial__deg" onclick="swap_content('span:UniPolynomial__deg'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="UniPolynomial__deg" onclick="swap_content('span:UniPolynomial__deg'); return false;"><b>deg</b></a>
			()  

			<div style="display: inline" id="span:UniPolynomial__deg" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:UniPolynomial__evaluate" onclick="swap_content('span:UniPolynomial__evaluate'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="UniPolynomial__evaluate" onclick="swap_content('span:UniPolynomial__evaluate'); return false;"><b>evaluate</b></a>
			()  

			<div style="display: inline" id="span:UniPolynomial__evaluate" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:UniPolynomial__evaluate_float" onclick="swap_content('span:UniPolynomial__evaluate_float'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="UniPolynomial__evaluate_float" onclick="swap_content('span:UniPolynomial__evaluate_float'); return false;"><b>evaluate_float</b></a>
			()  

			<div style="display: inline" id="span:UniPolynomial__evaluate_float" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:UniPolynomial__lc" onclick="swap_content('span:UniPolynomial__lc'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="UniPolynomial__lc" onclick="swap_content('span:UniPolynomial__lc'); return false;"><b>lc</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:UniPolynomial__lc" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">leading coefficient</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:UniPolynomial__lower_deg" onclick="swap_content('span:UniPolynomial__lower_deg'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="UniPolynomial__lower_deg" onclick="swap_content('span:UniPolynomial__lower_deg'); return false;"><b>lower_deg</b></a>
			()  

			<div style="display: inline" id="span:UniPolynomial__lower_deg" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:UniPolynomial__print_ordered" onclick="swap_content('span:UniPolynomial__print_ordered'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="UniPolynomial__print_ordered" onclick="swap_content('span:UniPolynomial__print_ordered'); return false;"><b>print_ordered</b></a>
			()  

			<div style="display: inline" id="span:UniPolynomial__print_ordered" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:UniTerm" onclick="swap_content('span:UniTerm'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="UniTerm" onclick="swap_content('span:UniTerm'); return false;"><b>UniTerm</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:UniTerm" class="foldit"><div class="descr"><p> A class for <em class="u">univariate</em> terms.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#Int" onclick="unfold('span:Int');">Int</a></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Vector" onclick="swap_content('span:Vector'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Vector" onclick="swap_content('span:Vector'); return false;"><b>Vector</b></a>
			&lt;Element&gt;
		<div style="display: inline" id="span:Vector" class="foldit"><div class="descr"><p> A type for vectors with entries of type <em class="param">Element</em>.</p><p> You can perform algebraic operations such as addition or scalar multiplication.</p><p> You can create a new Vector by entering its elements, e.g.:
</p><blockquote><div>$v = new Vector&lt;Int&gt;(1,2,3);</div></blockquote><p> or
</p><blockquote><div>$v = new Vector&lt;Int&gt;([1,2,3]);</div></blockquote></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr></table></div><h4>User Methods of Vector</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Vector__dim" onclick="swap_content('span:Vector__dim'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Vector__dim" onclick="swap_content('span:Vector__dim'); return false;"><b>dim</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:Vector__dim" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The length of the vector</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Vector__div_exact" onclick="swap_content('span:Vector__div_exact'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Vector__div_exact" onclick="swap_content('span:Vector__div_exact'); return false;"><b>div_exact</b></a>
			(a)  

			
				→ Vector<div style="display: inline" id="span:Vector__div_exact" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Divides every entry by <em class="param">a</em> (assuming that every entry is divisible by <em class="param">a</em>).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">a</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Vector__slice__Int" onclick="swap_content('span:Vector__slice__Int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Vector__slice__Int" onclick="swap_content('span:Vector__slice__Int'); return false;"><b>slice</b></a>
			(i)  

			
				→ Vector<div style="display: inline" id="span:Vector__slice__Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a <a href="#Vector" onclick="unfold('span:Vector');">Vector</a> containing only the entries after <em class="param">i</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Vector__slice__Int__Int" onclick="swap_content('span:Vector__slice__Int__Int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Vector__slice__Int__Int" onclick="swap_content('span:Vector__slice__Int__Int'); return false;"><b>slice</b></a>
			(i, j)  

			
				→ Vector<div style="display: inline" id="span:Vector__slice__Int__Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a <a href="#Vector" onclick="unfold('span:Vector');">Vector</a> containing only the entries from <em class="param">i</em> to <em class="param">j</em>-1.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">j</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Vector" onclick="unfold('span:Vector');">Vector</a></td><td/></tr></table></div></div></div></div></li></ul></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:property_types__Arithmetic" onclick="swap_content('span:property_types__Arithmetic'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="property_types__Arithmetic" onclick="swap_content('span:property_types__Arithmetic'); return false;">
                  <span class="category">Arithmetic</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:property_types__Arithmetic" class="foldit">
              <div class="descr">
                <p> These types are needed as return types of arithmetic computations.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Div" onclick="swap_content('span:Div'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Div" onclick="swap_content('span:Div'); return false;"><b>Div</b></a>
			&lt;Scalar&gt;
		<div style="display: inline" id="span:Div" class="foldit"><div class="descr"><p> The complete result of an integral division, <a href="#Div__quot" onclick="unfold('span:Div__quot');">quotient</a> and <a href="#Div__rem" onclick="unfold('span:Div__rem');">remainder</a>.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td/></tr></table></div><h4>User Methods of Div</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Div__quot" onclick="swap_content('span:Div__quot'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Div__quot" onclick="swap_content('span:Div__quot'); return false;"><b>quot</b></a>
			()  

			
				→ Scalar<div style="display: inline" id="span:Div__quot" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">quotient</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Div__rem" onclick="swap_content('span:Div__rem'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Div__rem" onclick="swap_content('span:Div__rem'); return false;"><b>rem</b></a>
			()  

			
				→ Scalar<div style="display: inline" id="span:Div__rem" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">remainder</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td/></tr></table></div></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ExtGCD" onclick="swap_content('span:ExtGCD'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="ExtGCD" onclick="swap_content('span:ExtGCD'); return false;">
                        <b>ExtGCD</b>
                      </a>
                      <div style="display: inline" id="span:ExtGCD" class="foldit">
                        <div class="descr">
                          <p> The complete result of the calculation of the <em class="u">greatest common divisor</em> of two numbers <em class="param">a</em> and <em class="param">b</em>:
</p>
                          <blockquote>
                            <div><a href="#ExtGCD__g" onclick="unfold('span:ExtGCD__g');">g</a>=gcd(a,b)</div>
                            <div><a href="#ExtGCD__g" onclick="unfold('span:ExtGCD__g');">g</a>=a*<a href="#ExtGCD__p" onclick="unfold('span:ExtGCD__p');">p</a>+b*<a href="#ExtGCD__q" onclick="unfold('span:ExtGCD__q');">q</a></div>
                            <div>a=<a href="#ExtGCD__g" onclick="unfold('span:ExtGCD__g');">g</a>*<a href="#ExtGCD__k1" onclick="unfold('span:ExtGCD__k1');">k1</a></div>
                            <div>b=<a href="#ExtGCD__g" onclick="unfold('span:ExtGCD__g');">g</a>*<a href="#ExtGCD__k2" onclick="unfold('span:ExtGCD__k2');">k2</a></div>
                          </blockquote>
                        </div>
                        <div class="level3"/>
                        <h4>User Methods of ExtGCD</h4>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ExtGCD__g" onclick="swap_content('span:ExtGCD__g'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="ExtGCD__g" onclick="swap_content('span:ExtGCD__g'); return false;"><b>g</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:ExtGCD__g" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">greatest common divisor</em> of <em class="param">a</em> and <em class="param">b</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ExtGCD__k1" onclick="swap_content('span:ExtGCD__k1'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="ExtGCD__k1" onclick="swap_content('span:ExtGCD__k1'); return false;"><b>k1</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:ExtGCD__k1" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">factor</em> of <em class="param">a</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ExtGCD__k2" onclick="swap_content('span:ExtGCD__k2'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="ExtGCD__k2" onclick="swap_content('span:ExtGCD__k2'); return false;"><b>k2</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:ExtGCD__k2" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">factor</em> of <em class="param">b</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ExtGCD__p" onclick="swap_content('span:ExtGCD__p'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="ExtGCD__p" onclick="swap_content('span:ExtGCD__p'); return false;"><b>p</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:ExtGCD__p" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">co-factor</em> of <em class="param">a</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ExtGCD__q" onclick="swap_content('span:ExtGCD__q'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="ExtGCD__q" onclick="swap_content('span:ExtGCD__q'); return false;"><b>q</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:ExtGCD__q" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">co-factor</em> of <em class="param">b</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Max" onclick="swap_content('span:Max'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Max" onclick="swap_content('span:Max'); return false;">
                        <b>Max</b>
                      </a>
                      <div style="display: inline" id="span:Max" class="foldit">
                        <div class="descr">
                          <p> tropical addition: max</p>
                        </div>
                        <div class="level3"/>
                        <h4>User Methods of Max</h4>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Max__apply" onclick="swap_content('span:Max__apply'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="Max__apply" onclick="swap_content('span:Max__apply'); return false;"><b>apply</b></a>
			()  

			<div style="display: inline" id="span:Max__apply" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Max__orientation" onclick="swap_content('span:Max__orientation'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="Max__orientation" onclick="swap_content('span:Max__orientation'); return false;"><b>orientation</b></a>
			()  

			<div style="display: inline" id="span:Max__orientation" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Min" onclick="swap_content('span:Min'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Min" onclick="swap_content('span:Min'); return false;">
                        <b>Min</b>
                      </a>
                      <div style="display: inline" id="span:Min" class="foldit">
                        <div class="descr">
                          <p> tropical addition: min</p>
                        </div>
                        <div class="level3"/>
                        <h4>User Methods of Min</h4>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Min__apply" onclick="swap_content('span:Min__apply'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="Min__apply" onclick="swap_content('span:Min__apply'); return false;"><b>apply</b></a>
			()  

			<div style="display: inline" id="span:Min__apply" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Min__orientation" onclick="swap_content('span:Min__orientation'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="Min__orientation" onclick="swap_content('span:Min__orientation'); return false;"><b>orientation</b></a>
			()  

			<div style="display: inline" id="span:Min__orientation" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:TropicalNumber" onclick="swap_content('span:TropicalNumber'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="TropicalNumber" onclick="swap_content('span:TropicalNumber'); return false;"><b>TropicalNumber</b></a>
			&lt;Addition, Scalar&gt;
		<div style="display: inline" id="span:TropicalNumber" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Addition</td><td/></tr><tr><td class="param">Scalar</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table></div><h4>User Methods of TropicalNumber</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:TropicalNumber__orientation" onclick="swap_content('span:TropicalNumber__orientation'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalNumber__orientation" onclick="swap_content('span:TropicalNumber__orientation'); return false;"><b>orientation</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:TropicalNumber__orientation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The orientation of the associated addition, i.e. 
 +1 if the corresponding 0 is +inf
 -1 if the corresponding 0 is -inf</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TropicalNumber__zero" onclick="swap_content('span:TropicalNumber__zero'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TropicalNumber__zero" onclick="swap_content('span:TropicalNumber__zero'); return false;"><b>zero</b></a>
			()  

			
				→ Scalar<div style="display: inline" id="span:TropicalNumber__zero" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The zero element of the tropical semiring of this element.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td/></tr></table></div></div></div></div></li></ul></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:property_types__Artificial" onclick="swap_content('span:property_types__Artificial'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="property_types__Artificial" onclick="swap_content('span:property_types__Artificial'); return false;">
                  <span class="category">Artificial</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:property_types__Artificial" class="foldit">
              <div class="descr">
                <p> These types are auxiliary artifacts helping to build other classes,
 primarily representing template parameters or enumeration constants.
 They should not be used alone as property types or function arguments.
 In the most cases they won't even have user-accessible constructors.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ARRAY" onclick="swap_content('span:ARRAY'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="ARRAY" onclick="swap_content('span:ARRAY'); return false;">
                        <b>ARRAY</b>
                      </a>
                      <div style="display: inline" id="span:ARRAY" class="foldit">
                        <div class="descr">
                          <p> A perl array of whatever contents.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Directed" onclick="swap_content('span:Directed'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Directed" onclick="swap_content('span:Directed'); return false;">
                        <b>Directed</b>
                      </a>
                      <div style="display: inline" id="span:Directed" class="foldit">
                        <div class="descr">
                          <p> Type tag for a <em class="u">directed</em> <a href="#Graph" onclick="unfold('span:Graph');">Graph</a>.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:DirectedMulti" onclick="swap_content('span:DirectedMulti'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="DirectedMulti" onclick="swap_content('span:DirectedMulti'); return false;">
                        <b>DirectedMulti</b>
                      </a>
                      <div style="display: inline" id="span:DirectedMulti" class="foldit">
                        <div class="descr">
                          <p> Type tag for a <em class="u">directed multigraph</em>.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:EdgeIterator" onclick="swap_content('span:EdgeIterator'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="EdgeIterator" onclick="swap_content('span:EdgeIterator'); return false;">
                        <b>EdgeIterator</b>
                      </a>
                      <div style="display: inline" id="span:EdgeIterator" class="foldit">
                        <div class="undoc">UNDOCUMENTED</div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:EdgeList" onclick="swap_content('span:EdgeList'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="EdgeList" onclick="swap_content('span:EdgeList'); return false;">
                        <b>EdgeList</b>
                      </a>
                      <div style="display: inline" id="span:EdgeList" class="foldit">
                        <div class="undoc">UNDOCUMENTED</div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Iterator" onclick="swap_content('span:Iterator'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Iterator" onclick="swap_content('span:Iterator'); return false;"><b>Iterator</b></a>
			&lt;Element&gt;
		<div style="display: inline" id="span:Iterator" class="foldit"><div class="descr"><p> An iterator over a sequence of objects.
 The objects may be stored in a container or be generated on the fly.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:LocalFloatEpsilon" onclick="swap_content('span:LocalFloatEpsilon'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="LocalFloatEpsilon" onclick="swap_content('span:LocalFloatEpsilon'); return false;">
                        <b>LocalFloatEpsilon</b>
                      </a>
                      <div style="display: inline" id="span:LocalFloatEpsilon" class="foldit">
                        <div class="undoc">UNDOCUMENTED</div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:NodeIterator" onclick="swap_content('span:NodeIterator'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="NodeIterator" onclick="swap_content('span:NodeIterator'); return false;">
                        <b>NodeIterator</b>
                      </a>
                      <div style="display: inline" id="span:NodeIterator" class="foldit">
                        <div class="undoc">UNDOCUMENTED</div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:NodeSet" onclick="swap_content('span:NodeSet'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="NodeSet" onclick="swap_content('span:NodeSet'); return false;">
                        <b>NodeSet</b>
                      </a>
                      <div style="display: inline" id="span:NodeSet" class="foldit">
                        <div class="undoc">UNDOCUMENTED</div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:NonSymmetric" onclick="swap_content('span:NonSymmetric'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="NonSymmetric" onclick="swap_content('span:NonSymmetric'); return false;">
                        <b>NonSymmetric</b>
                      </a>
                      <div style="display: inline" id="span:NonSymmetric" class="foldit">
                        <div class="descr">
                          <p> Labels a <a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a> or an <a href="#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a> as <em class="u">non-symmetric</em>.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:SCALAR" onclick="swap_content('span:SCALAR'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="SCALAR" onclick="swap_content('span:SCALAR'); return false;">
                        <b>SCALAR</b>
                      </a>
                      <div style="display: inline" id="span:SCALAR" class="foldit">
                        <div class="descr">
                          <p> A perl scalar of whatever contents.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Serialized" onclick="swap_content('span:Serialized'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Serialized" onclick="swap_content('span:Serialized'); return false;"><b>Serialized</b></a>
			&lt;X&gt;
		<div style="display: inline" id="span:Serialized" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">X</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:SparseIterator" onclick="swap_content('span:SparseIterator'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="SparseIterator" onclick="swap_content('span:SparseIterator'); return false;">
                        <b>SparseIterator</b>
                      </a>
                      <div style="display: inline" id="span:SparseIterator" class="foldit">
                        <div class="descr">
                          <p> Iterator over a sequence of objects having indexes.
 Examples are non-zero elements of a <a href="#SparseVector" onclick="unfold('span:SparseVector');">SparseVector</a> or of a row/column of a <a href="#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a>.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Symmetric" onclick="swap_content('span:Symmetric'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Symmetric" onclick="swap_content('span:Symmetric'); return false;">
                        <b>Symmetric</b>
                      </a>
                      <div style="display: inline" id="span:Symmetric" class="foldit">
                        <div class="descr">
                          <p> Labels a <a href="#Matrix" onclick="unfold('span:Matrix');">Matrix</a> or an <a href="#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a> as <em class="u">symmetric</em>.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Undirected" onclick="swap_content('span:Undirected'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Undirected" onclick="swap_content('span:Undirected'); return false;">
                        <b>Undirected</b>
                      </a>
                      <div style="display: inline" id="span:Undirected" class="foldit">
                        <div class="descr">
                          <p> Type tag for an <em class="u">undirected</em> <a href="#Graph" onclick="unfold('span:Graph');">Graph</a>.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:UndirectedMulti" onclick="swap_content('span:UndirectedMulti'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="UndirectedMulti" onclick="swap_content('span:UndirectedMulti'); return false;">
                        <b>UndirectedMulti</b>
                      </a>
                      <div style="display: inline" id="span:UndirectedMulti" class="foldit">
                        <div class="descr">
                          <p> Type tag for an <em class="u">undirected multigraph</em>.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:property_types__Basic_Types" onclick="swap_content('span:property_types__Basic_Types'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="property_types__Basic_Types" onclick="swap_content('span:property_types__Basic_Types'); return false;">
                  <span class="category">Basic Types</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:property_types__Basic_Types" class="foldit">
              <div class="descr">
                <p> This category contains all basic types, in particular those that wrap C++, GMP or perl types such as <a href="#Int" onclick="unfold('span:Int');">Int</a>, <a href="#Integer" onclick="unfold('span:Integer');">Integer</a>, <a href="#Rational" onclick="unfold('span:Rational');">Rational</a>, <a href="#Long" onclick="unfold('span:Long');">Long</a>, <a href="#Float" onclick="unfold('span:Float');">Float</a>, <a href="#Array" onclick="unfold('span:Array');">Array</a>, <a href="#String" onclick="unfold('span:String');">String</a>, ...</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Array" onclick="swap_content('span:Array'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Array" onclick="swap_content('span:Array'); return false;"><b>Array</b></a>
			&lt;Element&gt;
		<div style="display: inline" id="span:Array" class="foldit"><div class="descr"><p> An array with elements of type <em class="param">Element</em>.
 Corresponds to the C++ type <a href="#Array" onclick="unfold('span:Array');">Array</a>.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr></table></div><h4>User Methods of Array</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Array__size" onclick="swap_content('span:Array__size'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Array__size" onclick="swap_content('span:Array__size'); return false;"><b>size</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:Array__size" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the size.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Bool" onclick="swap_content('span:Bool'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Bool" onclick="swap_content('span:Bool'); return false;">
                        <b>Bool</b>
                      </a>
                      <div style="display: inline" id="span:Bool" class="foldit">
                        <div class="descr">
                          <p> Corresponds to the C++ type <em class="u">bool</em>.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Float" onclick="swap_content('span:Float'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Float" onclick="swap_content('span:Float'); return false;">
                        <b>Float</b>
                      </a>
                      <div style="display: inline" id="span:Float" class="foldit">
                        <div class="descr">
                          <p> Corresponds to the C++ type <em class="u">double</em>.</p>
                        </div>
                        <div class="level3"/>
                        <h4>User Methods of Float</h4>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Float__inf" onclick="swap_content('span:Float__inf'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="Float__inf" onclick="swap_content('span:Float__inf'); return false;"><b>inf</b></a>
			()  

			<div style="display: inline" id="span:Float__inf" class="foldit"><br/><div class="descr_func"><div class="descr"><p> produce an infinitely large positive value</p></div></div><div class="level3"/></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Float__minus_inf" onclick="swap_content('span:Float__minus_inf'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="Float__minus_inf" onclick="swap_content('span:Float__minus_inf'); return false;"><b>minus_inf</b></a>
			()  

			<div style="display: inline" id="span:Float__minus_inf" class="foldit"><br/><div class="descr_func"><div class="descr"><p> produce an infinitely large negative value</p></div></div><div class="level3"/></div></div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Int" onclick="swap_content('span:Int'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Int" onclick="swap_content('span:Int'); return false;">
                        <b>Int</b>
                      </a>
                      <div style="display: inline" id="span:Int" class="foldit">
                        <div class="descr">
                          <p> Corresponds to the C++ type <em class="u">int</em>.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Integer" onclick="swap_content('span:Integer'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Integer" onclick="swap_content('span:Integer'); return false;">
                        <b>Integer</b>
                      </a>
                      <div style="display: inline" id="span:Integer" class="foldit">
                        <div class="descr">
                          <p> An integer of arbitrary size.</p>
                        </div>
                        <div class="level3"/>
                        <h4>User Methods of Integer</h4>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Integer__inf" onclick="swap_content('span:Integer__inf'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="Integer__inf" onclick="swap_content('span:Integer__inf'); return false;"><b>inf</b></a>
			()  

			<div style="display: inline" id="span:Integer__inf" class="foldit"><br/><div class="descr_func"><div class="descr"><p> produce an infinitely large positive value</p></div></div><div class="level3"/></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Integer__minus_inf" onclick="swap_content('span:Integer__minus_inf'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="Integer__minus_inf" onclick="swap_content('span:Integer__minus_inf'); return false;"><b>minus_inf</b></a>
			()  

			<div style="display: inline" id="span:Integer__minus_inf" class="foldit"><br/><div class="descr_func"><div class="descr"><p> produce an infinitely large negative value</p></div></div><div class="level3"/></div></div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:List" onclick="swap_content('span:List'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="List" onclick="swap_content('span:List'); return false;"><b>List</b></a>
			&lt;Element&gt;
		<div style="display: inline" id="span:List" class="foldit"><div class="descr"><p> Corresponds to the C++ type <em class="u">std::list</em>.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Long" onclick="swap_content('span:Long'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Long" onclick="swap_content('span:Long'); return false;">
                        <b>Long</b>
                      </a>
                      <div style="display: inline" id="span:Long" class="foldit">
                        <div class="descr">
                          <p> Corresponds to the C++ type <em class="u">long</em>.
 This type is primarily needed for automatic generated function wrappers,
 because perl integral constants are always kept as a long.</p>
                        </div>
                        <b>derived from: </b>
                        <a href="#Int" onclick="unfold('span:Int');">Int</a>
                        <br/>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Pair" onclick="swap_content('span:Pair'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Pair" onclick="swap_content('span:Pair'); return false;"><b>Pair</b></a>
			&lt;First, Second&gt;
		<div style="display: inline" id="span:Pair" class="foldit"><div class="descr"><p> Corresponds to the C++ type <em class="u">std::Pair</em>.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">First</td><td/></tr><tr><td class="param">Second</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:QuadraticExtension" onclick="swap_content('span:QuadraticExtension'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="QuadraticExtension" onclick="swap_content('span:QuadraticExtension'); return false;"><b>QuadraticExtension</b></a>
			&lt;Field&gt;
		<div style="display: inline" id="span:QuadraticExtension" class="foldit"><div class="descr"><p> Realizes quadratic extensions of fields.</p><p> You can construct the value a+b\(\sqrt r\) via QuadraticExtension(a, b, r) (where a, b, r are of type <em class="param">Field</em>).</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Field</td><td><div class="descr"><div>default: <a href="#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Rational" onclick="swap_content('span:Rational'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Rational" onclick="swap_content('span:Rational'); return false;">
                        <b>Rational</b>
                      </a>
                      <div style="display: inline" id="span:Rational" class="foldit">
                        <div class="descr">
                          <p> A class for rational numbers.
 You can easily create a Rational like that: $x = 1/2;</p>
                        </div>
                        <div class="level3"/>
                        <h4>User Methods of Rational</h4>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Rational__inf" onclick="swap_content('span:Rational__inf'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="Rational__inf" onclick="swap_content('span:Rational__inf'); return false;"><b>inf</b></a>
			()  

			<div style="display: inline" id="span:Rational__inf" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce an infinitely large positive value.</p></div></div><div class="level3"/></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:Rational__minus_inf" onclick="swap_content('span:Rational__minus_inf'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="Rational__minus_inf" onclick="swap_content('span:Rational__minus_inf'); return false;"><b>minus_inf</b></a>
			()  

			<div style="display: inline" id="span:Rational__minus_inf" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce an infinitely large negative value.</p></div></div><div class="level3"/></div></div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:String" onclick="swap_content('span:String'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="String" onclick="swap_content('span:String'); return false;">
                        <b>String</b>
                      </a>
                      <div style="display: inline" id="span:String" class="foldit">
                        <div class="descr">
                          <p> Corresponds to the C++ type <em class="u">std::string</em>.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Text" onclick="swap_content('span:Text'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Text" onclick="swap_content('span:Text'); return false;">
                        <b>Text</b>
                      </a>
                      <div style="display: inline" id="span:Text" class="foldit">
                        <div class="descr">
                          <p> Plain text without any imposed structure.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:property_types__Graph_Types" onclick="swap_content('span:property_types__Graph_Types'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="property_types__Graph_Types" onclick="swap_content('span:property_types__Graph_Types'); return false;">
                  <span class="category">Graph Types</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:property_types__Graph_Types" class="foldit">
              <div class="descr">
                <p> This contains all property types that are related to graphs.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:EdgeHashMap" onclick="swap_content('span:EdgeHashMap'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="EdgeHashMap" onclick="swap_content('span:EdgeHashMap'); return false;"><b>EdgeHashMap</b></a>
			&lt;Dir, Element&gt;
		<div style="display: inline" id="span:EdgeHashMap" class="foldit"><div class="descr"><p> Sparse mapping of edges to data items.</p></div><b>derived from: </b><a href="#GraphMap" onclick="unfold('span:GraphMap');">GraphMap</a><br/><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Dir</td><td><div class="descr"><div>one of <a href="#Undirected" onclick="unfold('span:Undirected');">Undirected</a>, <a href="#Directed" onclick="unfold('span:Directed');">Directed</a>, <a href="#UndirectedMulti" onclick="unfold('span:UndirectedMulti');">UndirectedMulti</a> or <a href="#DirectedMulti" onclick="unfold('span:DirectedMulti');">DirectedMulti</a></div></div></td></tr><tr><td class="param">Element</td><td><div class="descr"><div>data associated with edges</div></div></td></tr></table></div><h4>User Methods of EdgeHashMap</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:EdgeHashMap__edge" onclick="swap_content('span:EdgeHashMap__edge'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="EdgeHashMap__edge" onclick="swap_content('span:EdgeHashMap__edge'); return false;"><b>edge</b></a>
			(from, to)  

			<div style="display: inline" id="span:EdgeHashMap__edge" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Access the data associated with an edge between two given nodes.
 The new data element is created on demand.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">from</td><td><div class="descr"><div>source node</div></div></td></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">to</td><td><div class="descr"><div>target node</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:EdgeHashMap__erase" onclick="swap_content('span:EdgeHashMap__erase'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="EdgeHashMap__erase" onclick="swap_content('span:EdgeHashMap__erase'); return false;"><b>erase</b></a>
			(from, to)  

			<div style="display: inline" id="span:EdgeHashMap__erase" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Delete the data associated with an edge between two given nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">from</td><td><div class="descr"><div>source node</div></div></td></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">to</td><td><div class="descr"><div>target node</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:EdgeHashMap__find" onclick="swap_content('span:EdgeHashMap__find'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="EdgeHashMap__find" onclick="swap_content('span:EdgeHashMap__find'); return false;"><b>find</b></a>
			(from, to)  

			
				→ Iterator<div style="display: inline" id="span:EdgeHashMap__find" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Access the data associated with an edge between two given nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">from</td><td><div class="descr"><div>source node</div></div></td></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">to</td><td><div class="descr"><div>target node</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Iterator" onclick="unfold('span:Iterator');">Iterator</a></td><td><div class="descr"><div>pointing to the data element (must be dereferenced as ${...}) or undef if the element does not exist.</div></div></td></tr></table></div></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:EdgeMap" onclick="swap_content('span:EdgeMap'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="EdgeMap" onclick="swap_content('span:EdgeMap'); return false;"><b>EdgeMap</b></a>
			&lt;Dir, Element&gt;
		<div style="display: inline" id="span:EdgeMap" class="foldit"><div class="descr"><p> Dense mapping of edges to data items.</p></div><b>derived from: </b><a href="#GraphMap" onclick="unfold('span:GraphMap');">GraphMap</a><br/><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Dir</td><td><div class="descr"><div>kind of the host graph, <a href="#Undirected" onclick="unfold('span:Undirected');">Undirected</a>, <a href="#Directed" onclick="unfold('span:Directed');">Directed</a>, <a href="#UndirectedMulti" onclick="unfold('span:UndirectedMulti');">UndirectedMulti</a>, or <a href="#DirectedMulti" onclick="unfold('span:DirectedMulti');">DirectedMulti</a></div></div></td></tr><tr><td class="param">Element</td><td><div class="descr"><div>data associated with edges</div></div></td></tr></table></div><h4>User Methods of EdgeMap</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:EdgeMap__edge" onclick="swap_content('span:EdgeMap__edge'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="EdgeMap__edge" onclick="swap_content('span:EdgeMap__edge'); return false;"><b>edge</b></a>
			(from, to)  

			<div style="display: inline" id="span:EdgeMap__edge" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Access the data associated with an edge between two given nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">from</td><td><div class="descr"><div>source node</div></div></td></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">to</td><td><div class="descr"><div>target node</div></div></td></tr></table></div></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Graph" onclick="swap_content('span:Graph'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Graph" onclick="swap_content('span:Graph'); return false;"><b>Graph</b></a>
			&lt;Dir&gt;
		<div style="display: inline" id="span:Graph" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Dir</td><td><div class="descr"><div>one of <a href="#Undirected" onclick="unfold('span:Undirected');">Undirected</a>, <a href="#Directed" onclick="unfold('span:Directed');">Directed</a>, <a href="#UndirectedMulti" onclick="unfold('span:UndirectedMulti');">UndirectedMulti</a> or <a href="#DirectedMulti" onclick="unfold('span:DirectedMulti');">DirectedMulti</a>, default: <a href="#Undirected" onclick="unfold('span:Undirected');">Undirected</a></div></div></td></tr></table></div><h4>User Methods of Graph</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Graph__add_edge" onclick="swap_content('span:Graph__add_edge'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__add_edge" onclick="swap_content('span:Graph__add_edge'); return false;"><b>add_edge</b></a>
			(tail_node, head_node)  

			
				→ Int<div style="display: inline" id="span:Graph__add_edge" class="foldit"><br/><div class="descr_func"><div class="descr"><p> In a multigraph, creates a new edge connecting two given nodes.
 In a normal graph, creates a new edge only if the nodes were not connected yet.
 Returns the index of the (new) edge.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">tail_node</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">head_node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__add_node" onclick="swap_content('span:Graph__add_node'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__add_node" onclick="swap_content('span:Graph__add_node'); return false;"><b>add_node</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:Graph__add_node" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Adds a new node without incident edes, returns its index.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__adjacent_nodes" onclick="swap_content('span:Graph__adjacent_nodes'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__adjacent_nodes" onclick="swap_content('span:Graph__adjacent_nodes'); return false;"><b>adjacent_nodes</b></a>
			(node)  

			
				→ Set<div style="display: inline" id="span:Graph__adjacent_nodes" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the set of indices of nodes adjacent to <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__all_edges" onclick="swap_content('span:Graph__all_edges'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__all_edges" onclick="swap_content('span:Graph__all_edges'); return false;"><b>all_edges</b></a>
			(tail_node, head_node)  

			
				→ Iterator<div style="display: inline" id="span:Graph__all_edges" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns an iterator visiting all (parallel) edges connecting two given nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">tail_node</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">head_node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Iterator" onclick="unfold('span:Iterator');">Iterator</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__contract_edge" onclick="swap_content('span:Graph__contract_edge'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__contract_edge" onclick="swap_content('span:Graph__contract_edge'); return false;"><b>contract_edge</b></a>
			(node1, node2)  

			<div style="display: inline" id="span:Graph__contract_edge" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Contract the edge(s) between <em class="param">node1</em> and <em class="param">node2</em>. Reconnects all edges from <em class="param">node2</em> to <em class="param">node1</em>,
 deleting the edge(s) between them and, finally, deleting <em class="param">node2</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">node1</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">node2</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__degree" onclick="swap_content('span:Graph__degree'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__degree" onclick="swap_content('span:Graph__degree'); return false;"><b>degree</b></a>
			(node)  

			
				→ Int<div style="display: inline" id="span:Graph__degree" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the number of edges incident to <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__delete_all_edges" onclick="swap_content('span:Graph__delete_all_edges'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__delete_all_edges" onclick="swap_content('span:Graph__delete_all_edges'); return false;"><b>delete_all_edges</b></a>
			(tail_node, head_node)  

			<div style="display: inline" id="span:Graph__delete_all_edges" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Deletes all edges in a multigraph connecting two given nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">tail_node</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">head_node</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__delete_edge__Int__Int" onclick="swap_content('span:Graph__delete_edge__Int__Int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__delete_edge__Int__Int" onclick="swap_content('span:Graph__delete_edge__Int__Int'); return false;"><b>delete_edge</b></a>
			(tail_node, head_node)  

			<div style="display: inline" id="span:Graph__delete_edge__Int__Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Deletes the edge connecting two given nodes, if there was one.
 In a multigraph, deletes one arbitrary edge from the parallel bundle.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">tail_node</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">head_node</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__delete_edge__Iterator" onclick="swap_content('span:Graph__delete_edge__Iterator'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__delete_edge__Iterator" onclick="swap_content('span:Graph__delete_edge__Iterator'); return false;"><b>delete_edge</b></a>
			(iterator)  

			<div style="display: inline" id="span:Graph__delete_edge__Iterator" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Delete the edge in a multigraph pointed to by the given iterator</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Iterator" onclick="unfold('span:Iterator');">Iterator</a></td><td class="param">iterator</td><td><div class="descr"><div>as returned by <a href="#Graph__all_edges" onclick="unfold('span:Graph__all_edges');">all_edges</a>.</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__delete_node" onclick="swap_content('span:Graph__delete_node'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__delete_node" onclick="swap_content('span:Graph__delete_node'); return false;"><b>delete_node</b></a>
			(node)  

			<div style="display: inline" id="span:Graph__delete_node" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Deletes all edges incident to the given node and marks it as invalid.
 The numeration of other nodes stays unchanged.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">node</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__dim" onclick="swap_content('span:Graph__dim'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__dim" onclick="swap_content('span:Graph__dim'); return false;"><b>dim</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:Graph__dim" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the maximal node index + 1.
 If the graph does not have gaps caused by node deletion, the result is equivalent to <a href="#Graph__nodes" onclick="unfold('span:Graph__nodes');">nodes</a>().</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__edge" onclick="swap_content('span:Graph__edge'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__edge" onclick="swap_content('span:Graph__edge'); return false;"><b>edge</b></a>
			(tail_node, head_node)  

			
				→ Int<div style="display: inline" id="span:Graph__edge" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the index of the edge connecting two given nodes.
 The edge is created if was not there.
 In a multigraph, an arbitrary edge from the parallel bundle will be picked.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">tail_node</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">head_node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__edges" onclick="swap_content('span:Graph__edges'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__edges" onclick="swap_content('span:Graph__edges'); return false;"><b>edges</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:Graph__edges" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the total number of edges.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__edge_exists" onclick="swap_content('span:Graph__edge_exists'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__edge_exists" onclick="swap_content('span:Graph__edge_exists'); return false;"><b>edge_exists</b></a>
			(tail_node, head_node)  

			
				→ Bool<div style="display: inline" id="span:Graph__edge_exists" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether two given nodes are connected by (at least) one edge.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">tail_node</td><td/></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">head_node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__has_gaps" onclick="swap_content('span:Graph__has_gaps'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__has_gaps" onclick="swap_content('span:Graph__has_gaps'); return false;"><b>has_gaps</b></a>
			()  

			
				→ Bool<div style="display: inline" id="span:Graph__has_gaps" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns true if some nodes have been deleted since the last <a href="#Graph__squeeze" onclick="unfold('span:Graph__squeeze');">squeeze</a> operation.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__invalid_node" onclick="swap_content('span:Graph__invalid_node'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__invalid_node" onclick="swap_content('span:Graph__invalid_node'); return false;"><b>invalid_node</b></a>
			(node)  

			
				→ Bool<div style="display: inline" id="span:Graph__invalid_node" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns true if the given node index is either out of valid range or points to a formerly deleted node.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__in_adjacent_nodes" onclick="swap_content('span:Graph__in_adjacent_nodes'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__in_adjacent_nodes" onclick="swap_content('span:Graph__in_adjacent_nodes'); return false;"><b>in_adjacent_nodes</b></a>
			(node)  

			
				→ Set<div style="display: inline" id="span:Graph__in_adjacent_nodes" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the set of indices of the nodes that have an edge heading to <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__in_degree" onclick="swap_content('span:Graph__in_degree'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__in_degree" onclick="swap_content('span:Graph__in_degree'); return false;"><b>in_degree</b></a>
			(node)  

			
				→ Int<div style="display: inline" id="span:Graph__in_degree" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the number of edges heading to <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__in_edges" onclick="swap_content('span:Graph__in_edges'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__in_edges" onclick="swap_content('span:Graph__in_edges'); return false;"><b>in_edges</b></a>
			(node)  

			
				→ EdgeList<div style="display: inline" id="span:Graph__in_edges" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a sequence of edges heading to (in Directed case) or incident to (in Undirected case) <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#EdgeList" onclick="unfold('span:EdgeList');">EdgeList</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__nodes" onclick="swap_content('span:Graph__nodes'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__nodes" onclick="swap_content('span:Graph__nodes'); return false;"><b>nodes</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:Graph__nodes" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the total number of nodes.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__node_exists" onclick="swap_content('span:Graph__node_exists'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__node_exists" onclick="swap_content('span:Graph__node_exists'); return false;"><b>node_exists</b></a>
			(node)  

			
				→ Bool<div style="display: inline" id="span:Graph__node_exists" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether the node with given index exists.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__node_out_of_range" onclick="swap_content('span:Graph__node_out_of_range'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__node_out_of_range" onclick="swap_content('span:Graph__node_out_of_range'); return false;"><b>node_out_of_range</b></a>
			(node)  

			
				→ Bool<div style="display: inline" id="span:Graph__node_out_of_range" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns true if the given node index is out of valid range.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__out_adjacent_nodes" onclick="swap_content('span:Graph__out_adjacent_nodes'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__out_adjacent_nodes" onclick="swap_content('span:Graph__out_adjacent_nodes'); return false;"><b>out_adjacent_nodes</b></a>
			(node)  

			
				→ Set<div style="display: inline" id="span:Graph__out_adjacent_nodes" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the set of indices of the nodes with an edge arriving from <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__out_degree" onclick="swap_content('span:Graph__out_degree'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__out_degree" onclick="swap_content('span:Graph__out_degree'); return false;"><b>out_degree</b></a>
			(node)  

			
				→ Int<div style="display: inline" id="span:Graph__out_degree" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the number of edges leaving <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__out_edges" onclick="swap_content('span:Graph__out_edges'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__out_edges" onclick="swap_content('span:Graph__out_edges'); return false;"><b>out_edges</b></a>
			(node)  

			
				→ EdgeList<div style="display: inline" id="span:Graph__out_edges" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a sequence of edges leaving (in Directed case) or incident to (in Undirected case) <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">node</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#EdgeList" onclick="unfold('span:EdgeList');">EdgeList</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__squeeze" onclick="swap_content('span:Graph__squeeze'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__squeeze" onclick="swap_content('span:Graph__squeeze'); return false;"><b>squeeze</b></a>
			()  

			<div style="display: inline" id="span:Graph__squeeze" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Renumbers the valid nodes as to eliminate all gaps left after deleting.</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Graph__squeeze_isolated" onclick="swap_content('span:Graph__squeeze_isolated'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Graph__squeeze_isolated" onclick="swap_content('span:Graph__squeeze_isolated'); return false;"><b>squeeze_isolated</b></a>
			()  

			<div style="display: inline" id="span:Graph__squeeze_isolated" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Deletes all nodes of degree 0,
 then renumbers the remaining nodes without gaps.</p></div></div><div class="level3"/></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:GraphMap" onclick="swap_content('span:GraphMap'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="GraphMap" onclick="swap_content('span:GraphMap'); return false;"><b>GraphMap</b></a>
			&lt;Dir, Element&gt;
		<div style="display: inline" id="span:GraphMap" class="foldit"><div class="descr"><p> The common abstract base class for all kinds of associative containers that can be attached to a <a href="#Graph" onclick="unfold('span:Graph');">Graph</a>.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Dir</td><td><div class="descr"><div>kind of the host graph: <a href="#Undirected" onclick="unfold('span:Undirected');">Undirected</a>, <a href="#Directed" onclick="unfold('span:Directed');">Directed</a>, <a href="#UndirectedMulti" onclick="unfold('span:UndirectedMulti');">UndirectedMulti</a>, or <a href="#DirectedMulti" onclick="unfold('span:DirectedMulti');">DirectedMulti</a></div></div></td></tr><tr><td class="param">Element</td><td><div class="descr"><div>data associated with nodes or edges</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:NodeHashMap" onclick="swap_content('span:NodeHashMap'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="NodeHashMap" onclick="swap_content('span:NodeHashMap'); return false;"><b>NodeHashMap</b></a>
			&lt;Dir, Element&gt;
		<div style="display: inline" id="span:NodeHashMap" class="foldit"><div class="descr"><p> Sparse mapping of nodes to data items.</p></div><b>derived from: </b><a href="#GraphMap" onclick="unfold('span:GraphMap');">GraphMap</a><br/><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Dir</td><td><div class="descr"><div>one of <a href="#Undirected" onclick="unfold('span:Undirected');">Undirected</a>, <a href="#Directed" onclick="unfold('span:Directed');">Directed</a>, <a href="#UndirectedMulti" onclick="unfold('span:UndirectedMulti');">UndirectedMulti</a> or <a href="#DirectedMulti" onclick="unfold('span:DirectedMulti');">DirectedMulti</a></div></div></td></tr><tr><td class="param">Element</td><td><div class="descr"><div>data associated with nodes</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:NodeMap" onclick="swap_content('span:NodeMap'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="NodeMap" onclick="swap_content('span:NodeMap'); return false;"><b>NodeMap</b></a>
			&lt;Dir, Element&gt;
		<div style="display: inline" id="span:NodeMap" class="foldit"><div class="descr"><p> Dense mapping of nodes to data items.</p></div><b>derived from: </b><a href="#GraphMap" onclick="unfold('span:GraphMap');">GraphMap</a><br/><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Dir</td><td><div class="descr"><div>kind of the host graph, <a href="#Undirected" onclick="unfold('span:Undirected');">Undirected</a>, <a href="#Directed" onclick="unfold('span:Directed');">Directed</a>, <a href="#UndirectedMulti" onclick="unfold('span:UndirectedMulti');">UndirectedMulti</a>, or <a href="#DirectedMulti" onclick="unfold('span:DirectedMulti');">DirectedMulti</a></div></div></td></tr><tr><td class="param">Element</td><td><div class="descr"><div>data associated with nodes</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:property_types__Linear_Algebra" onclick="swap_content('span:property_types__Linear_Algebra'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="property_types__Linear_Algebra" onclick="swap_content('span:property_types__Linear_Algebra'); return false;">
                  <span class="category">Linear Algebra</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:property_types__Linear_Algebra" class="foldit">
              <div class="descr">
                <p> These types are needed as return types of algebraic computations.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:SingularValueDecomposition" onclick="swap_content('span:SingularValueDecomposition'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="SingularValueDecomposition" onclick="swap_content('span:SingularValueDecomposition'); return false;">
                        <b>SingularValueDecomposition</b>
                      </a>
                      <div style="display: inline" id="span:SingularValueDecomposition" class="foldit">
                        <div class="descr">
                          <p> Complete result of the <em class="u">singular value decomposition</em> of a matrix <em class="param">M</em>,
 such that left_companion * sigma * transpose(right_companion) = <em class="param">M</em>
 Contains the following fields:
</p>
                          <blockquote>
                            <div>Matrix&lt;Float&gt; sigma: the diagonalized matrix</div>
                            <div>Matrix&lt;Float&gt; left_companion: matrix of left singular vectors</div>
                            <div>Matrix&lt;Float&gt; right_companion: matrix of right singular vectors</div>
                          </blockquote>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:SmithNormalForm" onclick="swap_content('span:SmithNormalForm'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="SmithNormalForm" onclick="swap_content('span:SmithNormalForm'); return false;">
                        <b>SmithNormalForm</b>
                      </a>
                      <div style="display: inline" id="span:SmithNormalForm" class="foldit">
                        <div class="descr">
                          <p> Complete result of the <em class="u">Smith normal form</em> computation.
 Contains the following fields:
</p>
                          <blockquote>
                            <div>SparseMatrix&lt;Scalar&gt; form: the Smith normal form S of the given matrix <em class="param">M</em></div>
                            <div>List&lt;Pair&lt;Scalar, Int&gt;&gt; torsion:  absolute values of the entries greater than 1 of the diagonal together with their multiplicity</div>
                            <div>Int rank: rank of <em class="param">M</em></div>
                            <div>SparseMatrix&lt;Scalar&gt; left_companion, right_companion: unimodular matrices L and R such that</div>
                          </blockquote>
                          <p>                        M = LSR in normal case, or S = LMR in inverted case (as specified in the call to <a href="#smith_normal_form" onclick="unfold('span:smith_normal_form');">smith_normal_form</a> function).</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:property_types__Set_Types" onclick="swap_content('span:property_types__Set_Types'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="property_types__Set_Types" onclick="swap_content('span:property_types__Set_Types'); return false;">
                  <span class="category">Set Types</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:property_types__Set_Types" class="foldit">
              <div class="descr">
                <p> In this category you find all property types related to sets, such as Set, Map, HashMap, IncidenceMatrix, ...</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:boost_dynamic_bitset" onclick="swap_content('span:boost_dynamic_bitset'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="boost_dynamic_bitset" onclick="swap_content('span:boost_dynamic_bitset'); return false;">
                        <b>boost_dynamic_bitset</b>
                      </a>
                      <div style="display: inline" id="span:boost_dynamic_bitset" class="foldit">
                        <div class="undoc">UNDOCUMENTED</div>
                        <div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div>
                        <b>derived from: </b>
                        <a href="#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a>
                        <br/>
                        <div class="level3"/>
                        <h4>User Methods of boost_dynamic_bitset</h4>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:boost_dynamic_bitset__size" onclick="swap_content('span:boost_dynamic_bitset__size'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="boost_dynamic_bitset__size" onclick="swap_content('span:boost_dynamic_bitset__size'); return false;"><b>size</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:boost_dynamic_bitset__size" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The cardinality of the set.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:FacetList" onclick="swap_content('span:FacetList'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="FacetList" onclick="swap_content('span:FacetList'); return false;">
                        <b>FacetList</b>
                      </a>
                      <div style="display: inline" id="span:FacetList" class="foldit">
                        <div class="descr">
                          <p> A FacetList is a collection of sets of integral numbers from a closed contiguous range [0..n-1].
 The contained sets usually encode facets of a simplicial complex,
 with set elements corresponding to vertices of a complex, therefore the name.</p>
                          <p> From the structural perspective, FacetList is interchangeable with <a href="#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a>,
 but they significantly differ in supported operations and their performance.
 IncidenceMatrix offers fast random access to elements, while FacetList is optimized
 for finding, inserting, and deleting facets fulfilling certain conditions like
 all subsets or supersets of a given vertex set.</p>
                          <p> On perl side, FacetList behaves like a sequence of <a href="#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a> without random access to facets.
 Facets are visited in chronological order.
 Each facet has a unique integral ID generated at the moment of insertion.
 The IDs can be obtained via call to index() of iterators created by find() methods.</p>
                        </div>
                        <div class="level3"/>
                        <h4>User Methods of FacetList</h4>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:FacetList__erase" onclick="swap_content('span:FacetList__erase'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="FacetList__erase" onclick="swap_content('span:FacetList__erase'); return false;"><b>erase</b></a>
			(f)  

			
				→ Bool<div style="display: inline" id="span:FacetList__erase" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Remove a facet.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">f</td><td><div class="descr"><div>facet to remove</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td><div class="descr"><div>whether a facet existed before</div></div></td></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:FacetList__eraseSubsets" onclick="swap_content('span:FacetList__eraseSubsets'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="FacetList__eraseSubsets" onclick="swap_content('span:FacetList__eraseSubsets'); return false;"><b>eraseSubsets</b></a>
			(s)  

			
				→ Int<div style="display: inline" id="span:FacetList__eraseSubsets" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Remove all subsets of a given set</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">s</td><td><div class="descr"><div>filter for removal</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td><div class="descr"><div>number of removed facets</div></div></td></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:FacetList__eraseSupersets" onclick="swap_content('span:FacetList__eraseSupersets'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="FacetList__eraseSupersets" onclick="swap_content('span:FacetList__eraseSupersets'); return false;"><b>eraseSupersets</b></a>
			(s)  

			
				→ Int<div style="display: inline" id="span:FacetList__eraseSupersets" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Remove all supersets of a given set</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">s</td><td><div class="descr"><div>filter for removal</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td><div class="descr"><div>number of removed facets</div></div></td></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:FacetList__find" onclick="swap_content('span:FacetList__find'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="FacetList__find" onclick="swap_content('span:FacetList__find'); return false;"><b>find</b></a>
			(f)  

			
				→ Iterator<div style="display: inline" id="span:FacetList__find" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Look up a facet.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">f</td><td><div class="descr"><div>facet to find</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Iterator" onclick="unfold('span:Iterator');">Iterator</a></td><td><div class="descr"><div>pointing to the facet or in an invalid state</div></div></td></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:FacetList__findSubsets" onclick="swap_content('span:FacetList__findSubsets'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="FacetList__findSubsets" onclick="swap_content('span:FacetList__findSubsets'); return false;"><b>findSubsets</b></a>
			(s)  

			
				→ Iterator<div style="display: inline" id="span:FacetList__findSubsets" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find all subsets of a given set.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">s</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Iterator" onclick="unfold('span:Iterator');">Iterator</a></td><td><div class="descr"><div>all facets equal to or included in <em class="param">s</em>, visited in lexicographical order</div></div></td></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:FacetList__findSupersets" onclick="swap_content('span:FacetList__findSupersets'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="FacetList__findSupersets" onclick="swap_content('span:FacetList__findSupersets'); return false;"><b>findSupersets</b></a>
			(s)  

			
				→ Iterator<div style="display: inline" id="span:FacetList__findSupersets" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find all supersets of a given set.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">s</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Iterator" onclick="unfold('span:Iterator');">Iterator</a></td><td><div class="descr"><div>all facets equal to or including <em class="param">s</em>, visited in reverse chronological order</div></div></td></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:FacetList__insert" onclick="swap_content('span:FacetList__insert'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="FacetList__insert" onclick="swap_content('span:FacetList__insert'); return false;"><b>insert</b></a>
			(f)  

			<div style="display: inline" id="span:FacetList__insert" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Add a new facet.  It may be a proper subset or a proper superset of existing facets.
 It must not be empty or coincide with any existing facet.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">f</td><td><div class="descr"><div>facet to add.</div></div></td></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:FacetList__insertMax" onclick="swap_content('span:FacetList__insertMax'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="FacetList__insertMax" onclick="swap_content('span:FacetList__insertMax'); return false;"><b>insertMax</b></a>
			(f)  

			
				→ Bool<div style="display: inline" id="span:FacetList__insertMax" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Add a new facet if and only if there are no facets including it.
 If this holds, remove all facets that are included in the new one.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">f</td><td><div class="descr"><div>facet to add</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td><div class="descr"><div>whether the new facet was really included.</div></div></td></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:FacetList__insertMin" onclick="swap_content('span:FacetList__insertMin'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="FacetList__insertMin" onclick="swap_content('span:FacetList__insertMin'); return false;"><b>insertMin</b></a>
			(f)  

			
				→ Bool<div style="display: inline" id="span:FacetList__insertMin" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Add a new facet if and only if there are no facets included in it.
 If this holds, remove all facets including the new facet.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">f</td><td><div class="descr"><div>facet to add</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td><div class="descr"><div>whether the new facet was really included.</div></div></td></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:FacetList__n_vertices" onclick="swap_content('span:FacetList__n_vertices'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="FacetList__n_vertices" onclick="swap_content('span:FacetList__n_vertices'); return false;"><b>n_vertices</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:FacetList__n_vertices" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The number of vertices</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:FacetList__size" onclick="swap_content('span:FacetList__size'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="FacetList__size" onclick="swap_content('span:FacetList__size'); return false;"><b>size</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:FacetList__size" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The number of facets in the list.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:HashMap" onclick="swap_content('span:HashMap'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="HashMap" onclick="swap_content('span:HashMap'); return false;"><b>HashMap</b></a>
			&lt;Key, Value&gt;
		<div style="display: inline" id="span:HashMap" class="foldit"><div class="descr"><p> Similar to <a href="#Map" onclick="unfold('span:Map');">Map</a>.
 HashMaps are associative containers that contain unique key/value pairs. </p><p> The values are stored in a hash table. Accessing and interserting a value by its key 
 works in constant time O(1).</p><p> You can create a new HashMap mapping Ints to Strings by 
</p><blockquote><div>$myhashmap = new HashMap&lt;Int, String&gt;([1, "Monday"], [2, "Tuesday"]);</div></blockquote><p> On the perl side HashMaps are treated like hashrefs.
 You can work with a HashMap like you work with a <a href="#Map" onclick="unfold('span:Map');">Map</a> (keeping in mind differences in performance
 and memory demand).</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Key</td><td><div class="descr"><div>type of the key values</div></div></td></tr><tr><td class="param">Value</td><td><div class="descr"><div>type of the mapped value</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:HashSet" onclick="swap_content('span:HashSet'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="HashSet" onclick="swap_content('span:HashSet'); return false;"><b>HashSet</b></a>
			&lt;Element&gt;
		<div style="display: inline" id="span:HashSet" class="foldit"><div class="descr"><p> Similar to <a href="#Set" onclick="unfold('span:Set');">Set</a>.
 (But keep in mind differences in performance and memory demand.)</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:IncidenceMatrix" onclick="swap_content('span:IncidenceMatrix'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="IncidenceMatrix" onclick="swap_content('span:IncidenceMatrix'); return false;"><b>IncidenceMatrix</b></a>
			&lt;Sym&gt;
		<div style="display: inline" id="span:IncidenceMatrix" class="foldit"><div class="descr"><p> A 0/1 incidence matrix.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Sym</td><td><div class="descr"><div>one of <a href="#Symmetric" onclick="unfold('span:Symmetric');">Symmetric</a> or <a href="#NonSymmetric" onclick="unfold('span:NonSymmetric');">NonSymmetric</a>, default: <a href="#NonSymmetric" onclick="unfold('span:NonSymmetric');">NonSymmetric</a></div></div></td></tr></table></div><h4>User Methods of IncidenceMatrix</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:IncidenceMatrix__col" onclick="swap_content('span:IncidenceMatrix__col'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="IncidenceMatrix__col" onclick="swap_content('span:IncidenceMatrix__col'); return false;"><b>col</b></a>
			(i)  

			
				→ SparseVector&lt;Int&gt;<div style="display: inline" id="span:IncidenceMatrix__col" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="param">i</em>-th column.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SparseVector" onclick="unfold('span:SparseVector');">SparseVector&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:IncidenceMatrix__cols" onclick="swap_content('span:IncidenceMatrix__cols'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="IncidenceMatrix__cols" onclick="swap_content('span:IncidenceMatrix__cols'); return false;"><b>cols</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:IncidenceMatrix__cols" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the number of columns.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:IncidenceMatrix__elem" onclick="swap_content('span:IncidenceMatrix__elem'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="IncidenceMatrix__elem" onclick="swap_content('span:IncidenceMatrix__elem'); return false;"><b>elem</b></a>
			(r, c)  

			
				→ Bool<div style="display: inline" id="span:IncidenceMatrix__elem" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns an element of the matrix as a boolean value.
 The return value is an `lvalue', that is, it can be assigned to, flipped, etc. if the matrix object is mutable.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">r</td><td><div class="descr"><div>the row index</div></div></td></tr><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">c</td><td><div class="descr"><div>the column index</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:IncidenceMatrix__minor" onclick="swap_content('span:IncidenceMatrix__minor'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="IncidenceMatrix__minor" onclick="swap_content('span:IncidenceMatrix__minor'); return false;"><b>minor</b></a>
			(r, c)  

			
				→ IncidenceMatrix<div style="display: inline" id="span:IncidenceMatrix__minor" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a <em class="u">minor</em> of the matrix containing the rows in <em class="param">r</em> and the columns in <em class="param">c</em>. You can pass <a href="#all_rows_or_cols" onclick="unfold('span:all_rows_or_cols');">All</a> if you want all rows or columns and ~ for the complement of a set. E.g. 
</p><blockquote><div>$A-&gt;minor(All, ~[0]);</div></blockquote><p> will give you the minor of a matrix containing all rows and all but the 0-th column.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">r</td><td><div class="descr"><div>the rows</div></div></td></tr><tr><td><a href="#Set" onclick="unfold('span:Set');">Set</a></td><td class="param">c</td><td><div class="descr"><div>the columns</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:IncidenceMatrix__row" onclick="swap_content('span:IncidenceMatrix__row'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="IncidenceMatrix__row" onclick="swap_content('span:IncidenceMatrix__row'); return false;"><b>row</b></a>
			(i)  

			
				→ SparseVector&lt;Int&gt;<div style="display: inline" id="span:IncidenceMatrix__row" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="param">i</em>-th row.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SparseVector" onclick="unfold('span:SparseVector');">SparseVector&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:IncidenceMatrix__rows" onclick="swap_content('span:IncidenceMatrix__rows'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="IncidenceMatrix__rows" onclick="swap_content('span:IncidenceMatrix__rows'); return false;"><b>rows</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:IncidenceMatrix__rows" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the number of rows.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:IncidenceMatrix__squeeze" onclick="swap_content('span:IncidenceMatrix__squeeze'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="IncidenceMatrix__squeeze" onclick="swap_content('span:IncidenceMatrix__squeeze'); return false;"><b>squeeze</b></a>
			()  

			<div style="display: inline" id="span:IncidenceMatrix__squeeze" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Removes empty rows and columns.
 The remaining rows and columns are renumbered without gaps.</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:IncidenceMatrix__squeeze_cols" onclick="swap_content('span:IncidenceMatrix__squeeze_cols'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="IncidenceMatrix__squeeze_cols" onclick="swap_content('span:IncidenceMatrix__squeeze_cols'); return false;"><b>squeeze_cols</b></a>
			()  

			<div style="display: inline" id="span:IncidenceMatrix__squeeze_cols" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Removes empty columns.
 The remaining columns are renumbered without gaps.</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:IncidenceMatrix__squeeze_rows" onclick="swap_content('span:IncidenceMatrix__squeeze_rows'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="IncidenceMatrix__squeeze_rows" onclick="swap_content('span:IncidenceMatrix__squeeze_rows'); return false;"><b>squeeze_rows</b></a>
			()  

			<div style="display: inline" id="span:IncidenceMatrix__squeeze_rows" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Removes empty rows.
 The remaining rows are renumbered without gaps.</p></div></div><div class="level3"/></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Map" onclick="swap_content('span:Map'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Map" onclick="swap_content('span:Map'); return false;"><b>Map</b></a>
			&lt;Key, Value&gt;
		<div style="display: inline" id="span:Map" class="foldit"><div class="descr"><p> Maps are sorted associative containers that contain unique key/value pairs. 
 Maps are sorted by their keys. </p><p> Accessing or inserting a value needs logarithmic time O(log n), where n is the size of the map.</p><p> You can create a new Map mapping Ints to Strings by 
</p><blockquote><div>$mymap = new Map&lt;Int, String&gt;([1, "Monday"], [2, "Tuesday"]);</div></blockquote><p> On the perl side Maps are treated like hashrefs.
 You can add a new key/value pair by
</p><blockquote><div>$mymap-&gt;{3} = "Wednesday";</div></blockquote><p> (If the key is already contained in the Map, the corresponding value is replaced by the new one.)
 or ask for the value of a key by
</p><blockquote><div>print $mymap-&gt;{1};</div></blockquote></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Key</td><td><div class="descr"><div>type of the key values</div></div></td></tr><tr><td class="param">Value</td><td><div class="descr"><div>type of the mapped value</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:PowerSet" onclick="swap_content('span:PowerSet'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="PowerSet" onclick="swap_content('span:PowerSet'); return false;"><b>PowerSet</b></a>
			&lt;Element&gt;
		<div style="display: inline" id="span:PowerSet" class="foldit"><div class="descr"><p> A <a href="#Set" onclick="unfold('span:Set');">Set</a> whose elements are of type Set&lt;<em class="param">Element</em>&gt;.</p></div><b>derived from: </b><a href="#Set" onclick="unfold('span:Set');">Set</a><br/><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td><div class="descr"><div>default: <a href="#Int" onclick="unfold('span:Int');">Int</a></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Set" onclick="swap_content('span:Set'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="Set" onclick="swap_content('span:Set'); return false;"><b>Set</b></a>
			&lt;Element&gt;
		<div style="display: inline" id="span:Set" class="foldit"><div class="descr"><p> A type for sets containing elements of type <em class="param">Element</em>.</p><p> You can for example create a new Set by:
</p><blockquote><div>$s = new Set(2, 3, 5, 7);</div></blockquote><p>
 You can perform set theoretic operations:
</p><blockquote><div>$s1 + $s2  union</div><div>$s1 * $s2  intersection</div><div>$s1 - $s2  difference</div><div>$s1 ^ $s2  symmetric difference </div></blockquote></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td><div class="descr"><div>default: <a href="#Int" onclick="unfold('span:Int');">Int</a></div></div></td></tr></table></div><h4>User Methods of Set</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Set__back" onclick="swap_content('span:Set__back'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Set__back" onclick="swap_content('span:Set__back'); return false;"><b>back</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:Set__back" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The last element of the (implicitly sorted) set</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Set__front" onclick="swap_content('span:Set__front'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Set__front" onclick="swap_content('span:Set__front'); return false;"><b>front</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:Set__front" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The first element of the (implicitly sorted) set</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Set__size" onclick="swap_content('span:Set__size'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Set__size" onclick="swap_content('span:Set__size'); return false;"><b>size</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:Set__size" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The cardinality of the set.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li></ul></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:property_types__Visualization" onclick="swap_content('span:property_types__Visualization'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="property_types__Visualization" onclick="swap_content('span:property_types__Visualization'); return false;">
                  <span class="category">Visualization</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:property_types__Visualization" class="foldit">
              <div class="descr">
                <p> These property_types are for visualization.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Color" onclick="swap_content('span:Color'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Color" onclick="swap_content('span:Color'); return false;">
                        <b>Color</b>
                      </a>
                      <div style="display: inline" id="span:Color" class="foldit">
                        <div class="descr">
                          <p> This is a pseudo-type for documentation purposes only.
 A function expecting an argument or option of type <em class="param">Color</em> can digest an object of type <a href="#RGB" onclick="unfold('span:RGB');">RGB</a> or <a href="#HSV" onclick="unfold('span:HSV');">HSV</a>
 as well as a string with an RGB value in hex notation "#RRGGBB" or a symbolic color name.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:Flexible" onclick="swap_content('span:Flexible'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="Flexible" onclick="swap_content('span:Flexible'); return false;">
                        <b>Flexible</b>
                      </a>
                      <div style="display: inline" id="span:Flexible" class="foldit">
                        <div class="descr">
                          <p> This is a pseudo-type for documentation purposes only.
 Many options of visualization functions modifying the appearance of some set of graphical elements
 like points, edges, facets, etc. accept a wide range of possible values, allowing for different grades
 of flexibility (and complexity):</p>
                          <p>  SCALAR  the same attribute value is applied to all elements
  ARRAY   each element gets its individual attribute value
  HASH    elements found in the hash get their individual attribute values, for the rest the appropriate default applies
  SUB     a piece of code computing the attribute value for the given element</p>
                          <p> Unless specified explicitly in the detailed option description, the indices, keys, or
 subroutine arguments used for retrieval of the attribute values are just the zero-based ordinal numbers of the elements.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:HSV" onclick="swap_content('span:HSV'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="HSV" onclick="swap_content('span:HSV'); return false;">
                        <b>HSV</b>
                      </a>
                      <div style="display: inline" id="span:HSV" class="foldit">
                        <div class="descr">
                          <p> A color described as a Hue-Saturation-Value triple.
 Is convertible to and from an RGB representation.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:RGB" onclick="swap_content('span:RGB'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="RGB" onclick="swap_content('span:RGB'); return false;">
                        <b>RGB</b>
                      </a>
                      <div style="display: inline" id="span:RGB" class="foldit">
                        <div class="descr">
                          <p> A color described as a Red-Green-Blue triple.
 Can be constructed from a list of three integral values from the range 0..255,
 or a list of three floating-point values from the range 0..1,
 or one of symbolic names listed in the system-wide file <code>rgb.txt</code>.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level3">
    <h2>Common Option Lists</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:options__options__Visualization" onclick="swap_content('span:options__options__Visualization'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="options__options__Visualization" onclick="swap_content('span:options__options__Visualization'); return false;">
                  <span class="category">Visualization</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:options__options__Visualization" class="foldit">
              <div class="descr">
                <p> These options are for visualization.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:options__Visual_PointSet_decorations" onclick="swap_content('span:options__Visual_PointSet_decorations'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="options__Visual_PointSet_decorations" onclick="swap_content('span:options__Visual_PointSet_decorations'); return false;">
                        <b>Visual::PointSet::decorations</b>
                      </a>
                      <div style="display: inline" id="span:options__Visual_PointSet_decorations" class="foldit">
                        <div class="descr">
                          <p> Common attributes modifying the appearance of PointSets and all visual objects derived thereof.
 Please be aware that no one visualization program interfaced to polymake supports all of them.
 Unsupported options are normally ignored.</p>
                        </div>
                        <h5>Options</h5>
                        <table class="args">
                          <tr>
                            <td>
                              <a href="#String" onclick="unfold('span:String');">String</a>
                            </td>
                            <td class="param">Title</td>
                            <td>
                              <div class="descr">
                                <div>the name of the drawing</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#String" onclick="unfold('span:String');">String</a>
                            </td>
                            <td class="param">Name</td>
                            <td>
                              <div class="descr">
                                <div>the name of this visual object in the drawing</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Bool" onclick="unfold('span:Bool');">Bool</a>
                            </td>
                            <td class="param">Hidden</td>
                            <td>
                              <div class="descr">
                                <div>if set to true, the visual object is not rendered
       (useful for interactive visualization programs allowing for switching details on and off)
 String  if set to "hidden", no point labels are displayed</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#" onclick="unfold('span:');">enum</a>
                            </td>
                            <td class="param">PointLabels</td>
                            <td>
                              <div class="descr">
                                <div>("hidden"),
 String  alias for PointLabels</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#" onclick="unfold('span:');">enum</a>
                            </td>
                            <td class="param">VertexLabels</td>
                            <td>
                              <div class="descr">
                                <div>("hidden"),</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Color&gt;</a>
                            </td>
                            <td class="param">PointColor</td>
                            <td>
                              <div class="descr">
                                <div>color of the spheres or rectangles representing the points</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Color&gt;</a>
                            </td>
                            <td class="param">VertexColor</td>
                            <td>
                              <div class="descr">
                                <div>alias for PointColor</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Float&gt;</a>
                            </td>
                            <td class="param">PointThickness</td>
                            <td>
                              <div class="descr">
                                <div>scaling factor for the size of the spheres or rectangles representing the points</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Float&gt;</a>
                            </td>
                            <td class="param">VertexThickness</td>
                            <td>
                              <div class="descr">
                                <div>alias for PointThickness</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Color&gt;</a>
                            </td>
                            <td class="param">PointBorderColor</td>
                            <td>
                              <div class="descr">
                                <div>color of the border line of rectangles representing the points</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Float&gt;</a>
                            </td>
                            <td class="param">VertexBorderColor</td>
                            <td>
                              <div class="descr">
                                <div>alias for PointBorderColor</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Float&gt;</a>
                            </td>
                            <td class="param">PointBorderThickness</td>
                            <td>
                              <div class="descr">
                                <div>scaling factor for the thickness of the border line of rectangles representing the points</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Float&gt;</a>
                            </td>
                            <td class="param">VertexBorderThickness</td>
                            <td>
                              <div class="descr">
                                <div>alias for PointBorderThickness</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;String&gt;</a>
                            </td>
                            <td class="param">PointStyle</td>
                            <td>
                              <div class="descr">
                                <div>if set to "hidden", neither point nor its label is rendered</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;String&gt;</a>
                            </td>
                            <td class="param">VertexStyle</td>
                            <td>
                              <div class="descr">
                                <div>alias for PointStyle</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Float&gt;</a>
                            </td>
                            <td class="param">ViewPoint</td>
                            <td>
                              <div class="descr">
                                <div>ViewPoint for Sketch visualization</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Float&gt;</a>
                            </td>
                            <td class="param">ViewDirection</td>
                            <td>
                              <div class="descr">
                                <div>ViewDirection for Sketch visualization</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Vector" onclick="unfold('span:Vector');">Vector&lt;Float&gt;</a>
                            </td>
                            <td class="param">ViewUp</td>
                            <td>
                              <div class="descr">
                                <div>ViewUp for Sketch visualization</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Float" onclick="unfold('span:Float');">Float</a>
                            </td>
                            <td class="param">Scale</td>
                            <td>
                              <div class="descr">
                                <div>scale for Sketch visualization</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;String&gt;</a>
                            </td>
                            <td class="param">LabelAlignment</td>
                            <td>
                              <div class="descr">
                                <div>Defines the alignment of the vertex labels: left, right or center</div>
                              </div>
                            </td>
                          </tr>
                        </table>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:options__Visual_Polygon_decorations" onclick="swap_content('span:options__Visual_Polygon_decorations'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="options__Visual_Polygon_decorations" onclick="swap_content('span:options__Visual_Polygon_decorations'); return false;">
                        <b>Visual::Polygon::decorations</b>
                      </a>
                      <div style="display: inline" id="span:options__Visual_Polygon_decorations" class="foldit"><div class="descr"><p> Attributes modifying the appearance of filled polygons.</p></div><b>imports from: </b>Visual::PointSet::decorations<br/><br/><h5>Options</h5><table class="args"><tr><td><a href="#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">FacetColor</td><td><div class="descr"><div>filling color of the polygon</div></div></td></tr><tr><td><a href="#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">FacetTransparency</td><td><div class="descr"><div>transparency factor of the polygon between 0 (opaque) and 1 (completely translucent)</div></div></td></tr><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">FacetStyle</td><td><div class="descr"><div>if set to "hidden", the inner area of the polygon is not rendered</div></div></td></tr><tr><td><a href="#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">EdgeColor</td><td><div class="descr"><div>color of the boundary lines</div></div></td></tr><tr><td><a href="#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">EdgeThickness</td><td><div class="descr"><div>scaling factor for the thickness of the boundary lines</div></div></td></tr><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">EdgeStyle</td><td><div class="descr"><div>if set to "hidden", the boundary lines are not rendered</div></div></td></tr></table></div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:options__Visual_Polygons_decorations" onclick="swap_content('span:options__Visual_Polygons_decorations'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="options__Visual_Polygons_decorations" onclick="swap_content('span:options__Visual_Polygons_decorations'); return false;">
                        <b>Visual::Polygons::decorations</b>
                      </a>
                      <div style="display: inline" id="span:options__Visual_Polygons_decorations" class="foldit"><div class="descr"><p> Attributes modifying the appearance of a set of polygons (like a polygonal surface).</p></div><b>imports from: </b>Visual::PointSet::decorations<br/><br/><h5>Options</h5><table class="args"><tr><td><a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Color&gt;</a></td><td class="param">FacetColor</td><td><div class="descr"><div>filling color of the polygons</div></div></td></tr><tr><td><a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Float&gt;</a></td><td class="param">FacetTransparency</td><td><div class="descr"><div>transparency factor of the polygons between 0 (opaque) and 1 (completely translucent)</div></div></td></tr><tr><td><a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;String&gt;</a></td><td class="param">FacetStyle</td><td><div class="descr"><div>if set to "hidden", the inner area of the polygons are not rendered at all</div></div></td></tr><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">FacetLabels</td><td><div class="descr"><div>if set to "hidden", the facet labels are not displayed (in the most cases this is the default behavior)</div></div></td></tr><tr><td><a href="#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">EdgeColor</td><td><div class="descr"><div>color of the boundary lines</div></div></td></tr><tr><td><a href="#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">EdgeThickness</td><td><div class="descr"><div>scaling factor for the thickness of the boundary lines</div></div></td></tr><tr><td><a href="#String" onclick="unfold('span:String');">String</a></td><td class="param">EdgeStyle</td><td><div class="descr"><div>if set to "hidden", the boundary lines are not rendered</div></div></td></tr></table></div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:options__Visual_Wire_decorations" onclick="swap_content('span:options__Visual_Wire_decorations'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="options__Visual_Wire_decorations" onclick="swap_content('span:options__Visual_Wire_decorations'); return false;">
                        <b>Visual::Wire::decorations</b>
                      </a>
                      <div style="display: inline" id="span:options__Visual_Wire_decorations" class="foldit"><div class="descr"><p> Attributes modifying the appearance of "wire frameworks".
 Unlike the rest, the flexible edge attributes are retrieved using the <em class="param">edge iterator</em> as an index/key/argument.</p></div><b>imports from: </b>Visual::PointSet::decorations<br/><br/><h5>Options</h5><table class="args"><tr><td><a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Color&gt;</a></td><td class="param">EdgeColor</td><td><div class="descr"><div>color of the lines representing the edges</div></div></td></tr><tr><td><a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;Float&gt;</a></td><td class="param">EdgeThickness</td><td><div class="descr"><div>scaling factor for the thickness of the lines representing the edges</div></div></td></tr><tr><td><a href="#EdgeMap" onclick="unfold('span:EdgeMap');">EdgeMap&lt;String&gt;</a></td><td class="param">EdgeLabels</td><td><div class="descr"><div>textual labels to be placed along the edges</div></div></td></tr><tr><td><a href="#Flexible" onclick="unfold('span:Flexible');">Flexible&lt;String&gt;</a></td><td class="param">EdgeStyle</td><td><div class="descr"><div>if set to "hidden", neither the edge nor its label is rendered</div></div></td></tr></table></div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
</div>
