<div xmlns="http://www.w3.org/1999/xhtml" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content"><h1>application: polytope</h1><div class="descr"><p> This is the historically first application, and the largest one.</p><p> It deals with convex pointed polyhedra.  It allows to define a polyhedron either as a convex hull of a point set, an intersection of
 halfspaces, or as an incidence matrix without any embedding.  Then you can ask for a plenty of its (especially combinatorial)
 properties,  construct new polyhedra by modifying it,  or study the behavior of the objective functions.</p><p> There is a wide range of visualization methods for polyhedra, even for dimensions &gt; 4 and purely combinatorial descriptions,
 including interfaces to interactive geometry viewers (such as <a href="http://polymake.org//external_software#javaview" onclick="unfold('span:javaview');">JavaView</a> or <a href="http://polymake.org//external_software#geomview" onclick="unfold('span:geomview');">geomview</a>), generating
 PostScript drawings and povray scene files.</p></div><b>imports from: </b><a href="common.html">common</a>, <a href="graph.html">graph</a><br/><b>uses: </b><a href="group.html">group</a>, <a href="ideal.html">ideal</a>, <a href="topaz.html">topaz</a><br/><div class="level2"><h2><b>Objects</b></h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:AffineLattice" onclick="swap_content('span:AffineLattice'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="AffineLattice" onclick="swap_content('span:AffineLattice'); return false;"><span class="object">AffineLattice</span></a></h3></div><div style="display: inline" id="span:AffineLattice" class="foldit"><b>Category: </b>Geometry<br/><div class="descr"><p> a lattice that is displaced from the origin, i.e.,
 a set of the form x + L, where x is a non-zero vector and L a (linear) lattice</p></div><div class="level3"/><h4>Properties of AffineLattice</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:AffineLattice__BASIS" onclick="swap_content('span:AffineLattice__BASIS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="AffineLattice__BASIS" onclick="swap_content('span:AffineLattice__BASIS'); return false;"><b>BASIS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:AffineLattice__BASIS" class="foldit"><div class="descr"><p> rows are vectors, ie first coordinate zero</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:AffineLattice__ORIGIN" onclick="swap_content('span:AffineLattice__ORIGIN'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="AffineLattice__ORIGIN" onclick="swap_content('span:AffineLattice__ORIGIN'); return false;"><b>ORIGIN</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:AffineLattice__ORIGIN" class="foldit"><div class="descr"><p> an affine point, ie first coordinate non-zero</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:AffineLattice__SQUARED_DETERMINANT" onclick="swap_content('span:AffineLattice__SQUARED_DETERMINANT'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="AffineLattice__SQUARED_DETERMINANT" onclick="swap_content('span:AffineLattice__SQUARED_DETERMINANT'); return false;"><b>SQUARED_DETERMINANT</b>:
		</a><a href="#" onclick="unfold('span:');">AffineLattice::Scalar</a><br/><div style="display: inline" id="span:AffineLattice__SQUARED_DETERMINANT" class="foldit"><div class="undoc"><p>UNDOCUMENTED</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone" onclick="swap_content('span:Cone'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="Cone" onclick="swap_content('span:Cone'); return false;"><span class="object">Cone</span></a></h3></div><div style="display: inline" id="span:Cone" class="foldit"><div class="descr"><p> A polyhedral cone, not necessarily pointed.
 Note that in contrast to the vertices of a polytope, the <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a> are given in affine coordinates.</p></div><div class="level3"/><h4>Specializations of Cone</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__specializations__Cone_Rational" onclick="swap_content('span:Cone__specializations__Cone_Rational'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__specializations__Cone_Rational" onclick="swap_content('span:Cone__specializations__Cone_Rational'); return false;"><b>Cone&lt;Rational&gt;</b></a><a href="" onclick="unfold('span:');"/><br/><div style="display: inline" id="span:Cone__specializations__Cone_Rational" class="foldit"><div class="descr"><p> An affine rational cone realized in R<sup>d</sup>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__specializations__Cone_Float" onclick="swap_content('span:Cone__specializations__Cone_Float'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__specializations__Cone_Float" onclick="swap_content('span:Cone__specializations__Cone_Float'); return false;"><b>Cone&lt;Float&gt;</b></a><a href="" onclick="unfold('span:');"/><br/><div style="display: inline" id="span:Cone__specializations__Cone_Float" class="foldit"><div class="descr"><p> An affine cone with float coordinates realized in R<sup>d</sup>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__specializations__Cone_ExactCoord" onclick="swap_content('span:Cone__specializations__Cone_ExactCoord'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__specializations__Cone_ExactCoord" onclick="swap_content('span:Cone__specializations__Cone_ExactCoord'); return false;"><b>Cone::ExactCoord</b></a><a href="" onclick="unfold('span:');"/><br/><div style="display: inline" id="span:Cone__specializations__Cone_ExactCoord" class="foldit"><div class="descr"><p> An affine cone with an exact coordinate type, like Rational.</p></div></div></div></div></li></ul><h4>Properties of Cone</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__properties__Algebraic_Geometry" onclick="swap_content('span:Cone__properties__Algebraic_Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__properties__Algebraic_Geometry" onclick="swap_content('span:Cone__properties__Algebraic_Geometry'); return false;"><span class="category">Algebraic Geometry</span></a></h3></div><div style="display: inline" id="span:Cone__properties__Algebraic_Geometry" class="foldit"><div class="descr"><p> Properties from algebraic geometry.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__TORIC_IDEAL" onclick="swap_content('span:Cone__TORIC_IDEAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__TORIC_IDEAL" onclick="swap_content('span:Cone__TORIC_IDEAL'); return false;"><b>TORIC_IDEAL</b>:
		</a><a href="fulton.html#BinomialIdeal" onclick="unfold('span:BinomialIdeal');">fulton::BinomialIdeal</a><br/><div style="display: inline" id="span:Cone__TORIC_IDEAL" class="foldit"><div class="descr"><b>Only defined for <a href="#Cone__specializations__Cone_Rational">Cone&lt;Rational&gt;</a></b></div><div class="descr"><p> The matrix containing the exponent vectors of the binomials whose
 vanishing set is the affine toric variety given by the cone.
 In other words the rows of this matrix give the relations between the
 Hilbert basis elements.</p></div><div class="depends"><b>Depends on: </b>4ti2
</div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__properties__Combinatorics" onclick="swap_content('span:Cone__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__properties__Combinatorics" onclick="swap_content('span:Cone__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:Cone__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__COCIRCUIT_EQUATIONS" onclick="swap_content('span:Cone__COCIRCUIT_EQUATIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__COCIRCUIT_EQUATIONS" onclick="swap_content('span:Cone__COCIRCUIT_EQUATIONS'); return false;"><b>COCIRCUIT_EQUATIONS</b>:
		</a><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">common::SparseMatrix&lt;Rational, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Cone__COCIRCUIT_EQUATIONS" class="foldit"><div class="descr"><p> A matrix whose rows contain the cocircuit equations of P. The columns correspond to the <a href="#Cone__MAX_INTERIOR_SIMPLICES" onclick="unfold('span:Cone__MAX_INTERIOR_SIMPLICES');">MAX_INTERIOR_SIMPLICES</a>.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__COMBINATORIAL_DIM" onclick="swap_content('span:Cone__COMBINATORIAL_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__COMBINATORIAL_DIM" onclick="swap_content('span:Cone__COMBINATORIAL_DIM'); return false;"><b>COMBINATORIAL_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Cone__COMBINATORIAL_DIM" class="foldit"><div class="descr"><p> Combinatorial dimension
 This is the dimension all combinatorial properties of the cone
 like e.g. <a href="#Cone__RAYS_IN_FACETS" onclick="unfold('span:Cone__RAYS_IN_FACETS');">RAYS_IN_FACETS</a> or the <a href="#Cone__HASSE_DIAGRAM" onclick="unfold('span:Cone__HASSE_DIAGRAM');">HASSE_DIAGRAM</a> refer to.</p><p> Geometrically, the combinatorial dimension is the dimension 
 of the intersection of the pointed part of the cone 
 with a hyperplane that creates a bounded intersection.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__DUAL_GRAPH" onclick="swap_content('span:Cone__DUAL_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__DUAL_GRAPH" onclick="swap_content('span:Cone__DUAL_GRAPH'); return false;"><b>DUAL_GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:Cone__DUAL_GRAPH" class="foldit"><div class="descr"><p> Facet-ridge graph. Dual to <a href="#Cone__GRAPH" onclick="unfold('span:Cone__GRAPH');">GRAPH</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__ESSENTIALLY_GENERIC" onclick="swap_content('span:Cone__ESSENTIALLY_GENERIC'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__ESSENTIALLY_GENERIC" onclick="swap_content('span:Cone__ESSENTIALLY_GENERIC'); return false;"><b>ESSENTIALLY_GENERIC</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Cone__ESSENTIALLY_GENERIC" class="foldit"><div class="descr"><p> All intermediate polytopes (with respect to the given insertion order) in the beneath-and-beyond algorithm are simplicial.
 We have the implications: <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a> in general position =&gt; ESSENTIALLY_GENERIC =&gt; <a href="#Cone__SIMPLICIAL" onclick="unfold('span:Cone__SIMPLICIAL');">SIMPLICIAL</a></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__F2_VECTOR" onclick="swap_content('span:Cone__F2_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__F2_VECTOR" onclick="swap_content('span:Cone__F2_VECTOR'); return false;"><b>F2_VECTOR</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Integer, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Cone__F2_VECTOR" class="foldit"><div class="descr"><p> The vector counting the number of incidences between pairs of faces.
 `f<sub>ik</sub>` is the number of incident pairs of `(i+1)`-faces and `(k+1)`-faces. 
 The main diagonal contains the <a href="#Cone__F_VECTOR" onclick="unfold('span:Cone__F_VECTOR');">F_VECTOR</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__FACETS_THRU_RAYS" onclick="swap_content('span:Cone__FACETS_THRU_RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__FACETS_THRU_RAYS" onclick="swap_content('span:Cone__FACETS_THRU_RAYS'); return false;"><b>FACETS_THRU_RAYS</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Cone__FACETS_THRU_RAYS" class="foldit"><div class="descr"><p> Transposed to <a href="#Cone__RAYS_IN_FACETS" onclick="unfold('span:Cone__RAYS_IN_FACETS');">RAYS_IN_FACETS</a>.
 Notice that this is a temporary property; it will not be stored in any file.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__FACET_SIZES" onclick="swap_content('span:Cone__FACET_SIZES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__FACET_SIZES" onclick="swap_content('span:Cone__FACET_SIZES'); return false;"><b>FACET_SIZES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:Cone__FACET_SIZES" class="foldit"><div class="descr"><p> Number of incident rays for each facet.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__FLAG_VECTOR" onclick="swap_content('span:Cone__FLAG_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__FLAG_VECTOR" onclick="swap_content('span:Cone__FLAG_VECTOR'); return false;"><b>FLAG_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Cone__FLAG_VECTOR" class="foldit"><div class="descr"><p> Condensed form of the flag vector, containing all entries indexed by sparse sets in {0, ..., <a href="#Cone__COMBINATORIAL_DIM" onclick="unfold('span:Cone__COMBINATORIAL_DIM');">COMBINATORIAL_DIM</a>-1}
 in the following order: 
       (1, f<sub>0</sub>, f<sub>1</sub>, f<sub>2</sub>, f<sub>02</sub>, f<sub>3</sub>, f<sub>03</sub>, f<sub>13</sub>, f<sub>4</sub>, f<sub>04</sub>, f<sub>14</sub>, f<sub>24</sub>, f<sub>024</sub>, f<sub>5</sub>, ...).
 Use Dehn-Sommerville equations, via user function <a href="#Cone__N_FLAGS" onclick="unfold('span:Cone__N_FLAGS');">N_FLAGS</a>, to extend.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__FOLDABLE_COCIRCUIT_EQUATIONS" onclick="swap_content('span:Cone__FOLDABLE_COCIRCUIT_EQUATIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__FOLDABLE_COCIRCUIT_EQUATIONS" onclick="swap_content('span:Cone__FOLDABLE_COCIRCUIT_EQUATIONS'); return false;"><b>FOLDABLE_COCIRCUIT_EQUATIONS</b>:
		</a><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">common::SparseMatrix&lt;Rational, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Cone__FOLDABLE_COCIRCUIT_EQUATIONS" class="foldit"><div class="descr"><p> A matrix whose rows contain the foldable cocircuit equations of P.  The columns correspond to 2 * <a href="#Cone__MAX_INTERIOR_SIMPLICES" onclick="unfold('span:Cone__MAX_INTERIOR_SIMPLICES');">MAX_INTERIOR_SIMPLICES</a>.
 col 0 = 0, col 1 = first simplex (black copy), col 2 = first simplex (white copy), col 3 = second simplex (black copy), ...</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__F_VECTOR" onclick="swap_content('span:Cone__F_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__F_VECTOR" onclick="swap_content('span:Cone__F_VECTOR'); return false;"><b>F_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Cone__F_VECTOR" class="foldit"><div class="descr"><p> The vector counting the number of faces (`f<sub>k</sub>` is the number of `(k+1)`-faces).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__GRAPH" onclick="swap_content('span:Cone__GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__GRAPH" onclick="swap_content('span:Cone__GRAPH'); return false;"><b>GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:Cone__GRAPH" class="foldit"><div class="descr"><p> Vertex-edge graph obtained by intersecting the cone with a transversal hyperplane.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__HASSE_DIAGRAM" onclick="swap_content('span:Cone__HASSE_DIAGRAM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__HASSE_DIAGRAM" onclick="swap_content('span:Cone__HASSE_DIAGRAM'); return false;"><b>HASSE_DIAGRAM</b>:
		</a><a href="graph.html#FaceLattice" onclick="unfold('span:FaceLattice');">graph::FaceLattice</a><br/><div style="display: inline" id="span:Cone__HASSE_DIAGRAM" class="foldit"><div class="descr"><p> The face lattice of the cone organized as a directed graph.
 Each node corresponds to some proper face of the cone.
 The nodes corresponding to the rays and facets appear in the same order
 as the elements of <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a> and <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a> properties.</p><p> Two special nodes represent the whole cone and the empty face.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__INTERIOR_RIDGE_SIMPLICES" onclick="swap_content('span:Cone__INTERIOR_RIDGE_SIMPLICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__INTERIOR_RIDGE_SIMPLICES" onclick="swap_content('span:Cone__INTERIOR_RIDGE_SIMPLICES'); return false;"><b>INTERIOR_RIDGE_SIMPLICES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Cone__INTERIOR_RIDGE_SIMPLICES" class="foldit"><div class="descr"><p> The (<em class="param">d</em>-1)-dimensional simplices in the interior.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__MAX_BOUNDARY_SIMPLICES" onclick="swap_content('span:Cone__MAX_BOUNDARY_SIMPLICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__MAX_BOUNDARY_SIMPLICES" onclick="swap_content('span:Cone__MAX_BOUNDARY_SIMPLICES'); return false;"><b>MAX_BOUNDARY_SIMPLICES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Cone__MAX_BOUNDARY_SIMPLICES" class="foldit"><div class="descr"><p> The boundary (<em class="param">d</em>-1)-dimensional simplices of a cone of combinatorial dimension <em class="param">d</em></p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__MAX_INTERIOR_SIMPLICES" onclick="swap_content('span:Cone__MAX_INTERIOR_SIMPLICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__MAX_INTERIOR_SIMPLICES" onclick="swap_content('span:Cone__MAX_INTERIOR_SIMPLICES'); return false;"><b>MAX_INTERIOR_SIMPLICES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Cone__MAX_INTERIOR_SIMPLICES" class="foldit"><div class="descr"><p> The interior <em class="param">d</em>-dimensional simplices of a cone of combinatorial dimension <em class="param">d</em></p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__N_RAYS" onclick="swap_content('span:Cone__N_RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__N_RAYS" onclick="swap_content('span:Cone__N_RAYS'); return false;"><b>N_RAYS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Cone__N_RAYS" class="foldit"><div class="descr"><p> The number of <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__N_RAY_FACET_INC" onclick="swap_content('span:Cone__N_RAY_FACET_INC'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__N_RAY_FACET_INC" onclick="swap_content('span:Cone__N_RAY_FACET_INC'); return false;"><b>N_RAY_FACET_INC</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Cone__N_RAY_FACET_INC" class="foldit"><div class="descr"><p> Number of pairs of incident vertices and facets.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__RAYS_IN_FACETS" onclick="swap_content('span:Cone__RAYS_IN_FACETS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__RAYS_IN_FACETS" onclick="swap_content('span:Cone__RAYS_IN_FACETS'); return false;"><b>RAYS_IN_FACETS</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Cone__RAYS_IN_FACETS" class="foldit"><div class="descr"><p> Ray-facet incidence matrix, with rows corresponding to facets and columns
 to rays. Rays and facets are numbered from 0 to <a href="#Cone__N_RAYS" onclick="unfold('span:Cone__N_RAYS');">N_RAYS</a>-1 rsp.
 <a href="#Cone__N_FACETS" onclick="unfold('span:Cone__N_FACETS');">N_FACETS</a>-1, according to their order in <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a> rsp. <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__RAY_SIZES" onclick="swap_content('span:Cone__RAY_SIZES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__RAY_SIZES" onclick="swap_content('span:Cone__RAY_SIZES'); return false;"><b>RAY_SIZES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:Cone__RAY_SIZES" class="foldit"><div class="descr"><p> Number of incident facets for each ray.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__SELF_DUAL" onclick="swap_content('span:Cone__SELF_DUAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__SELF_DUAL" onclick="swap_content('span:Cone__SELF_DUAL'); return false;"><b>SELF_DUAL</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Cone__SELF_DUAL" class="foldit"><div class="descr"><p> True if the cone is self-dual.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__SIMPLE" onclick="swap_content('span:Cone__SIMPLE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__SIMPLE" onclick="swap_content('span:Cone__SIMPLE'); return false;"><b>SIMPLE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Cone__SIMPLE" class="foldit"><div class="descr"><p> True if the facets of the cone are simple. Dual to <a href="#Cone__SIMPLICIAL" onclick="unfold('span:Cone__SIMPLICIAL');">SIMPLICIAL</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__SIMPLICIAL" onclick="swap_content('span:Cone__SIMPLICIAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__SIMPLICIAL" onclick="swap_content('span:Cone__SIMPLICIAL'); return false;"><b>SIMPLICIAL</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Cone__SIMPLICIAL" class="foldit"><div class="descr"><p> True if the facets of the cone are simplicial.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__SIMPLICIAL_CONE" onclick="swap_content('span:Cone__SIMPLICIAL_CONE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__SIMPLICIAL_CONE" onclick="swap_content('span:Cone__SIMPLICIAL_CONE'); return false;"><b>SIMPLICIAL_CONE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Cone__SIMPLICIAL_CONE" class="foldit"><div class="descr"><p> True if the cone is simplicial.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__properties__Geometry" onclick="swap_content('span:Cone__properties__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__properties__Geometry" onclick="swap_content('span:Cone__properties__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:Cone__properties__Geometry" class="foldit"><div class="descr"><p> These properties capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__CONE_AMBIENT_DIM" onclick="swap_content('span:Cone__CONE_AMBIENT_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__CONE_AMBIENT_DIM" onclick="swap_content('span:Cone__CONE_AMBIENT_DIM'); return false;"><b>CONE_AMBIENT_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Cone__CONE_AMBIENT_DIM" class="foldit"><div class="descr"><p> The dimension of the space in which the cone lives.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__CONE_DIM" onclick="swap_content('span:Cone__CONE_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__CONE_DIM" onclick="swap_content('span:Cone__CONE_DIM'); return false;"><b>CONE_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Cone__CONE_DIM" class="foldit"><div class="descr"><p> Dimension of the linear span of the cone = dimension of the cone.
 If the cone is given purely combinatorially, this is the dimension of a minimal embedding space
 deduced from the combinatorial structure.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__EPSILON" onclick="swap_content('span:Cone__EPSILON'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__EPSILON" onclick="swap_content('span:Cone__EPSILON'); return false;"><b>EPSILON</b>:
		</a><a href="common.html#Float" onclick="unfold('span:Float');">common::Float</a><br/><div style="display: inline" id="span:Cone__EPSILON" class="foldit"><div class="descr"><b>Only defined for <a href="#Cone__specializations__Cone_Float">Cone&lt;Float&gt;</a></b></div><div class="descr"><p> Threshold for zero test for scalar products (e.g. vertex * facet normal)</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__FACETS" onclick="swap_content('span:Cone__FACETS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__FACETS" onclick="swap_content('span:Cone__FACETS'); return false;"><b>FACETS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Cone__FACETS" class="foldit"><div class="descr"><p> Facets of the cone, encoded as inequalities. 
 All vectors in this section must be non-zero.
 Dual to <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a>.
 This section is empty if and only if the cone is trivial (e.g. if it encodes an empty polytope).
 Notice that a polytope which is a single point defines a one-dimensional cone, the face at infinity is a facet.
 The property <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a> appears only in conjunction with the property <a href="#Cone__LINEAR_SPAN" onclick="unfold('span:Cone__LINEAR_SPAN');">LINEAR_SPAN</a>, or <a href="#PointConfiguration__AFFINE_HULL" onclick="unfold('span:PointConfiguration__AFFINE_HULL');">AFFINE_HULL</a>, respectively.
 The specification of the property <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a> requires the specification of <a href="#Cone__LINEAR_SPAN" onclick="unfold('span:Cone__LINEAR_SPAN');">LINEAR_SPAN</a>,
 or <a href="#PointConfiguration__AFFINE_HULL" onclick="unfold('span:PointConfiguration__AFFINE_HULL');">AFFINE_HULL</a>, respectively, and vice versa.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__FACETS_THRU_INPUT_RAYS" onclick="swap_content('span:Cone__FACETS_THRU_INPUT_RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__FACETS_THRU_INPUT_RAYS" onclick="swap_content('span:Cone__FACETS_THRU_INPUT_RAYS'); return false;"><b>FACETS_THRU_INPUT_RAYS</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Cone__FACETS_THRU_INPUT_RAYS" class="foldit"><div class="descr"><p> Transposed to <a href="#Cone__INPUT_RAYS_IN_FACETS" onclick="unfold('span:Cone__INPUT_RAYS_IN_FACETS');">INPUT_RAYS_IN_FACETS</a>.
 Notice that this is a temporary property; it will not be stored in any file.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__FULL_DIM" onclick="swap_content('span:Cone__FULL_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__FULL_DIM" onclick="swap_content('span:Cone__FULL_DIM'); return false;"><b>FULL_DIM</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Cone__FULL_DIM" class="foldit"><div class="descr"><p> <a href="#Cone__CONE_AMBIENT_DIM" onclick="unfold('span:Cone__CONE_AMBIENT_DIM');">CONE_AMBIENT_DIM</a> and <a href="#Cone__CONE_DIM" onclick="unfold('span:Cone__CONE_DIM');">CONE_DIM</a> coincide.  Notice that this makes sense also for the derived Polytope class.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__INEQUALITIES_THRU_RAYS" onclick="swap_content('span:Cone__INEQUALITIES_THRU_RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__INEQUALITIES_THRU_RAYS" onclick="swap_content('span:Cone__INEQUALITIES_THRU_RAYS'); return false;"><b>INEQUALITIES_THRU_RAYS</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Cone__INEQUALITIES_THRU_RAYS" class="foldit"><div class="descr"><p> transposed <a href="#Cone__RAYS_IN_INEQUALITIES" onclick="unfold('span:Cone__RAYS_IN_INEQUALITIES');">RAYS_IN_INEQUALITIES</a>
 Notice that this is a temporary property; it will not be stored in any file.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__INPUT_RAYS_IN_FACETS" onclick="swap_content('span:Cone__INPUT_RAYS_IN_FACETS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__INPUT_RAYS_IN_FACETS" onclick="swap_content('span:Cone__INPUT_RAYS_IN_FACETS'); return false;"><b>INPUT_RAYS_IN_FACETS</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Cone__INPUT_RAYS_IN_FACETS" class="foldit"><div class="descr"><p> <a href="#Cone__INPUT_RAYS" onclick="unfold('span:Cone__INPUT_RAYS');">Input ray</a>-<a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">facet</a> incidence matrix, with rows corresponding to <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">facet</a> and columns
 to <a href="#Cone__INPUT_RAYS" onclick="unfold('span:Cone__INPUT_RAYS');">input rays</a>. Input_rays and facets are numbered from 0 to <a href="#Cone__N_INPUT_RAYS" onclick="unfold('span:Cone__N_INPUT_RAYS');">N_INPUT_RAYS</a>-1 rsp.
 <a href="#Cone__N_FACETS" onclick="unfold('span:Cone__N_FACETS');">N_FACETS</a>-1, according to their order in <a href="#Cone__INPUT_RAYS" onclick="unfold('span:Cone__INPUT_RAYS');">INPUT_RAYS</a>
 rsp. <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__LINEALITY_DIM" onclick="swap_content('span:Cone__LINEALITY_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__LINEALITY_DIM" onclick="swap_content('span:Cone__LINEALITY_DIM'); return false;"><b>LINEALITY_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Cone__LINEALITY_DIM" class="foldit"><div class="descr"><p> Dimension of the <a href="#Cone__LINEALITY_SPACE" onclick="unfold('span:Cone__LINEALITY_SPACE');">LINEALITY_SPACE</a> (&gt;0 in the non-POINTED case)</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__LINEALITY_SPACE" onclick="swap_content('span:Cone__LINEALITY_SPACE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__LINEALITY_SPACE" onclick="swap_content('span:Cone__LINEALITY_SPACE'); return false;"><b>LINEALITY_SPACE</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Cone__LINEALITY_SPACE" class="foldit"><div class="descr"><p> Basis of the linear subspace orthogonal to all <a href="#Cone__INEQUALITIES" onclick="unfold('span:Cone__INEQUALITIES');">INEQUALITIES</a> and <a href="#Cone__EQUATIONS" onclick="unfold('span:Cone__EQUATIONS');">EQUATIONS</a>
 All vectors in this section must be non-zero.
 The property <a href="#Cone__LINEALITY_SPACE" onclick="unfold('span:Cone__LINEALITY_SPACE');">LINEALITY_SPACE</a> appears only in conjunction with the property <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a>, or <a href="#SchlegelDiagram__VERTICES" onclick="unfold('span:SchlegelDiagram__VERTICES');">VERTICES</a>, respectively.
 The specification of the property <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a> or <a href="#SchlegelDiagram__VERTICES" onclick="unfold('span:SchlegelDiagram__VERTICES');">VERTICES</a> requires the specification of <a href="#Cone__LINEALITY_SPACE" onclick="unfold('span:Cone__LINEALITY_SPACE');">LINEALITY_SPACE</a>, and vice versa.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__LINEAR_SPAN" onclick="swap_content('span:Cone__LINEAR_SPAN'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__LINEAR_SPAN" onclick="swap_content('span:Cone__LINEAR_SPAN'); return false;"><b>LINEAR_SPAN</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Cone__LINEAR_SPAN" class="foldit"><div class="descr"><p> Dual basis of the linear span of the cone.
 All vectors in this section must be non-zero.
 The property <a href="#Cone__LINEAR_SPAN" onclick="unfold('span:Cone__LINEAR_SPAN');">LINEAR_SPAN</a> appears only in conjunction with the property <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a>.
 The specification of the property <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a> requires the specification of <a href="#Cone__LINEAR_SPAN" onclick="unfold('span:Cone__LINEAR_SPAN');">LINEAR_SPAN</a>,
 or <a href="#PointConfiguration__AFFINE_HULL" onclick="unfold('span:PointConfiguration__AFFINE_HULL');">AFFINE_HULL</a>, respectively, and vice versa.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__N_EQUATIONS" onclick="swap_content('span:Cone__N_EQUATIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__N_EQUATIONS" onclick="swap_content('span:Cone__N_EQUATIONS'); return false;"><b>N_EQUATIONS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Cone__N_EQUATIONS" class="foldit"><div class="descr"><p> The number of <a href="#Cone__EQUATIONS" onclick="unfold('span:Cone__EQUATIONS');">EQUATIONS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__N_FACETS" onclick="swap_content('span:Cone__N_FACETS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__N_FACETS" onclick="swap_content('span:Cone__N_FACETS'); return false;"><b>N_FACETS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Cone__N_FACETS" class="foldit"><div class="descr"><p> The number of <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__N_INPUT_LINEALITY" onclick="swap_content('span:Cone__N_INPUT_LINEALITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__N_INPUT_LINEALITY" onclick="swap_content('span:Cone__N_INPUT_LINEALITY'); return false;"><b>N_INPUT_LINEALITY</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Cone__N_INPUT_LINEALITY" class="foldit"><div class="descr"><p> The number of <a href="#Cone__INPUT_LINEALITY" onclick="unfold('span:Cone__INPUT_LINEALITY');">INPUT_LINEALITY</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__N_INPUT_RAYS" onclick="swap_content('span:Cone__N_INPUT_RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__N_INPUT_RAYS" onclick="swap_content('span:Cone__N_INPUT_RAYS'); return false;"><b>N_INPUT_RAYS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Cone__N_INPUT_RAYS" class="foldit"><div class="descr"><p> The number of <a href="#Cone__INPUT_RAYS" onclick="unfold('span:Cone__INPUT_RAYS');">INPUT_RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__ONE_RAY" onclick="swap_content('span:Cone__ONE_RAY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__ONE_RAY" onclick="swap_content('span:Cone__ONE_RAY'); return false;"><b>ONE_RAY</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:Cone__ONE_RAY" class="foldit"><div class="descr"><p> A ray of a pointed cone.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__POINTED" onclick="swap_content('span:Cone__POINTED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__POINTED" onclick="swap_content('span:Cone__POINTED'); return false;"><b>POINTED</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Cone__POINTED" class="foldit"><div class="descr"><p> True if the cone does not contain a non-trivial linear subspace.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__POSITIVE" onclick="swap_content('span:Cone__POSITIVE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__POSITIVE" onclick="swap_content('span:Cone__POSITIVE'); return false;"><b>POSITIVE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Cone__POSITIVE" class="foldit"><div class="descr"><p> True if all <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a> of the cone have non-negative coordinates, 
 that is, if the pointed part of the cone lies entirely in the positive orthant.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__RAYS" onclick="swap_content('span:Cone__RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__RAYS" onclick="swap_content('span:Cone__RAYS'); return false;"><b>RAYS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Cone__RAYS" class="foldit"><div class="descr"><p> Rays of the cone. No redundancies are allowed.
 All vectors in this section must be non-zero.
 The property <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a> appears only in conjunction with the property <a href="#Cone__LINEALITY_SPACE" onclick="unfold('span:Cone__LINEALITY_SPACE');">LINEALITY_SPACE</a>.
 The specification of the property <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a> requires the specification of <a href="#Cone__LINEALITY_SPACE" onclick="unfold('span:Cone__LINEALITY_SPACE');">LINEALITY_SPACE</a>, and vice versa.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__RAYS_IN_INEQUALITIES" onclick="swap_content('span:Cone__RAYS_IN_INEQUALITIES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__RAYS_IN_INEQUALITIES" onclick="swap_content('span:Cone__RAYS_IN_INEQUALITIES'); return false;"><b>RAYS_IN_INEQUALITIES</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Cone__RAYS_IN_INEQUALITIES" class="foldit"><div class="descr"><p> Ray-inequality incidence matrix, with rows corresponding to facets and columns
 to rays. Rays and inequalities are numbered from 0 to <a href="#Cone__N_RAYS" onclick="unfold('span:Cone__N_RAYS');">N_RAYS</a>-1 rsp.
 number of <a href="#Cone__INEQUALITIES" onclick="unfold('span:Cone__INEQUALITIES');">INEQUALITIES</a>-1, according to their order in <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a>
 rsp. <a href="#Cone__INEQUALITIES" onclick="unfold('span:Cone__INEQUALITIES');">INEQUALITIES</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__RAY_SEPARATORS" onclick="swap_content('span:Cone__RAY_SEPARATORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__RAY_SEPARATORS" onclick="swap_content('span:Cone__RAY_SEPARATORS'); return false;"><b>RAY_SEPARATORS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Cone__RAY_SEPARATORS" class="foldit"><div class="descr"><p> The i-th row is the normal vector of a hyperplane separating the i-th vertex from the others.
 This property is a by-product of redundant point elimination algorithm.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__REL_INT_POINT" onclick="swap_content('span:Cone__REL_INT_POINT'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__REL_INT_POINT" onclick="swap_content('span:Cone__REL_INT_POINT'); return false;"><b>REL_INT_POINT</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:Cone__REL_INT_POINT" class="foldit"><div class="descr"><p> A point in the relative interior of the cone.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__properties__Input_property" onclick="swap_content('span:Cone__properties__Input_property'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__properties__Input_property" onclick="swap_content('span:Cone__properties__Input_property'); return false;"><span class="category">Input property</span></a></h3></div><div style="display: inline" id="span:Cone__properties__Input_property" class="foldit"><div class="descr"><p> These properties are for input only. They allow redundant information.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__EQUATIONS" onclick="swap_content('span:Cone__EQUATIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__EQUATIONS" onclick="swap_content('span:Cone__EQUATIONS'); return false;"><b>EQUATIONS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Cone__EQUATIONS" class="foldit"><div class="descr"><p> Equations that hold for all <a href="#Cone__INPUT_RAYS" onclick="unfold('span:Cone__INPUT_RAYS');">INPUT_RAYS</a> of the cone.
 All vectors in this section must be non-zero.</p><p> Input section only.  Ask for <a href="#Cone__LINEAR_SPAN" onclick="unfold('span:Cone__LINEAR_SPAN');">LINEAR_SPAN</a> if you want to see an irredundant description of the linear span.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__INEQUALITIES" onclick="swap_content('span:Cone__INEQUALITIES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__INEQUALITIES" onclick="swap_content('span:Cone__INEQUALITIES'); return false;"><b>INEQUALITIES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Cone__INEQUALITIES" class="foldit"><div class="descr"><p> Inequalities giving rise to the cone; redundancies are allowed.
 All vectors in this section must be non-zero.
 Dual to <a href="#Cone__INPUT_RAYS" onclick="unfold('span:Cone__INPUT_RAYS');">INPUT_RAYS</a>.</p><p> Input section only.  Ask for <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a> if you want to compute an H-representation from a V-representation.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__INPUT_LINEALITY" onclick="swap_content('span:Cone__INPUT_LINEALITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__INPUT_LINEALITY" onclick="swap_content('span:Cone__INPUT_LINEALITY'); return false;"><b>INPUT_LINEALITY</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Cone__INPUT_LINEALITY" class="foldit"><div class="descr"><p> (Non-homogenous) vectors whose linear span defines a subset of the lineality space of the cone; 
 redundancies are allowed. All vectors in the input must be non-zero.
 Dual to <a href="#Cone__EQUATIONS" onclick="unfold('span:Cone__EQUATIONS');">EQUATIONS</a>.</p><p> Input section only.  Ask for <a href="#Cone__LINEALITY_SPACE" onclick="unfold('span:Cone__LINEALITY_SPACE');">LINEALITY_SPACE</a> if 
 you want to compute a V-representation from an H-representation.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__INPUT_RAYS" onclick="swap_content('span:Cone__INPUT_RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__INPUT_RAYS" onclick="swap_content('span:Cone__INPUT_RAYS'); return false;"><b>INPUT_RAYS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Cone__INPUT_RAYS" class="foldit"><div class="descr"><p> (Non-homogenous) vectors whose positive span form the cone; redundancies are allowed.
 Dual to <a href="#Cone__INEQUALITIES" onclick="unfold('span:Cone__INEQUALITIES');">INEQUALITIES</a>. All vectors in the input must be non-zero.</p><p> Input section only.  Ask for <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a> if you want to compute a V-representation from an H-representation.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__properties__Lattice_points_in_cones" onclick="swap_content('span:Cone__properties__Lattice_points_in_cones'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__properties__Lattice_points_in_cones" onclick="swap_content('span:Cone__properties__Lattice_points_in_cones'); return false;"><span class="category">Lattice points in cones</span></a></h3></div><div style="display: inline" id="span:Cone__properties__Lattice_points_in_cones" class="foldit"><div class="descr"><p> These properties capture information that depends on the lattice structure of the cone.
 polymake always works with the integer lattice. </p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__DEGREE_ONE_GENERATORS" onclick="swap_content('span:Cone__DEGREE_ONE_GENERATORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__DEGREE_ONE_GENERATORS" onclick="swap_content('span:Cone__DEGREE_ONE_GENERATORS'); return false;"><b>DEGREE_ONE_GENERATORS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Integer, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Cone__DEGREE_ONE_GENERATORS" class="foldit"><div class="descr"><b>Only defined for <a href="#Cone__specializations__Cone_Rational">Cone&lt;Rational&gt;</a></b></div><div class="descr"><p> Elements of the <a href="#Cone__HILBERT_BASIS" onclick="unfold('span:Cone__HILBERT_BASIS');">HILBERT_BASIS</a> for the cone of degree 1 with respect
 to the <a href="#Cone__MONOID_GRADING" onclick="unfold('span:Cone__MONOID_GRADING');">MONOID_GRADING</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__GORENSTEIN_CONE" onclick="swap_content('span:Cone__GORENSTEIN_CONE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__GORENSTEIN_CONE" onclick="swap_content('span:Cone__GORENSTEIN_CONE'); return false;"><b>GORENSTEIN_CONE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Cone__GORENSTEIN_CONE" class="foldit"><div class="descr"><b>Only defined for <a href="#Cone__specializations__Cone_Rational">Cone&lt;Rational&gt;</a></b></div><div class="descr"><p> A cone is <a href="#Cone__GORENSTEIN_CONE" onclick="unfold('span:Cone__GORENSTEIN_CONE');">Gorenstein</a> if it is <a href="#Cone__Q_GORENSTEIN_CONE" onclick="unfold('span:Cone__Q_GORENSTEIN_CONE');">Q-Gorenstein</a> with index one</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__HILBERT_BASIS_GENERATORS" onclick="swap_content('span:Cone__HILBERT_BASIS_GENERATORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__HILBERT_BASIS_GENERATORS" onclick="swap_content('span:Cone__HILBERT_BASIS_GENERATORS'); return false;"><b>HILBERT_BASIS_GENERATORS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Matrix&lt;Integer, NonSymmetric&gt;&gt;</a><br/><div style="display: inline" id="span:Cone__HILBERT_BASIS_GENERATORS" class="foldit"><div class="descr"><b>Only defined for <a href="#Cone__specializations__Cone_Rational">Cone&lt;Rational&gt;</a></b></div><div class="descr"><p> Generators for the <a href="#Cone__HILBERT_BASIS" onclick="unfold('span:Cone__HILBERT_BASIS');">HILBERT_BASIS</a> of a posiibly non-pointed cone 
 the first matrix is a Hilbert basis of a pointed part of the cone
 the second matrix is a lattice basis of the lineality space
 note: the pointed part used in this property need not be the same as the one described by <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a> or <a href="#Cone__INPUT_RAYS" onclick="unfold('span:Cone__INPUT_RAYS');">INPUT_RAYS</a>
       it will be if the cone is pointed (the polytope is bounded)</p></div><div class="depends"><b>Depends on: </b>4ti2 (unbounded) or libnormaliz (bounded)
</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__HILBERT_SERIES" onclick="swap_content('span:Cone__HILBERT_SERIES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__HILBERT_SERIES" onclick="swap_content('span:Cone__HILBERT_SERIES'); return false;"><b>HILBERT_SERIES</b>:
		</a><a href="common.html#RationalFunction" onclick="unfold('span:RationalFunction');">common::RationalFunction&lt;Rational, Int&gt;</a><br/><div style="display: inline" id="span:Cone__HILBERT_SERIES" class="foldit"><div class="descr"><b>Only defined for <a href="#Cone__specializations__Cone_Rational">Cone&lt;Rational&gt;</a></b></div><div class="descr"><p> Hilbert series of the monoid, given by the intersection of the cone with 
 the lattice Z^d with respect to the <a href="#Cone__MONOID_GRADING" onclick="unfold('span:Cone__MONOID_GRADING');">MONOID_GRADING</a></p></div><div class="depends"><b>Depends on: </b>libnormaliz
</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__HOMOGENEOUS" onclick="swap_content('span:Cone__HOMOGENEOUS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__HOMOGENEOUS" onclick="swap_content('span:Cone__HOMOGENEOUS'); return false;"><b>HOMOGENEOUS</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Cone__HOMOGENEOUS" class="foldit"><div class="descr"><b>Only defined for <a href="#Cone__specializations__Cone_Rational">Cone&lt;Rational&gt;</a></b></div><div class="descr"><p> True if the primitive generators of the rays lie on an affine hyperplane in the span of the rays.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__H_STAR_VECTOR" onclick="swap_content('span:Cone__H_STAR_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__H_STAR_VECTOR" onclick="swap_content('span:Cone__H_STAR_VECTOR'); return false;"><b>H_STAR_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Cone__H_STAR_VECTOR" class="foldit"><div class="descr"><b>Only defined for <a href="#Cone__specializations__Cone_Rational">Cone&lt;Rational&gt;</a></b></div><div class="descr"><p> The coefficients of the Hilbert polynomial,
 the h^*-polynomial for lattice polytopes, 
 with respect to the <a href="#Cone__MONOID_GRADING" onclick="unfold('span:Cone__MONOID_GRADING');">MONOID_GRADING</a>
 starting at the constant coefficient.
 For lattice polytopes the length of this vector is <a href="#Cone__CONE_DIM" onclick="unfold('span:Cone__CONE_DIM');">CONE_DIM</a>.
 In general the length is one less than the degree of the
 denominator of the <a href="#Cone__HILBERT_SERIES" onclick="unfold('span:Cone__HILBERT_SERIES');">HILBERT_SERIES</a>.</p></div><div class="depends"><b>Depends on: </b>latte or libnormaliz
</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__MONOID_GRADING" onclick="swap_content('span:Cone__MONOID_GRADING'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__MONOID_GRADING" onclick="swap_content('span:Cone__MONOID_GRADING'); return false;"><b>MONOID_GRADING</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Cone__MONOID_GRADING" class="foldit"><div class="descr"><b>Only defined for <a href="#Cone__specializations__Cone_Rational">Cone&lt;Rational&gt;</a></b></div><div class="descr"><p> A grading for the monoid given by the intersection of the cone with the 
 lattice Z^d, should be positive for all generators.</p><p> If this property is not specified by the user there are two defaults:
     For rational polytopes the affine hyperplane defined by (1,0,\ldots,0) will be used.
     For <a href="#Cone__HOMOGENEOUS" onclick="unfold('span:Cone__HOMOGENEOUS');">HOMOGENEOUS</a> cones the affine hyperplane containing the primitive generators 
     will be used.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__N_HILBERT_BASIS" onclick="swap_content('span:Cone__N_HILBERT_BASIS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__N_HILBERT_BASIS" onclick="swap_content('span:Cone__N_HILBERT_BASIS'); return false;"><b>N_HILBERT_BASIS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Cone__N_HILBERT_BASIS" class="foldit"><div class="descr"><b>Only defined for <a href="#Cone__specializations__Cone_Rational">Cone&lt;Rational&gt;</a></b></div><div class="descr"><p> The number of elements of the <a href="#Cone__HILBERT_BASIS" onclick="unfold('span:Cone__HILBERT_BASIS');">HILBERT_BASIS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__Q_GORENSTEIN_CONE" onclick="swap_content('span:Cone__Q_GORENSTEIN_CONE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__Q_GORENSTEIN_CONE" onclick="swap_content('span:Cone__Q_GORENSTEIN_CONE'); return false;"><b>Q_GORENSTEIN_CONE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Cone__Q_GORENSTEIN_CONE" class="foldit"><div class="descr"><b>Only defined for <a href="#Cone__specializations__Cone_Rational">Cone&lt;Rational&gt;</a></b></div><div class="descr"><p> A cone is <em class="u">Q-Gorenstein</em> if all primitive generators of the cone lie in an affine hyperplane spanned by a lattice functional in the dual cone (but not in the lineality space of the dual cone).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__Q_GORENSTEIN_CONE_INDEX" onclick="swap_content('span:Cone__Q_GORENSTEIN_CONE_INDEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__Q_GORENSTEIN_CONE_INDEX" onclick="swap_content('span:Cone__Q_GORENSTEIN_CONE_INDEX'); return false;"><b>Q_GORENSTEIN_CONE_INDEX</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Cone__Q_GORENSTEIN_CONE_INDEX" class="foldit"><div class="descr"><b>Only defined for <a href="#Cone__specializations__Cone_Rational">Cone&lt;Rational&gt;</a></b></div><div class="descr"><p> If a cone is <a href="#Cone__Q_GORENSTEIN_CONE" onclick="unfold('span:Cone__Q_GORENSTEIN_CONE');">Q-Gorenstein</a>, then its index is the common lattice height of the primitive generators with respect to the origin. Otherwise Q_GORENSTEIN_CONE_INDEX is undefined.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__SMOOTH_CONE" onclick="swap_content('span:Cone__SMOOTH_CONE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__SMOOTH_CONE" onclick="swap_content('span:Cone__SMOOTH_CONE'); return false;"><b>SMOOTH_CONE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Cone__SMOOTH_CONE" class="foldit"><div class="descr"><b>Only defined for <a href="#Cone__specializations__Cone_Rational">Cone&lt;Rational&gt;</a></b></div><div class="descr"><p> A cone is <em class="u">smooth</em> if the primitive generators are part of a lattice basis.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__properties__Symmetry" onclick="swap_content('span:Cone__properties__Symmetry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__properties__Symmetry" onclick="swap_content('span:Cone__properties__Symmetry'); return false;"><span class="category">Symmetry</span></a></h3></div><div style="display: inline" id="span:Cone__properties__Symmetry" class="foldit"><div class="descr"><p> These properties capture information of the object that is concerned with the action of permutation groups.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__GROUP" onclick="swap_content('span:Cone__GROUP'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__GROUP" onclick="swap_content('span:Cone__GROUP'); return false;"><b>GROUP</b>:
		</a><a href="group.html#GroupOfCone" onclick="unfold('span:GroupOfCone');">group::GroupOfCone</a><br/><div style="display: inline" id="span:Cone__GROUP" class="foldit"><div class="descr"><p> A group acting on the cone via permutation of its 
 rays (<a href="group.html#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=1), facets (<a href="group.html#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=2), or
 coordinates (<a href="group.html#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=3). </p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__properties__Triangulation_and_volume" onclick="swap_content('span:Cone__properties__Triangulation_and_volume'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__properties__Triangulation_and_volume" onclick="swap_content('span:Cone__properties__Triangulation_and_volume'); return false;"><span class="category">Triangulation and volume</span></a></h3></div><div style="display: inline" id="span:Cone__properties__Triangulation_and_volume" class="foldit"><div class="descr"><p> These properties collect information about triangulations of the object and properties usually computed from such, as the volume.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__TRIANGULATION" onclick="swap_content('span:Cone__TRIANGULATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__TRIANGULATION" onclick="swap_content('span:Cone__TRIANGULATION'); return false;"><b>TRIANGULATION</b>:
		</a><a href="topaz.html#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">topaz::GeometricSimplicialComplex</a><br/><div style="display: inline" id="span:Cone__TRIANGULATION" class="foldit"><div class="descr"><p> Some triangulation of the cone using only its <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a>.</p></div><h4>Properties of TRIANGULATION</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__TRIANGULATION__properties__Combinatorics" onclick="swap_content('span:Cone__TRIANGULATION__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__TRIANGULATION__properties__Combinatorics" onclick="swap_content('span:Cone__TRIANGULATION__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:Cone__TRIANGULATION__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__TRIANGULATION__BOUNDARY" onclick="swap_content('span:Cone__TRIANGULATION__BOUNDARY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__TRIANGULATION__BOUNDARY" onclick="swap_content('span:Cone__TRIANGULATION__BOUNDARY'); return false;"><b>BOUNDARY</b>:
		</a><a href="topaz.html#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">topaz::SimplicialComplex</a><br/><div style="display: inline" id="span:Cone__TRIANGULATION__BOUNDARY" class="foldit"><div class="descr"><p>Amendment of <a href="topaz.html#SimplicialComplex__BOUNDARY" onclick="unfold('span:SimplicialComplex__BOUNDARY');">topaz::SimplicialComplex::BOUNDARY</a> for Cone::TRIANGULATION::BOUNDARY</p></div><h4>Properties of BOUNDARY</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__TRIANGULATION__BOUNDARY__FACET_TRIANGULATIONS" onclick="swap_content('span:Cone__TRIANGULATION__BOUNDARY__FACET_TRIANGULATIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__TRIANGULATION__BOUNDARY__FACET_TRIANGULATIONS" onclick="swap_content('span:Cone__TRIANGULATION__BOUNDARY__FACET_TRIANGULATIONS'); return false;"><b>FACET_TRIANGULATIONS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Cone__TRIANGULATION__BOUNDARY__FACET_TRIANGULATIONS" class="foldit"><div class="descr"><p> For each facet the set of simplex indices of <a href="#Cone__TRIANGULATION__BOUNDARY" onclick="unfold('span:Cone__TRIANGULATION__BOUNDARY');">BOUNDARY</a> that triangulate it.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__TRIANGULATION__REFINED_SPLITS" onclick="swap_content('span:Cone__TRIANGULATION__REFINED_SPLITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__TRIANGULATION__REFINED_SPLITS" onclick="swap_content('span:Cone__TRIANGULATION__REFINED_SPLITS'); return false;"><b>REFINED_SPLITS</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:Cone__TRIANGULATION__REFINED_SPLITS" class="foldit"><div class="descr"><p> The splits that are coarsenings of the current <a href="#Cone__TRIANGULATION" onclick="unfold('span:Cone__TRIANGULATION');">TRIANGULATION</a>.
 If the triangulation is regular these form the unique split decomposition of
 the corresponding weight function.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__TRIANGULATION__properties__Geometry" onclick="swap_content('span:Cone__TRIANGULATION__properties__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__TRIANGULATION__properties__Geometry" onclick="swap_content('span:Cone__TRIANGULATION__properties__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:Cone__TRIANGULATION__properties__Geometry" class="foldit"><div class="descr"><p> These properties capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__TRIANGULATION__WEIGHTS" onclick="swap_content('span:Cone__TRIANGULATION__WEIGHTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__TRIANGULATION__WEIGHTS" onclick="swap_content('span:Cone__TRIANGULATION__WEIGHTS'); return false;"><b>WEIGHTS</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:Cone__TRIANGULATION__WEIGHTS" class="foldit"><div class="descr"><p> Weight vector to construct a regular <a href="#Cone__TRIANGULATION" onclick="unfold('span:Cone__TRIANGULATION');">TRIANGULATION</a>.
 Must be generic.</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__TRIANGULATION_INT" onclick="swap_content('span:Cone__TRIANGULATION_INT'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__TRIANGULATION_INT" onclick="swap_content('span:Cone__TRIANGULATION_INT'); return false;"><b>TRIANGULATION_INT</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Cone__TRIANGULATION_INT" class="foldit"><div class="descr"><p> Conceptually, similar to <a href="#Cone__TRIANGULATION" onclick="unfold('span:Cone__TRIANGULATION');">TRIANGULATION</a>, but using <a href="#Cone__INPUT_RAYS" onclick="unfold('span:Cone__INPUT_RAYS');">INPUT_RAYS</a>.
 However, here we use a small object type.  The main reason for the existence of this property
 (in this form) is the <a href="#preferences__beneath_beyond" onclick="unfold('span:preferences__beneath_beyond');">beneath_beyond</a> algorithm, which automatically produces this data as
 a by-product of the conversion from <a href="#Cone__INPUT_RAYS" onclick="unfold('span:Cone__INPUT_RAYS');">INPUT_RAYS</a> to <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a>.  And that data is too valuable
 to throw away.  Use big objects of type <a href="#VectorConfiguration" onclick="unfold('span:VectorConfiguration');">VectorConfiguration</a> if you want to work with
 triangulations using redundant points.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__properties__Visualization" onclick="swap_content('span:Cone__properties__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__properties__Visualization" onclick="swap_content('span:Cone__properties__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:Cone__properties__Visualization" class="foldit"><div class="descr"><p> These properties are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__COORDINATE_LABELS" onclick="swap_content('span:Cone__COORDINATE_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__COORDINATE_LABELS" onclick="swap_content('span:Cone__COORDINATE_LABELS'); return false;"><b>COORDINATE_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:Cone__COORDINATE_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the coordinate directions, analogous to <a href="#Cone__RAY_LABELS" onclick="unfold('span:Cone__RAY_LABELS');">RAY_LABELS</a>.
 For Polytopes this should contain "inhomog_var" for the homogenization coordinate and this will
 be added automatically if necessary and <a href="#Cone__CONE_AMBIENT_DIM" onclick="unfold('span:Cone__CONE_AMBIENT_DIM');">CONE_AMBIENT_DIM</a> can be computed.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__FACET_LABELS" onclick="swap_content('span:Cone__FACET_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__FACET_LABELS" onclick="swap_content('span:Cone__FACET_LABELS'); return false;"><b>FACET_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:Cone__FACET_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a>, analogous to <a href="#Cone__RAY_LABELS" onclick="unfold('span:Cone__RAY_LABELS');">RAY_LABELS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__FTR_CYCLIC_NORMAL" onclick="swap_content('span:Cone__FTR_CYCLIC_NORMAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__FTR_CYCLIC_NORMAL" onclick="swap_content('span:Cone__FTR_CYCLIC_NORMAL'); return false;"><b>FTR_CYCLIC_NORMAL</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Cone__FTR_CYCLIC_NORMAL" class="foldit"><div class="descr"><p> Reordered transposed <a href="#Cone__RAYS_IN_FACETS" onclick="unfold('span:Cone__RAYS_IN_FACETS');">RAYS_IN_FACETS</a>. Dual to <a href="#Cone__RIF_CYCLIC_NORMAL" onclick="unfold('span:Cone__RIF_CYCLIC_NORMAL');">RIF_CYCLIC_NORMAL</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__INEQUALITY_LABELS" onclick="swap_content('span:Cone__INEQUALITY_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__INEQUALITY_LABELS" onclick="swap_content('span:Cone__INEQUALITY_LABELS'); return false;"><b>INEQUALITY_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:Cone__INEQUALITY_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#Cone__INEQUALITIES" onclick="unfold('span:Cone__INEQUALITIES');">INEQUALITIES</a>, analogous to <a href="#Cone__RAY_LABELS" onclick="unfold('span:Cone__RAY_LABELS');">RAY_LABELS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__INPUT_RAY_LABELS" onclick="swap_content('span:Cone__INPUT_RAY_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__INPUT_RAY_LABELS" onclick="swap_content('span:Cone__INPUT_RAY_LABELS'); return false;"><b>INPUT_RAY_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:Cone__INPUT_RAY_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#Cone__INPUT_RAYS" onclick="unfold('span:Cone__INPUT_RAYS');">INPUT_RAYS</a>, analogous to <a href="#Cone__RAY_LABELS" onclick="unfold('span:Cone__RAY_LABELS');">RAY_LABELS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__NEIGHBOR_FACETS_CYCLIC_NORMAL" onclick="swap_content('span:Cone__NEIGHBOR_FACETS_CYCLIC_NORMAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__NEIGHBOR_FACETS_CYCLIC_NORMAL" onclick="swap_content('span:Cone__NEIGHBOR_FACETS_CYCLIC_NORMAL'); return false;"><b>NEIGHBOR_FACETS_CYCLIC_NORMAL</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Cone__NEIGHBOR_FACETS_CYCLIC_NORMAL" class="foldit"><div class="descr"><p> Reordered <a href="#Cone__DUAL_GRAPH" onclick="unfold('span:Cone__DUAL_GRAPH');">DUAL_GRAPH</a> for 3d-cones.
 The neighbor facets are listed in the order corresponding to <a href="#Cone__RIF_CYCLIC_NORMAL" onclick="unfold('span:Cone__RIF_CYCLIC_NORMAL');">RIF_CYCLIC_NORMAL</a>,
 so that the first two vertices in RIF_CYCLIC_NORMAL make up the ridge to the first neighbor
 facet and so on.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__NEIGHBOR_RAYS_CYCLIC_NORMAL" onclick="swap_content('span:Cone__NEIGHBOR_RAYS_CYCLIC_NORMAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__NEIGHBOR_RAYS_CYCLIC_NORMAL" onclick="swap_content('span:Cone__NEIGHBOR_RAYS_CYCLIC_NORMAL'); return false;"><b>NEIGHBOR_RAYS_CYCLIC_NORMAL</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Cone__NEIGHBOR_RAYS_CYCLIC_NORMAL" class="foldit"><div class="descr"><p> Reordered <a href="#Cone__GRAPH" onclick="unfold('span:Cone__GRAPH');">GRAPH</a>. Dual to <a href="#Cone__NEIGHBOR_FACETS_CYCLIC_NORMAL" onclick="unfold('span:Cone__NEIGHBOR_FACETS_CYCLIC_NORMAL');">NEIGHBOR_FACETS_CYCLIC_NORMAL</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__RAY_LABELS" onclick="swap_content('span:Cone__RAY_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__RAY_LABELS" onclick="swap_content('span:Cone__RAY_LABELS'); return false;"><b>RAY_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:Cone__RAY_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a>.
 If specified, they are shown by visualization tools instead of ray indices.</p><p> For a cone built from scratch, you should create this property by yourself,
 either manually in a text editor, or with a client program. If you build a cone with a construction client
 taking some other input cone(s), you can create the labels automatically if you
 call the client with a <em class="param">relabel</em> option. The exact format of the labels is dependent on the
 construction, and is described by the corresponding client.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__RIF_CYCLIC_NORMAL" onclick="swap_content('span:Cone__RIF_CYCLIC_NORMAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__RIF_CYCLIC_NORMAL" onclick="swap_content('span:Cone__RIF_CYCLIC_NORMAL'); return false;"><b>RIF_CYCLIC_NORMAL</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Cone__RIF_CYCLIC_NORMAL" class="foldit"><div class="descr"><p> Reordered <a href="#Cone__RAYS_IN_FACETS" onclick="unfold('span:Cone__RAYS_IN_FACETS');">RAYS_IN_FACETS</a> for 2d and 3d-cones.
 Rays are listed in the order of their appearance
 when traversing the facet border counterclockwise seen from outside of the origin.</p></div></div></div></div></li></ul></div></div></div></li></ul><h4>User Methods of Cone</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__methods__Backward_compatibility" onclick="swap_content('span:Cone__methods__Backward_compatibility'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__methods__Backward_compatibility" onclick="swap_content('span:Cone__methods__Backward_compatibility'); return false;"><span class="category">Backward compatibility</span></a></h3></div><div style="display: inline" id="span:Cone__methods__Backward_compatibility" class="foldit"><div class="descr"><p> These methods are provided for backward compatibility with older versions of polymake only. They should not be used in new code.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__DIAMETER" onclick="swap_content('span:Cone__DIAMETER'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__DIAMETER" onclick="swap_content('span:Cone__DIAMETER'); return false;"><b>DIAMETER</b></a>
			()  

			<div style="display: inline" id="span:Cone__DIAMETER" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The diameter of the <a href="#Cone__GRAPH" onclick="unfold('span:Cone__GRAPH');">GRAPH</a> of the cone</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__DUAL_DIAMETER" onclick="swap_content('span:Cone__DUAL_DIAMETER'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__DUAL_DIAMETER" onclick="swap_content('span:Cone__DUAL_DIAMETER'); return false;"><b>DUAL_DIAMETER</b></a>
			()  

			<div style="display: inline" id="span:Cone__DUAL_DIAMETER" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The diameter of the <a href="#Cone__DUAL_GRAPH" onclick="unfold('span:Cone__DUAL_GRAPH');">DUAL_GRAPH</a></p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__DUAL_TRIANGLE_FREE" onclick="swap_content('span:Cone__DUAL_TRIANGLE_FREE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__DUAL_TRIANGLE_FREE" onclick="swap_content('span:Cone__DUAL_TRIANGLE_FREE'); return false;"><b>DUAL_TRIANGLE_FREE</b></a>
			()  

			<div style="display: inline" id="span:Cone__DUAL_TRIANGLE_FREE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> True if the <a href="#Cone__DUAL_GRAPH" onclick="unfold('span:Cone__DUAL_GRAPH');">DUAL_GRAPH</a> contains no triangle</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__TRIANGLE_FREE" onclick="swap_content('span:Cone__TRIANGLE_FREE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__TRIANGLE_FREE" onclick="swap_content('span:Cone__TRIANGLE_FREE'); return false;"><b>TRIANGLE_FREE</b></a>
			()  

			<div style="display: inline" id="span:Cone__TRIANGLE_FREE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> True if the <a href="#Cone__GRAPH" onclick="unfold('span:Cone__GRAPH');">GRAPH</a> contains no triangle</p></div></div><div class="level3"/></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__methods__Combinatorics" onclick="swap_content('span:Cone__methods__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__methods__Combinatorics" onclick="swap_content('span:Cone__methods__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:Cone__methods__Combinatorics" class="foldit"><div class="descr"><p> These methods capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__CONNECTIVITY" onclick="swap_content('span:Cone__CONNECTIVITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__CONNECTIVITY" onclick="swap_content('span:Cone__CONNECTIVITY'); return false;"><b>CONNECTIVITY</b></a>
			()  

			<div style="display: inline" id="span:Cone__CONNECTIVITY" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Connectivity of the <a href="#Cone__GRAPH" onclick="unfold('span:Cone__GRAPH');">GRAPH</a>
 this is the minimum number of nodes that have to be removed from the <a href="#Cone__GRAPH" onclick="unfold('span:Cone__GRAPH');">GRAPH</a> to make it disconnected</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__DUAL_CONNECTIVITY" onclick="swap_content('span:Cone__DUAL_CONNECTIVITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__DUAL_CONNECTIVITY" onclick="swap_content('span:Cone__DUAL_CONNECTIVITY'); return false;"><b>DUAL_CONNECTIVITY</b></a>
			()  

			<div style="display: inline" id="span:Cone__DUAL_CONNECTIVITY" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Connectivity of the <a href="#Cone__DUAL_GRAPH" onclick="unfold('span:Cone__DUAL_GRAPH');">DUAL_GRAPH</a>
 this is the minimum number of nodes that have to be removed from the <a href="#Cone__DUAL_GRAPH" onclick="unfold('span:Cone__DUAL_GRAPH');">DUAL_GRAPH</a> to make it disconnected</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__DUAL_EVEN" onclick="swap_content('span:Cone__DUAL_EVEN'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__DUAL_EVEN" onclick="swap_content('span:Cone__DUAL_EVEN'); return false;"><b>DUAL_EVEN</b></a>
			()  

			<div style="display: inline" id="span:Cone__DUAL_EVEN" class="foldit"><br/><div class="descr_func"><div class="descr"><p> True if the <a href="#Cone__DUAL_GRAPH" onclick="unfold('span:Cone__DUAL_GRAPH');">DUAL_GRAPH</a> is bipartite</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__EVEN" onclick="swap_content('span:Cone__EVEN'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__EVEN" onclick="swap_content('span:Cone__EVEN'); return false;"><b>EVEN</b></a>
			()  

			<div style="display: inline" id="span:Cone__EVEN" class="foldit"><br/><div class="descr_func"><div class="descr"><p> True if the <a href="#Cone__GRAPH" onclick="unfold('span:Cone__GRAPH');">GRAPH</a> is bipartite</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__face" onclick="swap_content('span:Cone__face'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__face" onclick="swap_content('span:Cone__face'); return false;"><b>face</b></a>
			()  

			<div style="display: inline" id="span:Cone__face" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For a given set of vertices compute the smallest face F containing them all.
 Returns a Pair&lt;Set,Set&gt; where the first is the set of vertices of F, while the second is the set of facets containing F.
 Example: $c=cube(3); print rank($c-&gt;VERTICES-&gt;minor($c-&gt;face([0,1])-&gt;first(),All))-1;
 computes the dimension of the face of the 3-cube which is spanned by the vertices 0 and 1.</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__FACET_DEGREES" onclick="swap_content('span:Cone__FACET_DEGREES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__FACET_DEGREES" onclick="swap_content('span:Cone__FACET_DEGREES'); return false;"><b>FACET_DEGREES</b></a>
			()  

			
				→ Vector&lt;Int&gt;<div style="display: inline" id="span:Cone__FACET_DEGREES" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Facet degrees of the polytope.
 The <em class="u">degree</em> of a facet is the number of adjacent facets.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Int&gt;</a></td><td><div class="descr"><div>- in the same order as <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a></div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__N_FLAGS" onclick="swap_content('span:Cone__N_FLAGS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__N_FLAGS" onclick="swap_content('span:Cone__N_FLAGS'); return false;"><b>N_FLAGS</b></a>
			(type ...)  

			<div style="display: inline" id="span:Cone__N_FLAGS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Determine the number of flags of a given type.
 <em class="param">type</em> must belong to {0,...,<a href="#Cone__COMBINATORIAL_DIM" onclick="unfold('span:Cone__COMBINATORIAL_DIM');">COMBINATORIAL_DIM</a>-1}.
 Example: "N_FLAGS(0,3,4)" determines the entry f<sub>034</sub> of the flag vector.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">type ...</td><td><div class="descr"><div>flag type</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__VERTEX_DEGREES" onclick="swap_content('span:Cone__VERTEX_DEGREES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__VERTEX_DEGREES" onclick="swap_content('span:Cone__VERTEX_DEGREES'); return false;"><b>VERTEX_DEGREES</b></a>
			()  

			
				→ Vector&lt;Int&gt;<div style="display: inline" id="span:Cone__VERTEX_DEGREES" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Ray degrees of the cone</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Int&gt;</a></td><td><div class="descr"><div>- in the same order as <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a></div></div></td></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__methods__Geometry" onclick="swap_content('span:Cone__methods__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__methods__Geometry" onclick="swap_content('span:Cone__methods__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:Cone__methods__Geometry" class="foldit"><div class="descr"><p> These methods capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__AMBIENT_DIM" onclick="swap_content('span:Cone__AMBIENT_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__AMBIENT_DIM" onclick="swap_content('span:Cone__AMBIENT_DIM'); return false;"><b>AMBIENT_DIM</b></a>
			()  

			<div style="display: inline" id="span:Cone__AMBIENT_DIM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> returns the dimension of the ambient space of the cone</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__DIM" onclick="swap_content('span:Cone__DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__DIM" onclick="swap_content('span:Cone__DIM'); return false;"><b>DIM</b></a>
			()  

			<div style="display: inline" id="span:Cone__DIM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> returns the geometric dimension of the cone (including the lineality space)
 for the dimension of the pointed part ask for <a href="#Cone__COMBINATORIAL_DIM" onclick="unfold('span:Cone__COMBINATORIAL_DIM');">COMBINATORIAL_DIM</a></p></div></div><div class="level3"/></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__methods__Lattice_points_in_cones" onclick="swap_content('span:Cone__methods__Lattice_points_in_cones'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__methods__Lattice_points_in_cones" onclick="swap_content('span:Cone__methods__Lattice_points_in_cones'); return false;"><span class="category">Lattice points in cones</span></a></h3></div><div style="display: inline" id="span:Cone__methods__Lattice_points_in_cones" class="foldit"><div class="descr"><p> These methods capture information that depends on the lattice structure of the cone.
 polymake always works with the integer lattice. </p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__HILBERT_BASIS" onclick="swap_content('span:Cone__HILBERT_BASIS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__HILBERT_BASIS" onclick="swap_content('span:Cone__HILBERT_BASIS'); return false;"><b>HILBERT_BASIS</b></a>
			()  

			
				→ Matrix&lt;Integer&gt;<div style="display: inline" id="span:Cone__HILBERT_BASIS" class="foldit"><br/><div class="descr_func"><div class="descr"><b>Only defined for <a href="#Cone__specializations__Cone_Rational">Cone&lt;Rational&gt;</a></b></div><div class="descr"><p> for a cone this method returns a Hilbert basis of the cone
 for a polytope this method returns a Hilbert basis of the homogenization cone of the polytope
 note: if the cone is not pointed (the polytope is not bounded) then the returned basis is not unique and usually not minimal</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Integer&gt;</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__methods__Topology" onclick="swap_content('span:Cone__methods__Topology'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Cone__methods__Topology" onclick="swap_content('span:Cone__methods__Topology'); return false;"><span class="category">Topology</span></a></h3></div><div style="display: inline" id="span:Cone__methods__Topology" class="foldit"><div class="descr"><p> The following methods compute topological invariants.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__DUAL_GRAPH_SIGNATURE" onclick="swap_content('span:Cone__DUAL_GRAPH_SIGNATURE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__DUAL_GRAPH_SIGNATURE" onclick="swap_content('span:Cone__DUAL_GRAPH_SIGNATURE'); return false;"><b>DUAL_GRAPH_SIGNATURE</b></a>
			()  

			<div style="display: inline" id="span:Cone__DUAL_GRAPH_SIGNATURE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Difference of the black and white nodes if the <a href="#Cone__DUAL_GRAPH" onclick="unfold('span:Cone__DUAL_GRAPH');">DUAL_GRAPH</a> is <a href="graph.html#Graph__BIPARTITE" onclick="unfold('span:Graph__BIPARTITE');">BIPARTITE</a>.
 Otherwise -1.</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__GRAPH_SIGNATURE" onclick="swap_content('span:Cone__GRAPH_SIGNATURE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__GRAPH_SIGNATURE" onclick="swap_content('span:Cone__GRAPH_SIGNATURE'); return false;"><b>GRAPH_SIGNATURE</b></a>
			()  

			<div style="display: inline" id="span:Cone__GRAPH_SIGNATURE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Difference of the black and white nodes if the <a href="#Cone__GRAPH" onclick="unfold('span:Cone__GRAPH');">GRAPH</a> is <a href="graph.html#Graph__BIPARTITE" onclick="unfold('span:Graph__BIPARTITE');">BIPARTITE</a>.
 Otherwise -1.</p></div></div><div class="level3"/></div></div></div></li></ul></div></div></div></li></ul><h4>Permutations of Cone</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__permutations__FacetPerm" onclick="swap_content('span:Cone__permutations__FacetPerm'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__permutations__FacetPerm" onclick="swap_content('span:Cone__permutations__FacetPerm'); return false;"><b>FacetPerm</b></a><div style="display: inline" id="span:Cone__permutations__FacetPerm" class="foldit"><div class="undoc"><p>UNDOCUMENTED</p></div><h4>Properties of FacetPerm</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__permutations__FacetPerm__PERMUTATION" onclick="swap_content('span:Cone__permutations__FacetPerm__PERMUTATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__permutations__FacetPerm__PERMUTATION" onclick="swap_content('span:Cone__permutations__FacetPerm__PERMUTATION'); return false;"><b>PERMUTATION</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:Cone__permutations__FacetPerm__PERMUTATION" class="foldit"><div class="descr"><p> Transforming <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a> from this into basic object</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Cone__permutations__VertexPerm" onclick="swap_content('span:Cone__permutations__VertexPerm'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__permutations__VertexPerm" onclick="swap_content('span:Cone__permutations__VertexPerm'); return false;"><b>VertexPerm</b></a><div style="display: inline" id="span:Cone__permutations__VertexPerm" class="foldit"><div class="undoc"><p>UNDOCUMENTED</p></div><h4>Properties of VertexPerm</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Cone__permutations__VertexPerm__PERMUTATION" onclick="swap_content('span:Cone__permutations__VertexPerm__PERMUTATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Cone__permutations__VertexPerm__PERMUTATION" onclick="swap_content('span:Cone__permutations__VertexPerm__PERMUTATION'); return false;"><b>PERMUTATION</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:Cone__permutations__VertexPerm__PERMUTATION" class="foldit"><div class="descr"><p> Transforming <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">RAYS</a> from this into basic object</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:GroebnerBasis" onclick="swap_content('span:GroebnerBasis'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="GroebnerBasis" onclick="swap_content('span:GroebnerBasis'); return false;"><span class="object">GroebnerBasis</span></a></h3></div><div style="display: inline" id="span:GroebnerBasis" class="foldit"><b>Category: </b>Lattice points in cones<br/><div class="descr"><p> The Groebner basis of the homogeneous toric ideal associated to the polytope,
 the term order is given in matrix form.</p></div><div class="level3"/><h4>Properties of GroebnerBasis</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:GroebnerBasis__BASIS" onclick="swap_content('span:GroebnerBasis__BASIS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="GroebnerBasis__BASIS" onclick="swap_content('span:GroebnerBasis__BASIS'); return false;"><b>BASIS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Integer, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:GroebnerBasis__BASIS" class="foldit"><div class="descr"><p> The Groebner basis for a defined term order.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:GroebnerBasis__TERM_ORDER_MATRIX" onclick="swap_content('span:GroebnerBasis__TERM_ORDER_MATRIX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="GroebnerBasis__TERM_ORDER_MATRIX" onclick="swap_content('span:GroebnerBasis__TERM_ORDER_MATRIX'); return false;"><b>TERM_ORDER_MATRIX</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Integer, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:GroebnerBasis__TERM_ORDER_MATRIX" class="foldit"><div class="descr"><p> The term order in matrix form;
 if not square, then a tie breaker is used.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:GroebnerBasis__TERM_ORDER_NAME" onclick="swap_content('span:GroebnerBasis__TERM_ORDER_NAME'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="GroebnerBasis__TERM_ORDER_NAME" onclick="swap_content('span:GroebnerBasis__TERM_ORDER_NAME'); return false;"><b>TERM_ORDER_NAME</b>:
		</a><a href="common.html#String" onclick="unfold('span:String');">common::String</a><br/><div style="display: inline" id="span:GroebnerBasis__TERM_ORDER_NAME" class="foldit"><div class="descr"><p> A term order by name;
 allowed acronyms are <code>lex</code>, <code>deglex</code> and <code>degrevlex</code>.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:LinearProgram" onclick="swap_content('span:LinearProgram'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="LinearProgram" onclick="swap_content('span:LinearProgram'); return false;"><span class="object">LinearProgram</span></a></h3></div><div style="display: inline" id="span:LinearProgram" class="foldit"><b>Category: </b>Optimization<br/><div class="descr"><p> A linear program specified by a linear or abstract objective function</p></div><div class="level3"/><h4>Properties of LinearProgram</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:LinearProgram__ABSTRACT_OBJECTIVE" onclick="swap_content('span:LinearProgram__ABSTRACT_OBJECTIVE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="LinearProgram__ABSTRACT_OBJECTIVE" onclick="swap_content('span:LinearProgram__ABSTRACT_OBJECTIVE'); return false;"><b>ABSTRACT_OBJECTIVE</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:LinearProgram__ABSTRACT_OBJECTIVE" class="foldit"><div class="descr"><p> Abstract objective function.  Defines a direction for each edge such that each non-empty
 face has a unique source and a unique sink. 
 The i-th element is the value of the objective function at vertex number i.
 Only defined for bounded polytopes.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following creates a new LinearProgram object and assigns an abstract objective to it:<code>&gt; $l = cube(2)-&gt;LP(ABSTRACT_OBJECTIVE=&gt;[1,2,3,4]);</code><code>&gt; print $l-&gt;ABSTRACT_OBJECTIVE;</code><code> 1 2 3 4</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:LinearProgram__DIRECTED_BOUNDED_GRAPH" onclick="swap_content('span:LinearProgram__DIRECTED_BOUNDED_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="LinearProgram__DIRECTED_BOUNDED_GRAPH" onclick="swap_content('span:LinearProgram__DIRECTED_BOUNDED_GRAPH'); return false;"><b>DIRECTED_BOUNDED_GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Directed&gt;</a><br/><div style="display: inline" id="span:LinearProgram__DIRECTED_BOUNDED_GRAPH" class="foldit"><div class="descr"><p> Subgraph of <a href="#Polytope__BOUNDED_GRAPH" onclick="unfold('span:Polytope__BOUNDED_GRAPH');">BOUNDED_GRAPH</a>. Consists only of directed arcs along which the value of the objective function increases.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:LinearProgram__DIRECTED_GRAPH" onclick="swap_content('span:LinearProgram__DIRECTED_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="LinearProgram__DIRECTED_GRAPH" onclick="swap_content('span:LinearProgram__DIRECTED_GRAPH'); return false;"><b>DIRECTED_GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Directed&gt;</a><br/><div style="display: inline" id="span:LinearProgram__DIRECTED_GRAPH" class="foldit"><div class="descr"><p> Subgraph of <a href="#Polytope__GRAPH" onclick="unfold('span:Polytope__GRAPH');">Polytope::GRAPH</a>. Consists only of directed arcs along which the value of the objective function increases.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following defines a LinearProgram together with a linear objective for the centered square with side length 2. The directed
 graph according to the linear objective is stored in a new variable and the corresponding edges are printend.<code>&gt; $c = new Vector([0, 1, 0]);</code><code>&gt; $p = cube(2);</code><code>&gt; $p-&gt;LP(LINEAR_OBJECTIVE=&gt;$c);</code><code>&gt; $g = $p-&gt;LP-&gt;DIRECTED_GRAPH;</code><code>&gt; print $g-&gt;EDGES;</code><code> {0 1}</code><code> {2 3}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:LinearProgram__LINEAR_OBJECTIVE" onclick="swap_content('span:LinearProgram__LINEAR_OBJECTIVE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="LinearProgram__LINEAR_OBJECTIVE" onclick="swap_content('span:LinearProgram__LINEAR_OBJECTIVE'); return false;"><b>LINEAR_OBJECTIVE</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:LinearProgram__LINEAR_OBJECTIVE" class="foldit"><div class="descr"><p> Linear objective function. In d-space a linear objective function is given by a (d+1)-vector. 
 The first coordinate specifies a constant that is added to the resulting value.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following creates a new LinearProgram object and assigns a linear objective to it:<code>&gt; $l = cube(2)-&gt;LP(LINEAR_OBJECTIVE=&gt;[0,1,1]);</code><code>&gt; print $l-&gt;LINEAR_OBJECTIVE;</code><code> 0 1 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:LinearProgram__MAXIMAL_FACE" onclick="swap_content('span:LinearProgram__MAXIMAL_FACE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="LinearProgram__MAXIMAL_FACE" onclick="swap_content('span:LinearProgram__MAXIMAL_FACE'); return false;"><b>MAXIMAL_FACE</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:LinearProgram__MAXIMAL_FACE" class="foldit"><div class="descr"><p> Indices of vertices at which the maximum of the objective function is attained.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following defines a LinearProgram together with a linear objective for the centered square with side length 2 and asks
 for the maximal face:<code>&gt; $c = new Vector([0, 1, 0]);</code><code>&gt; $p = cube(2);</code><code>&gt; $p-&gt;LP(LINEAR_OBJECTIVE=&gt;$c);</code><code>&gt; print $p-&gt;LP-&gt;MAXIMAL_FACE;</code><code> {1 3}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:LinearProgram__MAXIMAL_VALUE" onclick="swap_content('span:LinearProgram__MAXIMAL_VALUE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="LinearProgram__MAXIMAL_VALUE" onclick="swap_content('span:LinearProgram__MAXIMAL_VALUE'); return false;"><b>MAXIMAL_VALUE</b>:
		</a><a href="#" onclick="unfold('span:');">LinearProgram::Scalar</a><br/><div style="display: inline" id="span:LinearProgram__MAXIMAL_VALUE" class="foldit"><div class="descr"><p> Maximum value of the objective function. Negated if linear problem is unbounded.</p></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">The following defines a LinearProgram together with a linear objective for the centered square with side length 2 and asks
 for the maximal value:<code>&gt; $c = new Vector([0, 1, 0]);</code><code>&gt; $p = cube(2);</code><code>&gt; $p-&gt;LP(LINEAR_OBJECTIVE=&gt;$c);</code><code>&gt; print $p-&gt;LP-&gt;MAXIMAL_VALUE;</code><code> 1</code></div></li><li><div class="descr">The following defines a LinearProgram together with a linear objective with bias 3 for the centered square with side length 4 and asks
 for the maximal value:<code>&gt; $c = new Vector([3, 1, 0]);</code><code>&gt; $p = cube(2,2);</code><code>&gt; $p-&gt;LP(LINEAR_OBJECTIVE=&gt;$c);</code><code>&gt; print $p-&gt;LP-&gt;MAXIMAL_VALUE;</code><code> 5</code></div></li><li><div class="descr">The following defines a LinearProgram together with a linear objective for the positive quadrant (unbounded) and asks
 for the maximal value:<code>&gt; $c = new Vector([0, 1, 1]);</code><code>&gt; $p = facet_to_infinity(simplex(2),0);</code><code>&gt; $p-&gt;LP(LINEAR_OBJECTIVE=&gt;$c);</code><code>&gt; print $p-&gt;LP-&gt;MAXIMAL_VALUE;</code><code> inf</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:LinearProgram__MAXIMAL_VERTEX" onclick="swap_content('span:LinearProgram__MAXIMAL_VERTEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="LinearProgram__MAXIMAL_VERTEX" onclick="swap_content('span:LinearProgram__MAXIMAL_VERTEX'); return false;"><b>MAXIMAL_VERTEX</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:LinearProgram__MAXIMAL_VERTEX" class="foldit"><div class="descr"><p> Coordinates of a (possibly not unique) affine vertex at which the maximum of the objective function is attained.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following defines a LinearProgram together with a linear objective for the centered square with side length 2 and asks
 for a maximal vertex:<code>&gt; $c = new Vector([0, 1, 0]);</code><code>&gt; $p = cube(2);</code><code>&gt; $p-&gt;LP(LINEAR_OBJECTIVE=&gt;$c);</code><code>&gt; print $p-&gt;LP-&gt;MAXIMAL_VERTEX;</code><code> 1 1 -1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:LinearProgram__MINIMAL_FACE" onclick="swap_content('span:LinearProgram__MINIMAL_FACE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="LinearProgram__MINIMAL_FACE" onclick="swap_content('span:LinearProgram__MINIMAL_FACE'); return false;"><b>MINIMAL_FACE</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:LinearProgram__MINIMAL_FACE" class="foldit"><div class="descr"><p> Similar to <a href="#LinearProgram__MAXIMAL_FACE" onclick="unfold('span:LinearProgram__MAXIMAL_FACE');">MAXIMAL_FACE</a>.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following defines a LinearProgram together with a linear objective for the centered square with side length 2 and asks
 for the minimal face:<code>&gt; $c = new Vector([0, 1, 0]);</code><code>&gt; $p = cube(2);</code><code>&gt; $p-&gt;LP(LINEAR_OBJECTIVE=&gt;$c);</code><code>&gt; print $p-&gt;LP-&gt;MINIMAL_FACE;</code><code> {0 2}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:LinearProgram__MINIMAL_VALUE" onclick="swap_content('span:LinearProgram__MINIMAL_VALUE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="LinearProgram__MINIMAL_VALUE" onclick="swap_content('span:LinearProgram__MINIMAL_VALUE'); return false;"><b>MINIMAL_VALUE</b>:
		</a><a href="#" onclick="unfold('span:');">LinearProgram::Scalar</a><br/><div style="display: inline" id="span:LinearProgram__MINIMAL_VALUE" class="foldit"><div class="descr"><p> Similar to <a href="#LinearProgram__MAXIMAL_VALUE" onclick="unfold('span:LinearProgram__MAXIMAL_VALUE');">MAXIMAL_VALUE</a>.</p></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">The following defines a LinearProgram together with a linear objective for the centered square with side length 2 and asks
 for the minimal value:<code>&gt; $c = new Vector([0, 1, 0]);</code><code>&gt; $p = cube(2);</code><code>&gt; $p-&gt;LP(LINEAR_OBJECTIVE=&gt;$c);</code><code>&gt; print $p-&gt;LP-&gt;MINIMAL_VALUE;</code><code> -1</code></div></li><li><div class="descr">The following defines a LinearProgram together with a linear objective with bias 3 for the centered square with side length 4 and asks
 for the minimal value:<code>&gt; $c = new Vector([3, 1, 0]);</code><code>&gt; $p = cube(2,2);</code><code>&gt; $p-&gt;LP(LINEAR_OBJECTIVE=&gt;$c);</code><code>&gt; print $p-&gt;LP-&gt;MINIMAL_VALUE;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:LinearProgram__MINIMAL_VERTEX" onclick="swap_content('span:LinearProgram__MINIMAL_VERTEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="LinearProgram__MINIMAL_VERTEX" onclick="swap_content('span:LinearProgram__MINIMAL_VERTEX'); return false;"><b>MINIMAL_VERTEX</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:LinearProgram__MINIMAL_VERTEX" class="foldit"><div class="descr"><p> Similar to <a href="#LinearProgram__MAXIMAL_VERTEX" onclick="unfold('span:LinearProgram__MAXIMAL_VERTEX');">MAXIMAL_VERTEX</a>.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following defines a LinearProgram together with a linear objective for the centered square with side length 2 and asks
 for a minimal vertex:<code>&gt; $c = new Vector([0, 1, 0]);</code><code>&gt; $p = cube(2);</code><code>&gt; $p-&gt;LP(LINEAR_OBJECTIVE=&gt;$c);</code><code>&gt; print $p-&gt;LP-&gt;MINIMAL_VERTEX;</code><code> 1 -1 -1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:LinearProgram__RANDOM_EDGE_EPL" onclick="swap_content('span:LinearProgram__RANDOM_EDGE_EPL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="LinearProgram__RANDOM_EDGE_EPL" onclick="swap_content('span:LinearProgram__RANDOM_EDGE_EPL'); return false;"><b>RANDOM_EDGE_EPL</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Rational&gt;</a><br/><div style="display: inline" id="span:LinearProgram__RANDOM_EDGE_EPL" class="foldit"><div class="descr"><p> Expected average path length for a simplex algorithm employing "random edge" pivoting strategy.</p></div></div></div></div></li></ul><h4>User Methods of LinearProgram</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:LinearProgram__VERTEX_IN_DEGREES" onclick="swap_content('span:LinearProgram__VERTEX_IN_DEGREES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="LinearProgram__VERTEX_IN_DEGREES" onclick="swap_content('span:LinearProgram__VERTEX_IN_DEGREES'); return false;"><b>VERTEX_IN_DEGREES</b></a>
			()  

			<div style="display: inline" id="span:LinearProgram__VERTEX_IN_DEGREES" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Array of in-degrees for all nodes of <a href="#LinearProgram__DIRECTED_GRAPH" onclick="unfold('span:LinearProgram__DIRECTED_GRAPH');">DIRECTED_GRAPH</a>
 or numbers of objective decreasing edges at each vertex</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:LinearProgram__VERTEX_OUT_DEGREES" onclick="swap_content('span:LinearProgram__VERTEX_OUT_DEGREES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="LinearProgram__VERTEX_OUT_DEGREES" onclick="swap_content('span:LinearProgram__VERTEX_OUT_DEGREES'); return false;"><b>VERTEX_OUT_DEGREES</b></a>
			()  

			<div style="display: inline" id="span:LinearProgram__VERTEX_OUT_DEGREES" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Array of out-degrees for all nodes of <a href="#LinearProgram__DIRECTED_GRAPH" onclick="unfold('span:LinearProgram__DIRECTED_GRAPH');">DIRECTED_GRAPH</a>
 or numbers of objective increasing edges at each vertex</p></div></div><div class="level3"/></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:OrbitPolytope" onclick="swap_content('span:OrbitPolytope'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="OrbitPolytope" onclick="swap_content('span:OrbitPolytope'); return false;"><span class="object">OrbitPolytope</span></a></h3></div><div style="display: inline" id="span:OrbitPolytope" class="foldit"><b>Category: </b>Symmetry<br/><div class="descr"><p> A symmetric polytope defined as the convex hull of the orbit of a single point
 under a permutation group acting on coordinates.</p></div><b>derived from: </b><a href="#SymmetricPolytope" onclick="unfold('span:SymmetricPolytope');">SymmetricPolytope</a><br/><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>default: <a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table></div><h4>Properties of OrbitPolytope</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:OrbitPolytope__CP_INDICES" onclick="swap_content('span:OrbitPolytope__CP_INDICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="OrbitPolytope__CP_INDICES" onclick="swap_content('span:OrbitPolytope__CP_INDICES'); return false;"><b>CP_INDICES</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:OrbitPolytope__CP_INDICES" class="foldit"><div class="descr"><p> The row indices of all core points among
 the <a href="#OrbitPolytope__REPRESENTATIVE_CERTIFIERS" onclick="unfold('span:OrbitPolytope__REPRESENTATIVE_CERTIFIERS');">REPRESENTATIVE_CERTIFIERS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:OrbitPolytope__GEN_POINT" onclick="swap_content('span:OrbitPolytope__GEN_POINT'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="OrbitPolytope__GEN_POINT" onclick="swap_content('span:OrbitPolytope__GEN_POINT'); return false;"><b>GEN_POINT</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:OrbitPolytope__GEN_POINT" class="foldit"><div class="descr"><p> The generating point of the orbit polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:OrbitPolytope__NOP_GRAPH" onclick="swap_content('span:OrbitPolytope__NOP_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="OrbitPolytope__NOP_GRAPH" onclick="swap_content('span:OrbitPolytope__NOP_GRAPH'); return false;"><b>NOP_GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Directed&gt;</a><br/><div style="display: inline" id="span:OrbitPolytope__NOP_GRAPH" class="foldit"><div class="descr"><p> The NOP-graph of <a href="#OrbitPolytope__GEN_POINT" onclick="unfold('span:OrbitPolytope__GEN_POINT');">GEN_POINT</a> with respect to the
 <a href="#SymmetricCone__GENERATING_GROUP" onclick="unfold('span:SymmetricCone__GENERATING_GROUP');">GENERATING_GROUP</a>. The nodes of the NOP-graph
 correspond to the <a href="#OrbitPolytope__REPRESENTATIVE_CERTIFIERS" onclick="unfold('span:OrbitPolytope__REPRESENTATIVE_CERTIFIERS');">REPRESENTATIVE_CERTIFIERS</a>, 
 which represent the different orbit polytopes
 contained in the given orbit polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:OrbitPolytope__N_REPRESENTATIVE_CERTIFIERS" onclick="swap_content('span:OrbitPolytope__N_REPRESENTATIVE_CERTIFIERS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="OrbitPolytope__N_REPRESENTATIVE_CERTIFIERS" onclick="swap_content('span:OrbitPolytope__N_REPRESENTATIVE_CERTIFIERS'); return false;"><b>N_REPRESENTATIVE_CERTIFIERS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:OrbitPolytope__N_REPRESENTATIVE_CERTIFIERS" class="foldit"><div class="descr"><p> The number of <a href="#OrbitPolytope__REPRESENTATIVE_CERTIFIERS" onclick="unfold('span:OrbitPolytope__REPRESENTATIVE_CERTIFIERS');">REPRESENTATIVE_CERTIFIERS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:OrbitPolytope__N_REPRESENTATIVE_CORE_POINTS" onclick="swap_content('span:OrbitPolytope__N_REPRESENTATIVE_CORE_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="OrbitPolytope__N_REPRESENTATIVE_CORE_POINTS" onclick="swap_content('span:OrbitPolytope__N_REPRESENTATIVE_CORE_POINTS'); return false;"><b>N_REPRESENTATIVE_CORE_POINTS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:OrbitPolytope__N_REPRESENTATIVE_CORE_POINTS" class="foldit"><div class="descr"><p> The number of <a href="#OrbitPolytope__REPRESENTATIVE_CORE_POINTS" onclick="unfold('span:OrbitPolytope__REPRESENTATIVE_CORE_POINTS');">REPRESENTATIVE_CORE_POINTS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:OrbitPolytope__REPRESENTATIVE_CERTIFIERS" onclick="swap_content('span:OrbitPolytope__REPRESENTATIVE_CERTIFIERS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="OrbitPolytope__REPRESENTATIVE_CERTIFIERS" onclick="swap_content('span:OrbitPolytope__REPRESENTATIVE_CERTIFIERS'); return false;"><b>REPRESENTATIVE_CERTIFIERS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:OrbitPolytope__REPRESENTATIVE_CERTIFIERS" class="foldit"><div class="descr"><p> A matrix of representatives of all certifiers
 for <a href="#OrbitPolytope__GEN_POINT" onclick="unfold('span:OrbitPolytope__GEN_POINT');">GEN_POINT</a> with respect to the
 <a href="#SymmetricCone__GENERATING_GROUP" onclick="unfold('span:SymmetricCone__GENERATING_GROUP');">GENERATING_GROUP</a>.
 A certifier is an integer point in the
 given orbit polytope. 
 Note that the representative certifiers must be in 
 the same order as the corresponding nodes
 in the <a href="#OrbitPolytope__NOP_GRAPH" onclick="unfold('span:OrbitPolytope__NOP_GRAPH');">NOP_GRAPH</a>. Further, the <a href="#OrbitPolytope__CP_INDICES" onclick="unfold('span:OrbitPolytope__CP_INDICES');">CP_INDICES</a>
 refer to row indices of this property.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:OrbitPolytope__REPRESENTATIVE_CORE_POINTS" onclick="swap_content('span:OrbitPolytope__REPRESENTATIVE_CORE_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="OrbitPolytope__REPRESENTATIVE_CORE_POINTS" onclick="swap_content('span:OrbitPolytope__REPRESENTATIVE_CORE_POINTS'); return false;"><b>REPRESENTATIVE_CORE_POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:OrbitPolytope__REPRESENTATIVE_CORE_POINTS" class="foldit"><div class="descr"><p> A matrix of representatives of all core points in
 the given orbit polytope.
 A core point is an integer point whose orbit
 polytope is lattice-free (i.e. does not contain
 integer points besides its vertices).</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration" onclick="swap_content('span:PointConfiguration'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="PointConfiguration" onclick="swap_content('span:PointConfiguration'); return false;"><span class="object">PointConfiguration</span></a></h3></div><div style="display: inline" id="span:PointConfiguration" class="foldit"><div class="descr"><p> The <a href="#PointConfiguration__POINTS" onclick="unfold('span:PointConfiguration__POINTS');">POINTS</a> of an object of type PointConfiguration encode a not necessarily convex finite point set.
 The difference to a parent <a href="#VectorConfiguration" onclick="unfold('span:VectorConfiguration');">VectorConfiguration</a> is that the points have homogeneous coordinates, i.e.
 they will be normalized to have first coordinate 1 without warning.</p></div><b>derived from: </b><a href="#VectorConfiguration" onclick="unfold('span:VectorConfiguration');">VectorConfiguration</a><br/><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>default: <a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table></div><h4>Specializations of PointConfiguration</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__specializations__PointConfiguration_ExactCoord" onclick="swap_content('span:PointConfiguration__specializations__PointConfiguration_ExactCoord'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__specializations__PointConfiguration_ExactCoord" onclick="swap_content('span:PointConfiguration__specializations__PointConfiguration_ExactCoord'); return false;"><b>PointConfiguration::ExactCoord</b></a><a href="" onclick="unfold('span:');"/><br/><div style="display: inline" id="span:PointConfiguration__specializations__PointConfiguration_ExactCoord" class="foldit"><div class="descr"><p> A point configuration with an exact coordinate type, like Rational.</p></div></div></div></div></li></ul><h4>Properties of PointConfiguration</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__properties__Combinatorics" onclick="swap_content('span:PointConfiguration__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PointConfiguration__properties__Combinatorics" onclick="swap_content('span:PointConfiguration__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:PointConfiguration__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__COCIRCUIT_EQUATIONS" onclick="swap_content('span:PointConfiguration__COCIRCUIT_EQUATIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__COCIRCUIT_EQUATIONS" onclick="swap_content('span:PointConfiguration__COCIRCUIT_EQUATIONS'); return false;"><b>COCIRCUIT_EQUATIONS</b>:
		</a><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">common::SparseMatrix&lt;Rational, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:PointConfiguration__COCIRCUIT_EQUATIONS" class="foldit"><div class="descr"><p> Tells the cocircuit equations that hold for the configuration, one for each interior ridge</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__GRAPH" onclick="swap_content('span:PointConfiguration__GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__GRAPH" onclick="swap_content('span:PointConfiguration__GRAPH'); return false;"><b>GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:PointConfiguration__GRAPH" class="foldit"><div class="descr"><p> Graph of the point configuration.
 Two points are adjacent if they lie in a common edge of the <a href="#PointConfiguration__CONVEX_HULL" onclick="unfold('span:PointConfiguration__CONVEX_HULL');">CONVEX_HULL</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__INTERIOR_RIDGE_SIMPLICES" onclick="swap_content('span:PointConfiguration__INTERIOR_RIDGE_SIMPLICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__INTERIOR_RIDGE_SIMPLICES" onclick="swap_content('span:PointConfiguration__INTERIOR_RIDGE_SIMPLICES'); return false;"><b>INTERIOR_RIDGE_SIMPLICES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:PointConfiguration__INTERIOR_RIDGE_SIMPLICES" class="foldit"><div class="descr"><p> Tells the number of codimension 1 simplices that are not on the boundary</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__MAX_BOUNDARY_SIMPLICES" onclick="swap_content('span:PointConfiguration__MAX_BOUNDARY_SIMPLICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__MAX_BOUNDARY_SIMPLICES" onclick="swap_content('span:PointConfiguration__MAX_BOUNDARY_SIMPLICES'); return false;"><b>MAX_BOUNDARY_SIMPLICES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:PointConfiguration__MAX_BOUNDARY_SIMPLICES" class="foldit"><div class="descr"><p> Tells the full-dimensional simplices on the boundary that contain no points except for the vertices.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__MAX_INTERIOR_SIMPLICES" onclick="swap_content('span:PointConfiguration__MAX_INTERIOR_SIMPLICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__MAX_INTERIOR_SIMPLICES" onclick="swap_content('span:PointConfiguration__MAX_INTERIOR_SIMPLICES'); return false;"><b>MAX_INTERIOR_SIMPLICES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:PointConfiguration__MAX_INTERIOR_SIMPLICES" class="foldit"><div class="descr"><p> Tells the full-dimensional simplices that contain no points except for the vertices.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__N_MAX_BOUNDARY_SIMPLICES" onclick="swap_content('span:PointConfiguration__N_MAX_BOUNDARY_SIMPLICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__N_MAX_BOUNDARY_SIMPLICES" onclick="swap_content('span:PointConfiguration__N_MAX_BOUNDARY_SIMPLICES'); return false;"><b>N_MAX_BOUNDARY_SIMPLICES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PointConfiguration__N_MAX_BOUNDARY_SIMPLICES" class="foldit"><div class="descr"><p> Tells the number of MAX_BOUNDARY_SIMPLICES</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__N_MAX_INTERIOR_SIMPLICES" onclick="swap_content('span:PointConfiguration__N_MAX_INTERIOR_SIMPLICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__N_MAX_INTERIOR_SIMPLICES" onclick="swap_content('span:PointConfiguration__N_MAX_INTERIOR_SIMPLICES'); return false;"><b>N_MAX_INTERIOR_SIMPLICES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PointConfiguration__N_MAX_INTERIOR_SIMPLICES" class="foldit"><div class="descr"><p> Tells the number of MAX_INTERIOR_SIMPLICES</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__SIMPLEXITY_LOWER_BOUND" onclick="swap_content('span:PointConfiguration__SIMPLEXITY_LOWER_BOUND'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__SIMPLEXITY_LOWER_BOUND" onclick="swap_content('span:PointConfiguration__SIMPLEXITY_LOWER_BOUND'); return false;"><b>SIMPLEXITY_LOWER_BOUND</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PointConfiguration__SIMPLEXITY_LOWER_BOUND" class="foldit"><div class="descr"><p> A lower bound for the minimal number of simplices in a triangulation</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__SPLITS" onclick="swap_content('span:PointConfiguration__SPLITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__SPLITS" onclick="swap_content('span:PointConfiguration__SPLITS'); return false;"><b>SPLITS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:PointConfiguration__SPLITS" class="foldit"><div class="descr"><p> The splits of the point configuration, i.e., hyperplanes cutting the configuration in
 two parts such that we have a regular subdivision.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__SPLIT_COMPATIBILITY_GRAPH" onclick="swap_content('span:PointConfiguration__SPLIT_COMPATIBILITY_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__SPLIT_COMPATIBILITY_GRAPH" onclick="swap_content('span:PointConfiguration__SPLIT_COMPATIBILITY_GRAPH'); return false;"><b>SPLIT_COMPATIBILITY_GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:PointConfiguration__SPLIT_COMPATIBILITY_GRAPH" class="foldit"><div class="descr"><p> Two <a href="#PointConfiguration__SPLITS" onclick="unfold('span:PointConfiguration__SPLITS');">SPLITS</a> are compatible if the defining hyperplanes do not intersect in the
 interior of the point configuration.  This defines a graph.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__properties__Geometry" onclick="swap_content('span:PointConfiguration__properties__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PointConfiguration__properties__Geometry" onclick="swap_content('span:PointConfiguration__properties__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:PointConfiguration__properties__Geometry" class="foldit"><div class="descr"><p> These properties capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__AFFINE_HULL" onclick="swap_content('span:PointConfiguration__AFFINE_HULL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__AFFINE_HULL" onclick="swap_content('span:PointConfiguration__AFFINE_HULL'); return false;"><b>AFFINE_HULL</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:PointConfiguration__AFFINE_HULL" class="foldit"><div class="descr"><p> Dual basis of the affine hull of the point configuration</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__BARYCENTER" onclick="swap_content('span:PointConfiguration__BARYCENTER'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__BARYCENTER" onclick="swap_content('span:PointConfiguration__BARYCENTER'); return false;"><b>BARYCENTER</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:PointConfiguration__BARYCENTER" class="foldit"><div class="descr"><p> The center of gravity of the point configuration.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__BOUNDED" onclick="swap_content('span:PointConfiguration__BOUNDED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__BOUNDED" onclick="swap_content('span:PointConfiguration__BOUNDED'); return false;"><b>BOUNDED</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:PointConfiguration__BOUNDED" class="foldit"><div class="descr"><p> True if the point configuration is bounded.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__CONVEX" onclick="swap_content('span:PointConfiguration__CONVEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__CONVEX" onclick="swap_content('span:PointConfiguration__CONVEX'); return false;"><b>CONVEX</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:PointConfiguration__CONVEX" class="foldit"><div class="descr"><p> True if the <a href="#PointConfiguration__POINTS" onclick="unfold('span:PointConfiguration__POINTS');">POINTS</a> are in convex position.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__CONVEX_HULL" onclick="swap_content('span:PointConfiguration__CONVEX_HULL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__CONVEX_HULL" onclick="swap_content('span:PointConfiguration__CONVEX_HULL'); return false;"><b>CONVEX_HULL</b>:
		</a><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a><br/><div style="display: inline" id="span:PointConfiguration__CONVEX_HULL" class="foldit"><div class="descr"><p> The polytope being the convex hull of the point configuration.</p></div><h4>Properties of CONVEX_HULL</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__CONVEX_HULL__VERTEX_POINT_MAP" onclick="swap_content('span:PointConfiguration__CONVEX_HULL__VERTEX_POINT_MAP'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__CONVEX_HULL__VERTEX_POINT_MAP" onclick="swap_content('span:PointConfiguration__CONVEX_HULL__VERTEX_POINT_MAP'); return false;"><b>VERTEX_POINT_MAP</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:PointConfiguration__CONVEX_HULL__VERTEX_POINT_MAP" class="foldit"><div class="descr"><p> Indices of <a href="#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">Polytope::VERTICES</a> of the <a href="#PointConfiguration__CONVEX_HULL" onclick="unfold('span:PointConfiguration__CONVEX_HULL');">CONVEX_HULL</a> as <a href="#Polytope__POINTS" onclick="unfold('span:Polytope__POINTS');">POINTS</a>.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__FAR_POINTS" onclick="swap_content('span:PointConfiguration__FAR_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__FAR_POINTS" onclick="swap_content('span:PointConfiguration__FAR_POINTS'); return false;"><b>FAR_POINTS</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:PointConfiguration__FAR_POINTS" class="foldit"><div class="descr"><p> Indices of <a href="#PointConfiguration__POINTS" onclick="unfold('span:PointConfiguration__POINTS');">POINTS</a> that are rays.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__MULTIPLE_POINTS" onclick="swap_content('span:PointConfiguration__MULTIPLE_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__MULTIPLE_POINTS" onclick="swap_content('span:PointConfiguration__MULTIPLE_POINTS'); return false;"><b>MULTIPLE_POINTS</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:PointConfiguration__MULTIPLE_POINTS" class="foldit"><div class="descr"><p> Tells if multiple points exist.
 Alias for property <a href="#VectorConfiguration__MULTIPLE_VECTORS" onclick="unfold('span:VectorConfiguration__MULTIPLE_VECTORS');">VectorConfiguration::MULTIPLE_VECTORS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__NON_VERTICES" onclick="swap_content('span:PointConfiguration__NON_VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__NON_VERTICES" onclick="swap_content('span:PointConfiguration__NON_VERTICES'); return false;"><b>NON_VERTICES</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:PointConfiguration__NON_VERTICES" class="foldit"><div class="descr"><p> <a href="#PointConfiguration__POINTS" onclick="unfold('span:PointConfiguration__POINTS');">POINTS</a> that are not <a href="#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">Polytope::VERTICES</a> of the <a href="#PointConfiguration__CONVEX_HULL" onclick="unfold('span:PointConfiguration__CONVEX_HULL');">CONVEX_HULL</a></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__N_POINTS" onclick="swap_content('span:PointConfiguration__N_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__N_POINTS" onclick="swap_content('span:PointConfiguration__N_POINTS'); return false;"><b>N_POINTS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:PointConfiguration__N_POINTS" class="foldit"><div class="descr"><p> Number of <a href="#PointConfiguration__POINTS" onclick="unfold('span:PointConfiguration__POINTS');">POINTS</a>.
 Alias for property <a href="#VectorConfiguration__N_VECTORS" onclick="unfold('span:VectorConfiguration__N_VECTORS');">VectorConfiguration::N_VECTORS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__VERTEX_POINT_MAP" onclick="swap_content('span:PointConfiguration__VERTEX_POINT_MAP'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__VERTEX_POINT_MAP" onclick="swap_content('span:PointConfiguration__VERTEX_POINT_MAP'); return false;"><b>VERTEX_POINT_MAP</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:PointConfiguration__VERTEX_POINT_MAP" class="foldit"><div class="descr"><p> Indices of <a href="#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">Polytope::VERTICES</a> of the <a href="#PointConfiguration__CONVEX_HULL" onclick="unfold('span:PointConfiguration__CONVEX_HULL');">CONVEX_HULL</a> as <a href="#PointConfiguration__POINTS" onclick="unfold('span:PointConfiguration__POINTS');">POINTS</a></p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__properties__Input_property" onclick="swap_content('span:PointConfiguration__properties__Input_property'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PointConfiguration__properties__Input_property" onclick="swap_content('span:PointConfiguration__properties__Input_property'); return false;"><span class="category">Input property</span></a></h3></div><div style="display: inline" id="span:PointConfiguration__properties__Input_property" class="foldit"><div class="descr"><p> These properties are for input only. They allow redundant information.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__POINTS" onclick="swap_content('span:PointConfiguration__POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__POINTS" onclick="swap_content('span:PointConfiguration__POINTS'); return false;"><b>POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:PointConfiguration__POINTS" class="foldit"><div class="descr"><p> The points of the configuration.  Multiples allowed.
 Alias for property <a href="#VectorConfiguration__VECTORS" onclick="unfold('span:VectorConfiguration__VECTORS');">VectorConfiguration::VECTORS</a>.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__properties__Triangulation_and_volume" onclick="swap_content('span:PointConfiguration__properties__Triangulation_and_volume'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PointConfiguration__properties__Triangulation_and_volume" onclick="swap_content('span:PointConfiguration__properties__Triangulation_and_volume'); return false;"><span class="category">Triangulation and volume</span></a></h3></div><div style="display: inline" id="span:PointConfiguration__properties__Triangulation_and_volume" class="foldit"><div class="descr"><p> These properties collect information about triangulations of the object and properties usually computed from such, as the volume.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__POLYTOPAL_SUBDIVISION" onclick="swap_content('span:PointConfiguration__POLYTOPAL_SUBDIVISION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__POLYTOPAL_SUBDIVISION" onclick="swap_content('span:PointConfiguration__POLYTOPAL_SUBDIVISION'); return false;"><b>POLYTOPAL_SUBDIVISION</b>:
		</a><a href="fan.html#SubdivisionOfPoints" onclick="unfold('span:SubdivisionOfPoints');">fan::SubdivisionOfPoints</a><br/><div style="display: inline" id="span:PointConfiguration__POLYTOPAL_SUBDIVISION" class="foldit"><div class="descr"><p>Polytopal Subdivision of the point configuration</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__TRIANGULATION" onclick="swap_content('span:PointConfiguration__TRIANGULATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__TRIANGULATION" onclick="swap_content('span:PointConfiguration__TRIANGULATION'); return false;"><b>TRIANGULATION</b>:
		</a><a href="topaz.html#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">topaz::GeometricSimplicialComplex</a><br/><div style="display: inline" id="span:PointConfiguration__TRIANGULATION" class="foldit"><div class="descr"><p> Some triangulation of the point configuration.</p></div><h4>Properties of TRIANGULATION</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__TRIANGULATION__properties__Combinatorics" onclick="swap_content('span:PointConfiguration__TRIANGULATION__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PointConfiguration__TRIANGULATION__properties__Combinatorics" onclick="swap_content('span:PointConfiguration__TRIANGULATION__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:PointConfiguration__TRIANGULATION__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__TRIANGULATION__BOUNDARY" onclick="swap_content('span:PointConfiguration__TRIANGULATION__BOUNDARY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__TRIANGULATION__BOUNDARY" onclick="swap_content('span:PointConfiguration__TRIANGULATION__BOUNDARY'); return false;"><b>BOUNDARY</b>:
		</a><a href="topaz.html#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">topaz::SimplicialComplex</a><br/><div style="display: inline" id="span:PointConfiguration__TRIANGULATION__BOUNDARY" class="foldit"><div class="descr"><p>Amendment of <a href="topaz.html#SimplicialComplex__BOUNDARY" onclick="unfold('span:SimplicialComplex__BOUNDARY');">topaz::SimplicialComplex::BOUNDARY</a> for PointConfiguration::TRIANGULATION::BOUNDARY</p></div><h4>Properties of BOUNDARY</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__TRIANGULATION__BOUNDARY__properties__Triangulation_and_volume" onclick="swap_content('span:PointConfiguration__TRIANGULATION__BOUNDARY__properties__Triangulation_and_volume'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PointConfiguration__TRIANGULATION__BOUNDARY__properties__Triangulation_and_volume" onclick="swap_content('span:PointConfiguration__TRIANGULATION__BOUNDARY__properties__Triangulation_and_volume'); return false;"><span class="category">Triangulation and volume</span></a></h3></div><div style="display: inline" id="span:PointConfiguration__TRIANGULATION__BOUNDARY__properties__Triangulation_and_volume" class="foldit"><div class="descr"><p> These properties collect information about triangulations of the object and properties usually computed from such, as the volume.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__TRIANGULATION__BOUNDARY__FACET_TRIANGULATIONS" onclick="swap_content('span:PointConfiguration__TRIANGULATION__BOUNDARY__FACET_TRIANGULATIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__TRIANGULATION__BOUNDARY__FACET_TRIANGULATIONS" onclick="swap_content('span:PointConfiguration__TRIANGULATION__BOUNDARY__FACET_TRIANGULATIONS'); return false;"><b>FACET_TRIANGULATIONS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:PointConfiguration__TRIANGULATION__BOUNDARY__FACET_TRIANGULATIONS" class="foldit"><div class="descr"><p> DOC_FIXME: Incomprehensible description!
 For each facet the set of simplex indices of BOUNDARY that triangulate it.</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__TRIANGULATION__properties__Triangulation_and_volume" onclick="swap_content('span:PointConfiguration__TRIANGULATION__properties__Triangulation_and_volume'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PointConfiguration__TRIANGULATION__properties__Triangulation_and_volume" onclick="swap_content('span:PointConfiguration__TRIANGULATION__properties__Triangulation_and_volume'); return false;"><span class="category">Triangulation and volume</span></a></h3></div><div style="display: inline" id="span:PointConfiguration__TRIANGULATION__properties__Triangulation_and_volume" class="foldit"><div class="descr"><p> These properties collect information about triangulations of the object and properties usually computed from such, as the volume.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__TRIANGULATION__GKZ_VECTOR" onclick="swap_content('span:PointConfiguration__TRIANGULATION__GKZ_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__TRIANGULATION__GKZ_VECTOR" onclick="swap_content('span:PointConfiguration__TRIANGULATION__GKZ_VECTOR'); return false;"><b>GKZ_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:PointConfiguration__TRIANGULATION__GKZ_VECTOR" class="foldit"><div class="descr"><p> GKZ-vector
</p><blockquote><div>See Chapter 7 in Gelfand, Kapranov, and Zelevinsky:</div><div>Discriminants, Resultants and Multidimensional Determinants, Birkhäuser 1994</div></blockquote></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__TRIANGULATION__REFINED_SPLITS" onclick="swap_content('span:PointConfiguration__TRIANGULATION__REFINED_SPLITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__TRIANGULATION__REFINED_SPLITS" onclick="swap_content('span:PointConfiguration__TRIANGULATION__REFINED_SPLITS'); return false;"><b>REFINED_SPLITS</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:PointConfiguration__TRIANGULATION__REFINED_SPLITS" class="foldit"><div class="descr"><p> The splits that are coarsenings of the current <a href="#PointConfiguration__TRIANGULATION" onclick="unfold('span:PointConfiguration__TRIANGULATION');">TRIANGULATION</a>.
 If the triangulation is regular these form the unique split decomposition of
 the corresponding weight function.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__TRIANGULATION__WEIGHTS" onclick="swap_content('span:PointConfiguration__TRIANGULATION__WEIGHTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__TRIANGULATION__WEIGHTS" onclick="swap_content('span:PointConfiguration__TRIANGULATION__WEIGHTS'); return false;"><b>WEIGHTS</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:PointConfiguration__TRIANGULATION__WEIGHTS" class="foldit"><div class="descr"><p> Weight vector to construct a regular <a href="#PointConfiguration__TRIANGULATION" onclick="unfold('span:PointConfiguration__TRIANGULATION');">TRIANGULATION</a>.
 Must be generic.</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__properties__Visualization" onclick="swap_content('span:PointConfiguration__properties__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PointConfiguration__properties__Visualization" onclick="swap_content('span:PointConfiguration__properties__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:PointConfiguration__properties__Visualization" class="foldit"><div class="descr"><p> These properties are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__PIF_CYCLIC_NORMAL" onclick="swap_content('span:PointConfiguration__PIF_CYCLIC_NORMAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__PIF_CYCLIC_NORMAL" onclick="swap_content('span:PointConfiguration__PIF_CYCLIC_NORMAL'); return false;"><b>PIF_CYCLIC_NORMAL</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:PointConfiguration__PIF_CYCLIC_NORMAL" class="foldit"><div class="descr"><p> <a href="#Polytope__VIF_CYCLIC_NORMAL" onclick="unfold('span:Polytope__VIF_CYCLIC_NORMAL');">Polytope::VIF_CYCLIC_NORMAL</a> of the <a href="#PointConfiguration__CONVEX_HULL" onclick="unfold('span:PointConfiguration__CONVEX_HULL');">CONVEX_HULL</a>, but with
 the indices form <a href="#PointConfiguration__POINTS" onclick="unfold('span:PointConfiguration__POINTS');">POINTS</a> instead of <a href="#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">Polytope::VERTICES</a></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__POINT_LABELS" onclick="swap_content('span:PointConfiguration__POINT_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__POINT_LABELS" onclick="swap_content('span:PointConfiguration__POINT_LABELS'); return false;"><b>POINT_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:PointConfiguration__POINT_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#PointConfiguration__POINTS" onclick="unfold('span:PointConfiguration__POINTS');">POINTS</a>.
 Alias for property <a href="#VectorConfiguration__LABELS" onclick="unfold('span:VectorConfiguration__LABELS');">VectorConfiguration::LABELS</a>.</p></div></div></div></div></li></ul></div></div></div></li></ul><h4>User Methods of PointConfiguration</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__methods__Geometry" onclick="swap_content('span:PointConfiguration__methods__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PointConfiguration__methods__Geometry" onclick="swap_content('span:PointConfiguration__methods__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:PointConfiguration__methods__Geometry" class="foldit"><div class="descr"><p> These methods capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__AMBIENT_DIM" onclick="swap_content('span:PointConfiguration__AMBIENT_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__AMBIENT_DIM" onclick="swap_content('span:PointConfiguration__AMBIENT_DIM'); return false;"><b>AMBIENT_DIM</b></a>
			()  

			<div style="display: inline" id="span:PointConfiguration__AMBIENT_DIM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Ambient dimension of the point configuration (without the homogenization coordinate).
 Similar to <a href="#Polytope__AMBIENT_DIM" onclick="unfold('span:Polytope__AMBIENT_DIM');">Polytope::AMBIENT_DIM</a>.</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__DIM" onclick="swap_content('span:PointConfiguration__DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__DIM" onclick="swap_content('span:PointConfiguration__DIM'); return false;"><b>DIM</b></a>
			()  

			<div style="display: inline" id="span:PointConfiguration__DIM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Affine dimension of the point configuration.
 Similar to <a href="#Polytope__DIM" onclick="unfold('span:Polytope__DIM');">Polytope::DIM</a>.</p></div></div><div class="level3"/></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__methods__Triangulation_and_volume" onclick="swap_content('span:PointConfiguration__methods__Triangulation_and_volume'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PointConfiguration__methods__Triangulation_and_volume" onclick="swap_content('span:PointConfiguration__methods__Triangulation_and_volume'); return false;"><span class="category">Triangulation and volume</span></a></h3></div><div style="display: inline" id="span:PointConfiguration__methods__Triangulation_and_volume" class="foldit"><div class="descr"><p> These methods collect information about triangulations of the object and properties usually computed from such, as the volume.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__TRIANGULATION_SIGNS" onclick="swap_content('span:PointConfiguration__TRIANGULATION_SIGNS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__TRIANGULATION_SIGNS" onclick="swap_content('span:PointConfiguration__TRIANGULATION_SIGNS'); return false;"><b>TRIANGULATION_SIGNS</b></a>
			()  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:PointConfiguration__TRIANGULATION_SIGNS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For each simplex in the <a href="#PointConfiguration__TRIANGULATION" onclick="unfold('span:PointConfiguration__TRIANGULATION');">TRIANGULATION</a>, this contains the sign of the determinant of its coordinate matrix, 
 which is the orientation of the simplex.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__methods__Visualization" onclick="swap_content('span:PointConfiguration__methods__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="PointConfiguration__methods__Visualization" onclick="swap_content('span:PointConfiguration__methods__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:PointConfiguration__methods__Visualization" class="foldit"><div class="descr"><p> These methods are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PointConfiguration__VISUAL" onclick="swap_content('span:PointConfiguration__VISUAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__VISUAL" onclick="swap_content('span:PointConfiguration__VISUAL'); return false;"><b>VISUAL</b></a>
			()  

			
				→ Visual::PointConfiguration<div style="display: inline" id="span:PointConfiguration__VISUAL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize a point configuration.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PointConfiguration" onclick="unfold('span:Visual_PointConfiguration');">Visual::PointConfiguration</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:PointConfiguration__VISUAL_POINTS" onclick="swap_content('span:PointConfiguration__VISUAL_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PointConfiguration__VISUAL_POINTS" onclick="swap_content('span:PointConfiguration__VISUAL_POINTS'); return false;"><b>VISUAL_POINTS</b></a>
			()  

			
				→ Visual::Object<div style="display: inline" id="span:PointConfiguration__VISUAL_POINTS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the <a href="#PointConfiguration__POINTS" onclick="unfold('span:PointConfiguration__POINTS');">POINTS</a> of a point configuration.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope" onclick="swap_content('span:Polytope'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="Polytope" onclick="swap_content('span:Polytope'); return false;"><span class="object">Polytope</span></a></h3></div><div style="display: inline" id="span:Polytope" class="foldit"><div class="descr"><p> Not necessarily bounded or unbounded polyhedron.
 Nonetheless, the name "Polytope" is used for two reasons:
 Firstly, combinatorially we always deal with polytopes; see the description of <a href="#Polytope__VERTICES_IN_FACETS" onclick="unfold('span:Polytope__VERTICES_IN_FACETS');">VERTICES_IN_FACETS</a> for details.
 The second reason is historical.
 We use homogeneous coordinates, which is why Polytope is derived from <a href="#Cone" onclick="unfold('span:Cone');">Cone</a>.
 Note that a pointed polyhedron is projectively equivalent to a polytope.
 <em class="param">Scalar</em> is the numeric data type used for the coordinates.</p></div><b>derived from: </b><a href="#Cone" onclick="unfold('span:Cone');">Cone</a><br/><div class="level3"/><h4>Specializations of Polytope</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__specializations__Polytope_Rational" onclick="swap_content('span:Polytope__specializations__Polytope_Rational'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__specializations__Polytope_Rational" onclick="swap_content('span:Polytope__specializations__Polytope_Rational'); return false;"><b>Polytope&lt;Rational&gt;</b></a><a href="" onclick="unfold('span:');"/><br/><div style="display: inline" id="span:Polytope__specializations__Polytope_Rational" class="foldit"><div class="descr"><p> A rational polyhedron realized in Q^d</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__specializations__Polytope_Float" onclick="swap_content('span:Polytope__specializations__Polytope_Float'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__specializations__Polytope_Float" onclick="swap_content('span:Polytope__specializations__Polytope_Float'); return false;"><b>Polytope&lt;Float&gt;</b></a><a href="" onclick="unfold('span:');"/><br/><div style="display: inline" id="span:Polytope__specializations__Polytope_Float" class="foldit"><div class="descr"><p> A pointed polyhedron with float coordinates realized in R<sup>d</sup>.</p><p> It mainly exists for visualization.</p><p> Convex hull and related algorithms use floating-point arithmetics.
 Due to numerical errors inherent to this kind of computations, the resulting
 combinatorial description can be arbitrarily far away from the truth, or even
 not correspond to any valid polytope.  You have been warned.</p><p> None of the standard construction clients produces objects of this type.
 If you want to get one, create it with the explicit constructor or <a href="#convert_to__Cone" onclick="unfold('span:convert_to__Cone');">convert_to</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__specializations__Polytope_Lattice" onclick="swap_content('span:Polytope__specializations__Polytope_Lattice'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__specializations__Polytope_Lattice" onclick="swap_content('span:Polytope__specializations__Polytope_Lattice'); return false;"><b>Polytope::Lattice</b></a><a href="" onclick="unfold('span:');"/><br/><div style="display: inline" id="span:Polytope__specializations__Polytope_Lattice" class="foldit"><div class="descr"><p> A polytope all of whose vertex coordinates are integral.</p></div></div></div></div></li></ul><h4>Properties of Polytope</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__properties__Combinatorics" onclick="swap_content('span:Polytope__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__properties__Combinatorics" onclick="swap_content('span:Polytope__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:Polytope__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__ALTSHULER_DET" onclick="swap_content('span:Polytope__ALTSHULER_DET'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__ALTSHULER_DET" onclick="swap_content('span:Polytope__ALTSHULER_DET'); return false;"><b>ALTSHULER_DET</b>:
		</a><a href="common.html#Integer" onclick="unfold('span:Integer');">common::Integer</a><br/><div style="display: inline" id="span:Polytope__ALTSHULER_DET" class="foldit"><div class="descr"><p> Let M be the vertex-facet incidence matrix, then the Altshuler determinant is
 defined as max{det(M ∗ M<sup>T</sup>), det(M<sup>T</sup> ∗ M)}.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This prints the Altshuler determinant of the built-in pentagonal pyramid (Johnson solid 2):<code>&gt; print johnson_solid("pentagonal_pyramid")-&gt;ALTSHULER_DET;</code><code> 25</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__BALANCE" onclick="swap_content('span:Polytope__BALANCE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BALANCE" onclick="swap_content('span:Polytope__BALANCE'); return false;"><b>BALANCE</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__BALANCE" class="foldit"><div class="descr"><p> Maximal dimension in which all facets are balanced.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following full dimensional polytope given by 10 specific vertices on the 8-dimensional sphere is 3-neighborly. Hence the dual polytope is
 3-balanced, where we first center and then polarize it. <code>&gt; $p = rand_sphere(8,10,seed=&gt;8866463);</code><code>&gt; $q = polarize(center($p));</code><code>&gt; print $q-&gt;BALANCE;</code><code> 3</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__BALANCED" onclick="swap_content('span:Polytope__BALANCED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BALANCED" onclick="swap_content('span:Polytope__BALANCED'); return false;"><b>BALANCED</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__BALANCED" class="foldit"><div class="descr"><p> Dual to <a href="#Polytope__NEIGHBORLY" onclick="unfold('span:Polytope__NEIGHBORLY');">NEIGHBORLY</a>.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Since cyclic polytopes generated by vertices on the moment curve are neighborly, their dual polytopes are balanced. The following checks this
 for the 4-dimensional case by centering the cyclic polytope and then polarizing it:<code>&gt; $p = cyclic(4,6);</code><code>&gt; $q = polarize(center($p));</code><code>&gt; print $q-&gt;BALANCED;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__CD_INDEX_COEFFICIENTS" onclick="swap_content('span:Polytope__CD_INDEX_COEFFICIENTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__CD_INDEX_COEFFICIENTS" onclick="swap_content('span:Polytope__CD_INDEX_COEFFICIENTS'); return false;"><b>CD_INDEX_COEFFICIENTS</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Polytope__CD_INDEX_COEFFICIENTS" class="foldit"><div class="descr"><p> Coefficients of the cd-index.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__COCUBICAL" onclick="swap_content('span:Polytope__COCUBICAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__COCUBICAL" onclick="swap_content('span:Polytope__COCUBICAL'); return false;"><b>COCUBICAL</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__COCUBICAL" class="foldit"><div class="descr"><p> Dual to <a href="#Polytope__CUBICAL" onclick="unfold('span:Polytope__CUBICAL');">CUBICAL</a>.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Since the cross-polytope is dual to a cube of same dimension, it is cocubical. The following checks this for the 3-dimensional case:<code>&gt; print cross(3)-&gt;COCUBICAL;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__COCUBICALITY" onclick="swap_content('span:Polytope__COCUBICALITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__COCUBICALITY" onclick="swap_content('span:Polytope__COCUBICALITY'); return false;"><b>COCUBICALITY</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__COCUBICALITY" class="foldit"><div class="descr"><p> Dual to <a href="#Polytope__CUBICALITY" onclick="unfold('span:Polytope__CUBICALITY');">CUBICALITY</a>.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">After stacking a facet of the 3-dimensional cube, its cubicality is lowered to 2. Hence its dual polytope has cocubicality 2 as well. The 
 following produces such a stacked cube and asks for its cocubicality after polarization:<code>&gt; $p = stack(cube(3),5);</code><code>&gt; print polarize($p)-&gt;COCUBICALITY;</code><code> 2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__COMPLEXITY" onclick="swap_content('span:Polytope__COMPLEXITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__COMPLEXITY" onclick="swap_content('span:Polytope__COMPLEXITY'); return false;"><b>COMPLEXITY</b>:
		</a><a href="common.html#Float" onclick="unfold('span:Float');">common::Float</a><br/><div style="display: inline" id="span:Polytope__COMPLEXITY" class="foldit"><div class="descr"><p> Parameter describing the shape of the face-lattice of a 4-polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__CUBICAL" onclick="swap_content('span:Polytope__CUBICAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__CUBICAL" onclick="swap_content('span:Polytope__CUBICAL'); return false;"><b>CUBICAL</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__CUBICAL" class="foldit"><div class="descr"><p> True if all facets are cubes.</p></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">A k-dimensional cube has k-1-dimensional cubes as facets and is therefore cubical. The following checks if this holds for the 
 3-dimensional case:<code>&gt; print cube(3)-&gt;CUBICAL;</code><code> 1</code></div></li><li><div class="descr">This checks if a zonotope generated by 4 random points on the 3-dimensional sphere is cubical, which is always the case. <code>&gt; print zonotope(rand_sphere(3,4)-&gt;VERTICES)-&gt;CUBICAL;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__CUBICALITY" onclick="swap_content('span:Polytope__CUBICALITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__CUBICALITY" onclick="swap_content('span:Polytope__CUBICALITY'); return false;"><b>CUBICALITY</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__CUBICALITY" class="foldit"><div class="descr"><p> Maximal dimension in which all facets are cubes.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">We will modify the 3-dimensional cube in two different ways. While stacking some facets (in this case facets 4 and 5) preserves the cubicality up to
 dimension 2, truncating an arbitrary vertex reduces the cubicality to 1.<code>&gt; print stack(cube(3),[4,5])-&gt;CUBICALITY;</code><code> 2</code><code>&gt; print truncation(cube(3),5)-&gt;CUBICALITY;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__CUBICAL_H_VECTOR" onclick="swap_content('span:Polytope__CUBICAL_H_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__CUBICAL_H_VECTOR" onclick="swap_content('span:Polytope__CUBICAL_H_VECTOR'); return false;"><b>CUBICAL_H_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Polytope__CUBICAL_H_VECTOR" class="foldit"><div class="descr"><p> Cubical h-vector. Defined for cubical polytopes.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__DUAL_BOUNDED_H_VECTOR" onclick="swap_content('span:Polytope__DUAL_BOUNDED_H_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__DUAL_BOUNDED_H_VECTOR" onclick="swap_content('span:Polytope__DUAL_BOUNDED_H_VECTOR'); return false;"><b>DUAL_BOUNDED_H_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Polytope__DUAL_BOUNDED_H_VECTOR" class="foldit"><div class="descr"><p> h-vector of the bounded subcomplex, defined for not necessarily bounded polyhedra
 which are simple (as polyhedra, i.e., <a href="#Cone__VERTEX_DEGREES" onclick="unfold('span:Cone__VERTEX_DEGREES');">VERTEX_DEGREES</a> on the <a href="#Polytope__FAR_FACE" onclick="unfold('span:Polytope__FAR_FACE');">FAR_FACE</a> do not matter).
 Coincides with the reverse h-vector of the dual simplicial ball.
 Note that this vector will usually start with a number of zero entries.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__DUAL_H_VECTOR" onclick="swap_content('span:Polytope__DUAL_H_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__DUAL_H_VECTOR" onclick="swap_content('span:Polytope__DUAL_H_VECTOR'); return false;"><b>DUAL_H_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Polytope__DUAL_H_VECTOR" class="foldit"><div class="descr"><p> dual h-vector, defined via recursion on the face lattice of a polytope.
 Coincides for simple polytopes with the combinatorial definition
 of the h-vector via abstract objective functions.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__EDGE_ORIENTABLE" onclick="swap_content('span:Polytope__EDGE_ORIENTABLE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__EDGE_ORIENTABLE" onclick="swap_content('span:Polytope__EDGE_ORIENTABLE'); return false;"><b>EDGE_ORIENTABLE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__EDGE_ORIENTABLE" class="foldit"><div class="descr"><p> True if there exists an edge-orientation (see <a href="#Polytope__EDGE_ORIENTATION" onclick="unfold('span:Polytope__EDGE_ORIENTATION');">EDGE_ORIENTATION</a> for a definition).
 The polytope is required to be 2-cubical.</p></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">The following checks a 3-dimensional cube for edge orientability:<code>&gt; $p = cube(3);</code><code>&gt; print $p-&gt;EDGE_ORIENTABLE;</code><code> 1</code></div></li><li><div class="descr">A 3-dimensinal cube with one stacked facet is still 2-cubical. Therefore we can check for edge orientability:<code>&gt; $p = stack(cube(3),5);</code><code>&gt; print $p-&gt;EDGE_ORIENTABLE;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__EDGE_ORIENTATION" onclick="swap_content('span:Polytope__EDGE_ORIENTATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__EDGE_ORIENTATION" onclick="swap_content('span:Polytope__EDGE_ORIENTATION'); return false;"><b>EDGE_ORIENTATION</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Int, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__EDGE_ORIENTATION" class="foldit"><div class="descr"><p> List of all edges with orientation, such that for each 2-face the opposite edges point in the same direction.
 Each line is of the form (u v), which indicates that the edge {u,v} is oriented from u to v.
 The polytope is required to be 2-cubical.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints a list of oriented edges of a 2-dimensional cube such that opposing edges have the same orientation:<code>&gt; $p = cube(2);</code><code>&gt; print $p-&gt;EDGE_ORIENTATION;</code><code> 0 2</code><code> 1 3</code><code> 0 1</code><code> 2 3</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__F2_VECTOR" onclick="swap_content('span:Polytope__F2_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__F2_VECTOR" onclick="swap_content('span:Polytope__F2_VECTOR'); return false;"><b>F2_VECTOR</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Integer, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__F2_VECTOR" class="foldit"><div class="descr"><p> f<sub>ik</sub> is the number of incident pairs of i-faces and k-faces; the main diagonal contains the <a href="#Polytope__F_VECTOR" onclick="unfold('span:Polytope__F_VECTOR');">F_VECTOR</a>.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the f2-vector of a 3-dimensional cube:
 print cube(3)-&gt;F2_VECTOR;<code> 8 24 24</code><code> 24 12 24</code><code> 24 24 6</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__FACETS_THRU_VERTICES" onclick="swap_content('span:Polytope__FACETS_THRU_VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__FACETS_THRU_VERTICES" onclick="swap_content('span:Polytope__FACETS_THRU_VERTICES'); return false;"><b>FACETS_THRU_VERTICES</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__FACETS_THRU_VERTICES" class="foldit"><div class="descr"><p> transposed <a href="#Polytope__VERTICES_IN_FACETS" onclick="unfold('span:Polytope__VERTICES_IN_FACETS');">VERTICES_IN_FACETS</a>
 Notice that this is a temporary property; it will not be stored in any file.
 Alias for property <a href="#Cone__FACETS_THRU_RAYS" onclick="unfold('span:Cone__FACETS_THRU_RAYS');">Cone::FACETS_THRU_RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__FACE_SIMPLICITY" onclick="swap_content('span:Polytope__FACE_SIMPLICITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__FACE_SIMPLICITY" onclick="swap_content('span:Polytope__FACE_SIMPLICITY'); return false;"><b>FACE_SIMPLICITY</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__FACE_SIMPLICITY" class="foldit"><div class="descr"><p> Maximal dimension in which all faces are simple polytopes.
 This checks the 3-dimensional cube for face simplicity. Since the cube is dual to the cross-polytope of equal dimension and it is simplicial, 
 the result is 3.  
 &gt; print cube(3)-&gt;SIMPLICITY;
 | 3</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__FATNESS" onclick="swap_content('span:Polytope__FATNESS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__FATNESS" onclick="swap_content('span:Polytope__FATNESS'); return false;"><b>FATNESS</b>:
		</a><a href="common.html#Float" onclick="unfold('span:Float');">common::Float</a><br/><div style="display: inline" id="span:Polytope__FATNESS" class="foldit"><div class="descr"><p> Parameter describing the shape of the face-lattice of a 4-polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__FOLDABLE_MAX_SIGNATURE_UPPER_BOUND" onclick="swap_content('span:Polytope__FOLDABLE_MAX_SIGNATURE_UPPER_BOUND'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__FOLDABLE_MAX_SIGNATURE_UPPER_BOUND" onclick="swap_content('span:Polytope__FOLDABLE_MAX_SIGNATURE_UPPER_BOUND'); return false;"><b>FOLDABLE_MAX_SIGNATURE_UPPER_BOUND</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__FOLDABLE_MAX_SIGNATURE_UPPER_BOUND" class="foldit"><div class="descr"><p> An upper bound for the maximal signature of a foldable triangulation of a polytope
 The signature is the absolute difference of the normalized volumes of black minus white maximal simplices,
 where only odd normalized volumes are taken into account.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__F_VECTOR" onclick="swap_content('span:Polytope__F_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__F_VECTOR" onclick="swap_content('span:Polytope__F_VECTOR'); return false;"><b>F_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Polytope__F_VECTOR" class="foldit"><div class="descr"><p> f<sub>k</sub> is the number of k-faces.</p></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">This prints the f-vector of a 3-dimensional cube. The first entry represents the vertices.<code>&gt; print cube(3)-&gt;F_VECTOR;</code><code> [8, 12, 6] </code></div></li><li><div class="descr">This prints the f-vector of the 3-dimensional cross-polytope. Since the cube and the cross polytope
 of equal dimension are dual, their f-vectors are the same up to reversion.<code>&gt; print cross(3)-&gt;F_VECTOR;</code><code> [6, 12, 8]</code></div></li><li><div class="descr">After truncating the first standard basis vector of the 3-dimensional cross-polytope the f-vector changes. 
 Only segments of the incident edges of the cut off vertex remain and the intersection of these with the new hyperplane 
 generate four new vertices. These also constitute four new edges and a new facet. <code>&gt; print truncation(cross(3),4)-&gt;F_VECTOR;</code><code> [9, 16, 9]</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__GRAPH" onclick="swap_content('span:Polytope__GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__GRAPH" onclick="swap_content('span:Polytope__GRAPH'); return false;"><b>GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:Polytope__GRAPH" class="foldit"><div class="descr"><p>Amendment of <a href="#Cone__GRAPH" onclick="unfold('span:Cone__GRAPH');">Cone::GRAPH</a> for Polytope::GRAPH</p></div><h4>Properties of GRAPH</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__GRAPH__EDGE_DIRECTIONS" onclick="swap_content('span:Polytope__GRAPH__EDGE_DIRECTIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__GRAPH__EDGE_DIRECTIONS" onclick="swap_content('span:Polytope__GRAPH__EDGE_DIRECTIONS'); return false;"><b>EDGE_DIRECTIONS</b>:
		</a><a href="common.html#EdgeMap" onclick="unfold('span:EdgeMap');">common::EdgeMap</a><br/><div style="display: inline" id="span:Polytope__GRAPH__EDGE_DIRECTIONS" class="foldit"><div class="descr"><p> Difference of the vertices for each edge (only defined up to signs).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__GRAPH__SQUARED_EDGE_LENGTHS" onclick="swap_content('span:Polytope__GRAPH__SQUARED_EDGE_LENGTHS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__GRAPH__SQUARED_EDGE_LENGTHS" onclick="swap_content('span:Polytope__GRAPH__SQUARED_EDGE_LENGTHS'); return false;"><b>SQUARED_EDGE_LENGTHS</b>:
		</a><a href="common.html#EdgeMap" onclick="unfold('span:EdgeMap');">common::EdgeMap</a><br/><div style="display: inline" id="span:Polytope__GRAPH__SQUARED_EDGE_LENGTHS" class="foldit"><div class="descr"><p> Squared Euclidean length of each edge</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__GRAPH__properties__Lattice_points_in_cones" onclick="swap_content('span:Polytope__GRAPH__properties__Lattice_points_in_cones'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__GRAPH__properties__Lattice_points_in_cones" onclick="swap_content('span:Polytope__GRAPH__properties__Lattice_points_in_cones'); return false;"><span class="category">Lattice points in cones</span></a></h3></div><div style="display: inline" id="span:Polytope__GRAPH__properties__Lattice_points_in_cones" class="foldit"><div class="descr"><p> These properties capture information that depends on the lattice structure of the cone.
 polymake always works with the integer lattice. </p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__GRAPH__LATTICE_ACCUMULATED_EDGE_LENGTHS" onclick="swap_content('span:Polytope__GRAPH__LATTICE_ACCUMULATED_EDGE_LENGTHS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__GRAPH__LATTICE_ACCUMULATED_EDGE_LENGTHS" onclick="swap_content('span:Polytope__GRAPH__LATTICE_ACCUMULATED_EDGE_LENGTHS'); return false;"><b>LATTICE_ACCUMULATED_EDGE_LENGTHS</b>:
		</a><a href="common.html#Map" onclick="unfold('span:Map');">common::Map&lt;Integer, Int&gt;</a><br/><div style="display: inline" id="span:Polytope__GRAPH__LATTICE_ACCUMULATED_EDGE_LENGTHS" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__GRAPH__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> a map associating to each edge length of the polytope the number of edges with this length
 the lattice edge length of an edge is one less than the number of lattice points on that edge</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__GRAPH__LATTICE_EDGE_LENGTHS" onclick="swap_content('span:Polytope__GRAPH__LATTICE_EDGE_LENGTHS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__GRAPH__LATTICE_EDGE_LENGTHS" onclick="swap_content('span:Polytope__GRAPH__LATTICE_EDGE_LENGTHS'); return false;"><b>LATTICE_EDGE_LENGTHS</b>:
		</a><a href="common.html#EdgeMap" onclick="unfold('span:EdgeMap');">common::EdgeMap&lt;Undirected, Integer&gt;</a><br/><div style="display: inline" id="span:Polytope__GRAPH__LATTICE_EDGE_LENGTHS" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__GRAPH__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> the lattice lengths of the edges of the polytope
 i.e. for each edge one less than the number of lattice points on that edge</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__G_VECTOR" onclick="swap_content('span:Polytope__G_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__G_VECTOR" onclick="swap_content('span:Polytope__G_VECTOR'); return false;"><b>G_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Polytope__G_VECTOR" class="foldit"><div class="descr"><p> (Toric) g-vector, defined via the (generalized) h-vector as g<sub>i</sub> = h<sub>i</sub> - h<sub>i-1</sub>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__HASSE_DIAGRAM" onclick="swap_content('span:Polytope__HASSE_DIAGRAM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__HASSE_DIAGRAM" onclick="swap_content('span:Polytope__HASSE_DIAGRAM'); return false;"><b>HASSE_DIAGRAM</b>:
		</a><a href="graph.html#FaceLattice" onclick="unfold('span:FaceLattice');">graph::FaceLattice</a><br/><div style="display: inline" id="span:Polytope__HASSE_DIAGRAM" class="foldit"><div class="descr"><p> Number of incident vertices for each facet.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__H_VECTOR" onclick="swap_content('span:Polytope__H_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__H_VECTOR" onclick="swap_content('span:Polytope__H_VECTOR'); return false;"><b>H_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Polytope__H_VECTOR" class="foldit"><div class="descr"><p> h-vector, defined via recursion on the face lattice of a polytope.
 Coincides for simplicial polytopes with the combinatorial definition
 of the h-vector via shellings</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__MINIMAL_NON_FACES" onclick="swap_content('span:Polytope__MINIMAL_NON_FACES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__MINIMAL_NON_FACES" onclick="swap_content('span:Polytope__MINIMAL_NON_FACES'); return false;"><b>MINIMAL_NON_FACES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Polytope__MINIMAL_NON_FACES" class="foldit"><div class="descr"><p> Minimal non-faces of a <a href="#Polytope__SIMPLICIAL" onclick="unfold('span:Polytope__SIMPLICIAL');">SIMPLICIAL</a> polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__MOEBIUS_STRIP_EDGES" onclick="swap_content('span:Polytope__MOEBIUS_STRIP_EDGES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__MOEBIUS_STRIP_EDGES" onclick="swap_content('span:Polytope__MOEBIUS_STRIP_EDGES'); return false;"><b>MOEBIUS_STRIP_EDGES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Int, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__MOEBIUS_STRIP_EDGES" class="foldit"><div class="descr"><p> Ordered list of edges of a Moebius strip with parallel interior edges. 
 Consists of k lines of the form (v<sub>i</sub> w<sub>i</sub>), for i=1, ..., k. </p><p> The Moebius strip in question is given by the quadrangles 
 (v<sub>i</sub>, w<sub>i</sub>, w<sub>i+1</sub>,v<sub>i+1</sub>), for i=1, ..., k-1, and the quadrangle (v<sub>1</sub>, w<sub>1</sub>, v<sub>k</sub>, w<sub>k</sub>).</p><p> Validity can be verified with the client <a href="#validate_moebius_strip" onclick="unfold('span:validate_moebius_strip');">validate_moebius_strip</a>.
 The polytope is required to be 2-cubical.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__MOEBIUS_STRIP_QUADS" onclick="swap_content('span:Polytope__MOEBIUS_STRIP_QUADS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__MOEBIUS_STRIP_QUADS" onclick="swap_content('span:Polytope__MOEBIUS_STRIP_QUADS'); return false;"><b>MOEBIUS_STRIP_QUADS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Int, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__MOEBIUS_STRIP_QUADS" class="foldit"><div class="descr"><p> Unordered list of quads which forms a Moebius strip with parallel interior edges.
 Each line lists the vertices of a quadrangle in cyclic order.</p><p> Validity can be verified with the client <a href="#validate_moebius_strip_quads" onclick="unfold('span:validate_moebius_strip_quads');">validate_moebius_strip_quads</a>.
 The polytope is required to be 2-cubical.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__NEIGHBORLINESS" onclick="swap_content('span:Polytope__NEIGHBORLINESS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__NEIGHBORLINESS" onclick="swap_content('span:Polytope__NEIGHBORLINESS'); return false;"><b>NEIGHBORLINESS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__NEIGHBORLINESS" class="foldit"><div class="descr"><p> Maximal dimension in which all facets are neighborly.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This determines that the full dimensional polytope given by 10 specific vertices on the 8-dimensional sphere is 3-neighborly, i.e.
 all 3-dimensional faces are tetrahedra. Hence the polytope is not neighborly.<code>&gt; print rand_sphere(8,10,seed=&gt;8866463)-&gt;NEIGHBORLINESS;</code><code> 3</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__NEIGHBORLY" onclick="swap_content('span:Polytope__NEIGHBORLY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__NEIGHBORLY" onclick="swap_content('span:Polytope__NEIGHBORLY'); return false;"><b>NEIGHBORLY</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__NEIGHBORLY" class="foldit"><div class="descr"><p> True if the polytope is neighborly.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This checks the 4-dimensional cyclic polytope with 6 points on the moment curve for neighborliness, i.e. if it is ⌊dim/2⌋ neighborly:<code>&gt; print cyclic(4,6)-&gt;NEIGHBORLINESS;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__N_VERTEX_FACET_INC" onclick="swap_content('span:Polytope__N_VERTEX_FACET_INC'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__N_VERTEX_FACET_INC" onclick="swap_content('span:Polytope__N_VERTEX_FACET_INC'); return false;"><b>N_VERTEX_FACET_INC</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__N_VERTEX_FACET_INC" class="foldit"><div class="descr"><p> Number of pairs of incident vertices and facets.
 Alias for property <a href="#Cone__N_RAY_FACET_INC" onclick="unfold('span:Cone__N_RAY_FACET_INC');">Cone::N_RAY_FACET_INC</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__N_VERTICES" onclick="swap_content('span:Polytope__N_VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__N_VERTICES" onclick="swap_content('span:Polytope__N_VERTICES'); return false;"><b>N_VERTICES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__N_VERTICES" class="foldit"><div class="descr"><p> Number of <a href="#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">VERTICES</a>.
 Alias for property <a href="#Cone__N_RAYS" onclick="unfold('span:Cone__N_RAYS');">Cone::N_RAYS</a>.</p></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">The following prints the number of vertices of a 3-dimensional cube:<code>&gt; print cube(3)-&gt;N_VERTICES;</code><code> 8</code></div></li><li><div class="descr">The following prints the number of vertices of the convex hull of 10 specific points lying in the unit square [0,1]^2:<code>&gt; print rand_box(2,10,1,seed=&gt;4583572)-&gt;N_VERTICES;</code><code> 4</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SELF_DUAL" onclick="swap_content('span:Polytope__SELF_DUAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SELF_DUAL" onclick="swap_content('span:Polytope__SELF_DUAL'); return false;"><b>SELF_DUAL</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__SELF_DUAL" class="foldit"><div class="descr"><p> True if the polytope is self-dual.</p></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">The following checks if the centered square with side length 2 is self dual:<code>&gt; print cube(2)-&gt;SELF_DUAL;</code><code> 1</code></div></li><li><div class="descr">The elongated square pyramid (Johnson solid 8) is dual to itself, since the apex of the square pyramid attachted to the cube
 and the opposing square of the cube swap roles. The following checks this property and prints the result:<code>&gt; print johnson_solid(8)-&gt;SELF_DUAL;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SIMPLE" onclick="swap_content('span:Polytope__SIMPLE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SIMPLE" onclick="swap_content('span:Polytope__SIMPLE'); return false;"><b>SIMPLE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__SIMPLE" class="foldit"><div class="descr"><p> True if the polytope is simple. Dual to <a href="#Polytope__SIMPLICIAL" onclick="unfold('span:Polytope__SIMPLICIAL');">SIMPLICIAL</a>.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This determines if a 3-dimensional cube is simple or not:<code>&gt; print cube(3)-&gt;SIMPLE;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SIMPLEXITY_LOWER_BOUND" onclick="swap_content('span:Polytope__SIMPLEXITY_LOWER_BOUND'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SIMPLEXITY_LOWER_BOUND" onclick="swap_content('span:Polytope__SIMPLEXITY_LOWER_BOUND'); return false;"><b>SIMPLEXITY_LOWER_BOUND</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__SIMPLEXITY_LOWER_BOUND" class="foldit"><div class="descr"><p> A lower bound for the minimal number of simplices in a triangulation</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SIMPLICIAL" onclick="swap_content('span:Polytope__SIMPLICIAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SIMPLICIAL" onclick="swap_content('span:Polytope__SIMPLICIAL'); return false;"><b>SIMPLICIAL</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__SIMPLICIAL" class="foldit"><div class="descr"><p> True if the polytope is simplicial.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">A polytope with random vertices uniformly distributed on the unit sphere is simplicial. The following checks
 this property and prints the result for 8 points in dimension 3:<code>&gt; print rand_sphere(3,8)-&gt;SIMPLICIAL;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SIMPLICIALITY" onclick="swap_content('span:Polytope__SIMPLICIALITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SIMPLICIALITY" onclick="swap_content('span:Polytope__SIMPLICIALITY'); return false;"><b>SIMPLICIALITY</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__SIMPLICIALITY" class="foldit"><div class="descr"><p> Maximal dimension in which all faces are simplices.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The 3-dimensional cross-polytope is simplicial, i.e. its simplicity is 2. After truncating an arbitrary vertex
 the simplicity is reduced to 1.<code>&gt; print cross(3)-&gt;SIMPLICIALITY;</code><code> 2</code><code>&gt; print truncation(cross(3),4)-&gt;SIMPLICIALITY;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SIMPLICITY" onclick="swap_content('span:Polytope__SIMPLICITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SIMPLICITY" onclick="swap_content('span:Polytope__SIMPLICITY'); return false;"><b>SIMPLICITY</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__SIMPLICITY" class="foldit"><div class="descr"><p> Maximal dimension in which all dual faces are simplices.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This checks the 3-dimensional cube for simplicity. Since the cube is dual to the cross-polytope of equal dimension and all its faces are simplices, 
 the result is 2.  <code>&gt; print cube(3)-&gt;SIMPLICITY;</code><code> 2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SUBRIDGE_SIZES" onclick="swap_content('span:Polytope__SUBRIDGE_SIZES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SUBRIDGE_SIZES" onclick="swap_content('span:Polytope__SUBRIDGE_SIZES'); return false;"><b>SUBRIDGE_SIZES</b>:
		</a><a href="common.html#Map" onclick="unfold('span:Map');">common::Map&lt;Int, Int&gt;</a><br/><div style="display: inline" id="span:Polytope__SUBRIDGE_SIZES" class="foldit"><div class="descr"><p> Lists for each occurring size (= number of incident facets or ridges) of a subridge how many there are.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__TWO_FACE_SIZES" onclick="swap_content('span:Polytope__TWO_FACE_SIZES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__TWO_FACE_SIZES" onclick="swap_content('span:Polytope__TWO_FACE_SIZES'); return false;"><b>TWO_FACE_SIZES</b>:
		</a><a href="common.html#Map" onclick="unfold('span:Map');">common::Map&lt;Int, Int&gt;</a><br/><div style="display: inline" id="span:Polytope__TWO_FACE_SIZES" class="foldit"><div class="descr"><p> Lists for each occurring size (= number of incident vertices or edges) of a 2-face how many there are.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This prints the number of facets spanned by 3,4 or 5 vertices a truncated 3-dimensional cube has.<code>&gt; $p = truncation(cube(3),5);</code><code>&gt; print $p-&gt;TWO_FACE_SIZES;</code><code> {(3 1) (4 3) (5 3)}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VERTEX_SIZES" onclick="swap_content('span:Polytope__VERTEX_SIZES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VERTEX_SIZES" onclick="swap_content('span:Polytope__VERTEX_SIZES'); return false;"><b>VERTEX_SIZES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:Polytope__VERTEX_SIZES" class="foldit"><div class="descr"><p> Number of incident facets for each vertex.
 Alias for property <a href="#Cone__RAY_SIZES" onclick="unfold('span:Cone__RAY_SIZES');">Cone::RAY_SIZES</a>.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the number of incident facets for each vertex of the elongated pentagonal pyramid (Johnson solid 9)<code>&gt; print johnson_solid(9)-&gt;VERTEX_SIZES;</code><code> [5 4 4 4 4 4 3 3 3 3 3]</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VERTICES_IN_FACETS" onclick="swap_content('span:Polytope__VERTICES_IN_FACETS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VERTICES_IN_FACETS" onclick="swap_content('span:Polytope__VERTICES_IN_FACETS'); return false;"><b>VERTICES_IN_FACETS</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__VERTICES_IN_FACETS" class="foldit"><div class="descr"><p> Vertex-facet incidence matrix, with rows corresponding to facets and columns
 to vertices. Vertices and facets are numbered from 0 to <a href="#Polytope__N_VERTICES" onclick="unfold('span:Polytope__N_VERTICES');">N_VERTICES</a>-1 rsp.
 <a href="#Cone__N_FACETS" onclick="unfold('span:Cone__N_FACETS');">N_FACETS</a>-1, according to their order in <a href="#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">VERTICES</a> rsp. <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a>.</p><p> This property is at the core of all combinatorial properties.  It has the following semantics:
 (1) The combinatorics of an unbounded and pointed polyhedron is defined to be the combinatorics
     of the projective closure.
 (2) The combiantorics of an unbounded polyhedron which is not pointed is defined to be the
     combinatorics of the quotient modulo the lineality space.
 Therefore: <a href="#Polytope__VERTICES_IN_FACETS" onclick="unfold('span:Polytope__VERTICES_IN_FACETS');">VERTICES_IN_FACETS</a> and each other property which is grouped under "Combinatorics"
 always refers to some polytope.
 Alias for property <a href="#Cone__RAYS_IN_FACETS" onclick="unfold('span:Cone__RAYS_IN_FACETS');">Cone::RAYS_IN_FACETS</a>.</p></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">The following prints the vertex-facet incidence matrix of a 5-gon by listing all facets as a set of contained vertices
 in a cyclic order (each line corresponds to an edge):<code>&gt; print n_gon(5)-&gt;VERTICES_IN_FACETS;</code><code> {1 2}</code><code> {2 3}</code><code> {3 4}</code><code> {0 4}</code><code> {0 1}</code></div></li><li><div class="descr">The following prints the Vertex_facet incidence matrix of the standard 3-simplex together with the facet numbers:<code>&gt; print rows_numbered(simplex(3)-&gt;VERTICES_IN_FACETS);</code><code> 0:1 2 3</code><code> 1:0 2 3</code><code> 2:0 1 3</code><code> 3:0 1 2</code></div></li></ul></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__properties__Geometry" onclick="swap_content('span:Polytope__properties__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__properties__Geometry" onclick="swap_content('span:Polytope__properties__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:Polytope__properties__Geometry" class="foldit"><div class="descr"><p> These properties capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__AFFINE_HULL" onclick="swap_content('span:Polytope__AFFINE_HULL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__AFFINE_HULL" onclick="swap_content('span:Polytope__AFFINE_HULL'); return false;"><b>AFFINE_HULL</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Polytope__AFFINE_HULL" class="foldit"><div class="descr"><p> Dual basis of the affine hull of the polyhedron. 
 The property <a href="#Polytope__AFFINE_HULL" onclick="unfold('span:Polytope__AFFINE_HULL');">AFFINE_HULL</a> appears only in conjunction with the property <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a>.
 The specification of the property <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a> requires the specification of <a href="#Polytope__AFFINE_HULL" onclick="unfold('span:Polytope__AFFINE_HULL');">AFFINE_HULL</a>, and vice versa.
 Alias for property <a href="#Cone__LINEAR_SPAN" onclick="unfold('span:Cone__LINEAR_SPAN');">Cone::LINEAR_SPAN</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__BOUNDED" onclick="swap_content('span:Polytope__BOUNDED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BOUNDED" onclick="swap_content('span:Polytope__BOUNDED'); return false;"><b>BOUNDED</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__BOUNDED" class="foldit"><div class="descr"><p> True if and only if <a href="#Cone__LINEALITY_SPACE" onclick="unfold('span:Cone__LINEALITY_SPACE');">LINEALITY_SPACE</a> trivial and <a href="#Polytope__FAR_FACE" onclick="unfold('span:Polytope__FAR_FACE');">FAR_FACE</a> is trivial.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">A pyramid over a square is bounded. Removing the base square yields an unbounded pointed polyhedron
 (the vertices with first entry equal to zero correspond to rays).<code>&gt; $p = pyramid(cube(2));</code><code>&gt; print $p-&gt;BOUNDED;</code><code> 1</code><code>&gt; $q = facet_to_infinity($p,4);</code><code>&gt; print $q-&gt;BOUNDED;</code><code> </code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__CENTERED" onclick="swap_content('span:Polytope__CENTERED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__CENTERED" onclick="swap_content('span:Polytope__CENTERED'); return false;"><b>CENTERED</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__CENTERED" class="foldit"><div class="descr"><p> True if (1, 0, 0, ...) is in the relative interior.
 If full-dimensional then polar to <a href="#Polytope__BOUNDED" onclick="unfold('span:Polytope__BOUNDED');">BOUNDED</a>.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The cube [0,1]^3 is not centered, since the origin is on the boundary. By a small translation we can make it centered:<code>&gt; $p = cube(3,0,0);</code><code>&gt; print $p-&gt;CENTERED;</code><code> </code><code>&gt; $t = new Vector([-1/2,-1/2,-1/2]);</code><code>&gt; print translate($p,$t)-&gt;CENTERED;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__CENTERED_ZONOTOPE" onclick="swap_content('span:Polytope__CENTERED_ZONOTOPE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__CENTERED_ZONOTOPE" onclick="swap_content('span:Polytope__CENTERED_ZONOTOPE'); return false;"><b>CENTERED_ZONOTOPE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__CENTERED_ZONOTOPE" class="foldit"><div class="descr"><p> is the zonotope calculated from ZONOTOPE_INPUT_POINTS or ZONOTOPE_INPUT_VECTORS to be centered at the origin?
 The zonotope is always calculated as the Minkowski sum of all segments conv {x,v}, where 
 * v ranges over the ZONOTOPE_INPUT_POINTS or ZONOTOPE_INPUT_VECTORS, and 
 * x = -v if CENTERED_ZONOTOPE = 1,
 * x = 0  if CENTERED_ZONOTOPE = 0.
 Input section only.  </p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__CENTRALLY_SYMMETRIC" onclick="swap_content('span:Polytope__CENTRALLY_SYMMETRIC'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__CENTRALLY_SYMMETRIC" onclick="swap_content('span:Polytope__CENTRALLY_SYMMETRIC'); return false;"><b>CENTRALLY_SYMMETRIC</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__CENTRALLY_SYMMETRIC" class="foldit"><div class="descr"><p> True if P = -P.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">A centered 3-cube is centrally symmetric. By stacking a single facet (5), this property is lost. We can 
 recover it by stacking the opposing facet (4) as well.<code>&gt; $p = cube(2);</code><code>&gt; print $p-&gt;CENTRALLY_SYMMETRIC;</code><code> 1</code><code>&gt; print stack($p,5)-&gt;CENTRALLY_SYMMETRIC;</code><code> </code><code>&gt; print stack($p,new Set&lt;Int&gt;(4,5))-&gt;CENTRALLY_SYMMETRIC;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__CENTROID" onclick="swap_content('span:Polytope__CENTROID'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__CENTROID" onclick="swap_content('span:Polytope__CENTROID'); return false;"><b>CENTROID</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:Polytope__CENTROID" class="foldit"><div class="descr"><p> Centroid (center of mass) of the polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__CONE_AMBIENT_DIM" onclick="swap_content('span:Polytope__CONE_AMBIENT_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__CONE_AMBIENT_DIM" onclick="swap_content('span:Polytope__CONE_AMBIENT_DIM'); return false;"><b>CONE_AMBIENT_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__CONE_AMBIENT_DIM" class="foldit"><div class="descr"><p> One more than the dimension of the space in which the polyhedron lives.
   = dimension of the space in which the homogenization of the polyhedron lives</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__CONE_DIM" onclick="swap_content('span:Polytope__CONE_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__CONE_DIM" onclick="swap_content('span:Polytope__CONE_DIM'); return false;"><b>CONE_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__CONE_DIM" class="foldit"><div class="descr"><p> One more than the dimension of the affine hull of the polyhedron 
   = one more than the dimension of the polyhedron.
   = dimension of the homogenization of the polyhedron 
 If the polytope is given purely combinatorially, this is the dimension of a minimal embedding space</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This prints the cone dimension of a 3-cube. Since the dimension of its affine closure is 3, the result is 4.<code>&gt; print cube(3)-&gt;CONE_DIM;</code><code> 4</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__CS_PERMUTATION" onclick="swap_content('span:Polytope__CS_PERMUTATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__CS_PERMUTATION" onclick="swap_content('span:Polytope__CS_PERMUTATION'); return false;"><b>CS_PERMUTATION</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:Polytope__CS_PERMUTATION" class="foldit"><div class="descr"><p> The permutation induced by the central symmetry, if present.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__FACETS_THRU_POINTS" onclick="swap_content('span:Polytope__FACETS_THRU_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__FACETS_THRU_POINTS" onclick="swap_content('span:Polytope__FACETS_THRU_POINTS'); return false;"><b>FACETS_THRU_POINTS</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__FACETS_THRU_POINTS" class="foldit"><div class="descr"><p> similar to <a href="#Polytope__FACETS_THRU_VERTICES" onclick="unfold('span:Polytope__FACETS_THRU_VERTICES');">FACETS_THRU_VERTICES</a>, but with <a href="#Polytope__POINTS" onclick="unfold('span:Polytope__POINTS');">POINTS</a> instead of <a href="#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">VERTICES</a>
 Notice that this is a temporary property; it will not be stored in any file.
 Alias for property <a href="#Cone__FACETS_THRU_INPUT_RAYS" onclick="unfold('span:Cone__FACETS_THRU_INPUT_RAYS');">Cone::FACETS_THRU_INPUT_RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__FAR_HYPERPLANE" onclick="swap_content('span:Polytope__FAR_HYPERPLANE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__FAR_HYPERPLANE" onclick="swap_content('span:Polytope__FAR_HYPERPLANE'); return false;"><b>FAR_HYPERPLANE</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:Polytope__FAR_HYPERPLANE" class="foldit"><div class="descr"><p> Valid strict inequality for all affine points of the polyhedron.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__FEASIBLE" onclick="swap_content('span:Polytope__FEASIBLE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__FEASIBLE" onclick="swap_content('span:Polytope__FEASIBLE'); return false;"><b>FEASIBLE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__FEASIBLE" class="foldit"><div class="descr"><p> True if the polyhedron is not empty.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__GALE_TRANSFORM" onclick="swap_content('span:Polytope__GALE_TRANSFORM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__GALE_TRANSFORM" onclick="swap_content('span:Polytope__GALE_TRANSFORM'); return false;"><b>GALE_TRANSFORM</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Polytope__GALE_TRANSFORM" class="foldit"><div class="descr"><p> Coordinates of the Gale transform.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__INEQUALITIES_THRU_VERTICES" onclick="swap_content('span:Polytope__INEQUALITIES_THRU_VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__INEQUALITIES_THRU_VERTICES" onclick="swap_content('span:Polytope__INEQUALITIES_THRU_VERTICES'); return false;"><b>INEQUALITIES_THRU_VERTICES</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__INEQUALITIES_THRU_VERTICES" class="foldit"><div class="descr"><p> transposed <a href="#Polytope__VERTICES_IN_INEQUALITIES" onclick="unfold('span:Polytope__VERTICES_IN_INEQUALITIES');">VERTICES_IN_INEQUALITIES</a>
 Alias for property <a href="#Cone__INEQUALITIES_THRU_RAYS" onclick="unfold('span:Cone__INEQUALITIES_THRU_RAYS');">Cone::INEQUALITIES_THRU_RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__LATTICE" onclick="swap_content('span:Polytope__LATTICE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__LATTICE" onclick="swap_content('span:Polytope__LATTICE'); return false;"><b>LATTICE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__LATTICE" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Rational">Polytope&lt;Rational&gt;</a></b></div><div class="descr"><p> A polytope is lattice if each vertex has integer coordinates.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__MINIMAL_VERTEX_ANGLE" onclick="swap_content('span:Polytope__MINIMAL_VERTEX_ANGLE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__MINIMAL_VERTEX_ANGLE" onclick="swap_content('span:Polytope__MINIMAL_VERTEX_ANGLE'); return false;"><b>MINIMAL_VERTEX_ANGLE</b>:
		</a><a href="common.html#Float" onclick="unfold('span:Float');">common::Float</a><br/><div style="display: inline" id="span:Polytope__MINIMAL_VERTEX_ANGLE" class="foldit"><div class="descr"><p> The minimal angle between any two vertices (seen from the <a href="#Polytope__VERTEX_BARYCENTER" onclick="unfold('span:Polytope__VERTEX_BARYCENTER');">VERTEX_BARYCENTER</a>).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__MINKOWSKI_CONE" onclick="swap_content('span:Polytope__MINKOWSKI_CONE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__MINKOWSKI_CONE" onclick="swap_content('span:Polytope__MINKOWSKI_CONE'); return false;"><b>MINKOWSKI_CONE</b>:
		</a><a href="#Cone" onclick="unfold('span:Cone');">Cone&lt;Rational&gt;</a><br/><div style="display: inline" id="span:Polytope__MINKOWSKI_CONE" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Rational">Polytope&lt;Rational&gt;</a></b></div><div class="descr"><p> The cone of all Minkowski summands of the polytope P.
 Up to scaling, a polytope S is a Minkowski summand of P if and only if 
 the edge directions of S are a subset of those of P, 
 and the closing condition around any 2-face of P is preserved. 
 Coordinates of the cone correspond to the rescaled lengths 
 of the edges of the graph of P (in the order given by the property <a href="graph.html#Graph__EDGES" onclick="unfold('span:Graph__EDGES');">EDGES</a> of the <a href="#Cone__GRAPH" onclick="unfold('span:Cone__GRAPH');">GRAPH</a> of P). 
 The Minkowski cone is defined as the intersection of all 
 equations given by the closing condition around 2-faces with the positive orthant.
 For more information see e.g. 
 Klaus Altmann: The versal deformation of an isolated toric Gorenstein singularity</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__N_01POINTS" onclick="swap_content('span:Polytope__N_01POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__N_01POINTS" onclick="swap_content('span:Polytope__N_01POINTS'); return false;"><b>N_01POINTS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__N_01POINTS" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Rational">Polytope&lt;Rational&gt;</a></b></div><div class="descr"><p> Number of points with 0/1-coordinates in a polytope.</p></div><div class="depends"><b>Depends on: </b>azove
</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__N_POINTS" onclick="swap_content('span:Polytope__N_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__N_POINTS" onclick="swap_content('span:Polytope__N_POINTS'); return false;"><b>N_POINTS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__N_POINTS" class="foldit"><div class="descr"><p> Number of <a href="#Polytope__POINTS" onclick="unfold('span:Polytope__POINTS');">POINTS</a>.
 Alias for property <a href="#Cone__N_INPUT_RAYS" onclick="unfold('span:Cone__N_INPUT_RAYS');">Cone::N_INPUT_RAYS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__ONE_VERTEX" onclick="swap_content('span:Polytope__ONE_VERTEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__ONE_VERTEX" onclick="swap_content('span:Polytope__ONE_VERTEX'); return false;"><b>ONE_VERTEX</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:Polytope__ONE_VERTEX" class="foldit"><div class="descr"><p> A vertex of a pointed polyhedron.
 Alias for property <a href="#Cone__ONE_RAY" onclick="unfold('span:Cone__ONE_RAY');">Cone::ONE_RAY</a>.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This prints the first vertex of the 3-cube (corresponding to the first row in the vertex matrix).<code>&gt; print cube(3)-&gt;ONE_VERTEX;</code><code> 1 -1 -1 -1 </code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__POINTED" onclick="swap_content('span:Polytope__POINTED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__POINTED" onclick="swap_content('span:Polytope__POINTED'); return false;"><b>POINTED</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__POINTED" class="foldit"><div class="descr"><p> True if the polyhedron does not contain an affine line.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">A square does not contain an affine line and is therefore pointed. Removing one facet doens not change this, although 
 it is no longer bounded. After removing two opposing facets, it contains infinitely many affine lines parrallel to the 
 removed facets.<code>&gt; $p = cube(2);</code><code>&gt; print $p-&gt;POINTED;</code><code> 1</code><code>&gt; print facet_to_infinity($p,0)-&gt;POINTED;</code><code> 1</code><code>&gt; print new Polytope(INEQUALITIES=&gt;$p-&gt;FACETS-&gt;minor([0,1],All))-&gt;POINTED;</code><code>  </code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__POINTS_IN_FACETS" onclick="swap_content('span:Polytope__POINTS_IN_FACETS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__POINTS_IN_FACETS" onclick="swap_content('span:Polytope__POINTS_IN_FACETS'); return false;"><b>POINTS_IN_FACETS</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__POINTS_IN_FACETS" class="foldit"><div class="descr"><p> Similar to <a href="#Polytope__VERTICES_IN_FACETS" onclick="unfold('span:Polytope__VERTICES_IN_FACETS');">VERTICES_IN_FACETS</a>, but with columns corresponding to <a href="#Polytope__POINTS" onclick="unfold('span:Polytope__POINTS');">POINTS</a> instead of <a href="#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">VERTICES</a>.
 This property is a byproduct of convex hull computation algorithms.
 It is discarded as soon as <a href="#Polytope__VERTICES_IN_FACETS" onclick="unfold('span:Polytope__VERTICES_IN_FACETS');">VERTICES_IN_FACETS</a> is computed.
 Alias for property <a href="#Cone__INPUT_RAYS_IN_FACETS" onclick="unfold('span:Cone__INPUT_RAYS_IN_FACETS');">Cone::INPUT_RAYS_IN_FACETS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__QUOTIENT_SPACE" onclick="swap_content('span:Polytope__QUOTIENT_SPACE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__QUOTIENT_SPACE" onclick="swap_content('span:Polytope__QUOTIENT_SPACE'); return false;"><b>QUOTIENT_SPACE</b>:
		</a><a href="#QuotientSpace" onclick="unfold('span:QuotientSpace');">QuotientSpace</a><br/><div style="display: inline" id="span:Polytope__QUOTIENT_SPACE" class="foldit"><div class="descr"><p> A topological quotient space obtained from a polytope by identifying faces.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SPECIAL_FACETS" onclick="swap_content('span:Polytope__SPECIAL_FACETS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SPECIAL_FACETS" onclick="swap_content('span:Polytope__SPECIAL_FACETS'); return false;"><b>SPECIAL_FACETS</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:Polytope__SPECIAL_FACETS" class="foldit"><div class="descr"><p> The following is defined for <em class="param">CENTERED</em> polytopes only:
 A facet is special if the cone over that facet with the origin as the apex contains the <em class="param">VERTEX_BARYCENTER</em>.
 Motivated by Obro's work on Fano polytopes.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SPLITS" onclick="swap_content('span:Polytope__SPLITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SPLITS" onclick="swap_content('span:Polytope__SPLITS'); return false;"><b>SPLITS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Polytope__SPLITS" class="foldit"><div class="descr"><p> The splits of the polytope, i.e., hyperplanes cutting the polytope in
 two parts such that we have a regular subdivision.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SPLIT_COMPATIBILITY_GRAPH" onclick="swap_content('span:Polytope__SPLIT_COMPATIBILITY_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SPLIT_COMPATIBILITY_GRAPH" onclick="swap_content('span:Polytope__SPLIT_COMPATIBILITY_GRAPH'); return false;"><b>SPLIT_COMPATIBILITY_GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:Polytope__SPLIT_COMPATIBILITY_GRAPH" class="foldit"><div class="descr"><p> Two <a href="#Polytope__SPLITS" onclick="unfold('span:Polytope__SPLITS');">SPLITS</a> are compatible if the defining hyperplanes do not intersect in the
 interior of the polytope.  This defines a graph.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__STEINER_POINT" onclick="swap_content('span:Polytope__STEINER_POINT'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__STEINER_POINT" onclick="swap_content('span:Polytope__STEINER_POINT'); return false;"><b>STEINER_POINT</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:Polytope__STEINER_POINT" class="foldit"><div class="descr"><p> Steiner point of the whole polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__STEINER_POINTS" onclick="swap_content('span:Polytope__STEINER_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__STEINER_POINTS" onclick="swap_content('span:Polytope__STEINER_POINTS'); return false;"><b>STEINER_POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Polytope__STEINER_POINTS" class="foldit"><div class="descr"><p> A weighted inner point depending on the outer angle called Steiner point for all faces of dimensions 2 to d.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__TILING_LATTICE" onclick="swap_content('span:Polytope__TILING_LATTICE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__TILING_LATTICE" onclick="swap_content('span:Polytope__TILING_LATTICE'); return false;"><b>TILING_LATTICE</b>:
		</a><a href="#AffineLattice" onclick="unfold('span:AffineLattice');">AffineLattice</a><br/><div style="display: inline" id="span:Polytope__TILING_LATTICE" class="foldit"><div class="descr"><p> An affine lattice L such that P + L tiles the affine span of P</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VALID_POINT" onclick="swap_content('span:Polytope__VALID_POINT'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VALID_POINT" onclick="swap_content('span:Polytope__VALID_POINT'); return false;"><b>VALID_POINT</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:Polytope__VALID_POINT" class="foldit"><div class="descr"><p> Some point belonging to the polyhedron.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This stores a (homogeneous) point belonging to the 3-cube as a vector and prints its coordinates:<code>&gt; $v = cube(3)-&gt;VALID_POINT;</code><code>&gt; print $v;</code><code> 1 1 1 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VERTEX_BARYCENTER" onclick="swap_content('span:Polytope__VERTEX_BARYCENTER'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VERTEX_BARYCENTER" onclick="swap_content('span:Polytope__VERTEX_BARYCENTER'); return false;"><b>VERTEX_BARYCENTER</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:Polytope__VERTEX_BARYCENTER" class="foldit"><div class="descr"><p> The center of gravity of the vertices of a bounded polytope.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This prints the vertex barycenter of the standard 3-simplex:<code>&gt; print simplex(3)-&gt;VERTEX_BARYCENTER;</code><code> 1 1/4 1/4 1/4</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VERTEX_NORMALS" onclick="swap_content('span:Polytope__VERTEX_NORMALS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VERTEX_NORMALS" onclick="swap_content('span:Polytope__VERTEX_NORMALS'); return false;"><b>VERTEX_NORMALS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Polytope__VERTEX_NORMALS" class="foldit"><div class="descr"><p> The i-th row is the normal vector of a hyperplane separating the i-th vertex from the others.
 This property is a by-product of redundant point elimination algorithm.
 All vectors in this section must be non-zero.
 Alias for property <a href="#Cone__RAY_SEPARATORS" onclick="unfold('span:Cone__RAY_SEPARATORS');">Cone::RAY_SEPARATORS</a>.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This prints a matrix in which each row represents a normal vector of a hyperplane seperating one vertex of a centered square
 with side length 2 from the other ones. The first and the last hyperplanes as well as the second and third hyperplanes are the same 
 up to orientation.<code>&gt; print cube(2)-&gt;VERTEX_NORMALS;</code><code> 0 1/2 1/2</code><code> 0 -1/2 1/2</code><code> 0 1/2 -1/2</code><code> 0 -1/2 -1/2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VERTICES" onclick="swap_content('span:Polytope__VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VERTICES" onclick="swap_content('span:Polytope__VERTICES'); return false;"><b>VERTICES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Polytope__VERTICES" class="foldit"><div class="descr"><p> Vertices of the polyhedron. No redundancies are allowed.
 All vectors in this section must be non-zero.
 The coordinates are normalized the same way as <a href="#Polytope__POINTS" onclick="unfold('span:Polytope__POINTS');">POINTS</a>. Dual to <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a>.
 This section is empty if and only if the polytope is empty. 
 The property <a href="#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">VERTICES</a> appears only in conjunction with the property <a href="#Cone__LINEALITY_SPACE" onclick="unfold('span:Cone__LINEALITY_SPACE');">LINEALITY_SPACE</a>.
 The specification of the property <a href="#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">VERTICES</a> requires the specification of <a href="#Cone__LINEALITY_SPACE" onclick="unfold('span:Cone__LINEALITY_SPACE');">LINEALITY_SPACE</a>, and vice versa.
 Alias for property <a href="#Cone__RAYS" onclick="unfold('span:Cone__RAYS');">Cone::RAYS</a>.</p></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">To print the vertices (in homogeneous coordinates) of the standard 2-simplex, i.e. a right-angled isoceles triangle, type this:<code>&gt; print simplex(2)-&gt;VERTICES;</code><code> (3) (0 1)</code><code> 1 1 0</code><code> 1 0 1</code></div></li><li><div class="descr">If we know some points to be vertices of their convex hull, we can store them as rows in a Matrix and construct a new polytope with it.
 The following produces a 3-dimensioanl pyramid over the standard 2-simplex with the specified vertices:<code>&gt; $M = new Matrix([[1,0,0,0],[1,1,0,0],[1,0,1,0],[1,0,0,3]]);</code><code>&gt; $p = new Polytope(VERTICES=&gt;$M);</code></div></li><li><div class="descr">The following adds a (square) pyramid to one facet of a 3-cube. We do this by extracting the vertices of the cube via the built-in
 method and then attach the apex of the pyramid to the matrix.<code>&gt; $v = new Vector([1,0,0,3/2]);</code><code>&gt; $M = cube(3)-&gt;VERTICES / $v;</code><code>&gt; $p = new Polytope(VERTICES=&gt;$M);</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VERTICES_IN_INEQUALITIES" onclick="swap_content('span:Polytope__VERTICES_IN_INEQUALITIES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VERTICES_IN_INEQUALITIES" onclick="swap_content('span:Polytope__VERTICES_IN_INEQUALITIES'); return false;"><b>VERTICES_IN_INEQUALITIES</b>:
		</a><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">common::IncidenceMatrix&lt;NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__VERTICES_IN_INEQUALITIES" class="foldit"><div class="descr"><p> Similar to <a href="#Polytope__VERTICES_IN_FACETS" onclick="unfold('span:Polytope__VERTICES_IN_FACETS');">VERTICES_IN_FACETS</a>, but with rows corresponding to <a href="#Polytope__INEQUALITIES" onclick="unfold('span:Polytope__INEQUALITIES');">INEQUALITIES</a> instead of <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a>.
 This property is a byproduct of convex hull computation algorithms.
 It is discarded as soon as <a href="#Polytope__VERTICES_IN_FACETS" onclick="unfold('span:Polytope__VERTICES_IN_FACETS');">VERTICES_IN_FACETS</a> is computed.
 Alias for property <a href="#Cone__RAYS_IN_INEQUALITIES" onclick="unfold('span:Cone__RAYS_IN_INEQUALITIES');">Cone::RAYS_IN_INEQUALITIES</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__WEAKLY_CENTERED" onclick="swap_content('span:Polytope__WEAKLY_CENTERED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__WEAKLY_CENTERED" onclick="swap_content('span:Polytope__WEAKLY_CENTERED'); return false;"><b>WEAKLY_CENTERED</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__WEAKLY_CENTERED" class="foldit"><div class="descr"><p> True if (1, 0, 0, ...) is contained (possibly in the boundary).</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The cube [0,1]^3 is only weakly centered, since the origin is on the boundary. <code>&gt; $p = cube(3,0,0);</code><code>&gt; print $p-&gt;WEAKLY_CENTERED;</code><code> 1</code><code>&gt; print $p-&gt;CENTERED;</code><code> </code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__ZONOTOPE_INPUT_POINTS" onclick="swap_content('span:Polytope__ZONOTOPE_INPUT_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__ZONOTOPE_INPUT_POINTS" onclick="swap_content('span:Polytope__ZONOTOPE_INPUT_POINTS'); return false;"><b>ZONOTOPE_INPUT_POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Polytope__ZONOTOPE_INPUT_POINTS" class="foldit"><div class="descr"><p> The rows of this matrix contain a configuration of affine points in homogeneous cooordinates.
 The zonotope is obtained as the Minkowski sum of all rows, normalized to x_0 = 1.
 Thus, if the input matrix has n columns, the ambient affine dimension of the resulting zonotope is n-1.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__properties__Input_property" onclick="swap_content('span:Polytope__properties__Input_property'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__properties__Input_property" onclick="swap_content('span:Polytope__properties__Input_property'); return false;"><span class="category">Input property</span></a></h3></div><div style="display: inline" id="span:Polytope__properties__Input_property" class="foldit"><div class="descr"><p> These properties are for input only. They allow redundant information.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__EQUATIONS" onclick="swap_content('span:Polytope__EQUATIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__EQUATIONS" onclick="swap_content('span:Polytope__EQUATIONS'); return false;"><b>EQUATIONS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Polytope__EQUATIONS" class="foldit"><div class="descr"><p> Equations that hold for all points of the polyhedron.</p><p> A vector (A<sub>0</sub>, A<sub>1</sub>, ..., A<sub>d</sub>) describes the hyperplane
 of all points (1, x<sub>1</sub>, ..., x<sub>d</sub>) such that A<sub>0</sub> + A<sub>1</sub> x<sub>1</sub> + ... + A<sub>d</sub> x<sub>d</sub> = 0.
 All vectors in this section must be non-zero.</p><p> Input section only.  Ask for <a href="#Polytope__AFFINE_HULL" onclick="unfold('span:Polytope__AFFINE_HULL');">AFFINE_HULL</a> if you want to see an irredundant description of the affine span.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__INEQUALITIES" onclick="swap_content('span:Polytope__INEQUALITIES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__INEQUALITIES" onclick="swap_content('span:Polytope__INEQUALITIES'); return false;"><b>INEQUALITIES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Polytope__INEQUALITIES" class="foldit"><div class="descr"><p> Inequalities that describe half-spaces such that the polyhedron is their intersection.
 Redundancies are allowed.  Dual to <a href="#Polytope__POINTS" onclick="unfold('span:Polytope__POINTS');">POINTS</a>.</p><p> A vector (A<sub>0</sub>, A<sub>1</sub>, ..., A<sub>d</sub>) defines the
 (closed affine) half-space of points (1, x<sub>1</sub>, ..., x<sub>d</sub>) such that
 A<sub>0</sub> + A<sub>1</sub> x<sub>1</sub> + ... + A<sub>d</sub> x<sub>d</sub> &gt;= 0.</p><p> Input section only.  Ask for <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a> and <a href="#Polytope__AFFINE_HULL" onclick="unfold('span:Polytope__AFFINE_HULL');">AFFINE_HULL</a> if you want to compute an H-representation
 from a V-representation.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__POINTS" onclick="swap_content('span:Polytope__POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__POINTS" onclick="swap_content('span:Polytope__POINTS'); return false;"><b>POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:Polytope__POINTS" class="foldit"><div class="descr"><p> Points such that the polyhedron is their convex hull.
 Redundancies are allowed.
 The vector (x<sub>0</sub>, x<sub>1</sub>, ... x<sub>d</sub>) represents a point in d-space given in homogeneous coordinates.
 Affine points are identified by x<sub>0</sub> &gt; 0.
 Points with x<sub>0</sub> = 0 can be interpreted as rays.</p><p> polymake automatically normalizes each coordinate vector, dividing them by the first non-zero element.
 The clients and rule subroutines can always assume that x<sub>0</sub> is either 0 or 1.
 All vectors in this section must be non-zero.
 Dual to <a href="#Polytope__INEQUALITIES" onclick="unfold('span:Polytope__INEQUALITIES');">INEQUALITIES</a>.</p><p> Input section only.  Ask for <a href="#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">VERTICES</a> if you want to compute a V-representation from an H-representation.
 Alias for property <a href="#Cone__INPUT_RAYS" onclick="unfold('span:Cone__INPUT_RAYS');">Cone::INPUT_RAYS</a>.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Given some (homogeneous) points in 3-space we first construct a matrix containing them. Assume we don't know wether these are all
 vertices of their convex hull or not. To safely produce a polytope from these points, we set the input to the matrix representing them.
 In the following the points under consideration are the vertices of the 3-simplex together with their barycenter, which will be no vertex:<code>&gt; $M = new Matrix([[1,0,0,0],[1,1,0,0],[1,0,1,0],[1,0,0,1],[1,1/4,1/4,1/4]]);</code><code>&gt; $p = new Polytope(POINTS=&gt;$M);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 0 0 0</code><code> 1 1 0 0 </code><code> 1 0 1 0</code><code> 1 0 0 1</code></div></li></ul></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__properties__Lattice_points_in_cones" onclick="swap_content('span:Polytope__properties__Lattice_points_in_cones'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__properties__Lattice_points_in_cones" onclick="swap_content('span:Polytope__properties__Lattice_points_in_cones'); return false;"><span class="category">Lattice points in cones</span></a></h3></div><div style="display: inline" id="span:Polytope__properties__Lattice_points_in_cones" class="foldit"><div class="descr"><p> These properties capture information that depends on the lattice structure of the cone.
 polymake always works with the integer lattice. </p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__CANONICAL" onclick="swap_content('span:Polytope__CANONICAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__CANONICAL" onclick="swap_content('span:Polytope__CANONICAL'); return false;"><b>CANONICAL</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__CANONICAL" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The polytope is <em class="u">canonical</em> if there is exactly one interior lattice point.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__COMPRESSED" onclick="swap_content('span:Polytope__COMPRESSED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__COMPRESSED" onclick="swap_content('span:Polytope__COMPRESSED'); return false;"><b>COMPRESSED</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__COMPRESSED" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> True if the <a href="#Polytope__FACET_WIDTH" onclick="unfold('span:Polytope__FACET_WIDTH');">FACET_WIDTH</a> is one.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__EHRHART_POLYNOMIAL_COEFF" onclick="swap_content('span:Polytope__EHRHART_POLYNOMIAL_COEFF'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__EHRHART_POLYNOMIAL_COEFF" onclick="swap_content('span:Polytope__EHRHART_POLYNOMIAL_COEFF'); return false;"><b>EHRHART_POLYNOMIAL_COEFF</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Rational&gt;</a><br/><div style="display: inline" id="span:Polytope__EHRHART_POLYNOMIAL_COEFF" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The coefficients of the Ehrhart polynomial starting at the constant coefficient.</p></div><div class="depends"><b>Depends on: </b>latte or libnormaliz
</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__FACET_VERTEX_LATTICE_DISTANCES" onclick="swap_content('span:Polytope__FACET_VERTEX_LATTICE_DISTANCES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__FACET_VERTEX_LATTICE_DISTANCES" onclick="swap_content('span:Polytope__FACET_VERTEX_LATTICE_DISTANCES'); return false;"><b>FACET_VERTEX_LATTICE_DISTANCES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Integer, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__FACET_VERTEX_LATTICE_DISTANCES" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The entry (i,j) equals the lattice distance of vertex j from facet i.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__FACET_WIDTH" onclick="swap_content('span:Polytope__FACET_WIDTH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__FACET_WIDTH" onclick="swap_content('span:Polytope__FACET_WIDTH'); return false;"><b>FACET_WIDTH</b>:
		</a><a href="common.html#Integer" onclick="unfold('span:Integer');">common::Integer</a><br/><div style="display: inline" id="span:Polytope__FACET_WIDTH" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The maximal integral width of the polytope with respect to the facet normals.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__FACET_WIDTHS" onclick="swap_content('span:Polytope__FACET_WIDTHS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__FACET_WIDTHS" onclick="swap_content('span:Polytope__FACET_WIDTHS'); return false;"><b>FACET_WIDTHS</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Polytope__FACET_WIDTHS" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The integral width of the polytope with respect to each facet normal.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__GORENSTEIN" onclick="swap_content('span:Polytope__GORENSTEIN'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__GORENSTEIN" onclick="swap_content('span:Polytope__GORENSTEIN'); return false;"><b>GORENSTEIN</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__GORENSTEIN" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The polytope is <em class="u">Gorenstein</em> if a dilation of the polytope is <a href="#Polytope__REFLEXIVE" onclick="unfold('span:Polytope__REFLEXIVE');">REFLEXIVE</a> up to translation.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__GORENSTEIN_INDEX" onclick="swap_content('span:Polytope__GORENSTEIN_INDEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__GORENSTEIN_INDEX" onclick="swap_content('span:Polytope__GORENSTEIN_INDEX'); return false;"><b>GORENSTEIN_INDEX</b>:
		</a><a href="common.html#Integer" onclick="unfold('span:Integer');">common::Integer</a><br/><div style="display: inline" id="span:Polytope__GORENSTEIN_INDEX" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> If the polytope is <a href="#Polytope__GORENSTEIN" onclick="unfold('span:Polytope__GORENSTEIN');">GORENSTEIN</a> then this is the multiple such that the polytope is <a href="#Polytope__REFLEXIVE" onclick="unfold('span:Polytope__REFLEXIVE');">REFLEXIVE</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__GORENSTEIN_VECTOR" onclick="swap_content('span:Polytope__GORENSTEIN_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__GORENSTEIN_VECTOR" onclick="swap_content('span:Polytope__GORENSTEIN_VECTOR'); return false;"><b>GORENSTEIN_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Polytope__GORENSTEIN_VECTOR" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> If the polytope is <a href="#Polytope__GORENSTEIN" onclick="unfold('span:Polytope__GORENSTEIN');">GORENSTEIN</a>, then this is the unique interior lattice point
 in the multiple of the polytope that is <a href="#Polytope__REFLEXIVE" onclick="unfold('span:Polytope__REFLEXIVE');">REFLEXIVE</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__GROEBNER_BASIS" onclick="swap_content('span:Polytope__GROEBNER_BASIS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__GROEBNER_BASIS" onclick="swap_content('span:Polytope__GROEBNER_BASIS'); return false;"><b>GROEBNER_BASIS</b>:
		</a><a href="#GroebnerBasis" onclick="unfold('span:GroebnerBasis');">GroebnerBasis</a><br/><div style="display: inline" id="span:Polytope__GROEBNER_BASIS" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The Groebner basis for the toric ideal associated to the lattice points in the polytope using any term order.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__LATTICE_BASIS" onclick="swap_content('span:Polytope__LATTICE_BASIS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__LATTICE_BASIS" onclick="swap_content('span:Polytope__LATTICE_BASIS'); return false;"><b>LATTICE_BASIS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__LATTICE_BASIS" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> <a href="#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">VERTICES</a> are interpreted as coefficient vectors for this basis
 given in affine form
 assumed to the the standard basis if not explicitely specified.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__LATTICE_CODEGREE" onclick="swap_content('span:Polytope__LATTICE_CODEGREE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__LATTICE_CODEGREE" onclick="swap_content('span:Polytope__LATTICE_CODEGREE'); return false;"><b>LATTICE_CODEGREE</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__LATTICE_CODEGREE" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> <a href="#Cone__COMBINATORIAL_DIM" onclick="unfold('span:Cone__COMBINATORIAL_DIM');">COMBINATORIAL_DIM</a>+1-<a href="#Polytope__LATTICE_DEGREE" onclick="unfold('span:Polytope__LATTICE_DEGREE');">LATTICE_DEGREE</a> or the smallest integer k such that k*P has an interior lattice point.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__LATTICE_DEGREE" onclick="swap_content('span:Polytope__LATTICE_DEGREE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__LATTICE_DEGREE" onclick="swap_content('span:Polytope__LATTICE_DEGREE'); return false;"><b>LATTICE_DEGREE</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__LATTICE_DEGREE" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The degree of the h*-polynomial or Ehrhart polynomial.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__LATTICE_EMPTY" onclick="swap_content('span:Polytope__LATTICE_EMPTY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__LATTICE_EMPTY" onclick="swap_content('span:Polytope__LATTICE_EMPTY'); return false;"><b>LATTICE_EMPTY</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__LATTICE_EMPTY" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> True if the polytope contains no lattice points other than the vertices.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__LATTICE_VOLUME" onclick="swap_content('span:Polytope__LATTICE_VOLUME'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__LATTICE_VOLUME" onclick="swap_content('span:Polytope__LATTICE_VOLUME'); return false;"><b>LATTICE_VOLUME</b>:
		</a><a href="common.html#Integer" onclick="unfold('span:Integer');">common::Integer</a><br/><div style="display: inline" id="span:Polytope__LATTICE_VOLUME" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The normalized volume of the polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__LATTICE_WIDTH" onclick="swap_content('span:Polytope__LATTICE_WIDTH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__LATTICE_WIDTH" onclick="swap_content('span:Polytope__LATTICE_WIDTH'); return false;"><b>LATTICE_WIDTH</b>:
		</a><a href="common.html#Integer" onclick="unfold('span:Integer');">common::Integer</a><br/><div style="display: inline" id="span:Polytope__LATTICE_WIDTH" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The minimal integral width of the polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__LATTICE_WIDTH_DIRECTION" onclick="swap_content('span:Polytope__LATTICE_WIDTH_DIRECTION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__LATTICE_WIDTH_DIRECTION" onclick="swap_content('span:Polytope__LATTICE_WIDTH_DIRECTION'); return false;"><b>LATTICE_WIDTH_DIRECTION</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Polytope__LATTICE_WIDTH_DIRECTION" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> One direction which realizes <a href="#Polytope__LATTICE_WIDTH" onclick="unfold('span:Polytope__LATTICE_WIDTH');">LATTICE_WIDTH</a> of the polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__NORMAL" onclick="swap_content('span:Polytope__NORMAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__NORMAL" onclick="swap_content('span:Polytope__NORMAL'); return false;"><b>NORMAL</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__NORMAL" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The polytope is <em class="u">normal</em> if the cone spanned by P x {1} is generated in height 1.</p></div><div class="depends"><b>Depends on: </b>4ti2 or libnormaliz
</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__POLAR_SMOOTH" onclick="swap_content('span:Polytope__POLAR_SMOOTH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__POLAR_SMOOTH" onclick="swap_content('span:Polytope__POLAR_SMOOTH'); return false;"><b>POLAR_SMOOTH</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__POLAR_SMOOTH" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The lattice polytope is <em class="u">polar to smooth</em> if it is <a href="#Polytope__REFLEXIVE" onclick="unfold('span:Polytope__REFLEXIVE');">REFLEXIVE</a> and the polar of the polytope (wrt to its interior point) is a <a href="#Polytope__SMOOTH" onclick="unfold('span:Polytope__SMOOTH');">SMOOTH</a> lattice polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__REFLEXIVE" onclick="swap_content('span:Polytope__REFLEXIVE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__REFLEXIVE" onclick="swap_content('span:Polytope__REFLEXIVE'); return false;"><b>REFLEXIVE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__REFLEXIVE" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> True if the polytope and its dual have integral vertices.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SMOOTH" onclick="swap_content('span:Polytope__SMOOTH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SMOOTH" onclick="swap_content('span:Polytope__SMOOTH'); return false;"><b>SMOOTH</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__SMOOTH" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The polytope is <em class="u">smooth</em> if the associated projective variety is smooth; the determinant of the edge directions is +/-1 at every vertex.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__TERMINAL" onclick="swap_content('span:Polytope__TERMINAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__TERMINAL" onclick="swap_content('span:Polytope__TERMINAL'); return false;"><b>TERMINAL</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__TERMINAL" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The polytope is <em class="u">terminal</em> if there is exactly one interior lattice point and all other lattice points are vertices.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VERY_AMPLE" onclick="swap_content('span:Polytope__VERY_AMPLE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VERY_AMPLE" onclick="swap_content('span:Polytope__VERY_AMPLE'); return false;"><b>VERY_AMPLE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__VERY_AMPLE" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The polytope is <em class="u">very ample</em> if the Hilbert Basis of the cone spanned by the edge-directions of any vertex lies inside the polytope.</p></div><div class="depends"><b>Depends on: </b>4ti2 or libnormaliz
</div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__properties__Lattice_points_in_polytopes" onclick="swap_content('span:Polytope__properties__Lattice_points_in_polytopes'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__properties__Lattice_points_in_polytopes" onclick="swap_content('span:Polytope__properties__Lattice_points_in_polytopes'); return false;"><span class="category">Lattice points in polytopes</span></a></h3></div><div style="display: inline" id="span:Polytope__properties__Lattice_points_in_polytopes" class="foldit"><div class="descr"><p> These properties capture information that depends on the lattice structure of the polytope.
 polymake always works with the integer lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__BOUNDARY_LATTICE_POINTS" onclick="swap_content('span:Polytope__BOUNDARY_LATTICE_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BOUNDARY_LATTICE_POINTS" onclick="swap_content('span:Polytope__BOUNDARY_LATTICE_POINTS'); return false;"><b>BOUNDARY_LATTICE_POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Integer, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__BOUNDARY_LATTICE_POINTS" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Rational">Polytope&lt;Rational&gt;</a></b></div><div class="descr"><p> The lattice points on the boundary of the polytope, including the vertices.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__INTERIOR_LATTICE_POINTS" onclick="swap_content('span:Polytope__INTERIOR_LATTICE_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__INTERIOR_LATTICE_POINTS" onclick="swap_content('span:Polytope__INTERIOR_LATTICE_POINTS'); return false;"><b>INTERIOR_LATTICE_POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Integer, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__INTERIOR_LATTICE_POINTS" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Rational">Polytope&lt;Rational&gt;</a></b></div><div class="descr"><p> The lattice points strictly in the interior of the polytope</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__LATTICE_POINTS_GENERATORS" onclick="swap_content('span:Polytope__LATTICE_POINTS_GENERATORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__LATTICE_POINTS_GENERATORS" onclick="swap_content('span:Polytope__LATTICE_POINTS_GENERATORS'); return false;"><b>LATTICE_POINTS_GENERATORS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Matrix&lt;Integer, NonSymmetric&gt;&gt;</a><br/><div style="display: inline" id="span:Polytope__LATTICE_POINTS_GENERATORS" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Rational">Polytope&lt;Rational&gt;</a></b></div><div class="descr"><p> The lattice points generators in the polytope.
 The output consists of three matrices [P,R,L], where
 P are lattice points which are contained in the polytope
 R are rays and L is the lineality.
 Together they form a description of all lattice points.
 Every lattice point can be described as
    p + lambda*R + mu*L
 where p is a row in P and lambda has only non-negative
 integral coordinates and mu has arbitrary integral coordinates.</p></div><div class="depends"><b>Depends on: </b>4ti2 for unbounded polytopes
</div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__N_BOUNDARY_LATTICE_POINTS" onclick="swap_content('span:Polytope__N_BOUNDARY_LATTICE_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__N_BOUNDARY_LATTICE_POINTS" onclick="swap_content('span:Polytope__N_BOUNDARY_LATTICE_POINTS'); return false;"><b>N_BOUNDARY_LATTICE_POINTS</b>:
		</a><a href="common.html#Integer" onclick="unfold('span:Integer');">common::Integer</a><br/><div style="display: inline" id="span:Polytope__N_BOUNDARY_LATTICE_POINTS" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Rational">Polytope&lt;Rational&gt;</a></b></div><div class="descr"><p> The number of <a href="#Polytope__BOUNDARY_LATTICE_POINTS" onclick="unfold('span:Polytope__BOUNDARY_LATTICE_POINTS');">BOUNDARY_LATTICE_POINTS</a></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__N_INTERIOR_LATTICE_POINTS" onclick="swap_content('span:Polytope__N_INTERIOR_LATTICE_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__N_INTERIOR_LATTICE_POINTS" onclick="swap_content('span:Polytope__N_INTERIOR_LATTICE_POINTS'); return false;"><b>N_INTERIOR_LATTICE_POINTS</b>:
		</a><a href="common.html#Integer" onclick="unfold('span:Integer');">common::Integer</a><br/><div style="display: inline" id="span:Polytope__N_INTERIOR_LATTICE_POINTS" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Rational">Polytope&lt;Rational&gt;</a></b></div><div class="descr"><p> The number of <a href="#Polytope__INTERIOR_LATTICE_POINTS" onclick="unfold('span:Polytope__INTERIOR_LATTICE_POINTS');">INTERIOR_LATTICE_POINTS</a></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__N_LATTICE_POINTS" onclick="swap_content('span:Polytope__N_LATTICE_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__N_LATTICE_POINTS" onclick="swap_content('span:Polytope__N_LATTICE_POINTS'); return false;"><b>N_LATTICE_POINTS</b>:
		</a><a href="common.html#Integer" onclick="unfold('span:Integer');">common::Integer</a><br/><div style="display: inline" id="span:Polytope__N_LATTICE_POINTS" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Rational">Polytope&lt;Rational&gt;</a></b></div><div class="descr"><p> The number of <a href="#Polytope__LATTICE_POINTS" onclick="unfold('span:Polytope__LATTICE_POINTS');">LATTICE_POINTS</a></p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__properties__Matroid_properties" onclick="swap_content('span:Polytope__properties__Matroid_properties'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__properties__Matroid_properties" onclick="swap_content('span:Polytope__properties__Matroid_properties'); return false;"><span class="category">Matroid properties</span></a></h3></div><div style="display: inline" id="span:Polytope__properties__Matroid_properties" class="foldit"><div class="descr"><p> Properties which belong to the corresponding (oriented) matroid</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__CHIROTOPE" onclick="swap_content('span:Polytope__CHIROTOPE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__CHIROTOPE" onclick="swap_content('span:Polytope__CHIROTOPE'); return false;"><b>CHIROTOPE</b>:
		</a><a href="common.html#Text" onclick="unfold('span:Text');">common::Text</a><br/><div style="display: inline" id="span:Polytope__CHIROTOPE" class="foldit"><div class="descr"><p> Chirotope corresponding to the <a href="#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">VERTICES</a>. TOPCOM format.</p></div><div class="depends"><b>Depends on: </b>topcom
</div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__properties__Optimization" onclick="swap_content('span:Polytope__properties__Optimization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__properties__Optimization" onclick="swap_content('span:Polytope__properties__Optimization'); return false;"><span class="category">Optimization</span></a></h3></div><div style="display: inline" id="span:Polytope__properties__Optimization" class="foldit"><div class="descr"><p> These properties provide tools from linear, integer and dicrete optimization. In particular, linear programs are defined here.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__LP" onclick="swap_content('span:Polytope__LP'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__LP" onclick="swap_content('span:Polytope__LP'); return false;"><b>LP</b>:
		</a><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a><br/><div style="display: inline" id="span:Polytope__LP" class="foldit"><div class="descr"><p> Linear program applied to the polytope</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__properties__Triangulation_and_volume" onclick="swap_content('span:Polytope__properties__Triangulation_and_volume'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__properties__Triangulation_and_volume" onclick="swap_content('span:Polytope__properties__Triangulation_and_volume'); return false;"><span class="category">Triangulation and volume</span></a></h3></div><div style="display: inline" id="span:Polytope__properties__Triangulation_and_volume" class="foldit"><div class="descr"><p> Everything in this group is defined for <a href="#Polytope__BOUNDED" onclick="unfold('span:Polytope__BOUNDED');">BOUNDED</a> polytopes only.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__POLYTOPAL_SUBDIVISION" onclick="swap_content('span:Polytope__POLYTOPAL_SUBDIVISION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__POLYTOPAL_SUBDIVISION" onclick="swap_content('span:Polytope__POLYTOPAL_SUBDIVISION'); return false;"><b>POLYTOPAL_SUBDIVISION</b>:
		</a><a href="fan.html#SubdivisionOfPoints" onclick="unfold('span:SubdivisionOfPoints');">fan::SubdivisionOfPoints</a><br/><div style="display: inline" id="span:Polytope__POLYTOPAL_SUBDIVISION" class="foldit"><div class="descr"><p> Polytopal Subdivision of the polytope using only its vertices.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__RELATIVE_VOLUME" onclick="swap_content('span:Polytope__RELATIVE_VOLUME'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__RELATIVE_VOLUME" onclick="swap_content('span:Polytope__RELATIVE_VOLUME'); return false;"><b>RELATIVE_VOLUME</b>:
		</a><a href="common.html#Map" onclick="unfold('span:Map');">common::Map&lt;Rational, Rational&gt;</a><br/><div style="display: inline" id="span:Polytope__RELATIVE_VOLUME" class="foldit"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Rational">Polytope&lt;Rational&gt;</a></b></div><div class="descr"><p> The <em class="param">k</em>-dimensional Euclidean volume of a <em class="param">k</em>-dimensional rational polytope 
 embedded in R^n.
 This value is obtained by summing the square roots of the entries in SQUARED_RELATIVE_VOLUMES
 using the function <em class="param">naive_sum_of_square_roots</em>. Since this latter function
 does not try very hard to compute the real value, you may have to resort to
 a computer algebra package.
 The value is encoded as a map collecting the coefficients of various roots encountered in the sum.
 For example, {(3 1/2),(5 7)} represents sqrt{3}/2 + 7 sqrt{5}.
 If the output is not satisfactory, please use a symbolic algebra package.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the 2-dimensional volume of a centered square with side length 2 embedded in the 3-space (the result is 4):<code>&gt; $M = new Matrix([1,-1,1,0],[1,-1,-1,0],[1,1,-1,0],[1,1,1,0]);</code><code>&gt; $p = new Polytope&lt;Rational&gt;(VERTICES=&gt;$M);</code><code>&gt; print $p-&gt;RELATIVE_VOLUME;</code><code> {(1 4)}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SQUARED_RELATIVE_VOLUMES" onclick="swap_content('span:Polytope__SQUARED_RELATIVE_VOLUMES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SQUARED_RELATIVE_VOLUMES" onclick="swap_content('span:Polytope__SQUARED_RELATIVE_VOLUMES'); return false;"><b>SQUARED_RELATIVE_VOLUMES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array</a><br/><div style="display: inline" id="span:Polytope__SQUARED_RELATIVE_VOLUMES" class="foldit"><div class="descr"><p> Array of the squared relative <em class="param">k</em>-dimensional volumes of the simplices in 
 a triangulation of a <em class="param">d</em>-dimensional polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__TRIANGULATION" onclick="swap_content('span:Polytope__TRIANGULATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__TRIANGULATION" onclick="swap_content('span:Polytope__TRIANGULATION'); return false;"><b>TRIANGULATION</b>:
		</a><a href="topaz.html#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">topaz::GeometricSimplicialComplex</a><br/><div style="display: inline" id="span:Polytope__TRIANGULATION" class="foldit"><div class="descr"><p>Amendment of <a href="#Cone__TRIANGULATION" onclick="unfold('span:Cone__TRIANGULATION');">Cone::TRIANGULATION</a> for Polytope::TRIANGULATION</p></div><h4>Properties of TRIANGULATION</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__TRIANGULATION__properties__Triangulation_and_volume" onclick="swap_content('span:Polytope__TRIANGULATION__properties__Triangulation_and_volume'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__TRIANGULATION__properties__Triangulation_and_volume" onclick="swap_content('span:Polytope__TRIANGULATION__properties__Triangulation_and_volume'); return false;"><span class="category">Triangulation and volume</span></a></h3></div><div style="display: inline" id="span:Polytope__TRIANGULATION__properties__Triangulation_and_volume" class="foldit"><div class="descr"><p> These properties collect information about triangulations of the object and properties usually computed from such, as the volume.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__TRIANGULATION__GKZ_VECTOR" onclick="swap_content('span:Polytope__TRIANGULATION__GKZ_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__TRIANGULATION__GKZ_VECTOR" onclick="swap_content('span:Polytope__TRIANGULATION__GKZ_VECTOR'); return false;"><b>GKZ_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:Polytope__TRIANGULATION__GKZ_VECTOR" class="foldit"><div class="descr"><p> GKZ-vector
</p><blockquote><div>See Chapter 7 in Gelfand, Kapranov, and Zelevinsky:</div><div>Discriminants, Resultants and Multidimensional Determinants, Birkhäuser 1994</div></blockquote></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VOLUME" onclick="swap_content('span:Polytope__VOLUME'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VOLUME" onclick="swap_content('span:Polytope__VOLUME'); return false;"><b>VOLUME</b>:
		</a><a href="#" onclick="unfold('span:');">Polytope::Scalar</a><br/><div style="display: inline" id="span:Polytope__VOLUME" class="foldit"><div class="descr"><p> Volume of the polytope.</p></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the volume of the centered 3-dimensional cube with side length 2:<code>&gt; print cube(3)-&gt;VOLUME;</code><code> 8</code></div></li></ul></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__properties__Unbounded_polyhedra" onclick="swap_content('span:Polytope__properties__Unbounded_polyhedra'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__properties__Unbounded_polyhedra" onclick="swap_content('span:Polytope__properties__Unbounded_polyhedra'); return false;"><span class="category">Unbounded polyhedra</span></a></h3></div><div style="display: inline" id="span:Polytope__properties__Unbounded_polyhedra" class="foldit"><div class="descr"><p> These properties collect geometric information of a polytope only relevant if it is unbounded, e. g. the far face or the complex of bounded faces.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__BOUNDED_COMPLEX" onclick="swap_content('span:Polytope__BOUNDED_COMPLEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BOUNDED_COMPLEX" onclick="swap_content('span:Polytope__BOUNDED_COMPLEX'); return false;"><b>BOUNDED_COMPLEX</b>:
		</a><a href="fan.html#PolyhedralComplex" onclick="unfold('span:PolyhedralComplex');">fan::PolyhedralComplex&lt;Rational&gt;</a><br/><div style="display: inline" id="span:Polytope__BOUNDED_COMPLEX" class="foldit"><div class="descr"><p> Bounded subcomplex.
 Defined as the bounded cells of the boundary of the pointed part of the polytope. 
 Therefore it only depends on <a href="#Polytope__VERTICES_IN_FACETS" onclick="unfold('span:Polytope__VERTICES_IN_FACETS');">VERTICES_IN_FACETS</a> and <a href="#Polytope__FAR_FACE" onclick="unfold('span:Polytope__FAR_FACE');">FAR_FACE</a>.</p></div><h4>Properties of BOUNDED_COMPLEX</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__BOUNDED_COMPLEX__properties__Combinatorics" onclick="swap_content('span:Polytope__BOUNDED_COMPLEX__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__BOUNDED_COMPLEX__properties__Combinatorics" onclick="swap_content('span:Polytope__BOUNDED_COMPLEX__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:Polytope__BOUNDED_COMPLEX__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__BOUNDED_COMPLEX__GRAPH" onclick="swap_content('span:Polytope__BOUNDED_COMPLEX__GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BOUNDED_COMPLEX__GRAPH" onclick="swap_content('span:Polytope__BOUNDED_COMPLEX__GRAPH'); return false;"><b>GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:Polytope__BOUNDED_COMPLEX__GRAPH" class="foldit"><div class="descr"><p>Amendment of <a href="fan.html#PolyhedralFan__GRAPH" onclick="unfold('span:PolyhedralFan__GRAPH');">fan::PolyhedralFan::GRAPH</a> for Polytope::BOUNDED_COMPLEX::GRAPH</p></div><h4>Properties of GRAPH</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_COLORS" onclick="swap_content('span:Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_COLORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_COLORS" onclick="swap_content('span:Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_COLORS'); return false;"><b>EDGE_COLORS</b>:
		</a><a href="common.html#EdgeMap" onclick="unfold('span:EdgeMap');">common::EdgeMap&lt;Undirected, Int&gt;</a><br/><div style="display: inline" id="span:Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_COLORS" class="foldit"><div class="descr"><p> Each edge indicates the maximal dimension of a bounded
 face containing it.  Mainly used for visualization purposes.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_DIRECTIONS" onclick="swap_content('span:Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_DIRECTIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_DIRECTIONS" onclick="swap_content('span:Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_DIRECTIONS'); return false;"><b>EDGE_DIRECTIONS</b>:
		</a><a href="common.html#EdgeMap" onclick="unfold('span:EdgeMap');">common::EdgeMap</a><br/><div style="display: inline" id="span:Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_DIRECTIONS" class="foldit"><div class="descr"><p> Difference of the vertices for each edge (only defined up to signs).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_LENGTHS" onclick="swap_content('span:Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_LENGTHS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_LENGTHS" onclick="swap_content('span:Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_LENGTHS'); return false;"><b>EDGE_LENGTHS</b>:
		</a><a href="common.html#EdgeMap" onclick="unfold('span:EdgeMap');">common::EdgeMap</a><br/><div style="display: inline" id="span:Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_LENGTHS" class="foldit"><div class="descr"><p> The length of each edge measured in the maximum metric.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__BOUNDED_COMPLEX__GRAPH__TOTAL_LENGTH" onclick="swap_content('span:Polytope__BOUNDED_COMPLEX__GRAPH__TOTAL_LENGTH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BOUNDED_COMPLEX__GRAPH__TOTAL_LENGTH" onclick="swap_content('span:Polytope__BOUNDED_COMPLEX__GRAPH__TOTAL_LENGTH'); return false;"><b>TOTAL_LENGTH</b>:
		</a><a href="#" onclick="unfold('span:');">Polytope::Scalar</a><br/><div style="display: inline" id="span:Polytope__BOUNDED_COMPLEX__GRAPH__TOTAL_LENGTH" class="foldit"><div class="descr"><p> Sum of all <a href="#Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_LENGTHS" onclick="unfold('span:Polytope__BOUNDED_COMPLEX__GRAPH__EDGE_LENGTHS');">EDGE_LENGTHS</a>.</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__FAR_FACE" onclick="swap_content('span:Polytope__FAR_FACE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__FAR_FACE" onclick="swap_content('span:Polytope__FAR_FACE'); return false;"><b>FAR_FACE</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:Polytope__FAR_FACE" class="foldit"><div class="descr"><p> Indices of vertices that are rays.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__N_BOUNDED_VERTICES" onclick="swap_content('span:Polytope__N_BOUNDED_VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__N_BOUNDED_VERTICES" onclick="swap_content('span:Polytope__N_BOUNDED_VERTICES'); return false;"><b>N_BOUNDED_VERTICES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Polytope__N_BOUNDED_VERTICES" class="foldit"><div class="descr"><p> Number of bounded vertices (non-rays).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SIMPLE_POLYHEDRON" onclick="swap_content('span:Polytope__SIMPLE_POLYHEDRON'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SIMPLE_POLYHEDRON" onclick="swap_content('span:Polytope__SIMPLE_POLYHEDRON'); return false;"><b>SIMPLE_POLYHEDRON</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Polytope__SIMPLE_POLYHEDRON" class="foldit"><div class="descr"><p> True if each bounded vertex of a (possibly unbounded) d-polyhedron has vertex degree d in the <a href="#Polytope__BOUNDED_COMPLEX__GRAPH" onclick="unfold('span:Polytope__BOUNDED_COMPLEX__GRAPH');">GRAPH</a>.
 The vertex degrees of the vertices on the <a href="#Polytope__FAR_FACE" onclick="unfold('span:Polytope__FAR_FACE');">FAR_FACE</a> do not matter.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__TOWARDS_FAR_FACE" onclick="swap_content('span:Polytope__TOWARDS_FAR_FACE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__TOWARDS_FAR_FACE" onclick="swap_content('span:Polytope__TOWARDS_FAR_FACE'); return false;"><b>TOWARDS_FAR_FACE</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:Polytope__TOWARDS_FAR_FACE" class="foldit"><div class="descr"><p> A linear objective function for which each unbounded edge is increasing;
 only defined for unbounded polyhedra.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__UNBOUNDED_FACETS" onclick="swap_content('span:Polytope__UNBOUNDED_FACETS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__UNBOUNDED_FACETS" onclick="swap_content('span:Polytope__UNBOUNDED_FACETS'); return false;"><b>UNBOUNDED_FACETS</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:Polytope__UNBOUNDED_FACETS" class="foldit"><div class="descr"><p> Indices of facets that are unbounded.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__properties__Visualization" onclick="swap_content('span:Polytope__properties__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__properties__Visualization" onclick="swap_content('span:Polytope__properties__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:Polytope__properties__Visualization" class="foldit"><div class="descr"><p> These properties are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__FACET_LABELS" onclick="swap_content('span:Polytope__FACET_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__FACET_LABELS" onclick="swap_content('span:Polytope__FACET_LABELS'); return false;"><b>FACET_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:Polytope__FACET_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a>, analogous to <a href="#Polytope__VERTEX_LABELS" onclick="unfold('span:Polytope__VERTEX_LABELS');">VERTEX_LABELS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__FTV_CYCLIC_NORMAL" onclick="swap_content('span:Polytope__FTV_CYCLIC_NORMAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__FTV_CYCLIC_NORMAL" onclick="swap_content('span:Polytope__FTV_CYCLIC_NORMAL'); return false;"><b>FTV_CYCLIC_NORMAL</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Polytope__FTV_CYCLIC_NORMAL" class="foldit"><div class="descr"><p> Reordered transposed <a href="#Polytope__VERTICES_IN_FACETS" onclick="unfold('span:Polytope__VERTICES_IN_FACETS');">VERTICES_IN_FACETS</a>. Dual to <a href="#Polytope__VIF_CYCLIC_NORMAL" onclick="unfold('span:Polytope__VIF_CYCLIC_NORMAL');">VIF_CYCLIC_NORMAL</a>.
 Alias for property <a href="#Cone__FTR_CYCLIC_NORMAL" onclick="unfold('span:Cone__FTR_CYCLIC_NORMAL');">Cone::FTR_CYCLIC_NORMAL</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__GALE_VERTICES" onclick="swap_content('span:Polytope__GALE_VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__GALE_VERTICES" onclick="swap_content('span:Polytope__GALE_VERTICES'); return false;"><b>GALE_VERTICES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Float, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Polytope__GALE_VERTICES" class="foldit"><div class="descr"><p> Coordinates of points for an affine Gale diagram.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__INEQUALITY_LABELS" onclick="swap_content('span:Polytope__INEQUALITY_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__INEQUALITY_LABELS" onclick="swap_content('span:Polytope__INEQUALITY_LABELS'); return false;"><b>INEQUALITY_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:Polytope__INEQUALITY_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#Polytope__INEQUALITIES" onclick="unfold('span:Polytope__INEQUALITIES');">INEQUALITIES</a>, analogous to <a href="#Polytope__VERTEX_LABELS" onclick="unfold('span:Polytope__VERTEX_LABELS');">VERTEX_LABELS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__NEIGHBOR_VERTICES_CYCLIC_NORMAL" onclick="swap_content('span:Polytope__NEIGHBOR_VERTICES_CYCLIC_NORMAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__NEIGHBOR_VERTICES_CYCLIC_NORMAL" onclick="swap_content('span:Polytope__NEIGHBOR_VERTICES_CYCLIC_NORMAL'); return false;"><b>NEIGHBOR_VERTICES_CYCLIC_NORMAL</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Polytope__NEIGHBOR_VERTICES_CYCLIC_NORMAL" class="foldit"><div class="descr"><p> Reordered <a href="#Polytope__GRAPH" onclick="unfold('span:Polytope__GRAPH');">GRAPH</a>. Dual to <a href="#Cone__NEIGHBOR_FACETS_CYCLIC_NORMAL" onclick="unfold('span:Cone__NEIGHBOR_FACETS_CYCLIC_NORMAL');">NEIGHBOR_FACETS_CYCLIC_NORMAL</a>.
 Alias for property <a href="#Cone__NEIGHBOR_RAYS_CYCLIC_NORMAL" onclick="unfold('span:Cone__NEIGHBOR_RAYS_CYCLIC_NORMAL');">Cone::NEIGHBOR_RAYS_CYCLIC_NORMAL</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__POINT_LABELS" onclick="swap_content('span:Polytope__POINT_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__POINT_LABELS" onclick="swap_content('span:Polytope__POINT_LABELS'); return false;"><b>POINT_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:Polytope__POINT_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#Polytope__POINTS" onclick="unfold('span:Polytope__POINTS');">POINTS</a>, analogous to <a href="#Polytope__VERTEX_LABELS" onclick="unfold('span:Polytope__VERTEX_LABELS');">VERTEX_LABELS</a>.
 Alias for property <a href="#Cone__INPUT_RAY_LABELS" onclick="unfold('span:Cone__INPUT_RAY_LABELS');">Cone::INPUT_RAY_LABELS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SCHLEGEL_DIAGRAM" onclick="swap_content('span:Polytope__SCHLEGEL_DIAGRAM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SCHLEGEL_DIAGRAM" onclick="swap_content('span:Polytope__SCHLEGEL_DIAGRAM'); return false;"><b>SCHLEGEL_DIAGRAM</b>:
		</a><a href="#SchlegelDiagram" onclick="unfold('span:SchlegelDiagram');">SchlegelDiagram</a><br/><div style="display: inline" id="span:Polytope__SCHLEGEL_DIAGRAM" class="foldit"><div class="descr"><p> Holds one special projection (the Schlegel diagram) of the polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VERTEX_LABELS" onclick="swap_content('span:Polytope__VERTEX_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VERTEX_LABELS" onclick="swap_content('span:Polytope__VERTEX_LABELS'); return false;"><b>VERTEX_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:Polytope__VERTEX_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#Polytope__VERTICES" onclick="unfold('span:Polytope__VERTICES');">VERTICES</a>.
 If specified, they are shown by visualization tools instead of vertex indices.</p><p> For a polytope build from scratch, you should create this property by yourself,
 either manually in a text editor, or with a client program.</p><p> If you build a polytope with a construction function
 taking some other input polytope(s), you can create the labels automatically if you
 call the function with a <em class="param">relabel</em> option. The exact format of the labels is dependent on the
 construction, and is described in the corresponding help topic.
 Alias for property <a href="#Cone__RAY_LABELS" onclick="unfold('span:Cone__RAY_LABELS');">Cone::RAY_LABELS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VIF_CYCLIC_NORMAL" onclick="swap_content('span:Polytope__VIF_CYCLIC_NORMAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VIF_CYCLIC_NORMAL" onclick="swap_content('span:Polytope__VIF_CYCLIC_NORMAL'); return false;"><b>VIF_CYCLIC_NORMAL</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Polytope__VIF_CYCLIC_NORMAL" class="foldit"><div class="descr"><p> Reordered <a href="#Polytope__VERTICES_IN_FACETS" onclick="unfold('span:Polytope__VERTICES_IN_FACETS');">VERTICES_IN_FACETS</a> for 2d and 3d-polytopes.
 Vertices are listed in the order of their appearance
 when traversing the facet border counterclockwise seen from outside of the polytope.</p><p> For a 2d-polytope (which is a closed polygon), lists all vertices in the border traversing order.
 Alias for property <a href="#Cone__RIF_CYCLIC_NORMAL" onclick="unfold('span:Cone__RIF_CYCLIC_NORMAL');">Cone::RIF_CYCLIC_NORMAL</a>.</p></div></div></div></div></li></ul></div></div></div></li></ul><h4>User Methods of Polytope</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__methods__Backward_compatibility" onclick="swap_content('span:Polytope__methods__Backward_compatibility'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__methods__Backward_compatibility" onclick="swap_content('span:Polytope__methods__Backward_compatibility'); return false;"><span class="category">Backward compatibility</span></a></h3></div><div style="display: inline" id="span:Polytope__methods__Backward_compatibility" class="foldit"><div class="descr"><p> These methods are provided for backward compatibility with older versions of polymake only. They should not be used in new code.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__N_EDGES" onclick="swap_content('span:Polytope__N_EDGES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__N_EDGES" onclick="swap_content('span:Polytope__N_EDGES'); return false;"><b>N_EDGES</b></a>
			()  

			<div style="display: inline" id="span:Polytope__N_EDGES" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The number of edges of the <a href="#Polytope__GRAPH" onclick="unfold('span:Polytope__GRAPH');">GRAPH</a></p></div></div><div class="level3"/></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__methods__Combinatorics" onclick="swap_content('span:Polytope__methods__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__methods__Combinatorics" onclick="swap_content('span:Polytope__methods__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:Polytope__methods__Combinatorics" class="foldit"><div class="descr"><p> These methods capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__CD_INDEX" onclick="swap_content('span:Polytope__CD_INDEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__CD_INDEX" onclick="swap_content('span:Polytope__CD_INDEX'); return false;"><b>CD_INDEX</b></a>
			()  

			<div style="display: inline" id="span:Polytope__CD_INDEX" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Prettily print the cd-index given in <a href="#Polytope__CD_INDEX_COEFFICIENTS" onclick="unfold('span:Polytope__CD_INDEX_COEFFICIENTS');">CD_INDEX_COEFFICIENTS</a></p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__N_RIDGES" onclick="swap_content('span:Polytope__N_RIDGES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__N_RIDGES" onclick="swap_content('span:Polytope__N_RIDGES'); return false;"><b>N_RIDGES</b></a>
			()  

			<div style="display: inline" id="span:Polytope__N_RIDGES" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The number of ridges (faces of codimension 2) of the polytope
 equals the number of edges of the <a href="#Cone__DUAL_GRAPH" onclick="unfold('span:Cone__DUAL_GRAPH');">DUAL_GRAPH</a></p></div></div><div class="level3"/></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__methods__Geometry" onclick="swap_content('span:Polytope__methods__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__methods__Geometry" onclick="swap_content('span:Polytope__methods__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:Polytope__methods__Geometry" class="foldit"><div class="descr"><p> These methods capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__AMBIENT_DIM" onclick="swap_content('span:Polytope__AMBIENT_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__AMBIENT_DIM" onclick="swap_content('span:Polytope__AMBIENT_DIM'); return false;"><b>AMBIENT_DIM</b></a>
			()  

			<div style="display: inline" id="span:Polytope__AMBIENT_DIM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> returns the dimension of the ambient space of the polytope</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__contains" onclick="swap_content('span:Polytope__contains'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__contains" onclick="swap_content('span:Polytope__contains'); return false;"><b>contains</b></a>
			(P, v)  

			
				→ Bool<div style="display: inline" id="span:Polytope__contains" class="foldit"><br/><div class="descr_func"><div class="descr"><p> checks whether a given point is contained in a polytope</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td class="param">P</td><td><div class="descr"><div>polytope</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Scalar&gt;</a></td><td class="param">v</td><td><div class="descr"><div>point</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__contains_in_interior" onclick="swap_content('span:Polytope__contains_in_interior'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__contains_in_interior" onclick="swap_content('span:Polytope__contains_in_interior'); return false;"><b>contains_in_interior</b></a>
			(P, v)  

			
				→ Bool<div style="display: inline" id="span:Polytope__contains_in_interior" class="foldit"><br/><div class="descr_func"><div class="descr"><p> checks whether a given point is contained in the strict interior of a polytope</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td class="param">P</td><td><div class="descr"><div>polytope</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Scalar&gt;</a></td><td class="param">v</td><td><div class="descr"><div>point</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__DIM" onclick="swap_content('span:Polytope__DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__DIM" onclick="swap_content('span:Polytope__DIM'); return false;"><b>DIM</b></a>
			()  

			<div style="display: inline" id="span:Polytope__DIM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> returns the dimension of the polytope</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__INNER_DESCRIPTION" onclick="swap_content('span:Polytope__INNER_DESCRIPTION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__INNER_DESCRIPTION" onclick="swap_content('span:Polytope__INNER_DESCRIPTION'); return false;"><b>INNER_DESCRIPTION</b></a>
			()  

			
				→ Array&lt;Matrix&lt;Scalar&gt; &gt;<div style="display: inline" id="span:Polytope__INNER_DESCRIPTION" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the inner description of a Polytope:
 [V,L] where V are the vertices and L is the lineality space</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Matrix&lt;Scalar&gt; &gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__labeled_vertices" onclick="swap_content('span:Polytope__labeled_vertices'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__labeled_vertices" onclick="swap_content('span:Polytope__labeled_vertices'); return false;"><b>labeled_vertices</b></a>
			(label ...)  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:Polytope__labeled_vertices" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the vertices by given labels.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">label ...</td><td><div class="descr"><div>vertex labels</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td><div class="descr"><div>vertex indices</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__MINKOWSKI_CONE_COEFF" onclick="swap_content('span:Polytope__MINKOWSKI_CONE_COEFF'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__MINKOWSKI_CONE_COEFF" onclick="swap_content('span:Polytope__MINKOWSKI_CONE_COEFF'); return false;"><b>MINKOWSKI_CONE_COEFF</b></a>
			(coeff)  

			
				→ Polytope&lt;Rational&gt;<div style="display: inline" id="span:Polytope__MINKOWSKI_CONE_COEFF" class="foldit"><br/><div class="descr_func"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Rational">Polytope&lt;Rational&gt;</a></b></div><div class="descr"><p> returns the Minkowski summand of a polytope P given by 
 a coefficient vector to the rays of the <a href="#Polytope__MINKOWSKI_CONE" onclick="unfold('span:Polytope__MINKOWSKI_CONE');">MINKOWSKI_CONE</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Rational&gt;</a></td><td class="param">coeff</td><td><div class="descr"><div>coefficient vector to the rays of the Minkowski summand cone</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope__specializations__Polytope_Rational" onclick="unfold('span:Polytope__specializations__Polytope_Rational');">Polytope&lt;Rational&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__MINKOWSKI_CONE_POINT" onclick="swap_content('span:Polytope__MINKOWSKI_CONE_POINT'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__MINKOWSKI_CONE_POINT" onclick="swap_content('span:Polytope__MINKOWSKI_CONE_POINT'); return false;"><b>MINKOWSKI_CONE_POINT</b></a>
			(point)  

			
				→ Polytope&lt;Rational&gt;<div style="display: inline" id="span:Polytope__MINKOWSKI_CONE_POINT" class="foldit"><br/><div class="descr_func"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Rational">Polytope&lt;Rational&gt;</a></b></div><div class="descr"><p> returns the Minkowski summand of a polytope P given by 
 a point in the <a href="#Polytope__MINKOWSKI_CONE" onclick="unfold('span:Polytope__MINKOWSKI_CONE');">MINKOWSKI_CONE</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Rational&gt;</a></td><td class="param">point</td><td><div class="descr"><div>point in the Minkowski summand cone</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope__specializations__Polytope_Rational" onclick="unfold('span:Polytope__specializations__Polytope_Rational');">Polytope&lt;Rational&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__OUTER_DESCRIPTION" onclick="swap_content('span:Polytope__OUTER_DESCRIPTION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__OUTER_DESCRIPTION" onclick="swap_content('span:Polytope__OUTER_DESCRIPTION'); return false;"><b>OUTER_DESCRIPTION</b></a>
			()  

			
				→ Array&lt;Matrix&lt;Scalar&gt; &gt;<div style="display: inline" id="span:Polytope__OUTER_DESCRIPTION" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the outer description of a Polytope:
 [F,A] where F are the facets and A is the affine hull</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Matrix&lt;Scalar&gt; &gt;</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__methods__Lattice_points_in_cones" onclick="swap_content('span:Polytope__methods__Lattice_points_in_cones'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__methods__Lattice_points_in_cones" onclick="swap_content('span:Polytope__methods__Lattice_points_in_cones'); return false;"><span class="category">Lattice points in cones</span></a></h3></div><div style="display: inline" id="span:Polytope__methods__Lattice_points_in_cones" class="foldit"><div class="descr"><p> These methods capture information that depends on the lattice structure of the cone.
 polymake always works with the integer lattice. </p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__FACET_POINT_LATTICE_DISTANCES" onclick="swap_content('span:Polytope__FACET_POINT_LATTICE_DISTANCES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__FACET_POINT_LATTICE_DISTANCES" onclick="swap_content('span:Polytope__FACET_POINT_LATTICE_DISTANCES'); return false;"><b>FACET_POINT_LATTICE_DISTANCES</b></a>
			(v)  

			
				→ Vector&lt;Integer&gt;<div style="display: inline" id="span:Polytope__FACET_POINT_LATTICE_DISTANCES" class="foldit"><br/><div class="descr_func"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> Vector containing the distances of a given point <em class="param">v</em> from all facets</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Rational&gt;</a></td><td class="param">v</td><td><div class="descr"><div>point in the ambient space of the polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Integer&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__N_LATTICE_POINTS_IN_DILATION" onclick="swap_content('span:Polytope__N_LATTICE_POINTS_IN_DILATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__N_LATTICE_POINTS_IN_DILATION" onclick="swap_content('span:Polytope__N_LATTICE_POINTS_IN_DILATION'); return false;"><b>N_LATTICE_POINTS_IN_DILATION</b></a>
			(n)  

			<div style="display: inline" id="span:Polytope__N_LATTICE_POINTS_IN_DILATION" class="foldit"><br/><div class="descr_func"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> The number of <a href="#Polytope__LATTICE_POINTS" onclick="unfold('span:Polytope__LATTICE_POINTS');">LATTICE_POINTS</a> in the <em class="param">n</em>-th dilation of the polytope</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>dilation factor</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__POLYTOPE_IN_STD_BASIS" onclick="swap_content('span:Polytope__POLYTOPE_IN_STD_BASIS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__POLYTOPE_IN_STD_BASIS" onclick="swap_content('span:Polytope__POLYTOPE_IN_STD_BASIS'); return false;"><b>POLYTOPE_IN_STD_BASIS</b></a>
			(P)  

			
				→ Polytope&lt;Rational&gt;<div style="display: inline" id="span:Polytope__POLYTOPE_IN_STD_BASIS" class="foldit"><br/><div class="descr_func"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Lattice">Polytope::Lattice</a></b></div><div class="descr"><p> returns a polytope in the integer lattice basis if a <a href="#Polytope__LATTICE_BASIS" onclick="unfold('span:Polytope__LATTICE_BASIS');">LATTICE_BASIS</a> is given</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope__specializations__Polytope_Rational" onclick="unfold('span:Polytope__specializations__Polytope_Rational');">Polytope&lt;Rational&gt;</a></td><td class="param">P</td><td><div class="descr"><div>polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope__specializations__Polytope_Rational" onclick="unfold('span:Polytope__specializations__Polytope_Rational');">Polytope&lt;Rational&gt;</a></td><td><div class="descr"><div>Pnew polytope</div></div></td></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__methods__Lattice_points_in_polytopes" onclick="swap_content('span:Polytope__methods__Lattice_points_in_polytopes'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__methods__Lattice_points_in_polytopes" onclick="swap_content('span:Polytope__methods__Lattice_points_in_polytopes'); return false;"><span class="category">Lattice points in polytopes</span></a></h3></div><div style="display: inline" id="span:Polytope__methods__Lattice_points_in_polytopes" class="foldit"><div class="descr"><p> These methods capture information that depends on the lattice structure of the polytope.
 polymake always works with the integer lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__LATTICE_POINTS" onclick="swap_content('span:Polytope__LATTICE_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__LATTICE_POINTS" onclick="swap_content('span:Polytope__LATTICE_POINTS'); return false;"><b>LATTICE_POINTS</b></a>
			()  

			
				→ Matrix&lt;Integer&gt;<div style="display: inline" id="span:Polytope__LATTICE_POINTS" class="foldit"><br/><div class="descr_func"><div class="descr"><b>Only defined for <a href="#Polytope__specializations__Polytope_Rational">Polytope&lt;Rational&gt;</a></b></div><div class="descr"><p> Returns the lattice points in bounded Polytopes.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Integer&gt;</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__methods__Triangulation_and_volume" onclick="swap_content('span:Polytope__methods__Triangulation_and_volume'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__methods__Triangulation_and_volume" onclick="swap_content('span:Polytope__methods__Triangulation_and_volume'); return false;"><span class="category">Triangulation and volume</span></a></h3></div><div style="display: inline" id="span:Polytope__methods__Triangulation_and_volume" class="foldit"><div class="descr"><p> These methods collect information about triangulations of the object and properties usually computed from such, as the volume.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__TRIANGULATION_INT_SIGNS" onclick="swap_content('span:Polytope__TRIANGULATION_INT_SIGNS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__TRIANGULATION_INT_SIGNS" onclick="swap_content('span:Polytope__TRIANGULATION_INT_SIGNS'); return false;"><b>TRIANGULATION_INT_SIGNS</b></a>
			()  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:Polytope__TRIANGULATION_INT_SIGNS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> the orientation of the simplices of <a href="#Cone__TRIANGULATION_INT" onclick="unfold('span:Cone__TRIANGULATION_INT');">TRIANGULATION_INT</a> in the given order of the <a href="#Polytope__POINTS" onclick="unfold('span:Polytope__POINTS');">POINTS</a></p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td><div class="descr"><div>- +1/-1 array specifying the sign of the determinant of each simplex</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__TRIANGULATION_SIGNS" onclick="swap_content('span:Polytope__TRIANGULATION_SIGNS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__TRIANGULATION_SIGNS" onclick="swap_content('span:Polytope__TRIANGULATION_SIGNS'); return false;"><b>TRIANGULATION_SIGNS</b></a>
			()  

			
				→ Array&lt;Int&gt;<div style="display: inline" id="span:Polytope__TRIANGULATION_SIGNS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For each simplex in the <a href="#Polytope__TRIANGULATION" onclick="unfold('span:Polytope__TRIANGULATION');">TRIANGULATION</a>, contains the sign of the determinant of its coordinate matrix, telling about its orientation.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__methods__Unbounded_polyhedra" onclick="swap_content('span:Polytope__methods__Unbounded_polyhedra'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__methods__Unbounded_polyhedra" onclick="swap_content('span:Polytope__methods__Unbounded_polyhedra'); return false;"><span class="category">Unbounded polyhedra</span></a></h3></div><div style="display: inline" id="span:Polytope__methods__Unbounded_polyhedra" class="foldit"><div class="descr"><p> These methods collect geometric information of a polytope only relevant if it is unbounded, e. g. the far face or the complex of bounded faces.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__BOUNDED_DUAL_GRAPH" onclick="swap_content('span:Polytope__BOUNDED_DUAL_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BOUNDED_DUAL_GRAPH" onclick="swap_content('span:Polytope__BOUNDED_DUAL_GRAPH'); return false;"><b>BOUNDED_DUAL_GRAPH</b></a>
			()  

			<div style="display: inline" id="span:Polytope__BOUNDED_DUAL_GRAPH" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Dual graph of the bounded subcomplex.</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__BOUNDED_FACETS" onclick="swap_content('span:Polytope__BOUNDED_FACETS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BOUNDED_FACETS" onclick="swap_content('span:Polytope__BOUNDED_FACETS'); return false;"><b>BOUNDED_FACETS</b></a>
			()  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:Polytope__BOUNDED_FACETS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Indices of <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a> that are bounded.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__BOUNDED_GRAPH" onclick="swap_content('span:Polytope__BOUNDED_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BOUNDED_GRAPH" onclick="swap_content('span:Polytope__BOUNDED_GRAPH'); return false;"><b>BOUNDED_GRAPH</b></a>
			()  

			<div style="display: inline" id="span:Polytope__BOUNDED_GRAPH" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Graph of the bounded subcomplex.</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__BOUNDED_HASSE_DIAGRAM" onclick="swap_content('span:Polytope__BOUNDED_HASSE_DIAGRAM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BOUNDED_HASSE_DIAGRAM" onclick="swap_content('span:Polytope__BOUNDED_HASSE_DIAGRAM'); return false;"><b>BOUNDED_HASSE_DIAGRAM</b></a>
			()  

			<div style="display: inline" id="span:Polytope__BOUNDED_HASSE_DIAGRAM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> <a href="#Polytope__HASSE_DIAGRAM" onclick="unfold('span:Polytope__HASSE_DIAGRAM');">HASSE_DIAGRAM</a> constrained to affine vertices
 Nodes representing the maximal inclusion-independent faces are connected to the top-node
 regardless of their dimension</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__BOUNDED_VERTICES" onclick="swap_content('span:Polytope__BOUNDED_VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__BOUNDED_VERTICES" onclick="swap_content('span:Polytope__BOUNDED_VERTICES'); return false;"><b>BOUNDED_VERTICES</b></a>
			()  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:Polytope__BOUNDED_VERTICES" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Indices of <a href="#SchlegelDiagram__VERTICES" onclick="unfold('span:SchlegelDiagram__VERTICES');">VERTICES</a> that are no rays.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__methods__Visualization" onclick="swap_content('span:Polytope__methods__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="Polytope__methods__Visualization" onclick="swap_content('span:Polytope__methods__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:Polytope__methods__Visualization" class="foldit"><div class="descr"><p> These methods are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Polytope__GALE" onclick="swap_content('span:Polytope__GALE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__GALE" onclick="swap_content('span:Polytope__GALE'); return false;"><b>GALE</b></a>
			()  

			
				→ Visual::Gale<div style="display: inline" id="span:Polytope__GALE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Generate the Gale diagram of a <em class="param">d</em>-polyhedron with at most <em class="param">d+4</em> vertices.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Gale" onclick="unfold('span:Visual_Gale');">Visual::Gale</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__SCHLEGEL" onclick="swap_content('span:Polytope__SCHLEGEL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__SCHLEGEL" onclick="swap_content('span:Polytope__SCHLEGEL'); return false;"><b>SCHLEGEL</b></a>
			()  

			
				→ Visual::SchlegelDiagram<div style="display: inline" id="span:Polytope__SCHLEGEL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a Schlegel diagram and draw it.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="graph.html#options__Visual_Graph_decorations" onclick="unfold('span:options__Visual_Graph_decorations');">Visual::Graph::decorations</a></td><td class="param">proj_facet</td><td><div class="descr"><div>decorations for the edges of the projection face </div></div></td></tr><tr><td>option list:</td><td>schlegel_init</td></tr><tr><td>option list:</td><td>Visual::Wire::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_SchlegelDiagram" onclick="unfold('span:Visual_SchlegelDiagram');">Visual::SchlegelDiagram</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VISUAL" onclick="swap_content('span:Polytope__VISUAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VISUAL" onclick="swap_content('span:Polytope__VISUAL'); return false;"><b>VISUAL</b></a>
			()  

			
				→ Visual::Polytope<div style="display: inline" id="span:Polytope__VISUAL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize a polytope as a graph (if 1d), or as a solid object (if 2d or 3d),
 or as a Schlegel diagram (4d).</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr><tr><td>option list:</td><td>Visual::Wire::decorations</td></tr><tr><td>option list:</td><td>Visual::PointSet::decorations</td></tr><tr><td>option list:</td><td>geometric_options</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Polytope" onclick="unfold('span:Visual_Polytope');">Visual::Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VISUAL_BOUNDED_GRAPH" onclick="swap_content('span:Polytope__VISUAL_BOUNDED_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VISUAL_BOUNDED_GRAPH" onclick="swap_content('span:Polytope__VISUAL_BOUNDED_GRAPH'); return false;"><b>VISUAL_BOUNDED_GRAPH</b></a>
			()  

			
				→ Visual::PolytopeGraph<div style="display: inline" id="span:Polytope__VISUAL_BOUNDED_GRAPH" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the <a href="#Polytope__BOUNDED_COMPLEX__GRAPH" onclick="unfold('span:Polytope__BOUNDED_COMPLEX__GRAPH');">BOUNDED_COMPLEX.GRAPH</a> of a polyhedron.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the string embedder</div></div></td></tr><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PolytopeGraph" onclick="unfold('span:Visual_PolytopeGraph');">Visual::PolytopeGraph</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VISUAL_DUAL" onclick="swap_content('span:Polytope__VISUAL_DUAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VISUAL_DUAL" onclick="swap_content('span:Polytope__VISUAL_DUAL'); return false;"><b>VISUAL_DUAL</b></a>
			()  

			
				→ Visual::Object<div style="display: inline" id="span:Polytope__VISUAL_DUAL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the dual polytope as a solid 3-d object. The polytope must be <a href="#Polytope__BOUNDED" onclick="unfold('span:Polytope__BOUNDED');">BOUNDED</a> and <a href="#Polytope__CENTERED" onclick="unfold('span:Polytope__CENTERED');">CENTERED</a>.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VISUAL_DUAL_FACE_LATTICE" onclick="swap_content('span:Polytope__VISUAL_DUAL_FACE_LATTICE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VISUAL_DUAL_FACE_LATTICE" onclick="swap_content('span:Polytope__VISUAL_DUAL_FACE_LATTICE'); return false;"><b>VISUAL_DUAL_FACE_LATTICE</b></a>
			()  

			
				→ Visual::PolytopeLattice<div style="display: inline" id="span:Polytope__VISUAL_DUAL_FACE_LATTICE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the dual <a href="#Polytope__HASSE_DIAGRAM" onclick="unfold('span:Polytope__HASSE_DIAGRAM');">face lattice</a> of a polyhedron as a multi-layer graph.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the node placement</div></div></td></tr><tr><td>option list:</td><td>Visual::Lattice::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PolytopeLattice" onclick="unfold('span:Visual_PolytopeLattice');">Visual::PolytopeLattice</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VISUAL_DUAL_GRAPH" onclick="swap_content('span:Polytope__VISUAL_DUAL_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VISUAL_DUAL_GRAPH" onclick="swap_content('span:Polytope__VISUAL_DUAL_GRAPH'); return false;"><b>VISUAL_DUAL_GRAPH</b></a>
			()  

			
				→ Visual::Graph<div style="display: inline" id="span:Polytope__VISUAL_DUAL_GRAPH" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the <a href="#Cone__DUAL_GRAPH" onclick="unfold('span:Cone__DUAL_GRAPH');">DUAL_GRAPH</a> of a polyhedron.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the string embedder</div></div></td></tr><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="graph.html#Visual_Graph" onclick="unfold('span:Visual_Graph');">Visual::Graph</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VISUAL_FACE_LATTICE" onclick="swap_content('span:Polytope__VISUAL_FACE_LATTICE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VISUAL_FACE_LATTICE" onclick="swap_content('span:Polytope__VISUAL_FACE_LATTICE'); return false;"><b>VISUAL_FACE_LATTICE</b></a>
			()  

			
				→ Visual::PolytopeLattice<div style="display: inline" id="span:Polytope__VISUAL_FACE_LATTICE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the <a href="#Polytope__HASSE_DIAGRAM" onclick="unfold('span:Polytope__HASSE_DIAGRAM');">HASSE_DIAGRAM</a> of a polyhedron as a multi-layer graph.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the node placement</div></div></td></tr><tr><td>option list:</td><td>Visual::Lattice::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PolytopeLattice" onclick="unfold('span:Visual_PolytopeLattice');">Visual::PolytopeLattice</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VISUAL_GRAPH" onclick="swap_content('span:Polytope__VISUAL_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VISUAL_GRAPH" onclick="swap_content('span:Polytope__VISUAL_GRAPH'); return false;"><b>VISUAL_GRAPH</b></a>
			()  

			
				→ Visual::PolytopeGraph<div style="display: inline" id="span:Polytope__VISUAL_GRAPH" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the <a href="#Polytope__GRAPH" onclick="unfold('span:Polytope__GRAPH');">GRAPH</a> of a polyhedron.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the string embedder</div></div></td></tr><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PolytopeGraph" onclick="unfold('span:Visual_PolytopeGraph');">Visual::PolytopeGraph</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Polytope__VISUAL_TRIANGULATION_BOUNDARY" onclick="swap_content('span:Polytope__VISUAL_TRIANGULATION_BOUNDARY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Polytope__VISUAL_TRIANGULATION_BOUNDARY" onclick="swap_content('span:Polytope__VISUAL_TRIANGULATION_BOUNDARY'); return false;"><b>VISUAL_TRIANGULATION_BOUNDARY</b></a>
			()  

			
				→ Visual::Object<div style="display: inline" id="span:Polytope__VISUAL_TRIANGULATION_BOUNDARY" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the <a href="#Visual_Polytope__TRIANGULATION_BOUNDARY" onclick="unfold('span:Visual_Polytope__TRIANGULATION_BOUNDARY');">TRIANGULATION_BOUNDARY</a> of the polytope.
 <strong>Obsolete:</strong> the preferred procedure is to create a <a href="topaz.html#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">SimplicialComplex</a> using
 the boundary_complex client of the application topaz
 and call its <a href="topaz.html#SimplicialComplex__VISUAL" onclick="unfold('span:SimplicialComplex__VISUAL');">VISUAL</a> method.
 FIXME: There is no boundary_complex in topaz.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygon::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:PropagatedPolytope" onclick="swap_content('span:PropagatedPolytope'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="PropagatedPolytope" onclick="swap_content('span:PropagatedPolytope'); return false;"><span class="object">PropagatedPolytope</span></a></h3></div><div style="display: inline" id="span:PropagatedPolytope" class="foldit"><div class="descr"><p> Polytope propagation means to define a polytope inductively by assigning vectors to arcs
 of a directed graph.  At each node of such a graph a polytope arises as the joint convex hull
 of the polytopes at the translated sources of the inward pointing arcs.</p><p> For details see 
       Joswig: Polytope Propagation on Graphs.
       Chapter 6 in 
       Pachter/Sturmfels: Algebraic Statistics for Computational Biology, Cambridge 2005.</p></div><b>derived from: </b><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a><br/><div class="level3"/><h4>Properties of PropagatedPolytope</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PropagatedPolytope__SUM_PRODUCT_GRAPH" onclick="swap_content('span:PropagatedPolytope__SUM_PRODUCT_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PropagatedPolytope__SUM_PRODUCT_GRAPH" onclick="swap_content('span:PropagatedPolytope__SUM_PRODUCT_GRAPH'); return false;"><b>SUM_PRODUCT_GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Directed&gt;</a><br/><div style="display: inline" id="span:PropagatedPolytope__SUM_PRODUCT_GRAPH" class="foldit"><div class="descr"><p> Directed graph to define the propagated polytope.  There is a (translation) vector assigned to each arc.
 We assume that this graph is acyclic with a unique sink.</p></div><h4>Properties of SUM_PRODUCT_GRAPH</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:PropagatedPolytope__SUM_PRODUCT_GRAPH__TRANSLATIONS" onclick="swap_content('span:PropagatedPolytope__SUM_PRODUCT_GRAPH__TRANSLATIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="PropagatedPolytope__SUM_PRODUCT_GRAPH__TRANSLATIONS" onclick="swap_content('span:PropagatedPolytope__SUM_PRODUCT_GRAPH__TRANSLATIONS'); return false;"><b>TRANSLATIONS</b>:
		</a><a href="common.html#EdgeMap" onclick="unfold('span:EdgeMap');">common::EdgeMap</a><br/><div style="display: inline" id="span:PropagatedPolytope__SUM_PRODUCT_GRAPH__TRANSLATIONS" class="foldit"><div class="descr"><p> The translation vectors of the arcs.</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:QuotientSpace" onclick="swap_content('span:QuotientSpace'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="QuotientSpace" onclick="swap_content('span:QuotientSpace'); return false;"><span class="object">QuotientSpace</span></a></h3></div><div style="display: inline" id="span:QuotientSpace" class="foldit"><b>Category: </b>Symmetry<br/><div class="descr"><p> A topological quotient space obtained from a <a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a> by identifying faces.
 This object will sit inside the polytope.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div><div class="level3"/><h4>Properties of QuotientSpace</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:QuotientSpace__properties__Basic_properties" onclick="swap_content('span:QuotientSpace__properties__Basic_properties'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="QuotientSpace__properties__Basic_properties" onclick="swap_content('span:QuotientSpace__properties__Basic_properties'); return false;"><span class="category">Basic properties</span></a></h3></div><div style="display: inline" id="span:QuotientSpace__properties__Basic_properties" class="foldit"><div class="descr"><p> Properties defining a quotient space.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:QuotientSpace__IDENTIFICATION_GROUP" onclick="swap_content('span:QuotientSpace__IDENTIFICATION_GROUP'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="QuotientSpace__IDENTIFICATION_GROUP" onclick="swap_content('span:QuotientSpace__IDENTIFICATION_GROUP'); return false;"><b>IDENTIFICATION_GROUP</b>:
		</a><a href="group.html#Group" onclick="unfold('span:Group');">group::Group</a><br/><div style="display: inline" id="span:QuotientSpace__IDENTIFICATION_GROUP" class="foldit"><div class="descr"><p> The group encoding the quotient space.
 The faces of the space are the orbits of the faces of the polytope under the group.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:QuotientSpace__properties__Combinatorics" onclick="swap_content('span:QuotientSpace__properties__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="QuotientSpace__properties__Combinatorics" onclick="swap_content('span:QuotientSpace__properties__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:QuotientSpace__properties__Combinatorics" class="foldit"><div class="descr"><p> These properties capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:QuotientSpace__COCIRCUIT_EQUATIONS" onclick="swap_content('span:QuotientSpace__COCIRCUIT_EQUATIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="QuotientSpace__COCIRCUIT_EQUATIONS" onclick="swap_content('span:QuotientSpace__COCIRCUIT_EQUATIONS'); return false;"><b>COCIRCUIT_EQUATIONS</b>:
		</a><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">common::SparseMatrix&lt;Rational, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:QuotientSpace__COCIRCUIT_EQUATIONS" class="foldit"><div class="descr"><p> a SparseMatrix whose rows are the sum of all cocircuit equations corresponding to a fixed symmetry class of interior ridge</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:QuotientSpace__DIM" onclick="swap_content('span:QuotientSpace__DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="QuotientSpace__DIM" onclick="swap_content('span:QuotientSpace__DIM'); return false;"><b>DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:QuotientSpace__DIM" class="foldit"><div class="descr"><p> The dimension of the quotient space, defined to be the dimension of the polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:QuotientSpace__FACES" onclick="swap_content('span:QuotientSpace__FACES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="QuotientSpace__FACES" onclick="swap_content('span:QuotientSpace__FACES'); return false;"><b>FACES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Set&lt;Int&gt;&gt;&gt;</a><br/><div style="display: inline" id="span:QuotientSpace__FACES" class="foldit"><div class="descr"><p> The faces of the quotient space, ordered by dimension. One representative of each orbit class is kept.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:QuotientSpace__FACE_ORBITS" onclick="swap_content('span:QuotientSpace__FACE_ORBITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="QuotientSpace__FACE_ORBITS" onclick="swap_content('span:QuotientSpace__FACE_ORBITS'); return false;"><b>FACE_ORBITS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Array&lt;Set&lt;Int&gt;&gt;&gt;&gt;</a><br/><div style="display: inline" id="span:QuotientSpace__FACE_ORBITS" class="foldit"><div class="descr"><p> The orbits of faces of the quotient space, ordered by dimension.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:QuotientSpace__F_VECTOR" onclick="swap_content('span:QuotientSpace__F_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="QuotientSpace__F_VECTOR" onclick="swap_content('span:QuotientSpace__F_VECTOR'); return false;"><b>F_VECTOR</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:QuotientSpace__F_VECTOR" class="foldit"><div class="descr"><p> An array that tells how many faces of each dimension there are</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:QuotientSpace__N_SIMPLICES" onclick="swap_content('span:QuotientSpace__N_SIMPLICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="QuotientSpace__N_SIMPLICES" onclick="swap_content('span:QuotientSpace__N_SIMPLICES'); return false;"><b>N_SIMPLICES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:QuotientSpace__N_SIMPLICES" class="foldit"><div class="descr"><p> The simplices made from points of the quotient space (also internal simplices, not just faces)</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:QuotientSpace__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES" onclick="swap_content('span:QuotientSpace__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="QuotientSpace__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES" onclick="swap_content('span:QuotientSpace__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES'); return false;"><b>REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;boost_dynamic_bitset&gt;</a><br/><div style="display: inline" id="span:QuotientSpace__REPRESENTATIVE_INTERIOR_RIDGE_SIMPLICES" class="foldit"><div class="descr"><p> The (<em class="param">d</em>-1)-dimensional simplices in the interior.    </p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:QuotientSpace__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES" onclick="swap_content('span:QuotientSpace__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="QuotientSpace__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES" onclick="swap_content('span:QuotientSpace__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES'); return false;"><b>REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;boost_dynamic_bitset&gt;</a><br/><div style="display: inline" id="span:QuotientSpace__REPRESENTATIVE_MAX_BOUNDARY_SIMPLICES" class="foldit"><div class="descr"><p> The boundary (<em class="param">d</em>-1)-dimensional simplices of a cone of combinatorial dimension <em class="param">d</em></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:QuotientSpace__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES" onclick="swap_content('span:QuotientSpace__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="QuotientSpace__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES" onclick="swap_content('span:QuotientSpace__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES'); return false;"><b>REPRESENTATIVE_MAX_INTERIOR_SIMPLICES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;boost_dynamic_bitset&gt;</a><br/><div style="display: inline" id="span:QuotientSpace__REPRESENTATIVE_MAX_INTERIOR_SIMPLICES" class="foldit"><div class="descr"><p> The interior <em class="param">d</em>-dimensional simplices of a cone of combinatorial dimension <em class="param">d</em></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:QuotientSpace__SIMPLEXITY_LOWER_BOUND" onclick="swap_content('span:QuotientSpace__SIMPLEXITY_LOWER_BOUND'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="QuotientSpace__SIMPLEXITY_LOWER_BOUND" onclick="swap_content('span:QuotientSpace__SIMPLEXITY_LOWER_BOUND'); return false;"><b>SIMPLEXITY_LOWER_BOUND</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:QuotientSpace__SIMPLEXITY_LOWER_BOUND" class="foldit"><div class="descr"><p> A lower bound for the number of simplices needed to triangulate the quotient space</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:QuotientSpace__SIMPLICES" onclick="swap_content('span:QuotientSpace__SIMPLICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="QuotientSpace__SIMPLICES" onclick="swap_content('span:QuotientSpace__SIMPLICES'); return false;"><b>SIMPLICES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Array&lt;Set&lt;Int&gt;&gt;&gt;</a><br/><div style="display: inline" id="span:QuotientSpace__SIMPLICES" class="foldit"><div class="descr"><p> All simplices in the quotient space</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:QuotientSpace__SIMPLICIAL_COMPLEX" onclick="swap_content('span:QuotientSpace__SIMPLICIAL_COMPLEX'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="QuotientSpace__SIMPLICIAL_COMPLEX" onclick="swap_content('span:QuotientSpace__SIMPLICIAL_COMPLEX'); return false;"><b>SIMPLICIAL_COMPLEX</b>:
		</a><a href="topaz.html#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">topaz::SimplicialComplex</a><br/><div style="display: inline" id="span:QuotientSpace__SIMPLICIAL_COMPLEX" class="foldit"><div class="descr"><p> A simplicial complex obtained by two stellar subdivisions of the defining polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:QuotientSpace__SYMMETRY_GROUP" onclick="swap_content('span:QuotientSpace__SYMMETRY_GROUP'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="QuotientSpace__SYMMETRY_GROUP" onclick="swap_content('span:QuotientSpace__SYMMETRY_GROUP'); return false;"><b>SYMMETRY_GROUP</b>:
		</a><a href="group.html#Group" onclick="unfold('span:Group');">group::Group</a><br/><div style="display: inline" id="span:QuotientSpace__SYMMETRY_GROUP" class="foldit"><div class="descr"><p> The symmetry group induced by the symmetry group of the polytope on the <a href="#QuotientSpace__FACES" onclick="unfold('span:QuotientSpace__FACES');">FACES</a> of the quotient space</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SchlegelDiagram" onclick="swap_content('span:SchlegelDiagram'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="SchlegelDiagram" onclick="swap_content('span:SchlegelDiagram'); return false;"><span class="object">SchlegelDiagram</span></a></h3></div><div style="display: inline" id="span:SchlegelDiagram" class="foldit"><div class="descr"><p> A Schlegel diagram of a polytope.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>default <a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table></div><h4>Properties of SchlegelDiagram</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SchlegelDiagram__FACET" onclick="swap_content('span:SchlegelDiagram__FACET'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SchlegelDiagram__FACET" onclick="swap_content('span:SchlegelDiagram__FACET'); return false;"><b>FACET</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SchlegelDiagram__FACET" class="foldit"><div class="descr"><p> The facet number in the original polytope, giving the projection plane.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SchlegelDiagram__FACET_POINT" onclick="swap_content('span:SchlegelDiagram__FACET_POINT'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SchlegelDiagram__FACET_POINT" onclick="swap_content('span:SchlegelDiagram__FACET_POINT'); return false;"><b>FACET_POINT</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:SchlegelDiagram__FACET_POINT" class="foldit"><div class="descr"><p> The intersection point of the projection facet and the view ray.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SchlegelDiagram__INNER_POINT" onclick="swap_content('span:SchlegelDiagram__INNER_POINT'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SchlegelDiagram__INNER_POINT" onclick="swap_content('span:SchlegelDiagram__INNER_POINT'); return false;"><b>INNER_POINT</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:SchlegelDiagram__INNER_POINT" class="foldit"><div class="descr"><p> A point on the view ray lying inside the polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SchlegelDiagram__ROTATION" onclick="swap_content('span:SchlegelDiagram__ROTATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SchlegelDiagram__ROTATION" onclick="swap_content('span:SchlegelDiagram__ROTATION'); return false;"><b>ROTATION</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Float, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:SchlegelDiagram__ROTATION" class="foldit"><div class="descr"><p> Rotation matrix making the projection facet coinciding with (0 0 0 -1)
 We want a negatively oriented coordinate system
 since the view point lies on the negative side of the facet.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SchlegelDiagram__TRANSFORM" onclick="swap_content('span:SchlegelDiagram__TRANSFORM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SchlegelDiagram__TRANSFORM" onclick="swap_content('span:SchlegelDiagram__TRANSFORM'); return false;"><b>TRANSFORM</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:SchlegelDiagram__TRANSFORM" class="foldit"><div class="descr"><p> Matrix of a projective transformation mapping the whole polytope into the <a href="#SchlegelDiagram__FACET" onclick="unfold('span:SchlegelDiagram__FACET');">FACET</a>
 The points belonging to this facet stay fixed.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SchlegelDiagram__VERTICES" onclick="swap_content('span:SchlegelDiagram__VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SchlegelDiagram__VERTICES" onclick="swap_content('span:SchlegelDiagram__VERTICES'); return false;"><b>VERTICES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Float, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:SchlegelDiagram__VERTICES" class="foldit"><div class="descr"><p> Coordinates in affine 3-space of the vertices which
 correspond to a 3-dimensional (Schlegel-) projection of a 4-polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SchlegelDiagram__VIEWPOINT" onclick="swap_content('span:SchlegelDiagram__VIEWPOINT'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SchlegelDiagram__VIEWPOINT" onclick="swap_content('span:SchlegelDiagram__VIEWPOINT'); return false;"><b>VIEWPOINT</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector</a><br/><div style="display: inline" id="span:SchlegelDiagram__VIEWPOINT" class="foldit"><div class="descr"><p> The center point of the projection, lying outside the polytope.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SchlegelDiagram__ZOOM" onclick="swap_content('span:SchlegelDiagram__ZOOM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SchlegelDiagram__ZOOM" onclick="swap_content('span:SchlegelDiagram__ZOOM'); return false;"><b>ZOOM</b>:
		</a><a href="#" onclick="unfold('span:');">SchlegelDiagram::Scalar</a><br/><div style="display: inline" id="span:SchlegelDiagram__ZOOM" class="foldit"><div class="descr"><p> Zoom factor.</p></div></div></div></div></li></ul><h4>User Methods of SchlegelDiagram</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SchlegelDiagram__VISUAL" onclick="swap_content('span:SchlegelDiagram__VISUAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SchlegelDiagram__VISUAL" onclick="swap_content('span:SchlegelDiagram__VISUAL'); return false;"><b>VISUAL</b></a>
			()  

			
				→ Visual::SchlegelDiagram<div style="display: inline" id="span:SchlegelDiagram__VISUAL" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Draw the Schlegel diagram.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="graph.html#options__Visual_Graph_decorations" onclick="unfold('span:options__Visual_Graph_decorations');">Visual::Graph::decorations</a></td><td class="param">proj_facet</td><td><div class="descr"><div>decorations for the edges of the projection face</div></div></td></tr><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_SchlegelDiagram" onclick="unfold('span:Visual_SchlegelDiagram');">Visual::SchlegelDiagram</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricCone" onclick="swap_content('span:SymmetricCone'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="SymmetricCone" onclick="swap_content('span:SymmetricCone'); return false;"><span class="object">SymmetricCone</span></a></h3></div><div style="display: inline" id="span:SymmetricCone" class="foldit"><b>Category: </b>Symmetry<br/><div class="descr"><p> A cone which is generated by a group and a generating set of inequalities (+equations) 
 or input rays (+input_lineality).
 The cone is the intersection or the convex hull of all inequalities or input rays in 
 the orbit of the generating set under the <a href="#SymmetricCone__GENERATING_GROUP" onclick="unfold('span:SymmetricCone__GENERATING_GROUP');">GENERATING_GROUP</a>. </p></div><b>derived from: </b><a href="#Cone" onclick="unfold('span:Cone');">Cone</a><br/><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>default: <a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table></div><h4>Properties of SymmetricCone</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SymmetricCone__GENERATING_GROUP" onclick="swap_content('span:SymmetricCone__GENERATING_GROUP'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricCone__GENERATING_GROUP" onclick="swap_content('span:SymmetricCone__GENERATING_GROUP'); return false;"><b>GENERATING_GROUP</b>:
		</a><a href="group.html#GroupOfCone" onclick="unfold('span:GroupOfCone');">group::GroupOfCone</a><br/><div style="display: inline" id="span:SymmetricCone__GENERATING_GROUP" class="foldit"><div class="descr"><p> The group which generates the cone by being applied to some 
 <a href="#SymmetricCone__GEN_INPUT_RAYS" onclick="unfold('span:SymmetricCone__GEN_INPUT_RAYS');">GEN_INPUT_RAYS</a> (and <a href="#SymmetricCone__GEN_INPUT_LINEALITY" onclick="unfold('span:SymmetricCone__GEN_INPUT_LINEALITY');">GEN_INPUT_LINEALITY</a>) or some
 <a href="#SymmetricCone__GEN_INEQUALITIES" onclick="unfold('span:SymmetricCone__GEN_INEQUALITIES');">GEN_INEQUALITIES</a> (and <a href="#SymmetricCone__GEN_EQUATIONS" onclick="unfold('span:SymmetricCone__GEN_EQUATIONS');">GEN_EQUATIONS</a>).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricCone__GEN_EQUATIONS" onclick="swap_content('span:SymmetricCone__GEN_EQUATIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricCone__GEN_EQUATIONS" onclick="swap_content('span:SymmetricCone__GEN_EQUATIONS'); return false;"><b>GEN_EQUATIONS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:SymmetricCone__GEN_EQUATIONS" class="foldit"><div class="descr"><p> Some generating equations for (a subset of) the linear span of the symmetric cone.
 Redundancies are allowed.</p><p> Input section only.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricCone__GEN_INEQUALITIES" onclick="swap_content('span:SymmetricCone__GEN_INEQUALITIES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricCone__GEN_INEQUALITIES" onclick="swap_content('span:SymmetricCone__GEN_INEQUALITIES'); return false;"><b>GEN_INEQUALITIES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:SymmetricCone__GEN_INEQUALITIES" class="foldit"><div class="descr"><p> Some generating inequalities for the symmetric cone; redundancies are allowed.</p><p> Input section only.  Ask for <a href="group.html#GroupOfCone__REPRESENTATIVE_FACETS" onclick="unfold('span:GroupOfCone__REPRESENTATIVE_FACETS');">REPRESENTATIVE_FACETS</a> if you want a list of representatives for the 
 orbits of facets of a symmetric cone.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricCone__GEN_INPUT_LINEALITY" onclick="swap_content('span:SymmetricCone__GEN_INPUT_LINEALITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricCone__GEN_INPUT_LINEALITY" onclick="swap_content('span:SymmetricCone__GEN_INPUT_LINEALITY'); return false;"><b>GEN_INPUT_LINEALITY</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:SymmetricCone__GEN_INPUT_LINEALITY" class="foldit"><div class="descr"><p> Some generating input rays for (a subset of) the lineality space of the symmetric cone.
 Redundancies are allowed.</p><p> Input section only.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricCone__GEN_INPUT_RAYS" onclick="swap_content('span:SymmetricCone__GEN_INPUT_RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricCone__GEN_INPUT_RAYS" onclick="swap_content('span:SymmetricCone__GEN_INPUT_RAYS'); return false;"><b>GEN_INPUT_RAYS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:SymmetricCone__GEN_INPUT_RAYS" class="foldit"><div class="descr"><p> Some generating input rays for the symmetric cone; redundancies are allowed.</p><p> Input section only.  Ask for <a href="group.html#GroupOfCone__REPRESENTATIVE_RAYS" onclick="unfold('span:GroupOfCone__REPRESENTATIVE_RAYS');">REPRESENTATIVE_RAYS</a> if you want a list of representatives for the 
 orbits of rays of a symmetric cone.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricCone__N_GEN_EQUATIONS" onclick="swap_content('span:SymmetricCone__N_GEN_EQUATIONS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricCone__N_GEN_EQUATIONS" onclick="swap_content('span:SymmetricCone__N_GEN_EQUATIONS'); return false;"><b>N_GEN_EQUATIONS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SymmetricCone__N_GEN_EQUATIONS" class="foldit"><div class="descr"><p> The number of <a href="#SymmetricCone__GEN_EQUATIONS" onclick="unfold('span:SymmetricCone__GEN_EQUATIONS');">GEN_EQUATIONS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricCone__N_GEN_INEQUALITIES" onclick="swap_content('span:SymmetricCone__N_GEN_INEQUALITIES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricCone__N_GEN_INEQUALITIES" onclick="swap_content('span:SymmetricCone__N_GEN_INEQUALITIES'); return false;"><b>N_GEN_INEQUALITIES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SymmetricCone__N_GEN_INEQUALITIES" class="foldit"><div class="descr"><p> The number of <a href="#SymmetricCone__GEN_INEQUALITIES" onclick="unfold('span:SymmetricCone__GEN_INEQUALITIES');">GEN_INEQUALITIES</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricCone__N_GEN_INPUT_LINEALITY" onclick="swap_content('span:SymmetricCone__N_GEN_INPUT_LINEALITY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricCone__N_GEN_INPUT_LINEALITY" onclick="swap_content('span:SymmetricCone__N_GEN_INPUT_LINEALITY'); return false;"><b>N_GEN_INPUT_LINEALITY</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SymmetricCone__N_GEN_INPUT_LINEALITY" class="foldit"><div class="descr"><p> The number of <a href="#SymmetricCone__GEN_INPUT_LINEALITY" onclick="unfold('span:SymmetricCone__GEN_INPUT_LINEALITY');">GEN_INPUT_LINEALITY</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricCone__N_GEN_INPUT_RAYS" onclick="swap_content('span:SymmetricCone__N_GEN_INPUT_RAYS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricCone__N_GEN_INPUT_RAYS" onclick="swap_content('span:SymmetricCone__N_GEN_INPUT_RAYS'); return false;"><b>N_GEN_INPUT_RAYS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:SymmetricCone__N_GEN_INPUT_RAYS" class="foldit"><div class="descr"><p> The number of <a href="#SymmetricCone__GEN_INPUT_RAYS" onclick="unfold('span:SymmetricCone__GEN_INPUT_RAYS');">GEN_INPUT_RAYS</a>.</p></div></div></div></div></li></ul><h4>User Methods of SymmetricCone</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SymmetricCone__VISUAL_ORBIT_COLORED_GRAPH" onclick="swap_content('span:SymmetricCone__VISUAL_ORBIT_COLORED_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricCone__VISUAL_ORBIT_COLORED_GRAPH" onclick="swap_content('span:SymmetricCone__VISUAL_ORBIT_COLORED_GRAPH'); return false;"><b>VISUAL_ORBIT_COLORED_GRAPH</b></a>
			()  

			
				→ Visual::PolytopeGraph<div style="display: inline" id="span:SymmetricCone__VISUAL_ORBIT_COLORED_GRAPH" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualizes the graph of a symmetric cone: 
 All nodes belonging to one orbit get the same color.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PolytopeGraph" onclick="unfold('span:Visual_PolytopeGraph');">Visual::PolytopeGraph</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricPolytope" onclick="swap_content('span:SymmetricPolytope'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="SymmetricPolytope" onclick="swap_content('span:SymmetricPolytope'); return false;"><span class="object">SymmetricPolytope</span></a></h3></div><div style="display: inline" id="span:SymmetricPolytope" class="foldit"><b>Category: </b>Symmetry<br/><div class="descr"><p> A polytope which is generated by a group and a generating set of inequalities (+equations) 
 or points (+input_lineality).
 The polytope is the intersection or the convex hull of all inequalities or points in 
 the orbit of the generating set under the <a href="#SymmetricCone__GENERATING_GROUP" onclick="unfold('span:SymmetricCone__GENERATING_GROUP');">GENERATING_GROUP</a>.</p></div><b>derived from: </b><a href="#SymmetricCone" onclick="unfold('span:SymmetricCone');">SymmetricCone</a><br/><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>default: <a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table></div><h4>Properties of SymmetricPolytope</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SymmetricPolytope__GEN_POINTS" onclick="swap_content('span:SymmetricPolytope__GEN_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricPolytope__GEN_POINTS" onclick="swap_content('span:SymmetricPolytope__GEN_POINTS'); return false;"><b>GEN_POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:SymmetricPolytope__GEN_POINTS" class="foldit"><div class="descr"><p> properties
 Alias for property <a href="#SymmetricCone__GEN_INPUT_RAYS" onclick="unfold('span:SymmetricCone__GEN_INPUT_RAYS');">SymmetricCone::GEN_INPUT_RAYS</a>.</p></div></div></div></div></li></ul><h4>User Methods of SymmetricPolytope</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:SymmetricPolytope__AMBIENT_DIM" onclick="swap_content('span:SymmetricPolytope__AMBIENT_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricPolytope__AMBIENT_DIM" onclick="swap_content('span:SymmetricPolytope__AMBIENT_DIM'); return false;"><b>AMBIENT_DIM</b></a>
			()  

			<div style="display: inline" id="span:SymmetricPolytope__AMBIENT_DIM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> must be copied (from common.rules) since SymmetricPolytope is derived from both objects, SymmetricCone and Polytope</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:SymmetricPolytope__DIM" onclick="swap_content('span:SymmetricPolytope__DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="SymmetricPolytope__DIM" onclick="swap_content('span:SymmetricPolytope__DIM'); return false;"><b>DIM</b></a>
			()  

			<div style="display: inline" id="span:SymmetricPolytope__DIM" class="foldit"><br/><div class="descr_func"><div class="descr"><p> must be copied (from common.rules) since SymmetricPolytope is derived from both objects, SymmetricCone and Polytope</p></div></div><div class="level3"/></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:TightSpan" onclick="swap_content('span:TightSpan'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="TightSpan" onclick="swap_content('span:TightSpan'); return false;"><span class="object">TightSpan</span></a></h3></div><div style="display: inline" id="span:TightSpan" class="foldit"><div class="descr"><p> Bounded subcomplex of an unbounded polyhedron, which is associated with a finite metric space.
 The tight span is 1-dimensional if and only if the metric is tree-like.  In this sense, the tight
 span captures the deviation of the metric from a tree-like one.</p></div><b>derived from: </b><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a><br/><div class="level3"/><h4>Properties of TightSpan</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:TightSpan__properties__Phylogenetic_Analysis" onclick="swap_content('span:TightSpan__properties__Phylogenetic_Analysis'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="TightSpan__properties__Phylogenetic_Analysis" onclick="swap_content('span:TightSpan__properties__Phylogenetic_Analysis'); return false;"><span class="category">Phylogenetic Analysis</span></a></h3></div><div style="display: inline" id="span:TightSpan__properties__Phylogenetic_Analysis" class="foldit"><div class="descr"><p> Properties of a <a href="#TightSpan" onclick="unfold('span:TightSpan');">TightSpan</a></p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:TightSpan__COHERENT_SPLITS" onclick="swap_content('span:TightSpan__COHERENT_SPLITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TightSpan__COHERENT_SPLITS" onclick="swap_content('span:TightSpan__COHERENT_SPLITS'); return false;"><b>COHERENT_SPLITS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Pair&lt;Set&lt;Int&gt;, Set&lt;Int&gt;&gt;&gt;</a><br/><div style="display: inline" id="span:TightSpan__COHERENT_SPLITS" class="foldit"><div class="descr"><p> Coherent non-trivial splits.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TightSpan__METRIC" onclick="swap_content('span:TightSpan__METRIC'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TightSpan__METRIC" onclick="swap_content('span:TightSpan__METRIC'); return false;"><b>METRIC</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:TightSpan__METRIC" class="foldit"><div class="descr"><p> Finite metric space encoded as a (symmetric) distance matrix.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TightSpan__TAXA" onclick="swap_content('span:TightSpan__TAXA'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TightSpan__TAXA" onclick="swap_content('span:TightSpan__TAXA'); return false;"><b>TAXA</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:TightSpan__TAXA" class="foldit"><div class="descr"><p> Labels for the rows and columns of the <a href="#TightSpan__METRIC" onclick="unfold('span:TightSpan__METRIC');">METRIC</a> space.
 Default TAXA are just consecutive numbers.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TightSpan__VERTICES_IN_METRIC" onclick="swap_content('span:TightSpan__VERTICES_IN_METRIC'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TightSpan__VERTICES_IN_METRIC" onclick="swap_content('span:TightSpan__VERTICES_IN_METRIC'); return false;"><b>VERTICES_IN_METRIC</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Int&gt;</a><br/><div style="display: inline" id="span:TightSpan__VERTICES_IN_METRIC" class="foldit"><div class="descr"><p> Row indices in the <a href="#TightSpan__METRIC" onclick="unfold('span:TightSpan__METRIC');">METRIC</a> matrix or -1</p></div></div></div></div></li></ul></div></div></div></li></ul><h4>User Methods of TightSpan</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:TightSpan__methods__Visualization" onclick="swap_content('span:TightSpan__methods__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="TightSpan__methods__Visualization" onclick="swap_content('span:TightSpan__methods__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:TightSpan__methods__Visualization" class="foldit"><div class="descr"><p> These methods are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:TightSpan__VISUAL_BOUNDED_GRAPH" onclick="swap_content('span:TightSpan__VISUAL_BOUNDED_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TightSpan__VISUAL_BOUNDED_GRAPH" onclick="swap_content('span:TightSpan__VISUAL_BOUNDED_GRAPH'); return false;"><b>VISUAL_BOUNDED_GRAPH</b></a>
			()  

			
				→ Visual::PolytopeGraph<div style="display: inline" id="span:TightSpan__VISUAL_BOUNDED_GRAPH" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the <a href="#Polytope__BOUNDED_COMPLEX__GRAPH" onclick="unfold('span:Polytope__BOUNDED_COMPLEX__GRAPH');">BOUNDED_COMPLEX.GRAPH</a> of a tight span.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the string embedder</div></div></td></tr><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PolytopeGraph" onclick="unfold('span:Visual_PolytopeGraph');">Visual::PolytopeGraph</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TightSpan__VISUAL_SPLITS" onclick="swap_content('span:TightSpan__VISUAL_SPLITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TightSpan__VISUAL_SPLITS" onclick="swap_content('span:TightSpan__VISUAL_SPLITS'); return false;"><b>VISUAL_SPLITS</b></a>
			()  

			
				→ Visual::Object<div style="display: inline" id="span:TightSpan__VISUAL_SPLITS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the splits of a finite metric space (that is, a planar image of a tight span).  Calls SplitsTree.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:TightSpan__VISUAL_TIGHT_SPAN" onclick="swap_content('span:TightSpan__VISUAL_TIGHT_SPAN'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="TightSpan__VISUAL_TIGHT_SPAN" onclick="swap_content('span:TightSpan__VISUAL_TIGHT_SPAN'); return false;"><b>VISUAL_TIGHT_SPAN</b></a>
			()  

			
				→ Visual::Graph<div style="display: inline" id="span:TightSpan__VISUAL_TIGHT_SPAN" class="foldit"><br/><div class="descr_func"><div class="descr"><p> This is a variation of <a href="#Polytope__VISUAL_BOUNDED_GRAPH" onclick="unfold('span:Polytope__VISUAL_BOUNDED_GRAPH');">Polytope::VISUAL_BOUNDED_GRAPH</a> for the special case of a tight span.
 The vertices are embedded according to the <a href="#TightSpan__METRIC" onclick="unfold('span:TightSpan__METRIC');">METRIC</a>, the others are hanged in between.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>random seed value for the string embedder</div></div></td></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">norm</td><td><div class="descr"><div>which norm to use when calculating the distances between metric vectors ("max" or "square")</div></div></td></tr><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="graph.html#Visual_Graph" onclick="unfold('span:Visual_Graph');">Visual::Graph</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:VectorConfiguration" onclick="swap_content('span:VectorConfiguration'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="VectorConfiguration" onclick="swap_content('span:VectorConfiguration'); return false;"><span class="object">VectorConfiguration</span></a></h3></div><div style="display: inline" id="span:VectorConfiguration" class="foldit"><div class="descr"><p> An object of type VectorConfiguration deals with properties of row vectors,
 assembled into an n x d matrix called <a href="#VectorConfiguration__VECTORS" onclick="unfold('span:VectorConfiguration__VECTORS');">VECTORS</a>. 
 The entries of these row vectors are interpreted as non-homogeneous coordinates. 
 In particular, the coordinates of a VECTOR will *NOT* be normalized to have a leading 1.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>default: <a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></div></div></td></tr></table></div><h4>Properties of VectorConfiguration</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:VectorConfiguration__properties__Geometry" onclick="swap_content('span:VectorConfiguration__properties__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="VectorConfiguration__properties__Geometry" onclick="swap_content('span:VectorConfiguration__properties__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:VectorConfiguration__properties__Geometry" class="foldit"><div class="descr"><p> These properties capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:VectorConfiguration__FULL_DIM" onclick="swap_content('span:VectorConfiguration__FULL_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VectorConfiguration__FULL_DIM" onclick="swap_content('span:VectorConfiguration__FULL_DIM'); return false;"><b>FULL_DIM</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:VectorConfiguration__FULL_DIM" class="foldit"><div class="descr"><p> <a href="#VectorConfiguration__VECTOR_AMBIENT_DIM" onclick="unfold('span:VectorConfiguration__VECTOR_AMBIENT_DIM');">VECTOR_AMBIENT_DIM</a> and <a href="#VectorConfiguration__VECTOR_DIM" onclick="unfold('span:VectorConfiguration__VECTOR_DIM');">VECTOR_DIM</a> coincide.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VectorConfiguration__LINEAR_SPAN" onclick="swap_content('span:VectorConfiguration__LINEAR_SPAN'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VectorConfiguration__LINEAR_SPAN" onclick="swap_content('span:VectorConfiguration__LINEAR_SPAN'); return false;"><b>LINEAR_SPAN</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:VectorConfiguration__LINEAR_SPAN" class="foldit"><div class="descr"><p> Dual basis of the linear hull of the vector configuration</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VectorConfiguration__MULTIPLE_VECTORS" onclick="swap_content('span:VectorConfiguration__MULTIPLE_VECTORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VectorConfiguration__MULTIPLE_VECTORS" onclick="swap_content('span:VectorConfiguration__MULTIPLE_VECTORS'); return false;"><b>MULTIPLE_VECTORS</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:VectorConfiguration__MULTIPLE_VECTORS" class="foldit"><div class="descr"><p> Tells if there exists multiple vectors.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VectorConfiguration__N_VECTORS" onclick="swap_content('span:VectorConfiguration__N_VECTORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VectorConfiguration__N_VECTORS" onclick="swap_content('span:VectorConfiguration__N_VECTORS'); return false;"><b>N_VECTORS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:VectorConfiguration__N_VECTORS" class="foldit"><div class="descr"><p> Number of <a href="#VectorConfiguration__VECTORS" onclick="unfold('span:VectorConfiguration__VECTORS');">VECTORS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VectorConfiguration__POSITIVE" onclick="swap_content('span:VectorConfiguration__POSITIVE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VectorConfiguration__POSITIVE" onclick="swap_content('span:VectorConfiguration__POSITIVE'); return false;"><b>POSITIVE</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:VectorConfiguration__POSITIVE" class="foldit"><div class="descr"><p> True if all <a href="#VectorConfiguration__VECTORS" onclick="unfold('span:VectorConfiguration__VECTORS');">VECTORS</a> have non-negative coordinates,
 that is, if they all lie entirely in the positive orthant.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VectorConfiguration__VECTOR_AMBIENT_DIM" onclick="swap_content('span:VectorConfiguration__VECTOR_AMBIENT_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VectorConfiguration__VECTOR_AMBIENT_DIM" onclick="swap_content('span:VectorConfiguration__VECTOR_AMBIENT_DIM'); return false;"><b>VECTOR_AMBIENT_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:VectorConfiguration__VECTOR_AMBIENT_DIM" class="foldit"><div class="descr"><p> Dimension of the space in which the vector configuration lives.
 Similar to <a href="#Cone__CONE_AMBIENT_DIM" onclick="unfold('span:Cone__CONE_AMBIENT_DIM');">Cone::CONE_AMBIENT_DIM</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VectorConfiguration__VECTOR_DIM" onclick="swap_content('span:VectorConfiguration__VECTOR_DIM'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VectorConfiguration__VECTOR_DIM" onclick="swap_content('span:VectorConfiguration__VECTOR_DIM'); return false;"><b>VECTOR_DIM</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:VectorConfiguration__VECTOR_DIM" class="foldit"><div class="descr"><p> Dimension of the linear hull of the vector configuration.
 Similar to <a href="#Cone__CONE_DIM" onclick="unfold('span:Cone__CONE_DIM');">Cone::CONE_DIM</a>.</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:VectorConfiguration__properties__Input_property" onclick="swap_content('span:VectorConfiguration__properties__Input_property'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="VectorConfiguration__properties__Input_property" onclick="swap_content('span:VectorConfiguration__properties__Input_property'); return false;"><span class="category">Input property</span></a></h3></div><div style="display: inline" id="span:VectorConfiguration__properties__Input_property" class="foldit"><div class="descr"><p> These properties are for input only. They allow redundant information.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:VectorConfiguration__VECTORS" onclick="swap_content('span:VectorConfiguration__VECTORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VectorConfiguration__VECTORS" onclick="swap_content('span:VectorConfiguration__VECTORS'); return false;"><b>VECTORS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:VectorConfiguration__VECTORS" class="foldit"><div class="descr"><p> The Vectors of the configuration</p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:VectorConfiguration__properties__Matroid_properties" onclick="swap_content('span:VectorConfiguration__properties__Matroid_properties'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="VectorConfiguration__properties__Matroid_properties" onclick="swap_content('span:VectorConfiguration__properties__Matroid_properties'); return false;"><span class="category">Matroid properties</span></a></h3></div><div style="display: inline" id="span:VectorConfiguration__properties__Matroid_properties" class="foldit"><div class="descr"><p> Properties which belong to the corresponding (oriented) matroid</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:VectorConfiguration__CHIROTOPE" onclick="swap_content('span:VectorConfiguration__CHIROTOPE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VectorConfiguration__CHIROTOPE" onclick="swap_content('span:VectorConfiguration__CHIROTOPE'); return false;"><b>CHIROTOPE</b>:
		</a><a href="common.html#Text" onclick="unfold('span:Text');">common::Text</a><br/><div style="display: inline" id="span:VectorConfiguration__CHIROTOPE" class="foldit"><div class="descr"><p> Chirotope corresponding to <a href="#VectorConfiguration__VECTORS" onclick="unfold('span:VectorConfiguration__VECTORS');">VECTORS</a></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VectorConfiguration__CIRCUITS" onclick="swap_content('span:VectorConfiguration__CIRCUITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VectorConfiguration__CIRCUITS" onclick="swap_content('span:VectorConfiguration__CIRCUITS'); return false;"><b>CIRCUITS</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Pair&lt;Set&lt;Int&gt;, Set&lt;Int&gt;&gt;&gt;</a><br/><div style="display: inline" id="span:VectorConfiguration__CIRCUITS" class="foldit"><div class="descr"><p> Circuits in <a href="#VectorConfiguration__VECTORS" onclick="unfold('span:VectorConfiguration__VECTORS');">VECTORS</a></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VectorConfiguration__COCIRCUITS" onclick="swap_content('span:VectorConfiguration__COCIRCUITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VectorConfiguration__COCIRCUITS" onclick="swap_content('span:VectorConfiguration__COCIRCUITS'); return false;"><b>COCIRCUITS</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Pair&lt;Set&lt;Int&gt;, Set&lt;Int&gt;&gt;&gt;</a><br/><div style="display: inline" id="span:VectorConfiguration__COCIRCUITS" class="foldit"><div class="descr"><p> Cocircuits in <a href="#VectorConfiguration__VECTORS" onclick="unfold('span:VectorConfiguration__VECTORS');">VECTORS</a></p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:VectorConfiguration__properties__Symmetry" onclick="swap_content('span:VectorConfiguration__properties__Symmetry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="VectorConfiguration__properties__Symmetry" onclick="swap_content('span:VectorConfiguration__properties__Symmetry'); return false;"><span class="category">Symmetry</span></a></h3></div><div style="display: inline" id="span:VectorConfiguration__properties__Symmetry" class="foldit"><div class="descr"><p> These properties capture information of the object that is concerned with the action of permutation groups.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:VectorConfiguration__GROUP" onclick="swap_content('span:VectorConfiguration__GROUP'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VectorConfiguration__GROUP" onclick="swap_content('span:VectorConfiguration__GROUP'); return false;"><b>GROUP</b>:
		</a><a href="group.html#GroupOfCone" onclick="unfold('span:GroupOfCone');">group::GroupOfCone</a><br/><div style="display: inline" id="span:VectorConfiguration__GROUP" class="foldit"><div class="descr"><p> A group acting on the cone via permutation of its 
 rays (<a href="group.html#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=1), facets (<a href="group.html#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=2), or
 coordinates (<a href="group.html#GroupOfCone__DOMAIN" onclick="unfold('span:GroupOfCone__DOMAIN');">DOMAIN</a>=3). </p></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:VectorConfiguration__properties__Visualization" onclick="swap_content('span:VectorConfiguration__properties__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="VectorConfiguration__properties__Visualization" onclick="swap_content('span:VectorConfiguration__properties__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:VectorConfiguration__properties__Visualization" class="foldit"><div class="descr"><p> These properties are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:VectorConfiguration__LABELS" onclick="swap_content('span:VectorConfiguration__LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VectorConfiguration__LABELS" onclick="swap_content('span:VectorConfiguration__LABELS'); return false;"><b>LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:VectorConfiguration__LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#VectorConfiguration__VECTORS" onclick="unfold('span:VectorConfiguration__VECTORS');">VECTORS</a>.
 If specified, they are shown by visualization tools instead of point indices.</p></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_Gale" onclick="swap_content('span:Visual_Gale'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="Visual_Gale" onclick="swap_content('span:Visual_Gale'); return false;"><span class="object">Visual::Gale</span></a></h3></div><div style="display: inline" id="span:Visual_Gale" class="foldit"><b>Category: </b>Visualization<br/><div class="descr"><p> A gale diagram prepared for drawing.</p></div><b>derived from: </b><a href="common.html#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a><br/><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_PointConfiguration" onclick="swap_content('span:Visual_PointConfiguration'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="Visual_PointConfiguration" onclick="swap_content('span:Visual_PointConfiguration'); return false;"><span class="object">Visual::PointConfiguration</span></a></h3></div><div style="display: inline" id="span:Visual_PointConfiguration" class="foldit"><b>Category: </b>Visualization<br/><div class="descr"><p> Visualization of the point configuration.</p></div><div class="level3"/><h4>User Methods of Visual::PointConfiguration</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Visual_PointConfiguration__POLYTOPAL_SUBDIVISION" onclick="swap_content('span:Visual_PointConfiguration__POLYTOPAL_SUBDIVISION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_PointConfiguration__POLYTOPAL_SUBDIVISION" onclick="swap_content('span:Visual_PointConfiguration__POLYTOPAL_SUBDIVISION'); return false;"><b>POLYTOPAL_SUBDIVISION</b></a>
			(index)  

			
				→ Visual::PointConfiguration<div style="display: inline" id="span:Visual_PointConfiguration__POLYTOPAL_SUBDIVISION" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize a <a href="#Visual_PointConfiguration__POLYTOPAL_SUBDIVISION" onclick="unfold('span:Visual_PointConfiguration__POLYTOPAL_SUBDIVISION');">POLYTOPAL_SUBDIVISION</a> of a point configuration.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">index</td><td><div class="descr"><div>Index of the subdivision to visualize</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PointConfiguration" onclick="unfold('span:Visual_PointConfiguration');">Visual::PointConfiguration</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_PointConfiguration__TRIANGULATION" onclick="swap_content('span:Visual_PointConfiguration__TRIANGULATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_PointConfiguration__TRIANGULATION" onclick="swap_content('span:Visual_PointConfiguration__TRIANGULATION'); return false;"><b>TRIANGULATION</b></a>
			()  

			
				→ Visual::PointConfiguration<div style="display: inline" id="span:Visual_PointConfiguration__TRIANGULATION" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the <a href="#Visual_PointConfiguration__TRIANGULATION" onclick="unfold('span:Visual_PointConfiguration__TRIANGULATION');">TRIANGULATION</a> of a point configuration</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PointConfiguration" onclick="unfold('span:Visual_PointConfiguration');">Visual::PointConfiguration</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_PointConfiguration__TRIANGULATION_BOUNDARY" onclick="swap_content('span:Visual_PointConfiguration__TRIANGULATION_BOUNDARY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_PointConfiguration__TRIANGULATION_BOUNDARY" onclick="swap_content('span:Visual_PointConfiguration__TRIANGULATION_BOUNDARY'); return false;"><b>TRIANGULATION_BOUNDARY</b></a>
			()  

			
				→ Visual::PointConfiguration<div style="display: inline" id="span:Visual_PointConfiguration__TRIANGULATION_BOUNDARY" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Draw the edges of the <a href="#Visual_PointConfiguration__TRIANGULATION_BOUNDARY" onclick="unfold('span:Visual_PointConfiguration__TRIANGULATION_BOUNDARY');">TRIANGULATION_BOUNDARY</a>.
 The facets are made transparent.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PointConfiguration" onclick="unfold('span:Visual_PointConfiguration');">Visual::PointConfiguration</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_Polytope" onclick="swap_content('span:Visual_Polytope'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="Visual_Polytope" onclick="swap_content('span:Visual_Polytope'); return false;"><span class="object">Visual::Polytope</span></a></h3></div><div style="display: inline" id="span:Visual_Polytope" class="foldit"><b>Category: </b>Visualization<br/><div class="descr"><p> Visualization of a polytope as a graph (if 1d), or as a solid object (if 2d or 3d),
 or as a Schlegel diagram (4d).</p></div><div class="level3"/><h4>User Methods of Visual::Polytope</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Visual_Polytope__DIRECTED_GRAPH" onclick="swap_content('span:Visual_Polytope__DIRECTED_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_Polytope__DIRECTED_GRAPH" onclick="swap_content('span:Visual_Polytope__DIRECTED_GRAPH'); return false;"><b>DIRECTED_GRAPH</b></a>
			(lp)  

			
				→ Visual::Polytope<div style="display: inline" id="span:Visual_Polytope__DIRECTED_GRAPH" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Illustrate the behavior of a linear objective function on the polytope.
 Superpose the drawing with the directed graph induced by the objective function.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td class="param">lp</td><td><div class="descr"><div>a Linear Program object attached to the polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Polytope" onclick="unfold('span:Visual_Polytope');">Visual::Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Attaches a linear program to the 3-dimensional cube and visualizes the directed graph, giving the cube a blue facet color<code>&gt; $p = cube(3);</code><code>&gt; $p-&gt;LP = new LinearProgram(LINEAR_OBJECTIVE=&gt;[0,0,0,1]);</code><code>&gt; $p-&gt;VISUAL(FacetColor=&gt;"blue")-&gt;DIRECTED_GRAPH;</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_Polytope__LATTICE" onclick="swap_content('span:Visual_Polytope__LATTICE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_Polytope__LATTICE" onclick="swap_content('span:Visual_Polytope__LATTICE'); return false;"><b>LATTICE</b></a>
			()  

			
				→ Visual::Polytope<div style="display: inline" id="span:Visual_Polytope__LATTICE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the <a href="#Polytope__LATTICE_POINTS" onclick="unfold('span:Polytope__LATTICE_POINTS');">LATTICE_POINTS</a> of a polytope</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::PointSet::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Polytope" onclick="unfold('span:Visual_Polytope');">Visual::Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Visualizes the lattice points of the threedimensional cube.<code>&gt; cube(3)-&gt;VISUAL-&gt;LATTICE;</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_Polytope__LATTICE_COLORED" onclick="swap_content('span:Visual_Polytope__LATTICE_COLORED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_Polytope__LATTICE_COLORED" onclick="swap_content('span:Visual_Polytope__LATTICE_COLORED'); return false;"><b>LATTICE_COLORED</b></a>
			()  

			
				→ Visual::Polytope<div style="display: inline" id="span:Visual_Polytope__LATTICE_COLORED" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the <a href="#Polytope__LATTICE_POINTS" onclick="unfold('span:Polytope__LATTICE_POINTS');">LATTICE_POINTS</a> of a polytope in different colors (interior / boundary / vertices)</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::PointSet::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Polytope" onclick="unfold('span:Visual_Polytope');">Visual::Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Creates the threedimensional unit cube scaled by 1.5 and displays the colored version of its lattice points<code>&gt; cube(3,(3/2),0)-&gt;VISUAL-&gt;LATTICE_COLORED;</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_Polytope__MIN_MAX_FACE" onclick="swap_content('span:Visual_Polytope__MIN_MAX_FACE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_Polytope__MIN_MAX_FACE" onclick="swap_content('span:Visual_Polytope__MIN_MAX_FACE'); return false;"><b>MIN_MAX_FACE</b></a>
			(lp)  

			
				→ Visual::Polytope<div style="display: inline" id="span:Visual_Polytope__MIN_MAX_FACE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Illustrate the behavior of a linear objective function on the polytope.
 Draw the facets contained in <a href="#LinearProgram__MAXIMAL_FACE" onclick="unfold('span:LinearProgram__MAXIMAL_FACE');">MAXIMAL_FACE</a> and <a href="#LinearProgram__MINIMAL_FACE" onclick="unfold('span:LinearProgram__MINIMAL_FACE');">MINIMAL_FACE</a> in distinct colors.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td class="param">lp</td><td><div class="descr"><div>a LinearProgram object attached to the polytope.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">min</td><td><div class="descr"><div>minimal face decoration (default: yellow vertices and/or facets)</div></div></td></tr><tr><td><a href="common.html#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">max</td><td><div class="descr"><div>maximal face decoration (default: red vertices and/or facets)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Polytope" onclick="unfold('span:Visual_Polytope');">Visual::Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Attaches a linear program to the threedimensional cube and displays the minimal/maximal faces in a different color, choosing purple instead of the default red for the maximal face<code>&gt; $p = cube(3);</code><code>&gt; $p-&gt;LP = new LinearProgram(LINEAR_OBJECTIVE=&gt;[0,1,0,0]);</code><code>&gt; $p-&gt;VISUAL-&gt;MIN_MAX_FACE(max=&gt;"purple");</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_Polytope__STEINER" onclick="swap_content('span:Visual_Polytope__STEINER'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_Polytope__STEINER" onclick="swap_content('span:Visual_Polytope__STEINER'); return false;"><b>STEINER</b></a>
			()  

			
				→ Visual::Polytope<div style="display: inline" id="span:Visual_Polytope__STEINER" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Add the <a href="#Polytope__STEINER_POINTS" onclick="unfold('span:Polytope__STEINER_POINTS');">STEINER_POINTS</a> to the 3-d visualization.
 The facets become transparent.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::PointSet::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Polytope" onclick="unfold('span:Visual_Polytope');">Visual::Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Displays the Steiner points of a random threedimensional sphere with 20 vertices. The labels of the vertices are turned off.<code>&gt; rand_sphere(3,20)-&gt;VISUAL(VertexLabels=&gt;"hidden")-&gt;STEINER;</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_Polytope__TRIANGULATION" onclick="swap_content('span:Visual_Polytope__TRIANGULATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_Polytope__TRIANGULATION" onclick="swap_content('span:Visual_Polytope__TRIANGULATION'); return false;"><b>TRIANGULATION</b></a>
			(t)  

			
				→ Visual::Polytope<div style="display: inline" id="span:Visual_Polytope__TRIANGULATION" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Add the triangulation to the drawing.  </p><p> You may specify any triangulation of the current polytope.
 Per default, the <a href="#Cone__TRIANGULATION" onclick="unfold('span:Cone__TRIANGULATION');">TRIANGULATION</a> property is taken.
 (Currently there is only one possible alternative triangulation: <a href="#Cone__TRIANGULATION_INT" onclick="unfold('span:Cone__TRIANGULATION_INT');">TRIANGULATION_INT</a>).</p><p> <strong>Hint:</strong> Use the method <em class="u">Method -&gt; Effect -&gt; Explode Group of Geometries</em>
 of <a href="http://polymake.org//external_software#javaview" onclick="unfold('span:javaview');">JavaView</a> for better insight in the internal structure.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td class="param">t</td><td><div class="descr"><div>facets of the triangulation</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Polytope" onclick="unfold('span:Visual_Polytope');">Visual::Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Displays a triangulation of the threedimensional cube. Facets are made transparent and vertices are hidden.<code>&gt; cube(3)-&gt;VISUAL-&gt;TRIANGULATION(FacetTransparency=&gt;0.7,VertexStyle=&gt;"hidden");</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_Polytope__TRIANGULATION_BOUNDARY" onclick="swap_content('span:Visual_Polytope__TRIANGULATION_BOUNDARY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_Polytope__TRIANGULATION_BOUNDARY" onclick="swap_content('span:Visual_Polytope__TRIANGULATION_BOUNDARY'); return false;"><b>TRIANGULATION_BOUNDARY</b></a>
			()  

			
				→ Visual::Polytope<div style="display: inline" id="span:Visual_Polytope__TRIANGULATION_BOUNDARY" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Draw the edges of the <a href="#Visual_Polytope__TRIANGULATION_BOUNDARY" onclick="unfold('span:Visual_Polytope__TRIANGULATION_BOUNDARY');">TRIANGULATION_BOUNDARY</a>.
 The facets are made transparent.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Polytope" onclick="unfold('span:Visual_Polytope');">Visual::Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Displays the boundary triangulation of the threedimensional cube.<code>&gt; cube(3)-&gt;VISUAL-&gt;TRIANGULATION_BOUNDARY;</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_Polytope__VERTEX_COLORS" onclick="swap_content('span:Visual_Polytope__VERTEX_COLORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_Polytope__VERTEX_COLORS" onclick="swap_content('span:Visual_Polytope__VERTEX_COLORS'); return false;"><b>VERTEX_COLORS</b></a>
			(lp)  

			
				→ Visual::Polytope<div style="display: inline" id="span:Visual_Polytope__VERTEX_COLORS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Illustrate the behavior of a linear objective function on the polytope.
 Color the vertices according to the values of the objective function.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td class="param">lp</td><td><div class="descr"><div>a LinearProgram object attached to the polytope</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">min</td><td><div class="descr"><div>minimal vertex color (default: yellow)</div></div></td></tr><tr><td><a href="common.html#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">max</td><td><div class="descr"><div>maximal vertex color (default: red)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_Polytope" onclick="unfold('span:Visual_Polytope');">Visual::Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Attaches a linear program to the threedimensional cube and displays the minimal/maximal vertices in a different color, choosing purple instead of the default red for the maximal vertices<code>&gt; $p = cube(3);</code><code>&gt; $p-&gt;LP = new LinearProgram(LINEAR_OBJECTIVE=&gt;[0,1,0,0]);</code><code>&gt; $p-&gt;VISUAL-&gt;VERTEX_COLORS(max=&gt;"purple");</code></div></li></ul></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_PolytopeGraph" onclick="swap_content('span:Visual_PolytopeGraph'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="Visual_PolytopeGraph" onclick="swap_content('span:Visual_PolytopeGraph'); return false;"><span class="object">Visual::PolytopeGraph</span></a></h3></div><div style="display: inline" id="span:Visual_PolytopeGraph" class="foldit"><b>Category: </b>Visualization<br/><div class="descr"><p> Visualization of the graph of a polyhedron.</p></div><div class="level3"/><h4>User Methods of Visual::PolytopeGraph</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Visual_PolytopeGraph__DIRECTED_GRAPH" onclick="swap_content('span:Visual_PolytopeGraph__DIRECTED_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_PolytopeGraph__DIRECTED_GRAPH" onclick="swap_content('span:Visual_PolytopeGraph__DIRECTED_GRAPH'); return false;"><b>DIRECTED_GRAPH</b></a>
			(lp)  

			
				→ Visual::PolytopeGraph<div style="display: inline" id="span:Visual_PolytopeGraph__DIRECTED_GRAPH" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Show the growth direction of a linear objective function via arrowed edges.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td class="param">lp</td><td><div class="descr"><div>a LinearProgram object attached to the polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PolytopeGraph" onclick="unfold('span:Visual_PolytopeGraph');">Visual::PolytopeGraph</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_PolytopeGraph__EDGE_COLORS" onclick="swap_content('span:Visual_PolytopeGraph__EDGE_COLORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_PolytopeGraph__EDGE_COLORS" onclick="swap_content('span:Visual_PolytopeGraph__EDGE_COLORS'); return false;"><b>EDGE_COLORS</b></a>
			()  

			
				→ Visual::PolytopeGraph<div style="display: inline" id="span:Visual_PolytopeGraph__EDGE_COLORS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce an edge coloring of a bounded graph from local data in the Hasse diagram.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PolytopeGraph" onclick="unfold('span:Visual_PolytopeGraph');">Visual::PolytopeGraph</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_PolytopeGraph__MIN_MAX_FACE" onclick="swap_content('span:Visual_PolytopeGraph__MIN_MAX_FACE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_PolytopeGraph__MIN_MAX_FACE" onclick="swap_content('span:Visual_PolytopeGraph__MIN_MAX_FACE'); return false;"><b>MIN_MAX_FACE</b></a>
			(lp)  

			
				→ Visual::PolytopeGraph<div style="display: inline" id="span:Visual_PolytopeGraph__MIN_MAX_FACE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Illustrate the behavior of a linear objective function on the polytope.
 The vertices belonging to <a href="#LinearProgram__MINIMAL_FACE" onclick="unfold('span:LinearProgram__MINIMAL_FACE');">MINIMAL_FACE</a> and <a href="#LinearProgram__MAXIMAL_FACE" onclick="unfold('span:LinearProgram__MAXIMAL_FACE');">MAXIMAL_FACE</a> are drawn in distinct colors</p><p> The spring embedder applies an additional force, which tries to arrange the nodes in the z-axis direction
 corresponding to the objective function values.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td class="param">lp</td><td><div class="descr"><div>a LinearProgram object attached to the polytope</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">min</td><td><div class="descr"><div>minimal face decoration (default: yellow nodes)</div></div></td></tr><tr><td><a href="common.html#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">max</td><td><div class="descr"><div>maximal face decoration (default: red nodes)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PolytopeGraph" onclick="unfold('span:Visual_PolytopeGraph');">Visual::PolytopeGraph</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_PolytopeGraph__VERTEX_COLORS" onclick="swap_content('span:Visual_PolytopeGraph__VERTEX_COLORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_PolytopeGraph__VERTEX_COLORS" onclick="swap_content('span:Visual_PolytopeGraph__VERTEX_COLORS'); return false;"><b>VERTEX_COLORS</b></a>
			(lp)  

			
				→ Visual::PolytopeGraph<div style="display: inline" id="span:Visual_PolytopeGraph__VERTEX_COLORS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Illustrate the behavior of a linear objective function on the polytope.
 Color the nodes according to the value the objective function takes
 on the vertices.</p><p> The spring embedder applies an additional force, which tries to arrange the nodes in the z-axis direction
 corresponding to the objective function values.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td class="param">lp</td><td><div class="descr"><div>a LinearProgram object attached to the polytope.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">min</td><td><div class="descr"><div>minimal face color (default: yellow)</div></div></td></tr><tr><td><a href="common.html#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">max</td><td><div class="descr"><div>maximal face color (default: red)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PolytopeGraph" onclick="unfold('span:Visual_PolytopeGraph');">Visual::PolytopeGraph</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_PolytopeLattice" onclick="swap_content('span:Visual_PolytopeLattice'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="Visual_PolytopeLattice" onclick="swap_content('span:Visual_PolytopeLattice'); return false;"><span class="object">Visual::PolytopeLattice</span></a></h3></div><div style="display: inline" id="span:Visual_PolytopeLattice" class="foldit"><b>Category: </b>Visualization<br/><div class="descr"><p> Visualization of the <a href="#Polytope__HASSE_DIAGRAM" onclick="unfold('span:Polytope__HASSE_DIAGRAM');">HASSE_DIAGRAM</a> of a polyhedron as a multi-layer graph..</p></div><div class="level3"/><h4>User Methods of Visual::PolytopeLattice</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Visual_PolytopeLattice__MIN_MAX_FACE" onclick="swap_content('span:Visual_PolytopeLattice__MIN_MAX_FACE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_PolytopeLattice__MIN_MAX_FACE" onclick="swap_content('span:Visual_PolytopeLattice__MIN_MAX_FACE'); return false;"><b>MIN_MAX_FACE</b></a>
			(lp)  

			
				→ Visual::PolytopeLattice<div style="display: inline" id="span:Visual_PolytopeLattice__MIN_MAX_FACE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Illustrate the behavior of a linear objective function on the polytope.
 Draw the filters of the <a href="#LinearProgram__MAXIMAL_FACE" onclick="unfold('span:LinearProgram__MAXIMAL_FACE');">MAXIMAL_FACE</a> and <a href="#LinearProgram__MINIMAL_FACE" onclick="unfold('span:LinearProgram__MINIMAL_FACE');">MINIMAL_FACE</a> in distinct colors.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td class="param">lp</td><td><div class="descr"><div>a LinearProgram object attached to the polytope</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">min</td><td><div class="descr"><div>minimal face decoration (default: yellow border and ingoing edges)</div></div></td></tr><tr><td><a href="common.html#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">max</td><td><div class="descr"><div>maximal face decoration (default: red border and ingoing edges)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_PolytopeLattice" onclick="unfold('span:Visual_PolytopeLattice');">Visual::PolytopeLattice</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_SchlegelDiagram" onclick="swap_content('span:Visual_SchlegelDiagram'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="Visual_SchlegelDiagram" onclick="swap_content('span:Visual_SchlegelDiagram'); return false;"><span class="object">Visual::SchlegelDiagram</span></a></h3></div><div style="display: inline" id="span:Visual_SchlegelDiagram" class="foldit"><b>Category: </b>Visualization<br/><div class="descr"><p> Visualization of the Schlegel diagram of a polytope.</p></div><div class="level3"/><h4>User Methods of Visual::SchlegelDiagram</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Visual_SchlegelDiagram__CONSTRUCTION" onclick="swap_content('span:Visual_SchlegelDiagram__CONSTRUCTION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_SchlegelDiagram__CONSTRUCTION" onclick="swap_content('span:Visual_SchlegelDiagram__CONSTRUCTION'); return false;"><b>CONSTRUCTION</b></a>
			()  

			
				→ Visual::SchlegelDiagram<div style="display: inline" id="span:Visual_SchlegelDiagram__CONSTRUCTION" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualize the construction of a 3D Schlegel diagram, that is, the Viewpoint, the 3-polytope and
 the projection onto one facet.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_SchlegelDiagram" onclick="unfold('span:Visual_SchlegelDiagram');">Visual::SchlegelDiagram</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_SchlegelDiagram__DIRECTED_GRAPH" onclick="swap_content('span:Visual_SchlegelDiagram__DIRECTED_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_SchlegelDiagram__DIRECTED_GRAPH" onclick="swap_content('span:Visual_SchlegelDiagram__DIRECTED_GRAPH'); return false;"><b>DIRECTED_GRAPH</b></a>
			(lp)  

			
				→ Visual::SchlegelDiagram<div style="display: inline" id="span:Visual_SchlegelDiagram__DIRECTED_GRAPH" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Illustrate the behavior of a linear objective function on the polytope.
 Superpose the drawing with the directed graph induced by the objective function.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td class="param">lp</td><td><div class="descr"><div>a LinearProgram object attached to the polytope.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_SchlegelDiagram" onclick="unfold('span:Visual_SchlegelDiagram');">Visual::SchlegelDiagram</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_SchlegelDiagram__MIN_MAX_FACE" onclick="swap_content('span:Visual_SchlegelDiagram__MIN_MAX_FACE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_SchlegelDiagram__MIN_MAX_FACE" onclick="swap_content('span:Visual_SchlegelDiagram__MIN_MAX_FACE'); return false;"><b>MIN_MAX_FACE</b></a>
			(lp)  

			
				→ Visual::SchlegelDiagram<div style="display: inline" id="span:Visual_SchlegelDiagram__MIN_MAX_FACE" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Illustrate the behavior of a linear objective function on the polytope.
 The vertices belonging to <a href="#LinearProgram__MINIMAL_FACE" onclick="unfold('span:LinearProgram__MINIMAL_FACE');">MINIMAL_FACE</a> and <a href="#LinearProgram__MAXIMAL_FACE" onclick="unfold('span:LinearProgram__MAXIMAL_FACE');">MAXIMAL_FACE</a> are drawn in distinct colors</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td class="param">lp</td><td><div class="descr"><div>a LinearProgram object attached to the polytope.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">min</td><td><div class="descr"><div>minimal face decoration (default: yellow vertices and/or facets)</div></div></td></tr><tr><td><a href="common.html#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">max</td><td><div class="descr"><div>maximal face decoration (default: red vertices and/or facets)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_SchlegelDiagram" onclick="unfold('span:Visual_SchlegelDiagram');">Visual::SchlegelDiagram</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_SchlegelDiagram__SOLID" onclick="swap_content('span:Visual_SchlegelDiagram__SOLID'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_SchlegelDiagram__SOLID" onclick="swap_content('span:Visual_SchlegelDiagram__SOLID'); return false;"><b>SOLID</b></a>
			()  

			
				→ Visual::SchlegelDiagram<div style="display: inline" id="span:Visual_SchlegelDiagram__SOLID" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Draw the facets of the Schlegel diagram as polytopes.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_SchlegelDiagram" onclick="unfold('span:Visual_SchlegelDiagram');">Visual::SchlegelDiagram</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_SchlegelDiagram__STEINER" onclick="swap_content('span:Visual_SchlegelDiagram__STEINER'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_SchlegelDiagram__STEINER" onclick="swap_content('span:Visual_SchlegelDiagram__STEINER'); return false;"><b>STEINER</b></a>
			()  

			<div style="display: inline" id="span:Visual_SchlegelDiagram__STEINER" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::PointSet::decorations</td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_SchlegelDiagram__TRIANGULATION_BOUNDARY" onclick="swap_content('span:Visual_SchlegelDiagram__TRIANGULATION_BOUNDARY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_SchlegelDiagram__TRIANGULATION_BOUNDARY" onclick="swap_content('span:Visual_SchlegelDiagram__TRIANGULATION_BOUNDARY'); return false;"><b>TRIANGULATION_BOUNDARY</b></a>
			()  

			
				→ Visual::SchlegelDiagram<div style="display: inline" id="span:Visual_SchlegelDiagram__TRIANGULATION_BOUNDARY" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Draw the edges of the <a href="#Visual_Polytope__TRIANGULATION_BOUNDARY" onclick="unfold('span:Visual_Polytope__TRIANGULATION_BOUNDARY');">TRIANGULATION_BOUNDARY</a></p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_SchlegelDiagram" onclick="unfold('span:Visual_SchlegelDiagram');">Visual::SchlegelDiagram</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_SchlegelDiagram__TRIANGULATION_BOUNDARY_SOLID" onclick="swap_content('span:Visual_SchlegelDiagram__TRIANGULATION_BOUNDARY_SOLID'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_SchlegelDiagram__TRIANGULATION_BOUNDARY_SOLID" onclick="swap_content('span:Visual_SchlegelDiagram__TRIANGULATION_BOUNDARY_SOLID'); return false;"><b>TRIANGULATION_BOUNDARY_SOLID</b></a>
			()  

			
				→ Visual::SchlegelDiagram<div style="display: inline" id="span:Visual_SchlegelDiagram__TRIANGULATION_BOUNDARY_SOLID" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Draw the boundary simplices of the triangulation as solid tetrahedra.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Polygons::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_SchlegelDiagram" onclick="unfold('span:Visual_SchlegelDiagram');">Visual::SchlegelDiagram</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Visual_SchlegelDiagram__VERTEX_COLORS" onclick="swap_content('span:Visual_SchlegelDiagram__VERTEX_COLORS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Visual_SchlegelDiagram__VERTEX_COLORS" onclick="swap_content('span:Visual_SchlegelDiagram__VERTEX_COLORS'); return false;"><b>VERTEX_COLORS</b></a>
			(lp)  

			
				→ Visual::SchlegelDiagram<div style="display: inline" id="span:Visual_SchlegelDiagram__VERTEX_COLORS" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Illustrate the behavior of a linear objective function on the polytope.
 Color the vertices according to the values of the objective function.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td class="param">lp</td><td><div class="descr"><div>a LinearProgram object attached to the polytope.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">min</td><td><div class="descr"><div>minimal vertex color (default: yellow)</div></div></td></tr><tr><td><a href="common.html#Color" onclick="unfold('span:Color');">Color</a></td><td class="param">max</td><td><div class="descr"><div>maximal vertex color (default: red)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Visual_SchlegelDiagram" onclick="unfold('span:Visual_SchlegelDiagram');">Visual::SchlegelDiagram</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:VoronoiDiagram" onclick="swap_content('span:VoronoiDiagram'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="VoronoiDiagram" onclick="swap_content('span:VoronoiDiagram'); return false;"><span class="object">VoronoiDiagram</span></a></h3></div><div style="display: inline" id="span:VoronoiDiagram" class="foldit"><div class="descr"><p> For a finite set of <a href="#VoronoiDiagram__SITES" onclick="unfold('span:VoronoiDiagram__SITES');">SITES</a> <em class="param">S</em> the Voronoi region of each site is the set of points closest
 (with respect to Euclidean distance) to the given site.  All Voronoi regions (and their faces)
 form a polyhedral complex which is a vertical projection of the boundary complex of an unbounded
 polyhedron P(S).  This way VoronoiDiagram becomes a derived class from <a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a>.</p></div><b>derived from: </b><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a><br/><div class="level3"/><h4>Properties of VoronoiDiagram</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__CRUST_GRAPH" onclick="swap_content('span:VoronoiDiagram__CRUST_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__CRUST_GRAPH" onclick="swap_content('span:VoronoiDiagram__CRUST_GRAPH'); return false;"><b>CRUST_GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:VoronoiDiagram__CRUST_GRAPH" class="foldit"><div class="descr"><p> Graph of the crust as defined by Amenta, Bern, and Eppstein.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__DELAUNAY_GRAPH" onclick="swap_content('span:VoronoiDiagram__DELAUNAY_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__DELAUNAY_GRAPH" onclick="swap_content('span:VoronoiDiagram__DELAUNAY_GRAPH'); return false;"><b>DELAUNAY_GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:VoronoiDiagram__DELAUNAY_GRAPH" class="foldit"><div class="descr"><p> Graph of the Delaunay decomposition Del(<a href="#VoronoiDiagram__SITES" onclick="unfold('span:VoronoiDiagram__SITES');">SITES</a>).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__DELAUNAY_TRIANGULATION" onclick="swap_content('span:VoronoiDiagram__DELAUNAY_TRIANGULATION'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__DELAUNAY_TRIANGULATION" onclick="swap_content('span:VoronoiDiagram__DELAUNAY_TRIANGULATION'); return false;"><b>DELAUNAY_TRIANGULATION</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:VoronoiDiagram__DELAUNAY_TRIANGULATION" class="foldit"><div class="descr"><p> Delaunay triangulation of the <a href="#VoronoiDiagram__SITES" onclick="unfold('span:VoronoiDiagram__SITES');">sites</a>. (Delaunay subdivision, non-simplices are triangulated.)</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__ITERATED_DELAUNAY_GRAPH" onclick="swap_content('span:VoronoiDiagram__ITERATED_DELAUNAY_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__ITERATED_DELAUNAY_GRAPH" onclick="swap_content('span:VoronoiDiagram__ITERATED_DELAUNAY_GRAPH'); return false;"><b>ITERATED_DELAUNAY_GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:VoronoiDiagram__ITERATED_DELAUNAY_GRAPH" class="foldit"><div class="descr"><p> Graph of the Del(<a href="#VoronoiDiagram__SITES" onclick="unfold('span:VoronoiDiagram__SITES');">SITES</a>) + Vor(<a href="#VoronoiDiagram__SITES" onclick="unfold('span:VoronoiDiagram__SITES');">SITES</a>).</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__ITERATED_VORONOI_GRAPH" onclick="swap_content('span:VoronoiDiagram__ITERATED_VORONOI_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__ITERATED_VORONOI_GRAPH" onclick="swap_content('span:VoronoiDiagram__ITERATED_VORONOI_GRAPH'); return false;"><b>ITERATED_VORONOI_GRAPH</b>:
		</a><a href="graph.html#GeometricGraph" onclick="unfold('span:GeometricGraph');">graph::GeometricGraph</a><br/><div style="display: inline" id="span:VoronoiDiagram__ITERATED_VORONOI_GRAPH" class="foldit"><div class="descr"><p> Graph of the joint Voronoi diagram of the <a href="#VoronoiDiagram__SITES" onclick="unfold('span:VoronoiDiagram__SITES');">SITES</a> and the vertices of Vor(SITES).  The coordinates (homogeneous, before projection)
 are stored as node attributes.  The graph is truncated according to the <a href="graph.html#GeometricGraph__BOUNDING_BOX" onclick="unfold('span:GeometricGraph__BOUNDING_BOX');">VORONOI_GRAPH.BOUNDING_BOX</a>.
 For the default BOUNDING_BOX it may happen that some of the iterated Voronoi vertices are truncated.
 Create new objects of type <a href="#VoronoiDiagram" onclick="unfold('span:VoronoiDiagram');">VoronoiDiagram</a> to produce proper iterated Voronoi diagrams.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__NN_CRUST_GRAPH" onclick="swap_content('span:VoronoiDiagram__NN_CRUST_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__NN_CRUST_GRAPH" onclick="swap_content('span:VoronoiDiagram__NN_CRUST_GRAPH'); return false;"><b>NN_CRUST_GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:VoronoiDiagram__NN_CRUST_GRAPH" class="foldit"><div class="descr"><p> Graph of the nearest neighbor crust, as defined in:</p><p>       T. K. Dey and P. Kumar: A simple provable algorithm for curve reconstruction.
       Proc. 10th. Annu. ACM-SIAM Sympos. Discrete Alg., 1999, 893-894.</p><p> Polygonal reconstruction of a smooth planar curve from a finite set of samples.
 Sampling rate of &lt;= 1/3 suffices.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__NN_GRAPH" onclick="swap_content('span:VoronoiDiagram__NN_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__NN_GRAPH" onclick="swap_content('span:VoronoiDiagram__NN_GRAPH'); return false;"><b>NN_GRAPH</b>:
		</a><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph&lt;Undirected&gt;</a><br/><div style="display: inline" id="span:VoronoiDiagram__NN_GRAPH" class="foldit"><div class="descr"><p> Graph of the nearest neighbors.  This is a subgraph of <a href="#VoronoiDiagram__NN_CRUST_GRAPH" onclick="unfold('span:VoronoiDiagram__NN_CRUST_GRAPH');">NN_CRUST_GRAPH</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__N_SITES" onclick="swap_content('span:VoronoiDiagram__N_SITES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__N_SITES" onclick="swap_content('span:VoronoiDiagram__N_SITES'); return false;"><b>N_SITES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:VoronoiDiagram__N_SITES" class="foldit"><div class="descr"><p> Number of <a href="#VoronoiDiagram__SITES" onclick="unfold('span:VoronoiDiagram__SITES');">SITES</a></p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__SITES" onclick="swap_content('span:VoronoiDiagram__SITES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__SITES" onclick="swap_content('span:VoronoiDiagram__SITES'); return false;"><b>SITES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:VoronoiDiagram__SITES" class="foldit"><div class="descr"><p> Coordinates of the sites in case the polyhedron is Voronoi.
 Sites must be pairwise distinct.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__SITE_LABELS" onclick="swap_content('span:VoronoiDiagram__SITE_LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__SITE_LABELS" onclick="swap_content('span:VoronoiDiagram__SITE_LABELS'); return false;"><b>SITE_LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:VoronoiDiagram__SITE_LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the <a href="#VoronoiDiagram__SITES" onclick="unfold('span:VoronoiDiagram__SITES');">SITES</a>.  Works like <a href="#Polytope__VERTEX_LABELS" onclick="unfold('span:Polytope__VERTEX_LABELS');">VERTEX_LABELS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__VORONOI_GRAPH" onclick="swap_content('span:VoronoiDiagram__VORONOI_GRAPH'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__VORONOI_GRAPH" onclick="swap_content('span:VoronoiDiagram__VORONOI_GRAPH'); return false;"><b>VORONOI_GRAPH</b>:
		</a><a href="graph.html#GeometricGraph" onclick="unfold('span:GeometricGraph');">graph::GeometricGraph</a><br/><div style="display: inline" id="span:VoronoiDiagram__VORONOI_GRAPH" class="foldit"><div class="descr"><p> Graph of the Voronoi diagram of the <a href="#VoronoiDiagram__SITES" onclick="unfold('span:VoronoiDiagram__SITES');">SITES</a>.  The homogeneous coordinates after projection are stored as node attributes.
 The graph is truncated according to the <a href="graph.html#GeometricGraph__BOUNDING_BOX" onclick="unfold('span:GeometricGraph__BOUNDING_BOX');">BOUNDING_BOX</a>.
 All vertices of the Voronoi diagram are visible (and represented in the <a href="#VoronoiDiagram__VORONOI_GRAPH" onclick="unfold('span:VoronoiDiagram__VORONOI_GRAPH');">VORONOI_GRAPH</a>) for the default BOUNDING_BOX.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__VORONOI_VERTICES" onclick="swap_content('span:VoronoiDiagram__VORONOI_VERTICES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__VORONOI_VERTICES" onclick="swap_content('span:VoronoiDiagram__VORONOI_VERTICES'); return false;"><b>VORONOI_VERTICES</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix</a><br/><div style="display: inline" id="span:VoronoiDiagram__VORONOI_VERTICES" class="foldit"><div class="descr"><p> Vertices of the Voronoi diagram of the <a href="#VoronoiDiagram__SITES" onclick="unfold('span:VoronoiDiagram__SITES');">SITES</a>.</p></div></div></div></div></li></ul><h4>User Methods of VoronoiDiagram</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__methods__Visualization" onclick="swap_content('span:VoronoiDiagram__methods__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="VoronoiDiagram__methods__Visualization" onclick="swap_content('span:VoronoiDiagram__methods__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:VoronoiDiagram__methods__Visualization" class="foldit"><div class="descr"><p> These methods are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__VISUAL_CRUST" onclick="swap_content('span:VoronoiDiagram__VISUAL_CRUST'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__VISUAL_CRUST" onclick="swap_content('span:VoronoiDiagram__VISUAL_CRUST'); return false;"><b>VISUAL_CRUST</b></a>
			()  

			
				→ Visual::Container<div style="display: inline" id="span:VoronoiDiagram__VISUAL_CRUST" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Draw a Voronoi diagram, its <a href="#VoronoiDiagram__DELAUNAY_GRAPH" onclick="unfold('span:VoronoiDiagram__DELAUNAY_GRAPH');">|dual graph</a> and the <a href="#VoronoiDiagram__CRUST_GRAPH" onclick="unfold('span:VoronoiDiagram__CRUST_GRAPH');">crust</a>.  Use the interactive features of the viewer to select.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Visual_Container" onclick="unfold('span:Visual_Container');">Visual::Container</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__VISUAL_NN_CRUST" onclick="swap_content('span:VoronoiDiagram__VISUAL_NN_CRUST'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__VISUAL_NN_CRUST" onclick="swap_content('span:VoronoiDiagram__VISUAL_NN_CRUST'); return false;"><b>VISUAL_NN_CRUST</b></a>
			()  

			
				→ Visual::Container<div style="display: inline" id="span:VoronoiDiagram__VISUAL_NN_CRUST" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Draw a Voronoi diagram, its dual graph and the <a href="#VoronoiDiagram__NN_CRUST_GRAPH" onclick="unfold('span:VoronoiDiagram__NN_CRUST_GRAPH');">nearest neighbor crust</a>.  Use the interactive features of the viewer to select.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Visual_Container" onclick="unfold('span:Visual_Container');">Visual::Container</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:VoronoiDiagram__VISUAL_VORONOI" onclick="swap_content('span:VoronoiDiagram__VISUAL_VORONOI'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="VoronoiDiagram__VISUAL_VORONOI" onclick="swap_content('span:VoronoiDiagram__VISUAL_VORONOI'); return false;"><b>VISUAL_VORONOI</b></a>
			()  

			
				→ Visual::Container<div style="display: inline" id="span:VoronoiDiagram__VISUAL_VORONOI" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Draw a Voronoi diagram and its <a href="#VoronoiDiagram__DELAUNAY_GRAPH" onclick="unfold('span:VoronoiDiagram__DELAUNAY_GRAPH');">dual</a>.  Use the interactive features of the viewer to select.</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td>option list:</td><td>Visual::Graph::decorations</td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Visual_Container" onclick="unfold('span:Visual_Container');">Visual::Container</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div></div></div></li></ul></div><div class="level2"><h2>User Functions</h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:functions__Combinatorics" onclick="swap_content('span:functions__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Combinatorics" onclick="swap_content('span:functions__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:functions__Combinatorics" class="foldit"><div class="descr"><p> These functions capture combinatorial information of the object. 
 Combinatorial properties only depend on combinatorial data of the object like, e.g., the face lattice.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:circuits2matrix" onclick="swap_content('span:circuits2matrix'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="circuits2matrix" onclick="swap_content('span:circuits2matrix'); return false;"><b>circuits2matrix</b></a>
			(co)  

			
				→ SparseMatrix&lt;Rational&gt;<div style="display: inline" id="span:circuits2matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert <a href="#VectorConfiguration__CIRCUITS" onclick="unfold('span:VectorConfiguration__CIRCUITS');">CIRCUITS</a> or <a href="#VectorConfiguration__COCIRCUITS" onclick="unfold('span:VectorConfiguration__COCIRCUITS');">COCIRCUITS</a> to a 0/+1/-1 matrix, with one row for each circuit/cocircuit, 
 and as many columns as there are VECTORs/POINTS.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Pair&lt;Set&lt;Int&gt;,Set&lt;Int&gt;&gt;&gt;</a></td><td class="param">co</td><td><div class="descr"><div>/circuits a set of circuits or cocircuits</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix&lt;Rational&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cocircuit_equation" onclick="swap_content('span:cocircuit_equation'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cocircuit_equation" onclick="swap_content('span:cocircuit_equation'); return false;"><b>cocircuit_equation</b></a>
			(C, rho, index_of)  

			
				→ SparseVector&lt;Int&gt;<div style="display: inline" id="span:cocircuit_equation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The cocircuit equations of a cone C corresponding to some interior ridge rho
 with respect to a list of interior simplices
 symmetries of the cone are NOT taken into account</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">C</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">rho</td><td><div class="descr"><div>the interior ridge</div></div></td></tr><tr><td><a href="common.html#Map" onclick="unfold('span:Map');">Map&lt;Set&lt;Int&gt;, Int&gt;</a></td><td class="param">index_of</td><td><div class="descr"><div>the interior_simplices</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseVector" onclick="unfold('span:SparseVector');">SparseVector&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cocircuit_equations" onclick="swap_content('span:cocircuit_equations'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cocircuit_equations" onclick="swap_content('span:cocircuit_equations'); return false;"><b>cocircuit_equations</b></a>
			(C, interior_ridge_simplices, interior_simplices)  

			
				→ SparseMatrix&lt;Int&gt;<div style="display: inline" id="span:cocircuit_equations" class="foldit"><br/><div class="descr_func"><div class="descr"><p> A matrix whose rows contain the cocircuit equations of a cone C
 with respect to a list of interior simplices
 symmetries of the cone are NOT taken into account</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">C</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td class="param">interior_ridge_simplices</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td class="param">interior_simplices</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">filename</td><td><div class="descr"><div>where to write the output (default empty)</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">reduce_rows</td><td><div class="descr"><div>whether to perform row reduction (default 1)</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">log_frequency</td><td><div class="descr"><div>how often to print log messages</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:contraction" onclick="swap_content('span:contraction'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="contraction" onclick="swap_content('span:contraction'); return false;"><b>contraction</b></a>
			(C, v)  

			<div style="display: inline" id="span:contraction" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Contract a vector configuration <em class="param">C</em> along a specified vector <em class="param">v</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#VectorConfiguration" onclick="unfold('span:VectorConfiguration');">VectorConfiguration</a></td><td class="param">C</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">v</td><td><div class="descr"><div>index of the vector to contract</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:deletion" onclick="swap_content('span:deletion'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="deletion" onclick="swap_content('span:deletion'); return false;"><b>deletion</b></a>
			(C, v)  

			<div style="display: inline" id="span:deletion" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Delete a specified vector <em class="param">v</em> from a vector configuration <em class="param">C</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#VectorConfiguration" onclick="unfold('span:VectorConfiguration');">VectorConfiguration</a></td><td class="param">C</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">v</td><td><div class="descr"><div>index of the vector to delete</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:projected_cocircuit_equations" onclick="swap_content('span:projected_cocircuit_equations'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="projected_cocircuit_equations" onclick="swap_content('span:projected_cocircuit_equations'); return false;"><b>projected_cocircuit_equations</b></a>
			(C, ridge_rep, isotypic_components)  

			
				→ SparseMatrix&lt;Rational&gt;<div style="display: inline" id="span:projected_cocircuit_equations" class="foldit"><br/><div class="descr_func"><div class="descr"><p> A SparseMatrix whose rows contain projections of the cocircuit equations of a cone C
 corresponding to the orbit of a specified ridge onto a direct sum of specified isotypic components</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">C</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">ridge_rep</td><td><div class="descr"><div>interior ridge</div></div></td></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">isotypic_components</td><td><div class="descr"><div>the isotypic components to project to</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix&lt;Rational&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:quotient_of_triangulation" onclick="swap_content('span:quotient_of_triangulation'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="quotient_of_triangulation" onclick="swap_content('span:quotient_of_triangulation'); return false;"><b>quotient_of_triangulation</b></a>
			(T, G, R)  

			
				→ SparseVector<div style="display: inline" id="span:quotient_of_triangulation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> In a triangulation T, 
 find the number of representatives of simplices wrt to G,
 and return the counts in the order indicated by the array R</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td class="param">T</td><td><div class="descr"><div>the input triangulation,</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td class="param">G</td><td><div class="descr"><div>the generators of the symmetry group</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td class="param">R</td><td><div class="descr"><div>the canonical lex-min representatives of the simplices</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">foldable</td><td><div class="descr"><div>is the triangulation foldable?</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseVector" onclick="unfold('span:SparseVector');">SparseVector</a></td><td><div class="descr"><div>V the number of times a simplex G-isomorphic to each representative in R occurs in T</div></div></td></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Comparing" onclick="swap_content('span:functions__Comparing'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Comparing" onclick="swap_content('span:functions__Comparing'); return false;"><span class="category">Comparing</span></a></h3></div><div style="display: inline" id="span:functions__Comparing" class="foldit"><div class="descr"><p> Functions based on graph isomorphisms.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:congruent" onclick="swap_content('span:congruent'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="congruent" onclick="swap_content('span:congruent'); return false;"><b>congruent</b></a>
			(P1, P2)  

			
				→ Scalar<div style="display: inline" id="span:congruent" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check whether two given polytopes <em class="param">P1</em> and <em class="param">P2</em> are congruent, i.e. whether
 there is an affine isomorphism between them that is induced by a (possibly scaled) orthogonal matrix.
 Returns the scale factor, or 0 if the polytopes are not congruent.</p><p> We are using the reduction of the congruence problem (for arbitrary point sets) to the graph
 isomorphism problem due to:
</p><blockquote><div> Akutsu, T.: On determining the congruence of point sets in `d` dimensions.</div><div> Comput. Geom. Theory Appl. 9, 247--256 (1998), no. 4</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P1</td><td><div class="descr"><div>the first polytope</div></div></td></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P2</td><td><div class="descr"><div>the second polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td><div class="descr"><div>the square of the scale factor or 0 if the polytopes are not congruent</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Let's first consider an isosceles triangle and its image of the reflection in the origin:<code>&gt; $t = simplex(2);</code><code>&gt; $tr = simplex(2,-1);</code> Those two are congruent:<code>&gt; print congruent($t,$tr);</code><code> 1</code> If we scale one of them, we get a factor:<code>&gt; print congruent(scale($t,2),$tr);</code><code> 4</code> But if we instead take a triangle that is not isosceles, we get a negative result.<code>&gt; $tn = new Polytope(VERTICES =&gt; [[1,0,0],[1,2,0],[1,0,1]]);</code><code>&gt; print congruent($t,$tn);</code><code> 0</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:equal_polyhedra" onclick="swap_content('span:equal_polyhedra'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="equal_polyhedra" onclick="swap_content('span:equal_polyhedra'); return false;"><b>equal_polyhedra</b></a>
			(P1, P2)  

			
				→ Bool<div style="display: inline" id="span:equal_polyhedra" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Tests if the two polyhedra <em class="param">P1</em> and <em class="param">P2</em> are equal.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P1</td><td><div class="descr"><div>the first polytope</div></div></td></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P2</td><td><div class="descr"><div>the second polytope</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>Prints information on the difference between P1 and P2 if they are not equal.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td><div class="descr"><div>true if the two polyhedra are equal, false otherwise</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $p = new Polytope(VERTICES =&gt; [[1,-1,-1],[1,1,-1],[1,-1,1],[1,1,1]]);</code><code>&gt; print equal_polyhedra($p,cube(2));</code><code> 1</code> To see why two polytopes are unequal, try this:<code>&gt; print equal_polyhedra($p,cube(3),verbose =&gt; 1);</code><code> Cones/Polytopes do no live in the same ambient space.</code><code>&gt; print equal_polyhedra($p,simplex(2),verbose =&gt; 1);</code><code> Inequality 0 1 0 not satisfied by point 1 -1 -1.</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:find_facet_vertex_permutations" onclick="swap_content('span:find_facet_vertex_permutations'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="find_facet_vertex_permutations" onclick="swap_content('span:find_facet_vertex_permutations'); return false;"><b>find_facet_vertex_permutations</b></a>
			(P1, P2)  

			
				→ Pair&lt;Array&lt;Int&gt;, Array&lt;Int&gt;&gt;<div style="display: inline" id="span:find_facet_vertex_permutations" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the permutations of facets and vertices which maps the cone or polyhedron <em class="param">P1</em> to <em class="param">P2</em>.
 The facet permutation is the first component, the vertex permutation is the second component of the return value.</p><p> Only the combinatorial isomorphism is considered.
 If the polytopes are not isomorphic, an exception is thrown.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">P1</td><td><div class="descr"><div>the first cone/polytope</div></div></td></tr><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">P2</td><td><div class="descr"><div>the second cone/polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Pair" onclick="unfold('span:Pair');">Pair&lt;Array&lt;Int&gt;, Array&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>the facet and the vertex permutations</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:included_polyhedra" onclick="swap_content('span:included_polyhedra'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="included_polyhedra" onclick="swap_content('span:included_polyhedra'); return false;"><b>included_polyhedra</b></a>
			(P1, P2)  

			
				→ Bool<div style="display: inline" id="span:included_polyhedra" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Tests if polyhedron <em class="param">P1</em> is included in polyhedron <em class="param">P2</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P1</td><td><div class="descr"><div>the first polytope</div></div></td></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P2</td><td><div class="descr"><div>the second polytope</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>Prints information on the difference between P1 and P2 if none is included in the other.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td><div class="descr"><div>'true' if <em class="param">P1</em> is included in <em class="param">P2</em>, 'false' otherwise</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print included_polyhedra(simplex(3),cube(3));</code><code> 1</code> To see in what way the two polytopes differ, try this:<code>&gt; print included_polyhedra(cube(2),cube(3),verbose=&gt;1);</code><code> Cones/Polytopes do no live in the same ambient space.</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:isomorphic" onclick="swap_content('span:isomorphic'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="isomorphic" onclick="swap_content('span:isomorphic'); return false;"><b>isomorphic</b></a>
			(P1, P2)  

			
				→ Bool<div style="display: inline" id="span:isomorphic" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check whether the face lattices of two cones or polytopes are isomorphic.
 The problem is reduced to graph isomorphism of the vertex-facet incidence graphs.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">P1</td><td><div class="descr"><div>the first cone/polytope</div></div></td></tr><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">P2</td><td><div class="descr"><div>the second cone/polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td><div class="descr"><div>'true' if the face lattices are isomorphic, 'false' otherwise</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following compares the standard 2-cube with a polygon generated as
 the convex hull of five points.  The return value is true since both polygons are
 quadrangles.<code>&gt; $p = new Polytope(POINTS=&gt;[[1,-1,-1],[1,1,-1],[1,-1,1],[1,1,1],[1,0,0]]);</code><code>&gt; print isomorphic(cube(2),$p);</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:lattice_isomorphic_smooth_polytopes" onclick="swap_content('span:lattice_isomorphic_smooth_polytopes'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="lattice_isomorphic_smooth_polytopes" onclick="swap_content('span:lattice_isomorphic_smooth_polytopes'); return false;"><b>lattice_isomorphic_smooth_polytopes</b></a>
			(P1, P2)  

			
				→ Bool<div style="display: inline" id="span:lattice_isomorphic_smooth_polytopes" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Tests whether two smooth lattice polytopes are lattice equivalent
 by comparing lattice distances between vertices and facets. </p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P1</td><td><div class="descr"><div>the first lattice polytope</div></div></td></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P2</td><td><div class="descr"><div>the second lattice polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td><div class="descr"><div>'true' if the polytopes are lattice equivalent, 'false' otherwise</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $t = new Vector(2,2);</code><code>&gt; print lattice_isomorphic_smooth_polytopes(cube(2),translate(cube(2),$t));</code><code> 1</code></div></li></ul></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Consistency_check" onclick="swap_content('span:functions__Consistency_check'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Consistency_check" onclick="swap_content('span:functions__Consistency_check'); return false;"><span class="category">Consistency check</span></a></h3></div><div style="display: inline" id="span:functions__Consistency_check" class="foldit"><div class="descr"><p> These functions are for checking the consistency of some properties.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:check_inc" onclick="swap_content('span:check_inc'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="check_inc" onclick="swap_content('span:check_inc'); return false;"><b>check_inc</b></a>
			(points, hyperplanes, sign, verbose)  

			
				→ Bool<div style="display: inline" id="span:check_inc" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check coordinate data. For each pair of vectors from two given matrices
 their inner product must satisfy the given relation.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td/></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">hyperplanes</td><td/></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">sign</td><td><div class="descr"><div>composed of one or two characters from [-+0], representing the
  allowed domain of the vector inner products.</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>print all products violating the required relation</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td><div class="descr"><div>'true' if all relations are satisfied, 'false' otherwise</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Let's check which vertices of the square lie in its zeroth facet:<code>&gt; $H = cube(2)-&gt;FACETS-&gt;minor([0],All);</code><code>&gt; print check_inc(cube(2)-&gt;VERTICES,$H,'0',1);</code><code> &lt;1,0&gt;   ( 1 1 -1 ) * [ 1 1 0 ] == 2</code><code> &lt;3,0&gt;   ( 1 1 1 ) * [ 1 1 0 ] == 2</code><code> number of points==4, number of hyperplanes==1, -:0, 0:2, +:2, total:4</code> Thus, the first and third vertex don't lie on the hyperplane defined by the facet
 but on the positive side of it, and the remaining two lie on the hyperplane.</div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:check_poly" onclick="swap_content('span:check_poly'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="check_poly" onclick="swap_content('span:check_poly'); return false;"><b>check_poly</b></a>
			(VIF)  

			
				→ Polytope<div style="display: inline" id="span:check_poly" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Try to check whether a given vertex-facet incidence matrix <em class="param">VIF</em> defines a polytope.
 Note that a successful certification by check_poly is <strong>not sufficient</strong>
 to determine whether an incidence matrix actually defines a polytope.
 Think of it as a plausibility check.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td class="param">VIF</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">dual</td><td><div class="descr"><div>transposes the incidence matrix</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>prints information about the check.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td><div class="descr"><div>the resulting polytope under the assumption that <em class="param">VIF</em> actually defines a polytope</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:validate_moebius_strip" onclick="swap_content('span:validate_moebius_strip'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="validate_moebius_strip" onclick="swap_content('span:validate_moebius_strip'); return false;"><b>validate_moebius_strip</b></a>
			(P)  

			
				→ Bool<div style="display: inline" id="span:validate_moebius_strip" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Validates the output of the client <a href="#edge_orientable" onclick="unfold('span:edge_orientable');">edge_orientable</a>,
 in particular it checks whether the <a href="#Polytope__MOEBIUS_STRIP_EDGES" onclick="unfold('span:Polytope__MOEBIUS_STRIP_EDGES');">MOEBIUS_STRIP_EDGES</a>
 form a Moebius strip with parallel opposite edges.
 Prints a message to stdout.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the given polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td><div class="descr"><div>'true' if the Moebius strip edges form such a Moebius strip, 'false' otherwise</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:validate_moebius_strip_quads" onclick="swap_content('span:validate_moebius_strip_quads'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="validate_moebius_strip_quads" onclick="swap_content('span:validate_moebius_strip_quads'); return false;"><b>validate_moebius_strip_quads</b></a>
			(P)  

			
				→ Matrix&lt;Int&gt;<div style="display: inline" id="span:validate_moebius_strip_quads" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether the <a href="#Polytope__MOEBIUS_STRIP_QUADS" onclick="unfold('span:Polytope__MOEBIUS_STRIP_QUADS');">MOEBIUS_STRIP_QUADS</a>
 form a Moebius strip with parallel opposite edges.
 Prints a message to stdout and
 returns the <a href="#Polytope__MOEBIUS_STRIP_EDGES" onclick="unfold('span:Polytope__MOEBIUS_STRIP_EDGES');">MOEBIUS_STRIP_EDGES</a>
 if the answer is affirmative.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the given polytope</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>print details</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Int&gt;</a></td><td><div class="descr"><div>the Moebius strip edges</div></div></td></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Coordinate_conversions" onclick="swap_content('span:functions__Coordinate_conversions'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Coordinate_conversions" onclick="swap_content('span:functions__Coordinate_conversions'); return false;"><span class="category">Coordinate conversions</span></a></h3></div><div style="display: inline" id="span:functions__Coordinate_conversions" class="foldit"><div class="descr"><p> The following functions allow for the conversion of the coordinate type of cones and polytopes.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:affine_float_coords" onclick="swap_content('span:affine_float_coords'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="affine_float_coords" onclick="swap_content('span:affine_float_coords'); return false;"><b>affine_float_coords</b></a>
			(P)  

			
				→ Matrix&lt;Float&gt;<div style="display: inline" id="span:affine_float_coords" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Dehomogenize the <a href="#SchlegelDiagram__VERTICES" onclick="unfold('span:SchlegelDiagram__VERTICES');">vertex coordinates</a> and convert them to Float</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>source object</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Float&gt;</a></td><td><div class="descr"><div>the dehomogenized vertices converted to Float</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print cube(2,1/2)-&gt;VERTICES;</code><code> 1 -1/2 -1/2</code><code> 1 1/2 -1/2</code><code> 1 -1/2 1/2</code><code> 1 1/2 1/2</code><code>&gt; print affine_float_coords(cube(2,1/2));</code><code> -0.5 -0.5</code><code> 0.5 -0.5</code><code> -0.5 0.5</code><code> 0.5 0.5</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:convert_to__Cone" onclick="swap_content('span:convert_to__Cone'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="convert_to__Cone" onclick="swap_content('span:convert_to__Cone'); return false;"><b>convert_to</b></a>
			&lt;Coord&gt;
		 
			(c)  

			
				→ Cone&lt;Coord&gt;<div style="display: inline" id="span:convert_to__Cone" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a new Cone object with different coordinate type
 target coordinate type <em class="param">Coord</em> must be specified in angle brackets
 e.g. $new_cone = convert_to&lt;Coord&gt;($cone)</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td><div class="descr"><div>target coordinate type</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">c</td><td><div class="descr"><div>the input cone</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone&lt;Coord&gt;</a></td><td><div class="descr"><div>a new cone object or <em class="param">C</em> itself it has the requested type</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:convert_to__Polytope" onclick="swap_content('span:convert_to__Polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="convert_to__Polytope" onclick="swap_content('span:convert_to__Polytope'); return false;"><b>convert_to</b></a>
			&lt;Coord&gt;
		 
			(P)  

			
				→ Polytope&lt;Coord&gt;<div style="display: inline" id="span:convert_to__Polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> provide a Polytope object with desired coordinate type</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td><div class="descr"><div>target coordinate type</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>source object</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Coord&gt;</a></td><td><div class="descr"><div><em class="param">P</em> if it already has the requested type, a new object otherwise</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print cube(2)-&gt;type-&gt;full_name;</code><code> Polytope&lt;Rational&gt;</code><code>&gt; $pf = convert_to&lt;Float&gt;(cube(2));</code><code>&gt; print $pf-&gt;type-&gt;full_name;</code><code> Polytope&lt;Float&gt;</code></div></li></ul></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Finite_metric_spaces" onclick="swap_content('span:functions__Finite_metric_spaces'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Finite_metric_spaces" onclick="swap_content('span:functions__Finite_metric_spaces'); return false;"><span class="category">Finite metric spaces</span></a></h3></div><div style="display: inline" id="span:functions__Finite_metric_spaces" class="foldit"><div class="descr"><p> Tight spans and their conections to polyhedral geometry</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:max_metric" onclick="swap_content('span:max_metric'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="max_metric" onclick="swap_content('span:max_metric'); return false;"><b>max_metric</b></a>
			(n)  

			
				→ Matrix<div style="display: inline" id="span:max_metric" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute a metric such that the f-vector of its tight span is maximal among all metrics with <em class="param">n</em> points.
</p><blockquote><div> S. Herrmann and M. Joswig: Bounds on the f-vectors of tight spans.</div><div> Contrib. Discrete Math., Vol.2, 2007 161-184</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of points</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To compute the max-metric of four points and display the f-vector of its tight span, do this:<code>&gt; $M = max_metric(5);</code><code>&gt; $w = new Vector(1,1,1,2,3);</code><code>&gt; print tight_span($M,$w)-&gt;F_VECTOR;</code><code> 6 15 20 15 6</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:min_metric" onclick="swap_content('span:min_metric'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="min_metric" onclick="swap_content('span:min_metric'); return false;"><b>min_metric</b></a>
			(n)  

			
				→ Matrix<div style="display: inline" id="span:min_metric" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute a metric such that the f-vector of its tight span is minimal among all metrics with <em class="param">n</em> points.
</p><blockquote><div> S. Herrmann and M. Joswig: Bounds on the f-vectors of tight spans.</div><div> Contrib. Discrete Math., Vol.2, 2007 161-184</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of points</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To compute the min-metric of four points and display the f-vector of its tight span, do this:<code>&gt; $M = min_metric(5);</code><code>&gt; $w = new Vector(1,1,1,2,3);</code><code>&gt; print tight_span($M,$w)-&gt;F_VECTOR;</code><code> 6 15 20 15 6</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:thrackle_metric" onclick="swap_content('span:thrackle_metric'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="thrackle_metric" onclick="swap_content('span:thrackle_metric'); return false;"><b>thrackle_metric</b></a>
			(n)  

			
				→ Matrix<div style="display: inline" id="span:thrackle_metric" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute a metric such that the f-vector of its tight span is maximal among all metrics with <em class="param">n</em> points.
 This metric can be interpreted as a lifting function for the thrackle triangulation (see de Loera,
 Sturmfels and Thomas: Groebner Basis and triangultaions of the second hypersimplex)</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of points</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:tight_span__Matrix__Vector__Bool" onclick="swap_content('span:tight_span__Matrix__Vector__Bool'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="tight_span__Matrix__Vector__Bool" onclick="swap_content('span:tight_span__Matrix__Vector__Bool'); return false;"><b>tight_span</b></a>
			(points, weight, full)  

			
				→ Polytope<div style="display: inline" id="span:tight_span__Matrix__Vector__Bool" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the tight span dual to the regular subdivision
 obtained by lifting <em class="param">points</em> to <em class="param">weight</em>
 and taking the lower complex of the resulting polytope.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td/></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">weight</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">full</td><td><div class="descr"><div>true if the polytope is full-dimensional.
        Default value is 1.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td><div class="descr"><div>(The polymake object <a href="#TightSpan" onclick="unfold('span:TightSpan');">TightSpan</a> is only used for tight spans of finite metric spaces, not for tight spans of subdivisions in general.)</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This computes the tight span dual to a regular subdivision of the squares vertices.<code>&gt; $p = tight_span(cube(2)-&gt;VERTICES,new Vector(1,1,1,23));</code><code>&gt; print $p-&gt;VERTICES;</code><code> 0 1 1 0</code><code> 0 1 0 1</code><code> 1 -1 0 0</code><code> 1 -1 -11 -11</code><code> 0 1 0 -1</code><code> 0 1 -1 0</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:tight_span__Polytope" onclick="swap_content('span:tight_span__Polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="tight_span__Polytope" onclick="swap_content('span:tight_span__Polytope'); return false;"><b>tight_span</b></a>
			(P)  

			
				→ Polytope<div style="display: inline" id="span:tight_span__Polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the tight span dual to the regular subdivision of a polytope <em class="param">P</em>
 obtained by the <a href="#Cone__TRIANGULATION__WEIGHTS" onclick="unfold('span:Cone__TRIANGULATION__WEIGHTS');">WEIGHTS</a> and taking the lower complex of the resulting polytope.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td><div class="descr"><div>(The polymake object <a href="#TightSpan" onclick="unfold('span:TightSpan');">TightSpan</a> is only used for tight spans of finite metric spaces, not for tight spans of subdivisions in general.)</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following assigns a regular subdivision induced by weights to the square and then
 creates the tight span dual to it.<code>&gt; $c = cube(2);</code><code>&gt; $c-&gt;POLYTOPAL_SUBDIVISION(WEIGHTS=&gt;[1,1,1,23]);</code><code>&gt; $p = tight_span($c);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 0 1 1 0</code><code> 0 1 0 1</code><code> 1 -1 0 0</code><code> 1 -1 -11 -11</code><code> 0 1 0 -1</code><code> 0 1 -1 0</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:ts_max_metric" onclick="swap_content('span:ts_max_metric'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="ts_max_metric" onclick="swap_content('span:ts_max_metric'); return false;"><b>ts_max_metric</b></a>
			(n)  

			
				→ TightSpan<div style="display: inline" id="span:ts_max_metric" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the tight span of a metric such that its f-vector is maximal among all metrics with <em class="param">n</em> points.
</p><blockquote><div> S. Herrmann and M. Joswig: Bounds on the f-vectors of tight spans.</div><div> Contrib. Discrete Math., Vol.2, 2007 161-184</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of points</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#TightSpan" onclick="unfold('span:TightSpan');">TightSpan</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:ts_min_metric" onclick="swap_content('span:ts_min_metric'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="ts_min_metric" onclick="swap_content('span:ts_min_metric'); return false;"><b>ts_min_metric</b></a>
			(n)  

			
				→ TightSpan<div style="display: inline" id="span:ts_min_metric" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the tight span of a metric such its f-vector is minimal among all metrics with <em class="param">n</em> points.
</p><blockquote><div> S. Herrmann and M. Joswig: Bounds on the f-vectors of tight spans.</div><div> Contrib. Discrete Math., Vol.2, 2007 161-184</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of points</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#TightSpan" onclick="unfold('span:TightSpan');">TightSpan</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:ts_thrackle_metric" onclick="swap_content('span:ts_thrackle_metric'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="ts_thrackle_metric" onclick="swap_content('span:ts_thrackle_metric'); return false;"><b>ts_thrackle_metric</b></a>
			(n)  

			
				→ TightSpan<div style="display: inline" id="span:ts_thrackle_metric" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute a tight span of a metric such that its f-vector is maximal among all metrics with <em class="param">n</em> points.
 This metric can be interpreted as a lifting function for the thrackle triangulation (see de Loera,
 Sturmfels and Thomas: Groebner Basis and triangultaions of the second hypersimplex)</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of points</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#TightSpan" onclick="unfold('span:TightSpan');">TightSpan</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Geometry" onclick="swap_content('span:functions__Geometry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Geometry" onclick="swap_content('span:functions__Geometry'); return false;"><span class="category">Geometry</span></a></h3></div><div style="display: inline" id="span:functions__Geometry" class="foldit"><div class="descr"><p> These functions capture geometric information of the object. 
 Geometric properties depend on geometric information of the object, like, e.g., vertices or facets.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:all_steiner_points" onclick="swap_content('span:all_steiner_points'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="all_steiner_points" onclick="swap_content('span:all_steiner_points'); return false;"><b>all_steiner_points</b></a>
			(P)  

			
				→ Matrix<div style="display: inline" id="span:all_steiner_points" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the Steiner points of all faces of a polyhedron <em class="param">P</em> using a
 randomized approximation of the angles.
 <em class="param">P</em> must be <a href="#Polytope__BOUNDED" onclick="unfold('span:Polytope__BOUNDED');">BOUNDED</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">eps</td><td><div class="descr"><div>controls the accuracy of the angles computed</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:dihedral_angle" onclick="swap_content('span:dihedral_angle'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="dihedral_angle" onclick="swap_content('span:dihedral_angle'); return false;"><b>dihedral_angle</b></a>
			(H1, H2)  

			
				→ Float<div style="display: inline" id="span:dihedral_angle" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the dihedral angle between two (oriented) affine or linear hyperplanes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Scalar&gt;</a></td><td class="param">H1</td><td><div class="descr"><div>: first hyperplane</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Scalar&gt;</a></td><td class="param">H2</td><td><div class="descr"><div>: second hyperplane</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">deg</td><td><div class="descr"><div>output in degrees rather than radians, default is false</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">cone</td><td><div class="descr"><div>hyperplanes seen as linear hyperplanes, default is false</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $H1 = new Vector(1,5,5);</code><code>&gt; $H2 = new Vector(1,-5,5);</code><code>&gt; print dihedral_angle($H1,$H2,deg=&gt;1);</code><code> 90</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:induced_lattice_basis" onclick="swap_content('span:induced_lattice_basis'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="induced_lattice_basis" onclick="swap_content('span:induced_lattice_basis'); return false;"><b>induced_lattice_basis</b></a>
			(p)  

			
				→ Matrix&lt;Integer&gt;<div style="display: inline" id="span:induced_lattice_basis" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a basis of the affine lattice spanned by the vertices</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p</td><td><div class="descr"><div>the input polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Integer&gt;</a></td><td><div class="descr"><div>- the lattice basis.</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The vertices of the 2-simplex span all of Z^2...<code>&gt; print induced_lattice_basis(simplex(2));</code><code> 0 1 0</code><code> 0 0 1</code> ...but if we scale it with 2, we get only every second lattice point.<code>&gt; print induced_lattice_basis(scale(simplex(2),2));</code><code> 0 2 0</code><code> 0 0 2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:integer_points_bbox" onclick="swap_content('span:integer_points_bbox'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="integer_points_bbox" onclick="swap_content('span:integer_points_bbox'); return false;"><b>integer_points_bbox</b></a>
			(P)  

			
				→ Matrix&lt;Integer&gt;<div style="display: inline" id="span:integer_points_bbox" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Enumerate all integer points in the given polytope by searching a bounding box.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Integer&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $p = new Polytope(VERTICES=&gt;[[1,1.3,0.5],[1,0.2,1.2],[1,0.1,-1.5],[1,-1.4,0.2]]);</code><code>&gt; print integer_points_bbox($p);</code><code> 1 0 -1</code><code> 1 -1 0</code><code> 1 0 0</code><code> 1 1 0</code><code> 1 0 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:is_vertex" onclick="swap_content('span:is_vertex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="is_vertex" onclick="swap_content('span:is_vertex'); return false;"><b>is_vertex</b></a>
			(q, points)  

			
				→ Bool<div style="display: inline" id="span:is_vertex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether there exists a hyperplane seperating the  given point <em class="param">q</em>
 from the <em class="param">points</em> via solving a suitable LP (compare cdd redundancy check).
 If so, <em class="param">q</em> would be a new vertex of the polytope P generated by <em class="param">points</em> and <em class="param">q</em>
 that is not a vertex in the convex hull of <em class="param">points</em> alone. To get the seperating
 hyperplane, use <em class="u">seperating_hyperplane</em>
 Works without knowing the facets of P!</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">q</td><td><div class="descr"><div>the vertex (candidate) which is to be separated from <em class="param">points</em></div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td><div class="descr"><div>the points from which <em class="param">q</em> is to be separated</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td><div class="descr"><div>'true' if <em class="param">q</em> is a vertex</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $q = cube(2)-&gt;VERTICES-&gt;row(0);</code><code>&gt; $points = cube(2)-&gt;VERTICES-&gt;minor(sequence(1,3),All);</code><code>&gt; print is_vertex($q,$points);</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:minimal_vertex_angle" onclick="swap_content('span:minimal_vertex_angle'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="minimal_vertex_angle" onclick="swap_content('span:minimal_vertex_angle'); return false;"><b>minimal_vertex_angle</b></a>
			(P)  

			
				→ Float<div style="display: inline" id="span:minimal_vertex_angle" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the minimal angle between two vertices of the input polytope <em class="param">P</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print minimal_vertex_angle(simplex(3));</code><code> 3.14159265358979</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:normaliz_compute" onclick="swap_content('span:normaliz_compute'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="normaliz_compute" onclick="swap_content('span:normaliz_compute'); return false;"><b>normaliz_compute</b></a>
			(C)  

			
				→ List<div style="display: inline" id="span:normaliz_compute" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute degree one elements, Hilbert basis or Hilbert series of a cone C with libnormaliz
 Hilbert series and Hilbert h-vector depend on the given grading
 and will not work unless C is <a href="#Cone__HOMOGENEOUS" onclick="unfold('span:Cone__HOMOGENEOUS');">HOMOGENEOUS</a> or a <a href="#Cone__MONOID_GRADING" onclick="unfold('span:Cone__MONOID_GRADING');">MONOID_GRADING</a> is set</p></div><div class="descr">
			Contained in extension <code>bundled:libnormaliz</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">C</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">from_facets</td><td><div class="descr"><div>supply facets instead of rays to normaliz</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">degree_one_generators</td><td><div class="descr"><div>compute the generators of degree one, i.e. lattice points of the polytope</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">hilbert_basis</td><td><div class="descr"><div>compute Hilbert basis of the cone C</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">h_star_vector</td><td><div class="descr"><div>compute Hilbert h-vector of the cone C</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">hilbert_series</td><td><div class="descr"><div>compute Hilbert series of the monoid</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">facets</td><td><div class="descr"><div>compute support hyperplanes (=FACETS,LINEAR_SPAN)</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">rays</td><td><div class="descr"><div>compute extreme rays (=RAYS)</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">dual_algorithm</td><td><div class="descr"><div>use the dual algorithm by Pottier</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">skip_long</td><td><div class="descr"><div>do not try to use long coordinates first</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>libnormaliz debug output</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#List" onclick="unfold('span:List');">List</a></td><td><div class="descr"><div>(Matrix&lt;Integer&gt; degree one generators, Matrix&lt;Integer&gt; Hilbert basis, Vector&lt;Integer&gt; Hilbert h-vector, RationalFunction Hilbert series, Matrix&lt;Rational&gt; facets, Matrix&lt;Rational&gt; linear_span, Matrix&lt;Rational&gt; rays) (only requested items)</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:print_face_lattice" onclick="swap_content('span:print_face_lattice'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="print_face_lattice" onclick="swap_content('span:print_face_lattice'); return false;"><b>print_face_lattice</b></a>
			(VIF, dual)  

			<div style="display: inline" id="span:print_face_lattice" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Write the face lattice of a vertex-facet incidence matrix <em class="param">VIF</em> to stdout.
 If <em class="param">dual</em> is set true the face lattice of the dual is printed.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td class="param">VIF</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">dual</td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To get a nice representation of the squares face lattice, do this:<code>&gt; print_face_lattice(cube(2)-&gt;VERTICES_IN_FACETS);</code><code> FACE_LATTICE</code><code> </code><code> [ -1 : 4 ]</code><code> {{0 1} {0 2} {1 3} {2 3}}</code><code> </code><code> [ -2 : 4 ]</code><code> {{0} {1} {2} {3}}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:steiner_point" onclick="swap_content('span:steiner_point'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="steiner_point" onclick="swap_content('span:steiner_point'); return false;"><b>steiner_point</b></a>
			(P)  

			
				→ Vector<div style="display: inline" id="span:steiner_point" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the Steiner point of a polyhedron <em class="param">P</em> using a randomized
 approximation of the angles.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">eps</td><td><div class="descr"><div>controls the accuracy of the angles computed</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:zonotope_tiling_lattice" onclick="swap_content('span:zonotope_tiling_lattice'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="zonotope_tiling_lattice" onclick="swap_content('span:zonotope_tiling_lattice'); return false;"><b>zonotope_tiling_lattice</b></a>
			(P)  

			
				→ AffineLattice<div style="display: inline" id="span:zonotope_tiling_lattice" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculates a generating set for a tiling lattice for P, 
 i.e., a lattice L such that P + L tiles the affine span of P. </p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the zonotope</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">lattice_origin_is_vertex</td><td><div class="descr"><div>true if the origin of the tiling lattice should be a vertex of P; default false, ie, the origin will be the barycenter of P</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#AffineLattice" onclick="unfold('span:AffineLattice');">AffineLattice</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This determines a tiling lattice for a parallelogram with the origin as its vertex barycenter and prints it base vectors:<code>&gt; $M = new Matrix([[1,1,0],[1,1,1]]);</code><code>&gt; $p = zonotope($M);</code><code>&gt; $A = zonotope_tiling_lattice($p);</code><code>&gt; print $A-&gt;BASIS;</code><code> 0 -1 -1</code><code> 0 0 1</code></div></li></ul></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Optimization" onclick="swap_content('span:functions__Optimization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Optimization" onclick="swap_content('span:functions__Optimization'); return false;"><span class="category">Optimization</span></a></h3></div><div style="display: inline" id="span:functions__Optimization" class="foldit"><div class="descr"><p> These functions provide tools from linear, integer and dicrete optimization. In particular, linear programs are defined here.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:core_point_algo" onclick="swap_content('span:core_point_algo'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="core_point_algo" onclick="swap_content('span:core_point_algo'); return false;"><b>core_point_algo</b></a>
			(p, optLPvalue)  

			
				→ List<div style="display: inline" id="span:core_point_algo" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Algorithm to solve highly symmetric integer linear programs (ILP).
 It is required that the group of the ILP induces the alternating or symmetric group
 on the set of coordinate directions.
 The linear objective function is the vector (0,1,1,..,1).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p</td><td/></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">optLPvalue</td><td><div class="descr"><div>optimal value of LP approximation</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#List" onclick="unfold('span:List');">List</a></td><td><div class="descr"><div>(Vector&lt;Rational&gt; optimal solution, Rational optimal value) may be empty</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:core_point_algo_Rote" onclick="swap_content('span:core_point_algo_Rote'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="core_point_algo_Rote" onclick="swap_content('span:core_point_algo_Rote'); return false;"><b>core_point_algo_Rote</b></a>
			(p, optLPvalue)  

			
				→ List<div style="display: inline" id="span:core_point_algo_Rote" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Version of core_point_algo with improved running time
 (according to a suggestion by G. Rote).
 The core_point_algo is an algorithm to solve highly symmetric integer linear programs (ILP).
 It is required that the group of the ILP induces the alternating or symmetric group
 on the set of coordinate directions.
 The linear objective function is the vector (0,1,1,..,1).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p</td><td/></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">optLPvalue</td><td><div class="descr"><div>optimal value of LP approximation</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#List" onclick="unfold('span:List');">List</a></td><td><div class="descr"><div>(Vector&lt;Rational&gt; optimal solution, Rational optimal value) may be empty</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:find_transitive_lp_sol" onclick="swap_content('span:find_transitive_lp_sol'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="find_transitive_lp_sol" onclick="swap_content('span:find_transitive_lp_sol'); return false;"><b>find_transitive_lp_sol</b></a>
			(Inequalities)  

			
				→ List<div style="display: inline" id="span:find_transitive_lp_sol" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Algorithm to solve symmetric linear programs (LP) of the form
 max c<sup>t</sup>x , c=(0,1,1,..,1)
 subject to the inequality system given by <em class="param">Inequalities</em>.
 It is required that the symmetry group of the LP acts transitively
 on the coordinate directions.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">Inequalities</td><td><div class="descr"><div>the inequalities describing the feasible region</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#List" onclick="unfold('span:List');">List</a></td><td><div class="descr"><div>(Vector&lt;Rational&gt; optimal solution, Rational optimal value, Bool feasible, Bool max_bounded)</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Consider the LP described by the facets of the 3-cube:<code>&gt; print find_transitive_lp_sol(cube(3)-&gt;FACETS);</code><code> 1 1 1 1311</code> The optimal solution is [1,1,1,1], its value under c is 3, and the LP is feasible and bounded in direction of c.</div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:inner_point" onclick="swap_content('span:inner_point'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="inner_point" onclick="swap_content('span:inner_point'); return false;"><b>inner_point</b></a>
			(points)  

			
				→ Vector<div style="display: inline" id="span:inner_point" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute a true inner point of a convex hull of the given set of <em class="param">points</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To print an inner point of the square, do this:<code>&gt; print inner_point(cube(2)-&gt;VERTICES);</code><code>1 -1/3 -1/3</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:lp2poly" onclick="swap_content('span:lp2poly'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="lp2poly" onclick="swap_content('span:lp2poly'); return false;"><b>lp2poly</b></a>
			&lt;Scalar&gt;
		 
			(file, testvec, prefix)  

			
				→ Polytope&lt;Scalar&gt;<div style="display: inline" id="span:lp2poly" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Read a linear programming problem given in LP-Format (as used by cplex &amp; Co.)
 and convert it to a <a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a> object.</p><p> <strong>WARNING</strong> The property FEASIBLE is <strong>NOT</strong> computed upon creation.
 This is done to avoid possibly long computation times before the object becomes available to the caller.
 This is <strong>NOT</strong> in keeping with standard practice in polymake, but after, all, these are linear programs
 and not polytopes.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>coordinate type of the resulting polytope; default is <a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a>.</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">file</td><td><div class="descr"><div>filename of a linear programming problem in LP-Format</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">testvec</td><td><div class="descr"><div>If present, after reading in each line of the LP it is checked whether testvec fulfills it</div></div></td></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">prefix</td><td><div class="descr"><div>If testvec is present, all variables in the LP file are assumed to have the form $prefix$i</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">nocheck</td><td><div class="descr"><div>Do not automatically compute <a href="#Polytope__FEASIBLE" onclick="unfold('span:Polytope__FEASIBLE');">FEASIBLE</a> for the polytope (recommended for very large LPs)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:poly2lp" onclick="swap_content('span:poly2lp'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="poly2lp" onclick="swap_content('span:poly2lp'); return false;"><b>poly2lp</b></a>
			(P, LP, maximize, file)  

			<div style="display: inline" id="span:poly2lp" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert a polymake description of a polyhedron to LP format (as used by CPLEX and
 other linear problem solvers) and write it to standard output or to a <em class="param">file</em>.
 If <em class="param">LP</em> comes with an attachment 'INTEGER_VARIABLES' (of type Array&lt;Bool&gt;),
 the output will contain an additional section 'GENERAL',
 allowing for IP computations in CPLEX.
 If the polytope is not FEASIBLE, the function will throw a runtime error.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td class="param">LP</td><td><div class="descr"><div>default value: <em class="param">P</em>-&gt;LP</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">maximize</td><td><div class="descr"><div>produces a maximization problem; default value: 0 (minimize)</div></div></td></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">file</td><td><div class="descr"><div>default value: standard output</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:poly2porta" onclick="swap_content('span:poly2porta'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="poly2porta" onclick="swap_content('span:poly2porta'); return false;"><b>poly2porta</b></a>
			(p, file)  

			<div style="display: inline" id="span:poly2porta" class="foldit"><br/><div class="descr_func"><div class="descr"><p> take a rational polytope and write a porta input file (.ieq or .poi)</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope__specializations__Polytope_Rational" onclick="unfold('span:Polytope__specializations__Polytope_Rational');">Polytope&lt;Rational&gt;</a></td><td class="param">p</td><td/></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">file</td><td><div class="descr"><div>filename for the porta file (.ieq or .poi) or an open IO handle</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">primal</td><td><div class="descr"><div>true if points should be written, false if inequalities should be written (default is true)</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:porta2poly" onclick="swap_content('span:porta2poly'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="porta2poly" onclick="swap_content('span:porta2poly'); return false;"><b>porta2poly</b></a>
			(file)  

			
				→ Polytope&lt;Rational&gt;<div style="display: inline" id="span:porta2poly" class="foldit"><br/><div class="descr_func"><div class="descr"><p>  Read an .ieq or .poi file (porta input) or .poi.ieq or .ieq.poi (porta output)
  and convert it to a <a href="#Polytope__specializations__Polytope_Rational" onclick="unfold('span:Polytope__specializations__Polytope_Rational');">Polytope&lt;Rational&gt;</a> object</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">file</td><td><div class="descr"><div>filename of a porta file (.ieq or .poi)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope__specializations__Polytope_Rational" onclick="unfold('span:Polytope__specializations__Polytope_Rational');">Polytope&lt;Rational&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:print_constraints" onclick="swap_content('span:print_constraints'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="print_constraints" onclick="swap_content('span:print_constraints'); return false;"><b>print_constraints</b></a>
			(C)  

			<div style="display: inline" id="span:print_constraints" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Write the <a href="#Cone__FACETS" onclick="unfold('span:Cone__FACETS');">FACETS</a> / <a href="#Polytope__INEQUALITIES" onclick="unfold('span:Polytope__INEQUALITIES');">INEQUALITIES</a> and the <a href="#VectorConfiguration__LINEAR_SPAN" onclick="unfold('span:VectorConfiguration__LINEAR_SPAN');">LINEAR_SPAN</a> / <a href="#Polytope__EQUATIONS" onclick="unfold('span:Polytope__EQUATIONS');">EQUATIONS</a> (if present)
 of a polytope <em class="param">P</em> or cone <em class="param">C</em> in a readable way.
 <a href="#Cone__COORDINATE_LABELS" onclick="unfold('span:Cone__COORDINATE_LABELS');">COORDINATE_LABELS</a> are adopted if present.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone&lt;Scalar&gt;</a></td><td class="param">C</td><td><div class="descr"><div>the given polytope or cone</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td class="param">ineq_labels</td><td><div class="descr"><div>changes the labels of the inequality rows</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;String&gt;</a></td><td class="param">eq_labels</td><td><div class="descr"><div>changes the labels of the equation rows</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following prints the facet inequalities of the square, changing the labels.<code>&gt; print_constraints(cube(2),ineq_labels=&gt;['zero','one','two','three']);</code><code> Facets:</code><code> zero: x1 &gt;= -1</code><code> one: -x1 &gt;= -1</code><code> two: x2 &gt;= -1</code><code> three: -x2 &gt;= -1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:random_edge_epl" onclick="swap_content('span:random_edge_epl'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="random_edge_epl" onclick="swap_content('span:random_edge_epl'); return false;"><b>random_edge_epl</b></a>
			(G)  

			
				→ Vector&lt;Rational&gt;<div style="display: inline" id="span:random_edge_epl" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes a vector containing the expected path length to the maximum
 for each vertex of a directed graph <em class="param">G</em>.
 The random edge pivot rule is applied.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph__specializations__Graph_Directed" onclick="unfold('span:Graph__specializations__Graph_Directed');">Graph&lt;Directed&gt;</a></td><td class="param">G</td><td><div class="descr"><div>a directed graph</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Rational&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:rand_aof" onclick="swap_content('span:rand_aof'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="rand_aof" onclick="swap_content('span:rand_aof'); return false;"><b>rand_aof</b></a>
			(P, start)  

			
				→ Vector&lt;Rational&gt;<div style="display: inline" id="span:rand_aof" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a random abstract objective function on a given <em class="u">simple</em> polytope <em class="param">P</em>.
 It is assumed that the boundary complex of the dual polytope is extendibly shellable.
 If, during the computation, it turns out that a certain partial shelling cannot be extended,
 then this is given instead of an abstract objective function.
 It is possible (but not required) to specify the index of the starting vertex <em class="param">start</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>a <em class="u">simple</em> polytope</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">start</td><td><div class="descr"><div>the index of the starting vertex; default value: random</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome. </div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Rational&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:separating_hyperplane__Vector__Matrix" onclick="swap_content('span:separating_hyperplane__Vector__Matrix'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="separating_hyperplane__Vector__Matrix" onclick="swap_content('span:separating_hyperplane__Vector__Matrix'); return false;"><b>separating_hyperplane</b></a>
			(q, points)  

			
				→ List<div style="display: inline" id="span:separating_hyperplane__Vector__Matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes (the normal vector of) a hyperplane which separates a given point <em class="param">q</em>
 from <em class="param">points</em> via solving a suitable LP. The scalar product of the normal vector
 of the separating hyperplane and a point in <em class="param">points</em> is greater or equal than 0
 (same behavior as for facets!).
 If <em class="param">q</em> is not a vertex of P=conv(<em class="param">points</em>,<em class="param">q</em>),
 the function returns a zero vector and sets <em class="param">answer</em> to 'false'.
 Works without knowing the facets of P!</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">q</td><td><div class="descr"><div>the vertex (candidate) which is to be separated from <em class="param">points</em></div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td><div class="descr"><div>the points from which <em class="param">q</em> is to be separated</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#List" onclick="unfold('span:List');">List</a></td><td><div class="descr"><div>(Bool answer, Vector sep_hyp)</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following stores the result in the List @r and then prints the answer and
 a description of the hyperplane separating the zeroth vertex of the square from the others.<code>&gt; $q = cube(2)-&gt;VERTICES-&gt;row(0);</code><code>&gt; $points = cube(2)-&gt;VERTICES-&gt;minor(sequence(1,3),All);</code><code>&gt; @r = separating_hyperplane($q,$points);</code><code>&gt; print $r[0];</code><code> 1</code><code>&gt; print $r[1];</code><code> 0 1/2 1/2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:separating_hyperplane__Polytope__Polytope" onclick="swap_content('span:separating_hyperplane__Polytope__Polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="separating_hyperplane__Polytope__Polytope" onclick="swap_content('span:separating_hyperplane__Polytope__Polytope'); return false;"><b>separating_hyperplane</b></a>
			(p1, p2)  

			
				→ Vector<div style="display: inline" id="span:separating_hyperplane__Polytope__Polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes (the normal vector of) a hyperplane which separates two given polytopes
 <em class="param">p1</em> and <em class="param">p2</em> if possible.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p1</td><td><div class="descr"><div>the first polytope</div></div></td></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p2</td><td><div class="descr"><div>the second polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td><div class="descr"><div>a hyperplane separating <em class="param">p1</em> from <em class="param">p2</em></div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:totally_dual_integral" onclick="swap_content('span:totally_dual_integral'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="totally_dual_integral" onclick="swap_content('span:totally_dual_integral'); return false;"><b>totally_dual_integral</b></a>
			(inequalities)  

			
				→ Bool<div style="display: inline" id="span:totally_dual_integral" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks weather a given system of inequalities is totally dual integral or not.
 The inequalities should describe a full dimensional polyhedron</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">inequalities</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print totally_dual_integral(cube(2)-&gt;FACETS);</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:vertex_colors" onclick="swap_content('span:vertex_colors'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="vertex_colors" onclick="swap_content('span:vertex_colors'); return false;"><b>vertex_colors</b></a>
			(P, LP)  

			
				→ Array&lt;RGB&gt;<div style="display: inline" id="span:vertex_colors" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate RGB-color-values for each vertex depending on a linear or abstract objective function.
 Maximal and minimal affine vertices are colored as specified.  Far vertices (= rays) orthogonal
 to the linear function normal vector are white.  The colors for other affine vertices
 are linearly interpolated in the HSV color model.</p><p> If the objective function is linear and the corresponding LP problem is unbounded, then
 the affine vertices that would become optimal after the removal of the rays are painted pale.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td class="param">LP</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#RGB" onclick="unfold('span:RGB');">RGB</a></td><td class="param">min</td><td><div class="descr"><div>the minimal RGB value</div></div></td></tr><tr><td><a href="common.html#RGB" onclick="unfold('span:RGB');">RGB</a></td><td class="param">max</td><td><div class="descr"><div>the maximal RGB value</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;RGB&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This calculates a vertex coloring with respect to a linear program. For a better visualization,
 we also set the vertex thickness to 2.<code>&gt; $p = cube(3);</code><code>&gt; $p-&gt;LP(LINEAR_OBJECTIVE=&gt;[0,1,2,3]);</code><code>&gt; $v = vertex_colors($p,$p-&gt;LP);</code><code>&gt; $p-&gt;VISUAL(VertexColor=&gt;$v,VertexThickness=&gt;2);</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:write_foldable_max_signature_ilp" onclick="swap_content('span:write_foldable_max_signature_ilp'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="write_foldable_max_signature_ilp" onclick="swap_content('span:write_foldable_max_signature_ilp'); return false;"><b>write_foldable_max_signature_ilp</b></a>
			(P, outfile_name)  

			<div style="display: inline" id="span:write_foldable_max_signature_ilp" class="foldit"><br/><div class="descr_func"><div class="descr"><p> construct a linear program whose optimal value is an upper bound for the algebraic signature of 
 a triangulation of P.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">outfile_name</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:write_simplexity_ilp" onclick="swap_content('span:write_simplexity_ilp'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="write_simplexity_ilp" onclick="swap_content('span:write_simplexity_ilp'); return false;"><b>write_simplexity_ilp</b></a>
			(P, outfile_name)  

			<div style="display: inline" id="span:write_simplexity_ilp" class="foldit"><br/><div class="descr_func"><div class="descr"><p> construct a linear program whose optimal value is a lower bound for the minimal number of simplices
 in a triangulation of P.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">outfile_name</td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:write_symmetrized_simplexity_ilp" onclick="swap_content('span:write_symmetrized_simplexity_ilp'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="write_symmetrized_simplexity_ilp" onclick="swap_content('span:write_symmetrized_simplexity_ilp'); return false;"><b>write_symmetrized_simplexity_ilp</b></a>
			(P, outfile_name)  

			<div style="display: inline" id="span:write_symmetrized_simplexity_ilp" class="foldit"><br/><div class="descr_func"><div class="descr"><p> construct a linear program whose optimal value is a lower bound for the minimal number of simplices
 in a triangulation of P.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">outfile_name</td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Other" onclick="swap_content('span:functions__Other'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Other" onclick="swap_content('span:functions__Other'); return false;"><span class="category">Other</span></a></h3></div><div style="display: inline" id="span:functions__Other" class="foldit"><div class="descr"><p> Special purpose functions.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:edge_orientable" onclick="swap_content('span:edge_orientable'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="edge_orientable" onclick="swap_content('span:edge_orientable'); return false;"><b>edge_orientable</b></a>
			(P)  

			<div style="display: inline" id="span:edge_orientable" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether a 2-cubical polytope <em class="param">P</em> is <em class="u">edge-orientable</em> 
 (in the sense of Hetyei), that means that there exits an orientation 
 of the edges such that for each 2-face the opposite edges point 
 in the same direction.
 It produces the certificates <a href="#Polytope__EDGE_ORIENTATION" onclick="unfold('span:Polytope__EDGE_ORIENTATION');">EDGE_ORIENTATION</a> if the polytope is
 edge-orientable, or <a href="#Polytope__MOEBIUS_STRIP_EDGES" onclick="unfold('span:Polytope__MOEBIUS_STRIP_EDGES');">MOEBIUS_STRIP_EDGES</a> otherwise.
 In the latter case, 
 the output can be checked with the client <a href="#validate_moebius_strip" onclick="unfold('span:validate_moebius_strip');">validate_moebius_strip</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the given 2-cubical polytope</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:lawrence_matrix" onclick="swap_content('span:lawrence_matrix'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="lawrence_matrix" onclick="swap_content('span:lawrence_matrix'); return false;"><b>lawrence_matrix</b></a>
			(M)  

			
				→ Matrix<div style="display: inline" id="span:lawrence_matrix" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M</td><td><div class="descr"><div>Create the Lawrence matrix Lambda(M) corresponding to M.
 If <em class="param">M</em> has <em class="param">n</em> rows and <em class="param">d</em> columns, then Lambda(M) equals
 ( <em class="param">M</em>       <em class="param">I_n</em> )
 ( <em class="param">0_{n,d}</em> <em class="param">I_n</em> ).</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid_indices_of_hypersimplex_vertices" onclick="swap_content('span:matroid_indices_of_hypersimplex_vertices'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid_indices_of_hypersimplex_vertices" onclick="swap_content('span:matroid_indices_of_hypersimplex_vertices'); return false;"><b>matroid_indices_of_hypersimplex_vertices</b></a>
			()  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:matroid_indices_of_hypersimplex_vertices" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For a given matroid return the bases as a
 subset of the vertices of the hypersimplex</p></div></div><div class="level3"><h5>Options</h5><table class="args"><tr><td><a href="matroid.html#Matroid" onclick="unfold('span:Matroid');">matroid::Matroid</a></td><td class="param">m</td><td><div class="descr"><div>the matroid</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:violations" onclick="swap_content('span:violations'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="violations" onclick="swap_content('span:violations'); return false;"><b>violations</b></a>
			(P, q)  

			
				→ Set<div style="display: inline" id="span:violations" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check which relations, if any, are violated by a point.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">q</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">section</td><td><div class="descr"><div>Which section of P to test against q</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">violating_criterion</td><td><div class="descr"><div>has the options: +1 (positive values violate; this is the default), 0 (*non*zero values violate), -1 (negative values violate)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This calculates and prints the violated equations defining a square with the origin as its center and side length 2 with respect to a certain point:<code>&gt; $p = cube(2);</code><code>&gt; $v = new Vector([1,2,2]);</code><code>&gt; $S = violations($p,$v);</code><code>&gt; print $S;</code><code> {1 3}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:wronski_center_ideal" onclick="swap_content('span:wronski_center_ideal'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="wronski_center_ideal" onclick="swap_content('span:wronski_center_ideal'); return false;"><b>wronski_center_ideal</b></a>
			(L, lambda)  

			<div style="display: inline" id="span:wronski_center_ideal" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a system of polynomials which is
 necessary to check if degeneration avoids center of projection:
 compute eliminant e(s); this must not have a zero in (0,1)</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Int&gt;</a></td><td class="param">L</td><td><div class="descr"><div>lattice points</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Int&gt;</a></td><td class="param">lambda</td><td><div class="descr"><div>height function on lattice points</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:wronski_polynomial" onclick="swap_content('span:wronski_polynomial'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="wronski_polynomial" onclick="swap_content('span:wronski_polynomial'); return false;"><b>wronski_polynomial</b></a>
			(M, lambda, coeff, s)  

			<div style="display: inline" id="span:wronski_polynomial" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a Wronski polynomial of a <a href="topaz.html#SimplicialComplex__FOLDABLE" onclick="unfold('span:SimplicialComplex__FOLDABLE');">topaz::FOLDABLE</a> triangulation of a lattice polytope</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Int&gt;</a></td><td class="param">M</td><td><div class="descr"><div>points (in homogeneous coordinates); affinely span the space</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Int&gt;</a></td><td class="param">lambda</td><td><div class="descr"><div>height function on lattice points</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Rational&gt;</a></td><td class="param">coeff</td><td><div class="descr"><div>coefficients</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Rational</a></td><td class="param">s</td><td><div class="descr"><div>additional Parameter in the polynomial</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="topaz.html#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">topaz::SimplicialComplex</a></td><td class="param">triangulation</td><td><div class="descr"><div>The triangulation of the pointset corresponding to the lifting function</div></div></td></tr><tr><td><a href="common.html#Ring" onclick="unfold('span:Ring');">Ring</a></td><td class="param">ring</td><td><div class="descr"><div>the ring in which the polynomial should be</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:wronski_system" onclick="swap_content('span:wronski_system'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="wronski_system" onclick="swap_content('span:wronski_system'); return false;"><b>wronski_system</b></a>
			(M, lambda, coeff_array, s)  

			<div style="display: inline" id="span:wronski_system" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a Wronski system of a <a href="topaz.html#SimplicialComplex__FOLDABLE" onclick="unfold('span:SimplicialComplex__FOLDABLE');">topaz::FOLDABLE</a> triangulation of a lattice polytope</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Int&gt;</a></td><td class="param">M</td><td><div class="descr"><div>points (in homogeneous coordinates); affinely span the space</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Int&gt;</a></td><td class="param">lambda</td><td><div class="descr"><div>height function on lattice points</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Rational&gt;&gt;</a></td><td class="param">coeff_array</td><td><div class="descr"><div>coefficients</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Rational</a></td><td class="param">s</td><td><div class="descr"><div>additional Parameter in the polynomial</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="topaz.html#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">topaz::SimplicialComplex</a></td><td class="param">triangulation</td><td><div class="descr"><div>The triangulation of the pointset corresponding to the lifting function</div></div></td></tr><tr><td><a href="common.html#Ring" onclick="unfold('span:Ring');">Ring</a></td><td class="param">ring</td><td><div class="descr"><div>the ring in which the polynomial should be</div></div></td></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_cone" onclick="swap_content('span:functions__Producing_a_cone'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_cone" onclick="swap_content('span:functions__Producing_a_cone'); return false;"><span class="category">Producing a cone</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_cone" class="foldit"><div class="descr"><p> Various constructions of cones.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:normal_cone" onclick="swap_content('span:normal_cone'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="normal_cone" onclick="swap_content('span:normal_cone'); return false;"><b>normal_cone</b></a>
			(p, v, outer)  

			
				→ Cone<div style="display: inline" id="span:normal_cone" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the normal cone of <em class="param">p</em> at the vertex <em class="param">v</em>.
 By default this is the inner normal cone.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">v</td><td><div class="descr"><div>vertex number which is not contained in the far face</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">outer</td><td><div class="descr"><div>asks for outer normal cone.  Default value is 0 (= inner)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To compute the outer normal cone of the 3-cube, do this:<code>&gt; $c = normal_cone(cube(3),0,1);</code><code>&gt; print $c-&gt;RAYS;</code><code> -1 0 0</code><code> 0 -1 0</code><code> 0 0 -1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:recession_cone" onclick="swap_content('span:recession_cone'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="recession_cone" onclick="swap_content('span:recession_cone'); return false;"><b>recession_cone</b></a>
			(P)  

			
				→ Cone&lt;Scalar&gt;<div style="display: inline" id="span:recession_cone" class="foldit"><br/><div class="descr_func"><div class="descr"><p> retuns the recession cone (tail cone, characteristic cone) of a polytope</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td class="param">P</td><td><div class="descr"><div>polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone&lt;Scalar&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:subcone" onclick="swap_content('span:subcone'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="subcone" onclick="swap_content('span:subcone'); return false;"><b>subcone</b></a>
			(C)  

			
				→ Cone<div style="display: inline" id="span:subcone" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Make a subcone from a cone.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">C</td><td><div class="descr"><div>the input cone</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>creates an additional section <a href="#Cone__RAY_LABELS" onclick="unfold('span:Cone__RAY_LABELS');">RAY_LABELS</a>;</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_point_configuration" onclick="swap_content('span:functions__Producing_a_point_configuration'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_point_configuration" onclick="swap_content('span:functions__Producing_a_point_configuration'); return false;"><span class="category">Producing a point configuration</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_point_configuration" class="foldit"><div class="descr"><p> Constructing a point configuration, either from scratch or from existing objects.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:minkowski_sum__PointConfiguration__PointConfiguration" onclick="swap_content('span:minkowski_sum__PointConfiguration__PointConfiguration'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="minkowski_sum__PointConfiguration__PointConfiguration" onclick="swap_content('span:minkowski_sum__PointConfiguration__PointConfiguration'); return false;"><b>minkowski_sum</b></a>
			(P1, P2)  

			
				→ PointConfiguration<div style="display: inline" id="span:minkowski_sum__PointConfiguration__PointConfiguration" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the Minkowski sum of <em class="param">P1</em> and <em class="param">P2</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td class="param">P1</td><td/></tr><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td class="param">P2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $P1 = new PointConfiguration(POINTS=&gt;simplex(2)-&gt;VERTICES);</code><code>&gt; $P2 = new PointConfiguration(POINTS=&gt;[[1,1,1],[1,-1,1],[1,1,-1],[1,-1,-1],[1,0,0]]);</code><code>&gt; $m = minkowski_sum($P1,$P2);</code><code>&gt; print $m-&gt;POINTS;</code><code> 1 1 1</code><code> 1 -1 1</code><code> 1 1 -1</code><code> 1 -1 -1</code><code> 1 0 0</code><code> 1 2 1</code><code> 1 0 1</code><code> 1 2 -1</code><code> 1 0 -1</code><code> 1 1 0</code><code> 1 1 2</code><code> 1 -1 2</code><code> 1 1 0</code><code> 1 -1 0</code><code> 1 0 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:minkowski_sum__Scalar__PointConfiguration__Scalar__PointConfiguration" onclick="swap_content('span:minkowski_sum__Scalar__PointConfiguration__Scalar__PointConfiguration'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="minkowski_sum__Scalar__PointConfiguration__Scalar__PointConfiguration" onclick="swap_content('span:minkowski_sum__Scalar__PointConfiguration__Scalar__PointConfiguration'); return false;"><b>minkowski_sum</b></a>
			(lambda, P1, mu, P2)  

			
				→ PointConfiguration<div style="display: inline" id="span:minkowski_sum__Scalar__PointConfiguration__Scalar__PointConfiguration" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the polytope <em class="param">lambda</em>*<em class="param">P1</em>+<em class="param">mu</em>*<em class="param">P2</em>, where * and + are scalar multiplication
 and Minkowski addition, respectively.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">lambda</td><td/></tr><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td class="param">P1</td><td/></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">mu</td><td/></tr><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td class="param">P2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $P1 = new PointConfiguration(POINTS=&gt;simplex(2)-&gt;VERTICES);</code><code>&gt; $P2 = new PointConfiguration(POINTS=&gt;[[1,1,1],[1,-1,1],[1,1,-1],[1,-1,-1],[1,0,0]]);</code><code>&gt; $m = minkowski_sum($P1,$P2);</code><code>&gt; print $m-&gt;POINTS;</code><code> 1 3 3</code><code> 1 -3 3</code><code> 1 3 -3</code><code> 1 -3 -3</code><code> 1 0 0</code><code> 1 4 3</code><code> 1 -2 3</code><code> 1 4 -3</code><code> 1 -2 -3</code><code> 1 1 0</code><code> 1 3 4</code><code> 1 -3 4</code><code> 1 3 -2</code><code> 1 -3 -2</code><code> 1 0 1</code></div></li></ul></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_polytope_from_graphs" onclick="swap_content('span:functions__Producing_a_polytope_from_graphs'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_polytope_from_graphs" onclick="swap_content('span:functions__Producing_a_polytope_from_graphs'); return false;"><span class="category">Producing a polytope from graphs</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_polytope_from_graphs" class="foldit"><div class="descr"><p> Polytope constructions which take graphs as input.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:flow_polytope__Graph_Directed__EdgeMap_Directed_Scalar__Int__Int" onclick="swap_content('span:flow_polytope__Graph_Directed__EdgeMap_Directed_Scalar__Int__Int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="flow_polytope__Graph_Directed__EdgeMap_Directed_Scalar__Int__Int" onclick="swap_content('span:flow_polytope__Graph_Directed__EdgeMap_Directed_Scalar__Int__Int'); return false;"><b>flow_polytope</b></a>
			&lt;Scalar&gt;
		 
			(G, Arc_Bounds, source, sink)  

			
				→ Polytope<div style="display: inline" id="span:flow_polytope__Graph_Directed__EdgeMap_Directed_Scalar__Int__Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the flow polytope of a directed Graph <em class="param">G</em>=(V,E)
 with a given <em class="param">source</em> and <em class="param">sink</em>. The flow polytope has the following
 outer description:
   forall v in V-{source, sink}:
     sum_{e in E going into v} x_e
      -  sum_{e in E going out of v} x_e = 0</p><p>   sum_{e in E going into source} x_e
    -  sum_{e in E going out of source} x_e &lt;= 0</p><p>   sum_{e in E going into sink} x_e
    -  sum_{e in E going out of sink} x_e &gt;= 0</p><p>   forall e in E:
     x_e &lt;= given bound on edge e </p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph__specializations__Graph_Directed" onclick="unfold('span:Graph__specializations__Graph_Directed');">Graph&lt;Directed&gt;</a></td><td class="param">G</td><td/></tr><tr><td><a href="common.html#EdgeMap" onclick="unfold('span:EdgeMap');">EdgeMap&lt;Directed, Scalar&gt;</a></td><td class="param">Arc_Bounds</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">source</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">sink</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:flow_polytope__Graph_Directed__Array_Scalar__Int__Int" onclick="swap_content('span:flow_polytope__Graph_Directed__Array_Scalar__Int__Int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="flow_polytope__Graph_Directed__Array_Scalar__Int__Int" onclick="swap_content('span:flow_polytope__Graph_Directed__Array_Scalar__Int__Int'); return false;"><b>flow_polytope</b></a>
			&lt;Scalar&gt;
		 
			(G, Arc_Bounds, source, sink)  

			
				→ Polytope<div style="display: inline" id="span:flow_polytope__Graph_Directed__Array_Scalar__Int__Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the flow polytope of a directed Graph <em class="param">G</em>=(V,E)
 with a given <em class="param">source</em> and <em class="param">sink</em>. The flow polytope has the following
 outer description:
   forall v in V-{source, sink}:
     sum_{e in E going into v} x_e
      -  sum_{e in E going out of v} x_e = 0</p><p>   sum_{e in E going into source} x_e
    -  sum_{e in E going out of source} x_e &lt;= 0</p><p>   sum_{e in E going into sink} x_e
    -  sum_{e in E going out of sink} x_e &gt;= 0</p><p>   forall e in E:
     x_e &lt;= given bound on edge e </p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph__specializations__Graph_Directed" onclick="unfold('span:Graph__specializations__Graph_Directed');">Graph&lt;Directed&gt;</a></td><td class="param">G</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Scalar&gt;</a></td><td class="param">Arc_Bounds</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">source</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">sink</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:fractional_cut_polytope" onclick="swap_content('span:fractional_cut_polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="fractional_cut_polytope" onclick="swap_content('span:fractional_cut_polytope'); return false;"><b>fractional_cut_polytope</b></a>
			(G)  

			
				→ Polytope<div style="display: inline" id="span:fractional_cut_polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Cut polytope of an undirected graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:fractional_matching_polytope" onclick="swap_content('span:fractional_matching_polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="fractional_matching_polytope" onclick="swap_content('span:fractional_matching_polytope'); return false;"><b>fractional_matching_polytope</b></a>
			(G)  

			
				→ Polytope<div style="display: inline" id="span:fractional_matching_polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Matching polytope of an undirected graph.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:tutte_lifting" onclick="swap_content('span:tutte_lifting'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="tutte_lifting" onclick="swap_content('span:tutte_lifting'); return false;"><b>tutte_lifting</b></a>
			(G)  

			
				→ Polytope<div style="display: inline" id="span:tutte_lifting" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Let <em class="param">G</em> be a 3-connected planar graph. If the corresponding polytope
 contains a triangular facet (ie. the graph contains a non-
 separating cycle of length 3), the client produces a realization
 in R<sup>3</sup>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:weighted_digraph_polyhedron" onclick="swap_content('span:weighted_digraph_polyhedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="weighted_digraph_polyhedron" onclick="swap_content('span:weighted_digraph_polyhedron'); return false;"><b>weighted_digraph_polyhedron</b></a>
			(encoding)  

			
				→ polytope::Polytope<div style="display: inline" id="span:weighted_digraph_polyhedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Weighted digraph polyhedron of a directed graph with a weight function.
 The graph and the weight function are combined into a matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">encoding</td><td><div class="descr"><div>weighted digraph</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">polytope::Polytope</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_polytope_from_other_objects" onclick="swap_content('span:functions__Producing_a_polytope_from_other_objects'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_polytope_from_other_objects" onclick="swap_content('span:functions__Producing_a_polytope_from_other_objects'); return false;"><span class="category">Producing a polytope from other objects</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_polytope_from_other_objects" class="foldit"><div class="descr"><p> Polytope constructions which take other big objects as input.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:matroid_polytope" onclick="swap_content('span:matroid_polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid_polytope" onclick="swap_content('span:matroid_polytope'); return false;"><b>matroid_polytope</b></a>
			(m)  

			
				→ Polytope&lt;Rational&gt;<div style="display: inline" id="span:matroid_polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the matroid polytope from a matroid <em class="param">m</em>.
 Each vertex corresponds to a basis of the matroid,
 the non-bases coordinates get value 0, the bases coordinates get value 1.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="matroid.html#Matroid" onclick="unfold('span:Matroid');">matroid::Matroid</a></td><td class="param">m</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">inequalities</td><td><div class="descr"><div>also generate <a href="#Polytope__INEQUALITIES" onclick="unfold('span:Polytope__INEQUALITIES');">INEQUALITIES</a>, if <a href="graph.html#Graph__CONNECTED" onclick="unfold('span:Graph__CONNECTED');">CONNECTED</a></div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope__specializations__Polytope_Rational" onclick="unfold('span:Polytope__specializations__Polytope_Rational');">Polytope&lt;Rational&gt;</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_polytope_from_polytopes" onclick="swap_content('span:functions__Producing_a_polytope_from_polytopes'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_polytope_from_polytopes" onclick="swap_content('span:functions__Producing_a_polytope_from_polytopes'); return false;"><span class="category">Producing a polytope from polytopes</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_polytope_from_polytopes" class="foldit"><div class="descr"><p> An important way of constructing polytopes is to modify an 
 already existing polytope.</p><p> Actually, these functions don't alter the input polytope
 (it is forbidden in polymake), but create a new polytope object.</p><p> Many functions can at your choice either calculate the vertex or facet coordinates,
 or constrain themselves on the purely combinatorial description of the
 resulting polytope.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:bipyramid" onclick="swap_content('span:bipyramid'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="bipyramid" onclick="swap_content('span:bipyramid'); return false;"><b>bipyramid</b></a>
			(P, z, z_prime)  

			<div style="display: inline" id="span:bipyramid" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Make a bipyramid over a pointed polyhedron.
 The bipyramid is the convex hull of the input polyhedron <em class="param">P</em>
 and two points (<em class="param">v</em>, <em class="param">z</em>), (<em class="param">v</em>, <em class="param">z_prime</em>)
 on both sides of the affine span of <em class="param">P</em>. For bounded polyhedra, the apex projections
 <em class="param">v</em> to the affine span of <em class="param">P</em> coincide with the vertex barycenter of <em class="param">P</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">z</td><td><div class="descr"><div>distance between the vertex barycenter and the first apex,
  default value is 1.</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">z_prime</td><td><div class="descr"><div>distance between the vertex barycenter and the second apex,
  default value is -<em class="param">z</em>.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_coordinates</td><td><div class="descr"><div>: don't compute the coordinates, purely combinatorial description is produced.</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>copy the vertex labels from the original polytope,
  label the new vertices with "Apex" and "Apex'".</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Here's a way to construct the 3-dimensional cross polytope:<code>&gt; $p = bipyramid(bipyramid(cube(1)));</code><code>&gt; print equal_polyhedra($p,cross(3));</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:blending" onclick="swap_content('span:blending'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="blending" onclick="swap_content('span:blending'); return false;"><b>blending</b></a>
			(P1, v1, P2, v2)  

			
				→ Polytope<div style="display: inline" id="span:blending" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the blending of two polyhedra at simple vertices.
 This is a slightly less standard construction.
 A vertex is <em class="u">simple</em> if its vertex figure is a simplex.</p><p> Moving a vertex <em class="param">v</em> of a bounded polytope to infinity yields an unbounded polyhedron
 with all edges through <em class="param">v</em> becoming mutually parallel rays.  Do this to both
 input polytopes <em class="param">P1</em> and <em class="param">P2</em> at simple vertices <em class="param">v1</em> and <em class="param">v2</em>, respectively.
 Up to an affine transformation one can assume that the orthogonal projections
 of <em class="param">P1</em> and <em class="param">P2</em> in direction <em class="param">v1</em> and <em class="param">v2</em>, respectively, are mutually congruent.</p><p> Any bijection b from the set of edges through <em class="param">v1</em> to the edges through <em class="param">v2</em>
 uniquely defines a way of glueing the unbounded polyhedra to obtain a new bounded
 polytope, the <em class="u">blending</em> with respect to b. The bijection is specified as a <em class="param">permutation</em>
 of indices 0 1 2 etc. The default permutation is the identity.</p><p> The number of vertices of the blending is the sum of the numbers of vertices of the
 input polytopes minus 2.  The number of facets is the sum of the numbers of facets
 of the input polytopes minus the dimension.</p><p> The resulting polytope is described only combinatorially.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P1</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">v1</td><td><div class="descr"><div>the index of the first vertex</div></div></td></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P2</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">v2</td><td><div class="descr"><div>the index of the second vertex</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">permutation</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>copy vertex labels from the original polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cayley_embedding__Polytope__Polytope__Scalar__Scalar" onclick="swap_content('span:cayley_embedding__Polytope__Polytope__Scalar__Scalar'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cayley_embedding__Polytope__Polytope__Scalar__Scalar" onclick="swap_content('span:cayley_embedding__Polytope__Polytope__Scalar__Scalar'); return false;"><b>cayley_embedding</b></a>
			(P_0, P_1, t_0, t_1)  

			
				→ Polytope<div style="display: inline" id="span:cayley_embedding__Polytope__Polytope__Scalar__Scalar" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a Cayley embedding of two polytopes (one of them must be pointed).
 The vertices of the first polytope <em class="param">P_0</em> get embedded to <em class="param">(t_0,0)</em>
 and the vertices of the second polytope <em class="param">P_1</em> to <em class="param">(0,t_1)</em>.</p><p> Default values are <em class="param">t_0</em>=<em class="param">t_1</em>=1.</p><p> The option <em class="param">relabel</em> creates an additional section <a href="#Polytope__VERTEX_LABELS" onclick="unfold('span:Polytope__VERTEX_LABELS');">VERTEX_LABELS</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P_0</td><td><div class="descr"><div>the first polytope</div></div></td></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P_1</td><td><div class="descr"><div>the second polytope</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">t_0</td><td><div class="descr"><div>the extra coordinate for the vertices of <em class="param">P_0</em></div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">t_1</td><td><div class="descr"><div>the extra coordinate for the vertices of <em class="param">P_1</em></div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cayley_embedding__Polytope" onclick="swap_content('span:cayley_embedding__Polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cayley_embedding__Polytope" onclick="swap_content('span:cayley_embedding__Polytope'); return false;"><b>cayley_embedding</b></a>
			(A)  

			
				→ Polytope<div style="display: inline" id="span:cayley_embedding__Polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a Cayley embedding of an array (P1,...,Pm) of polytopes. 
 All polytopes must have the same dimension, at least one of them must be pointed, 
 and all must be defined over the same number type. 
 Each vertex <em class="param">v</em> of the <em class="param">i</em>-th polytope is embedded to <em class="param">v</em>|<em class="param">t_i e_i</em>, 
 where <em class="param">t_i</em> is the <em class="param">i</em>-th entry of the optional array <em class="param">t</em>. </p><p> The option <em class="param">relabel</em> creates an additional section <a href="#Polytope__VERTEX_LABELS" onclick="unfold('span:Polytope__VERTEX_LABELS');">VERTEX_LABELS</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">A</td><td><div class="descr"><div>the input polytopes</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Scalar&gt;</a></td><td class="param">factors</td><td><div class="descr"><div>array of scaling factors for the Cayley embedding; defaults to the all-1 vector</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cayley_polytope" onclick="swap_content('span:cayley_polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cayley_polytope" onclick="swap_content('span:cayley_polytope'); return false;"><b>cayley_polytope</b></a>
			(P_Array)  

			
				→ Polytope<div style="display: inline" id="span:cayley_polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Construct the cayley polytope of a set of pointed lattice polytopes contained in <em class="param">P_Array</em>
 which is the convex hull of P<sub>1</sub>×e<sub>1</sub>, ..., P<sub>k</sub>×e<sub>k</sub>
 where e<sub>1</sub>, ...,e<sub>k</sub> are the standard unit vectors in R<sup>k</sup>.
 In this representation the last k coordinates always add up to 1.
 The option <em class="param">proj</em> projects onto the complement of the last coordinate.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Polytope&gt;</a></td><td class="param">P_Array</td><td><div class="descr"><div>an array containing the lattice polytopes P<sub>1</sub>,...,P<sub>k</sub></div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">proj</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cells_from_subdivision" onclick="swap_content('span:cells_from_subdivision'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cells_from_subdivision" onclick="swap_content('span:cells_from_subdivision'); return false;"><b>cells_from_subdivision</b></a>
			(P, cells)  

			
				→ Polytope&lt;Scalar&gt;<div style="display: inline" id="span:cells_from_subdivision" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Extract the given <em class="param">cells</em> of the subdivision of a polyhedron and create a
 new polyhedron that has as vertices the vertices of the cells.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">cells</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>copy the vertex labels from the original polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">First we create a nice subdivision for a small polytope:<code>&gt; $p = new Polytope(VERTICES=&gt;[[1,0,0],[1,0,1],[1,1,0],[1,1,1],[1,3/2,1/2]]);</code><code>&gt; $p-&gt;POLYTOPAL_SUBDIVISION(MAXIMAL_CELLS=&gt;[[0,1,3],[1,2,3],[2,3,4]]);</code> Then we create the polytope that has as vertices the vertices from cell 1 and 2,
 while keeping their labels.<code>&gt; $c = cells_from_subdivision($p,[1,2],relabel=&gt;1);</code><code>&gt; print $c-&gt;VERTICES;</code><code> 1 0 1</code><code> 1 1 0</code><code> 1 1 1</code><code> 1 3/2 1/2</code><code>&gt; print $c-&gt;VERTEX_LABELS;</code><code> 1 2 3 4</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cell_from_subdivision" onclick="swap_content('span:cell_from_subdivision'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cell_from_subdivision" onclick="swap_content('span:cell_from_subdivision'); return false;"><b>cell_from_subdivision</b></a>
			(P, cell)  

			
				→ Polytope<div style="display: inline" id="span:cell_from_subdivision" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Extract the given <em class="param">cell</em> of the subdivision of a polyhedron and write it as a new polyhedron.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">cell</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>copy the vertex labels from the original polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">First we create a nice subdivision for our favourite 2-polytope, the square:<code>&gt; $p = cube(2);</code><code>&gt; $p-&gt;POLYTOPAL_SUBDIVISION(MAXIMAL_CELLS=&gt;[[0,1,3],[1,2,3]]);</code> Then we extract the 0-th cell, copying the vertex labels.<code>&gt; $c = cell_from_subdivision($p,0,relabel=&gt;1);</code><code>&gt; print $c-&gt;VERTICES;</code><code> 1 1 -1</code><code> 1 -1 1</code><code> 1 1 1</code><code>&gt; print $c-&gt;VERTEX_LABELS;</code><code> 1 2 3</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:conv" onclick="swap_content('span:conv'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="conv" onclick="swap_content('span:conv'); return false;"><b>conv</b></a>
			(P_Array)  

			
				→ PropagatedPolytope<div style="display: inline" id="span:conv" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Construct a new polyhedron as the convex hull of the polyhedra
 given in <em class="param">P_Array</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Polytope&gt;</a></td><td class="param">P_Array</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PropagatedPolytope" onclick="unfold('span:PropagatedPolytope');">PropagatedPolytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:dual_linear_program" onclick="swap_content('span:dual_linear_program'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="dual_linear_program" onclick="swap_content('span:dual_linear_program'); return false;"><b>dual_linear_program</b></a>
			(P, maximize)  

			
				→ Polytope<div style="display: inline" id="span:dual_linear_program" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the dual linear program for a given linear program of the form min {cx | Ax &gt;= b, Bx = d}.
 Here (A,b) are given by the FACETS (or the INEQAULITIES), and (B,d) are given by the AFFINE_HULL
 (or by the EQUATIONS) of the polytope P, while the objective function c comes from an LP subobject.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>= {x | Ax &gt;= b, Bx = d}</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">maximize</td><td><div class="descr"><div>tells if the primal lp is a maximization problem. Default value is 0 (= minimize)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:edge_middle" onclick="swap_content('span:edge_middle'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="edge_middle" onclick="swap_content('span:edge_middle'); return false;"><b>edge_middle</b></a>
			(P)  

			
				→ Polytope<div style="display: inline" id="span:edge_middle" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the convex hull of all edge middle points of some polytope <em class="param">P</em>.
 The polytope must be <a href="#Polytope__BOUNDED" onclick="unfold('span:Polytope__BOUNDED');">BOUNDED</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:facet" onclick="swap_content('span:facet'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="facet" onclick="swap_content('span:facet'); return false;"><b>facet</b></a>
			(P, facet)  

			
				→ Cone<div style="display: inline" id="span:facet" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Extract the given <em class="param">facet</em> of a polyhedron and write it as a new polyhedron.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">facet</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_coordinates</td><td><div class="descr"><div>don't copy the coordinates, produce purely combinatorial description.</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>copy the vertex labels from the original polytope.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To create a cone from the vertices of the zeroth facet of the 3-cube, type this:<code>&gt; $p = facet(cube(3),0);</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:facet_to_infinity" onclick="swap_content('span:facet_to_infinity'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="facet_to_infinity" onclick="swap_content('span:facet_to_infinity'); return false;"><b>facet_to_infinity</b></a>
			(P, i)  

			
				→ Polytope<div style="display: inline" id="span:facet_to_infinity" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Make an affine transformation such that the i-th facet is transformed to infinity</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">i</td><td><div class="descr"><div>the facet index</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This generates the polytope that is the positive quadrant in 2-space:<code>&gt; $p = new Polytope(VERTICES=&gt;[[1,-1,-1],[1,0,1],[1,1,0]]);</code><code>&gt; $pf = facet_to_infinity($q,2);</code><code>&gt; print $pf-&gt;VERTICES;</code><code> 1 0 0</code><code> 0 0 1</code><code> 0 1 0</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:free_sum" onclick="swap_content('span:free_sum'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="free_sum" onclick="swap_content('span:free_sum'); return false;"><b>free_sum</b></a>
			(P1, P2)  

			
				→ Polytope<div style="display: inline" id="span:free_sum" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Construct a new polyhedron as the free sum of two given bounded ones.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P1</td><td/></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P2</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">force_centered</td><td><div class="descr"><div>if the input polytopes must be centered. Defaults to true.</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_coordinates</td><td><div class="descr"><div>produces a pure combinatorial description. Defaluts to false.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $p = free_sum(cube(2),cube(2));</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 -1 -1 0 0</code><code> 1 1 -1 0 0</code><code> 1 -1 1 0 0</code><code> 1 1 1 0 0</code><code> 1 0 0 -1 -1</code><code> 1 0 0 1 -1</code><code> 1 0 0 -1 1</code><code> 1 0 0 1 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:free_sum_decomposition" onclick="swap_content('span:free_sum_decomposition'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="free_sum_decomposition" onclick="swap_content('span:free_sum_decomposition'); return false;"><b>free_sum_decomposition</b></a>
			(P)  

			
				→ Array&lt;Polytope&gt;<div style="display: inline" id="span:free_sum_decomposition" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Decompose a given polytope into the free sum of smaller ones</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Polytope&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:free_sum_decomposition_indices" onclick="swap_content('span:free_sum_decomposition_indices'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="free_sum_decomposition_indices" onclick="swap_content('span:free_sum_decomposition_indices'); return false;"><b>free_sum_decomposition_indices</b></a>
			(P)  

			
				→ Array&lt;Set&gt;<div style="display: inline" id="span:free_sum_decomposition_indices" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Decompose a given polytope into the free sum of smaller ones, and return the vertex indices of the summands</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $p = free_sum(cube(1),cube(1));</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 -1 0</code><code> 1 1 0</code><code> 1 0 -1</code><code> 1 0 1</code><code>&gt; print free_sum_decomposition_indices($p);</code><code> {0 1}</code><code> {2 3}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:gc_closure" onclick="swap_content('span:gc_closure'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="gc_closure" onclick="swap_content('span:gc_closure'); return false;"><b>gc_closure</b></a>
			(P)  

			
				→ Polytope<div style="display: inline" id="span:gc_closure" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the gomory-chvatal closure of a full dimensional polyhedron</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:integer_hull" onclick="swap_content('span:integer_hull'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="integer_hull" onclick="swap_content('span:integer_hull'); return false;"><b>integer_hull</b></a>
			(P)  

			
				→ Polytope<div style="display: inline" id="span:integer_hull" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the integer hull of a polyhedron</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $p = new Polytope(VERTICES=&gt;[[1,1.3,0.5],[1,0.2,1.2],[1,0.1,-1.5],[1,-1.4,0.2]]);</code><code>&gt; $ih = integer_hull($p);</code><code>&gt; print $ih-&gt;VERTICES;</code><code> 1 -1 0</code><code> 1 0 -1</code><code> 1 0 1</code><code> 1 1 0</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:intersection" onclick="swap_content('span:intersection'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="intersection" onclick="swap_content('span:intersection'); return false;"><b>intersection</b></a>
			(C ...)  

			
				→ Cone<div style="display: inline" id="span:intersection" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Construct a new polyhedron or cone as the intersection of given polyhedra and/or cones.
 Works only if all <a href="#Cone__CONE_AMBIENT_DIM" onclick="unfold('span:Cone__CONE_AMBIENT_DIM');">CONE_AMBIENT_DIM</a> values are equal.
 If the input contains both cones and polytopes, the output will be a polytope.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">C ...</td><td><div class="descr"><div>polyhedra and cones to be intersected</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $p = intersection(cube(2),cross(2,3/2));</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 1 1/2 -1</code><code> 1 1 1/2</code><code> 1 1/2 1</code><code> 1 1 -1/2</code><code> 1 -1/2 1</code><code> 1 -1 1/2</code><code> 1 -1 -1/2</code><code> 1 -1/2 -1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:join_polytopes" onclick="swap_content('span:join_polytopes'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="join_polytopes" onclick="swap_content('span:join_polytopes'); return false;"><b>join_polytopes</b></a>
			(P1, P2)  

			
				→ Polytope<div style="display: inline" id="span:join_polytopes" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Construct a new polyhedron as the join of two given bounded ones.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P1</td><td/></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P2</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_coordinates</td><td><div class="descr"><div>produces a pure combinatorial description.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To join two squares, use this:<code>&gt; $p = join_polytopes(cube(2),cube(2));</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 -1 -1 -1 0 0</code><code> 1 1 -1 -1 0 0</code><code> 1 -1 1 -1 0 0</code><code> 1 1 1 -1 0 0</code><code> 1 0 0 1 -1 -1</code><code> 1 0 0 1 1 -1</code><code> 1 0 0 1 -1 1</code><code> 1 0 0 1 1 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:lattice_bipyramid" onclick="swap_content('span:lattice_bipyramid'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="lattice_bipyramid" onclick="swap_content('span:lattice_bipyramid'); return false;"><b>lattice_bipyramid</b></a>
			(P, v, v_prime, z, z_prime)  

			
				→ Polytope<div style="display: inline" id="span:lattice_bipyramid" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Make a lattice bipyramid over a polyhedron.
 The bipyramid is the convex hull of the input polyhedron <em class="param">P</em>
 and two points (<em class="param">v</em>, <em class="param">z</em>), (<em class="param">v_prime</em>, <em class="param">z_prime</em>)
 on both sides of the affine span of <em class="param">P</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td><div class="descr"><div>basis point for the first apex</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v_prime</td><td><div class="descr"><div>basis for the second apex
  If <em class="param">v_prime</em> is omitted, <em class="param">v</em> will be used for both apices.
  If both <em class="param">v</em> and <em class="param">v_prime</em> are omitted, it tries to find two vertices which don't lie in a common facet.
  If no such vertices can be found or <em class="param">P</em> is a simplex, it uses an interior lattice point as
  both <em class="param">v</em> and <em class="param">v_prime</em>.</div></div></td></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">z</td><td><div class="descr"><div>height for the first apex, default value is 1</div></div></td></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">z_prime</td><td><div class="descr"><div>height for the second apex, default value is -<em class="param">z</em></div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>copy the vertex labels from the original polytope,
 label the new vertices with "Apex" and "Apex'".</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To create the bipyramid over a square and keep the vertex labels, do this:<code>&gt; $p = lattice_bipyramid(cube(2),new Vector(1,0,0),relabel=&gt;1);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 -1 -1 0</code><code> 1 1 -1 0</code><code> 1 -1 1 0</code><code> 1 1 1 0</code><code> 1 0 0 1</code><code> 1 0 0 -1</code><code>&gt; print $p-&gt;VERTEX_LABELS;</code><code> 0 1 2 3 Apex Apex'</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:lattice_pyramid" onclick="swap_content('span:lattice_pyramid'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="lattice_pyramid" onclick="swap_content('span:lattice_pyramid'); return false;"><b>lattice_pyramid</b></a>
			(P, z, v)  

			
				→ Polytope<div style="display: inline" id="span:lattice_pyramid" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Make a lattice pyramid over a polyhedron.
 The pyramid is the convex hull of the input polyhedron <em class="param">P</em> and a point <em class="param">v</em>
 outside the affine span of <em class="param">P</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">z</td><td><div class="descr"><div>the height for the apex (<em class="param">v</em>,<em class="param">z</em>), default value is 1.</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td><div class="descr"><div>the lattice point to use as apex, default is the first vertex of <em class="param">P</em>.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>copy the original vertex labels,
   label the new top vertex with "Apex".</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To create the pyramid of height 5 over a square and keep the vertex labels, do this:<code>&gt; $p = lattice_pyramid(cube(2),5,new Vector(1,0,0),relabel=&gt;1);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 -1 -1 0</code><code> 1 1 -1 0</code><code> 1 -1 1 0</code><code> 1 1 1 0</code><code> 1 0 0 5</code><code>&gt; print $p-&gt;VERTEX_LABELS;</code><code> 0 1 2 3 Apex</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:lawrence" onclick="swap_content('span:lawrence'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="lawrence" onclick="swap_content('span:lawrence'); return false;"><b>lawrence</b></a>
			(P)  

			
				→ Cone<div style="display: inline" id="span:lawrence" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create the Lawrence polytope Lambda(P) corresponding to P.
 Lambda(P) has the property that
 Gale(Lambda(P)) = Gale(P) union -Gale(P).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">P</td><td><div class="descr"><div>an input cone or polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td><div class="descr"><div>the Lawrence cone or polytope to P</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:make_totally_dual_integral" onclick="swap_content('span:make_totally_dual_integral'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="make_totally_dual_integral" onclick="swap_content('span:make_totally_dual_integral'); return false;"><b>make_totally_dual_integral</b></a>
			(P)  

			
				→ Polytope<div style="display: inline" id="span:make_totally_dual_integral" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces a polyhedron with an totally dual integral inequality formulation of a full dimensional polyhedron</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:mapping_polytope" onclick="swap_content('span:mapping_polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="mapping_polytope" onclick="swap_content('span:mapping_polytope'); return false;"><b>mapping_polytope</b></a>
			(P1, P2)  

			
				→ Polytope<div style="display: inline" id="span:mapping_polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Construct a new polytope as the <em class="u">mapping polytope</em> of two polytopes <em class="param">P1</em> and <em class="param">P2</em>.
 The mapping polytope is the set of all affine maps from R<sup>p</sup> to R<sup>q</sup>, that map <em class="param">P1</em> into <em class="param">P2</em>.</p><p> The label of a new facet corresponding to v<sub>1</sub> and h<sub>1</sub> will have the form
 "v<sub>1</sub>*h<sub>1</sub>".</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P1</td><td/></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P2</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:minkowski_sum__Polytope__Polytope" onclick="swap_content('span:minkowski_sum__Polytope__Polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="minkowski_sum__Polytope__Polytope" onclick="swap_content('span:minkowski_sum__Polytope__Polytope'); return false;"><b>minkowski_sum</b></a>
			(P1, P2)  

			
				→ Polytope<div style="display: inline" id="span:minkowski_sum__Polytope__Polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the Minkowski sum of <em class="param">P1</em> and <em class="param">P2</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P1</td><td/></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following stores the minkowski sum of a square and a triangle in the variable $p
 and then prints its vertices.<code>&gt; $p = minkowski_sum(cube(2),simplex(2));</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 -1 -1</code><code> 1 2 -1</code><code> 1 -1 2</code><code> 1 2 1</code><code> 1 1 2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:minkowski_sum__Scalar__Polytope__Scalar__Polytope" onclick="swap_content('span:minkowski_sum__Scalar__Polytope__Scalar__Polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="minkowski_sum__Scalar__Polytope__Scalar__Polytope" onclick="swap_content('span:minkowski_sum__Scalar__Polytope__Scalar__Polytope'); return false;"><b>minkowski_sum</b></a>
			(lambda, P1, mu, P2)  

			
				→ Polytope<div style="display: inline" id="span:minkowski_sum__Scalar__Polytope__Scalar__Polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the polytope <em class="param">lambda</em>*<em class="param">P1</em>+<em class="param">mu</em>*<em class="param">P2</em>, where * and + are scalar multiplication
 and Minkowski addition, respectively.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">lambda</td><td/></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P1</td><td/></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">mu</td><td/></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following stores the minkowski sum of a scaled square and a triangle in the variable $p
 and then prints its vertices.<code>&gt; $p = minkowski_sum(2,cube(2),1,simplex(2));</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 -2 -2</code><code> 1 3 -2</code><code> 1 -2 3</code><code> 1 3 2</code><code> 1 2 3</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:minkowski_sum_fukuda" onclick="swap_content('span:minkowski_sum_fukuda'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="minkowski_sum_fukuda" onclick="swap_content('span:minkowski_sum_fukuda'); return false;"><b>minkowski_sum_fukuda</b></a>
			(summands)  

			
				→ Polytope&lt;Scalar&gt;<div style="display: inline" id="span:minkowski_sum_fukuda" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the (<a href="#SchlegelDiagram__VERTICES" onclick="unfold('span:SchlegelDiagram__VERTICES');">VERTICES</a> of the) <em class="u">Minkowski sum</em> of a list of polytopes using the algorithm by Fukuda described in
</p><blockquote><div>   Komei Fukuda, From the zonotope construction to the Minkowski addition of convex polytopes, J. Symbolic Comput., 38(4):1261-1272, 2004.</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Polytope&lt;Scalar&gt;&gt;</a></td><td class="param">summands</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $p = minkowski_sum_fukuda([cube(2),simplex(2),cross(2)]);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 -2 -1</code><code> 1 -1 -2</code><code> 1 3 -1</code><code> 1 3 1</code><code> 1 2 -2</code><code> 1 -2 2</code><code> 1 -1 3</code><code> 1 1 3</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:mixed_integer_hull" onclick="swap_content('span:mixed_integer_hull'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="mixed_integer_hull" onclick="swap_content('span:mixed_integer_hull'); return false;"><b>mixed_integer_hull</b></a>
			(P, int_coords)  

			
				→ Polytope<div style="display: inline" id="span:mixed_integer_hull" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the mixed integer hull of a polyhedron</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">int_coords</td><td><div class="descr"><div>the coordinates to be integral;</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:pointed_part" onclick="swap_content('span:pointed_part'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="pointed_part" onclick="swap_content('span:pointed_part'); return false;"><b>pointed_part</b></a>
			(P)  

			
				→ Polytope<div style="display: inline" id="span:pointed_part" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the pointed part of a polyhedron</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $p = new Polytope(POINTS=&gt;[[1,0,0],[1,0,1],[1,1,0],[1,1,1],[0,1,0],[0,0,1]]);</code><code>&gt; $pp = pointed_part($p);</code><code>&gt; print $pp-&gt;VERTICES;</code><code> 1 0 0</code><code> 0 1 0</code><code> 0 0 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:prism" onclick="swap_content('span:prism'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="prism" onclick="swap_content('span:prism'); return false;"><b>prism</b></a>
			(P, z1, z2)  

			
				→ Polytope<div style="display: inline" id="span:prism" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Make a prism over a pointed polyhedron.
 The prism is the product of the input polytope <em class="param">P</em> and the interval [<em class="param">z1</em>, <em class="param">z2</em>].</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the input polytope</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">z1</td><td><div class="descr"><div>the left endpoint of the interval; default value: -1</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">z2</td><td><div class="descr"><div>the right endpoint of the interval; default value: -<em class="param">z1</em></div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_coordinates</td><td><div class="descr"><div>only combinatorial information is handled</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>creates an additional section <a href="#Polytope__VERTEX_LABELS" onclick="unfold('span:Polytope__VERTEX_LABELS');">VERTEX_LABELS</a>;
   the bottom facet vertices get the labels from the original polytope;
   the labels of their clones in the top facet get a tick (') appended.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following saves the prism over the square and the interval [-2,2] to the
 variable $p while relabeling, and then prints a nice representation of its vertices.<code>&gt; $p = prism(cube(2),-2,relabel=&gt;1);</code><code>&gt; print labeled($p-&gt;VERTICES,$p-&gt;VERTEX_LABELS);</code><code> 0:1 -1 -1 -2 1:1 1 -1 -2 2:1 -1 1 -2 3:1 1 1 -2 0':1 -1 -1 2 1':1 1 -1 2 2':1 -1 1 2 3':1 1 1 2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:product" onclick="swap_content('span:product'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="product" onclick="swap_content('span:product'); return false;"><b>product</b></a>
			(P1, P2)  

			
				→ Polytope<div style="display: inline" id="span:product" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Construct a new polytope as the product of two given polytopes <em class="param">P1</em> and <em class="param">P2</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P1</td><td/></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P2</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_coordinates</td><td><div class="descr"><div>only combinatorial information is handled</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>creates an additional section <a href="#Polytope__VERTEX_LABELS" onclick="unfold('span:Polytope__VERTEX_LABELS');">VERTEX_LABELS</a>;
   the label of a new vertex corresponding to v<sub>1</sub> ⊕ v<sub>2</sub> will
   have the form LABEL_1*LABEL_2.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following builds the product of a square and an interval while relabeling,
 and then prints a nice representation of its vertices.<code>&gt; $p = product(cube(2),cube(1),relabel=&gt;1);</code><code>&gt; print labeled($p-&gt;VERTICES,$p-&gt;VERTEX_LABELS);</code><code> 0*0:1 -1 -1 -1 0*1:1 -1 -1 1 1*0:1 1 -1 -1 1*1:1 1 -1 1 2*0:1 -1 1 -1 2*1:1 -1 1 1 3*0:1 1 1 -1 3*1:1 1 1 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:projection__INST1" onclick="swap_content('span:projection__INST1'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="projection__INST1" onclick="swap_content('span:projection__INST1'); return false;"><b>projection</b></a>
			(P, indices)  

			
				→ Cone<div style="display: inline" id="span:projection__INST1" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Orthogonally project a pointed polyhedron to a coordinate subspace.</p><p> The subspace the polyhedron <em class="param">P</em> is projected on is given by indices in the set <em class="param">indices</em>.
 The option <em class="param">revert</em> inverts the coordinate list.
 The client scans for all coordinate sections and produces proper output from each.
 If a description in terms of inequalities is found, the client performs Fourier-Motzkin elimination
 unless the <em class="param">nofm</em> option is set.  Setting the <em class="param">nofm</em> option is useful if the corank of the projection
 is large; in this case the number of inequalities produced grows quickly.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">indices</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">revert</td><td><div class="descr"><div>inverts the coordinate list</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">nofm</td><td><div class="descr"><div>suppresses Fourier-Motzkin elimination</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">project the 3-cube along the first coordinate, i.e. to the subspace 
 spanned by the second and third coordinate:<code>&gt; $p = projection(cube(3),[1],revert=&gt;1);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 1 -1</code><code> 1 1 1</code><code> 1 -1 1</code><code> 1 -1 -1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:projection_full__INST1" onclick="swap_content('span:projection_full__INST1'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="projection_full__INST1" onclick="swap_content('span:projection_full__INST1'); return false;"><b>projection_full</b></a>
			(P)  

			
				→ Cone<div style="display: inline" id="span:projection_full__INST1" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Orthogonally project a polyhedron to a coordinate subspace such that redundant columns are omitted,
 i.e., the projection becomes full-dimensional without changing the combinatorial type.
 The client scans for all coordinate sections and produces proper output from each.
 If a description in terms of inequalities is found, the client performs Fourier-Motzkin elimination
 unless the <em class="param">nofm</em> option is set.  Setting the <em class="param">nofm</em> option is useful if the corank of the projection
 is large; in this case the number of inequalities produced grows quickly.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">P</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">nofm</td><td><div class="descr"><div>suppresses Fourier-Motzkin elimination</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>copy labels to projection</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:pyramid" onclick="swap_content('span:pyramid'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="pyramid" onclick="swap_content('span:pyramid'); return false;"><b>pyramid</b></a>
			(P, z)  

			
				→ Polytope<div style="display: inline" id="span:pyramid" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Make a pyramid over a polyhedron.
 The pyramid is the convex hull of the input polyhedron <em class="param">P</em> and a point <em class="param">v</em>
 outside the affine span of <em class="param">P</em>. For bounded polyhedra, the projection of <em class="param">v</em>
 to the affine span of <em class="param">P</em> coincides with the vertex barycenter of <em class="param">P</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">z</td><td><div class="descr"><div>is the distance between the vertex barycenter and <em class="param">v</em>,
   default value is 1.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_coordinates</td><td><div class="descr"><div>don't compute new coordinates, produce purely combinatorial description.</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>copy vertex labels from the original polytope,
   label the new top vertex with "Apex".</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following saves the pyramid of height 2 over the square to the variable $p.
 The vertices are relabeled.<code>&gt; $p = pyramid(cube(2),2,relabel=&gt;1);</code> To print the vertices and vertex labels of the newly generated pyramid, do this:<code>&gt; print $p-&gt;VERTICES;</code><code> 1 -1 -1 0</code><code> 1 1 -1 0</code><code> 1 -1 1 0</code><code> 1 1 1 0</code><code> 1 0 0 2</code><code>&gt; print $p-&gt;VERTEX_LABELS;</code><code> 0 1 2 3 Apex</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:rand_inner_points" onclick="swap_content('span:rand_inner_points'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="rand_inner_points" onclick="swap_content('span:rand_inner_points'); return false;"><b>rand_inner_points</b></a>
			(P, n)  

			
				→ Polytope<div style="display: inline" id="span:rand_inner_points" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a polytope with <em class="param">n</em> random points from the input polytope <em class="param">P</em>.
 Each generated point is a convex linear combination of the input vertices
 with uniformly distributed random coefficients. Thus, the output points can't in general
 be expected to be distributed uniformly within the input polytope; cf. <a href="#unirand" onclick="unfold('span:unirand');">unirand</a> for this.
 The polytope must be <a href="#Polytope__BOUNDED" onclick="unfold('span:Polytope__BOUNDED');">BOUNDED</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the input polytope</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of random points</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:rand_vert" onclick="swap_content('span:rand_vert'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="rand_vert" onclick="swap_content('span:rand_vert'); return false;"><b>rand_vert</b></a>
			(V, n)  

			
				→ Matrix<div style="display: inline" id="span:rand_vert" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Selects <em class="param">n</em> random vertices from the set of vertices <em class="param">V</em>.
 This can be used to produce random polytopes which are neither simple nor simplicial as follows:
 First produce a simple polytope (for instance at random, by using rand_sphere, rand, or unirand).
 Then use this client to choose among the vertices at random.
 Generalizes random 0/1-polytopes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">V</td><td><div class="descr"><div>the vertices of a polytope</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of random points</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:spherize" onclick="swap_content('span:spherize'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="spherize" onclick="swap_content('span:spherize'); return false;"><b>spherize</b></a>
			(P)  

			
				→ Polytope<div style="display: inline" id="span:spherize" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Project all vertices of a polyhedron <em class="param">P</em> on the unit sphere.
 <em class="param">P</em> must be <a href="#Polytope__CENTERED" onclick="unfold('span:Polytope__CENTERED');">CENTERED</a> and <a href="#Polytope__BOUNDED" onclick="unfold('span:Polytope__BOUNDED');">BOUNDED</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following scales the 2-dimensional cross polytope by 23 and
 then projects it back onto the unit circle.<code>&gt; $p = scale(cross(2),23);</code><code>&gt; $s = spherize($p);</code><code>&gt; print $s-&gt;VERTICES;</code><code> 1 1 0</code><code> 1 -1 0</code><code> 1 0 1</code><code> 1 0 -1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:stack" onclick="swap_content('span:stack'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="stack" onclick="swap_content('span:stack'); return false;"><b>stack</b></a>
			(P, stack_facets)  

			
				→ Polytope<div style="display: inline" id="span:stack" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Stack a (simplicial or cubical) polytope over one or more of its facets.</p><p> For each facet of the polytope <em class="param">P</em> specified in <em class="param">stack_facets</em>, the barycenter of its vertices
 is lifted along the normal vector of the facet.
 In the simplicial case, this point is directly added to the vertex set, thus building a pyramid over
 the facet. In the cubical case, this pyramid is truncated by a hyperplane parallel to the original facet
 at its half height. This way, the property of being simplicial or cubical is preserved in both cases.</p><p> The option <em class="param">lift</em> controls the exact coordinates of the new vertices.
 It should be a rational number between 0 and 1, which expresses the ratio of the distance between the
 new vertex and the stacked facet, to the maximal possible distance. When <em class="param">lift</em>=0, the new vertex would lie
 on the original facet. <em class="param">lift</em>=1 corresponds to the opposite extremal case, where the new vertex
 hit the hyperplane of some neighbor facet. As an additional restriction, the new vertex can't
 lie further from the facet as the vertex barycenter of the whole polytope.
 Alternatively, the option <em class="param">noc</em> (no coordinates) can be specified to produce a
 pure combinatorial description of the resulting polytope.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">stack_facets</td><td><div class="descr"><div>the facets to be stacked;
   A single facet to be stacked is specified by its number.
   Several facets can be passed in a Set or in an anonymous array of indices: [n1,n2,...]
   Special keyword <em class="u">All</em> means that all factes are to be stacked.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">lift</td><td><div class="descr"><div>controls the exact coordinates of the new vertices;
   rational number between 0 and 1; default value: 1/2</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_coordinates</td><td><div class="descr"><div>produces a pure combinatorial description (in contrast to <em class="param">lift</em>)</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>creates an additional section <a href="#Polytope__VERTEX_LABELS" onclick="unfold('span:Polytope__VERTEX_LABELS');">VERTEX_LABELS</a>;
   New vertices get labels 'f(FACET_LABEL)' in the simplicial case,
   and 'f(FACET_LABEL)-NEIGHBOR_VERTEX_LABEL' in the cubical case.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To generate a cubical polytope by stacking all facets of the 3-cube to height 1/4, do this:<code>&gt; $p = stack(cube(3),All,lift=&gt;1/4);</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:stellar_all_faces" onclick="swap_content('span:stellar_all_faces'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="stellar_all_faces" onclick="swap_content('span:stellar_all_faces'); return false;"><b>stellar_all_faces</b></a>
			(P, d)  

			
				→ Polytope<div style="display: inline" id="span:stellar_all_faces" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Perform a stellar subdivision of all proper faces, starting with the facets.</p><p> Parameter <em class="param">d</em> specifies the lowest dimension of the faces to be divided.
 It can also be negative, then treated as the co-dimension.
 Default is 1, that is, the edges of the polytope.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>, must be bounded</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the lowest dimension of the faces to be divided;
   negative values: treated as the co-dimension; default value: 1.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:stellar_indep_faces" onclick="swap_content('span:stellar_indep_faces'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="stellar_indep_faces" onclick="swap_content('span:stellar_indep_faces'); return false;"><b>stellar_indep_faces</b></a>
			(P, in_faces)  

			
				→ Polytope<div style="display: inline" id="span:stellar_indep_faces" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Perform a stellar subdivision of the faces <em class="param">in_faces</em> of a polyhedron <em class="param">P</em>.</p><p> The faces must have the following property:
 The open vertex stars of any pair of faces must be disjoint.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>, must be bounded</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td class="param">in_faces</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:tensor" onclick="swap_content('span:tensor'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="tensor" onclick="swap_content('span:tensor'); return false;"><b>tensor</b></a>
			(P1, P2)  

			
				→ Polytope<div style="display: inline" id="span:tensor" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Construct a new polytope as the convex hull of the tensor products of the vertices of two
 polytopes <em class="param">P1</em> and <em class="param">P2</em>.
 Unbounded polyhedra are not allowed. Does depend on the vertex coordinates of the input.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P1</td><td/></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following creates the tensor product polytope of two squares and then prints its vertices.<code>&gt; $p = tensor(cube(2),cube(2));</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 1 1 1 1</code><code> 1 -1 1 -1 1</code><code> 1 1 -1 1 -1</code><code> 1 -1 1 1 -1</code><code> 1 1 1 -1 -1</code><code> 1 1 -1 -1 1</code><code> 1 -1 -1 1 1</code><code> 1 -1 -1 -1 -1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:truncation" onclick="swap_content('span:truncation'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="truncation" onclick="swap_content('span:truncation'); return false;"><b>truncation</b></a>
			(P, trunc_vertices)  

			
				→ Polytope<div style="display: inline" id="span:truncation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Cut off one or more vertices of a polyhedron.</p><p> The exact location of the cutting hyperplane(s) can be controlled by the
 option <em class="param">cutoff</em>, a rational number between 0 and 1.
 When <em class="param">cutoff</em>=0, the hyperplane would go through the chosen vertex, thus cutting off nothing.
 When <em class="param">cutoff</em>=1, the hyperplane touches the nearest neighbor vertex of a polyhedron.</p><p> Alternatively, the option <em class="param">no_coordinates</em> can be specified to produce a
 pure combinatorial description of the resulting polytope, which corresponds to
 the cutoff factor 1/2.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">trunc_vertices</td><td><div class="descr"><div>the vertex/vertices to be cut off;
   A single vertex to be cut off is specified by its number.
   Several vertices can be passed in a Set or in an anonymous array of indices: [n1,n2,...]
   Special keyword <em class="u">All</em> means that all vertices are to be cut off.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">cutoff</td><td><div class="descr"><div>controls the exact location of the cutting hyperplane(s);
   rational number between 0 and 1; default value: 1/2</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_coordinates</td><td><div class="descr"><div>produces a pure combinatorial description (in contrast to <em class="param">cutoff</em>)</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>creates an additional section <a href="#Polytope__VERTEX_LABELS" onclick="unfold('span:Polytope__VERTEX_LABELS');">VERTEX_LABELS</a>;
   New vertices get labels of the form 'LABEL1-LABEL2', where LABEL1 is the original label
   of the truncated vertex, and LABEL2 is the original label of its neighbor.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To truncate the second vertex of the square at 1/4, try this:<code>&gt; $p = truncation(cube(2),2,cutoff=&gt;1/4);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 -1 -1</code><code> 1 1 -1</code><code> 1 1 1</code><code> 1 -1 1/2</code><code> 1 -1/2 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:unirand" onclick="swap_content('span:unirand'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="unirand" onclick="swap_content('span:unirand'); return false;"><b>unirand</b></a>
			(P, n)  

			
				→ Polytope<div style="display: inline" id="span:unirand" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a polytope with <em class="param">n</em> random points that are
 uniformly distributed within the given polytope <em class="param">P</em>.
 <em class="param">P</em> must be bounded and full-dimensional.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of random points</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">boundary</td><td><div class="descr"><div>forces the points to lie on the boundary of the given polytope</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">This produces a polytope as the convex hull of 5 random points in the square with the origin as
 its center and side length 2:<code>&gt; $p = unirand(cube(2),5);</code></div></li><li><div class="descr">This produces a polytope as the convex hull of 5 random points on the boundary of the square with the origin as
 its center and side length 2:<code>&gt; $p = unirand(cube(2),5,boundary=&gt;1);</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:vertex_figure" onclick="swap_content('span:vertex_figure'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="vertex_figure" onclick="swap_content('span:vertex_figure'); return false;"><b>vertex_figure</b></a>
			(p, n)  

			
				→ Polytope<div style="display: inline" id="span:vertex_figure" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Construct the vertex figure of the vertex <em class="param">n</em> of a polyhedron.
 The vertex figure is dual to a facet of the dual polytope.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>number of the chosen vertex</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">cutoff</td><td><div class="descr"><div>controls the exact location of the cutting hyperplane.
   It should lie between 0 and 1.
   Value 0 would let the hyperplane go through the chosen vertex,
   thus degenerating the vertex figure to a single point.
   Value 1 would let the hyperplane touch the nearest neighbor vertex of a polyhedron.
   Default value is 1/2.</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_coordinates</td><td><div class="descr"><div>skip the coordinates computation, producing a pure combinatorial description.</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>inherit vertex labels from the corresponding neighbor vertices of the original polytope.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This produces a vertex figure of one vertex of a 3-dimensional cube with the origin as its center
 and side length 2. The result is a 2-simplex.<code>&gt; $p = vertex_figure(cube(3),5);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 1 -1 0</code><code> 1 1 0 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:wedge" onclick="swap_content('span:wedge'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="wedge" onclick="swap_content('span:wedge'); return false;"><b>wedge</b></a>
			(P, facet, z, z_prime)  

			
				→ Polytope<div style="display: inline" id="span:wedge" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Make a wedge from a polytope over the given <em class="param">facet</em>.  The polytope must be bounded.
 The inclination of the bottom and top side facet is controlled by <em class="param">z</em> and <em class="param">z_prime</em>,
 which are heights of the projection of the old vertex barycenter
 on the bottom and top side facet respectively.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>, must be bounded</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">facet</td><td><div class="descr"><div>the `cutting edge'.</div></div></td></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">z</td><td><div class="descr"><div>default value is 0.</div></div></td></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">z_prime</td><td><div class="descr"><div>default value is -<em class="param">z</em>, or 1 if <em class="param">z</em>==0.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_coordinates</td><td><div class="descr"><div>don't compute coordinates, pure combinatorial description is produced.</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>create vertex labels:
  The bottom facet vertices obtain the labels from the original polytope;
  the labels of their clones in the top facet get a tick (') appended.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This produces the wedge from a square (over the facet 0), which yields a prism over a triangle:<code>&gt; $p = wedge(cube(2),0);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 -1 -1 0</code><code> 1 1 -1 0</code><code> 1 -1 1 0</code><code> 1 1 1 0</code><code> 1 1 -1 2</code><code> 1 1 1 2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:wreath" onclick="swap_content('span:wreath'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="wreath" onclick="swap_content('span:wreath'); return false;"><b>wreath</b></a>
			(P1, P2)  

			
				→ Polytope<div style="display: inline" id="span:wreath" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Construct a new polytope as the wreath product of two input polytopes <em class="param">P1</em>, <em class="param">P2</em>.
 <em class="param">P1</em> and <em class="param">P2</em> have to be <a href="#Polytope__BOUNDED" onclick="unfold('span:Polytope__BOUNDED');">BOUNDED</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P1</td><td/></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P2</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">dual</td><td><div class="descr"><div>invokes the computation of the dual wreath product</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>creates an additional section <a href="#Polytope__VERTEX_LABELS" onclick="unfold('span:Polytope__VERTEX_LABELS');">VERTEX_LABELS</a>;
   the label of a new vertex corresponding to v<sub>1</sub> ⊕ v<sub>2</sub> will
   have the form LABEL_1*LABEL_2.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_polytope_from_scratch" onclick="swap_content('span:functions__Producing_a_polytope_from_scratch'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_polytope_from_scratch" onclick="swap_content('span:functions__Producing_a_polytope_from_scratch'); return false;"><span class="category">Producing a polytope from scratch</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_polytope_from_scratch" class="foldit"><div class="descr"><p> With these clients you can create polytopes belonging to various parameterized
 families which occur frequently in polytope theory, as well as several kinds
 of random polytopes.
 Regular polytopes and their friends are listed separately.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:associahedron" onclick="swap_content('span:associahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="associahedron" onclick="swap_content('span:associahedron'); return false;"><b>associahedron</b></a>
			(d)  

			
				→ Polytope<div style="display: inline" id="span:associahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional associahedron (or Stasheff polytope).
 We use the facet description given in Ziegler's book on polytopes, section 9.2.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:binary_markov_graph__Array_Bool" onclick="swap_content('span:binary_markov_graph__Array_Bool'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="binary_markov_graph__Array_Bool" onclick="swap_content('span:binary_markov_graph__Array_Bool'); return false;"><b>binary_markov_graph</b></a>
			(observation)  

			
				→ PropagatedPolytope<div style="display: inline" id="span:binary_markov_graph__Array_Bool" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Defines a very simple graph for a polytope propagation related to a Hidden Markov Model.
 The propagated polytope is always a polygon.
 For a detailed description see
</p><blockquote><div> M. Joswig: Polytope propagation, in: Algebraic statistics and computational biology</div><div> by L. Pachter and B. Sturmfels (eds.), Cambridge, 2005.</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Bool&gt;</a></td><td class="param">observation</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PropagatedPolytope" onclick="unfold('span:PropagatedPolytope');">PropagatedPolytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:binary_markov_graph__String" onclick="swap_content('span:binary_markov_graph__String'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="binary_markov_graph__String" onclick="swap_content('span:binary_markov_graph__String'); return false;"><b>binary_markov_graph</b></a>
			(observation)  

			<div style="display: inline" id="span:binary_markov_graph__String" class="foldit"><br/><div class="descr_func"/><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">observation</td><td><div class="descr"><div>encoded as a string of "0" and "1".</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:birkhoff" onclick="swap_content('span:birkhoff'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="birkhoff" onclick="swap_content('span:birkhoff'); return false;"><b>birkhoff</b></a>
			(n, even)  

			
				→ Polytope<div style="display: inline" id="span:birkhoff" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs the Birkhoff polytope of dimension <em class="param">n</em><sup>2</sup>. It is the polytope of
 <em class="param">n</em>x<em class="param">n</em> stochastic matrices (encoded as <em class="param">n</em><sup>2</sup> row vectors), thus matrices
 with non-negative entries whose row and column entries sum up to one.
 Its vertices are the permutation matrices.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">even</td><td><div class="descr"><div>Defaults to '0'. Set this to '1' to get vertices only for even permutation matrices.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cyclic" onclick="swap_content('span:cyclic'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cyclic" onclick="swap_content('span:cyclic'); return false;"><b>cyclic</b></a>
			(d, n)  

			
				→ Polytope<div style="display: inline" id="span:cyclic" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional cyclic polytope with <em class="param">n</em> points.
 Prototypical example of a neighborly polytope.  Combinatorics completely known
 due to Gale's evenness criterion.  Coordinates are chosen on the (spherical) moment curve
 at integer steps from <em class="param">start</em>, or 0 if unspecified.
 If <em class="param">spherical</em> is true the vertices lie on the sphere with center (1/2,0,...,0) and radius 1/2.
 In this case (the necessarily positive) parameter <em class="param">start</em> defaults to 1.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of points</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">start</td><td><div class="descr"><div>defaults to 0 (or to 1 if spherical)</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">spherical</td><td><div class="descr"><div>defaults to false</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To create the 2-dimensional cyclic polytope with 6 points on the sphere, starting at 3:<code>&gt; $p = cyclic(2,6,start=&gt;3,spherical=&gt;1);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 1/10 3/10</code><code> 1 1/26 5/26</code><code> 1 1/37 6/37</code><code> 1 1/50 7/50</code><code> 1 1/65 8/65</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cyclic_caratheodory" onclick="swap_content('span:cyclic_caratheodory'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cyclic_caratheodory" onclick="swap_content('span:cyclic_caratheodory'); return false;"><b>cyclic_caratheodory</b></a>
			(d, n)  

			
				→ Polytope<div style="display: inline" id="span:cyclic_caratheodory" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional cyclic polytope with <em class="param">n</em> points.
 Prototypical example of a neighborly polytope.  Combinatorics completely known
 due to Gale's evenness criterion.  Coordinates are chosen on the trigonometric
 moment curve. For cyclic polytopes from other curves, see <a href="#cyclic" onclick="unfold('span:cyclic');">polytope::cyclic</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension. Required to be even.</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of points</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:delpezzo" onclick="swap_content('span:delpezzo'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="delpezzo" onclick="swap_content('span:delpezzo'); return false;"><b>delpezzo</b></a>
			(d, scale)  

			
				→ Polytope&lt;Scalar&gt;<div style="display: inline" id="span:delpezzo" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional del-Pezzo polytope, which is the convex hull of
 the cross polytope together with the all-ones and minus all-ones vector.</p><p> All coordinates are +/- <em class="param">scale</em> or 0.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">scale</td><td><div class="descr"><div>the absolute value of each non-zero vertex coordinate. Needs to be positive. The default value is 1.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:dwarfed_cube" onclick="swap_content('span:dwarfed_cube'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="dwarfed_cube" onclick="swap_content('span:dwarfed_cube'); return false;"><b>dwarfed_cube</b></a>
			(d)  

			
				→ Polytope<div style="display: inline" id="span:dwarfed_cube" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional dwarfed cube.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:dwarfed_product_polygons" onclick="swap_content('span:dwarfed_product_polygons'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="dwarfed_product_polygons" onclick="swap_content('span:dwarfed_product_polygons'); return false;"><b>dwarfed_product_polygons</b></a>
			(d, s)  

			
				→ Polytope<div style="display: inline" id="span:dwarfed_product_polygons" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional dwarfed product of polygons of size <em class="param">s</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">s</td><td><div class="descr"><div>the size</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:explicit_zonotope" onclick="swap_content('span:explicit_zonotope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="explicit_zonotope" onclick="swap_content('span:explicit_zonotope'); return false;"><b>explicit_zonotope</b></a>
			(zones)  

			
				→ Polytope<div style="display: inline" id="span:explicit_zonotope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the POINTS of a zonotope as the iterated Minkowski sum of all intervals [-x,x],
 where x ranges over the rows of the input matrix <em class="param">zones</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">zones</td><td><div class="descr"><div>the input vectors</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">rows_are_points</td><td><div class="descr"><div>the rows of the input matrix represent affine points(true, default) or linear vectors(false)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $M = new Matrix([1,1],[1,-1]);</code><code>&gt; $p = explicit_zonotope($M,rows_are_points=&gt;0);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 2 0</code><code> 1 0 -2</code><code> 1 0 2</code><code> 1 -2 0</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:fano_simplex" onclick="swap_content('span:fano_simplex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="fano_simplex" onclick="swap_content('span:fano_simplex'); return false;"><b>fano_simplex</b></a>
			(d)  

			
				→ Polytope<div style="display: inline" id="span:fano_simplex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a Fano <em class="param">d</em>-simplex.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">group</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To create the 2-dimensional fano simplex and compute its symmetry group, type this:
 and print ints generators, do this:<code>&gt; fano_simplex(2,group=&gt;1);</code><code>&gt; print $p-&gt;GROUP-&gt;GENERATORS;</code><code> 1 0 2</code><code> 2 0 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:fractional_knapsack" onclick="swap_content('span:fractional_knapsack'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="fractional_knapsack" onclick="swap_content('span:fractional_knapsack'); return false;"><b>fractional_knapsack</b></a>
			(b)  

			
				→ Polytope<div style="display: inline" id="span:fractional_knapsack" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a knapsack polytope defined by one linear inequality (and non-negativity constraints).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Rational&gt;</a></td><td class="param">b</td><td><div class="descr"><div>linear inequality</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:goldfarb" onclick="swap_content('span:goldfarb'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="goldfarb" onclick="swap_content('span:goldfarb'); return false;"><b>goldfarb</b></a>
			(d, e, g)  

			
				→ Polytope<div style="display: inline" id="span:goldfarb" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces a <em class="param">d</em>-dimensional Goldfarb cube if <em class="param">e</em>&lt;1/2 and <em class="param">g</em>&lt;=e/4.
 The Goldfarb cube is a combinatorial cube and yields a bad example
 for the Simplex Algorithm using the Shadow Vertex Pivoting Strategy.
 Here we use the description as a deformed product due to Amenta and Ziegler.
 For <em class="param">e</em>&lt;1/2 and <em class="param">g</em>=0 we obtain the Klee-Minty cubes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">e</td><td/></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">g</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:goldfarb_sit" onclick="swap_content('span:goldfarb_sit'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="goldfarb_sit" onclick="swap_content('span:goldfarb_sit'); return false;"><b>goldfarb_sit</b></a>
			(d, eps, delta)  

			
				→ Polytope<div style="display: inline" id="span:goldfarb_sit" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces a <em class="param">d</em>-dimensional variation of the Klee-Minty cube if <em class="param">eps</em>&lt;1/2 and <em class="param">delta</em>&lt;=1/2.
 This Klee-Minty cube is scaled in direction x_(d-i) by (eps*delta)^i.
 This cube is a combinatorial cube and yields a bad example
 for the Simplex Algorithm using the 'steepest edge' Pivoting Strategy.
 Here we use a scaled description of the construction of Goldfarb and Sit.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">eps</td><td/></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">delta</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:hypersimplex" onclick="swap_content('span:hypersimplex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="hypersimplex" onclick="swap_content('span:hypersimplex'); return false;"><b>hypersimplex</b></a>
			(k, d)  

			
				→ Polytope<div style="display: inline" id="span:hypersimplex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the hypersimplex Δ(<em class="param">k</em>,<em class="param">d</em>), that is the the convex hull of all 0/1-vector in R<sup><em class="param">d</em></sup>
 with exactly <em class="param">k</em> 1s.
 Note that the output is never full-dimensional.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">k</td><td><div class="descr"><div>number of 1s</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>ambient dimension</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">group</td><td/></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_vertices</td><td><div class="descr"><div>do not compute vertices</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_facets</td><td><div class="descr"><div>do not compute facets</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_vif</td><td><div class="descr"><div>do not compute vertices in facets</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This creates the hypersimplex in dimension 4 with vertices with exactly two 1-entries
 and computes its symmetry group:<code>&gt; $h = hypersimplex(2,4,group=&gt;1);</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:hypertruncated_cube" onclick="swap_content('span:hypertruncated_cube'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="hypertruncated_cube" onclick="swap_content('span:hypertruncated_cube'); return false;"><b>hypertruncated_cube</b></a>
			&lt;Scalar&gt;
		 
			(d, k, lambda)  

			
				→ Polytope&lt;Scalar&gt;<div style="display: inline" id="span:hypertruncated_cube" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional hypertruncated cube.
 With symmetric linear objective function (0,1,1,...,1).</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>Coordinate type of the resulting polytope.  Unless specified explicitly, deduced from the type of bound values, defaults to Rational.</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">k</td><td><div class="descr"><div>cutoff parameter</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">lambda</td><td><div class="descr"><div>scaling of extra vertex</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:klee_minty_cube" onclick="swap_content('span:klee_minty_cube'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="klee_minty_cube" onclick="swap_content('span:klee_minty_cube'); return false;"><b>klee_minty_cube</b></a>
			(d, e)  

			
				→ Polytope<div style="display: inline" id="span:klee_minty_cube" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces a <em class="param">d</em>-dimensional Klee-Minty-cube if <em class="param">e</em>&lt;1/2.
 Uses the <a href="#goldfarb" onclick="unfold('span:goldfarb');">goldfarb</a> client with <em class="param">g</em>=0.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">e</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:k_cyclic" onclick="swap_content('span:k_cyclic'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="k_cyclic" onclick="swap_content('span:k_cyclic'); return false;"><b>k_cyclic</b></a>
			(n, s)  

			
				→ Polytope<div style="display: inline" id="span:k_cyclic" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a (rounded) 2*k-dimensional k-cyclic polytope with <em class="param">n</em> points,
 where k is the length of the input vector <em class="param">s</em>.
 Special cases are the bicyclic (k=2) and tricyclic (k=3) polytopes.
 Only possible in even dimensions.</p><p> The parameters s_i can be specified as integer, 
 floating-point, or rational numbers.
 The coordinates of the i-th point are taken as follows:
</p><blockquote><div> cos(s_1 * 2πi/n),</div><div> sin(s_1 * 2πi/n),</div><div> ...</div><div> cos(s_k * 2πi/n),</div><div> sin(s_k * 2πi/n)</div></blockquote><p>
 Warning: Some of the k-cyclic polytopes are not simplicial.
 Since the components are rounded, this function might output a polytope
 which is not a k-cyclic polytope!</p><p> More information can be found in the following references:
</p><blockquote><div> P. Schuchert: "Matroid-Polytope und Einbettungen kombinatorischer Mannigfaltigkeiten",</div><div> PhD thesis, TU Darmstadt, 1995.</div></blockquote><blockquote><div> Z. Smilansky: "Bi-cyclic 4-polytopes",</div><div> Isr. J. Math. 70, 1990, 82-92</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of points</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">s</td><td><div class="descr"><div>s=(s_1,...,s_k)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To produce a (not exactly) regular pentagon, type this:<code>&gt; $p = k_cyclic(5,[1]);</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:lecture_hall_simplex" onclick="swap_content('span:lecture_hall_simplex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="lecture_hall_simplex" onclick="swap_content('span:lecture_hall_simplex'); return false;"><b>lecture_hall_simplex</b></a>
			(d)  

			
				→ Polytope<div style="display: inline" id="span:lecture_hall_simplex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a lecture hall <em class="param">d</em>-simplex.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">group</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To create the 2-dimensional lecture hall simplex and compute its symmetry group, type this:<code>&gt; $p = lecture_hall_simplex(2,group=&gt;1);</code><code>&gt; print $p-&gt;GROUP-&gt;GENERATORS;</code><code> 1 0 2</code><code> 2 0 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:long_and_winding" onclick="swap_content('span:long_and_winding'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="long_and_winding" onclick="swap_content('span:long_and_winding'); return false;"><b>long_and_winding</b></a>
			(r)  

			
				→ Polytope&lt;PuiseuxFraction&lt;Max, Rational, Rational&gt; &gt;<div style="display: inline" id="span:long_and_winding" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce polytope in dimension 2r+2 with 3r+4 facets such that the total curvature
 of the central path is at least Omega(2^r).  This establishes a counter-example to
 a continuous analog of the Hirsch conjecture by Deza, Terlaky and Zinchenko,
 Adv. Mech. Math. 17 (2009).  The construction and its analysis can be found in
 Allamigeon, Benchimol, Gaubert and Joswig, arXiv: 1405.4161</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">r</td><td><div class="descr"><div>defining parameter</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">eval_ratio</td><td><div class="descr"><div>parameter for evaluating the puiseux rational functions</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">eval_exp</td><td><div class="descr"><div>to evaluate at eval_ratio^eval_exp, default: 1</div></div></td></tr><tr><td><a href="common.html#Float" onclick="unfold('span:Float');">Float</a></td><td class="param">eval_float</td><td><div class="descr"><div>parameter for evaluating the puiseux rational functions</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;PuiseuxFraction&lt;Max, Rational, Rational&gt; &gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:max_GC_rank" onclick="swap_content('span:max_GC_rank'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="max_GC_rank" onclick="swap_content('span:max_GC_rank'); return false;"><b>max_GC_rank</b></a>
			(d)  

			
				→ Polytope<div style="display: inline" id="span:max_GC_rank" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional polytope of maximal Gomory-Chvatal rank Omega(d/log(d)),
 integrally infeasible.
 With symmetric linear objective function (0,1,1..,1).
 Construction due to Pokutta and Schulz.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:multiplex" onclick="swap_content('span:multiplex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="multiplex" onclick="swap_content('span:multiplex'); return false;"><b>multiplex</b></a>
			(d, n)  

			
				→ Polytope<div style="display: inline" id="span:multiplex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a combinatorial description of a multiplex with parameters <em class="param">d</em> and <em class="param">n</em>.
 This yields a self-dual <em class="param">d</em>-dimensional polytope with <em class="param">n</em>+1 vertices.</p><p> They are introduced by
</p><blockquote><div> T. Bisztriczky,</div><div> On a class of generalized simplices, Mathematika 43:27-285, 1996,</div></blockquote><p> see also
</p><blockquote><div> M.M. Bayer, A.M. Bruening, and J.D. Stewart,</div><div> A combinatorial study of multiplexes and ordinary polytopes,</div><div> Discrete Comput. Geom. 27(1):49--63, 2002.</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:neighborly_cubical" onclick="swap_content('span:neighborly_cubical'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="neighborly_cubical" onclick="swap_content('span:neighborly_cubical'); return false;"><b>neighborly_cubical</b></a>
			(d, n)  

			
				→ Polytope<div style="display: inline" id="span:neighborly_cubical" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the combinatorial description of a neighborly cubical polytope.
 The facets are labelled in oriented matroid notation as in the cubical Gale evenness criterion.
</p><blockquote><div> See Joswig and Ziegler, Discr. Comput. Geom. 24:315-344 (2000).</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>dimension of the polytope</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>dimension of the equivalent cube</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:newton" onclick="swap_content('span:newton'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="newton" onclick="swap_content('span:newton'); return false;"><b>newton</b></a>
			(p)  

			
				→ Polytope&lt;Rational&gt;<div style="display: inline" id="span:newton" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the Newton polytope of a polynomial <em class="param">p</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Polynomial" onclick="unfold('span:Polynomial');">Polynomial</a></td><td class="param">p</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope__specializations__Polytope_Rational" onclick="unfold('span:Polytope__specializations__Polytope_Rational');">Polytope&lt;Rational&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Create the newton polytope of 1+x^2+y like so:<code>&gt; $r=new Ring(qw(x y));</code><code>&gt; ($x,$y)=$r-&gt;variables;</code><code>&gt; $p=1+($x^2)+$y;</code><code>&gt; $n = newton($p);</code><code>&gt; print $n-&gt;VERTICES;</code><code> 1 0 0</code><code> 1 0 1</code><code> 1 2 0</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:n_gon" onclick="swap_content('span:n_gon'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="n_gon" onclick="swap_content('span:n_gon'); return false;"><b>n_gon</b></a>
			(n, r)  

			
				→ Polytope<div style="display: inline" id="span:n_gon" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a regular <em class="param">n</em>-gon.
 All vertices lie on a circle of radius <em class="param">r</em>.
 The radius defaults to 1.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of vertices</div></div></td></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">r</td><td><div class="descr"><div>the radius</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">group</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To store the regular pentagon in the variable $p and calculate its symmetry group, do this:<code>&gt; $p = n_gon(5,group=&gt;1);</code><code>&gt; print $p-&gt;GROUP-&gt;GENERATORS;</code><code> 0 4 3 2 1</code><code> 1 2 3 4 0</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:perles_irrational_8_polytope" onclick="swap_content('span:perles_irrational_8_polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="perles_irrational_8_polytope" onclick="swap_content('span:perles_irrational_8_polytope'); return false;"><b>perles_irrational_8_polytope</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:perles_irrational_8_polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create an 8-dimensional polytope without rational realizations due to Perles</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:permutahedron" onclick="swap_content('span:permutahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="permutahedron" onclick="swap_content('span:permutahedron'); return false;"><b>permutahedron</b></a>
			(d)  

			
				→ Polytope<div style="display: inline" id="span:permutahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional permutahedron.
 The vertices correspond to the elements of the symmetric group of degree <em class="param">d</em>+1.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">group</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To create the 3-permutahedron and also compute its symmetry group, do this:<code>&gt; $p = permutahedron(3,group=&gt;1);</code><code>&gt; print $p-&gt;GROUP-&gt;GENERATORS;</code><code> 1 0 2 3</code><code> 3 0 1 2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:pile" onclick="swap_content('span:pile'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="pile" onclick="swap_content('span:pile'); return false;"><b>pile</b></a>
			(sizes)  

			
				→ Polytope<div style="display: inline" id="span:pile" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a (<em class="param">d</em>+1)-dimensional polytope from a pile of cubes.
 Start with a <em class="param">d</em>-dimensional pile of cubes.  Take a generic convex function
 to lift this polytopal complex to the boundary of a (<em class="param">d</em>+1)-polytope.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Int&gt;</a></td><td class="param">sizes</td><td><div class="descr"><div>a vector (s<sub>1</sub>,...,s<sub>d</sub>,
   where s<sub>i</sub> specifies the number of boxes in the i-th dimension.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:pseudo_delpezzo" onclick="swap_content('span:pseudo_delpezzo'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="pseudo_delpezzo" onclick="swap_content('span:pseudo_delpezzo'); return false;"><b>pseudo_delpezzo</b></a>
			(d, scale)  

			
				→ Polytope&lt;Scalar&gt;<div style="display: inline" id="span:pseudo_delpezzo" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional del-Pezzo polytope, which is the convex hull of
 the cross polytope together with the all-ones vector.</p><p> All coordinates are +/- <em class="param">scale</em> or 0.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">scale</td><td><div class="descr"><div>the absolute value of each non-zero vertex coordinate. Needs to be positive. The default value is 1.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:rand01" onclick="swap_content('span:rand01'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="rand01" onclick="swap_content('span:rand01'); return false;"><b>rand01</b></a>
			(d, n)  

			
				→ Polytope<div style="display: inline" id="span:rand01" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional 0/1-polytope with <em class="param">n</em> random vertices.
 Uniform distribution.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of random vertices</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome. </div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:rand_box" onclick="swap_content('span:rand_box'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="rand_box" onclick="swap_content('span:rand_box'); return false;"><b>rand_box</b></a>
			(d, n, b)  

			
				→ Polytope<div style="display: inline" id="span:rand_box" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the convex hull of <em class="param">n</em> points sampled uniformly at random from the
 integer points in the cube [0,<em class="param">b</em>]<sup><em class="param">d</em></sup>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension of the box</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of random points</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">b</td><td><div class="descr"><div>the size of the box</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:rand_cyclic" onclick="swap_content('span:rand_cyclic'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="rand_cyclic" onclick="swap_content('span:rand_cyclic'); return false;"><b>rand_cyclic</b></a>
			(d, n)  

			
				→ Polytope<div style="display: inline" id="span:rand_cyclic" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes a random instance of a cyclic polytope of dimension <em class="param">d</em> on <em class="param">n</em> vertices
 by randomly generating a Gale diagram whose cocircuits have alternating signs.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of vertices</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:rand_metric" onclick="swap_content('span:rand_metric'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="rand_metric" onclick="swap_content('span:rand_metric'); return false;"><b>rand_metric</b></a>
			&lt;Scalar&gt;
		 
			(n)  

			
				→ Matrix<div style="display: inline" id="span:rand_metric" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce an <em class="param">n</em>-point metric with random distances. The values are uniformily
 distributed in [1,2].</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>element type of the result matrix</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome. </div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:rand_metric_int" onclick="swap_content('span:rand_metric_int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="rand_metric_int" onclick="swap_content('span:rand_metric_int'); return false;"><b>rand_metric_int</b></a>
			&lt;Scalar&gt;
		 
			(n)  

			
				→ Matrix<div style="display: inline" id="span:rand_metric_int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce an <em class="param">n</em>-point metric with random distances. The values are uniformily
 distributed in [1,2].</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>element type of the result matrix</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome. </div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:rand_sphere" onclick="swap_content('span:rand_sphere'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="rand_sphere" onclick="swap_content('span:rand_sphere'); return false;"><b>rand_sphere</b></a>
			(d, n)  

			
				→ Polytope<div style="display: inline" id="span:rand_sphere" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional polytope with <em class="param">n</em> random vertices
 uniformly distributed on the unit sphere.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of random vertices</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome. </div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:rss_associahedron" onclick="swap_content('span:rss_associahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="rss_associahedron" onclick="swap_content('span:rss_associahedron'); return false;"><b>rss_associahedron</b></a>
			(l)  

			
				→ Polytope<div style="display: inline" id="span:rss_associahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a polytope of constrained expansions in dimension <em class="param">l</em> according to
</p><blockquote><div> Rote, Santos, and Streinu: Expansive motions and the polytope of pointed pseudo-triangulations.</div><div> Discrete and computational geometry, 699--736, Algorithms Combin., 25, Springer, Berlin, 2003.</div></blockquote></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">l</td><td><div class="descr"><div>ambient dimension</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:signed_permutahedron" onclick="swap_content('span:signed_permutahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="signed_permutahedron" onclick="swap_content('span:signed_permutahedron'); return false;"><b>signed_permutahedron</b></a>
			(d)  

			
				→ Polytope<div style="display: inline" id="span:signed_permutahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional signed permutahedron.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simplex" onclick="swap_content('span:simplex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simplex" onclick="swap_content('span:simplex'); return false;"><b>simplex</b></a>
			(d, scale)  

			
				→ Polytope<div style="display: inline" id="span:simplex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the standard <em class="param">d</em>-simplex.
 Combinatorially equivalent to a regular polytope corresponding to the Coxeter group of type A<sub><em class="param">d</em>-1</sub>.
 Optionally, the simplex can be scaled by the parameter <em class="param">scale</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">scale</td><td><div class="descr"><div>default value: 1</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">group</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">To print the vertices (in homogeneous coordinates) of the standard
 2-simplex, i.e. a right-angled isoceles triangle, type this:<code>&gt; print simplex(2)-&gt;VERTICES;</code><code> (3) (0 1)</code><code> 1 1 0</code><code> 1 0 1</code> The first row vector is sparse and encodes the origin.</div></li><li><div class="descr">To create a 3-simplex and also calculate its symmetry group, type this:<code>&gt; simplex(3,group=&gt;1);</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:stable_set" onclick="swap_content('span:stable_set'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="stable_set" onclick="swap_content('span:stable_set'); return false;"><b>stable_set</b></a>
			(G)  

			
				→ Polytope<div style="display: inline" id="span:stable_set" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the stable set polytope from an undirected graph <em class="param">G</em>=(V,E).
 The stable set Polytope has the following inequalities:
     x_i + x_j &lt;= 1  forall {i,j} in E
           x_i &gt;= 0  forall i in V
           x_i &lt;= 1  forall i in V with deg(i)=0</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:transportation" onclick="swap_content('span:transportation'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="transportation" onclick="swap_content('span:transportation'); return false;"><b>transportation</b></a>
			(r, c)  

			
				→ Polytope<div style="display: inline" id="span:transportation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the transportation polytope from two vectors <em class="param">r</em> of length m and <em class="param">c</em> of length n,
 i.e. all positive m×n Matrizes with row sums equal to <em class="param">r</em> and column sums equal to <em class="param">c</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">r</td><td/></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">c</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:upper_bound_theorem" onclick="swap_content('span:upper_bound_theorem'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="upper_bound_theorem" onclick="swap_content('span:upper_bound_theorem'); return false;"><b>upper_bound_theorem</b></a>
			(d, n)  

			
				→ Polytope<div style="display: inline" id="span:upper_bound_theorem" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce combinatorial data common to all simplicial d-polytopes with n vertices
 with the maximal number of facets as given by McMullen's Upper-Bound-Theorem.
 Essentially this lets you read off all possible entries of the <a href="#Polytope__H_VECTOR" onclick="unfold('span:Polytope__H_VECTOR');">H_VECTOR</a> and the <a href="#Polytope__F_VECTOR" onclick="unfold('span:Polytope__F_VECTOR');">F_VECTOR</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the number of points</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This produces the combinatorial data as mentioned above for 5 points in dimension 3 and prints the h-vector:<code>&gt; $p = upper_bound_theorem(3,5);</code><code>&gt; print $p-&gt;H_VECTOR;</code><code> 1 2 2 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:zonotope" onclick="swap_content('span:zonotope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="zonotope" onclick="swap_content('span:zonotope'); return false;"><b>zonotope</b></a>
			(M)  

			
				→ Polytope&lt;Scalar&gt;<div style="display: inline" id="span:zonotope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a zonotope from a matrix whose rows are input points or vectors.</p><p> This method merely defines a Polytope object with the property
 <a href="#Polytope__ZONOTOPE_INPUT_POINTS" onclick="unfold('span:Polytope__ZONOTOPE_INPUT_POINTS');">ZONOTOPE_INPUT_POINTS</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Scalar&gt;</a></td><td class="param">M</td><td><div class="descr"><div>input points or vectors</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">rows_are_points</td><td><div class="descr"><div>true if M are points instead of vectors; default true</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">centered</td><td><div class="descr"><div>true if output should be centered; default true</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td><div class="descr"><div>the zonotope generated by the input points or vectors</div></div></td></tr></table></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">The following produces a parallelogram with the origin as its vertex barycenter:<code>&gt; $M = new Matrix([[1,1,0],[1,1,1]]);</code><code>&gt; $p = zonotope($M);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 0 -1/2</code><code> 1 0 1/2</code><code> 1 -1 -1/2</code><code> 1 1 1/2</code></div></li><li><div class="descr">The following produces a parallelogram with the origin being a vertex (not centered case):<code>&gt; $M = new Matrix([[1,1,0],[1,1,1]]);</code><code>&gt; $p = zonotope($M,centered=&gt;0);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 0 0</code><code> 1 1 1</code><code> 1 1 0</code><code> 1 2 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:zonotope_vertices_fukuda" onclick="swap_content('span:zonotope_vertices_fukuda'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="zonotope_vertices_fukuda" onclick="swap_content('span:zonotope_vertices_fukuda'); return false;"><b>zonotope_vertices_fukuda</b></a>
			(M)  

			
				→ Matrix&lt;E&gt;<div style="display: inline" id="span:zonotope_vertices_fukuda" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create the vertices of a zonotope from a matrix whose rows are input points or vectors.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Scalar&gt;</a></td><td class="param">M</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">centered_zonotope</td><td><div class="descr"><div>default 1</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;E&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following stores the vertices of a parallelogram with the origin as its vertex barycenter and prints them:<code>&gt; $M = new Matrix([[1,1,0],[1,1,1]]);</code><code>&gt; print zonotope_vertices_fukuda($M);</code><code> 1 0 -1/2</code><code> 1 0 1/2</code><code> 1 -1 -1/2</code><code> 1 1 1/2</code></div></li></ul></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_vector_configuration" onclick="swap_content('span:functions__Producing_a_vector_configuration'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_vector_configuration" onclick="swap_content('span:functions__Producing_a_vector_configuration'); return false;"><span class="category">Producing a vector configuration</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_vector_configuration" class="foldit"><div class="descr"><p> A way of constructing vector configurations is to modify an 
 already existing vector configuration.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:projection" onclick="swap_content('span:projection'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="projection" onclick="swap_content('span:projection'); return false;"><b>projection</b></a>
			(P, indices)  

			
				→ VectorConfiguration<div style="display: inline" id="span:projection" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Orthogonally project a vector configuration to a coordinate subspace.</p><p> The subspace the VectorConfiguration <em class="param">P</em> is projected on is given by indices in the set <em class="param">indices</em>.
 The option <em class="param">revert</em> inverts the coordinate list.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#VectorConfiguration" onclick="unfold('span:VectorConfiguration');">VectorConfiguration</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">indices</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">revert</td><td><div class="descr"><div>inverts the coordinate list</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#VectorConfiguration" onclick="unfold('span:VectorConfiguration');">VectorConfiguration</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:projection_full" onclick="swap_content('span:projection_full'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="projection_full" onclick="swap_content('span:projection_full'); return false;"><b>projection_full</b></a>
			(P)  

			
				→ VectorConfiguration<div style="display: inline" id="span:projection_full" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Orthogonally project a vector configuration to a coordinate subspace such that redundant columns are omitted,
 i.e., the projection becomes full-dimensional without changing the combinatorial type.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#VectorConfiguration" onclick="unfold('span:VectorConfiguration');">VectorConfiguration</a></td><td class="param">P</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>copy labels to projection</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#VectorConfiguration" onclick="unfold('span:VectorConfiguration');">VectorConfiguration</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_other_objects" onclick="swap_content('span:functions__Producing_other_objects'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_other_objects" onclick="swap_content('span:functions__Producing_other_objects'); return false;"><span class="category">Producing other objects</span></a></h3></div><div style="display: inline" id="span:functions__Producing_other_objects" class="foldit"><div class="descr"><p> Functions producing big objects which are not contained in application polytope.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:coxeter_group" onclick="swap_content('span:coxeter_group'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="coxeter_group" onclick="swap_content('span:coxeter_group'); return false;"><b>coxeter_group</b></a>
			(type)  

			
				→ group::GroupOfPolytope<div style="display: inline" id="span:coxeter_group" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the Coxeter group of type <em class="param">type</em>. 
 The Dynkin diagrams of the different types can be
 found in the description of the clients <a href="#simple_roots_type_A" onclick="unfold('span:simple_roots_type_A');">simple_roots_type_*</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">type</td><td><div class="descr"><div>the type of the Coxeter group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="group.html#GroupOfPolytope" onclick="unfold('span:GroupOfPolytope');">group::GroupOfPolytope</a></td><td><div class="descr"><div>the Coxeter group of type <em class="param">type</em> </div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:crosscut_complex" onclick="swap_content('span:crosscut_complex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="crosscut_complex" onclick="swap_content('span:crosscut_complex'); return false;"><b>crosscut_complex</b></a>
			(p)  

			
				→ topaz::SimplicialComplex<div style="display: inline" id="span:crosscut_complex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the <em class="u">crosscut complex</em> of the boundary of a polytope.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">geometric_realization</td><td><div class="descr"><div>create a <a href="topaz.html#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">topaz::GeometricSimplicialComplex</a>; default is true</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="topaz.html#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">topaz::SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_regular_polytopes_and_their_generalizations" onclick="swap_content('span:functions__Producing_regular_polytopes_and_their_generalizations'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_regular_polytopes_and_their_generalizations" onclick="swap_content('span:functions__Producing_regular_polytopes_and_their_generalizations'); return false;"><span class="category">Producing regular polytopes and their generalizations</span></a></h3></div><div style="display: inline" id="span:functions__Producing_regular_polytopes_and_their_generalizations" class="foldit"><div class="descr"><p> This includes the Platonic solids and their generalizations into two directions.
 In dimension 3 there are the Archimedean, Catalan and Johnson solids.
 In higher dimensions there are the simplices, the cubes, the cross polytopes and
 three other regular 4-polytopes.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:archimedean_solid" onclick="swap_content('span:archimedean_solid'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="archimedean_solid" onclick="swap_content('span:archimedean_solid'); return false;"><b>archimedean_solid</b></a>
			(s)  

			
				→ Polytope<div style="display: inline" id="span:archimedean_solid" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create Archimedean solid of the given name.
 Some polytopes are realized with floating point numbers and thus not exact;
 Vertex-facet-incidences are correct in all cases.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">s</td><td><div class="descr"><div>the name of the desired Archimedean solid</div><div>Possible values:</div><dl><dt>'truncated_tetrahedron'</dt><dd>Truncated tetrahedron.
          Regular polytope with four triangular and four hexagonal facets.
</dd><dt>'cuboctahedron'</dt><dd>Cuboctahedron.
          Regular polytope with eight triangular and six square facets.
</dd><dt>'truncated_cube'</dt><dd>Truncated cube.
          Regular polytope with eight triangular and six octagonal facets.
</dd><dt>'truncated_octahedron'</dt><dd>Truncated Octahedron.
          Regular polytope with six square and eight hexagonal facets.
</dd><dt>'rhombicuboctahedron'</dt><dd>Rhombicuboctahedron.
          Regular polytope with eight triangular and 18 square facets.
</dd><dt>'truncated_cuboctahedron'</dt><dd>Truncated Cuboctahedron.
          Regular polytope with 12 square, eight hexagonal and six octagonal facets.
</dd><dt>'snub_cube'</dt><dd>Snub Cube.
          Regular polytope with 32 triangular and six square facets.
          The vertices are realized as floating point numbers.
          This is a chiral polytope.
</dd><dt>'icosidodecahedron'</dt><dd>Icosidodecahedon.
          Regular polytope with 20 triangular and 12 pentagonal facets.
</dd><dt>'truncated_dodecahedron'</dt><dd>Truncated Dodecahedron.
          Regular polytope with 20 triangular and 12 decagonal facets.
</dd><dt>'truncated_icosahedron'</dt><dd>Truncated Icosahedron.
          Regular polytope with 12 pentagonal and 20 hexagonal facets.
</dd><dt>'rhombicosidodecahedron'</dt><dd>Rhombicosidodecahedron.
          Regular polytope with 20 triangular, 30 square and 12 pentagonal facets.
</dd><dt>'truncated_icosidodecahedron'</dt><dd>Truncated Icosidodecahedron.
          Regular polytope with 30 square, 20 hexagonal and 12 decagonal facets.
</dd><dt>'snub_dodecahedron'</dt><dd>Snub Dodecahedron.
          Regular polytope with 80 triangular and 12 pentagonal facets.
          The vertices are realized as floating point numbers.
          This is a chiral polytope.
</dd></dl></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To show the mirror image of the snub cube use:<code>&gt; scale(archimedean_solid('snub_cube'),-1)-&gt;VISUAL;</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:catalan_solid" onclick="swap_content('span:catalan_solid'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="catalan_solid" onclick="swap_content('span:catalan_solid'); return false;"><b>catalan_solid</b></a>
			(s)  

			
				→ Polytope<div style="display: inline" id="span:catalan_solid" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create Catalan solid of the given name.
 Some polytopes are realized with floating point numbers and thus not exact;
 Vertex-facet-incidences are correct in all cases.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">s</td><td><div class="descr"><div>the name of the desired Catalan solid</div><div>Possible values:</div><dl><dt>'triakis_tetrahedron'</dt><dd>Triakis Tetrahedron.
          Dual polytope to the Truncated Tetrahedron, made of 12 isosceles triangular facets.
</dd><dt>'triakis_octahedron'</dt><dd>Triakis Octahedron.
          Dual polytope to the Truncated Cube, made of 24 isosceles triangular facets.
</dd><dt>'rhombic_dodecahedron'</dt><dd>Rhombic dodecahedron.
          Dual polytope to the cuboctahedron, made of 12 rhombic facets.
</dd><dt>'tetrakis_hexahedron'</dt><dd>Tetrakis hexahedron.
          Dual polytope to the truncated octahedron, made of 24 isosceles triangluar facets.
</dd><dt>'disdyakis_dodecahedron'</dt><dd>Disdyakis dodecahedron.
          Dual polytope to the truncated cuboctahedron, made of 48 scalene triangular facets.
</dd><dt>'pentagonal_icositetrahedron'</dt><dd>Pentagonal Icositetrahedron.
          Dual polytope to the snub cube, made of 24 irregular pentagonal facets.
          The vertices are realized as floating point numbers.
</dd><dt>'pentagonal_hexecontahedron'</dt><dd>Pentagonal Hexecontahedron.
          Dual polytope to the snub dodecahedron, made of 60 irregular pentagonal facets.
          The vertices are realized as floating point numbers.
</dd><dt>'rhombic_triacontahedron'</dt><dd>Rhombic triacontahedron.
          Dual polytope to the icosidodecahedron, made of 30 rhombic facets.
</dd><dt>'triakis_icosahedron'</dt><dd>Triakis icosahedron.
          Dual polytope to the icosidodecahedron, made of 30 rhombic facets.
</dd><dt>'deltoidal_icositetrahedron'</dt><dd>Deltoidal Icositetrahedron.
          Dual polytope to the rhombicubaoctahedron, made of 24 kite facets.
</dd><dt>'pentakis_dodecahedron'</dt><dd>Pentakis dodecahedron.
          Dual polytope to the truncated icosahedron, made of 60 isosceles triangular facets.
</dd><dt>'deltoidal_hexecontahedron'</dt><dd>Deltoidal hexecontahedron.
          Dual polytope to the rhombicosidodecahedron, made of 60 kite facets.
</dd><dt>'disdyakis_triacontahedron'</dt><dd>Disdyakis triacontahedron.
          Dual polytope to the truncated icosidodecahedron, made of 120 scalene triangular facets.
</dd></dl></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cross" onclick="swap_content('span:cross'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cross" onclick="swap_content('span:cross'); return false;"><b>cross</b></a>
			&lt;Scalar&gt;
		 
			(d, scale)  

			
				→ Polytope&lt;Scalar&gt;<div style="display: inline" id="span:cross" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional cross polytope.
 Regular polytope corresponding to the Coxeter group of type B<sub><em class="param">d</em>-1</sub> = C<sub><em class="param">d</em>-1</sub>.</p><p> All coordinates are +/- <em class="param">scale</em> or 0.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>Coordinate type of the resulting polytope.  Unless specified explicitly, deduced from the type of bound values, defaults to Rational.</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">scale</td><td><div class="descr"><div>the absolute value of each non-zero vertex coordinate. Needs to be positive. The default value is 1.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">group</td><td><div class="descr"><div>add a symmetry group description to the resulting polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To create the 3-dimensional cross polytope, type<code>&gt; $p = cross(3);</code> Check out it's vertices and volume:<code>&gt; print $p-&gt;VERTICES;</code><code> 1 1 0 0</code><code> 1 -1 0 0</code><code> 1 0 1 0</code><code> 1 0 -1 0</code><code> 1 0 0 1</code><code> 1 0 0 -1</code><code>&gt; print cross(3)-&gt;VOLUME;</code><code> 4/3</code> If you rather had a bigger one, type<code>&gt; $p_scaled = cross(3,2);</code><code>&gt; print $p_scaled-&gt;VOLUME;</code><code> 32/3</code> To also calculate the symmetry group, do this:<code>&gt; $p = cross(3,group=&gt;1);</code> You can then print the generators of this group like this:<code>&gt; print $p-&gt;GROUP-&gt;GENERATORS;</code><code> 1 0 2 3 4 5</code><code> 2 3 0 1 4 5</code><code> 0 1 4 5 2 3</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cube" onclick="swap_content('span:cube'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cube" onclick="swap_content('span:cube'); return false;"><b>cube</b></a>
			&lt;Scalar&gt;
		 
			(d, x_up, x_low)  

			
				→ Polytope&lt;Scalar&gt;<div style="display: inline" id="span:cube" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a <em class="param">d</em>-dimensional cube.
 Regular polytope corresponding to the Coxeter group of type B<sub><em class="param">d</em>-1</sub> = C<sub><em class="param">d</em>-1</sub>.</p><p> The bounding hyperplanes are x<sub>i</sub> &lt;= <em class="param">x_up</em> and x<sub>i</sub> &gt;= <em class="param">x_low</em>.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td><div class="descr"><div>Coordinate type of the resulting polytope.  Unless specified explicitly, deduced from the type of bound values, defaults to Rational.</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">x_up</td><td><div class="descr"><div>upper bound in each dimension</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">x_low</td><td><div class="descr"><div>lower bound in each dimension</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">group</td><td><div class="descr"><div>add a symmetry group description to the resulting polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">This yields a +/-1 cube of dimension 3 and stores it in the variable $c.<code>&gt; $c = cube(3);</code></div></li><li><div class="descr">This stores a standard unit cube of dimension 3 in the variable $c.<code>&gt; $c = cube(3,0);</code></div></li><li><div class="descr">This prints the area of a square with side length 4 translated to have
 its vertex barycenter at [5,5]:<code>&gt; print cube(2,7,3)-&gt;VOLUME;</code><code> 16</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cuboctahedron" onclick="swap_content('span:cuboctahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cuboctahedron" onclick="swap_content('span:cuboctahedron'); return false;"><b>cuboctahedron</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:cuboctahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create cuboctahedron.  An Archimedean solid.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:dodecahedron" onclick="swap_content('span:dodecahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="dodecahedron" onclick="swap_content('span:dodecahedron'); return false;"><b>dodecahedron</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:dodecahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create exact regular dodecahedron in Q(sqrt{5}).  A Platonic solid.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:icosahedron" onclick="swap_content('span:icosahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="icosahedron" onclick="swap_content('span:icosahedron'); return false;"><b>icosahedron</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:icosahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create exact regular icosahedron in Q(sqrt{5}).  A Platonic solid.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:icosidodecahedron" onclick="swap_content('span:icosidodecahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="icosidodecahedron" onclick="swap_content('span:icosidodecahedron'); return false;"><b>icosidodecahedron</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:icosidodecahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create exact icosidodecahedron in Q(sqrt{5}).  An Archimedean solid.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:johnson_solid__Int" onclick="swap_content('span:johnson_solid__Int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="johnson_solid__Int" onclick="swap_content('span:johnson_solid__Int'); return false;"><b>johnson_solid</b></a>
			(n)  

			
				→ Polytope<div style="display: inline" id="span:johnson_solid__Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create Johnson solid number n.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>the index of the desired Johnson polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:johnson_solid__String" onclick="swap_content('span:johnson_solid__String'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="johnson_solid__String" onclick="swap_content('span:johnson_solid__String'); return false;"><b>johnson_solid</b></a>
			(s)  

			
				→ Polytope<div style="display: inline" id="span:johnson_solid__String" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create Johnson solid with the given name.
 Some polytopes are realized with floating point numbers and thus not exact;
 Vertex-facet-incidences are correct in all cases.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">s</td><td><div class="descr"><div>the name of the desired Johnson polytope</div><div>Possible values:</div><dl><dt>'square_pyramid'</dt><dd>Square pyramid with regular facets. Johnson solid J1.
</dd><dt>'pentagonal_pyramid'</dt><dd>Pentagonal pyramid with regular facets. Johnson solid J2.
</dd><dt>'triangular_cupola'</dt><dd>Triangular cupola with regular facets. Johnson solid J3.
</dd><dt>'square_cupola'</dt><dd>Square cupola with regular facets. Johnson solid J4.
</dd><dt>'pentagonal_cupola'</dt><dd>Pentagonal cupola with regular facets. Johnson solid J5.
</dd><dt>'pentagonal_rotunda'</dt><dd>Pentagonal rotunda with regular facets. Johnson solid J6.
</dd><dt>'elongated_triangular_pyramid'</dt><dd>Elongated triangular pyramid with regular facets. Johnson solid J7.
</dd><dt>'elongated_square_pyramid'</dt><dd>Elongated square pyramid with regular facets. Johnson solid J8.
</dd><dt>'elongated_pentagonal_pyramid'</dt><dd>Elongated pentagonal pyramid with regular facets. Johnson solid J9.
          The vertices are realized as floating point numbers.
</dd><dt>'gyroelongated_square_pyramid'</dt><dd>Gyroelongated square pyramid with regular facets. Johnson solid J10.
          The vertices are realized as floating point numbers.
</dd><dt>'gyroelongated_pentagonal_pyramid'</dt><dd>Gyroelongated pentagonal pyramid with regular facets. Johnson solid J11.
</dd><dt>'triangular_bipyramid'</dt><dd>Triangular bipyramid with regular facets. Johnson solid J12.
</dd><dt>'pentagonal_bipyramid'</dt><dd>Pentagonal bipyramid with regular facets. Johnson solid J13.
          The vertices are realized as floating point numbers.
</dd><dt>'elongated_triangular_bipyramid'</dt><dd>Elongated triangular bipyramid with regular facets. Johnson solid J14.
</dd><dt>'elongated_square_bipyramid'</dt><dd>Elongated square bipyramid with regular facets. Johnson solid J15.
</dd><dt>'elongated_pentagonal_bipyramid'</dt><dd>Elongated pentagonal bipyramid with regular facets. Johnson solid J16.
          The vertices are realized as floating point numbers.
</dd><dt>'gyroelongated_square_bipyramid'</dt><dd>Gyroelongted square bipyramid with regular facets. Johnson solid J17.
          The vertices are realized as floating point numbers.
</dd><dt>'elongated_triangular_cupola'</dt><dd>Elongted triangular cupola with regular facets. Johnson solid J18.
          The vertices are realized as floating point numbers.
</dd><dt>'elongated_square_cupola'</dt><dd>Elongted square cupola with regular facets. Johnson solid J19.
</dd><dt>'elongated_pentagonal_cupola'</dt><dd>Elongted pentagonal cupola with regular facets. Johnson solid J20
          The vertices are realized as floating point numbers.
</dd><dt>'elongated_pentagonal_rotunda'</dt><dd>Elongated pentagonal rotunda with regular facets. Johnson solid J21.
          The vertices are realized as floating point numbers.
</dd><dt>'gyroelongated_triangular_cupola'</dt><dd>Gyroelongted triangular cupola with regular facets. Johnson solid J22.
          The vertices are realized as floating point numbers.
</dd><dt>'gyroelongated_square_cupola'</dt><dd>Gyroelongted square cupola with regular facets. Johnson solid J23.
          The vertices are realized as floating point numbers.
</dd><dt>'gyroelongated_pentagonal_cupola'</dt><dd>Gyroelongted pentagonal cupola with regular facets. Johnson solid J24.
          The vertices are realized as floating point numbers.
</dd><dt>'gyroelongated_pentagonal_rotunda'</dt><dd>Gyroelongted pentagonal rotunda with regular facets. Johnson solid J25.
          The vertices are realized as floating point numbers.
</dd><dt>'gyrobifastigium'</dt><dd>Gyrobifastigium with regular facets. Johnson solid J26.
</dd><dt>'triangular_orthobicupola'</dt><dd>Triangular orthobicupola with regular facets. Johnson solid J27.
</dd><dt>'square_orthobicupola'</dt><dd>Square orthobicupola with regular facets. Johnson solid J28.
</dd><dt>'square_gyrobicupola'</dt><dd>Square gyrobicupola with regular facets. Johnson solid J29.
</dd><dt>'pentagonal_orthobicupola'</dt><dd>Pentagonal orthobicupola with regular facets. Johnson solid J30.
          The vertices are realized as floating point numbers.
</dd><dt>'pentagonal_gyrobicupola'</dt><dd>Pentagonal gyrobicupola with regular facets. Johnson solid J31.
          The vertices are realized as floating point numbers.
</dd><dt>'pentagonal_orthocupolarotunda'</dt><dd>Pentagonal orthocupolarotunda with regular facets. Johnson solid J32.
          The vertices are realized as floating point numbers.
</dd><dt>'pentagonal_gyrocupolarotunda'</dt><dd>Pentagonal gyrocupolarotunda with regular facets. Johnson solid J33.
          The vertices are realized as floating point numbers.
</dd><dt>'pentagonal_orthobirotunda'</dt><dd>Pentagonal orthobirotunda with regular facets. Johnson solid J32.
          The vertices are realized as floating point numbers.
</dd><dt>'elongated_triangular_orthbicupola'</dt><dd>Elongated triangular orthobicupola with regular facets. Johnson solid J35.
          The vertices are realized as floating point numbers.
</dd><dt>'elongated_triangular_gyrobicupola'</dt><dd>Elongated triangular gyrobicupola with regular facets. Johnson solid J36.
          The vertices are realized as floating point numbers.
</dd><dt>'elongated_square_gyrobicupola'</dt><dd>Elongated square gyrobicupola with regular facets. Johnson solid J37.
</dd><dt>'elongated_pentagonal_orthobicupola'</dt><dd>Elongated pentagonal orthobicupola with regular facets. Johnson solid J38.
          The vertices are realized as floating point numbers.
</dd><dt>'elongated_pentagonal_gyrobicupola'</dt><dd>Elongated pentagonal gyrobicupola with regular facets. Johnson solid J39.
          The vertices are realized as floating point numbers.
</dd><dt>'elongated_pentagonal_orthocupolarotunda'</dt><dd>Elongated pentagonal orthocupolarotunda with regular facets. Johnson solid J40.
          The vertices are realized as floating point numbers.
</dd><dt>'elongated_pentagonal_gyrocupolarotunda'</dt><dd>Elongated pentagonal gyrocupolarotunda with regular facets. Johnson solid J41.
          The vertices are realized as floating point numbers.
</dd><dt>'elongated_pentagonal_orthobirotunda'</dt><dd>Elongated pentagonal orthobirotunda with regular facets. Johnson solid J42.
          The vertices are realized as floating point numbers.
</dd><dt>'elongated_pentagonal_gyrobirotunda'</dt><dd>Elongated pentagonal gyrobirotunda with regular facets. Johnson solid J43.
          The vertices are realized as floating point numbers.
</dd><dt>'gyroelongated_triangular_bicupola'</dt><dd>Gyroelongated triangular bicupola with regular facets. Johnson solid J44.
          The vertices are realized as floating point numbers.
</dd><dt>'elongated_square_bicupola'</dt><dd>Elongated square bicupola with regular facets. Johnson solid J45.
          The vertices are realized as floating point numbers.
</dd><dt>'gyroelongated_pentagonal_bicupola'</dt><dd>Gyroelongated pentagonal bicupola with regular facets. Johnson solid J46.
          The vertices are realized as floating point numbers.
</dd><dt>'gyroelongated_pentagonal_cupolarotunda'</dt><dd>Gyroelongated pentagonal cupolarotunda with regular facets. Johnson solid J47.
          The vertices are realized as floating point numbers.
</dd><dt>'gyroelongated_pentagonal_birotunda'</dt><dd>Gyroelongated pentagonal birotunda with regular facets. Johnson solid J48.
          The vertices are realized as floating point numbers.
</dd><dt>'augmented_triangular_prism'</dt><dd>Augmented triangular prism with regular facets. Johnson solid J49.
          The vertices are realized as floating point numbers.
</dd><dt>'biaugmented_triangular_prism'</dt><dd>Biaugmented triangular prism with regular facets. Johnson solid J50.
          The vertices are realized as floating point numbers.
</dd><dt>'triaugmented_triangular_prism'</dt><dd>Triaugmented triangular prism with regular facets. Johnson solid J51.
          The vertices are realized as floating point numbers.
</dd><dt>'augmented_pentagonal_prism'</dt><dd>Augmented prantagonal prism  with regular facets. Johnson solid J52.
          The vertices are realized as floating point numbers.
</dd><dt>'biaugmented_pentagonal_prism'</dt><dd>Augmented pentagonal prism with regular facets. Johnson solid J53.
          The vertices are realized as floating point numbers.
</dd><dt>'augmented_hexagonal_prism'</dt><dd>Augmented hexagonal prism with regular facets. Johnson solid J54.
          The vertices are realized as floating point numbers.
</dd><dt>'parabiaugmented_hexagonal_prism'</dt><dd>Parabiaugmented hexagonal prism with regular facets. Johnson solid J55.
          The vertices are realized as floating point numbers.
</dd><dt>'metabiaugmented_hexagonal_prism'</dt><dd>Metabiaugmented hexagonal prism with regular facets. Johnson solid J56.
          The vertices are realized as floating point numbers.
</dd><dt>'triaugmented_hexagonal_prism'</dt><dd>triaugmented hexagonal prism with regular facets. Johnson solid J57.
          The vertices are realized as floating point numbers.
</dd><dt>'augmented_dodecahedron'</dt><dd>Augmented dodecahedron with regular facets. Johnson solid J58.
          The vertices are realized as floating point numbers.
</dd><dt>'parabiaugmented_dodecahedron'</dt><dd>Parabiaugmented dodecahedron with regular facets. Johnson solid J59.
          The vertices are realized as floating point numbers.
</dd><dt>'metabiaugmented_dodecahedron'</dt><dd>Metabiaugmented dodecahedron with regular facets. Johnson solid J60.
          The vertices are realized as floating point numbers.
</dd><dt>'triaugmented_dodecahedron'</dt><dd>Triaugmented dodecahedron with regular facets. Johnson solid J61.
          The vertices are realized as floating point numbers.
</dd><dt>'metabidiminished_icosahedron'</dt><dd>Metabidiminished icosahedron with regular facets. Johnson solid J62.
</dd><dt>'tridiminished_icosahedron'</dt><dd>Tridiminished icosahedron with regular facets. Johnson solid J63.
</dd><dt>'augmented_tridiminished_icosahedron'</dt><dd>Augmented tridiminished icosahedron with regular facets. Johnson solid J64.
          The vertices are realized as floating point numbers.
</dd><dt>'augmented_truncated_tetrahedron'</dt><dd>Augmented truncated tetrahedron with regular facets. Johnson solid J65.
</dd><dt>'augmented_truncated_cube'</dt><dd>Augmented truncated cube with regular facets. Johnson solid J66.
</dd><dt>'biaugmented_truncated_cube'</dt><dd>Biaugmented truncated cube with regular facets. Johnson solid J67.
</dd><dt>'augmented_truncated_dodecahedron'</dt><dd>Augmented truncated dodecahedron with regular facets. Johnson solid J68.
          The vertices are realized as floating point numbers.
</dd><dt>'parabiaugmented_truncated_dodecahedron'</dt><dd>Parabiaugmented truncated dodecahedron with regular facets. Johnson solid J69.
          The vertices are realized as floating point numbers.
</dd><dt>'metabiaugmented_truncated_dodecahedron'</dt><dd>Metabiaugmented truncated dodecahedron with regular facets. Johnson solid J70.
          The vertices are realized as floating point numbers.
</dd><dt>'triaugmented_truncated_dodecahedron'</dt><dd>Triaugmented truncated dodecahedron with regular facets. Johnson solid J71.
          The vertices are realized as floating point numbers.
</dd><dt>'gyrate_rhombicosidodecahedron'</dt><dd>Gyrate rhombicosidodecahedron with regular facets. Johnson solid J72.
          The vertices are realized as floating point numbers.
</dd><dt>'parabigyrate_rhombicosidodecahedron'</dt><dd>Parabigyrate rhombicosidodecahedron with regular facets. Johnson solid J73.
          The vertices are realized as floating point numbers.
</dd><dt>'metabigyrate_rhombicosidodecahedron'</dt><dd>Metabigyrate rhombicosidodecahedron with regular facets. Johnson solid J74.
          The vertices are realized as floating point numbers.
</dd><dt>'trigyrate_rhombicosidodecahedron'</dt><dd>Trigyrate rhombicosidodecahedron with regular facets. Johnson solid J75.
          The vertices are realized as floating point numbers.
</dd><dt>'diminished_rhombicosidodecahedron'</dt><dd>Diminished rhombicosidodecahedron with regular facets. Johnson solid J76.
</dd><dt>'paragyrate_diminished_rhombicosidodecahedron'</dt><dd>Paragyrate diminished rhombicosidodecahedron with regular facets. Johnson solid J77.
          The vertices are realized as floating point numbers.
</dd><dt>'metagyrate_diminished_rhombicosidodecahedron'</dt><dd>Metagyrate diminished rhombicosidodecahedron with regular facets. Johnson solid J78.
          The vertices are realized as floating point numbers.
</dd><dt>'bigyrate_diminished_rhombicosidodecahedron'</dt><dd>Bigyrate diminished rhombicosidodecahedron with regular facets. Johnson solid J79.
          The vertices are realized as floating point numbers.
</dd><dt>'parabidiminished_rhombicosidodecahedron'</dt><dd>Parabidiminished rhombicosidodecahedron with regular facets. Johnson solid J80.
</dd><dt>'metabidiminished_rhombicosidodecahedron'</dt><dd>Metabidiminished rhombicosidodecahedron with regular facets. Johnson solid J81.
</dd><dt>'gyrate_bidiminished_rhombicosidodecahedron'</dt><dd>Gyrate bidiminished rhombicosidodecahedron with regular facets. Johnson solid J82.
          The vertices are realized as floating point numbers.
</dd><dt>'triminished_rhombicosidodecahedron'</dt><dd>Tridiminished rhombicosidodecahedron with regular facets. Johnson solid J83.
</dd><dt>'snub_disphenoid'</dt><dd>Snub disphenoid with regular facets. Johnson solid J84.
          The vertices are realized as floating point numbers.
</dd><dt>'snub_square_antisprim'</dt><dd>Snub square antiprism with regular facets. Johnson solid J85.
          The vertices are realized as floating point numbers.
</dd><dt>'sphenocorona'</dt><dd>Sphenocorona with regular facets. Johnson solid J86.
          The vertices are realized as floating point numbers.
</dd><dt>'augmented_sphenocorona'</dt><dd>Augmented sphenocorona with regular facets. Johnson solid J87.
          The vertices are realized as floating point numbers.
</dd><dt>'sphenomegacorona'</dt><dd>Sphenomegacorona with regular facets. Johnson solid J88.
          The vertices are realized as floating point numbers.
</dd><dt>'hebesphenomegacorona'</dt><dd>Hebesphenomegacorona with regular facets. Johnson solid J89.
          The vertices are realized as floating point numbers.
</dd><dt>'disphenocingulum'</dt><dd>Disphenocingulum with regular facets. Johnson solid J90.
          The vertices are realized as floating point numbers.
</dd><dt>'bilunabirotunda'</dt><dd>Bilunabirotunda with regular facets. Johnson solid J91.
</dd><dt>'triangular_hebesphenorotunda'</dt><dd>Triangular hebesphenorotunda with regular facets. Johnson solid J92.
</dd></dl></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:platonic_solid" onclick="swap_content('span:platonic_solid'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="platonic_solid" onclick="swap_content('span:platonic_solid'); return false;"><b>platonic_solid</b></a>
			(s)  

			
				→ Polytope<div style="display: inline" id="span:platonic_solid" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create Platonic solid of the given name.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">s</td><td><div class="descr"><div>the name of the desired Platonic solid</div><div>Possible values:</div><dl><dt>'tetrahedron'</dt><dd>Tetrahedron.
          Regular polytope with four triangular facets.
</dd><dt>'cube'</dt><dd>Cube.
          Regular polytope with six square facets.
</dd><dt>'octahedron'</dt><dd>Octahedron.
          Regular polytope with eight triangular facets.
</dd><dt>'dodecahedron'</dt><dd>Dodecahedron.
          Regular polytope with 12 pentagonal facets.
</dd><dt>'icosahedron'</dt><dd>Icosahedron.
          Regular polytope with 20 triangular facets.
</dd></dl></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:regular_120_cell" onclick="swap_content('span:regular_120_cell'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="regular_120_cell" onclick="swap_content('span:regular_120_cell'); return false;"><b>regular_120_cell</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:regular_120_cell" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create exact regular 120-cell in Q(sqrt{5}).</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:regular_24_cell" onclick="swap_content('span:regular_24_cell'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="regular_24_cell" onclick="swap_content('span:regular_24_cell'); return false;"><b>regular_24_cell</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:regular_24_cell" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create regular 24-cell.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:regular_600_cell" onclick="swap_content('span:regular_600_cell'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="regular_600_cell" onclick="swap_content('span:regular_600_cell'); return false;"><b>regular_600_cell</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:regular_600_cell" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create exact regular 600-cell in Q(sqrt{5}).</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:regular_simplex" onclick="swap_content('span:regular_simplex'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="regular_simplex" onclick="swap_content('span:regular_simplex'); return false;"><b>regular_simplex</b></a>
			(d)  

			
				→ Polytope<div style="display: inline" id="span:regular_simplex" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a regular <em class="param">d</em>-simplex embedded in R^d with edge length sqrt(2).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">group</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">To print the vertices (in homogeneous coordinates) of the regular
 2-simplex, i.e. an equilateral triangle, type this:<code>&gt; print regular_simplex(2)-&gt;VERTICES;</code><code> 1 1 0</code><code> 1 0 1</code><code> 1 1/2-1/2r3 1/2-1/2r3</code> The polytopes cordinate type is QuadraticExtension&lt;Rational&gt;, thus numbers that can
 be represented as a + b*sqrt(c) with Rational numbers a, b and c. The last row vectors
 entrys thus represent the number 1/2*(1-sqrt(3)).</div></li><li><div class="descr">To store a regular 3-simplex in the variable $s and also calculate its
 symmetry group, type this:<code>&gt; $s = regular_simplex(3,group=&gt;1);</code> You can then print the groups generators like so:<code>&gt; print $s-&gt;GROUP-&gt;GENERATORS;</code><code> 1 0 2</code><code> 2 0 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:rhombicosidodecahedron" onclick="swap_content('span:rhombicosidodecahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="rhombicosidodecahedron" onclick="swap_content('span:rhombicosidodecahedron'); return false;"><b>rhombicosidodecahedron</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:rhombicosidodecahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create exact rhombicosidodecahedron in Q(sqrt{5}).  An Archimedean solid.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:rhombicuboctahedron" onclick="swap_content('span:rhombicuboctahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="rhombicuboctahedron" onclick="swap_content('span:rhombicuboctahedron'); return false;"><b>rhombicuboctahedron</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:rhombicuboctahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create rhombicuboctahedron.  An Archimedean solid.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simple_roots_type_A" onclick="swap_content('span:simple_roots_type_A'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simple_roots_type_A" onclick="swap_content('span:simple_roots_type_A'); return false;"><b>simple_roots_type_A</b></a>
			(index)  

			
				→ SparseMatrix<div style="display: inline" id="span:simple_roots_type_A" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the simple roots of the Coxeter arrangement of type A
 Indices are taken w.r.t. the Dynkin diagram  0 ---- 1 ---- ... ---- n-1
 Note that the roots lie at infinity to facilitate reflecting in them, and are normalized to length sqrt{2}.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">index</td><td><div class="descr"><div>of the arrangement (3, 4, etc)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simple_roots_type_B" onclick="swap_content('span:simple_roots_type_B'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simple_roots_type_B" onclick="swap_content('span:simple_roots_type_B'); return false;"><b>simple_roots_type_B</b></a>
			(index)  

			
				→ SparseMatrix<div style="display: inline" id="span:simple_roots_type_B" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the simple roots of the Coxeter arrangement of type B
 Indices are taken w.r.t. the Dynkin diagram  0 ---- 1 ---- ... ---- n-2 --(4)--&gt; n-1
 Note that the roots lie at infinity to facilitate reflecting in them, and are normalized to length sqrt{2}.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">index</td><td><div class="descr"><div>of the arrangement (3, 4, etc)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simple_roots_type_C" onclick="swap_content('span:simple_roots_type_C'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simple_roots_type_C" onclick="swap_content('span:simple_roots_type_C'); return false;"><b>simple_roots_type_C</b></a>
			(index)  

			
				→ SparseMatrix<div style="display: inline" id="span:simple_roots_type_C" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the simple roots of the Coxeter arrangement of type C
 Indices are taken w.r.t. the Dynkin diagram  0 ---- 1 ---- ... ---- n-2 &lt;--(4)-- n-1
 Note that the roots lie at infinity to facilitate reflecting in them, and are normalized to length sqrt{2}.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">index</td><td><div class="descr"><div>of the arrangement (3, 4, etc)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simple_roots_type_D" onclick="swap_content('span:simple_roots_type_D'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simple_roots_type_D" onclick="swap_content('span:simple_roots_type_D'); return false;"><b>simple_roots_type_D</b></a>
			(index)  

			
				→ SparseMatrix<div style="display: inline" id="span:simple_roots_type_D" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the simple roots of the Coxeter arrangement of type D
 Indices are taken w.r.t. the Dynkin diagram
                      n-2
                      /
     0 - 1 - ... - n-3</p><p>                      n-1
 Note that the roots lie at infinity to facilitate reflecting in them, and are normalized to length sqrt{2}.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">index</td><td><div class="descr"><div>of the arrangement (3, 4, etc)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simple_roots_type_E6" onclick="swap_content('span:simple_roots_type_E6'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simple_roots_type_E6" onclick="swap_content('span:simple_roots_type_E6'); return false;"><b>simple_roots_type_E6</b></a>
			()  

			
				→ SparseMatrix<div style="display: inline" id="span:simple_roots_type_E6" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the simple roots of the Coxeter arrangement of type E6
 Indices are taken w.r.t. the Dynkin diagram 
                   3
                   |
                   |
     0 ---- 1 ---- 2 ---- 4 ---- 5 
 Note that the roots lie at infinity to facilitate reflecting in them.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simple_roots_type_E7" onclick="swap_content('span:simple_roots_type_E7'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simple_roots_type_E7" onclick="swap_content('span:simple_roots_type_E7'); return false;"><b>simple_roots_type_E7</b></a>
			()  

			
				→ SparseMatrix<div style="display: inline" id="span:simple_roots_type_E7" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the simple roots of the Coxeter arrangement of type E7
 Indices are taken w.r.t. the Dynkin diagram 
                          4
                          |
                          |
     0 ---- 1 ---- 2 ---- 3 ---- 5 ---- 6 
 Note that the roots lie at infinity to facilitate reflecting in them.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simple_roots_type_E8" onclick="swap_content('span:simple_roots_type_E8'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simple_roots_type_E8" onclick="swap_content('span:simple_roots_type_E8'); return false;"><b>simple_roots_type_E8</b></a>
			()  

			
				→ SparseMatrix<div style="display: inline" id="span:simple_roots_type_E8" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the simple roots of the Coxeter arrangement of type E8
 Indices are taken w.r.t. the Dynkin diagram 
                                 5
                                 |
                                 |
     0 ---- 1 ---- 2 ---- 3 ---- 4 ---- 6 ---- 7 
 Note that the roots lie at infinity to facilitate reflecting in them.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simple_roots_type_F4" onclick="swap_content('span:simple_roots_type_F4'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simple_roots_type_F4" onclick="swap_content('span:simple_roots_type_F4'); return false;"><b>simple_roots_type_F4</b></a>
			()  

			
				→ SparseMatrix<div style="display: inline" id="span:simple_roots_type_F4" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the simple roots of the Coxeter arrangement of type F4
 Indices are taken w.r.t. the Dynkin diagram 
     0 ---- 1 --(4)--&gt; 2 ---- 3</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simple_roots_type_G2" onclick="swap_content('span:simple_roots_type_G2'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simple_roots_type_G2" onclick="swap_content('span:simple_roots_type_G2'); return false;"><b>simple_roots_type_G2</b></a>
			()  

			
				→ SparseMatrix<div style="display: inline" id="span:simple_roots_type_G2" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the simple roots of the Coxeter arrangement of type G2
 Indices are taken w.r.t. the Dynkin diagram  0 &lt;--(6)-- 1</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simple_roots_type_H3" onclick="swap_content('span:simple_roots_type_H3'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simple_roots_type_H3" onclick="swap_content('span:simple_roots_type_H3'); return false;"><b>simple_roots_type_H3</b></a>
			()  

			
				→ SparseMatrix<div style="display: inline" id="span:simple_roots_type_H3" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the simple roots of the Coxeter arrangement of type H3
 Indices are taken w.r.t. the Dynkin diagram  0 --(5)-- 1 ---- 2
 Note that the roots lie at infinity to facilitate reflecting in them, and are normalized to length 2</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simple_roots_type_H4" onclick="swap_content('span:simple_roots_type_H4'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simple_roots_type_H4" onclick="swap_content('span:simple_roots_type_H4'); return false;"><b>simple_roots_type_H4</b></a>
			()  

			
				→ SparseMatrix<div style="display: inline" id="span:simple_roots_type_H4" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the simple roots of the Coxeter arrangement of type H4
 Indices are taken w.r.t. the Dynkin diagram  0 --(5)-- 1 ---- 2 ---- 3
 Note that the roots lie at infinity to facilitate reflecting in them, and are normalized to length sqrt{2}</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:tetrahedron" onclick="swap_content('span:tetrahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="tetrahedron" onclick="swap_content('span:tetrahedron'); return false;"><b>tetrahedron</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:tetrahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create regular tetrahedron.  A Platonic solid.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:truncated_cube" onclick="swap_content('span:truncated_cube'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="truncated_cube" onclick="swap_content('span:truncated_cube'); return false;"><b>truncated_cube</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:truncated_cube" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create truncated cube.  An Archimedean solid.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:truncated_cuboctahedron" onclick="swap_content('span:truncated_cuboctahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="truncated_cuboctahedron" onclick="swap_content('span:truncated_cuboctahedron'); return false;"><b>truncated_cuboctahedron</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:truncated_cuboctahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create truncated cuboctahedron.  An Archimedean solid.
 This is actually a misnomer.  The actual truncation of a cuboctahedron
 is normally equivalent to this construction, 
 but has two different edge lengths. This construction has regular 2-faces.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:truncated_dodecahedron" onclick="swap_content('span:truncated_dodecahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="truncated_dodecahedron" onclick="swap_content('span:truncated_dodecahedron'); return false;"><b>truncated_dodecahedron</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:truncated_dodecahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create exact truncated dodecahedron in Q(sqrt{5}).  An Archimedean solid.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:truncated_icosahedron" onclick="swap_content('span:truncated_icosahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="truncated_icosahedron" onclick="swap_content('span:truncated_icosahedron'); return false;"><b>truncated_icosahedron</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:truncated_icosahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create exact truncated icosahedron in Q(sqrt{5}).  An Archimedean solid.
 Also known as the soccer ball.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:truncated_icosidodecahedron" onclick="swap_content('span:truncated_icosidodecahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="truncated_icosidodecahedron" onclick="swap_content('span:truncated_icosidodecahedron'); return false;"><b>truncated_icosidodecahedron</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:truncated_icosidodecahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create exact truncated icosidodecahedron in Q(sqrt{5}).  An Archimedean solid.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:truncated_octahedron" onclick="swap_content('span:truncated_octahedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="truncated_octahedron" onclick="swap_content('span:truncated_octahedron'); return false;"><b>truncated_octahedron</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:truncated_octahedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create truncated octahedron.  An Archimedean solid.
 Also known as the 3-permutahedron.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:wythoff" onclick="swap_content('span:wythoff'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="wythoff" onclick="swap_content('span:wythoff'); return false;"><b>wythoff</b></a>
			(type, rings)  

			
				→ Polytope<div style="display: inline" id="span:wythoff" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce the orbit polytope of a point under a Coxeter arrangement
 with exact coordinates, possibly in a qudratic extension field of the rationals</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">type</td><td><div class="descr"><div>single letter followed by rank representing the type of the arrangement</div></div></td></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">rings</td><td><div class="descr"><div>indices of the hyperplanes corresponding to simple roots of the arrangement
 that the initial point should NOT lie on</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Quotient_spaces" onclick="swap_content('span:functions__Quotient_spaces'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Quotient_spaces" onclick="swap_content('span:functions__Quotient_spaces'); return false;"><span class="category">Quotient spaces</span></a></h3></div><div style="display: inline" id="span:functions__Quotient_spaces" class="foldit"><div class="descr"><p> Topologic cell complexes defined as quotients over polytopes modulo a discrete group.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:cs_quotient" onclick="swap_content('span:cs_quotient'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cs_quotient" onclick="swap_content('span:cs_quotient'); return false;"><b>cs_quotient</b></a>
			(P)  

			<div style="display: inline" id="span:cs_quotient" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For a centrally symmetric polytope, divide
 out the central symmetry, i.e, identify diametrically opposite faces.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>, centrally symmetric</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cylinder_2" onclick="swap_content('span:cylinder_2'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cylinder_2" onclick="swap_content('span:cylinder_2'); return false;"><b>cylinder_2</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:cylinder_2" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Return a 2-dimensional <em class="u">cylinder</em> obtained by identifying two opposite sides of a square.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:quarter_turn_manifold" onclick="swap_content('span:quarter_turn_manifold'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="quarter_turn_manifold" onclick="swap_content('span:quarter_turn_manifold'); return false;"><b>quarter_turn_manifold</b></a>
			()  

			
				→ Polytope<div style="display: inline" id="span:quarter_turn_manifold" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Return the 3-dimensional Euclidean manifold obtained by identifying opposite faces
 of a 3-dimensional cube by a quarter turn. After identification, two classes 
 of vertices remain.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:write_quotient_space_simplexity_ilp" onclick="swap_content('span:write_quotient_space_simplexity_ilp'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="write_quotient_space_simplexity_ilp" onclick="swap_content('span:write_quotient_space_simplexity_ilp'); return false;"><b>write_quotient_space_simplexity_ilp</b></a>
			()  

			<div style="display: inline" id="span:write_quotient_space_simplexity_ilp" class="foldit"><br/><div class="descr_func"><div class="descr"><p> outputs a linear program whose optimal value is a lower bound for the number of simplices 
 necessary to triangulate the polytope in such a way that its symmetries respect the triangulation
 of the boundary.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"/></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Symmetry" onclick="swap_content('span:functions__Symmetry'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Symmetry" onclick="swap_content('span:functions__Symmetry'); return false;"><span class="category">Symmetry</span></a></h3></div><div style="display: inline" id="span:functions__Symmetry" class="foldit"><div class="descr"><p> These functions capture information of the object that is concerned with the action of permutation groups.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:alternating_group" onclick="swap_content('span:alternating_group'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="alternating_group" onclick="swap_content('span:alternating_group'); return false;"><b>alternating_group</b></a>
			(degree, domain)  

			
				→ group::GroupOfPolytope<div style="display: inline" id="span:alternating_group" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs an <em class="u">alternating group</em> of given <em class="param">degree</em>. (See also <a href="group.html#alternating_group" onclick="unfold('span:alternating_group');">group::alternating_group</a>.)</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">degree</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">domain</td><td><div class="descr"><div>of the polytope's symmetry group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="group.html#GroupOfPolytope" onclick="unfold('span:GroupOfPolytope');">group::GroupOfPolytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:combinatorial_symmetries" onclick="swap_content('span:combinatorial_symmetries'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="combinatorial_symmetries" onclick="swap_content('span:combinatorial_symmetries'); return false;"><b>combinatorial_symmetries</b></a>
			(poly, on_vertices)  

			
				→ group::GroupOfPolytope<div style="display: inline" id="span:combinatorial_symmetries" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the combinatorial symmetries (i.e., automorphisms of the face lattice) of
 a given polytope <em class="param">poly</em>. If <em class="param">on_vertices</em> is set to 1, the function
 returns a <a href="group.html#GroupOfPolytope" onclick="unfold('span:GroupOfPolytope');">GroupOfPolytope</a> which acts on the vertices. If <em class="param">on_vertices</em> is set
 to any other number, the function returns a <a href="group.html#GroupOfPolytope" onclick="unfold('span:GroupOfPolytope');">GroupOfPolytope</a> 
 which acts on the facets of the polytope. If <em class="param">on_vertices</em> is unspecified, both 
 groups are returned.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">poly</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">on_vertices</td><td><div class="descr"><div>specifies whether the returned group should act on vertices (1) or on facets (2)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="group.html#GroupOfPolytope" onclick="unfold('span:GroupOfPolytope');">group::GroupOfPolytope</a></td><td><div class="descr"><div>the combinatorial symmetry group acting on the vertices or the facets
     or (group::GroupOfPolytope, group::GroupOfPolytope) = (group on vertices, group on facets) if <em class="param">on_vertices</em> is undefined</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To get the vertex and facet symmetry groups of the square and print their generators, type the following:<code>&gt; ($gv,$gf) = combinatorial_symmetries(cube(2));</code><code>&gt; print $gv-&gt;GENERATORS;</code><code> 2 3 0 1</code><code> 1 0 2 3</code><code>&gt; print $gf-&gt;GENERATORS;</code><code> 0 2 1 3</code><code> 1 0 3 2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:convert_coord_action" onclick="swap_content('span:convert_coord_action'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="convert_coord_action" onclick="swap_content('span:convert_coord_action'); return false;"><b>convert_coord_action</b></a>
			(group, mat, dom_out)  

			
				→ group::Group<div style="display: inline" id="span:convert_coord_action" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Converts the generators of a group acting on coordinates to generators 
 of the corresponding group which acts on the rows of the given matrix <em class="param">mat</em>. 
 The parameter <em class="param">dom_out</em> specifies whether <em class="param">mat</em> describes vertices or facets.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="group.html#Group" onclick="unfold('span:Group');">group::Group</a></td><td class="param">group</td><td><div class="descr"><div>input group acting on coordinates</div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">mat</td><td><div class="descr"><div>vertices or facets of a polytope</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">dom_out</td><td><div class="descr"><div>OnRays(1) or OnFacets(2)</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">name</td><td><div class="descr"><div>an optional name for the output group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="group.html#Group" onclick="unfold('span:Group');">group::Group</a></td><td><div class="descr"><div>a new group object with the generators induced on the new domain</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:convert_group_domain" onclick="swap_content('span:convert_group_domain'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="convert_group_domain" onclick="swap_content('span:convert_group_domain'); return false;"><b>convert_group_domain</b></a>
			(group, VIF)  

			
				→ group::Group<div style="display: inline" id="span:convert_group_domain" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Converts the generators of the input group from the domain onRays 
 to generators on the domain onFacets, and vice versa. </p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="group.html#Group" onclick="unfold('span:Group');">group::Group</a></td><td class="param">group</td><td/></tr><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td class="param">VIF</td><td><div class="descr"><div>the vertex-facet incidence matrix of the cone or polytope</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">name</td><td><div class="descr"><div>an optional name for the output group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="group.html#Group" onclick="unfold('span:Group');">group::Group</a></td><td><div class="descr"><div>a new group object with the generators induced on the new domain</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:cyclic_group" onclick="swap_content('span:cyclic_group'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="cyclic_group" onclick="swap_content('span:cyclic_group'); return false;"><b>cyclic_group</b></a>
			(degree, domain)  

			
				→ group::GroupOfPolytope<div style="display: inline" id="span:cyclic_group" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">cyclic group</em> of given <em class="param">degree</em>. (See also <a href="group.html#cyclic_group" onclick="unfold('span:cyclic_group');">group::cyclic_group</a>.)</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">degree</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">domain</td><td><div class="descr"><div>of the polytope's symmetry group</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="group.html#GroupOfPolytope" onclick="unfold('span:GroupOfPolytope');">group::GroupOfPolytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:group_from_cyclic_notation0" onclick="swap_content('span:group_from_cyclic_notation0'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="group_from_cyclic_notation0" onclick="swap_content('span:group_from_cyclic_notation0'); return false;"><b>group_from_cyclic_notation0</b></a>
			(group, domain)  

			
				→ group::GroupOfPolytope<div style="display: inline" id="span:group_from_cyclic_notation0" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a group from a string with generators in cyclic notation.
 All numbers in the string are 0-based, meaning that 0 is the smallest number allowed.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">group</td><td><div class="descr"><div>generators in cyclic notation</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">domain</td><td><div class="descr"><div>of the polytope symmetry group. 1 for action on vertex indices, 2 for action"
            on facet indices, 3 for action on coordinates</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="group.html#GroupOfPolytope" onclick="unfold('span:GroupOfPolytope');">group::GroupOfPolytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $g = group_from_cyclic_notation0("(0,2)(1,3)",0);</code><code>&gt; print $g-&gt;GENERATORS;</code><code> 2 3 0 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:group_from_cyclic_notation1" onclick="swap_content('span:group_from_cyclic_notation1'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="group_from_cyclic_notation1" onclick="swap_content('span:group_from_cyclic_notation1'); return false;"><b>group_from_cyclic_notation1</b></a>
			(group, domain)  

			
				→ group::GroupOfPolytope<div style="display: inline" id="span:group_from_cyclic_notation1" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a group from a string with generators in cyclic notation.
 All numbers in the string are 1-based, meaning that 1 is the smallest number allowed.
 Example: "(1,3)(2,4)"</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">group</td><td><div class="descr"><div>generators in cyclic notation</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">domain</td><td><div class="descr"><div>of the polytope symmetry group. 1 for action on vertex indices, 2 for action"
            on facet indices, 3 for action on coordinates</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="group.html#GroupOfPolytope" onclick="unfold('span:GroupOfPolytope');">group::GroupOfPolytope</a></td><td><div class="descr"><div># @example &gt; $g = group_from_cyclic_notation1("(1,3)(2,4)",0);
 &gt; print $g-&gt;GENERATORS;
 | 2 3 0 1</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:lattice_automorphisms_smooth_polytope" onclick="swap_content('span:lattice_automorphisms_smooth_polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="lattice_automorphisms_smooth_polytope" onclick="swap_content('span:lattice_automorphisms_smooth_polytope'); return false;"><b>lattice_automorphisms_smooth_polytope</b></a>
			(P)  

			
				→ Array&lt;Array&lt;Int&gt;&gt;<div style="display: inline" id="span:lattice_automorphisms_smooth_polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a generating set for the lattice automorphism group of a smooth polytope <em class="param">P</em>
 by comparing lattice distances between vertices and facets. </p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the given polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>the generating set for the lattice automorphism group</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print lattice_automorphisms_smooth_polytope(cube(2));</code><code> 2 3 0 1</code><code> 1 0 3 2</code><code> 0 2 1 3</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:linear_symmetries__Matrix" onclick="swap_content('span:linear_symmetries__Matrix'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="linear_symmetries__Matrix" onclick="swap_content('span:linear_symmetries__Matrix'); return false;"><b>linear_symmetries</b></a>
			(m)  

			
				→ group::Group<div style="display: inline" id="span:linear_symmetries__Matrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the linear symmetries of a matrix <em class="param">m</em>
 whose rows describe a point configuration via 'sympol'.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">m</td><td><div class="descr"><div>holds the points as rows whose linear symmetry group is to be computed</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="group.html#Group" onclick="unfold('span:Group');">group::Group</a></td><td><div class="descr"><div>the linear symmetry group of <em class="param">m</em></div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $ls = linear_symmetries(cube(2)-&gt;VERTICES);</code><code>&gt; print $ls-&gt;GENERATORS;</code><code> 0 2 1 3</code><code> 3 1 2 0</code><code> 2 3 0 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:linear_symmetries__Cone__Bool" onclick="swap_content('span:linear_symmetries__Cone__Bool'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="linear_symmetries__Cone__Bool" onclick="swap_content('span:linear_symmetries__Cone__Bool'); return false;"><b>linear_symmetries</b></a>
			(c, dual)  

			
				→ group::GroupOfCone<div style="display: inline" id="span:linear_symmetries__Cone__Bool" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the linear symmetries of a given polytope <em class="param">p</em>
 via 'sympol'. If the input is a cone, it may compute only a subgroup
 of the linear symmetry group.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">c</td><td><div class="descr"><div>the cone (or polytope) whose linear symmetry group is to be computed</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">dual</td><td><div class="descr"><div>true if group action on vertices, false if action on facets</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="group.html#GroupOfCone" onclick="unfold('span:GroupOfCone');">group::GroupOfCone</a></td><td><div class="descr"><div>the linear symmetry group of <em class="param">p</em> (or a subgroup if <em class="param">p</em> is a cone)</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:nestedOPGraph" onclick="swap_content('span:nestedOPGraph'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="nestedOPGraph" onclick="swap_content('span:nestedOPGraph'); return false;"><b>nestedOPGraph</b></a>
			(gen_point, points, lattice_points, group, verbose)  

			
				→ ARRAY<div style="display: inline" id="span:nestedOPGraph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs the NOP-graph of an orbit polytope.
 It is used by the rule for the <a href="#OrbitPolytope__NOP_GRAPH" onclick="unfold('span:OrbitPolytope__NOP_GRAPH');">NOP_GRAPH</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">gen_point</td><td><div class="descr"><div>the generating point</div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td><div class="descr"><div>the vertices of the orbit polytope</div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">lattice_points</td><td><div class="descr"><div>the lattice points of the orbit polytope</div></div></td></tr><tr><td><a href="group.html#GroupOfPolytope" onclick="unfold('span:GroupOfPolytope');">group::GroupOfPolytope</a></td><td class="param">group</td><td><div class="descr"><div>the generating group</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">verbose</td><td><div class="descr"><div>print out additional information</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">ARRAY</a></td><td><div class="descr"><div>($Graph, $lp_reps, $minInStartOrbit, \@core_point_reps, $CPindices)</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:orbit_polytope" onclick="swap_content('span:orbit_polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="orbit_polytope" onclick="swap_content('span:orbit_polytope'); return false;"><b>orbit_polytope</b></a>
			(gen_point, group)  

			
				→ OrbitPolytope<div style="display: inline" id="span:orbit_polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs the orbit polytope of a given point <em class="param">gen_point</em>
 with respect to a given permutation group <em class="param">group</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Rational&gt;</a></td><td class="param">gen_point</td><td><div class="descr"><div>the basis point of the orbit polytope</div></div></td></tr><tr><td><a href="group.html#GroupOfPolytope" onclick="unfold('span:GroupOfPolytope');">group::GroupOfPolytope</a></td><td class="param">group</td><td><div class="descr"><div>a group acting on coordinates</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#OrbitPolytope" onclick="unfold('span:OrbitPolytope');">OrbitPolytope</a></td><td><div class="descr"><div>the orbit polytope of <em class="param">gen_point</em> w.r.t. <em class="param">group</em></div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:ortho_project" onclick="swap_content('span:ortho_project'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="ortho_project" onclick="swap_content('span:ortho_project'); return false;"><b>ortho_project</b></a>
			(p)  

			
				→ Polytope<div style="display: inline" id="span:ortho_project" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Projects a symmetric polytope in R<sup>4</sup> cap H<sub>1,k</sub> to R<sup>3</sup>.
 (See also the polymake extension 'tropmat' by S. Horn.)</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p</td><td><div class="descr"><div>the symmetric polytope to be projected</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td><div class="descr"><div>the image of <em class="param">p</em> in R<sup>3</sup></div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:representation_conversion_up_to_symmetry" onclick="swap_content('span:representation_conversion_up_to_symmetry'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="representation_conversion_up_to_symmetry" onclick="swap_content('span:representation_conversion_up_to_symmetry'); return false;"><b>representation_conversion_up_to_symmetry</b></a>
			(c, a, dual, rayCompMethod)  

			
				→ List<div style="display: inline" id="span:representation_conversion_up_to_symmetry" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the dual description of a polytope up to its linear symmetry group.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">c</td><td><div class="descr"><div>the cone (or polytope) whose dual description is to be computed</div></div></td></tr><tr><td><a href="group.html#Group" onclick="unfold('span:Group');">group::Group</a></td><td class="param">a</td><td><div class="descr"><div>symmetry group of the cone <em class="param">c</em> (<a href="group.html#GroupOfCone" onclick="unfold('span:GroupOfCone');">group::GroupOfCone</a> or <a href="group.html#GroupOfPolytope" onclick="unfold('span:GroupOfPolytope');">group::GroupOfPolytope</a>)</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">dual</td><td><div class="descr"><div>true if V to H, false if H to V</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">rayCompMethod</td><td><div class="descr"><div>specifies sympol's method of ray computation via lrs(0), cdd(1), beneath_and_beyond(2), ppl(3)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#List" onclick="unfold('span:List');">List</a></td><td><div class="descr"><div>(Bool success indicator, Matrix&lt;Rational&gt; vertices/inequalities, Matrix&lt;Rational&gt; lineality/equations)</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:symmetric_group" onclick="swap_content('span:symmetric_group'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="symmetric_group" onclick="swap_content('span:symmetric_group'); return false;"><b>symmetric_group</b></a>
			(degree, domain)  

			
				→ group::GroupOfPolytope<div style="display: inline" id="span:symmetric_group" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs a <em class="u">symmetric group</em> of given <em class="param">degree</em>. (See also <a href="group.html#symmetric_group" onclick="unfold('span:symmetric_group');">group::symmetric_group</a>.)</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">degree</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">domain</td><td><div class="descr"><div>of the polytope's symmetry group. 1 for action on vertex indices, 2 for action"
            on facet indices, 3 for action on coordinates</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="group.html#GroupOfPolytope" onclick="unfold('span:GroupOfPolytope');">group::GroupOfPolytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $g = symmetric_group(5,0);</code><code>&gt; print $g-&gt;GENERATORS;</code><code> 1 0 2 3 4</code><code> 0 2 1 3 4</code><code> 0 1 3 2 4</code><code> 0 1 2 4 3</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:truncated_orbit_polytope" onclick="swap_content('span:truncated_orbit_polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="truncated_orbit_polytope" onclick="swap_content('span:truncated_orbit_polytope'); return false;"><b>truncated_orbit_polytope</b></a>
			(v, group, eps)  

			
				→ SymmetricPolytope<div style="display: inline" id="span:truncated_orbit_polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Constructs an orbit polytope of a given point <em class="param">v</em> with respect to a given group <em class="param">group</em>, 
 in which all vertices are cut off by hyperplanes in distance <em class="param">eps</em> </p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">v</td><td><div class="descr"><div>point of which orbit polytope is to be constructed </div></div></td></tr><tr><td><a href="group.html#GroupOfPolytope" onclick="unfold('span:GroupOfPolytope');">group::GroupOfPolytope</a></td><td class="param">group</td><td><div class="descr"><div>group for which orbit polytope is to be constructed</div></div></td></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">eps</td><td><div class="descr"><div>scaled distance by which the vertices of the orbit polytope are to be cut off</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#SymmetricPolytope" onclick="unfold('span:SymmetricPolytope');">SymmetricPolytope</a></td><td><div class="descr"><div>the truncated orbit polytope</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:visualizeNOP" onclick="swap_content('span:visualizeNOP'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="visualizeNOP" onclick="swap_content('span:visualizeNOP'); return false;"><b>visualizeNOP</b></a>
			(orb, colors_ref, trans_ref)  

			<div style="display: inline" id="span:visualizeNOP" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualizes all (nested) orbit polytopes contained in 
 <em class="param">orb</em> in one picture.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#OrbitPolytope" onclick="unfold('span:OrbitPolytope');">OrbitPolytope</a></td><td class="param">orb</td><td><div class="descr"><div>the orbit polytope</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">ARRAY</a></td><td class="param">colors_ref</td><td><div class="descr"><div>the reference to an array of colors</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">ARRAY</a></td><td class="param">trans_ref</td><td><div class="descr"><div>the reference to an array of transparency values</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:visualizeNOPGraph" onclick="swap_content('span:visualizeNOPGraph'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="visualizeNOPGraph" onclick="swap_content('span:visualizeNOPGraph'); return false;"><b>visualizeNOPGraph</b></a>
			(orb, filename)  

			<div style="display: inline" id="span:visualizeNOPGraph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Visualizes the NOP-graph of an orbit polytope.
 Requires 'graphviz' and a Postscript viewer.
 Produces a file which is to be processed with
 the program 'dot' from the graphviz package.
 If 'dot' is installed, the NOP-graph is visualized
 by the Postscript viewer.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#OrbitPolytope" onclick="unfold('span:OrbitPolytope');">OrbitPolytope</a></td><td class="param">orb</td><td><div class="descr"><div>the orbit polytope</div></div></td></tr><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">filename</td><td><div class="descr"><div>the filename for the 'dot' file</div></div></td></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Transformations" onclick="swap_content('span:functions__Transformations'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Transformations" onclick="swap_content('span:functions__Transformations'); return false;"><span class="category">Transformations</span></a></h3></div><div style="display: inline" id="span:functions__Transformations" class="foldit"><div class="descr"><p> These functions take a realized polytope and produce a new one by applying a
 suitable affine or projective transformation in order to obtain some special
 coordinate description but preserve the combinatorial type.</p><p> For example, before you can polarize an arbitrary polyhedron, it
 must be transformed to a combinatorially equivalent bounded polytope with the
 origin as a relatively interior point. It is achieved with the sequence
 <a href="#orthantify" onclick="unfold('span:orthantify');">orthantify</a> - <a href="#bound" onclick="unfold('span:bound');">bound</a> - <a href="#center" onclick="unfold('span:center');">center</a> - <a href="#polarize" onclick="unfold('span:polarize');">polarize</a>.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:ambient_lattice_normalization" onclick="swap_content('span:ambient_lattice_normalization'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="ambient_lattice_normalization" onclick="swap_content('span:ambient_lattice_normalization'); return false;"><b>ambient_lattice_normalization</b></a>
			(p)  

			
				→ Polytope<div style="display: inline" id="span:ambient_lattice_normalization" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Transform to a full-dimensional polytope while preserving
 the ambient lattice Z^n</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p</td><td><div class="descr"><div>the input polytope,</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">store_transform</td><td><div class="descr"><div>store the reverse transformation as an attachement</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td><div class="descr"><div>- the transformed polytope defined by its vertices.
  Facets are only written if available in <em class="param">p</em>.</div></div></td></tr></table></div><br/><div class="examples"><b>Examples:</b><ul><li><div class="descr">Consider a line segment embedded in 2-space containing three lattice points:<code>&gt; $p = new Polytope(VERTICES=&gt;[[1,0,0],[1,2,2]]);</code><code>&gt; print ambient_lattice_normalization($p)-&gt;VERTICES;</code><code> 1 0</code><code> 1 2</code> The ambient lattice of the projection equals the intersection of the affine hull of $p with Z^2.</div></li><li><div class="descr">Another line segment containing only two lattice points:<code>&gt; $p = new Polytope(VERTICES=&gt;[[1,0,0],[1,1,2]]);</code><code>&gt; $P = ambient_lattice_normalization($p,store_transform=&gt;1);</code><code>&gt; print $P-&gt;VERTICES;</code><code> 1 0</code><code> 1 1</code> To get the transformation, do the following:<code>&gt; print $M = $P-&gt;get_attachment(REVERSE_LATTICE_PROJECTION);</code><code> 1 0 0</code><code> 0 1 2</code><code>&gt; print $P-&gt;VERTICES * $M;</code><code> 1 0 0</code><code> 1 1 2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:bound" onclick="swap_content('span:bound'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="bound" onclick="swap_content('span:bound'); return false;"><b>bound</b></a>
			(P)  

			
				→ Polytope<div style="display: inline" id="span:bound" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Make a positive polyhedron bounded.
 Apply a projective linear transformation to a polyhedron mapping the far hyperplane
 to the hyperplane spanned by the unit vectors.
 The origin (1,0,...,0) is fixed.</p><p> The input polyhedron should be <a href="#Cone__POSITIVE" onclick="unfold('span:Cone__POSITIVE');">POSITIVE</a>; i.e. no negative coordinates.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>a positive polyhedron</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Observe the transformation of a simple unbounded 2-polyhedron:<code>&gt; $P = new Polytope(VERTICES=&gt;[[1,0,0],[0,1,1],[0,0,1]]);</code><code>&gt; print bound($P)-&gt;VERTICES;</code><code> 1 0 0</code><code> 1 1/2 1/2</code><code> 1 0 1</code> As you can see, the far points are mapped to the hyperplane spanned by (1,1,0) and (1,0,1).</div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:center" onclick="swap_content('span:center'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="center" onclick="swap_content('span:center'); return false;"><b>center</b></a>
			(P)  

			
				→ Polytope<div style="display: inline" id="span:center" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Make a polyhedron centered.
 Apply a linear transformation to a polyhedron <em class="param">P</em> such that a relatively interior point
 (preferably the vertex barycenter) is moved to the origin (1,0,...,0).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Consider this triangle not containing the origin:<code>&gt; $P = new Polytope(VERTICES =&gt; [[1,1,1],[1,2,1],[1,1,2]]);</code><code>&gt; $origin = new Vector([1,0,0]);</code><code>&gt; print $PC-&gt;contains_in_interior($origin);</code><code> </code> To create a translate that contains the origin, do this:<code>&gt; $PC = center($P);</code><code>&gt; print $PC-&gt;contains_in_interior($origin);</code><code> 1</code> This is what happened to the vertices:<code>&gt; print $PC-&gt;VERTICES;</code><code> 1 -1/3 -1/3</code><code> 1 2/3 -1/3</code><code> 1 -1/3 2/3</code> There also exists a property to check whether a polytope is centered:<code>&gt; print $PC-&gt;CENTERED;</code><code> 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:orthantify" onclick="swap_content('span:orthantify'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="orthantify" onclick="swap_content('span:orthantify'); return false;"><b>orthantify</b></a>
			(P, v)  

			
				→ Polytope<div style="display: inline" id="span:orthantify" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Make a polyhedron <a href="#Cone__POSITIVE" onclick="unfold('span:Cone__POSITIVE');">POSITIVE</a>.
 Apply an affine transformation to a polyhedron such that the vertex <em class="param">v</em> is mapped
 to the origin (1,0,...,0) and as many facets through this vertex as possible are
 mapped to the bounding facets of the first orthant.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">v</td><td><div class="descr"><div>vertex to be moved to the origin.
   By default it is the first affine vertex of the polyhedron.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To orthantify the square, moving its first vertex to the origin, do this:<code>&gt; $p = orthantify(cube(2),1);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 2 0</code><code> 1 0 0</code><code> 1 2 2</code><code> 1 0 2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:polarize" onclick="swap_content('span:polarize'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="polarize" onclick="swap_content('span:polarize'); return false;"><b>polarize</b></a>
			(C)  

			
				→ Cone<div style="display: inline" id="span:polarize" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Given a bounded, centered, not necessarily full-dimensional 
 polytope <em class="param">P</em>, produce its polar with respect to the 
 standard Euclidean scalar product.
 Note that the definition of the polar has changed after version 2.10: 
 the polar is reflected in the origin to conform with cone polarization
 If <em class="param">P</em> is not full-dimensional, the output will contain lineality 
 orthogonal to the affine span of <em class="param">P</em>. 
 In particular, polarize() of a pointed polytope will always produce 
 a full-dimensional polytope. 
 If you want to compute the polar inside the affine hull you may 
 use the <a href="#pointed_part" onclick="unfold('span:pointed_part');">pointed_part</a> client afterwards.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">C</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_coordinates</td><td><div class="descr"><div>only combinatorial information is handled</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To save the polar of the square in the variable $p and then print its vertices, do this:<code>&gt; $p = polarize(cube(2));</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 1 0</code><code> 1 -1 0</code><code> 1 0 1</code><code> 1 0 -1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:revert" onclick="swap_content('span:revert'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="revert" onclick="swap_content('span:revert'); return false;"><b>revert</b></a>
			(P)  

			
				→ Polytope<div style="display: inline" id="span:revert" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Apply a reverse transformation to a given polyhedron <em class="param">P</em>.
 All transformation clients keep track of the polytope's history.
 They write or update the attachment REVERSE_TRANSFORMATION.</p><p> Applying revert to the transformed polytope reconstructs the original polytope.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>a (transformed) polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td><div class="descr"><div>the original polytope</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following translates the square and then reverts the transformation:<code>&gt; $v = new Vector(1,2);</code><code>&gt; $p = translate(cube(2),$v);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 0 1</code><code> 1 2 1</code><code> 1 0 3</code><code> 1 2 3</code><code>&gt; $q = revert($p);</code><code>&gt; print $q-&gt;VERTICES;</code><code> 1 -1 -1</code><code> 1 1 -1</code><code> 1 -1 1</code><code> 1 1 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:scale" onclick="swap_content('span:scale'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="scale" onclick="swap_content('span:scale'); return false;"><b>scale</b></a>
			(P, factor, store)  

			
				→ Polytope<div style="display: inline" id="span:scale" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Scale a polyhedron <em class="param">P</em> by a given scaling parameter <em class="param">factor</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the polyhedron to be scaled</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">factor</td><td><div class="descr"><div>the scaling factor</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">store</td><td><div class="descr"><div>stores the reverse transformation as an attachment (REVERSE_TRANSFORMATION);
   default value: 1.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To sacle the square by 23, do this:<code>&gt; $p = scale(cube(2),23);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 -23 -23</code><code> 1 23 -23</code><code> 1 -23 23</code><code> 1 23 23</code> The transformation matrix is stored in an attachment:<code>&gt; print $p-&gt;get_attachment('REVERSE_TRANSFORMATION');</code><code> 1 0 0</code><code> 0 1/23 0</code><code> 0 0 1/23</code> To reverse the transformation, you can use the <em class="u">revert</em> function.<code>&gt; $q = revert($p);</code><code>&gt; print $q-&gt;VERTICES;</code><code> 1 -1 -1</code><code> 1 1 -1</code><code> 1 -1 1</code><code> 1 1 1</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:transform" onclick="swap_content('span:transform'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="transform" onclick="swap_content('span:transform'); return false;"><b>transform</b></a>
			(P, trans, store)  

			
				→ Polytope<div style="display: inline" id="span:transform" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Transform a polyhedron <em class="param">P</em> according to the linear
 transformation <em class="param">trans</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the polyhedron to be transformed</div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">trans</td><td><div class="descr"><div>the transformation matrix</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">store</td><td><div class="descr"><div>stores the reverse transformation as an attachment (REVERSE_TRANSFORMATION);
   default value: 1.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This translates the square by (23,23) and stores the transformation:<code>&gt; $M = new Matrix([1,23,23],[0,1,0],[0,0,1]);</code><code>&gt; $p = transform(cube(2),$M,1);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 22 22</code><code> 1 24 22</code><code> 1 22 24</code><code> 1 24 24</code> To retrieve the attached transformation, use this:<code>&gt; print $p-&gt;get_attachment('REVERSE_TRANSFORMATION');</code><code> 1 -23 -23</code><code> 0 1 0</code><code> 0 0 1</code> Check out the <em class="u">revert</em> function to learn how to undo the transformation.
 It might have been more comfortable to use the <em class="u">translate</em> function to achieve the above result.</div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:translate" onclick="swap_content('span:translate'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="translate" onclick="swap_content('span:translate'); return false;"><b>translate</b></a>
			(P, trans, store)  

			
				→ Polytope<div style="display: inline" id="span:translate" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Translate a polyhedron <em class="param">P</em> by a given translation vector <em class="param">trans</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the polyhedron to be translated</div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">trans</td><td><div class="descr"><div>the translation vector</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">store</td><td><div class="descr"><div>stores the reverse transformation as an attachment (REVERSE_TRANSFORMATION);
   default value: 1.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This translates the square by (23,23) and stores the transformation:<code>&gt; $t = new Vector(23,23);</code><code>&gt; $p = translate(cube(2),$t);</code><code>&gt; print $p-&gt;VERTICES;</code><code> 1 22 22</code><code> 1 24 22</code><code> 1 22 24</code><code> 1 24 24</code> To retrieve the attached transformation, use this:<code>&gt; print $p-&gt;get_attachment('REVERSE_TRANSFORMATION');</code><code> 1 -23 -23</code><code> 0 1 0</code><code> 0 0 1</code> Check out the <em class="u">revert</em> function to learn how to undo the transformation.</div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:vertex_lattice_normalization" onclick="swap_content('span:vertex_lattice_normalization'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="vertex_lattice_normalization" onclick="swap_content('span:vertex_lattice_normalization'); return false;"><b>vertex_lattice_normalization</b></a>
			(p)  

			
				→ Polytope<div style="display: inline" id="span:vertex_lattice_normalization" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Transform to a full-dimensional polytope while preserving
 the lattice spanned by vertices
 induced lattice of new vertices = Z^dim</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p</td><td><div class="descr"><div>the input polytope,</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">store_transform</td><td><div class="descr"><div>store the reverse transformation as an attachement</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td><div class="descr"><div>- the transformed polytope defined by its vertices.
  Facets are only written if available in <em class="param">p</em>.</div></div></td></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Triangulations_subdivisions_and_volume" onclick="swap_content('span:functions__Triangulations_subdivisions_and_volume'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Triangulations_subdivisions_and_volume" onclick="swap_content('span:functions__Triangulations_subdivisions_and_volume'); return false;"><span class="category">Triangulations, subdivisions and volume</span></a></h3></div><div style="display: inline" id="span:functions__Triangulations_subdivisions_and_volume" class="foldit"><div class="descr"><p> These functions collect information about triangulations and other subdivisions of the object and properties usually computed from such, as the volume.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:barycentric_subdivision__Cone" onclick="swap_content('span:barycentric_subdivision__Cone'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="barycentric_subdivision__Cone" onclick="swap_content('span:barycentric_subdivision__Cone'); return false;"><b>barycentric_subdivision</b></a>
			(c)  

			
				→ topaz::SimplicialComplex<div style="display: inline" id="span:barycentric_subdivision__Cone" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a simplicial complex as a barycentric subdivision of a given cone or polytope.
 Each vertex in the new complex corresponds to a face in the old complex.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">c</td><td><div class="descr"><div>input cone or polytope</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>generate vertex labels from the faces of the original complex; default true</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">geometric_realization</td><td><div class="descr"><div>create a <a href="topaz.html#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">topaz::GeometricSimplicialComplex</a>; default is true</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="topaz.html#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">topaz::SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:barycentric_subdivision__PointConfiguration" onclick="swap_content('span:barycentric_subdivision__PointConfiguration'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="barycentric_subdivision__PointConfiguration" onclick="swap_content('span:barycentric_subdivision__PointConfiguration'); return false;"><b>barycentric_subdivision</b></a>
			(pc)  

			
				→ PointConfiguration<div style="display: inline" id="span:barycentric_subdivision__PointConfiguration" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a simplicial complex as the barycentric subdivision of a given point configuration.
 Each vertex in the new complex corresponds to a face in the old complex.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td class="param">pc</td><td><div class="descr"><div>input point configuration</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>generate vertex labels from the faces of the original complex; default true</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">geometric_realization</td><td><div class="descr"><div>read <a href="#PointConfiguration__POINTS" onclick="unfold('span:PointConfiguration__POINTS');">POINTS</a> of the input complex,
  compute the coordinates of the new vertices and store them as
  <a href="#PointConfiguration__POINTS" onclick="unfold('span:PointConfiguration__POINTS');">POINTS</a> of the produced complex; default false</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:chirotope" onclick="swap_content('span:chirotope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="chirotope" onclick="swap_content('span:chirotope'); return false;"><b>chirotope</b></a>
			(V)  

			
				→ String<div style="display: inline" id="span:chirotope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> This computes the chirotope of a point or vector configuration.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">V</td><td><div class="descr"><div>The points or vectors, given as rows.</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Int&gt; &gt;</a></td><td class="param">symmetry</td><td><div class="descr"><div>A list of generators of a symmetry group of the points, given as permutations on the indices. If specified, the chirotope is only computed up to symmetry.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:common_refinement__Matrix__IncidenceMatrix__IncidenceMatrix__Int" onclick="swap_content('span:common_refinement__Matrix__IncidenceMatrix__IncidenceMatrix__Int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="common_refinement__Matrix__IncidenceMatrix__IncidenceMatrix__Int" onclick="swap_content('span:common_refinement__Matrix__IncidenceMatrix__IncidenceMatrix__Int'); return false;"><b>common_refinement</b></a>
			(points, sub1, sub2, dim)  

			
				→ IncidenceMatrix<div style="display: inline" id="span:common_refinement__Matrix__IncidenceMatrix__IncidenceMatrix__Int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the common refinement of two subdivisions of <em class="param">points</em>.
 It is assumed that there exists a common refinement of the two subdivisions.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td/></tr><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td class="param">sub1</td><td><div class="descr"><div>first subdivision</div></div></td></tr><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td class="param">sub2</td><td><div class="descr"><div>second subdivision</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">dim</td><td><div class="descr"><div>dimension of the point configuration</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#IncidenceMatrix" onclick="unfold('span:IncidenceMatrix');">IncidenceMatrix</a></td><td><div class="descr"><div>the common refinement</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">A simple 2-dimensional set of points:<code>&gt; $points = new Matrix&lt;Rational&gt;([[1,0,0],[1,1,0],[1,0,1],[1,1,1],[1,2,1]]);</code> Two different subdivisions...<code>&gt; $sub1 = new IncidenceMatrix([[0,1,2],[1,2,3,4]]);</code><code>&gt; $sub2 = new IncidenceMatrix([[1,3,4],[0,1,2,3]]);</code> ...and their common refinement:<code>&gt; print common_refinement($points,$sub1,$sub2,2);</code><code> {0 1 2}</code><code> {1 3 4}</code><code> {1 2 3}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:common_refinement__Polytope__Polytope" onclick="swap_content('span:common_refinement__Polytope__Polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="common_refinement__Polytope__Polytope" onclick="swap_content('span:common_refinement__Polytope__Polytope'); return false;"><b>common_refinement</b></a>
			(p1, p2)  

			
				→ Polytope<div style="display: inline" id="span:common_refinement__Polytope__Polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the common refinement of two subdivisions of the same polytope <em class="param">p1</em>, <em class="param">p2</em>.
 It is assumed that there exists a common refinement of the two subdivisions.
 It is not checked if <em class="param">p1</em> and <em class="param">p2</em> are indeed the same!</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p1</td><td/></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">p2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:delaunay_triangulation" onclick="swap_content('span:delaunay_triangulation'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="delaunay_triangulation" onclick="swap_content('span:delaunay_triangulation'); return false;"><b>delaunay_triangulation</b></a>
			(V)  

			
				→ Array&lt;Set&lt;Int&gt;&gt;<div style="display: inline" id="span:delaunay_triangulation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the Delaunay triangulation of the given <a href="#VoronoiDiagram__SITES" onclick="unfold('span:VoronoiDiagram__SITES');">SITES</a> of a VoronoiDiagram <em class="param">V</em>. If the sites are
 not in general position, the non-triangular facets of the Delaunay subdivision are
 triangulated (by applying the beneath-beyond algorithm).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#VoronoiDiagram" onclick="unfold('span:VoronoiDiagram');">VoronoiDiagram</a></td><td class="param">V</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; $VD = new VoronoiDiagram(SITES=&gt;[[1,1,1],[1,0,1],[1,-1,1],[1,1,-1],[1,0,-1],[1,-1,-1]]);</code><code>&gt; $D = delaunay_triangulation($VD);</code><code>&gt; print $D;</code><code> {1 2 4}</code><code> {2 4 5}</code><code> {0 1 3}</code><code> {1 3 4}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:foldable_max_signature_ilp" onclick="swap_content('span:foldable_max_signature_ilp'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="foldable_max_signature_ilp" onclick="swap_content('span:foldable_max_signature_ilp'); return false;"><b>foldable_max_signature_ilp</b></a>
			(d, points, volume, cocircuit_equations)  

			
				→ LinearProgram&lt;Rational&gt;<div style="display: inline" id="span:foldable_max_signature_ilp" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Set up an ILP whose MAXIMAL_VALUE is the maximal signature of a foldable triangulation of a polytope, point configuration or quotient manifold</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension of the input polytope, point configuration or quotient manifold </div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td><div class="descr"><div>the input points or vertices </div></div></td></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">volume</td><td><div class="descr"><div>the volume of the convex hull </div></div></td></tr><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td class="param">cocircuit_equations</td><td><div class="descr"><div>the matrix of cocircuit equations </div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">filename</td><td><div class="descr"><div>a name for a file in .lp format to store the linear program</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram&lt;Rational&gt;</a></td><td><div class="descr"><div>an ILP that provides the result</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:foldable_max_signature_upper_bound" onclick="swap_content('span:foldable_max_signature_upper_bound'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="foldable_max_signature_upper_bound" onclick="swap_content('span:foldable_max_signature_upper_bound'); return false;"><b>foldable_max_signature_upper_bound</b></a>
			(d, points, volume, cocircuit_equations)  

			
				→ Integer<div style="display: inline" id="span:foldable_max_signature_upper_bound" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the LP relaxation upper bound to the maximal signature of a foldable triangulation of polytope, point configuration or quotient manifold</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension of the input polytope, point configuration or quotient manifold </div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td><div class="descr"><div>the input points or vertices </div></div></td></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">volume</td><td><div class="descr"><div>the volume of the convex hull </div></div></td></tr><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td class="param">cocircuit_equations</td><td><div class="descr"><div>the matrix of cocircuit equations </div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Integer" onclick="unfold('span:Integer');">Integer</a></td><td><div class="descr"><div>the optimal value of an LP that provides a bound</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:interior_and_boundary_ridges" onclick="swap_content('span:interior_and_boundary_ridges'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="interior_and_boundary_ridges" onclick="swap_content('span:interior_and_boundary_ridges'); return false;"><b>interior_and_boundary_ridges</b></a>
			(P)  

			
				→ Pair&lt;Array&lt;Set&gt;,Array&lt;Set&gt;&gt;<div style="display: inline" id="span:interior_and_boundary_ridges" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the (<em class="param">d</em>-1)-dimensional simplices in the interior and in the boundary of a <em class="param">d</em>-dimensional polytope or cone</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the input polytope or cone</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Pair" onclick="unfold('span:Pair');">Pair&lt;Array&lt;Set&gt;,Array&lt;Set&gt;&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print interior_and_boundary_ridges(cube(2));</code><code> &lt;{0 3}</code><code> {1 2}</code><code> &gt;</code><code> &lt;{0 1}</code><code> {0 2}</code><code> {1 3}</code><code> {2 3}</code><code> &gt;</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:is_regular" onclick="swap_content('span:is_regular'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="is_regular" onclick="swap_content('span:is_regular'); return false;"><b>is_regular</b></a>
			(points, subdiv)  

			
				→ Pair&lt;Bool,Vector&gt;<div style="display: inline" id="span:is_regular" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For a given subdivision <em class="param">subdiv</em> of <em class="param">points</em> tests
 if the subdivision is regular and if yes computes a weight
 vector inducing this subdivsion.
 The output is a pair of Bool and the weight vector.
 Options can be used to ensure properties of the resulting vector.
 The default is having 0 on all vertices of the first face of <em class="param">subdiv</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td><div class="descr"><div>in homogeneous coordinates</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt; &gt;</a></td><td class="param">subdiv</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Scalar&gt;</a></td><td class="param">equations</td><td><div class="descr"><div>system of linear equation the cone is cut with.</div></div></td></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">lift_to_zero</td><td><div class="descr"><div>gives only lifting functions lifting the designated vertices to 0</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Int</a></td><td class="param">lift_face_to_zero</td><td><div class="descr"><div>gives only lifting functions lifting all vertices of the designated face to 0</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Pair" onclick="unfold('span:Pair');">Pair&lt;Bool,Vector&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">A regular subdivision of the square, with the first cell lifted to zero:<code>&gt; $points = cube(2)-&gt;VERTICES;</code><code>&gt; print is_regular($points,[[0,1,3],[1,2,3]],lift_to_zero=&gt;[0,1,3]);</code><code> 1 &lt;0 0 1 0&gt;</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:is_subdivision" onclick="swap_content('span:is_subdivision'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="is_subdivision" onclick="swap_content('span:is_subdivision'); return false;"><b>is_subdivision</b></a>
			(points, faces)  

			<div style="display: inline" id="span:is_subdivision" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether <em class="param">faces</em> forms a valid subdivision of <em class="param">points</em>, where <em class="param">points</em>
 is a set of points, and <em class="param">faces</em> is a collection of subsets of (indices of) <em class="param">points</em>.
 If the set of interior points of <em class="param">points</em> is known, this set can be passed by assigning
 it to the option <em class="param">interior_points</em>. If <em class="param">points</em> are in convex position
 (i.e., if they are vertices of a polytope),
 the option <em class="param">interior_points</em> should be set to [ ] (the empty set).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td/></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td class="param">faces</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">interior_points</td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">Two potential subdivisions of the square without innter points:<code>&gt; $points = cube(2)-&gt;VERTICES;</code><code>&gt; print is_subdivision($points,[[0,1,3],[1,2,3]],interior_points=&gt;[ ]);</code><code> 1</code><code>&gt; print is_subdivision($points,[[0,1,2],[1,2]],interior_points=&gt;[ ]);</code><code> </code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:iterated_barycentric_subdivision" onclick="swap_content('span:iterated_barycentric_subdivision'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="iterated_barycentric_subdivision" onclick="swap_content('span:iterated_barycentric_subdivision'); return false;"><b>iterated_barycentric_subdivision</b></a>
			(c, n)  

			
				→ topaz::SimplicialComplex<div style="display: inline" id="span:iterated_barycentric_subdivision" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a simplicial complex as an iterated barycentric subdivision of a given cone or polytope.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td class="param">c</td><td><div class="descr"><div>input cone or polytope</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td><div class="descr"><div>how many times to subdivide</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">relabel</td><td><div class="descr"><div>write labels of new points; default is false</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">geometric_realization</td><td><div class="descr"><div>create a <a href="topaz.html#GeometricSimplicialComplex" onclick="unfold('span:GeometricSimplicialComplex');">topaz::GeometricSimplicialComplex</a>; default is false</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="topaz.html#SimplicialComplex" onclick="unfold('span:SimplicialComplex');">topaz::SimplicialComplex</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:max_interior_simplices__Polytope" onclick="swap_content('span:max_interior_simplices__Polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="max_interior_simplices__Polytope" onclick="swap_content('span:max_interior_simplices__Polytope'); return false;"><b>max_interior_simplices</b></a>
			(P)  

			
				→ Array&lt;Set&gt;<div style="display: inline" id="span:max_interior_simplices__Polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Find the maximal interior simplices of a polytope P.
 Symmetries of P are NOT taken into account.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the input polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print max_interior_simplices(cube(2));</code><code> {0 1 2}</code><code> {0 1 3}</code><code> {0 2 3}</code><code> {1 2 3}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:max_interior_simplices__PointConfiguration" onclick="swap_content('span:max_interior_simplices__PointConfiguration'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="max_interior_simplices__PointConfiguration" onclick="swap_content('span:max_interior_simplices__PointConfiguration'); return false;"><b>max_interior_simplices</b></a>
			(P)  

			<div style="display: inline" id="span:max_interior_simplices__PointConfiguration" class="foldit"><br/><div class="descr_func"><div class="descr"><p> find the maximal interior simplices of a point configuration 
 that DO NOT contain any point in their closure, except for the vertices.
 Symmetries of the configuration are NOT taken into account.</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td class="param">P</td><td><div class="descr"><div>the input point configuration</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:metric2hyp_triang" onclick="swap_content('span:metric2hyp_triang'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="metric2hyp_triang" onclick="swap_content('span:metric2hyp_triang'); return false;"><b>metric2hyp_triang</b></a>
			(FMS)  

			
				→ Polytope<div style="display: inline" id="span:metric2hyp_triang" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Given a generic finite metric space <em class="param">FMS</em>, construct the associated (i.e. dual) triangulation of the hypersimplex.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#TightSpan" onclick="unfold('span:TightSpan');">TightSpan</a></td><td class="param">FMS</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:metric2splits" onclick="swap_content('span:metric2splits'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="metric2splits" onclick="swap_content('span:metric2splits'); return false;"><b>metric2splits</b></a>
			(D)  

			
				→ Array&lt;Pair&lt;Set&gt;&gt;<div style="display: inline" id="span:metric2splits" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes all non-trivial splits of a metric space <em class="param">D</em> (encoded as a symmetric distance matrix).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">D</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Pair&lt;Set&gt;&gt;</a></td><td><div class="descr"><div>each split is encoded as a pair of two sets.</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:mixed_volume" onclick="swap_content('span:mixed_volume'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="mixed_volume" onclick="swap_content('span:mixed_volume'); return false;"><b>mixed_volume</b></a>
			(P1, P2, Pn)  

			
				→ Scalar<div style="display: inline" id="span:mixed_volume" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the mixed volume of polytopes P<sub>1</sub>,P<sub>2</sub>,...,P<sub>n</sub>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td class="param">P1</td><td><div class="descr"><div>first polytope</div></div></td></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td class="param">P2</td><td><div class="descr"><div>second polytope</div></div></td></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td class="param">Pn</td><td><div class="descr"><div>last polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td><div class="descr"><div>mixed volume</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print mixed_volume(cube(2),simplex(2));</code><code> 4</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:n_triangulations" onclick="swap_content('span:n_triangulations'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="n_triangulations" onclick="swap_content('span:n_triangulations'); return false;"><b>n_triangulations</b></a>
			(M, optimization)  

			
				→ Integer<div style="display: inline" id="span:n_triangulations" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculates the number of triangulations of the input points given as rows of a matrix. This can be space intensive.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">M</td><td><div class="descr"><div>points in the projective plane</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">optimization</td><td><div class="descr"><div>defaults to 1, where 1 includes optimization and 0 excludes it</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Integer" onclick="unfold('span:Integer');">Integer</a></td><td><div class="descr"><div>number of triangulations</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To print the number of possible triangulations of a square, do this:<code>&gt; print n_triangulations(cube(2)-&gt;VERTICES);</code><code> 2</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:placing_triangulation" onclick="swap_content('span:placing_triangulation'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="placing_triangulation" onclick="swap_content('span:placing_triangulation'); return false;"><b>placing_triangulation</b></a>
			(Points)  

			
				→ Array&lt;Set&lt;Int&gt;&gt;<div style="display: inline" id="span:placing_triangulation" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the placing triangulation of the given point set using the beneath-beyond algorithm.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">Points</td><td><div class="descr"><div>the given point set</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">non_redundant</td><td><div class="descr"><div>whether it's already known that <em class="param">Points</em> are non-redundant</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Int&gt;</a></td><td class="param">permutation</td><td><div class="descr"><div>placing order of <em class="param">Points</em>, must be a valid permutation of (0..Points.rows()-1)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">To compute the placing triangulation of the square (of whose vertices we know that
 they're non-redundant), do this:<code>&gt; $t = placing_triangulation(cube(2)-&gt;VERTICES,non_redundant=&gt;1);</code><code>&gt; print $t;</code><code> {0 1 2}</code><code> {1 2 3}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:points2metric" onclick="swap_content('span:points2metric'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="points2metric" onclick="swap_content('span:points2metric'); return false;"><b>points2metric</b></a>
			(points)  

			
				→ Matrix<div style="display: inline" id="span:points2metric" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Define a metric by restricting the Euclidean distance function to a given set of <em class="param">points</em>.
 Due to floating point computations (sqrt is used) the metric defined may not be exact.
 If the option <em class="param">max</em> or <em class="param">l1</em> is set to true the max-norm or l1-norm is used instead (with exact computation).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">max</td><td><div class="descr"><div>triggers the usage of the max-norm (exact computation)</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">l1</td><td><div class="descr"><div>triggers the usage of the l1-norm (exact computation)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print points2metric(cube(2),max=&gt;1);</code><code> 0 2 2 2</code><code> 2 0 2 2</code><code> 2 2 0 2</code><code> 2 2 2 0</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:poly2metric" onclick="swap_content('span:poly2metric'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="poly2metric" onclick="swap_content('span:poly2metric'); return false;"><b>poly2metric</b></a>
			(P)  

			
				→ Matrix<div style="display: inline" id="span:poly2metric" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Define a metric by restricting the Euclidean distance function to the vertex set of a given polytope <em class="param">P</em>.
 Due to floating point computations (sqrt is used) the metric defined may not be exact.
 If the option <em class="param">max</em> or <em class="param">l1</em> is set to true the max-norm or l1-norm is used instead (with exact computation).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">max</td><td><div class="descr"><div>triggers the usage of the max-norm (exact computation)</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr"><code>&gt; print points2metric(cube(2)-&gt;VERTICES,max=&gt;1);</code><code> 0 2 2 2</code><code> 2 0 2 2</code><code> 2 2 0 2</code><code> 2 2 2 0</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:positive_circuits" onclick="swap_content('span:positive_circuits'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="positive_circuits" onclick="swap_content('span:positive_circuits'); return false;"><b>positive_circuits</b></a>
			(or, S)  

			
				→ Set&lt;Set&lt;Int&gt;&gt;<div style="display: inline" id="span:positive_circuits" class="foldit"><br/><div class="descr_func"><div class="descr"><p> returns all sets of points that form a 
 circuit with the given list of points</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">or</td><td><div class="descr"><div>PointConfiguration P</div></div></td></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">S</td><td><div class="descr"><div>subset of point indices</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Set&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>A list of point sets that intersect positively the set S</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:quotient_space_simplexity_ilp" onclick="swap_content('span:quotient_space_simplexity_ilp'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="quotient_space_simplexity_ilp" onclick="swap_content('span:quotient_space_simplexity_ilp'); return false;"><b>quotient_space_simplexity_ilp</b></a>
			(d, V, volume, cocircuit_equations)  

			
				→ LinearProgram<div style="display: inline" id="span:quotient_space_simplexity_ilp" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Set up an LP whose MINIMAL_VALUE is a lower bound for the minimal number of simplices needed to triangulate a polytope, point configuration or quotient manifold</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension of the input polytope, point configuration or quotient manifold </div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">V</td><td><div class="descr"><div>the input points or vertices </div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">volume</td><td><div class="descr"><div>the volume of the convex hull </div></div></td></tr><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td class="param">cocircuit_equations</td><td><div class="descr"><div>the matrix of cocircuit equations </div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">filename</td><td><div class="descr"><div>a name for a file in .lp format to store the linear program</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td><div class="descr"><div>an LP that provides a lower bound</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:quotient_space_simplexity_lower_bound" onclick="swap_content('span:quotient_space_simplexity_lower_bound'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="quotient_space_simplexity_lower_bound" onclick="swap_content('span:quotient_space_simplexity_lower_bound'); return false;"><b>quotient_space_simplexity_lower_bound</b></a>
			(d, V, volume, cocircuit_equations)  

			
				→ Integer<div style="display: inline" id="span:quotient_space_simplexity_lower_bound" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate a lower bound for the minimal number of simplices needed to triangulate a polytope, point configuration or quotient manifold</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension of the input polytope, point configuration or quotient manifold </div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">V</td><td><div class="descr"><div>the input points or vertices </div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">volume</td><td><div class="descr"><div>the volume of the convex hull </div></div></td></tr><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td class="param">cocircuit_equations</td><td><div class="descr"><div>the matrix of cocircuit equations </div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Integer" onclick="unfold('span:Integer');">Integer</a></td><td><div class="descr"><div>the optimal value of an LP that provides a lower bound</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:regularity_lp" onclick="swap_content('span:regularity_lp'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="regularity_lp" onclick="swap_content('span:regularity_lp'); return false;"><b>regularity_lp</b></a>
			(points, subdiv)  

			
				→ Polytope&lt;Scalar&gt;<div style="display: inline" id="span:regularity_lp" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For a given subdivision <em class="param">subdiv</em> of <em class="param">points</em> determines
 a <em class="param">LinearProgram</em> to decide whether the subdivision is regular.
 The output a Polytope with an attached LP.
 Options can be used to ensure properties of the resulting LP.
 The default is having 0 on all vertices of the first face of <em class="param">subdiv</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td><div class="descr"><div>in homogeneous coordinates</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt; &gt;</a></td><td class="param">subdiv</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Scalar&gt;</a></td><td class="param">equations</td><td><div class="descr"><div>system of linear equation the cone is cut with.</div></div></td></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">lift_to_zero</td><td><div class="descr"><div>gives only lifting functions lifting the designated vertices to 0</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Int</a></td><td class="param">lift_face_to_zero</td><td><div class="descr"><div>gives only lifting functions lifting all vertices of the designated face to 0</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">epsilon</td><td><div class="descr"><div>minimum distance from all inequalities</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope&lt;Scalar&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:regular_subdivision" onclick="swap_content('span:regular_subdivision'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="regular_subdivision" onclick="swap_content('span:regular_subdivision'); return false;"><b>regular_subdivision</b></a>
			(points, weights)  

			
				→ Array&lt;Set&lt;Int&gt;&gt;<div style="display: inline" id="span:regular_subdivision" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute a regular subdivision of the polytope obtained
 by lifting <em class="param">points</em> to <em class="param">weights</em> and taking the lower
 complex of the resulting polytope.
 If the weight is generic the output is a triangulation.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td/></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">weights</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following generates a regular subdivision of the square.<code>&gt; $w = new Vector(2,23,2,2);</code><code>&gt; $r = regular_subdivision(cube(2)-&gt;VERTICES,$w);</code><code>&gt; print $r;</code><code> {0 1 3}</code><code> {0 2 3}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:secondary_cone" onclick="swap_content('span:secondary_cone'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="secondary_cone" onclick="swap_content('span:secondary_cone'); return false;"><b>secondary_cone</b></a>
			(points, subdiv)  

			
				→ Cone<div style="display: inline" id="span:secondary_cone" class="foldit"><br/><div class="descr_func"><div class="descr"><p> For a given subdivision <em class="param">subdiv</em> of <em class="param">points</em> tests
 computes the corresponding secondary cone. If the subdivision
 is not regular, the cone will be the secondary cone of
 the finest regular coarsening of <em class="param">subdiv</em>. (See option <em class="param">test_regularity</em>)
 Options can be used to make the Cone <a href="#Cone__POINTED" onclick="unfold('span:Cone__POINTED');">POINTED</a>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td><div class="descr"><div>in homogeneous coordinates</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt; &gt;</a></td><td class="param">subdiv</td><td/></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix&lt;Scalar&gt;</a></td><td class="param">equations</td><td><div class="descr"><div>system of linear equation the cone is cut with.</div></div></td></tr><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">lift_to_zero</td><td><div class="descr"><div>gives only lifting functions lifting the designated vertices to 0</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Int</a></td><td class="param">lift_face_to_zero</td><td><div class="descr"><div>gives only lifting functions lifting all vertices of the designated face to 0</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">test_regularity</td><td><div class="descr"><div>throws an exception if the subdivision is not regular</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Cone" onclick="unfold('span:Cone');">Cone</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simplexity_ilp" onclick="swap_content('span:simplexity_ilp'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simplexity_ilp" onclick="swap_content('span:simplexity_ilp'); return false;"><b>simplexity_ilp</b></a>
			(d, points, the, volume, cocircuit_equations)  

			
				→ LinearProgram<div style="display: inline" id="span:simplexity_ilp" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Set up an ILP whose MINIMAL_VALUE is the minimal number of simplices needed to triangulate a polytope, point configuration or quotient manifold</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension of the input polytope, point configuration or quotient manifold </div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td><div class="descr"><div>the input points or vertices </div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td class="param">the</td><td><div class="descr"><div>representatives of maximal interior simplices </div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">volume</td><td><div class="descr"><div>the volume of the convex hull </div></div></td></tr><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td class="param">cocircuit_equations</td><td><div class="descr"><div>the matrix of cocircuit equations </div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">filename</td><td><div class="descr"><div>a name for a file in .lp format to store the linear program</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td><div class="descr"><div>an LP that provides a lower bound</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simplexity_ilp_with_angles" onclick="swap_content('span:simplexity_ilp_with_angles'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simplexity_ilp_with_angles" onclick="swap_content('span:simplexity_ilp_with_angles'); return false;"><b>simplexity_ilp_with_angles</b></a>
			(d, points, the, volume, cocircuit_equations)  

			
				→ LinearProgram<div style="display: inline" id="span:simplexity_ilp_with_angles" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Set up an ILP whose MINIMAL_VALUE is the minimal number of simplices needed to triangulate a polytope, point configuration or quotient manifold</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension of the input polytope, point configuration or quotient manifold </div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td><div class="descr"><div>the input points or vertices </div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td class="param">the</td><td><div class="descr"><div>(representative) maximal interior simplices </div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">volume</td><td><div class="descr"><div>the volume of the convex hull </div></div></td></tr><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td class="param">cocircuit_equations</td><td><div class="descr"><div>the matrix of cocircuit equations </div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">filename</td><td><div class="descr"><div>a name for a file in .lp format to store the linear program</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram</a></td><td><div class="descr"><div>an LP that provides a lower bound</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:simplexity_lower_bound" onclick="swap_content('span:simplexity_lower_bound'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="simplexity_lower_bound" onclick="swap_content('span:simplexity_lower_bound'); return false;"><b>simplexity_lower_bound</b></a>
			(d, points, volume, cocircuit_equations)  

			
				→ Integer<div style="display: inline" id="span:simplexity_lower_bound" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the LP relaxation lower bound for the minimal number of simplices needed to triangulate a polytope, point configuration or quotient manifold</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension of the input polytope, point configuration or quotient manifold </div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td><div class="descr"><div>the input points or vertices </div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">volume</td><td><div class="descr"><div>the volume of the convex hull </div></div></td></tr><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td class="param">cocircuit_equations</td><td><div class="descr"><div>the matrix of cocircuit equations </div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Integer" onclick="unfold('span:Integer');">Integer</a></td><td><div class="descr"><div>the optimal value of an LP that provides a lower bound</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:splits" onclick="swap_content('span:splits'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="splits" onclick="swap_content('span:splits'); return false;"><b>splits</b></a>
			(V, G, F, dimension)  

			
				→ Matrix<div style="display: inline" id="span:splits" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <a href="#Polytope__SPLITS" onclick="unfold('span:Polytope__SPLITS');">SPLITS</a> of a polytope.
 The splits are normalized by dividing by the first non-zero entry.
 If the polytope is not fulldimensional the first entries are set to zero unless <em class="param">coords</em>
 are specified.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">V</td><td><div class="descr"><div>vertices of the polytope</div></div></td></tr><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td class="param">G</td><td><div class="descr"><div>graph of the polytope</div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">F</td><td><div class="descr"><div>facets of the polytope</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">dimension</td><td><div class="descr"><div>of the polytope</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td class="param">coords</td><td><div class="descr"><div>entries that should be set to zero</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:splits_in_subdivision" onclick="swap_content('span:splits_in_subdivision'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="splits_in_subdivision" onclick="swap_content('span:splits_in_subdivision'); return false;"><b>splits_in_subdivision</b></a>
			(vertices, subdivision, splits)  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:splits_in_subdivision" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Tests which of the <em class="param">splits</em> of a polyhedron are coarsenings of the given <em class="param">subdivision</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">vertices</td><td><div class="descr"><div>the vertices of the polyhedron</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td class="param">subdivision</td><td><div class="descr"><div>a subdivision of the polyhedron</div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">splits</td><td><div class="descr"><div>the splits of the polyhedron</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Set" onclick="unfold('span:Set');">Set&lt;Int&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:split_compatibility_graph" onclick="swap_content('span:split_compatibility_graph'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="split_compatibility_graph" onclick="swap_content('span:split_compatibility_graph'); return false;"><b>split_compatibility_graph</b></a>
			(splits, P)  

			
				→ Graph<div style="display: inline" id="span:split_compatibility_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p>DOC_FIXME: Incomprehensible description!
 Computes the compatibility graph among the <em class="param">splits</em> of a polytope <em class="param">P</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">splits</td><td><div class="descr"><div>the splits given by split equations</div></div></td></tr><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the input polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">Graph</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:split_polyhedron" onclick="swap_content('span:split_polyhedron'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="split_polyhedron" onclick="swap_content('span:split_polyhedron'); return false;"><b>split_polyhedron</b></a>
			(P)  

			
				→ Polytope<div style="display: inline" id="span:split_polyhedron" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the split polyhedron of a full-dimensional
 polyhdron <em class="param">P</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:staircase_weight" onclick="swap_content('span:staircase_weight'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="staircase_weight" onclick="swap_content('span:staircase_weight'); return false;"><b>staircase_weight</b></a>
			(k, l)  

			
				→ Vector&lt;Rational&gt;<div style="display: inline" id="span:staircase_weight" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Gives a weight vector for the staircase triangulation of
 the product of a <em class="param">k-1</em>- and an <em class="param">l-1</em>-dimensional simplex.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">k</td><td><div class="descr"><div>the number of vertices of the first simplex</div></div></td></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">l</td><td><div class="descr"><div>the number of vertices of the second simplex</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Rational&gt;</a></td><td/></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">The following creates the staircase triangulation of the product
 of the 2- and the 1-simplex.<code>&gt; $w = staircase_weight(3,2);</code><code>&gt; $p = product(simplex(2),simplex(1));</code><code>&gt; $p-&gt;POLYTOPAL_SUBDIVISION(WEIGHTS=&gt;$w);</code><code>&gt; print $p-&gt;POLYTOPAL_SUBDIVISION-&gt;MAXIMAL_CELLS;</code><code> {0 2 4 5}</code><code> {0 1 3 5}</code><code> {0 2 3 5}</code></div></li></ul></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:stellar_subdivision" onclick="swap_content('span:stellar_subdivision'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="stellar_subdivision" onclick="swap_content('span:stellar_subdivision'); return false;"><b>stellar_subdivision</b></a>
			(pc, faces)  

			
				→ PointConfiguration<div style="display: inline" id="span:stellar_subdivision" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the complex obtained by stellar subdivision of all <em class="param">faces</em> of the <a href="#PointConfiguration__TRIANGULATION" onclick="unfold('span:PointConfiguration__TRIANGULATION');">TRIANGULATION</a> of the PointConfiguration.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td class="param">pc</td><td><div class="descr"><div>input point configuration</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&lt;Int&gt;&gt;</a></td><td class="param">faces</td><td><div class="descr"><div>list of faces to subdivide</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">no_labels</td><td><div class="descr"><div>: do not write any labels</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:symmetrized_foldable_max_signature_ilp" onclick="swap_content('span:symmetrized_foldable_max_signature_ilp'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="symmetrized_foldable_max_signature_ilp" onclick="swap_content('span:symmetrized_foldable_max_signature_ilp'); return false;"><b>symmetrized_foldable_max_signature_ilp</b></a>
			(d, points, volume, generators, symmetrized_foldable_cocircuit_equations)  

			
				→ LinearProgram&lt;Rational&gt;<div style="display: inline" id="span:symmetrized_foldable_max_signature_ilp" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Set up an ILP whose MAXIMAL_VALUE is the maximal signature of a foldable triangulation of a polytope, point configuration or quotient manifold</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension of the input polytope, point configuration or quotient manifold </div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td><div class="descr"><div>the input points or vertices </div></div></td></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">volume</td><td><div class="descr"><div>the volume of the convex hull </div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Int&gt;&gt;</a></td><td class="param">generators</td><td><div class="descr"><div>the generators of the symmetry group </div></div></td></tr><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td class="param">symmetrized_foldable_cocircuit_equations</td><td><div class="descr"><div>the matrix of symmetrized cocircuit equations </div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">filename</td><td><div class="descr"><div>a name for a file in .lp format to store the linear program</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#LinearProgram" onclick="unfold('span:LinearProgram');">LinearProgram&lt;Rational&gt;</a></td><td><div class="descr"><div>an ILP that provides the result</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:symmetrized_foldable_max_signature_upper_bound" onclick="swap_content('span:symmetrized_foldable_max_signature_upper_bound'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="symmetrized_foldable_max_signature_upper_bound" onclick="swap_content('span:symmetrized_foldable_max_signature_upper_bound'); return false;"><b>symmetrized_foldable_max_signature_upper_bound</b></a>
			(d, points, volume, cocircuit_equations)  

			
				→ Integer<div style="display: inline" id="span:symmetrized_foldable_max_signature_upper_bound" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the LP relaxation upper bound to the maximal signature of a foldable triangulation of polytope, point configuration or quotient manifold</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension of the input polytope, point configuration or quotient manifold </div></div></td></tr><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">points</td><td><div class="descr"><div>the input points or vertices </div></div></td></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">volume</td><td><div class="descr"><div>the volume of the convex hull </div></div></td></tr><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td class="param">cocircuit_equations</td><td><div class="descr"><div>the matrix of cocircuit equations </div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Integer" onclick="unfold('span:Integer');">Integer</a></td><td><div class="descr"><div>the optimal value of an LP that provides a bound</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:topcom_all_triangulations" onclick="swap_content('span:topcom_all_triangulations'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="topcom_all_triangulations" onclick="swap_content('span:topcom_all_triangulations'); return false;"><b>topcom_all_triangulations</b></a>
			(pc)  

			
				→ Array&lt;Array&lt;Set&lt;Int&gt;&gt;&gt;<div style="display: inline" id="span:topcom_all_triangulations" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes all triangulations of a point configuration via its chirotope.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td class="param">pc</td><td><div class="descr"><div>input point configuration</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Set&lt;Int&gt;&gt;&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:topcom_fine_and_connected_triangulations" onclick="swap_content('span:topcom_fine_and_connected_triangulations'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="topcom_fine_and_connected_triangulations" onclick="swap_content('span:topcom_fine_and_connected_triangulations'); return false;"><b>topcom_fine_and_connected_triangulations</b></a>
			(pc)  

			
				→ Array&lt;Array&lt;Set&lt;Int&gt;&gt;&gt;<div style="display: inline" id="span:topcom_fine_and_connected_triangulations" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes all fine triangulations of a point configuration that are connected by bistellar flips 
 to a fine seed triangulation. The triangulations are computed via the chirotope.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td class="param">pc</td><td><div class="descr"><div>input point configuration</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;int&gt; &gt;</a></td><td class="param">symmetry</td><td><div class="descr"><div>A list of generators of a symmetry group of the points. If specified, only triangulations up to symmetry will be computed.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Set&lt;Int&gt;&gt;&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:topcom_regular_and_connected_triangulations" onclick="swap_content('span:topcom_regular_and_connected_triangulations'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="topcom_regular_and_connected_triangulations" onclick="swap_content('span:topcom_regular_and_connected_triangulations'); return false;"><b>topcom_regular_and_connected_triangulations</b></a>
			(pc)  

			
				→ Array&lt;Array&lt;Set&lt;Int&gt;&gt;&gt;<div style="display: inline" id="span:topcom_regular_and_connected_triangulations" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes all triangulations of a point configuration that are connected by bistellar 
 flips to the regular triangulations. The triangulations are computed via the chirotope.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration</a></td><td class="param">pc</td><td><div class="descr"><div>input point configuration</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;int&gt; &gt;</a></td><td class="param">symmetry</td><td><div class="descr"><div>A list of generators of a symmetry group of the points. If specified, only triangulations up to symmetry will be computed.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Array&lt;Set&lt;Int&gt;&gt;&gt;</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:universal_polytope__Polytope" onclick="swap_content('span:universal_polytope__Polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="universal_polytope__Polytope" onclick="swap_content('span:universal_polytope__Polytope'); return false;"><b>universal_polytope</b></a>
			(P)  

			
				→ Polytope<div style="display: inline" id="span:universal_polytope__Polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the universal polytope of a polytope</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the input polytope</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:universal_polytope__Polytope__Array_Set__SparseMatrix" onclick="swap_content('span:universal_polytope__Polytope__Array_Set__SparseMatrix'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="universal_polytope__Polytope__Array_Set__SparseMatrix" onclick="swap_content('span:universal_polytope__Polytope__Array_Set__SparseMatrix'); return false;"><b>universal_polytope</b></a>
			(P, reps, cocircuit_equations)  

			
				→ Polytope<div style="display: inline" id="span:universal_polytope__Polytope__Array_Set__SparseMatrix" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the universal polytope of a polytope, point configuration or quotient manifold</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td class="param">P</td><td><div class="descr"><div>the input polytope</div></div></td></tr><tr><td><a href="common.html#Array" onclick="unfold('span:Array');">Array&lt;Set&gt;</a></td><td class="param">reps</td><td><div class="descr"><div>the representatives of maximal interior simplices </div></div></td></tr><tr><td><a href="common.html#SparseMatrix" onclick="unfold('span:SparseMatrix');">SparseMatrix</a></td><td class="param">cocircuit_equations</td><td><div class="descr"><div>the matrix of cocircuit equations </div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:universal_polytope__PointConfiguration_Scalar" onclick="swap_content('span:universal_polytope__PointConfiguration_Scalar'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="universal_polytope__PointConfiguration_Scalar" onclick="swap_content('span:universal_polytope__PointConfiguration_Scalar'); return false;"><b>universal_polytope</b></a>
			(PC)  

			
				→ Polytope<div style="display: inline" id="span:universal_polytope__PointConfiguration_Scalar" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the universal polytope of a point configuration</p></div><div class="descr">
			Contained in extension <code>bundled:group</code>.
		</div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#PointConfiguration" onclick="unfold('span:PointConfiguration');">PointConfiguration&lt;Scalar&gt;</a></td><td class="param">PC</td><td><div class="descr"><div>the point configuration</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Polytope" onclick="unfold('span:Polytope');">Polytope</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Visualization" onclick="swap_content('span:functions__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Visualization" onclick="swap_content('span:functions__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:functions__Visualization" class="foldit"><div class="descr"><p> These functions are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:bounding_box" onclick="swap_content('span:bounding_box'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="bounding_box" onclick="swap_content('span:bounding_box'); return false;"><b>bounding_box</b></a>
			(V, surplus_k, voronoi)  

			
				→ Matrix<div style="display: inline" id="span:bounding_box" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Introduce artificial boundary facets (which are always vertical,
 i.e., the last coordinate is zero) to allow for bounded images of 
 unbounded polyhedra (e.g. Voronoi polyhedra).
 If the <em class="param">voronoi</em> flag is set, the last direction is left unbounded.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">V</td><td><div class="descr"><div>vertices that should be in the box</div></div></td></tr><tr><td><a href="#" onclick="unfold('span:');">Scalar</a></td><td class="param">surplus_k</td><td><div class="descr"><div>size of the bounding box relative to the box spanned by <em class="param">V</em></div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">voronoi</td><td><div class="descr"><div>useful for visualizations of Voronoi diagrams that do not have enough vertices
  default value is 0.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:splitstree" onclick="swap_content('span:splitstree'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="splitstree" onclick="swap_content('span:splitstree'); return false;"><b>splitstree</b></a>
			(vis_obj ...)  

			<div style="display: inline" id="span:splitstree" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Call <a href="http://polymake.org//external_software#splitstree" onclick="unfold('span:splitstree');">wiki:external_software#SplitsTree</a> with the given visual objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Visual_Object" onclick="unfold('span:Visual_Object');">Visual::Object</a></td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to display</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="common.html#String" onclick="unfold('span:String');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"
  Only create a NEXUS format file, don't start the GUI.</div><div>  The <code>.nex</code> suffix is automatically added to the file name.</div><div>  Specify <em class="param">AUTO</em> if you want the filename be automatically derived from the drawing title.</div><div>  You can also use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.</div></div></td></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:vlabels" onclick="swap_content('span:vlabels'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="vlabels" onclick="swap_content('span:vlabels'); return false;"><b>vlabels</b></a>
			(vertices, wo_zero)  

			
				→ ARRAY<div style="display: inline" id="span:vlabels" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates vertex labels for visualization from the <em class="param">vertices</em> 
 of the polytope. The parameter <em class="param">wo_zero</em> decides whether
 the entry at position 0 (homogenizing coordinate) is omitted (1)
 or included (0) in the label string." </p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">vertices</td><td><div class="descr"><div>the vertices of the polytope</div></div></td></tr><tr><td><a href="common.html#Bool" onclick="unfold('span:Bool');">Bool</a></td><td class="param">wo_zero</td><td><div class="descr"><div>includes (0) or omits (1) the entry at position 0</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#" onclick="unfold('span:');">ARRAY</a></td><td><div class="descr"><div>a reference to an array of vertex label strings</div></div></td></tr></table></div><br/><div class="examples"><b>Example:</b><ul style="list-style-type:none"><li><div class="descr">This prints the vertex labels for the square with the origin as its center and 
 side length 2, where we omit the leading 1:<code>&gt; $l = vlabels(cube(2)-&gt;VERTICES,1);</code><code>&gt; print join(', ', @{$v});</code><code> (-1,-1), (1,-1), (-1,1), (1,1)</code></div></li></ul></div></div></div></div></li></ul></div></div></div></li></ul></div><div class="level3"><h2>Common Option Lists</h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:options__options__Visualization" onclick="swap_content('span:options__options__Visualization'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="options__options__Visualization" onclick="swap_content('span:options__options__Visualization'); return false;"><span class="category">Visualization</span></a></h3></div><div style="display: inline" id="span:options__options__Visualization" class="foldit"><div class="descr"><p> These options are for visualization.</p></div><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:options__geometric_options" onclick="swap_content('span:options__geometric_options'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="options__geometric_options" onclick="swap_content('span:options__geometric_options'); return false;"><b>geometric_options</b></a><div style="display: inline" id="span:options__geometric_options" class="foldit"><div class="descr"><p> Options for visualizing polytopes.</p></div><h5>Options</h5><table class="args"><tr><td><a href="common.html#Matrix" onclick="unfold('span:Matrix');">Matrix</a></td><td class="param">BoundingBox</td><td/></tr></table></div></div></div></li><li><div class="li"><div class="icon" id="icon:options__schlegel_init" onclick="swap_content('span:options__schlegel_init'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="options__schlegel_init" onclick="swap_content('span:options__schlegel_init'); return false;"><b>schlegel_init</b></a><div style="display: inline" id="span:options__schlegel_init" class="foldit"><div class="descr"><p> Initial properties of the Schlegel diagram to be displayed.</p></div><h5>Options</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">FACET</td><td><div class="descr"><div>index of the projection facet, see <a href="#SchlegelDiagram__FACET" onclick="unfold('span:SchlegelDiagram__FACET');">Visual::SchlegelDiagram::FACET</a></div></div></td></tr><tr><td><a href="common.html#Rational" onclick="unfold('span:Rational');">Rational</a></td><td class="param">ZOOM</td><td><div class="descr"><div>zoom factor, see <a href="#SchlegelDiagram__ZOOM" onclick="unfold('span:SchlegelDiagram__ZOOM');">Visual::SchlegelDiagram::ZOOM</a></div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">FACET_POINT</td><td><div class="descr"><div>see <a href="#SchlegelDiagram__FACET_POINT" onclick="unfold('span:SchlegelDiagram__FACET_POINT');">Visual::SchlegelDiagram::FACET_POINT</a></div></div></td></tr><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector</a></td><td class="param">INNER_POINT</td><td><div class="descr"><div>see <a href="#SchlegelDiagram__INNER_POINT" onclick="unfold('span:SchlegelDiagram__INNER_POINT');">Visual::SchlegelDiagram::INNER_POINT</a></div></div></td></tr></table></div></div></div></li></ul></div></div></div></li></ul></div></div>
